/*
 * Internal module API header file.
 *
 * Generated by SIP 4.17
 *
 * Copyright (c) 2015 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSensorsAPI_H
#define _QtSensorsAPI_H


#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacCocoaViewContainer
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QOrientationReading__Orientation 0
#define sipName_QOrientationReading__Orientation &sipStrings_QtSensors[0]
#define sipNameNr_QAmbientLightReading__LightLevel 33
#define sipName_QAmbientLightReading__LightLevel &sipStrings_QtSensors[33]
#define sipNameNr_QAccelerometer__AccelerationMode 66
#define sipName_QAccelerometer__AccelerationMode &sipStrings_QtSensors[66]
#define sipNameNr_returnDoubleTapEventsChanged 99
#define sipName_returnDoubleTapEventsChanged &sipStrings_QtSensors[99]
#define sipNameNr_QSensor__AxesOrientationMode 128
#define sipName_QSensor__AxesOrientationMode &sipStrings_QtSensors[128]
#define sipNameNr_PyQt5_QtCore_pyqtWrapperType 157
#define sipName_PyQt5_QtCore_pyqtWrapperType &sipStrings_QtSensors[157]
#define sipNameNr_efficientBufferSizeChanged 186
#define sipName_efficientBufferSizeChanged &sipStrings_QtSensors[186]
#define sipNameNr_axesOrientationModeChanged 213
#define sipName_axesOrientationModeChanged &sipStrings_QtSensors[213]
#define sipNameNr_QAmbientTemperatureReading 240
#define sipName_QAmbientTemperatureReading &sipStrings_QtSensors[240]
#define sipNameNr_QTapReading__TapDirection 267
#define sipName_QTapReading__TapDirection &sipStrings_QtSensors[267]
#define sipNameNr_currentOrientationChanged 293
#define sipName_currentOrientationChanged &sipStrings_QtSensors[293]
#define sipNameNr_PressureSensorTemperature 319
#define sipName_PressureSensorTemperature &sipStrings_QtSensors[319]
#define sipNameNr_QAmbientTemperatureSensor 345
#define sipName_QAmbientTemperatureSensor &sipStrings_QtSensors[345]
#define sipNameNr_QAmbientTemperatureFilter 371
#define sipName_QAmbientTemperatureFilter &sipStrings_QtSensors[371]
#define sipNameNr_setReturnDoubleTapEvents 397
#define sipName_setReturnDoubleTapEvents &sipStrings_QtSensors[397]
#define sipNameNr_availableSensorsChanged 422
#define sipName_availableSensorsChanged &sipStrings_QtSensors[422]
#define sipNameNr_accelerationModeChanged 446
#define sipName_accelerationModeChanged &sipStrings_QtSensors[446]
#define sipNameNr_userOrientationChanged 470
#define sipName_userOrientationChanged &sipStrings_QtSensors[470]
#define sipNameNr_setEfficientBufferSize 493
#define sipName_setEfficientBufferSize &sipStrings_QtSensors[493]
#define sipNameNr_setAxesOrientationMode 516
#define sipName_setAxesOrientationMode &sipStrings_QtSensors[516]
#define sipNameNr_returnGeoValuesChanged 539
#define sipName_returnGeoValuesChanged &sipStrings_QtSensors[539]
#define sipNameNr_562 562
#define sipName_562 &sipStrings_QtSensors[562]
#define sipNameNr_returnDoubleTapEvents 584
#define sipName_returnDoubleTapEvents &sipStrings_QtSensors[584]
#define sipNameNr_skipDuplicatesChanged 606
#define sipName_skipDuplicatesChanged &sipStrings_QtSensors[606]
#define sipNameNr_setCurrentOrientation 628
#define sipName_setCurrentOrientation &sipStrings_QtSensors[628]
#define sipNameNr_QAccelerometerReading 650
#define sipName_QAccelerometerReading &sipStrings_QtSensors[650]
#define sipNameNr_maxBufferSizeChanged 672
#define sipName_maxBufferSizeChanged &sipStrings_QtSensors[672]
#define sipNameNr_defaultSensorForType 693
#define sipName_defaultSensorForType &sipStrings_QtSensors[693]
#define sipNameNr_isConnectedToBackend 714
#define sipName_isConnectedToBackend &sipStrings_QtSensors[714]
#define sipNameNr_AutomaticOrientation 735
#define sipName_AutomaticOrientation &sipStrings_QtSensors[735]
#define sipNameNr_QMagnetometerReading 756
#define sipName_QMagnetometerReading &sipStrings_QtSensors[756]
#define sipNameNr_QAmbientLightReading 777
#define sipName_QAmbientLightReading &sipStrings_QtSensors[777]
#define sipNameNr_QAccelerometerFilter 798
#define sipName_QAccelerometerFilter &sipStrings_QtSensors[798]
#define sipNameNr_819 819
#define sipName_819 &sipStrings_QtSensors[819]
#define sipNameNr_efficientBufferSize 839
#define sipName_efficientBufferSize &sipStrings_QtSensors[839]
#define sipNameNr_axesOrientationMode 859
#define sipName_axesOrientationMode &sipStrings_QtSensors[859]
#define sipNameNr_AxesOrientationMode 137
#define sipName_AxesOrientationMode &sipStrings_QtSensors[137]
#define sipNameNr_QOrientationReading 879
#define sipName_QOrientationReading &sipStrings_QtSensors[879]
#define sipNameNr_QMagnetometerFilter 899
#define sipName_QMagnetometerFilter &sipStrings_QtSensors[899]
#define sipNameNr_QIRProximityReading 919
#define sipName_QIRProximityReading &sipStrings_QtSensors[919]
#define sipNameNr_setCalibrationLevel 939
#define sipName_setCalibrationLevel &sipStrings_QtSensors[939]
#define sipNameNr_QAmbientLightSensor 959
#define sipName_QAmbientLightSensor &sipStrings_QtSensors[959]
#define sipNameNr_QAmbientLightFilter 979
#define sipName_QAmbientLightFilter &sipStrings_QtSensors[979]
#define sipNameNr_setAccelerationMode 999
#define sipName_setAccelerationMode &sipStrings_QtSensors[999]
#define sipNameNr_setUserOrientation 1019
#define sipName_setUserOrientation &sipStrings_QtSensors[1019]
#define sipNameNr_currentOrientation 1038
#define sipName_currentOrientation &sipStrings_QtSensors[1038]
#define sipNameNr_isFeatureSupported 1057
#define sipName_isFeatureSupported &sipStrings_QtSensors[1057]
#define sipNameNr_availableDataRates 1076
#define sipName_availableDataRates &sipStrings_QtSensors[1076]
#define sipNameNr_QOrientationSensor 1095
#define sipName_QOrientationSensor &sipStrings_QtSensors[1095]
#define sipNameNr_QOrientationFilter 1114
#define sipName_QOrientationFilter &sipStrings_QtSensors[1114]
#define sipNameNr_setReturnGeoValues 1133
#define sipName_setReturnGeoValues &sipStrings_QtSensors[1133]
#define sipNameNr_fieldOfViewChanged 1152
#define sipName_fieldOfViewChanged &sipStrings_QtSensors[1152]
#define sipNameNr_QIRProximitySensor 1171
#define sipName_QIRProximitySensor &sipStrings_QtSensors[1171]
#define sipNameNr_QIRProximityFilter 1190
#define sipName_QIRProximityFilter &sipStrings_QtSensors[1190]
#define sipNameNr_bufferSizeChanged 1209
#define sipName_bufferSizeChanged &sipStrings_QtSensors[1209]
#define sipNameNr_setSkipDuplicates 1227
#define sipName_setSkipDuplicates &sipStrings_QtSensors[1227]
#define sipNameNr_QProximityReading 1245
#define sipName_QProximityReading &sipStrings_QtSensors[1245]
#define sipNameNr_QGyroscopeReading 1263
#define sipName_QGyroscopeReading &sipStrings_QtSensors[1263]
#define sipNameNr_QAltimeterReading 1281
#define sipName_QAltimeterReading &sipStrings_QtSensors[1281]
#define sipNameNr_sip_simplewrapper 1299
#define sipName_sip_simplewrapper &sipStrings_QtSensors[1299]
#define sipNameNr_QRotationReading 1317
#define sipName_QRotationReading &sipStrings_QtSensors[1317]
#define sipNameNr_setMaxBufferSize 1334
#define sipName_setMaxBufferSize &sipStrings_QtSensors[1334]
#define sipNameNr_connectToBackend 1351
#define sipName_connectToBackend &sipStrings_QtSensors[1351]
#define sipNameNr_FixedOrientation 1368
#define sipName_FixedOrientation &sipStrings_QtSensors[1368]
#define sipNameNr_QSensor__Feature 1385
#define sipName_QSensor__Feature &sipStrings_QtSensors[1385]
#define sipNameNr_QProximitySensor 1402
#define sipName_QProximitySensor &sipStrings_QtSensors[1402]
#define sipNameNr_QProximityFilter 1419
#define sipName_QProximityFilter &sipStrings_QtSensors[1419]
#define sipNameNr_QPressureReading 1436
#define sipName_QPressureReading &sipStrings_QtSensors[1436]
#define sipNameNr_QGyroscopeFilter 1453
#define sipName_QGyroscopeFilter &sipStrings_QtSensors[1453]
#define sipNameNr_QDistanceReading 1470
#define sipName_QDistanceReading &sipStrings_QtSensors[1470]
#define sipNameNr_calibrationLevel 1487
#define sipName_calibrationLevel &sipStrings_QtSensors[1487]
#define sipNameNr_QAltimeterFilter 1504
#define sipName_QAltimeterFilter &sipStrings_QtSensors[1504]
#define sipNameNr_accelerationMode 1521
#define sipName_accelerationMode &sipStrings_QtSensors[1521]
#define sipNameNr_AccelerationMode 82
#define sipName_AccelerationMode &sipStrings_QtSensors[82]
#define sipNameNr_disconnectNotify 1538
#define sipName_disconnectNotify &sipStrings_QtSensors[1538]
#define sipNameNr_QRotationSensor 1555
#define sipName_QRotationSensor &sipStrings_QtSensors[1555]
#define sipNameNr_QRotationFilter 1571
#define sipName_QRotationFilter &sipStrings_QtSensors[1571]
#define sipNameNr_setTapDirection 1587
#define sipName_setTapDirection &sipStrings_QtSensors[1587]
#define sipNameNr_dataRateChanged 1603
#define sipName_dataRateChanged &sipStrings_QtSensors[1603]
#define sipNameNr_alwaysOnChanged 1619
#define sipName_alwaysOnChanged &sipStrings_QtSensors[1619]
#define sipNameNr_userOrientation 1635
#define sipName_userOrientation &sipStrings_QtSensors[1635]
#define sipNameNr_UserOrientation 1022
#define sipName_UserOrientation &sipStrings_QtSensors[1022]
#define sipNameNr_AxesOrientation 1651
#define sipName_AxesOrientation &sipStrings_QtSensors[1651]
#define sipNameNr_QPressureSensor 1667
#define sipName_QPressureSensor &sipStrings_QtSensors[1667]
#define sipNameNr_QPressureFilter 1683
#define sipName_QPressureFilter &sipStrings_QtSensors[1683]
#define sipNameNr_returnGeoValues 1699
#define sipName_returnGeoValues &sipStrings_QtSensors[1699]
#define sipNameNr_QHolsterReading 1715
#define sipName_QHolsterReading &sipStrings_QtSensors[1715]
#define sipNameNr_QDistanceSensor 1731
#define sipName_QDistanceSensor &sipStrings_QtSensors[1731]
#define sipNameNr_QDistanceFilter 1747
#define sipName_QDistanceFilter &sipStrings_QtSensors[1747]
#define sipNameNr_QCompassReading 1763
#define sipName_QCompassReading &sipStrings_QtSensors[1763]
#define sipNameNr_PyQt5_QtSensors 1779
#define sipName_PyQt5_QtSensors &sipStrings_QtSensors[1779]
#define sipNameNr_readingChanged 1795
#define sipName_readingChanged &sipStrings_QtSensors[1795]
#define sipNameNr_sensorsForType 1810
#define sipName_sensorsForType &sipStrings_QtSensors[1810]
#define sipNameNr_setOutputRange 1825
#define sipName_setOutputRange &sipStrings_QtSensors[1825]
#define sipNameNr_skipDuplicates 1840
#define sipName_skipDuplicates &sipStrings_QtSensors[1840]
#define sipNameNr_SkipDuplicates 1230
#define sipName_SkipDuplicates &sipStrings_QtSensors[1230]
#define sipNameNr_setOrientation 1855
#define sipName_setOrientation &sipStrings_QtSensors[1855]
#define sipNameNr_setFieldOfView 1870
#define sipName_setFieldOfView &sipStrings_QtSensors[1870]
#define sipNameNr_setReflectance 1885
#define sipName_setReflectance &sipStrings_QtSensors[1885]
#define sipNameNr_QHolsterSensor 1900
#define sipName_QHolsterSensor &sipStrings_QtSensors[1900]
#define sipNameNr_QHolsterFilter 1915
#define sipName_QHolsterFilter &sipStrings_QtSensors[1915]
#define sipNameNr_QCompassFilter 1930
#define sipName_QCompassFilter &sipStrings_QtSensors[1930]
#define sipNameNr_setTemperature 1945
#define sipName_setTemperature &sipStrings_QtSensors[1945]
#define sipNameNr_QAccelerometer 1960
#define sipName_QAccelerometer &sipStrings_QtSensors[1960]
#define sipNameNr_QSensorReading 1975
#define sipName_QSensorReading &sipStrings_QtSensors[1975]
#define sipNameNr_setBufferSize 1990
#define sipName_setBufferSize &sipStrings_QtSensors[1990]
#define sipNameNr_maxBufferSize 2004
#define sipName_maxBufferSize &sipStrings_QtSensors[2004]
#define sipNameNr_setIdentifier 2018
#define sipName_setIdentifier &sipStrings_QtSensors[2018]
#define sipNameNr_QMagnetometer 2032
#define sipName_QMagnetometer &sipStrings_QtSensors[2032]
#define sipNameNr_QLightReading 2046
#define sipName_QLightReading &sipStrings_QtSensors[2046]
#define sipNameNr_setLightLevel 2060
#define sipName_setLightLevel &sipStrings_QtSensors[2060]
#define sipNameNr_QSensorFilter 2074
#define sipName_QSensorFilter &sipStrings_QtSensors[2074]
#define sipNameNr_connectNotify 1541
#define sipName_connectNotify &sipStrings_QtSensors[1541]
#define sipNameNr_activeChanged 2088
#define sipName_activeChanged &sipStrings_QtSensors[2088]
#define sipNameNr_setFromEuler 2102
#define sipName_setFromEuler &sipStrings_QtSensors[2102]
#define sipNameNr_setXRotation 2115
#define sipName_setXRotation &sipStrings_QtSensors[2115]
#define sipNameNr_setYRotation 2128
#define sipName_setYRotation &sipStrings_QtSensors[2128]
#define sipNameNr_QTiltReading 2141
#define sipName_QTiltReading &sipStrings_QtSensors[2141]
#define sipNameNr_setDoubleTap 2154
#define sipName_setDoubleTap &sipStrings_QtSensors[2154]
#define sipNameNr_tapDirection 2167
#define sipName_tapDirection &sipStrings_QtSensors[2167]
#define sipNameNr_TapDirection 280
#define sipName_TapDirection &sipStrings_QtSensors[280]
#define sipNameNr_removeFilter 2180
#define sipName_removeFilter &sipStrings_QtSensors[2180]
#define sipNameNr_outputRanges 2193
#define sipName_outputRanges &sipStrings_QtSensors[2193]
#define sipNameNr_setTimestamp 2206
#define sipName_setTimestamp &sipStrings_QtSensors[2206]
#define sipNameNr_qoutputrange 2219
#define sipName_qoutputrange &sipStrings_QtSensors[2219]
#define sipNameNr_QLightSensor 2232
#define sipName_QLightSensor &sipStrings_QtSensors[2232]
#define sipNameNr_QLightFilter 2245
#define sipName_QLightFilter &sipStrings_QtSensors[2245]
#define sipNameNr_setHolstered 2258
#define sipName_setHolstered &sipStrings_QtSensors[2258]
#define sipNameNr_hasZChanged 2271
#define sipName_hasZChanged &sipStrings_QtSensors[2271]
#define sipNameNr_QTiltSensor 2283
#define sipName_QTiltSensor &sipStrings_QtSensors[2283]
#define sipNameNr_QTiltFilter 2295
#define sipName_QTiltFilter &sipStrings_QtSensors[2295]
#define sipNameNr_isDoubleTap 2307
#define sipName_isDoubleTap &sipStrings_QtSensors[2307]
#define sipNameNr_QTapReading 2319
#define sipName_QTapReading &sipStrings_QtSensors[2319]
#define sipNameNr_sensorError 2331
#define sipName_sensorError &sipStrings_QtSensors[2331]
#define sipNameNr_busyChanged 2343
#define sipName_busyChanged &sipStrings_QtSensors[2343]
#define sipNameNr_sensorTypes 2355
#define sipName_sensorTypes &sipStrings_QtSensors[2355]
#define sipNameNr_outputRange 2367
#define sipName_outputRange &sipStrings_QtSensors[2367]
#define sipNameNr_setDataRate 2379
#define sipName_setDataRate &sipStrings_QtSensors[2379]
#define sipNameNr_setAlwaysOn 2391
#define sipName_setAlwaysOn &sipStrings_QtSensors[2391]
#define sipNameNr_FieldOfView 1873
#define sipName_FieldOfView &sipStrings_QtSensors[1873]
#define sipNameNr_setPressure 2403
#define sipName_setPressure &sipStrings_QtSensors[2403]
#define sipNameNr_fieldOfView 2415
#define sipName_fieldOfView &sipStrings_QtSensors[2415]
#define sipNameNr_reflectance 2427
#define sipName_reflectance &sipStrings_QtSensors[2427]
#define sipNameNr_setDistance 2439
#define sipName_setDistance &sipStrings_QtSensors[2439]
#define sipNameNr_temperature 2451
#define sipName_temperature &sipStrings_QtSensors[2451]
#define sipNameNr_setAltitude 2463
#define sipName_setAltitude &sipStrings_QtSensors[2463]
#define sipNameNr_customEvent 2475
#define sipName_customEvent &sipStrings_QtSensors[2475]
#define sipNameNr_eventFilter 2487
#define sipName_eventFilter &sipStrings_QtSensors[2487]
#define sipNameNr_description 2499
#define sipName_description &sipStrings_QtSensors[2499]
#define sipNameNr_orientation 2511
#define sipName_orientation &sipStrings_QtSensors[2511]
#define sipNameNr_Orientation 21
#define sipName_Orientation &sipStrings_QtSensors[21]
#define sipNameNr_QTapSensor 2523
#define sipName_QTapSensor &sipStrings_QtSensors[2523]
#define sipNameNr_QTapFilter 2534
#define sipName_QTapFilter &sipStrings_QtSensors[2534]
#define sipNameNr_bufferSize 2545
#define sipName_bufferSize &sipStrings_QtSensors[2545]
#define sipNameNr_isAlwaysOn 2556
#define sipName_isAlwaysOn &sipStrings_QtSensors[2556]
#define sipNameNr_identifier 2567
#define sipName_identifier &sipStrings_QtSensors[2567]
#define sipNameNr_valueCount 2578
#define sipName_valueCount &sipStrings_QtSensors[2578]
#define sipNameNr_QGyroscope 2589
#define sipName_QGyroscope &sipStrings_QtSensors[2589]
#define sipNameNr_setAzimuth 2600
#define sipName_setAzimuth &sipStrings_QtSensors[2600]
#define sipNameNr_lightLevel 2611
#define sipName_lightLevel &sipStrings_QtSensors[2611]
#define sipNameNr_LightLevel 55
#define sipName_LightLevel &sipStrings_QtSensors[55]
#define sipNameNr_QAltimeter 2622
#define sipName_QAltimeter &sipStrings_QtSensors[2622]
#define sipNameNr_childEvent 2633
#define sipName_childEvent &sipStrings_QtSensors[2633]
#define sipNameNr_timerEvent 2644
#define sipName_timerEvent &sipStrings_QtSensors[2644]
#define sipNameNr_calibrate 2655
#define sipName_calibrate &sipStrings_QtSensors[2655]
#define sipNameNr_xRotation 2665
#define sipName_xRotation &sipStrings_QtSensors[2665]
#define sipNameNr_yRotation 2675
#define sipName_yRotation &sipStrings_QtSensors[2675]
#define sipNameNr_addFilter 2685
#define sipName_addFilter &sipStrings_QtSensors[2685]
#define sipNameNr_setActive 2695
#define sipName_setActive &sipStrings_QtSensors[2695]
#define sipNameNr_GeoValues 1142
#define sipName_GeoValues &sipStrings_QtSensors[1142]
#define sipNameNr_Buffering 2705
#define sipName_Buffering &sipStrings_QtSensors[2705]
#define sipNameNr_timestamp 2715
#define sipName_timestamp &sipStrings_QtSensors[2715]
#define sipNameNr_holstered 2725
#define sipName_holstered &sipStrings_QtSensors[2725]
#define sipNameNr_directory 2735
#define sipName_directory &sipStrings_QtSensors[2735]
#define sipNameNr_Undefined 2745
#define sipName_Undefined &sipStrings_QtSensors[2745]
#define sipNameNr_precision 2755
#define sipName_precision &sipStrings_QtSensors[2755]
#define sipNameNr_dataRate 2765
#define sipName_dataRate &sipStrings_QtSensors[2765]
#define sipNameNr_AlwaysOn 2394
#define sipName_AlwaysOn &sipStrings_QtSensors[2394]
#define sipNameNr_accuracy 2774
#define sipName_accuracy &sipStrings_QtSensors[2774]
#define sipNameNr_setClose 2783
#define sipName_setClose &sipStrings_QtSensors[2783]
#define sipNameNr_pressure 2792
#define sipName_pressure &sipStrings_QtSensors[2792]
#define sipNameNr_FaceDown 2801
#define sipName_FaceDown &sipStrings_QtSensors[2801]
#define sipNameNr_distance 2810
#define sipName_distance &sipStrings_QtSensors[2810]
#define sipNameNr_QCompass 2819
#define sipName_QCompass &sipStrings_QtSensors[2819]
#define sipNameNr_Twilight 2828
#define sipName_Twilight &sipStrings_QtSensors[2828]
#define sipNameNr_altitude 2837
#define sipName_altitude &sipStrings_QtSensors[2837]
#define sipNameNr_Combined 2846
#define sipName_Combined &sipStrings_QtSensors[2846]
#define sipNameNr_nameType 2855
#define sipName_nameType &sipStrings_QtSensors[2855]
#define sipNameNr_isActive 2864
#define sipName_isActive &sipStrings_QtSensors[2864]
#define sipNameNr_setHasZ 2873
#define sipName_setHasZ &sipStrings_QtSensors[2873]
#define sipNameNr_Feature 1394
#define sipName_Feature &sipStrings_QtSensors[1394]
#define sipNameNr_maximum 2881
#define sipName_maximum &sipStrings_QtSensors[2881]
#define sipNameNr_minimum 2889
#define sipName_minimum &sipStrings_QtSensors[2889]
#define sipNameNr_RightUp 2897
#define sipName_RightUp &sipStrings_QtSensors[2897]
#define sipNameNr_TopDown 2905
#define sipName_TopDown &sipStrings_QtSensors[2905]
#define sipNameNr_azimuth 2913
#define sipName_azimuth &sipStrings_QtSensors[2913]
#define sipNameNr_Gravity 2921
#define sipName_Gravity &sipStrings_QtSensors[2921]
#define sipNameNr_QSensor 2929
#define sipName_QSensor &sipStrings_QtSensors[2929]
#define sipNameNr_reading 2937
#define sipName_reading &sipStrings_QtSensors[2937]
#define sipNameNr_filters 2945
#define sipName_filters &sipStrings_QtSensors[2945]
#define sipNameNr_options 2953
#define sipName_options &sipStrings_QtSensors[2953]
#define sipNameNr_Z_Both 2961
#define sipName_Z_Both &sipStrings_QtSensors[2961]
#define sipNameNr_Y_Both 2968
#define sipName_Y_Both &sipStrings_QtSensors[2968]
#define sipNameNr_X_Both 2975
#define sipName_X_Both &sipStrings_QtSensors[2975]
#define sipNameNr_isBusy 2982
#define sipName_isBusy &sipStrings_QtSensors[2982]
#define sipNameNr_FaceUp 2989
#define sipName_FaceUp &sipStrings_QtSensors[2989]
#define sipNameNr_LeftUp 2996
#define sipName_LeftUp &sipStrings_QtSensors[2996]
#define sipNameNr_setLux 3003
#define sipName_setLux &sipStrings_QtSensors[3003]
#define sipNameNr_Bright 3010
#define sipName_Bright &sipStrings_QtSensors[3010]
#define sipNameNr_proper 3017
#define sipName_proper &sipStrings_QtSensors[3017]
#define sipNameNr_value9 3024
#define sipName_value9 &sipStrings_QtSensors[3024]
#define sipNameNr_value8 3031
#define sipName_value8 &sipStrings_QtSensors[3031]
#define sipNameNr_value7 3038
#define sipName_value7 &sipStrings_QtSensors[3038]
#define sipNameNr_value6 3045
#define sipName_value6 &sipStrings_QtSensors[3045]
#define sipNameNr_value5 3052
#define sipName_value5 &sipStrings_QtSensors[3052]
#define sipNameNr_value4 3059
#define sipName_value4 &sipStrings_QtSensors[3059]
#define sipNameNr_value3 3066
#define sipName_value3 &sipStrings_QtSensors[3066]
#define sipNameNr_value2 3073
#define sipName_value2 &sipStrings_QtSensors[3073]
#define sipNameNr_value1 3080
#define sipName_value1 &sipStrings_QtSensors[3080]
#define sipNameNr_value0 3087
#define sipName_value0 &sipStrings_QtSensors[3087]
#define sipNameNr_symbol 3094
#define sipName_symbol &sipStrings_QtSensors[3094]
#define sipNameNr_suffix 3101
#define sipName_suffix &sipStrings_QtSensors[3101]
#define sipNameNr_prefix 3108
#define sipName_prefix &sipStrings_QtSensors[3108]
#define sipNameNr_filter 3115
#define sipName_filter &sipStrings_QtSensors[3115]
#define sipNameNr_locale 3122
#define sipName_locale &sipStrings_QtSensors[3122]
#define sipNameNr_format 3129
#define sipName_format &sipStrings_QtSensors[3129]
#define sipNameNr_parent 3136
#define sipName_parent &sipStrings_QtSensors[3136]
#define sipNameNr_Z_Neg 3143
#define sipName_Z_Neg &sipStrings_QtSensors[3143]
#define sipNameNr_Y_Neg 3149
#define sipName_Y_Neg &sipStrings_QtSensors[3149]
#define sipNameNr_X_Neg 3155
#define sipName_X_Neg &sipStrings_QtSensors[3155]
#define sipNameNr_Z_Pos 3161
#define sipName_Z_Pos &sipStrings_QtSensors[3161]
#define sipNameNr_Y_Pos 3167
#define sipName_Y_Pos &sipStrings_QtSensors[3167]
#define sipNameNr_X_Pos 3173
#define sipName_X_Pos &sipStrings_QtSensors[3173]
#define sipNameNr_TopUp 3179
#define sipName_TopUp &sipStrings_QtSensors[3179]
#define sipNameNr_Sunny 3185
#define sipName_Sunny &sipStrings_QtSensors[3185]
#define sipNameNr_Light 3191
#define sipName_Light &sipStrings_QtSensors[3191]
#define sipNameNr_error 3197
#define sipName_error &sipStrings_QtSensors[3197]
#define sipNameNr_close 3203
#define sipName_close &sipStrings_QtSensors[3203]
#define sipNameNr_value 3209
#define sipName_value &sipStrings_QtSensors[3209]
#define sipNameNr_event 3215
#define sipName_event &sipStrings_QtSensors[3215]
#define sipNameNr_msecs 3221
#define sipName_msecs &sipStrings_QtSensors[3221]
#define sipNameNr_start 3227
#define sipName_start &sipStrings_QtSensors[3227]
#define sipNameNr_hasZ 3233
#define sipName_hasZ &sipStrings_QtSensors[3233]
#define sipNameNr_Dark 3238
#define sipName_Dark &sipStrings_QtSensors[3238]
#define sipNameNr_setZ 3243
#define sipName_setZ &sipStrings_QtSensors[3243]
#define sipNameNr_setY 3248
#define sipName_setY &sipStrings_QtSensors[3248]
#define sipNameNr_setX 3253
#define sipName_setX &sipStrings_QtSensors[3253]
#define sipNameNr_mode 3258
#define sipName_mode &sipStrings_QtSensors[3258]
#define sipNameNr_User 3263
#define sipName_User &sipStrings_QtSensors[3263]
#define sipNameNr_name 3268
#define sipName_name &sipStrings_QtSensors[3268]
#define sipNameNr_base 3273
#define sipName_base &sipStrings_QtSensors[3273]
#define sipNameNr_type 3278
#define sipName_type &sipStrings_QtSensors[3278]
#define sipNameNr_from 3283
#define sipName_from &sipStrings_QtSensors[3283]
#define sipNameNr_sort 3288
#define sipName_sort &sipStrings_QtSensors[3288]
#define sipNameNr_stop 3293
#define sipName_stop &sipStrings_QtSensors[3293]
#define sipNameNr_lux 3298
#define sipName_lux &sipStrings_QtSensors[3298]
#define sipNameNr_Z 2879
#define sipName_Z &sipStrings_QtSensors[2879]
#define sipNameNr_Y 3251
#define sipName_Y &sipStrings_QtSensors[3251]
#define sipNameNr_X 3256
#define sipName_X &sipStrings_QtSensors[3256]
#define sipNameNr_z 3302
#define sipName_z &sipStrings_QtSensors[3302]
#define sipNameNr_x 3008
#define sipName_x &sipStrings_QtSensors[3008]
#define sipNameNr_y 1553
#define sipName_y &sipStrings_QtSensors[1553]

#define sipMalloc                   sipAPI_QtSensors->api_malloc
#define sipFree                     sipAPI_QtSensors->api_free
#define sipBuildResult              sipAPI_QtSensors->api_build_result
#define sipCallMethod               sipAPI_QtSensors->api_call_method
#define sipCallErrorHandler         sipAPI_QtSensors->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSensors->api_parse_result_ex
#define sipParseResult              sipAPI_QtSensors->api_parse_result
#define sipParseArgs                sipAPI_QtSensors->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSensors->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSensors->api_parse_pair
#define sipCommonDtor               sipAPI_QtSensors->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_QtSensors->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_QtSensors->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSensors->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSensors->api_add_exception
#define sipNoFunction               sipAPI_QtSensors->api_no_function
#define sipNoMethod                 sipAPI_QtSensors->api_no_method
#define sipAbstractMethod           sipAPI_QtSensors->api_abstract_method
#define sipBadClass                 sipAPI_QtSensors->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSensors->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSensors->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSensors->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSensors->api_trace
#define sipTransferBack             sipAPI_QtSensors->api_transfer_back
#define sipTransferTo               sipAPI_QtSensors->api_transfer_to
#define sipTransferBreak            sipAPI_QtSensors->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtSensors->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSensors->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSensors->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSensors->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSensors->api_get_pyobject
#define sipGetAddress               sipAPI_QtSensors->api_get_address
#define sipGetMixinAddress          sipAPI_QtSensors->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSensors->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSensors->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtSensors->api_is_py_method
#define sipCallHook                 sipAPI_QtSensors->api_call_hook
#define sipEndThread                sipAPI_QtSensors->api_end_thread
#define sipConnectRx                sipAPI_QtSensors->api_connect_rx
#define sipDisconnectRx             sipAPI_QtSensors->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtSensors->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSensors->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSensors->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSensors->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtSensors->api_free_sipslot
#define sipSameSlot                 sipAPI_QtSensors->api_same_slot
#define sipPySlotExtend             sipAPI_QtSensors->api_pyslot_extend
#define sipConvertRx                sipAPI_QtSensors->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtSensors->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSensors->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSensors->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSensors->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtSensors->api_can_convert_to_enum
#define sipReleaseType              sipAPI_QtSensors->api_release_type
#define sipConvertFromType          sipAPI_QtSensors->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSensors->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSensors->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSensors->api_convert_from_enum
#define sipGetState                 sipAPI_QtSensors->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_QtSensors->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_QtSensors->api_export_symbol
#define sipImportSymbol             sipAPI_QtSensors->api_import_symbol
#define sipFindType                 sipAPI_QtSensors->api_find_type
#define sipFindNamedEnum            sipAPI_QtSensors->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtSensors->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSensors->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSensors->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSensors->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSensors->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSensors->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSensors->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSensors->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSensors->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSensors->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSensors->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSensors->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSensors->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtSensors->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtSensors->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtSensors->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtSensors->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtSensors->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->type->td_cname)
#define sipDeprecated               sipAPI_QtSensors->api_deprecated
#define sipGetReference             sipAPI_QtSensors->api_get_reference
#define sipKeepReference            sipAPI_QtSensors->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSensors->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSensors->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSensors->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSensors->api_type_scope
#define sipResolveTypedef           sipAPI_QtSensors->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSensors->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtSensors->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtSensors->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtSensors->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSensors->api_init_mixin
#define sipExportModule             sipAPI_QtSensors->api_export_module
#define sipInitModule               sipAPI_QtSensors->api_init_module

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtSensors->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtSensors->api_map_int_to_class
#define sipFindClass                sipAPI_QtSensors->api_find_class
#define sipFindMappedType           sipAPI_QtSensors->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtSensors->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSensors->api_convert_to_typed_array
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtSensors->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->type)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->type, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->type, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->type, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->type, (t))

/* The strings used by this module. */
extern const char sipStrings_QtSensors[];

#define sipType_QtMsgType              sipModuleAPI_QtSensors_QtCore->em_types[415]
#define sipEnum_QtMsgType              sipModuleAPI_QtSensors_QtCore->em_types[415]->u.td_py_type

#define sipType_QSensorReading              sipModuleAPI_QtSensors.em_types[54]
#define sipClass_QSensorReading             sipModuleAPI_QtSensors.em_types[54]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QSensorReading;

#define sipType_QAccelerometerReading              sipModuleAPI_QtSensors.em_types[3]
#define sipClass_QAccelerometerReading             sipModuleAPI_QtSensors.em_types[3]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAccelerometerReading;

#define sipType_QSensorFilter              sipModuleAPI_QtSensors.em_types[53]
#define sipClass_QSensorFilter             sipModuleAPI_QtSensors.em_types[53]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QSensorFilter;

#define sipType_QAccelerometerFilter              sipModuleAPI_QtSensors.em_types[2]
#define sipClass_QAccelerometerFilter             sipModuleAPI_QtSensors.em_types[2]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAccelerometerFilter;

#define sipType_QSensor              sipModuleAPI_QtSensors.em_types[50]
#define sipClass_QSensor             sipModuleAPI_QtSensors.em_types[50]->u.td_wrapper_type

#define sipType_QSensor_AxesOrientationMode              sipModuleAPI_QtSensors.em_types[51]
#define sipEnum_QSensor_AxesOrientationMode              sipModuleAPI_QtSensors.em_types[51]->u.td_py_type
#define sipType_QSensor_Feature              sipModuleAPI_QtSensors.em_types[52]
#define sipEnum_QSensor_Feature              sipModuleAPI_QtSensors.em_types[52]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QSensor;

#define sipType_QAccelerometer              sipModuleAPI_QtSensors.em_types[0]
#define sipClass_QAccelerometer             sipModuleAPI_QtSensors.em_types[0]->u.td_wrapper_type

#define sipType_QAccelerometer_AccelerationMode              sipModuleAPI_QtSensors.em_types[1]
#define sipEnum_QAccelerometer_AccelerationMode              sipModuleAPI_QtSensors.em_types[1]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAccelerometer;

#define sipType_QAltimeterReading              sipModuleAPI_QtSensors.em_types[6]
#define sipClass_QAltimeterReading             sipModuleAPI_QtSensors.em_types[6]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAltimeterReading;

#define sipType_QAltimeterFilter              sipModuleAPI_QtSensors.em_types[5]
#define sipClass_QAltimeterFilter             sipModuleAPI_QtSensors.em_types[5]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAltimeterFilter;

#define sipType_QAltimeter              sipModuleAPI_QtSensors.em_types[4]
#define sipClass_QAltimeter             sipModuleAPI_QtSensors.em_types[4]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAltimeter;

#define sipType_QAmbientLightReading              sipModuleAPI_QtSensors.em_types[8]
#define sipClass_QAmbientLightReading             sipModuleAPI_QtSensors.em_types[8]->u.td_wrapper_type

#define sipType_QAmbientLightReading_LightLevel              sipModuleAPI_QtSensors.em_types[9]
#define sipEnum_QAmbientLightReading_LightLevel              sipModuleAPI_QtSensors.em_types[9]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientLightReading;

#define sipType_QAmbientLightFilter              sipModuleAPI_QtSensors.em_types[7]
#define sipClass_QAmbientLightFilter             sipModuleAPI_QtSensors.em_types[7]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientLightFilter;

#define sipType_QAmbientLightSensor              sipModuleAPI_QtSensors.em_types[10]
#define sipClass_QAmbientLightSensor             sipModuleAPI_QtSensors.em_types[10]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientLightSensor;

#define sipType_QAmbientTemperatureReading              sipModuleAPI_QtSensors.em_types[12]
#define sipClass_QAmbientTemperatureReading             sipModuleAPI_QtSensors.em_types[12]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureReading;

#define sipType_QAmbientTemperatureFilter              sipModuleAPI_QtSensors.em_types[11]
#define sipClass_QAmbientTemperatureFilter             sipModuleAPI_QtSensors.em_types[11]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureFilter;

#define sipType_QAmbientTemperatureSensor              sipModuleAPI_QtSensors.em_types[13]
#define sipClass_QAmbientTemperatureSensor             sipModuleAPI_QtSensors.em_types[13]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureSensor;

#define sipType_QCompassReading              sipModuleAPI_QtSensors.em_types[16]
#define sipClass_QCompassReading             sipModuleAPI_QtSensors.em_types[16]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QCompassReading;

#define sipType_QCompassFilter              sipModuleAPI_QtSensors.em_types[15]
#define sipClass_QCompassFilter             sipModuleAPI_QtSensors.em_types[15]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QCompassFilter;

#define sipType_QCompass              sipModuleAPI_QtSensors.em_types[14]
#define sipClass_QCompass             sipModuleAPI_QtSensors.em_types[14]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QCompass;

#define sipType_QDistanceReading              sipModuleAPI_QtSensors.em_types[18]
#define sipClass_QDistanceReading             sipModuleAPI_QtSensors.em_types[18]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QDistanceReading;

#define sipType_QDistanceFilter              sipModuleAPI_QtSensors.em_types[17]
#define sipClass_QDistanceFilter             sipModuleAPI_QtSensors.em_types[17]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QDistanceFilter;

#define sipType_QDistanceSensor              sipModuleAPI_QtSensors.em_types[19]
#define sipClass_QDistanceSensor             sipModuleAPI_QtSensors.em_types[19]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QDistanceSensor;

#define sipType_QGyroscopeReading              sipModuleAPI_QtSensors.em_types[22]
#define sipClass_QGyroscopeReading             sipModuleAPI_QtSensors.em_types[22]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QGyroscopeReading;

#define sipType_QGyroscopeFilter              sipModuleAPI_QtSensors.em_types[21]
#define sipClass_QGyroscopeFilter             sipModuleAPI_QtSensors.em_types[21]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QGyroscopeFilter;

#define sipType_QGyroscope              sipModuleAPI_QtSensors.em_types[20]
#define sipClass_QGyroscope             sipModuleAPI_QtSensors.em_types[20]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QGyroscope;

#define sipType_QHolsterReading              sipModuleAPI_QtSensors.em_types[24]
#define sipClass_QHolsterReading             sipModuleAPI_QtSensors.em_types[24]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QHolsterReading;

#define sipType_QHolsterFilter              sipModuleAPI_QtSensors.em_types[23]
#define sipClass_QHolsterFilter             sipModuleAPI_QtSensors.em_types[23]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QHolsterFilter;

#define sipType_QHolsterSensor              sipModuleAPI_QtSensors.em_types[25]
#define sipClass_QHolsterSensor             sipModuleAPI_QtSensors.em_types[25]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QHolsterSensor;

#define sipType_QIRProximityReading              sipModuleAPI_QtSensors.em_types[27]
#define sipClass_QIRProximityReading             sipModuleAPI_QtSensors.em_types[27]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QIRProximityReading;

#define sipType_QIRProximityFilter              sipModuleAPI_QtSensors.em_types[26]
#define sipClass_QIRProximityFilter             sipModuleAPI_QtSensors.em_types[26]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QIRProximityFilter;

#define sipType_QIRProximitySensor              sipModuleAPI_QtSensors.em_types[28]
#define sipClass_QIRProximitySensor             sipModuleAPI_QtSensors.em_types[28]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QIRProximitySensor;

#define sipType_QLightReading              sipModuleAPI_QtSensors.em_types[30]
#define sipClass_QLightReading             sipModuleAPI_QtSensors.em_types[30]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QLightReading;

#define sipType_QLightFilter              sipModuleAPI_QtSensors.em_types[29]
#define sipClass_QLightFilter             sipModuleAPI_QtSensors.em_types[29]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QLightFilter;

#define sipType_QLightSensor              sipModuleAPI_QtSensors.em_types[31]
#define sipClass_QLightSensor             sipModuleAPI_QtSensors.em_types[31]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QLightSensor;

#define sipType_QMagnetometerReading              sipModuleAPI_QtSensors.em_types[36]
#define sipClass_QMagnetometerReading             sipModuleAPI_QtSensors.em_types[36]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QMagnetometerReading;

#define sipType_QMagnetometerFilter              sipModuleAPI_QtSensors.em_types[35]
#define sipClass_QMagnetometerFilter             sipModuleAPI_QtSensors.em_types[35]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QMagnetometerFilter;

#define sipType_QMagnetometer              sipModuleAPI_QtSensors.em_types[34]
#define sipClass_QMagnetometer             sipModuleAPI_QtSensors.em_types[34]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QMagnetometer;

#define sipType_QOrientationReading              sipModuleAPI_QtSensors.em_types[38]
#define sipClass_QOrientationReading             sipModuleAPI_QtSensors.em_types[38]->u.td_wrapper_type

#define sipType_QOrientationReading_Orientation              sipModuleAPI_QtSensors.em_types[39]
#define sipEnum_QOrientationReading_Orientation              sipModuleAPI_QtSensors.em_types[39]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QOrientationReading;

#define sipType_QOrientationFilter              sipModuleAPI_QtSensors.em_types[37]
#define sipClass_QOrientationFilter             sipModuleAPI_QtSensors.em_types[37]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QOrientationFilter;

#define sipType_QOrientationSensor              sipModuleAPI_QtSensors.em_types[40]
#define sipClass_QOrientationSensor             sipModuleAPI_QtSensors.em_types[40]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QOrientationSensor;

#define sipType_QPressureReading              sipModuleAPI_QtSensors.em_types[42]
#define sipClass_QPressureReading             sipModuleAPI_QtSensors.em_types[42]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QPressureReading;

#define sipType_QPressureFilter              sipModuleAPI_QtSensors.em_types[41]
#define sipClass_QPressureFilter             sipModuleAPI_QtSensors.em_types[41]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QPressureFilter;

#define sipType_QPressureSensor              sipModuleAPI_QtSensors.em_types[43]
#define sipClass_QPressureSensor             sipModuleAPI_QtSensors.em_types[43]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QPressureSensor;

#define sipType_QProximityReading              sipModuleAPI_QtSensors.em_types[45]
#define sipClass_QProximityReading             sipModuleAPI_QtSensors.em_types[45]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QProximityReading;

#define sipType_QProximityFilter              sipModuleAPI_QtSensors.em_types[44]
#define sipClass_QProximityFilter             sipModuleAPI_QtSensors.em_types[44]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QProximityFilter;

#define sipType_QProximitySensor              sipModuleAPI_QtSensors.em_types[46]
#define sipClass_QProximitySensor             sipModuleAPI_QtSensors.em_types[46]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QProximitySensor;

#define sipType_qoutputrange              sipModuleAPI_QtSensors.em_types[62]
#define sipClass_qoutputrange             sipModuleAPI_QtSensors.em_types[62]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_qoutputrange;

#define sipType_QTapReading              sipModuleAPI_QtSensors.em_types[56]
#define sipClass_QTapReading             sipModuleAPI_QtSensors.em_types[56]->u.td_wrapper_type

#define sipType_QTapReading_TapDirection              sipModuleAPI_QtSensors.em_types[57]
#define sipEnum_QTapReading_TapDirection              sipModuleAPI_QtSensors.em_types[57]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTapReading;

#define sipType_QTapFilter              sipModuleAPI_QtSensors.em_types[55]
#define sipClass_QTapFilter             sipModuleAPI_QtSensors.em_types[55]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTapFilter;

#define sipType_QTapSensor              sipModuleAPI_QtSensors.em_types[58]
#define sipClass_QTapSensor             sipModuleAPI_QtSensors.em_types[58]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTapSensor;

#define sipType_QTiltReading              sipModuleAPI_QtSensors.em_types[60]
#define sipClass_QTiltReading             sipModuleAPI_QtSensors.em_types[60]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTiltReading;

#define sipType_QTiltFilter              sipModuleAPI_QtSensors.em_types[59]
#define sipClass_QTiltFilter             sipModuleAPI_QtSensors.em_types[59]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTiltFilter;

#define sipType_QTiltSensor              sipModuleAPI_QtSensors.em_types[61]
#define sipClass_QTiltSensor             sipModuleAPI_QtSensors.em_types[61]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QTiltSensor;

#define sipType_QRotationReading              sipModuleAPI_QtSensors.em_types[48]
#define sipClass_QRotationReading             sipModuleAPI_QtSensors.em_types[48]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QRotationReading;

#define sipType_QRotationFilter              sipModuleAPI_QtSensors.em_types[47]
#define sipClass_QRotationFilter             sipModuleAPI_QtSensors.em_types[47]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QRotationFilter;

#define sipType_QRotationSensor              sipModuleAPI_QtSensors.em_types[49]
#define sipClass_QRotationSensor             sipModuleAPI_QtSensors.em_types[49]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSensors_QRotationSensor;

#define sipType_QList_0101QSensorFilter      sipModuleAPI_QtSensors.em_types[32]

extern sipMappedTypeDef sipTypeDef_QtSensors_QList_0101QSensorFilter;

#define sipType_QList_0100qoutputrange      sipModuleAPI_QtSensors.em_types[33]

extern sipMappedTypeDef sipTypeDef_QtSensors_QList_0100qoutputrange;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSensors;
extern sipExportedModuleDef sipModuleAPI_QtSensors;

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_QtSensors_QtCore->em_types[311]
#define sipClass_Qt             sipModuleAPI_QtSensors_QtCore->em_types[311]->u.td_wrapper_type
#endif

#define sipType_Qt_ItemSelectionOperation              sipModuleAPI_QtSensors_QtCore->em_types[362]
#define sipEnum_Qt_ItemSelectionOperation              sipModuleAPI_QtSensors_QtCore->em_types[362]->u.td_py_type
#define sipType_Qt_TabFocusBehavior              sipModuleAPI_QtSensors_QtCore->em_types[391]
#define sipEnum_Qt_TabFocusBehavior              sipModuleAPI_QtSensors_QtCore->em_types[391]->u.td_py_type
#define sipType_Qt_MouseEventFlag              sipModuleAPI_QtSensors_QtCore->em_types[373]
#define sipEnum_Qt_MouseEventFlag              sipModuleAPI_QtSensors_QtCore->em_types[373]->u.td_py_type
#define sipType_Qt_MouseEventSource              sipModuleAPI_QtSensors_QtCore->em_types[375]
#define sipEnum_Qt_MouseEventSource              sipModuleAPI_QtSensors_QtCore->em_types[375]->u.td_py_type
#define sipType_Qt_ScrollPhase              sipModuleAPI_QtSensors_QtCore->em_types[386]
#define sipEnum_Qt_ScrollPhase              sipModuleAPI_QtSensors_QtCore->em_types[386]->u.td_py_type
#define sipType_Qt_NativeGestureType              sipModuleAPI_QtSensors_QtCore->em_types[376]
#define sipEnum_Qt_NativeGestureType              sipModuleAPI_QtSensors_QtCore->em_types[376]->u.td_py_type
#define sipType_Qt_Edge              sipModuleAPI_QtSensors_QtCore->em_types[338]
#define sipEnum_Qt_Edge              sipModuleAPI_QtSensors_QtCore->em_types[338]->u.td_py_type
#define sipType_Qt_ApplicationState              sipModuleAPI_QtSensors_QtCore->em_types[316]
#define sipEnum_Qt_ApplicationState              sipModuleAPI_QtSensors_QtCore->em_types[316]->u.td_py_type
#define sipType_Qt_HitTestAccuracy              sipModuleAPI_QtSensors_QtCore->em_types[351]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_QtSensors_QtCore->em_types[351]->u.td_py_type
#define sipType_Qt_WhiteSpaceMode              sipModuleAPI_QtSensors_QtCore->em_types[407]
#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_QtSensors_QtCore->em_types[407]->u.td_py_type
#define sipType_Qt_FindChildOption              sipModuleAPI_QtSensors_QtCore->em_types[342]
#define sipEnum_Qt_FindChildOption              sipModuleAPI_QtSensors_QtCore->em_types[342]->u.td_py_type
#define sipType_Qt_ScreenOrientation              sipModuleAPI_QtSensors_QtCore->em_types[383]
#define sipEnum_Qt_ScreenOrientation              sipModuleAPI_QtSensors_QtCore->em_types[383]->u.td_py_type
#define sipType_Qt_CursorMoveStyle              sipModuleAPI_QtSensors_QtCore->em_types[330]
#define sipEnum_Qt_CursorMoveStyle              sipModuleAPI_QtSensors_QtCore->em_types[330]->u.td_py_type
#define sipType_Qt_NavigationMode              sipModuleAPI_QtSensors_QtCore->em_types[377]
#define sipEnum_Qt_NavigationMode              sipModuleAPI_QtSensors_QtCore->em_types[377]->u.td_py_type
#define sipType_Qt_GestureFlag              sipModuleAPI_QtSensors_QtCore->em_types[346]
#define sipEnum_Qt_GestureFlag              sipModuleAPI_QtSensors_QtCore->em_types[346]->u.td_py_type
#define sipType_Qt_GestureType              sipModuleAPI_QtSensors_QtCore->em_types[349]
#define sipEnum_Qt_GestureType              sipModuleAPI_QtSensors_QtCore->em_types[349]->u.td_py_type
#define sipType_Qt_GestureState              sipModuleAPI_QtSensors_QtCore->em_types[348]
#define sipEnum_Qt_GestureState              sipModuleAPI_QtSensors_QtCore->em_types[348]->u.td_py_type
#define sipType_Qt_TouchPointState              sipModuleAPI_QtSensors_QtCore->em_types[403]
#define sipEnum_Qt_TouchPointState              sipModuleAPI_QtSensors_QtCore->em_types[403]->u.td_py_type
#define sipType_Qt_CoordinateSystem              sipModuleAPI_QtSensors_QtCore->em_types[328]
#define sipEnum_Qt_CoordinateSystem              sipModuleAPI_QtSensors_QtCore->em_types[328]->u.td_py_type
#define sipType_Qt_AnchorPoint              sipModuleAPI_QtSensors_QtCore->em_types[314]
#define sipEnum_Qt_AnchorPoint              sipModuleAPI_QtSensors_QtCore->em_types[314]->u.td_py_type
#define sipType_Qt_InputMethodHint              sipModuleAPI_QtSensors_QtCore->em_types[354]
#define sipEnum_Qt_InputMethodHint              sipModuleAPI_QtSensors_QtCore->em_types[354]->u.td_py_type
#define sipType_Qt_TileRule              sipModuleAPI_QtSensors_QtCore->em_types[397]
#define sipEnum_Qt_TileRule              sipModuleAPI_QtSensors_QtCore->em_types[397]->u.td_py_type
#define sipType_Qt_WindowFrameSection              sipModuleAPI_QtSensors_QtCore->em_types[410]
#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_QtSensors_QtCore->em_types[410]->u.td_py_type
#define sipType_Qt_SizeHint              sipModuleAPI_QtSensors_QtCore->em_types[388]
#define sipEnum_Qt_SizeHint              sipModuleAPI_QtSensors_QtCore->em_types[388]->u.td_py_type
#define sipType_Qt_SizeMode              sipModuleAPI_QtSensors_QtCore->em_types[389]
#define sipEnum_Qt_SizeMode              sipModuleAPI_QtSensors_QtCore->em_types[389]->u.td_py_type
#define sipType_Qt_EventPriority              sipModuleAPI_QtSensors_QtCore->em_types[340]
#define sipEnum_Qt_EventPriority              sipModuleAPI_QtSensors_QtCore->em_types[340]->u.td_py_type
#define sipType_Qt_Axis              sipModuleAPI_QtSensors_QtCore->em_types[320]
#define sipEnum_Qt_Axis              sipModuleAPI_QtSensors_QtCore->em_types[320]->u.td_py_type
#define sipType_Qt_MaskMode              sipModuleAPI_QtSensors_QtCore->em_types[367]
#define sipEnum_Qt_MaskMode              sipModuleAPI_QtSensors_QtCore->em_types[367]->u.td_py_type
#define sipType_Qt_TextInteractionFlag              sipModuleAPI_QtSensors_QtCore->em_types[395]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_QtSensors_QtCore->em_types[395]->u.td_py_type
#define sipType_Qt_ItemSelectionMode              sipModuleAPI_QtSensors_QtCore->em_types[361]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_QtSensors_QtCore->em_types[361]->u.td_py_type
#define sipType_Qt_ApplicationAttribute              sipModuleAPI_QtSensors_QtCore->em_types[315]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_QtSensors_QtCore->em_types[315]->u.td_py_type
#define sipType_Qt_WindowModality              sipModuleAPI_QtSensors_QtCore->em_types[411]
#define sipEnum_Qt_WindowModality              sipModuleAPI_QtSensors_QtCore->em_types[411]->u.td_py_type
#define sipType_Qt_MatchFlag              sipModuleAPI_QtSensors_QtCore->em_types[368]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_QtSensors_QtCore->em_types[368]->u.td_py_type
#define sipType_Qt_ItemFlag              sipModuleAPI_QtSensors_QtCore->em_types[359]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_QtSensors_QtCore->em_types[359]->u.td_py_type
#define sipType_Qt_ItemDataRole              sipModuleAPI_QtSensors_QtCore->em_types[358]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_QtSensors_QtCore->em_types[358]->u.td_py_type
#define sipType_Qt_CheckState              sipModuleAPI_QtSensors_QtCore->em_types[324]
#define sipEnum_Qt_CheckState              sipModuleAPI_QtSensors_QtCore->em_types[324]->u.td_py_type
#define sipType_Qt_DropAction              sipModuleAPI_QtSensors_QtCore->em_types[336]
#define sipEnum_Qt_DropAction              sipModuleAPI_QtSensors_QtCore->em_types[336]->u.td_py_type
#define sipType_Qt_LayoutDirection              sipModuleAPI_QtSensors_QtCore->em_types[366]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_QtSensors_QtCore->em_types[366]->u.td_py_type
#define sipType_Qt_ToolButtonStyle              sipModuleAPI_QtSensors_QtCore->em_types[402]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_QtSensors_QtCore->em_types[402]->u.td_py_type
#define sipType_Qt_InputMethodQuery              sipModuleAPI_QtSensors_QtCore->em_types[357]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_QtSensors_QtCore->em_types[357]->u.td_py_type
#define sipType_Qt_ContextMenuPolicy              sipModuleAPI_QtSensors_QtCore->em_types[327]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_QtSensors_QtCore->em_types[327]->u.td_py_type
#define sipType_Qt_FocusReason              sipModuleAPI_QtSensors_QtCore->em_types[345]
#define sipEnum_Qt_FocusReason              sipModuleAPI_QtSensors_QtCore->em_types[345]->u.td_py_type
#define sipType_Qt_TransformationMode              sipModuleAPI_QtSensors_QtCore->em_types[405]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_QtSensors_QtCore->em_types[405]->u.td_py_type
#define sipType_Qt_ClipOperation              sipModuleAPI_QtSensors_QtCore->em_types[325]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_QtSensors_QtCore->em_types[325]->u.td_py_type
#define sipType_Qt_FillRule              sipModuleAPI_QtSensors_QtCore->em_types[341]
#define sipEnum_Qt_FillRule              sipModuleAPI_QtSensors_QtCore->em_types[341]->u.td_py_type
#define sipType_Qt_ShortcutContext              sipModuleAPI_QtSensors_QtCore->em_types[387]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_QtSensors_QtCore->em_types[387]->u.td_py_type
#define sipType_Qt_ConnectionType              sipModuleAPI_QtSensors_QtCore->em_types[326]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_QtSensors_QtCore->em_types[326]->u.td_py_type
#define sipType_Qt_Corner              sipModuleAPI_QtSensors_QtCore->em_types[329]
#define sipEnum_Qt_Corner              sipModuleAPI_QtSensors_QtCore->em_types[329]->u.td_py_type
#define sipType_Qt_CaseSensitivity              sipModuleAPI_QtSensors_QtCore->em_types[323]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_QtSensors_QtCore->em_types[323]->u.td_py_type
#define sipType_Qt_ScrollBarPolicy              sipModuleAPI_QtSensors_QtCore->em_types[385]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_QtSensors_QtCore->em_types[385]->u.td_py_type
#define sipType_Qt_DayOfWeek              sipModuleAPI_QtSensors_QtCore->em_types[333]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_QtSensors_QtCore->em_types[333]->u.td_py_type
#define sipType_Qt_TimeSpec              sipModuleAPI_QtSensors_QtCore->em_types[398]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_QtSensors_QtCore->em_types[398]->u.td_py_type
#define sipType_Qt_DateFormat              sipModuleAPI_QtSensors_QtCore->em_types[332]
#define sipEnum_Qt_DateFormat              sipModuleAPI_QtSensors_QtCore->em_types[332]->u.td_py_type
#define sipType_Qt_ToolBarArea              sipModuleAPI_QtSensors_QtCore->em_types[400]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_QtSensors_QtCore->em_types[400]->u.td_py_type
#define sipType_Qt_TimerType              sipModuleAPI_QtSensors_QtCore->em_types[399]
#define sipEnum_Qt_TimerType              sipModuleAPI_QtSensors_QtCore->em_types[399]->u.td_py_type
#define sipType_Qt_DockWidgetArea              sipModuleAPI_QtSensors_QtCore->em_types[334]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_QtSensors_QtCore->em_types[334]->u.td_py_type
#define sipType_Qt_AspectRatioMode              sipModuleAPI_QtSensors_QtCore->em_types[319]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_QtSensors_QtCore->em_types[319]->u.td_py_type
#define sipType_Qt_TextFormat              sipModuleAPI_QtSensors_QtCore->em_types[394]
#define sipEnum_Qt_TextFormat              sipModuleAPI_QtSensors_QtCore->em_types[394]->u.td_py_type
#define sipType_Qt_CursorShape              sipModuleAPI_QtSensors_QtCore->em_types[331]
#define sipEnum_Qt_CursorShape              sipModuleAPI_QtSensors_QtCore->em_types[331]->u.td_py_type
#define sipType_Qt_UIEffect              sipModuleAPI_QtSensors_QtCore->em_types[406]
#define sipEnum_Qt_UIEffect              sipModuleAPI_QtSensors_QtCore->em_types[406]->u.td_py_type
#define sipType_Qt_BrushStyle              sipModuleAPI_QtSensors_QtCore->em_types[322]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_QtSensors_QtCore->em_types[322]->u.td_py_type
#define sipType_Qt_PenJoinStyle              sipModuleAPI_QtSensors_QtCore->em_types[381]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_QtSensors_QtCore->em_types[381]->u.td_py_type
#define sipType_Qt_PenCapStyle              sipModuleAPI_QtSensors_QtCore->em_types[380]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_QtSensors_QtCore->em_types[380]->u.td_py_type
#define sipType_Qt_PenStyle              sipModuleAPI_QtSensors_QtCore->em_types[382]
#define sipEnum_Qt_PenStyle              sipModuleAPI_QtSensors_QtCore->em_types[382]->u.td_py_type
#define sipType_Qt_ArrowType              sipModuleAPI_QtSensors_QtCore->em_types[318]
#define sipEnum_Qt_ArrowType              sipModuleAPI_QtSensors_QtCore->em_types[318]->u.td_py_type
#define sipType_Qt_Key              sipModuleAPI_QtSensors_QtCore->em_types[363]
#define sipEnum_Qt_Key              sipModuleAPI_QtSensors_QtCore->em_types[363]->u.td_py_type
#define sipType_Qt_BGMode              sipModuleAPI_QtSensors_QtCore->em_types[321]
#define sipEnum_Qt_BGMode              sipModuleAPI_QtSensors_QtCore->em_types[321]->u.td_py_type
#define sipType_Qt_ImageConversionFlag              sipModuleAPI_QtSensors_QtCore->em_types[352]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_QtSensors_QtCore->em_types[352]->u.td_py_type
#define sipType_Qt_WidgetAttribute              sipModuleAPI_QtSensors_QtCore->em_types[408]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_QtSensors_QtCore->em_types[408]->u.td_py_type
#define sipType_Qt_WindowState              sipModuleAPI_QtSensors_QtCore->em_types[412]
#define sipEnum_Qt_WindowState              sipModuleAPI_QtSensors_QtCore->em_types[412]->u.td_py_type
#define sipType_Qt_WindowType              sipModuleAPI_QtSensors_QtCore->em_types[414]
#define sipEnum_Qt_WindowType              sipModuleAPI_QtSensors_QtCore->em_types[414]->u.td_py_type
#define sipType_Qt_TextElideMode              sipModuleAPI_QtSensors_QtCore->em_types[392]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_QtSensors_QtCore->em_types[392]->u.td_py_type
#define sipType_Qt_TextFlag              sipModuleAPI_QtSensors_QtCore->em_types[393]
#define sipEnum_Qt_TextFlag              sipModuleAPI_QtSensors_QtCore->em_types[393]->u.td_py_type
#define sipType_Qt_AlignmentFlag              sipModuleAPI_QtSensors_QtCore->em_types[313]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_QtSensors_QtCore->em_types[313]->u.td_py_type
#define sipType_Qt_SortOrder              sipModuleAPI_QtSensors_QtCore->em_types[390]
#define sipEnum_Qt_SortOrder              sipModuleAPI_QtSensors_QtCore->em_types[390]->u.td_py_type
#define sipType_Qt_FocusPolicy              sipModuleAPI_QtSensors_QtCore->em_types[344]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_QtSensors_QtCore->em_types[344]->u.td_py_type
#define sipType_Qt_Orientation              sipModuleAPI_QtSensors_QtCore->em_types[378]
#define sipEnum_Qt_Orientation              sipModuleAPI_QtSensors_QtCore->em_types[378]->u.td_py_type
#define sipType_Qt_MouseButton              sipModuleAPI_QtSensors_QtCore->em_types[371]
#define sipEnum_Qt_MouseButton              sipModuleAPI_QtSensors_QtCore->em_types[371]->u.td_py_type
#define sipType_Qt_Modifier              sipModuleAPI_QtSensors_QtCore->em_types[370]
#define sipEnum_Qt_Modifier              sipModuleAPI_QtSensors_QtCore->em_types[370]->u.td_py_type
#define sipType_Qt_KeyboardModifier              sipModuleAPI_QtSensors_QtCore->em_types[364]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_QtSensors_QtCore->em_types[364]->u.td_py_type
#define sipType_Qt_GlobalColor              sipModuleAPI_QtSensors_QtCore->em_types[350]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_QtSensors_QtCore->em_types[350]->u.td_py_type

#define sipType_Qt_KeyboardModifiers              sipModuleAPI_QtSensors_QtCore->em_types[365]
#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_QtSensors_QtCore->em_types[365]->u.td_wrapper_type

#define sipType_Qt_MouseButtons              sipModuleAPI_QtSensors_QtCore->em_types[372]
#define sipClass_Qt_MouseButtons             sipModuleAPI_QtSensors_QtCore->em_types[372]->u.td_wrapper_type

#define sipType_Qt_Orientations              sipModuleAPI_QtSensors_QtCore->em_types[379]
#define sipClass_Qt_Orientations             sipModuleAPI_QtSensors_QtCore->em_types[379]->u.td_wrapper_type

#define sipType_Qt_Alignment              sipModuleAPI_QtSensors_QtCore->em_types[312]
#define sipClass_Qt_Alignment             sipModuleAPI_QtSensors_QtCore->em_types[312]->u.td_wrapper_type

#define sipType_Qt_WindowFlags              sipModuleAPI_QtSensors_QtCore->em_types[409]
#define sipClass_Qt_WindowFlags             sipModuleAPI_QtSensors_QtCore->em_types[409]->u.td_wrapper_type

#define sipType_Qt_WindowStates              sipModuleAPI_QtSensors_QtCore->em_types[413]
#define sipClass_Qt_WindowStates             sipModuleAPI_QtSensors_QtCore->em_types[413]->u.td_wrapper_type

#define sipType_Qt_ImageConversionFlags              sipModuleAPI_QtSensors_QtCore->em_types[353]
#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_QtSensors_QtCore->em_types[353]->u.td_wrapper_type

#define sipType_Qt_DockWidgetAreas              sipModuleAPI_QtSensors_QtCore->em_types[335]
#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_QtSensors_QtCore->em_types[335]->u.td_wrapper_type

#define sipType_Qt_ToolBarAreas              sipModuleAPI_QtSensors_QtCore->em_types[401]
#define sipClass_Qt_ToolBarAreas             sipModuleAPI_QtSensors_QtCore->em_types[401]->u.td_wrapper_type

#define sipType_Qt_InputMethodQueries              sipModuleAPI_QtSensors_QtCore->em_types[356]
#define sipClass_Qt_InputMethodQueries             sipModuleAPI_QtSensors_QtCore->em_types[356]->u.td_wrapper_type

#define sipType_Qt_DropActions              sipModuleAPI_QtSensors_QtCore->em_types[337]
#define sipClass_Qt_DropActions             sipModuleAPI_QtSensors_QtCore->em_types[337]->u.td_wrapper_type

#define sipType_Qt_ItemFlags              sipModuleAPI_QtSensors_QtCore->em_types[360]
#define sipClass_Qt_ItemFlags             sipModuleAPI_QtSensors_QtCore->em_types[360]->u.td_wrapper_type

#define sipType_Qt_MatchFlags              sipModuleAPI_QtSensors_QtCore->em_types[369]
#define sipClass_Qt_MatchFlags             sipModuleAPI_QtSensors_QtCore->em_types[369]->u.td_wrapper_type

#define sipType_Qt_TextInteractionFlags              sipModuleAPI_QtSensors_QtCore->em_types[396]
#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_QtSensors_QtCore->em_types[396]->u.td_wrapper_type

#define sipType_Qt_InputMethodHints              sipModuleAPI_QtSensors_QtCore->em_types[355]
#define sipClass_Qt_InputMethodHints             sipModuleAPI_QtSensors_QtCore->em_types[355]->u.td_wrapper_type

#define sipType_Qt_TouchPointStates              sipModuleAPI_QtSensors_QtCore->em_types[404]
#define sipClass_Qt_TouchPointStates             sipModuleAPI_QtSensors_QtCore->em_types[404]->u.td_wrapper_type

#define sipType_Qt_GestureFlags              sipModuleAPI_QtSensors_QtCore->em_types[347]
#define sipClass_Qt_GestureFlags             sipModuleAPI_QtSensors_QtCore->em_types[347]->u.td_wrapper_type

#define sipType_Qt_ScreenOrientations              sipModuleAPI_QtSensors_QtCore->em_types[384]
#define sipClass_Qt_ScreenOrientations             sipModuleAPI_QtSensors_QtCore->em_types[384]->u.td_wrapper_type

#define sipType_Qt_FindChildOptions              sipModuleAPI_QtSensors_QtCore->em_types[343]
#define sipClass_Qt_FindChildOptions             sipModuleAPI_QtSensors_QtCore->em_types[343]->u.td_wrapper_type

#define sipType_Qt_ApplicationStates              sipModuleAPI_QtSensors_QtCore->em_types[317]
#define sipClass_Qt_ApplicationStates             sipModuleAPI_QtSensors_QtCore->em_types[317]->u.td_wrapper_type

#define sipType_Qt_Edges              sipModuleAPI_QtSensors_QtCore->em_types[339]
#define sipClass_Qt_Edges             sipModuleAPI_QtSensors_QtCore->em_types[339]->u.td_wrapper_type

#define sipType_Qt_MouseEventFlags              sipModuleAPI_QtSensors_QtCore->em_types[374]
#define sipClass_Qt_MouseEventFlags             sipModuleAPI_QtSensors_QtCore->em_types[374]->u.td_wrapper_type

#define sipType_QObject              sipModuleAPI_QtSensors_QtCore->em_types[163]
#define sipClass_QObject             sipModuleAPI_QtSensors_QtCore->em_types[163]->u.td_wrapper_type

#define sipType_QAbstractAnimation              sipModuleAPI_QtSensors_QtCore->em_types[0]
#define sipClass_QAbstractAnimation             sipModuleAPI_QtSensors_QtCore->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtSensors_QtCore->em_types[1]
#define sipEnum_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtSensors_QtCore->em_types[1]->u.td_py_type
#define sipType_QAbstractAnimation_State              sipModuleAPI_QtSensors_QtCore->em_types[3]
#define sipEnum_QAbstractAnimation_State              sipModuleAPI_QtSensors_QtCore->em_types[3]->u.td_py_type
#define sipType_QAbstractAnimation_Direction              sipModuleAPI_QtSensors_QtCore->em_types[2]
#define sipEnum_QAbstractAnimation_Direction              sipModuleAPI_QtSensors_QtCore->em_types[2]->u.td_py_type

#define sipType_QAbstractEventDispatcher              sipModuleAPI_QtSensors_QtCore->em_types[4]
#define sipClass_QAbstractEventDispatcher             sipModuleAPI_QtSensors_QtCore->em_types[4]->u.td_wrapper_type

#define sipType_QAbstractEventDispatcher_TimerInfo              sipModuleAPI_QtSensors_QtCore->em_types[5]
#define sipClass_QAbstractEventDispatcher_TimerInfo             sipModuleAPI_QtSensors_QtCore->em_types[5]->u.td_wrapper_type

#define sipType_QModelIndex              sipModuleAPI_QtSensors_QtCore->em_types[159]
#define sipClass_QModelIndex             sipModuleAPI_QtSensors_QtCore->em_types[159]->u.td_wrapper_type

#define sipType_QPersistentModelIndex              sipModuleAPI_QtSensors_QtCore->em_types[168]
#define sipClass_QPersistentModelIndex             sipModuleAPI_QtSensors_QtCore->em_types[168]->u.td_wrapper_type

#define sipType_QAbstractItemModel              sipModuleAPI_QtSensors_QtCore->em_types[6]
#define sipClass_QAbstractItemModel             sipModuleAPI_QtSensors_QtCore->em_types[6]->u.td_wrapper_type

#define sipType_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtSensors_QtCore->em_types[7]
#define sipEnum_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtSensors_QtCore->em_types[7]->u.td_py_type

#define sipType_QAbstractTableModel              sipModuleAPI_QtSensors_QtCore->em_types[12]
#define sipClass_QAbstractTableModel             sipModuleAPI_QtSensors_QtCore->em_types[12]->u.td_wrapper_type

#define sipType_QAbstractListModel              sipModuleAPI_QtSensors_QtCore->em_types[8]
#define sipClass_QAbstractListModel             sipModuleAPI_QtSensors_QtCore->em_types[8]->u.td_wrapper_type

#define sipType_QAbstractNativeEventFilter              sipModuleAPI_QtSensors_QtCore->em_types[9]
#define sipClass_QAbstractNativeEventFilter             sipModuleAPI_QtSensors_QtCore->em_types[9]->u.td_wrapper_type

#define sipType_QAbstractProxyModel              sipModuleAPI_QtSensors_QtCore->em_types[10]
#define sipClass_QAbstractProxyModel             sipModuleAPI_QtSensors_QtCore->em_types[10]->u.td_wrapper_type

#define sipType_QAbstractState              sipModuleAPI_QtSensors_QtCore->em_types[11]
#define sipClass_QAbstractState             sipModuleAPI_QtSensors_QtCore->em_types[11]->u.td_wrapper_type

#define sipType_QAbstractTransition              sipModuleAPI_QtSensors_QtCore->em_types[13]
#define sipClass_QAbstractTransition             sipModuleAPI_QtSensors_QtCore->em_types[13]->u.td_wrapper_type

#define sipType_QAbstractTransition_TransitionType              sipModuleAPI_QtSensors_QtCore->em_types[14]
#define sipEnum_QAbstractTransition_TransitionType              sipModuleAPI_QtSensors_QtCore->em_types[14]->u.td_py_type

#define sipType_QAnimationGroup              sipModuleAPI_QtSensors_QtCore->em_types[15]
#define sipClass_QAnimationGroup             sipModuleAPI_QtSensors_QtCore->em_types[15]->u.td_wrapper_type

#define sipType_QBasicTimer              sipModuleAPI_QtSensors_QtCore->em_types[16]
#define sipClass_QBasicTimer             sipModuleAPI_QtSensors_QtCore->em_types[16]->u.td_wrapper_type

#define sipType_QBitArray              sipModuleAPI_QtSensors_QtCore->em_types[17]
#define sipClass_QBitArray             sipModuleAPI_QtSensors_QtCore->em_types[17]->u.td_wrapper_type

#define sipType_QIODevice              sipModuleAPI_QtSensors_QtCore->em_types[79]
#define sipClass_QIODevice             sipModuleAPI_QtSensors_QtCore->em_types[79]->u.td_wrapper_type

#define sipType_QIODevice_OpenModeFlag              sipModuleAPI_QtSensors_QtCore->em_types[81]
#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_QtSensors_QtCore->em_types[81]->u.td_py_type

#define sipType_QBuffer              sipModuleAPI_QtSensors_QtCore->em_types[18]
#define sipClass_QBuffer             sipModuleAPI_QtSensors_QtCore->em_types[18]->u.td_wrapper_type

#define sipType_QByteArray              sipModuleAPI_QtSensors_QtCore->em_types[19]
#define sipClass_QByteArray             sipModuleAPI_QtSensors_QtCore->em_types[19]->u.td_wrapper_type

#define sipType_QByteArray_Base64Option              sipModuleAPI_QtSensors_QtCore->em_types[20]
#define sipEnum_QByteArray_Base64Option              sipModuleAPI_QtSensors_QtCore->em_types[20]->u.td_py_type

#define sipType_QByteArray_Base64Options              sipModuleAPI_QtSensors_QtCore->em_types[21]
#define sipClass_QByteArray_Base64Options             sipModuleAPI_QtSensors_QtCore->em_types[21]->u.td_wrapper_type

#define sipType_QByteArrayMatcher              sipModuleAPI_QtSensors_QtCore->em_types[22]
#define sipClass_QByteArrayMatcher             sipModuleAPI_QtSensors_QtCore->em_types[22]->u.td_wrapper_type

#define sipType_QCollatorSortKey              sipModuleAPI_QtSensors_QtCore->em_types[26]
#define sipClass_QCollatorSortKey             sipModuleAPI_QtSensors_QtCore->em_types[26]->u.td_wrapper_type

#define sipType_QCollator              sipModuleAPI_QtSensors_QtCore->em_types[25]
#define sipClass_QCollator             sipModuleAPI_QtSensors_QtCore->em_types[25]->u.td_wrapper_type

#define sipType_QCommandLineOption              sipModuleAPI_QtSensors_QtCore->em_types[27]
#define sipClass_QCommandLineOption             sipModuleAPI_QtSensors_QtCore->em_types[27]->u.td_wrapper_type

#define sipType_QCommandLineParser              sipModuleAPI_QtSensors_QtCore->em_types[28]
#define sipClass_QCommandLineParser             sipModuleAPI_QtSensors_QtCore->em_types[28]->u.td_wrapper_type

#define sipType_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtSensors_QtCore->em_types[29]
#define sipEnum_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtSensors_QtCore->em_types[29]->u.td_py_type

#define sipType_QCoreApplication              sipModuleAPI_QtSensors_QtCore->em_types[30]
#define sipClass_QCoreApplication             sipModuleAPI_QtSensors_QtCore->em_types[30]->u.td_wrapper_type

#define sipType_QEvent              sipModuleAPI_QtSensors_QtCore->em_types[54]
#define sipClass_QEvent             sipModuleAPI_QtSensors_QtCore->em_types[54]->u.td_wrapper_type

#define sipType_QEvent_Type              sipModuleAPI_QtSensors_QtCore->em_types[55]
#define sipEnum_QEvent_Type              sipModuleAPI_QtSensors_QtCore->em_types[55]->u.td_py_type

#define sipType_QTimerEvent              sipModuleAPI_QtSensors_QtCore->em_types[273]
#define sipClass_QTimerEvent             sipModuleAPI_QtSensors_QtCore->em_types[273]->u.td_wrapper_type

#define sipType_QChildEvent              sipModuleAPI_QtSensors_QtCore->em_types[24]
#define sipClass_QChildEvent             sipModuleAPI_QtSensors_QtCore->em_types[24]->u.td_wrapper_type

#define sipType_QDynamicPropertyChangeEvent              sipModuleAPI_QtSensors_QtCore->em_types[49]
#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_QtSensors_QtCore->em_types[49]->u.td_wrapper_type

#define sipType_QCryptographicHash              sipModuleAPI_QtSensors_QtCore->em_types[31]
#define sipClass_QCryptographicHash             sipModuleAPI_QtSensors_QtCore->em_types[31]->u.td_wrapper_type

#define sipType_QCryptographicHash_Algorithm              sipModuleAPI_QtSensors_QtCore->em_types[32]
#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_QtSensors_QtCore->em_types[32]->u.td_py_type

#define sipType_QDataStream              sipModuleAPI_QtSensors_QtCore->em_types[33]
#define sipClass_QDataStream             sipModuleAPI_QtSensors_QtCore->em_types[33]->u.td_wrapper_type

#define sipType_QDataStream_FloatingPointPrecision              sipModuleAPI_QtSensors_QtCore->em_types[35]
#define sipEnum_QDataStream_FloatingPointPrecision              sipModuleAPI_QtSensors_QtCore->em_types[35]->u.td_py_type
#define sipType_QDataStream_Status              sipModuleAPI_QtSensors_QtCore->em_types[36]
#define sipEnum_QDataStream_Status              sipModuleAPI_QtSensors_QtCore->em_types[36]->u.td_py_type
#define sipType_QDataStream_ByteOrder              sipModuleAPI_QtSensors_QtCore->em_types[34]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_QtSensors_QtCore->em_types[34]->u.td_py_type
#define sipType_QDataStream_Version              sipModuleAPI_QtSensors_QtCore->em_types[37]
#define sipEnum_QDataStream_Version              sipModuleAPI_QtSensors_QtCore->em_types[37]->u.td_py_type

#define sipType_QDate              sipModuleAPI_QtSensors_QtCore->em_types[38]
#define sipClass_QDate             sipModuleAPI_QtSensors_QtCore->em_types[38]->u.td_wrapper_type

#define sipType_QDate_MonthNameType              sipModuleAPI_QtSensors_QtCore->em_types[39]
#define sipEnum_QDate_MonthNameType              sipModuleAPI_QtSensors_QtCore->em_types[39]->u.td_py_type

#define sipType_QTime              sipModuleAPI_QtSensors_QtCore->em_types[263]
#define sipClass_QTime             sipModuleAPI_QtSensors_QtCore->em_types[263]->u.td_wrapper_type

#define sipType_QDateTime              sipModuleAPI_QtSensors_QtCore->em_types[40]
#define sipClass_QDateTime             sipModuleAPI_QtSensors_QtCore->em_types[40]->u.td_wrapper_type

#define sipType_QDir              sipModuleAPI_QtSensors_QtCore->em_types[41]
#define sipClass_QDir             sipModuleAPI_QtSensors_QtCore->em_types[41]->u.td_wrapper_type

#define sipType_QDir_SortFlag              sipModuleAPI_QtSensors_QtCore->em_types[44]
#define sipEnum_QDir_SortFlag              sipModuleAPI_QtSensors_QtCore->em_types[44]->u.td_py_type
#define sipType_QDir_Filter              sipModuleAPI_QtSensors_QtCore->em_types[42]
#define sipEnum_QDir_Filter              sipModuleAPI_QtSensors_QtCore->em_types[42]->u.td_py_type

#define sipType_QDir_Filters              sipModuleAPI_QtSensors_QtCore->em_types[43]
#define sipClass_QDir_Filters             sipModuleAPI_QtSensors_QtCore->em_types[43]->u.td_wrapper_type

#define sipType_QDir_SortFlags              sipModuleAPI_QtSensors_QtCore->em_types[45]
#define sipClass_QDir_SortFlags             sipModuleAPI_QtSensors_QtCore->em_types[45]->u.td_wrapper_type

#define sipType_QDirIterator              sipModuleAPI_QtSensors_QtCore->em_types[46]
#define sipClass_QDirIterator             sipModuleAPI_QtSensors_QtCore->em_types[46]->u.td_wrapper_type

#define sipType_QDirIterator_IteratorFlag              sipModuleAPI_QtSensors_QtCore->em_types[47]
#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_QtSensors_QtCore->em_types[47]->u.td_py_type

#define sipType_QDirIterator_IteratorFlags              sipModuleAPI_QtSensors_QtCore->em_types[48]
#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_QtSensors_QtCore->em_types[48]->u.td_wrapper_type

#define sipType_QEasingCurve              sipModuleAPI_QtSensors_QtCore->em_types[50]
#define sipClass_QEasingCurve             sipModuleAPI_QtSensors_QtCore->em_types[50]->u.td_wrapper_type

#define sipType_QEasingCurve_Type              sipModuleAPI_QtSensors_QtCore->em_types[51]
#define sipEnum_QEasingCurve_Type              sipModuleAPI_QtSensors_QtCore->em_types[51]->u.td_py_type

#define sipType_QElapsedTimer              sipModuleAPI_QtSensors_QtCore->em_types[52]
#define sipClass_QElapsedTimer             sipModuleAPI_QtSensors_QtCore->em_types[52]->u.td_wrapper_type

#define sipType_QElapsedTimer_ClockType              sipModuleAPI_QtSensors_QtCore->em_types[53]
#define sipEnum_QElapsedTimer_ClockType              sipModuleAPI_QtSensors_QtCore->em_types[53]->u.td_py_type

#define sipType_QEventLoop              sipModuleAPI_QtSensors_QtCore->em_types[56]
#define sipClass_QEventLoop             sipModuleAPI_QtSensors_QtCore->em_types[56]->u.td_wrapper_type

#define sipType_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtSensors_QtCore->em_types[57]
#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtSensors_QtCore->em_types[57]->u.td_py_type

#define sipType_QEventLoop_ProcessEventsFlags              sipModuleAPI_QtSensors_QtCore->em_types[58]
#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_QtSensors_QtCore->em_types[58]->u.td_wrapper_type

#define sipType_QEventLoopLocker              sipModuleAPI_QtSensors_QtCore->em_types[59]
#define sipClass_QEventLoopLocker             sipModuleAPI_QtSensors_QtCore->em_types[59]->u.td_wrapper_type

#define sipType_QEventTransition              sipModuleAPI_QtSensors_QtCore->em_types[60]
#define sipClass_QEventTransition             sipModuleAPI_QtSensors_QtCore->em_types[60]->u.td_wrapper_type

#define sipType_QFileDevice              sipModuleAPI_QtSensors_QtCore->em_types[62]
#define sipClass_QFileDevice             sipModuleAPI_QtSensors_QtCore->em_types[62]->u.td_wrapper_type

#define sipType_QFileDevice_MemoryMapFlags              sipModuleAPI_QtSensors_QtCore->em_types[66]
#define sipEnum_QFileDevice_MemoryMapFlags              sipModuleAPI_QtSensors_QtCore->em_types[66]->u.td_py_type
#define sipType_QFileDevice_FileHandleFlag              sipModuleAPI_QtSensors_QtCore->em_types[64]
#define sipEnum_QFileDevice_FileHandleFlag              sipModuleAPI_QtSensors_QtCore->em_types[64]->u.td_py_type
#define sipType_QFileDevice_Permission              sipModuleAPI_QtSensors_QtCore->em_types[67]
#define sipEnum_QFileDevice_Permission              sipModuleAPI_QtSensors_QtCore->em_types[67]->u.td_py_type
#define sipType_QFileDevice_FileError              sipModuleAPI_QtSensors_QtCore->em_types[63]
#define sipEnum_QFileDevice_FileError              sipModuleAPI_QtSensors_QtCore->em_types[63]->u.td_py_type

#define sipType_QFile              sipModuleAPI_QtSensors_QtCore->em_types[61]
#define sipClass_QFile             sipModuleAPI_QtSensors_QtCore->em_types[61]->u.td_wrapper_type

#define sipType_QFileDevice_Permissions              sipModuleAPI_QtSensors_QtCore->em_types[68]
#define sipClass_QFileDevice_Permissions             sipModuleAPI_QtSensors_QtCore->em_types[68]->u.td_wrapper_type

#define sipType_QFileDevice_FileHandleFlags              sipModuleAPI_QtSensors_QtCore->em_types[65]
#define sipClass_QFileDevice_FileHandleFlags             sipModuleAPI_QtSensors_QtCore->em_types[65]->u.td_wrapper_type

#define sipType_QFileInfo              sipModuleAPI_QtSensors_QtCore->em_types[69]
#define sipClass_QFileInfo             sipModuleAPI_QtSensors_QtCore->em_types[69]->u.td_wrapper_type

#define sipType_QFileSelector              sipModuleAPI_QtSensors_QtCore->em_types[70]
#define sipClass_QFileSelector             sipModuleAPI_QtSensors_QtCore->em_types[70]->u.td_wrapper_type

#define sipType_QFileSystemWatcher              sipModuleAPI_QtSensors_QtCore->em_types[71]
#define sipClass_QFileSystemWatcher             sipModuleAPI_QtSensors_QtCore->em_types[71]->u.td_wrapper_type

#define sipType_QFinalState              sipModuleAPI_QtSensors_QtCore->em_types[72]
#define sipClass_QFinalState             sipModuleAPI_QtSensors_QtCore->em_types[72]->u.td_wrapper_type

#define sipType_QHistoryState              sipModuleAPI_QtSensors_QtCore->em_types[77]
#define sipClass_QHistoryState             sipModuleAPI_QtSensors_QtCore->em_types[77]->u.td_wrapper_type

#define sipType_QHistoryState_HistoryType              sipModuleAPI_QtSensors_QtCore->em_types[78]
#define sipEnum_QHistoryState_HistoryType              sipModuleAPI_QtSensors_QtCore->em_types[78]->u.td_py_type

#define sipType_QIdentityProxyModel              sipModuleAPI_QtSensors_QtCore->em_types[82]
#define sipClass_QIdentityProxyModel             sipModuleAPI_QtSensors_QtCore->em_types[82]->u.td_wrapper_type

#define sipType_QIODevice_OpenMode              sipModuleAPI_QtSensors_QtCore->em_types[80]
#define sipClass_QIODevice_OpenMode             sipModuleAPI_QtSensors_QtCore->em_types[80]->u.td_wrapper_type

#define sipType_QItemSelectionRange              sipModuleAPI_QtSensors_QtCore->em_types[87]
#define sipClass_QItemSelectionRange             sipModuleAPI_QtSensors_QtCore->em_types[87]->u.td_wrapper_type

#define sipType_QItemSelectionModel              sipModuleAPI_QtSensors_QtCore->em_types[84]
#define sipClass_QItemSelectionModel             sipModuleAPI_QtSensors_QtCore->em_types[84]->u.td_wrapper_type

#define sipType_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtSensors_QtCore->em_types[85]
#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtSensors_QtCore->em_types[85]->u.td_py_type

#define sipType_QItemSelectionModel_SelectionFlags              sipModuleAPI_QtSensors_QtCore->em_types[86]
#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_QtSensors_QtCore->em_types[86]->u.td_wrapper_type

#define sipType_QItemSelection              sipModuleAPI_QtSensors_QtCore->em_types[83]
#define sipClass_QItemSelection             sipModuleAPI_QtSensors_QtCore->em_types[83]->u.td_wrapper_type

#define sipType_QJsonParseError              sipModuleAPI_QtSensors_QtCore->em_types[93]
#define sipClass_QJsonParseError             sipModuleAPI_QtSensors_QtCore->em_types[93]->u.td_wrapper_type

#define sipType_QJsonParseError_ParseError              sipModuleAPI_QtSensors_QtCore->em_types[94]
#define sipEnum_QJsonParseError_ParseError              sipModuleAPI_QtSensors_QtCore->em_types[94]->u.td_py_type

#define sipType_QJsonDocument              sipModuleAPI_QtSensors_QtCore->em_types[89]
#define sipClass_QJsonDocument             sipModuleAPI_QtSensors_QtCore->em_types[89]->u.td_wrapper_type

#define sipType_QJsonDocument_JsonFormat              sipModuleAPI_QtSensors_QtCore->em_types[91]
#define sipEnum_QJsonDocument_JsonFormat              sipModuleAPI_QtSensors_QtCore->em_types[91]->u.td_py_type
#define sipType_QJsonDocument_DataValidation              sipModuleAPI_QtSensors_QtCore->em_types[90]
#define sipEnum_QJsonDocument_DataValidation              sipModuleAPI_QtSensors_QtCore->em_types[90]->u.td_py_type

#define sipType_QJsonValue              sipModuleAPI_QtSensors_QtCore->em_types[95]
#define sipClass_QJsonValue             sipModuleAPI_QtSensors_QtCore->em_types[95]->u.td_wrapper_type

#define sipType_QJsonValue_Type              sipModuleAPI_QtSensors_QtCore->em_types[96]
#define sipEnum_QJsonValue_Type              sipModuleAPI_QtSensors_QtCore->em_types[96]->u.td_py_type

#define sipType_QLibrary              sipModuleAPI_QtSensors_QtCore->em_types[97]
#define sipClass_QLibrary             sipModuleAPI_QtSensors_QtCore->em_types[97]->u.td_wrapper_type

#define sipType_QLibrary_LoadHint              sipModuleAPI_QtSensors_QtCore->em_types[98]
#define sipEnum_QLibrary_LoadHint              sipModuleAPI_QtSensors_QtCore->em_types[98]->u.td_py_type

#define sipType_QLibrary_LoadHints              sipModuleAPI_QtSensors_QtCore->em_types[99]
#define sipClass_QLibrary_LoadHints             sipModuleAPI_QtSensors_QtCore->em_types[99]->u.td_wrapper_type

#define sipType_QLibraryInfo              sipModuleAPI_QtSensors_QtCore->em_types[100]
#define sipClass_QLibraryInfo             sipModuleAPI_QtSensors_QtCore->em_types[100]->u.td_wrapper_type

#define sipType_QLibraryInfo_LibraryLocation              sipModuleAPI_QtSensors_QtCore->em_types[101]
#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_QtSensors_QtCore->em_types[101]->u.td_py_type

#define sipType_QLine              sipModuleAPI_QtSensors_QtCore->em_types[102]
#define sipClass_QLine             sipModuleAPI_QtSensors_QtCore->em_types[102]->u.td_wrapper_type

#define sipType_QLineF              sipModuleAPI_QtSensors_QtCore->em_types[103]
#define sipClass_QLineF             sipModuleAPI_QtSensors_QtCore->em_types[103]->u.td_wrapper_type

#define sipType_QLineF_IntersectType              sipModuleAPI_QtSensors_QtCore->em_types[104]
#define sipEnum_QLineF_IntersectType              sipModuleAPI_QtSensors_QtCore->em_types[104]->u.td_py_type

#define sipType_QLocale              sipModuleAPI_QtSensors_QtCore->em_types[125]
#define sipClass_QLocale             sipModuleAPI_QtSensors_QtCore->em_types[125]->u.td_wrapper_type

#define sipType_QLocale_QuotationStyle              sipModuleAPI_QtSensors_QtCore->em_types[133]
#define sipEnum_QLocale_QuotationStyle              sipModuleAPI_QtSensors_QtCore->em_types[133]->u.td_py_type
#define sipType_QLocale_CurrencySymbolFormat              sipModuleAPI_QtSensors_QtCore->em_types[127]
#define sipEnum_QLocale_CurrencySymbolFormat              sipModuleAPI_QtSensors_QtCore->em_types[127]->u.td_py_type
#define sipType_QLocale_Script              sipModuleAPI_QtSensors_QtCore->em_types[134]
#define sipEnum_QLocale_Script              sipModuleAPI_QtSensors_QtCore->em_types[134]->u.td_py_type
#define sipType_QLocale_MeasurementSystem              sipModuleAPI_QtSensors_QtCore->em_types[130]
#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_QtSensors_QtCore->em_types[130]->u.td_py_type
#define sipType_QLocale_FormatType              sipModuleAPI_QtSensors_QtCore->em_types[128]
#define sipEnum_QLocale_FormatType              sipModuleAPI_QtSensors_QtCore->em_types[128]->u.td_py_type
#define sipType_QLocale_NumberOption              sipModuleAPI_QtSensors_QtCore->em_types[131]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_QtSensors_QtCore->em_types[131]->u.td_py_type
#define sipType_QLocale_Country              sipModuleAPI_QtSensors_QtCore->em_types[126]
#define sipEnum_QLocale_Country              sipModuleAPI_QtSensors_QtCore->em_types[126]->u.td_py_type
#define sipType_QLocale_Language              sipModuleAPI_QtSensors_QtCore->em_types[129]
#define sipEnum_QLocale_Language              sipModuleAPI_QtSensors_QtCore->em_types[129]->u.td_py_type

#define sipType_QLocale_NumberOptions              sipModuleAPI_QtSensors_QtCore->em_types[132]
#define sipClass_QLocale_NumberOptions             sipModuleAPI_QtSensors_QtCore->em_types[132]->u.td_wrapper_type

#define sipType_QLockFile              sipModuleAPI_QtSensors_QtCore->em_types[135]
#define sipClass_QLockFile             sipModuleAPI_QtSensors_QtCore->em_types[135]->u.td_wrapper_type

#define sipType_QLockFile_LockError              sipModuleAPI_QtSensors_QtCore->em_types[136]
#define sipEnum_QLockFile_LockError              sipModuleAPI_QtSensors_QtCore->em_types[136]->u.td_py_type

#define sipType_QMessageLogContext              sipModuleAPI_QtSensors_QtCore->em_types[142]
#define sipClass_QMessageLogContext             sipModuleAPI_QtSensors_QtCore->em_types[142]->u.td_wrapper_type

#define sipType_QMessageLogger              sipModuleAPI_QtSensors_QtCore->em_types[143]
#define sipClass_QMessageLogger             sipModuleAPI_QtSensors_QtCore->em_types[143]->u.td_wrapper_type

#define sipType_QMargins              sipModuleAPI_QtSensors_QtCore->em_types[139]
#define sipClass_QMargins             sipModuleAPI_QtSensors_QtCore->em_types[139]->u.td_wrapper_type

#define sipType_QMarginsF              sipModuleAPI_QtSensors_QtCore->em_types[140]
#define sipClass_QMarginsF             sipModuleAPI_QtSensors_QtCore->em_types[140]->u.td_wrapper_type

#define sipType_QMessageAuthenticationCode              sipModuleAPI_QtSensors_QtCore->em_types[141]
#define sipClass_QMessageAuthenticationCode             sipModuleAPI_QtSensors_QtCore->em_types[141]->u.td_wrapper_type

#define sipType_QMetaMethod              sipModuleAPI_QtSensors_QtCore->em_types[146]
#define sipClass_QMetaMethod             sipModuleAPI_QtSensors_QtCore->em_types[146]->u.td_wrapper_type

#define sipType_QMetaMethod_MethodType              sipModuleAPI_QtSensors_QtCore->em_types[148]
#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_QtSensors_QtCore->em_types[148]->u.td_py_type
#define sipType_QMetaMethod_Access              sipModuleAPI_QtSensors_QtCore->em_types[147]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_QtSensors_QtCore->em_types[147]->u.td_py_type

#define sipType_QMetaEnum              sipModuleAPI_QtSensors_QtCore->em_types[145]
#define sipClass_QMetaEnum             sipModuleAPI_QtSensors_QtCore->em_types[145]->u.td_wrapper_type

#define sipType_QMetaProperty              sipModuleAPI_QtSensors_QtCore->em_types[150]
#define sipClass_QMetaProperty             sipModuleAPI_QtSensors_QtCore->em_types[150]->u.td_wrapper_type

#define sipType_QMetaClassInfo              sipModuleAPI_QtSensors_QtCore->em_types[144]
#define sipClass_QMetaClassInfo             sipModuleAPI_QtSensors_QtCore->em_types[144]->u.td_wrapper_type

#define sipType_QMetaType              sipModuleAPI_QtSensors_QtCore->em_types[151]
#define sipClass_QMetaType             sipModuleAPI_QtSensors_QtCore->em_types[151]->u.td_wrapper_type

#define sipType_QMetaType_TypeFlag              sipModuleAPI_QtSensors_QtCore->em_types[153]
#define sipEnum_QMetaType_TypeFlag              sipModuleAPI_QtSensors_QtCore->em_types[153]->u.td_py_type
#define sipType_QMetaType_Type              sipModuleAPI_QtSensors_QtCore->em_types[152]
#define sipEnum_QMetaType_Type              sipModuleAPI_QtSensors_QtCore->em_types[152]->u.td_py_type

#define sipType_QMetaType_TypeFlags              sipModuleAPI_QtSensors_QtCore->em_types[154]
#define sipClass_QMetaType_TypeFlags             sipModuleAPI_QtSensors_QtCore->em_types[154]->u.td_wrapper_type

#define sipType_QMimeData              sipModuleAPI_QtSensors_QtCore->em_types[155]
#define sipClass_QMimeData             sipModuleAPI_QtSensors_QtCore->em_types[155]->u.td_wrapper_type

#define sipType_QMimeDatabase              sipModuleAPI_QtSensors_QtCore->em_types[156]
#define sipClass_QMimeDatabase             sipModuleAPI_QtSensors_QtCore->em_types[156]->u.td_wrapper_type

#define sipType_QMimeDatabase_MatchMode              sipModuleAPI_QtSensors_QtCore->em_types[157]
#define sipEnum_QMimeDatabase_MatchMode              sipModuleAPI_QtSensors_QtCore->em_types[157]->u.td_py_type

#define sipType_QMimeType              sipModuleAPI_QtSensors_QtCore->em_types[158]
#define sipClass_QMimeType             sipModuleAPI_QtSensors_QtCore->em_types[158]->u.td_wrapper_type

#define sipType_QMutexLocker              sipModuleAPI_QtSensors_QtCore->em_types[162]
#define sipClass_QMutexLocker             sipModuleAPI_QtSensors_QtCore->em_types[162]->u.td_wrapper_type

#define sipType_QMutex              sipModuleAPI_QtSensors_QtCore->em_types[160]
#define sipClass_QMutex             sipModuleAPI_QtSensors_QtCore->em_types[160]->u.td_wrapper_type

#define sipType_QMutex_RecursionMode              sipModuleAPI_QtSensors_QtCore->em_types[161]
#define sipEnum_QMutex_RecursionMode              sipModuleAPI_QtSensors_QtCore->em_types[161]->u.td_py_type

#define sipType_QSignalBlocker              sipModuleAPI_QtSensors_QtCore->em_types[210]
#define sipClass_QSignalBlocker             sipModuleAPI_QtSensors_QtCore->em_types[210]->u.td_wrapper_type

#define sipType_QObjectCleanupHandler              sipModuleAPI_QtSensors_QtCore->em_types[164]
#define sipClass_QObjectCleanupHandler             sipModuleAPI_QtSensors_QtCore->em_types[164]->u.td_wrapper_type

#define sipType_QMetaObject              sipModuleAPI_QtSensors_QtCore->em_types[149]
#define sipClass_QMetaObject             sipModuleAPI_QtSensors_QtCore->em_types[149]->u.td_wrapper_type

#define sipType_QGenericArgument              sipModuleAPI_QtSensors_QtCore->em_types[73]
#define sipClass_QGenericArgument             sipModuleAPI_QtSensors_QtCore->em_types[73]->u.td_wrapper_type

#define sipType_QGenericReturnArgument              sipModuleAPI_QtSensors_QtCore->em_types[74]
#define sipClass_QGenericReturnArgument             sipModuleAPI_QtSensors_QtCore->em_types[74]->u.td_wrapper_type

#define sipType_QParallelAnimationGroup              sipModuleAPI_QtSensors_QtCore->em_types[166]
#define sipClass_QParallelAnimationGroup             sipModuleAPI_QtSensors_QtCore->em_types[166]->u.td_wrapper_type

#define sipType_QPauseAnimation              sipModuleAPI_QtSensors_QtCore->em_types[167]
#define sipClass_QPauseAnimation             sipModuleAPI_QtSensors_QtCore->em_types[167]->u.td_wrapper_type

#define sipType_QVariantAnimation              sipModuleAPI_QtSensors_QtCore->em_types[289]
#define sipClass_QVariantAnimation             sipModuleAPI_QtSensors_QtCore->em_types[289]->u.td_wrapper_type

#define sipType_QPropertyAnimation              sipModuleAPI_QtSensors_QtCore->em_types[180]
#define sipClass_QPropertyAnimation             sipModuleAPI_QtSensors_QtCore->em_types[180]->u.td_wrapper_type

#define sipType_QPluginLoader              sipModuleAPI_QtSensors_QtCore->em_types[169]
#define sipClass_QPluginLoader             sipModuleAPI_QtSensors_QtCore->em_types[169]->u.td_wrapper_type

#define sipType_QPoint              sipModuleAPI_QtSensors_QtCore->em_types[170]
#define sipClass_QPoint             sipModuleAPI_QtSensors_QtCore->em_types[170]->u.td_wrapper_type

#define sipType_QPointF              sipModuleAPI_QtSensors_QtCore->em_types[171]
#define sipClass_QPointF             sipModuleAPI_QtSensors_QtCore->em_types[171]->u.td_wrapper_type

#define sipType_QProcess              sipModuleAPI_QtSensors_QtCore->em_types[172]
#define sipClass_QProcess             sipModuleAPI_QtSensors_QtCore->em_types[172]->u.td_wrapper_type

#define sipType_QProcess_InputChannelMode              sipModuleAPI_QtSensors_QtCore->em_types[174]
#define sipEnum_QProcess_InputChannelMode              sipModuleAPI_QtSensors_QtCore->em_types[174]->u.td_py_type
#define sipType_QProcess_ProcessChannelMode              sipModuleAPI_QtSensors_QtCore->em_types[176]
#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_QtSensors_QtCore->em_types[176]->u.td_py_type
#define sipType_QProcess_ProcessChannel              sipModuleAPI_QtSensors_QtCore->em_types[175]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_QtSensors_QtCore->em_types[175]->u.td_py_type
#define sipType_QProcess_ProcessState              sipModuleAPI_QtSensors_QtCore->em_types[178]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_QtSensors_QtCore->em_types[178]->u.td_py_type
#define sipType_QProcess_ProcessError              sipModuleAPI_QtSensors_QtCore->em_types[177]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_QtSensors_QtCore->em_types[177]->u.td_py_type
#define sipType_QProcess_ExitStatus              sipModuleAPI_QtSensors_QtCore->em_types[173]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_QtSensors_QtCore->em_types[173]->u.td_py_type

#define sipType_QProcessEnvironment              sipModuleAPI_QtSensors_QtCore->em_types[179]
#define sipClass_QProcessEnvironment             sipModuleAPI_QtSensors_QtCore->em_types[179]->u.td_wrapper_type

#define sipType_QReadWriteLock              sipModuleAPI_QtSensors_QtCore->em_types[182]
#define sipClass_QReadWriteLock             sipModuleAPI_QtSensors_QtCore->em_types[182]->u.td_wrapper_type

#define sipType_QReadWriteLock_RecursionMode              sipModuleAPI_QtSensors_QtCore->em_types[183]
#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_QtSensors_QtCore->em_types[183]->u.td_py_type

#define sipType_QReadLocker              sipModuleAPI_QtSensors_QtCore->em_types[181]
#define sipClass_QReadLocker             sipModuleAPI_QtSensors_QtCore->em_types[181]->u.td_wrapper_type

#define sipType_QWriteLocker              sipModuleAPI_QtSensors_QtCore->em_types[299]
#define sipClass_QWriteLocker             sipModuleAPI_QtSensors_QtCore->em_types[299]->u.td_wrapper_type

#define sipType_QRect              sipModuleAPI_QtSensors_QtCore->em_types[184]
#define sipClass_QRect             sipModuleAPI_QtSensors_QtCore->em_types[184]->u.td_wrapper_type

#define sipType_QRectF              sipModuleAPI_QtSensors_QtCore->em_types[185]
#define sipClass_QRectF             sipModuleAPI_QtSensors_QtCore->em_types[185]->u.td_wrapper_type

#define sipType_QRegExp              sipModuleAPI_QtSensors_QtCore->em_types[186]
#define sipClass_QRegExp             sipModuleAPI_QtSensors_QtCore->em_types[186]->u.td_wrapper_type

#define sipType_QRegExp_CaretMode              sipModuleAPI_QtSensors_QtCore->em_types[187]
#define sipEnum_QRegExp_CaretMode              sipModuleAPI_QtSensors_QtCore->em_types[187]->u.td_py_type
#define sipType_QRegExp_PatternSyntax              sipModuleAPI_QtSensors_QtCore->em_types[188]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_QtSensors_QtCore->em_types[188]->u.td_py_type

#define sipType_QRegularExpression              sipModuleAPI_QtSensors_QtCore->em_types[189]
#define sipClass_QRegularExpression             sipModuleAPI_QtSensors_QtCore->em_types[189]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOption              sipModuleAPI_QtSensors_QtCore->em_types[190]
#define sipEnum_QRegularExpression_MatchOption              sipModuleAPI_QtSensors_QtCore->em_types[190]->u.td_py_type
#define sipType_QRegularExpression_MatchType              sipModuleAPI_QtSensors_QtCore->em_types[192]
#define sipEnum_QRegularExpression_MatchType              sipModuleAPI_QtSensors_QtCore->em_types[192]->u.td_py_type
#define sipType_QRegularExpression_PatternOption              sipModuleAPI_QtSensors_QtCore->em_types[193]
#define sipEnum_QRegularExpression_PatternOption              sipModuleAPI_QtSensors_QtCore->em_types[193]->u.td_py_type

#define sipType_QRegularExpression_PatternOptions              sipModuleAPI_QtSensors_QtCore->em_types[194]
#define sipClass_QRegularExpression_PatternOptions             sipModuleAPI_QtSensors_QtCore->em_types[194]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOptions              sipModuleAPI_QtSensors_QtCore->em_types[191]
#define sipClass_QRegularExpression_MatchOptions             sipModuleAPI_QtSensors_QtCore->em_types[191]->u.td_wrapper_type

#define sipType_QRegularExpressionMatch              sipModuleAPI_QtSensors_QtCore->em_types[195]
#define sipClass_QRegularExpressionMatch             sipModuleAPI_QtSensors_QtCore->em_types[195]->u.td_wrapper_type

#define sipType_QRegularExpressionMatchIterator              sipModuleAPI_QtSensors_QtCore->em_types[196]
#define sipClass_QRegularExpressionMatchIterator             sipModuleAPI_QtSensors_QtCore->em_types[196]->u.td_wrapper_type

#define sipType_QResource              sipModuleAPI_QtSensors_QtCore->em_types[197]
#define sipClass_QResource             sipModuleAPI_QtSensors_QtCore->em_types[197]->u.td_wrapper_type

#define sipType_QRunnable              sipModuleAPI_QtSensors_QtCore->em_types[198]
#define sipClass_QRunnable             sipModuleAPI_QtSensors_QtCore->em_types[198]->u.td_wrapper_type

#define sipType_QSaveFile              sipModuleAPI_QtSensors_QtCore->em_types[199]
#define sipClass_QSaveFile             sipModuleAPI_QtSensors_QtCore->em_types[199]->u.td_wrapper_type

#define sipType_QSemaphore              sipModuleAPI_QtSensors_QtCore->em_types[200]
#define sipClass_QSemaphore             sipModuleAPI_QtSensors_QtCore->em_types[200]->u.td_wrapper_type

#define sipType_QSequentialAnimationGroup              sipModuleAPI_QtSensors_QtCore->em_types[201]
#define sipClass_QSequentialAnimationGroup             sipModuleAPI_QtSensors_QtCore->em_types[201]->u.td_wrapper_type

#define sipType_QSettings              sipModuleAPI_QtSensors_QtCore->em_types[203]
#define sipClass_QSettings             sipModuleAPI_QtSensors_QtCore->em_types[203]->u.td_wrapper_type

#define sipType_QSettings_Scope              sipModuleAPI_QtSensors_QtCore->em_types[205]
#define sipEnum_QSettings_Scope              sipModuleAPI_QtSensors_QtCore->em_types[205]->u.td_py_type
#define sipType_QSettings_Format              sipModuleAPI_QtSensors_QtCore->em_types[204]
#define sipEnum_QSettings_Format              sipModuleAPI_QtSensors_QtCore->em_types[204]->u.td_py_type
#define sipType_QSettings_Status              sipModuleAPI_QtSensors_QtCore->em_types[206]
#define sipEnum_QSettings_Status              sipModuleAPI_QtSensors_QtCore->em_types[206]->u.td_py_type

#define sipType_QSharedMemory              sipModuleAPI_QtSensors_QtCore->em_types[207]
#define sipClass_QSharedMemory             sipModuleAPI_QtSensors_QtCore->em_types[207]->u.td_wrapper_type

#define sipType_QSharedMemory_SharedMemoryError              sipModuleAPI_QtSensors_QtCore->em_types[209]
#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_QtSensors_QtCore->em_types[209]->u.td_py_type
#define sipType_QSharedMemory_AccessMode              sipModuleAPI_QtSensors_QtCore->em_types[208]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_QtSensors_QtCore->em_types[208]->u.td_py_type

#define sipType_QSignalMapper              sipModuleAPI_QtSensors_QtCore->em_types[211]
#define sipClass_QSignalMapper             sipModuleAPI_QtSensors_QtCore->em_types[211]->u.td_wrapper_type

#define sipType_QSignalTransition              sipModuleAPI_QtSensors_QtCore->em_types[212]
#define sipClass_QSignalTransition             sipModuleAPI_QtSensors_QtCore->em_types[212]->u.td_wrapper_type

#define sipType_QSize              sipModuleAPI_QtSensors_QtCore->em_types[213]
#define sipClass_QSize             sipModuleAPI_QtSensors_QtCore->em_types[213]->u.td_wrapper_type

#define sipType_QSizeF              sipModuleAPI_QtSensors_QtCore->em_types[214]
#define sipClass_QSizeF             sipModuleAPI_QtSensors_QtCore->em_types[214]->u.td_wrapper_type

#define sipType_QSocketNotifier              sipModuleAPI_QtSensors_QtCore->em_types[215]
#define sipClass_QSocketNotifier             sipModuleAPI_QtSensors_QtCore->em_types[215]->u.td_wrapper_type

#define sipType_QSocketNotifier_Type              sipModuleAPI_QtSensors_QtCore->em_types[216]
#define sipEnum_QSocketNotifier_Type              sipModuleAPI_QtSensors_QtCore->em_types[216]->u.td_py_type

#define sipType_QSortFilterProxyModel              sipModuleAPI_QtSensors_QtCore->em_types[217]
#define sipClass_QSortFilterProxyModel             sipModuleAPI_QtSensors_QtCore->em_types[217]->u.td_wrapper_type

#define sipType_QStandardPaths              sipModuleAPI_QtSensors_QtCore->em_types[218]
#define sipClass_QStandardPaths             sipModuleAPI_QtSensors_QtCore->em_types[218]->u.td_wrapper_type

#define sipType_QStandardPaths_LocateOption              sipModuleAPI_QtSensors_QtCore->em_types[219]
#define sipEnum_QStandardPaths_LocateOption              sipModuleAPI_QtSensors_QtCore->em_types[219]->u.td_py_type
#define sipType_QStandardPaths_StandardLocation              sipModuleAPI_QtSensors_QtCore->em_types[221]
#define sipEnum_QStandardPaths_StandardLocation              sipModuleAPI_QtSensors_QtCore->em_types[221]->u.td_py_type

#define sipType_QStandardPaths_LocateOptions              sipModuleAPI_QtSensors_QtCore->em_types[220]
#define sipClass_QStandardPaths_LocateOptions             sipModuleAPI_QtSensors_QtCore->em_types[220]->u.td_wrapper_type

#define sipType_QState              sipModuleAPI_QtSensors_QtCore->em_types[222]
#define sipClass_QState             sipModuleAPI_QtSensors_QtCore->em_types[222]->u.td_wrapper_type

#define sipType_QState_RestorePolicy              sipModuleAPI_QtSensors_QtCore->em_types[224]
#define sipEnum_QState_RestorePolicy              sipModuleAPI_QtSensors_QtCore->em_types[224]->u.td_py_type
#define sipType_QState_ChildMode              sipModuleAPI_QtSensors_QtCore->em_types[223]
#define sipEnum_QState_ChildMode              sipModuleAPI_QtSensors_QtCore->em_types[223]->u.td_py_type

#define sipType_QStateMachine              sipModuleAPI_QtSensors_QtCore->em_types[225]
#define sipClass_QStateMachine             sipModuleAPI_QtSensors_QtCore->em_types[225]->u.td_wrapper_type

#define sipType_QStateMachine_Error              sipModuleAPI_QtSensors_QtCore->em_types[226]
#define sipEnum_QStateMachine_Error              sipModuleAPI_QtSensors_QtCore->em_types[226]->u.td_py_type
#define sipType_QStateMachine_EventPriority              sipModuleAPI_QtSensors_QtCore->em_types[227]
#define sipEnum_QStateMachine_EventPriority              sipModuleAPI_QtSensors_QtCore->em_types[227]->u.td_py_type

#define sipType_QStateMachine_SignalEvent              sipModuleAPI_QtSensors_QtCore->em_types[228]
#define sipClass_QStateMachine_SignalEvent             sipModuleAPI_QtSensors_QtCore->em_types[228]->u.td_wrapper_type

#define sipType_QStateMachine_WrappedEvent              sipModuleAPI_QtSensors_QtCore->em_types[229]
#define sipClass_QStateMachine_WrappedEvent             sipModuleAPI_QtSensors_QtCore->em_types[229]->u.td_wrapper_type

#define sipType_QStorageInfo              sipModuleAPI_QtSensors_QtCore->em_types[230]
#define sipClass_QStorageInfo             sipModuleAPI_QtSensors_QtCore->em_types[230]->u.td_wrapper_type

#define sipType_QStringListModel              sipModuleAPI_QtSensors_QtCore->em_types[233]
#define sipClass_QStringListModel             sipModuleAPI_QtSensors_QtCore->em_types[233]->u.td_wrapper_type

#define sipType_QSystemSemaphore              sipModuleAPI_QtSensors_QtCore->em_types[238]
#define sipClass_QSystemSemaphore             sipModuleAPI_QtSensors_QtCore->em_types[238]->u.td_wrapper_type

#define sipType_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtSensors_QtCore->em_types[240]
#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtSensors_QtCore->em_types[240]->u.td_py_type
#define sipType_QSystemSemaphore_AccessMode              sipModuleAPI_QtSensors_QtCore->em_types[239]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_QtSensors_QtCore->em_types[239]->u.td_py_type

#define sipType_QTemporaryDir              sipModuleAPI_QtSensors_QtCore->em_types[241]
#define sipClass_QTemporaryDir             sipModuleAPI_QtSensors_QtCore->em_types[241]->u.td_wrapper_type

#define sipType_QTemporaryFile              sipModuleAPI_QtSensors_QtCore->em_types[242]
#define sipClass_QTemporaryFile             sipModuleAPI_QtSensors_QtCore->em_types[242]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder              sipModuleAPI_QtSensors_QtCore->em_types[243]
#define sipClass_QTextBoundaryFinder             sipModuleAPI_QtSensors_QtCore->em_types[243]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtSensors_QtCore->em_types[246]
#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtSensors_QtCore->em_types[246]->u.td_py_type
#define sipType_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtSensors_QtCore->em_types[244]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtSensors_QtCore->em_types[244]->u.td_py_type

#define sipType_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_QtSensors_QtCore->em_types[245]
#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_QtSensors_QtCore->em_types[245]->u.td_wrapper_type

#define sipType_QTextCodec              sipModuleAPI_QtSensors_QtCore->em_types[247]
#define sipClass_QTextCodec             sipModuleAPI_QtSensors_QtCore->em_types[247]->u.td_wrapper_type

#define sipType_QTextCodec_ConversionFlag              sipModuleAPI_QtSensors_QtCore->em_types[248]
#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_QtSensors_QtCore->em_types[248]->u.td_py_type

#define sipType_QTextCodec_ConversionFlags              sipModuleAPI_QtSensors_QtCore->em_types[249]
#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_QtSensors_QtCore->em_types[249]->u.td_wrapper_type

#define sipType_QTextCodec_ConverterState              sipModuleAPI_QtSensors_QtCore->em_types[250]
#define sipClass_QTextCodec_ConverterState             sipModuleAPI_QtSensors_QtCore->em_types[250]->u.td_wrapper_type

#define sipType_QTextEncoder              sipModuleAPI_QtSensors_QtCore->em_types[252]
#define sipClass_QTextEncoder             sipModuleAPI_QtSensors_QtCore->em_types[252]->u.td_wrapper_type

#define sipType_QTextDecoder              sipModuleAPI_QtSensors_QtCore->em_types[251]
#define sipClass_QTextDecoder             sipModuleAPI_QtSensors_QtCore->em_types[251]->u.td_wrapper_type

#define sipType_QTextStream              sipModuleAPI_QtSensors_QtCore->em_types[253]
#define sipClass_QTextStream             sipModuleAPI_QtSensors_QtCore->em_types[253]->u.td_wrapper_type

#define sipType_QTextStream_Status              sipModuleAPI_QtSensors_QtCore->em_types[258]
#define sipEnum_QTextStream_Status              sipModuleAPI_QtSensors_QtCore->em_types[258]->u.td_py_type
#define sipType_QTextStream_NumberFlag              sipModuleAPI_QtSensors_QtCore->em_types[255]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_QtSensors_QtCore->em_types[255]->u.td_py_type
#define sipType_QTextStream_FieldAlignment              sipModuleAPI_QtSensors_QtCore->em_types[254]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_QtSensors_QtCore->em_types[254]->u.td_py_type
#define sipType_QTextStream_RealNumberNotation              sipModuleAPI_QtSensors_QtCore->em_types[257]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_QtSensors_QtCore->em_types[257]->u.td_py_type

#define sipType_QTextStream_NumberFlags              sipModuleAPI_QtSensors_QtCore->em_types[256]
#define sipClass_QTextStream_NumberFlags             sipModuleAPI_QtSensors_QtCore->em_types[256]->u.td_wrapper_type

#define sipType_QTextStreamManipulator              sipModuleAPI_QtSensors_QtCore->em_types[259]
#define sipClass_QTextStreamManipulator             sipModuleAPI_QtSensors_QtCore->em_types[259]->u.td_wrapper_type

#define sipType_QThread              sipModuleAPI_QtSensors_QtCore->em_types[260]
#define sipClass_QThread             sipModuleAPI_QtSensors_QtCore->em_types[260]->u.td_wrapper_type

#define sipType_QThread_Priority              sipModuleAPI_QtSensors_QtCore->em_types[261]
#define sipEnum_QThread_Priority              sipModuleAPI_QtSensors_QtCore->em_types[261]->u.td_py_type

#define sipType_QThreadPool              sipModuleAPI_QtSensors_QtCore->em_types[262]
#define sipClass_QThreadPool             sipModuleAPI_QtSensors_QtCore->em_types[262]->u.td_wrapper_type

#define sipType_QTimeLine              sipModuleAPI_QtSensors_QtCore->em_types[264]
#define sipClass_QTimeLine             sipModuleAPI_QtSensors_QtCore->em_types[264]->u.td_wrapper_type

#define sipType_QTimeLine_State              sipModuleAPI_QtSensors_QtCore->em_types[267]
#define sipEnum_QTimeLine_State              sipModuleAPI_QtSensors_QtCore->em_types[267]->u.td_py_type
#define sipType_QTimeLine_Direction              sipModuleAPI_QtSensors_QtCore->em_types[266]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_QtSensors_QtCore->em_types[266]->u.td_py_type
#define sipType_QTimeLine_CurveShape              sipModuleAPI_QtSensors_QtCore->em_types[265]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_QtSensors_QtCore->em_types[265]->u.td_py_type

#define sipType_QTimer              sipModuleAPI_QtSensors_QtCore->em_types[272]
#define sipClass_QTimer             sipModuleAPI_QtSensors_QtCore->em_types[272]->u.td_wrapper_type

#define sipType_QTimeZone              sipModuleAPI_QtSensors_QtCore->em_types[268]
#define sipClass_QTimeZone             sipModuleAPI_QtSensors_QtCore->em_types[268]->u.td_wrapper_type

#define sipType_QTimeZone_NameType              sipModuleAPI_QtSensors_QtCore->em_types[269]
#define sipEnum_QTimeZone_NameType              sipModuleAPI_QtSensors_QtCore->em_types[269]->u.td_py_type
#define sipType_QTimeZone_TimeType              sipModuleAPI_QtSensors_QtCore->em_types[271]
#define sipEnum_QTimeZone_TimeType              sipModuleAPI_QtSensors_QtCore->em_types[271]->u.td_py_type

#define sipType_QTimeZone_OffsetData              sipModuleAPI_QtSensors_QtCore->em_types[270]
#define sipClass_QTimeZone_OffsetData             sipModuleAPI_QtSensors_QtCore->em_types[270]->u.td_wrapper_type

#define sipType_QTranslator              sipModuleAPI_QtSensors_QtCore->em_types[274]
#define sipClass_QTranslator             sipModuleAPI_QtSensors_QtCore->em_types[274]->u.td_wrapper_type

#define sipType_QUrl              sipModuleAPI_QtSensors_QtCore->em_types[275]
#define sipClass_QUrl             sipModuleAPI_QtSensors_QtCore->em_types[275]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOption              sipModuleAPI_QtSensors_QtCore->em_types[281]
#define sipEnum_QUrl_UserInputResolutionOption              sipModuleAPI_QtSensors_QtCore->em_types[281]->u.td_py_type
#define sipType_QUrl_ComponentFormattingOption              sipModuleAPI_QtSensors_QtCore->em_types[276]
#define sipEnum_QUrl_ComponentFormattingOption              sipModuleAPI_QtSensors_QtCore->em_types[276]->u.td_py_type
#define sipType_QUrl_UrlFormattingOption              sipModuleAPI_QtSensors_QtCore->em_types[280]
#define sipEnum_QUrl_UrlFormattingOption              sipModuleAPI_QtSensors_QtCore->em_types[280]->u.td_py_type
#define sipType_QUrl_ParsingMode              sipModuleAPI_QtSensors_QtCore->em_types[279]
#define sipEnum_QUrl_ParsingMode              sipModuleAPI_QtSensors_QtCore->em_types[279]->u.td_py_type

#define sipType_QUrl_FormattingOptions              sipModuleAPI_QtSensors_QtCore->em_types[278]
#define sipClass_QUrl_FormattingOptions             sipModuleAPI_QtSensors_QtCore->em_types[278]->u.td_wrapper_type

#define sipType_QUrl_ComponentFormattingOptions              sipModuleAPI_QtSensors_QtCore->em_types[277]
#define sipClass_QUrl_ComponentFormattingOptions             sipModuleAPI_QtSensors_QtCore->em_types[277]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOptions              sipModuleAPI_QtSensors_QtCore->em_types[282]
#define sipClass_QUrl_UserInputResolutionOptions             sipModuleAPI_QtSensors_QtCore->em_types[282]->u.td_wrapper_type

#define sipType_QUrlQuery              sipModuleAPI_QtSensors_QtCore->em_types[283]
#define sipClass_QUrlQuery             sipModuleAPI_QtSensors_QtCore->em_types[283]->u.td_wrapper_type

#define sipType_QUuid              sipModuleAPI_QtSensors_QtCore->em_types[284]
#define sipClass_QUuid             sipModuleAPI_QtSensors_QtCore->em_types[284]->u.td_wrapper_type

#define sipType_QUuid_Version              sipModuleAPI_QtSensors_QtCore->em_types[286]
#define sipEnum_QUuid_Version              sipModuleAPI_QtSensors_QtCore->em_types[286]->u.td_py_type
#define sipType_QUuid_Variant              sipModuleAPI_QtSensors_QtCore->em_types[285]
#define sipEnum_QUuid_Variant              sipModuleAPI_QtSensors_QtCore->em_types[285]->u.td_py_type

#define sipType_QVariant              sipModuleAPI_QtSensors_QtCore->em_types[287]
#define sipClass_QVariant             sipModuleAPI_QtSensors_QtCore->em_types[287]->u.td_wrapper_type

#define sipType_QVariant_Type              sipModuleAPI_QtSensors_QtCore->em_types[288]
#define sipEnum_QVariant_Type              sipModuleAPI_QtSensors_QtCore->em_types[288]->u.td_py_type

#define sipType_QWaitCondition              sipModuleAPI_QtSensors_QtCore->em_types[297]
#define sipClass_QWaitCondition             sipModuleAPI_QtSensors_QtCore->em_types[297]->u.td_wrapper_type

#define sipType_QXmlStreamAttribute              sipModuleAPI_QtSensors_QtCore->em_types[300]
#define sipClass_QXmlStreamAttribute             sipModuleAPI_QtSensors_QtCore->em_types[300]->u.td_wrapper_type

#define sipType_QXmlStreamAttributes              sipModuleAPI_QtSensors_QtCore->em_types[301]
#define sipClass_QXmlStreamAttributes             sipModuleAPI_QtSensors_QtCore->em_types[301]->u.td_wrapper_type

#define sipType_QXmlStreamNamespaceDeclaration              sipModuleAPI_QtSensors_QtCore->em_types[304]
#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_QtSensors_QtCore->em_types[304]->u.td_wrapper_type

#define sipType_QXmlStreamNotationDeclaration              sipModuleAPI_QtSensors_QtCore->em_types[305]
#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_QtSensors_QtCore->em_types[305]->u.td_wrapper_type

#define sipType_QXmlStreamEntityDeclaration              sipModuleAPI_QtSensors_QtCore->em_types[302]
#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_QtSensors_QtCore->em_types[302]->u.td_wrapper_type

#define sipType_QXmlStreamEntityResolver              sipModuleAPI_QtSensors_QtCore->em_types[303]
#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_QtSensors_QtCore->em_types[303]->u.td_wrapper_type

#define sipType_QXmlStreamReader              sipModuleAPI_QtSensors_QtCore->em_types[306]
#define sipClass_QXmlStreamReader             sipModuleAPI_QtSensors_QtCore->em_types[306]->u.td_wrapper_type

#define sipType_QXmlStreamReader_Error              sipModuleAPI_QtSensors_QtCore->em_types[307]
#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_QtSensors_QtCore->em_types[307]->u.td_py_type
#define sipType_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtSensors_QtCore->em_types[308]
#define sipEnum_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtSensors_QtCore->em_types[308]->u.td_py_type
#define sipType_QXmlStreamReader_TokenType              sipModuleAPI_QtSensors_QtCore->em_types[309]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_QtSensors_QtCore->em_types[309]->u.td_py_type

#define sipType_QXmlStreamWriter              sipModuleAPI_QtSensors_QtCore->em_types[310]
#define sipClass_QXmlStreamWriter             sipModuleAPI_QtSensors_QtCore->em_types[310]->u.td_wrapper_type

#define sipType_QSysInfo              sipModuleAPI_QtSensors_QtCore->em_types[235]
#define sipClass_QSysInfo             sipModuleAPI_QtSensors_QtCore->em_types[235]->u.td_wrapper_type

#define sipType_QSysInfo_Endian              sipModuleAPI_QtSensors_QtCore->em_types[236]
#define sipEnum_QSysInfo_Endian              sipModuleAPI_QtSensors_QtCore->em_types[236]->u.td_py_type
#define sipType_QSysInfo_Sizes              sipModuleAPI_QtSensors_QtCore->em_types[237]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_QtSensors_QtCore->em_types[237]->u.td_py_type

#define sipType_QList_0600QPair_0100QString_0100QString      sipModuleAPI_QtSensors_QtCore->em_types[116]

#define sipType_QList_0100QStorageInfo      sipModuleAPI_QtSensors_QtCore->em_types[119]

#define sipType_QSet_0101QAbstractState      sipModuleAPI_QtSensors_QtCore->em_types[202]

#define sipType_QList_0101QAbstractTransition      sipModuleAPI_QtSensors_QtCore->em_types[108]

#define sipType_QList_0100QMimeType      sipModuleAPI_QtSensors_QtCore->em_types[113]

#define sipType_QList_0100QUrl      sipModuleAPI_QtSensors_QtCore->em_types[120]

#define sipType_QList_0100QLocale      sipModuleAPI_QtSensors_QtCore->em_types[112]

#define sipType_QVector_0100QPointF      sipModuleAPI_QtSensors_QtCore->em_types[291]

#define sipType_QList_0100QCommandLineOption      sipModuleAPI_QtSensors_QtCore->em_types[110]

#define sipType_QList_0101QAbstractAnimation      sipModuleAPI_QtSensors_QtCore->em_types[105]

#define sipType_QList_0101QAbstractState      sipModuleAPI_QtSensors_QtCore->em_types[107]

#define sipType_QHash_1800_0100QByteArray      sipModuleAPI_QtSensors_QtCore->em_types[76]

#define sipType_QList_0100QPersistentModelIndex      sipModuleAPI_QtSensors_QtCore->em_types[118]

#define sipType_QMap_1800_0100QVariant      sipModuleAPI_QtSensors_QtCore->em_types[138]

#define sipType_QList_0100QAbstractEventDispatcher_TimerInfo      sipModuleAPI_QtSensors_QtCore->em_types[106]

#define sipType_QList_0100QByteArray      sipModuleAPI_QtSensors_QtCore->em_types[109]

#define sipType_QVector_0100QXmlStreamNotationDeclaration      sipModuleAPI_QtSensors_QtCore->em_types[295]

#define sipType_QVector_0100QXmlStreamNamespaceDeclaration      sipModuleAPI_QtSensors_QtCore->em_types[294]

#define sipType_QVector_0100QXmlStreamEntityDeclaration      sipModuleAPI_QtSensors_QtCore->em_types[293]

#define sipType_QMap_0100QString_0100QVariant      sipModuleAPI_QtSensors_QtCore->em_types[137]

#define sipType_QList_0100QVariant      sipModuleAPI_QtSensors_QtCore->em_types[121]

#define sipType_QHash_0100QString_0100QVariant      sipModuleAPI_QtSensors_QtCore->em_types[75]

#define sipType_QVector_0600QPair_2400_0100QVariant      sipModuleAPI_QtSensors_QtCore->em_types[290]

#define sipType_QVector_0100QTimeZone_OffsetData      sipModuleAPI_QtSensors_QtCore->em_types[292]

#define sipType_QList_0101QObject      sipModuleAPI_QtSensors_QtCore->em_types[115]

#define sipType_QList_0100QModelIndex      sipModuleAPI_QtSensors_QtCore->em_types[114]

#define sipType_QList_0100QFileInfo      sipModuleAPI_QtSensors_QtCore->em_types[111]

#define sipType_QStringList      sipModuleAPI_QtSensors_QtCore->em_types[232]

#define sipType_QVector_1800      sipModuleAPI_QtSensors_QtCore->em_types[296]

#define sipType_QPair_1800_1800      sipModuleAPI_QtSensors_QtCore->em_types[165]

#define sipType_QList_0100Qt_DayOfWeek      sipModuleAPI_QtSensors_QtCore->em_types[122]

#define sipType_QList_2400      sipModuleAPI_QtSensors_QtCore->em_types[124]

#define sipType_QList_1800      sipModuleAPI_QtSensors_QtCore->em_types[123]

#define sipType_QList_0600QPair_1800_1800      sipModuleAPI_QtSensors_QtCore->em_types[117]

#define sipType_QJsonObject      sipModuleAPI_QtSensors_QtCore->em_types[92]

#define sipType_QJsonArray      sipModuleAPI_QtSensors_QtCore->em_types[88]

#define sipType_QStringRef      sipModuleAPI_QtSensors_QtCore->em_types[234]

#define sipType_QString      sipModuleAPI_QtSensors_QtCore->em_types[231]

#define sipType_QChar      sipModuleAPI_QtSensors_QtCore->em_types[23]

#define sipType_quintptr      sipModuleAPI_QtSensors_QtCore->em_types[417]

#define sipType_qintptr      sipModuleAPI_QtSensors_QtCore->em_types[416]
extern const sipExportedModuleDef *sipModuleAPI_QtSensors_QtCore;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSensors_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtSensors_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSensors_qt_metacast;

#endif
