/*
 * Internal module API header file.
 *
 * Generated by SIP 4.17
 *
 * Copyright (c) 2015 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _EnginioAPI_H
#define _EnginioAPI_H


#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacCocoaViewContainer
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Enginio__AuthenticationState 0
#define sipName_Enginio__AuthenticationState &sipStrings_Enginio[0]
#define sipNameNr_PyQt5_QtCore_pyqtWrapperType 29
#define sipName_PyQt5_QtCore_pyqtWrapperType &sipStrings_Enginio[29]
#define sipNameNr_EnginioOAuth2Authentication 58
#define sipName_EnginioOAuth2Authentication &sipStrings_Enginio[58]
#define sipNameNr_authenticationStateChanged 86
#define sipName_authenticationStateChanged &sipStrings_Enginio[86]
#define sipNameNr_sessionAuthenticationError 113
#define sipName_sessionAuthenticationError &sipStrings_Enginio[113]
#define sipNameNr_UsergroupMembersOperation 140
#define sipName_UsergroupMembersOperation &sipStrings_Enginio[140]
#define sipNameNr_EnginioClientConnection 166
#define sipName_EnginioClientConnection &sipStrings_Enginio[166]
#define sipNameNr_AccessControlOperation 190
#define sipName_AccessControlOperation &sipStrings_Enginio[190]
#define sipNameNr_AuthenticationFailure 213
#define sipName_AuthenticationFailure &sipStrings_Enginio[213]
#define sipNameNr_sessionAuthenticated 235
#define sipName_sessionAuthenticated &sipStrings_Enginio[235]
#define sipNameNr_supportedDragActions 256
#define sipName_supportedDragActions &sipStrings_Enginio[256]
#define sipNameNr_supportedDropActions 277
#define sipName_supportedDropActions &sipStrings_Enginio[277]
#define sipNameNr_authenticationState 298
#define sipName_authenticationState &sipStrings_Enginio[298]
#define sipNameNr_AuthenticationState 9
#define sipName_AuthenticationState &sipStrings_Enginio[9]
#define sipNameNr_Enginio__ErrorType 318
#define sipName_Enginio__ErrorType &sipStrings_Enginio[318]
#define sipNameNr_CustomPropertyRole 337
#define sipName_CustomPropertyRole &sipStrings_Enginio[337]
#define sipNameNr_UsergroupOperation 356
#define sipName_UsergroupOperation &sipStrings_Enginio[356]
#define sipNameNr_Enginio__Operation 375
#define sipName_Enginio__Operation &sipStrings_Enginio[375]
#define sipNameNr_serviceUrlChanged 394
#define sipName_serviceUrlChanged &sipStrings_Enginio[394]
#define sipNameNr_sessionTerminated 412
#define sipName_sessionTerminated &sipStrings_Enginio[412]
#define sipNameNr_sip_simplewrapper 430
#define sipName_sip_simplewrapper &sipStrings_Enginio[430]
#define sipNameNr_operationChanged 448
#define sipName_operationChanged &sipStrings_Enginio[448]
#define sipNameNr_backendIdChanged 465
#define sipName_backendIdChanged &sipStrings_Enginio[465]
#define sipNameNr_NotAuthenticated 482
#define sipName_NotAuthenticated &sipStrings_Enginio[482]
#define sipNameNr_disconnectNotify 499
#define sipName_disconnectNotify &sipStrings_Enginio[499]
#define sipNameNr_passwordChanged 516
#define sipName_passwordChanged &sipStrings_Enginio[516]
#define sipNameNr_EnginioIdentity 532
#define sipName_EnginioIdentity &sipStrings_Enginio[532]
#define sipNameNr_identityChanged 548
#define sipName_identityChanged &sipStrings_Enginio[548]
#define sipNameNr_ObjectOperation 564
#define sipName_ObjectOperation &sipStrings_Enginio[564]
#define sipNameNr_canDropMimeData 580
#define sipName_canDropMimeData &sipStrings_Enginio[580]
#define sipNameNr_networkManager 596
#define sipName_networkManager &sipStrings_Enginio[596]
#define sipNameNr_fullTextSearch 611
#define sipName_fullTextSearch &sipStrings_Enginio[611]
#define sipNameNr_JsonObjectRole 626
#define sipName_JsonObjectRole &sipStrings_Enginio[626]
#define sipNameNr_ObjectTypeRole 641
#define sipName_ObjectTypeRole &sipStrings_Enginio[641]
#define sipNameNr_Authenticating 656
#define sipName_Authenticating &sipStrings_Enginio[656]
#define sipNameNr_backendStatus 671
#define sipName_backendStatus &sipStrings_Enginio[671]
#define sipNameNr_clientChanged 685
#define sipName_clientChanged &sipStrings_Enginio[685]
#define sipNameNr_setServiceUrl 699
#define sipName_setServiceUrl &sipStrings_Enginio[699]
#define sipNameNr_EnginioClient 713
#define sipName_EnginioClient &sipStrings_Enginio[713]
#define sipNameNr_UpdatedAtRole 727
#define sipName_UpdatedAtRole &sipStrings_Enginio[727]
#define sipNameNr_CreatedAtRole 741
#define sipName_CreatedAtRole &sipStrings_Enginio[741]
#define sipNameNr_Enginio__Role 755
#define sipName_Enginio__Role &sipStrings_Enginio[755]
#define sipNameNr_FileOperation 769
#define sipName_FileOperation &sipStrings_Enginio[769]
#define sipNameNr_UserOperation 783
#define sipName_UserOperation &sipStrings_Enginio[783]
#define sipNameNr_Authenticated 242
#define sipName_Authenticated &sipStrings_Enginio[242]
#define sipNameNr_connectNotify 502
#define sipName_connectNotify &sipStrings_Enginio[502]
#define sipNameNr_removeColumns 797
#define sipName_removeColumns &sipStrings_Enginio[797]
#define sipNameNr_insertColumns 811
#define sipName_insertColumns &sipStrings_Enginio[811]
#define sipNameNr_setHeaderData 825
#define sipName_setHeaderData &sipStrings_Enginio[825]
#define sipNameNr_PyQt5_Enginio 839
#define sipName_PyQt5_Enginio &sipStrings_Enginio[839]
#define sipNameNr_networkError 853
#define sipName_networkError &sipStrings_Enginio[853]
#define sipNameNr_EnginioReply 866
#define sipName_EnginioReply &sipStrings_Enginio[866]
#define sipNameNr_queryChanged 879
#define sipName_queryChanged &sipStrings_Enginio[879]
#define sipNameNr_EnginioModel 892
#define sipName_EnginioModel &sipStrings_Enginio[892]
#define sipNameNr_setBackendId 905
#define sipName_setBackendId &sipStrings_Enginio[905]
#define sipNameNr_BackendError 918
#define sipName_BackendError &sipStrings_Enginio[918]
#define sipNameNr_setOperation 931
#define sipName_setOperation &sipStrings_Enginio[931]
#define sipNameNr_NetworkError 944
#define sipName_NetworkError &sipStrings_Enginio[944]
#define sipNameNr_canFetchMore 957
#define sipName_canFetchMore &sipStrings_Enginio[957]
#define sipNameNr_dropMimeData 970
#define sipName_dropMimeData &sipStrings_Enginio[970]
#define sipNameNr_userChanged 983
#define sipName_userChanged &sipStrings_Enginio[983]
#define sipNameNr_downloadUrl 995
#define sipName_downloadUrl &sipStrings_Enginio[995]
#define sipNameNr_setIdentity 1007
#define sipName_setIdentity &sipStrings_Enginio[1007]
#define sipNameNr_setPassword 1019
#define sipName_setPassword &sipStrings_Enginio[1019]
#define sipNameNr_customEvent 1031
#define sipName_customEvent &sipStrings_Enginio[1031]
#define sipNameNr_eventFilter 1043
#define sipName_eventFilter &sipStrings_Enginio[1043]
#define sipNameNr_errorString 1055
#define sipName_errorString &sipStrings_Enginio[1055]
#define sipNameNr_moveColumns 799
#define sipName_moveColumns &sipStrings_Enginio[799]
#define sipNameNr_dataChanged 1067
#define sipName_dataChanged &sipStrings_Enginio[1067]
#define sipNameNr_setItemData 1079
#define sipName_setItemData &sipStrings_Enginio[1079]
#define sipNameNr_serviceUrl 1091
#define sipName_serviceUrl &sipStrings_Enginio[1091]
#define sipNameNr_uploadFile 1102
#define sipName_uploadFile &sipStrings_Enginio[1102]
#define sipNameNr_SyncedRole 1113
#define sipName_SyncedRole &sipStrings_Enginio[1113]
#define sipNameNr_isFinished 1124
#define sipName_isFinished &sipStrings_Enginio[1124]
#define sipNameNr_childEvent 1135
#define sipName_childEvent &sipStrings_Enginio[1135]
#define sipNameNr_timerEvent 1146
#define sipName_timerEvent &sipStrings_Enginio[1146]
#define sipNameNr_removeRows 1157
#define sipName_removeRows &sipStrings_Enginio[1157]
#define sipNameNr_insertRows 1168
#define sipName_insertRows &sipStrings_Enginio[1168]
#define sipNameNr_headerData 1179
#define sipName_headerData &sipStrings_Enginio[1179]
#define sipNameNr_errorType 1190
#define sipName_errorType &sipStrings_Enginio[1190]
#define sipNameNr_setClient 1200
#define sipName_setClient &sipStrings_Enginio[1200]
#define sipNameNr_backendId 1210
#define sipName_backendId &sipStrings_Enginio[1210]
#define sipNameNr_ErrorType 327
#define sipName_ErrorType &sipStrings_Enginio[327]
#define sipNameNr_operation 1220
#define sipName_operation &sipStrings_Enginio[1220]
#define sipNameNr_Operation 156
#define sipName_Operation &sipStrings_Enginio[156]
#define sipNameNr_directory 1230
#define sipName_directory &sipStrings_Enginio[1230]
#define sipNameNr_precision 1240
#define sipName_precision &sipStrings_Enginio[1240]
#define sipNameNr_roleNames 1250
#define sipName_roleNames &sipStrings_Enginio[1250]
#define sipNameNr_fetchMore 1260
#define sipName_fetchMore &sipStrings_Enginio[1260]
#define sipNameNr_mimeTypes 1270
#define sipName_mimeTypes &sipStrings_Enginio[1270]
#define sipNameNr_identity 1280
#define sipName_identity &sipStrings_Enginio[1280]
#define sipNameNr_protocol 1289
#define sipName_protocol &sipStrings_Enginio[1289]
#define sipNameNr_setQuery 1298
#define sipName_setQuery &sipStrings_Enginio[1298]
#define sipNameNr_password 1307
#define sipName_password &sipStrings_Enginio[1307]
#define sipNameNr_nameType 1316
#define sipName_nameType &sipStrings_Enginio[1316]
#define sipNameNr_progress 1325
#define sipName_progress &sipStrings_Enginio[1325]
#define sipNameNr_moveRows 1159
#define sipName_moveRows &sipStrings_Enginio[1159]
#define sipNameNr_mimeData 1334
#define sipName_mimeData &sipStrings_Enginio[1334]
#define sipNameNr_itemData 1343
#define sipName_itemData &sipStrings_Enginio[1343]
#define sipNameNr_rowCount 1352
#define sipName_rowCount &sipStrings_Enginio[1352]
#define sipNameNr_finished 1361
#define sipName_finished &sipStrings_Enginio[1361]
#define sipNameNr_isError 1370
#define sipName_isError &sipStrings_Enginio[1370]
#define sipNameNr_Enginio 845
#define sipName_Enginio &sipStrings_Enginio[845]
#define sipNameNr_setUser 1378
#define sipName_setUser &sipStrings_Enginio[1378]
#define sipNameNr_NoError 1386
#define sipName_NoError &sipStrings_Enginio[1386]
#define sipNameNr_filters 1394
#define sipName_filters &sipStrings_Enginio[1394]
#define sipNameNr_options 1402
#define sipName_options &sipStrings_Enginio[1402]
#define sipNameNr_setData 1410
#define sipName_setData &sipStrings_Enginio[1410]
#define sipNameNr_sibling 1418
#define sipName_sibling &sipStrings_Enginio[1418]
#define sipNameNr_reload 1426
#define sipName_reload &sipStrings_Enginio[1426]
#define sipNameNr_client 1433
#define sipName_client &sipStrings_Enginio[1433]
#define sipNameNr_update 1440
#define sipName_update &sipStrings_Enginio[1440]
#define sipNameNr_IdRole 1447
#define sipName_IdRole &sipStrings_Enginio[1447]
#define sipNameNr_create 1454
#define sipName_create &sipStrings_Enginio[1454]
#define sipNameNr_proper 1461
#define sipName_proper &sipStrings_Enginio[1461]
#define sipNameNr_value9 1468
#define sipName_value9 &sipStrings_Enginio[1468]
#define sipNameNr_value8 1475
#define sipName_value8 &sipStrings_Enginio[1475]
#define sipNameNr_value7 1482
#define sipName_value7 &sipStrings_Enginio[1482]
#define sipNameNr_value6 1489
#define sipName_value6 &sipStrings_Enginio[1489]
#define sipNameNr_value5 1496
#define sipName_value5 &sipStrings_Enginio[1496]
#define sipNameNr_value4 1503
#define sipName_value4 &sipStrings_Enginio[1503]
#define sipNameNr_value3 1510
#define sipName_value3 &sipStrings_Enginio[1510]
#define sipNameNr_value2 1517
#define sipName_value2 &sipStrings_Enginio[1517]
#define sipNameNr_value1 1524
#define sipName_value1 &sipStrings_Enginio[1524]
#define sipNameNr_value0 1531
#define sipName_value0 &sipStrings_Enginio[1531]
#define sipNameNr_symbol 1538
#define sipName_symbol &sipStrings_Enginio[1538]
#define sipNameNr_suffix 1545
#define sipName_suffix &sipStrings_Enginio[1545]
#define sipNameNr_prefix 1552
#define sipName_prefix &sipStrings_Enginio[1552]
#define sipNameNr_locale 1559
#define sipName_locale &sipStrings_Enginio[1559]
#define sipNameNr_format 1566
#define sipName_format &sipStrings_Enginio[1566]
#define sipNameNr_remove 1573
#define sipName_remove &sipStrings_Enginio[1573]
#define sipNameNr_append 1580
#define sipName_append &sipStrings_Enginio[1580]
#define sipNameNr_revert 1587
#define sipName_revert &sipStrings_Enginio[1587]
#define sipNameNr_submit 1594
#define sipName_submit &sipStrings_Enginio[1594]
#define sipNameNr_parent 1601
#define sipName_parent &sipStrings_Enginio[1601]
#define sipNameNr_query 1608
#define sipName_query &sipStrings_Enginio[1608]
#define sipNameNr_error 1614
#define sipName_error &sipStrings_Enginio[1614]
#define sipNameNr_match 1620
#define sipName_match &sipStrings_Enginio[1620]
#define sipNameNr_buddy 1626
#define sipName_buddy &sipStrings_Enginio[1626]
#define sipNameNr_index 1632
#define sipName_index &sipStrings_Enginio[1632]
#define sipNameNr_flags 1638
#define sipName_flags &sipStrings_Enginio[1638]
#define sipNameNr_event 1644
#define sipName_event &sipStrings_Enginio[1644]
#define sipNameNr_msecs 1650
#define sipName_msecs &sipStrings_Enginio[1650]
#define sipNameNr_Role 351
#define sipName_Role &sipStrings_Enginio[351]
#define sipNameNr_user 1656
#define sipName_user &sipStrings_Enginio[1656]
#define sipNameNr_port 1661
#define sipName_port &sipStrings_Enginio[1661]
#define sipNameNr_mode 1666
#define sipName_mode &sipStrings_Enginio[1666]
#define sipNameNr_name 1671
#define sipName_name &sipStrings_Enginio[1671]
#define sipNameNr_base 1676
#define sipName_base &sipStrings_Enginio[1676]
#define sipNameNr_from 1681
#define sipName_from &sipStrings_Enginio[1681]
#define sipNameNr_span 1686
#define sipName_span &sipStrings_Enginio[1686]
#define sipNameNr_sort 1691
#define sipName_sort &sipStrings_Enginio[1691]
#define sipNameNr_data 1696
#define sipName_data &sipStrings_Enginio[1696]

#define sipMalloc                   sipAPI_Enginio->api_malloc
#define sipFree                     sipAPI_Enginio->api_free
#define sipBuildResult              sipAPI_Enginio->api_build_result
#define sipCallMethod               sipAPI_Enginio->api_call_method
#define sipCallErrorHandler         sipAPI_Enginio->api_call_error_handler
#define sipParseResultEx            sipAPI_Enginio->api_parse_result_ex
#define sipParseResult              sipAPI_Enginio->api_parse_result
#define sipParseArgs                sipAPI_Enginio->api_parse_args
#define sipParseKwdArgs             sipAPI_Enginio->api_parse_kwd_args
#define sipParsePair                sipAPI_Enginio->api_parse_pair
#define sipCommonDtor               sipAPI_Enginio->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_Enginio->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_Enginio->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Enginio->api_convert_to_void_ptr
#define sipAddException             sipAPI_Enginio->api_add_exception
#define sipNoFunction               sipAPI_Enginio->api_no_function
#define sipNoMethod                 sipAPI_Enginio->api_no_method
#define sipAbstractMethod           sipAPI_Enginio->api_abstract_method
#define sipBadClass                 sipAPI_Enginio->api_bad_class
#define sipBadCatcherResult         sipAPI_Enginio->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Enginio->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Enginio->api_bad_operator_arg
#define sipTrace                    sipAPI_Enginio->api_trace
#define sipTransferBack             sipAPI_Enginio->api_transfer_back
#define sipTransferTo               sipAPI_Enginio->api_transfer_to
#define sipTransferBreak            sipAPI_Enginio->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_Enginio->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Enginio->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Enginio->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Enginio->api_voidptr_type
#define sipGetPyObject              sipAPI_Enginio->api_get_pyobject
#define sipGetAddress               sipAPI_Enginio->api_get_address
#define sipGetMixinAddress          sipAPI_Enginio->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Enginio->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Enginio->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_Enginio->api_is_py_method
#define sipCallHook                 sipAPI_Enginio->api_call_hook
#define sipEndThread                sipAPI_Enginio->api_end_thread
#define sipConnectRx                sipAPI_Enginio->api_connect_rx
#define sipDisconnectRx             sipAPI_Enginio->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_Enginio->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Enginio->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Enginio->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Enginio->api_add_type_instance
#define sipFreeSipslot              sipAPI_Enginio->api_free_sipslot
#define sipSameSlot                 sipAPI_Enginio->api_same_slot
#define sipPySlotExtend             sipAPI_Enginio->api_pyslot_extend
#define sipConvertRx                sipAPI_Enginio->api_convert_rx
#define sipAddDelayedDtor           sipAPI_Enginio->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Enginio->api_can_convert_to_type
#define sipConvertToType            sipAPI_Enginio->api_convert_to_type
#define sipForceConvertToType       sipAPI_Enginio->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_Enginio->api_can_convert_to_enum
#define sipReleaseType              sipAPI_Enginio->api_release_type
#define sipConvertFromType          sipAPI_Enginio->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Enginio->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Enginio->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Enginio->api_convert_from_enum
#define sipGetState                 sipAPI_Enginio->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_Enginio->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_Enginio->api_export_symbol
#define sipImportSymbol             sipAPI_Enginio->api_import_symbol
#define sipFindType                 sipAPI_Enginio->api_find_type
#define sipFindNamedEnum            sipAPI_Enginio->api_find_named_enum
#define sipBytes_AsChar             sipAPI_Enginio->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Enginio->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Enginio->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Enginio->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Enginio->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Enginio->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Enginio->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Enginio->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Enginio->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Enginio->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Enginio->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Enginio->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Enginio->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_Enginio->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_Enginio->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_Enginio->api_save_slot
#define sipClearAnySlotReference    sipAPI_Enginio->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_Enginio->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->type->td_cname)
#define sipDeprecated               sipAPI_Enginio->api_deprecated
#define sipGetReference             sipAPI_Enginio->api_get_reference
#define sipKeepReference            sipAPI_Enginio->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Enginio->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Enginio->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Enginio->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Enginio->api_type_scope
#define sipResolveTypedef           sipAPI_Enginio->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Enginio->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_Enginio->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_Enginio->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_Enginio->api_enable_autoconversion
#define sipInitMixin                sipAPI_Enginio->api_init_mixin
#define sipExportModule             sipAPI_Enginio->api_export_module
#define sipInitModule               sipAPI_Enginio->api_init_module

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_Enginio->api_map_string_to_class
#define sipMapIntToClass            sipAPI_Enginio->api_map_int_to_class
#define sipFindClass                sipAPI_Enginio->api_find_class
#define sipFindMappedType           sipAPI_Enginio->api_find_mapped_type
#define sipConvertToArray           sipAPI_Enginio->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Enginio->api_convert_to_typed_array
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_Enginio->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->type)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->type, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->type, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->type, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->type, (t))

/* The strings used by this module. */
extern const char sipStrings_Enginio[];

#define sipType_QtMsgType              sipModuleAPI_Enginio_QtCore->em_types[415]
#define sipEnum_QtMsgType              sipModuleAPI_Enginio_QtCore->em_types[415]->u.td_py_type

#define sipType_Enginio              sipModuleAPI_Enginio.em_types[0]
#define sipClass_Enginio             sipModuleAPI_Enginio.em_types[0]->u.td_wrapper_type

#define sipType_Enginio_ErrorType              sipModuleAPI_Enginio.em_types[2]
#define sipEnum_Enginio_ErrorType              sipModuleAPI_Enginio.em_types[2]->u.td_py_type
#define sipType_Enginio_Role              sipModuleAPI_Enginio.em_types[4]
#define sipEnum_Enginio_Role              sipModuleAPI_Enginio.em_types[4]->u.td_py_type
#define sipType_Enginio_Operation              sipModuleAPI_Enginio.em_types[3]
#define sipEnum_Enginio_Operation              sipModuleAPI_Enginio.em_types[3]->u.td_py_type
#define sipType_Enginio_AuthenticationState              sipModuleAPI_Enginio.em_types[1]
#define sipEnum_Enginio_AuthenticationState              sipModuleAPI_Enginio.em_types[1]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_Enginio;

#define sipType_EnginioClientConnection              sipModuleAPI_Enginio.em_types[6]
#define sipClass_EnginioClientConnection             sipModuleAPI_Enginio.em_types[6]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioClientConnection;

#define sipType_EnginioClient              sipModuleAPI_Enginio.em_types[5]
#define sipClass_EnginioClient             sipModuleAPI_Enginio.em_types[5]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioClient;

#define sipType_EnginioIdentity              sipModuleAPI_Enginio.em_types[7]
#define sipClass_EnginioIdentity             sipModuleAPI_Enginio.em_types[7]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioIdentity;

#define sipType_EnginioModel              sipModuleAPI_Enginio.em_types[8]
#define sipClass_EnginioModel             sipModuleAPI_Enginio.em_types[8]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioModel;

#define sipType_EnginioOAuth2Authentication              sipModuleAPI_Enginio.em_types[9]
#define sipClass_EnginioOAuth2Authentication             sipModuleAPI_Enginio.em_types[9]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioOAuth2Authentication;

#define sipType_EnginioReply              sipModuleAPI_Enginio.em_types[10]
#define sipClass_EnginioReply             sipModuleAPI_Enginio.em_types[10]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_Enginio_EnginioReply;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Enginio;
extern sipExportedModuleDef sipModuleAPI_Enginio;

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_Enginio_QtCore->em_types[311]
#define sipClass_Qt             sipModuleAPI_Enginio_QtCore->em_types[311]->u.td_wrapper_type
#endif

#define sipType_Qt_ItemSelectionOperation              sipModuleAPI_Enginio_QtCore->em_types[362]
#define sipEnum_Qt_ItemSelectionOperation              sipModuleAPI_Enginio_QtCore->em_types[362]->u.td_py_type
#define sipType_Qt_TabFocusBehavior              sipModuleAPI_Enginio_QtCore->em_types[391]
#define sipEnum_Qt_TabFocusBehavior              sipModuleAPI_Enginio_QtCore->em_types[391]->u.td_py_type
#define sipType_Qt_MouseEventFlag              sipModuleAPI_Enginio_QtCore->em_types[373]
#define sipEnum_Qt_MouseEventFlag              sipModuleAPI_Enginio_QtCore->em_types[373]->u.td_py_type
#define sipType_Qt_MouseEventSource              sipModuleAPI_Enginio_QtCore->em_types[375]
#define sipEnum_Qt_MouseEventSource              sipModuleAPI_Enginio_QtCore->em_types[375]->u.td_py_type
#define sipType_Qt_ScrollPhase              sipModuleAPI_Enginio_QtCore->em_types[386]
#define sipEnum_Qt_ScrollPhase              sipModuleAPI_Enginio_QtCore->em_types[386]->u.td_py_type
#define sipType_Qt_NativeGestureType              sipModuleAPI_Enginio_QtCore->em_types[376]
#define sipEnum_Qt_NativeGestureType              sipModuleAPI_Enginio_QtCore->em_types[376]->u.td_py_type
#define sipType_Qt_Edge              sipModuleAPI_Enginio_QtCore->em_types[338]
#define sipEnum_Qt_Edge              sipModuleAPI_Enginio_QtCore->em_types[338]->u.td_py_type
#define sipType_Qt_ApplicationState              sipModuleAPI_Enginio_QtCore->em_types[316]
#define sipEnum_Qt_ApplicationState              sipModuleAPI_Enginio_QtCore->em_types[316]->u.td_py_type
#define sipType_Qt_HitTestAccuracy              sipModuleAPI_Enginio_QtCore->em_types[351]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_Enginio_QtCore->em_types[351]->u.td_py_type
#define sipType_Qt_WhiteSpaceMode              sipModuleAPI_Enginio_QtCore->em_types[407]
#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_Enginio_QtCore->em_types[407]->u.td_py_type
#define sipType_Qt_FindChildOption              sipModuleAPI_Enginio_QtCore->em_types[342]
#define sipEnum_Qt_FindChildOption              sipModuleAPI_Enginio_QtCore->em_types[342]->u.td_py_type
#define sipType_Qt_ScreenOrientation              sipModuleAPI_Enginio_QtCore->em_types[383]
#define sipEnum_Qt_ScreenOrientation              sipModuleAPI_Enginio_QtCore->em_types[383]->u.td_py_type
#define sipType_Qt_CursorMoveStyle              sipModuleAPI_Enginio_QtCore->em_types[330]
#define sipEnum_Qt_CursorMoveStyle              sipModuleAPI_Enginio_QtCore->em_types[330]->u.td_py_type
#define sipType_Qt_NavigationMode              sipModuleAPI_Enginio_QtCore->em_types[377]
#define sipEnum_Qt_NavigationMode              sipModuleAPI_Enginio_QtCore->em_types[377]->u.td_py_type
#define sipType_Qt_GestureFlag              sipModuleAPI_Enginio_QtCore->em_types[346]
#define sipEnum_Qt_GestureFlag              sipModuleAPI_Enginio_QtCore->em_types[346]->u.td_py_type
#define sipType_Qt_GestureType              sipModuleAPI_Enginio_QtCore->em_types[349]
#define sipEnum_Qt_GestureType              sipModuleAPI_Enginio_QtCore->em_types[349]->u.td_py_type
#define sipType_Qt_GestureState              sipModuleAPI_Enginio_QtCore->em_types[348]
#define sipEnum_Qt_GestureState              sipModuleAPI_Enginio_QtCore->em_types[348]->u.td_py_type
#define sipType_Qt_TouchPointState              sipModuleAPI_Enginio_QtCore->em_types[403]
#define sipEnum_Qt_TouchPointState              sipModuleAPI_Enginio_QtCore->em_types[403]->u.td_py_type
#define sipType_Qt_CoordinateSystem              sipModuleAPI_Enginio_QtCore->em_types[328]
#define sipEnum_Qt_CoordinateSystem              sipModuleAPI_Enginio_QtCore->em_types[328]->u.td_py_type
#define sipType_Qt_AnchorPoint              sipModuleAPI_Enginio_QtCore->em_types[314]
#define sipEnum_Qt_AnchorPoint              sipModuleAPI_Enginio_QtCore->em_types[314]->u.td_py_type
#define sipType_Qt_InputMethodHint              sipModuleAPI_Enginio_QtCore->em_types[354]
#define sipEnum_Qt_InputMethodHint              sipModuleAPI_Enginio_QtCore->em_types[354]->u.td_py_type
#define sipType_Qt_TileRule              sipModuleAPI_Enginio_QtCore->em_types[397]
#define sipEnum_Qt_TileRule              sipModuleAPI_Enginio_QtCore->em_types[397]->u.td_py_type
#define sipType_Qt_WindowFrameSection              sipModuleAPI_Enginio_QtCore->em_types[410]
#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_Enginio_QtCore->em_types[410]->u.td_py_type
#define sipType_Qt_SizeHint              sipModuleAPI_Enginio_QtCore->em_types[388]
#define sipEnum_Qt_SizeHint              sipModuleAPI_Enginio_QtCore->em_types[388]->u.td_py_type
#define sipType_Qt_SizeMode              sipModuleAPI_Enginio_QtCore->em_types[389]
#define sipEnum_Qt_SizeMode              sipModuleAPI_Enginio_QtCore->em_types[389]->u.td_py_type
#define sipType_Qt_EventPriority              sipModuleAPI_Enginio_QtCore->em_types[340]
#define sipEnum_Qt_EventPriority              sipModuleAPI_Enginio_QtCore->em_types[340]->u.td_py_type
#define sipType_Qt_Axis              sipModuleAPI_Enginio_QtCore->em_types[320]
#define sipEnum_Qt_Axis              sipModuleAPI_Enginio_QtCore->em_types[320]->u.td_py_type
#define sipType_Qt_MaskMode              sipModuleAPI_Enginio_QtCore->em_types[367]
#define sipEnum_Qt_MaskMode              sipModuleAPI_Enginio_QtCore->em_types[367]->u.td_py_type
#define sipType_Qt_TextInteractionFlag              sipModuleAPI_Enginio_QtCore->em_types[395]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_Enginio_QtCore->em_types[395]->u.td_py_type
#define sipType_Qt_ItemSelectionMode              sipModuleAPI_Enginio_QtCore->em_types[361]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_Enginio_QtCore->em_types[361]->u.td_py_type
#define sipType_Qt_ApplicationAttribute              sipModuleAPI_Enginio_QtCore->em_types[315]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_Enginio_QtCore->em_types[315]->u.td_py_type
#define sipType_Qt_WindowModality              sipModuleAPI_Enginio_QtCore->em_types[411]
#define sipEnum_Qt_WindowModality              sipModuleAPI_Enginio_QtCore->em_types[411]->u.td_py_type
#define sipType_Qt_MatchFlag              sipModuleAPI_Enginio_QtCore->em_types[368]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_Enginio_QtCore->em_types[368]->u.td_py_type
#define sipType_Qt_ItemFlag              sipModuleAPI_Enginio_QtCore->em_types[359]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_Enginio_QtCore->em_types[359]->u.td_py_type
#define sipType_Qt_ItemDataRole              sipModuleAPI_Enginio_QtCore->em_types[358]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_Enginio_QtCore->em_types[358]->u.td_py_type
#define sipType_Qt_CheckState              sipModuleAPI_Enginio_QtCore->em_types[324]
#define sipEnum_Qt_CheckState              sipModuleAPI_Enginio_QtCore->em_types[324]->u.td_py_type
#define sipType_Qt_DropAction              sipModuleAPI_Enginio_QtCore->em_types[336]
#define sipEnum_Qt_DropAction              sipModuleAPI_Enginio_QtCore->em_types[336]->u.td_py_type
#define sipType_Qt_LayoutDirection              sipModuleAPI_Enginio_QtCore->em_types[366]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_Enginio_QtCore->em_types[366]->u.td_py_type
#define sipType_Qt_ToolButtonStyle              sipModuleAPI_Enginio_QtCore->em_types[402]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_Enginio_QtCore->em_types[402]->u.td_py_type
#define sipType_Qt_InputMethodQuery              sipModuleAPI_Enginio_QtCore->em_types[357]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_Enginio_QtCore->em_types[357]->u.td_py_type
#define sipType_Qt_ContextMenuPolicy              sipModuleAPI_Enginio_QtCore->em_types[327]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_Enginio_QtCore->em_types[327]->u.td_py_type
#define sipType_Qt_FocusReason              sipModuleAPI_Enginio_QtCore->em_types[345]
#define sipEnum_Qt_FocusReason              sipModuleAPI_Enginio_QtCore->em_types[345]->u.td_py_type
#define sipType_Qt_TransformationMode              sipModuleAPI_Enginio_QtCore->em_types[405]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_Enginio_QtCore->em_types[405]->u.td_py_type
#define sipType_Qt_ClipOperation              sipModuleAPI_Enginio_QtCore->em_types[325]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_Enginio_QtCore->em_types[325]->u.td_py_type
#define sipType_Qt_FillRule              sipModuleAPI_Enginio_QtCore->em_types[341]
#define sipEnum_Qt_FillRule              sipModuleAPI_Enginio_QtCore->em_types[341]->u.td_py_type
#define sipType_Qt_ShortcutContext              sipModuleAPI_Enginio_QtCore->em_types[387]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_Enginio_QtCore->em_types[387]->u.td_py_type
#define sipType_Qt_ConnectionType              sipModuleAPI_Enginio_QtCore->em_types[326]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_Enginio_QtCore->em_types[326]->u.td_py_type
#define sipType_Qt_Corner              sipModuleAPI_Enginio_QtCore->em_types[329]
#define sipEnum_Qt_Corner              sipModuleAPI_Enginio_QtCore->em_types[329]->u.td_py_type
#define sipType_Qt_CaseSensitivity              sipModuleAPI_Enginio_QtCore->em_types[323]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_Enginio_QtCore->em_types[323]->u.td_py_type
#define sipType_Qt_ScrollBarPolicy              sipModuleAPI_Enginio_QtCore->em_types[385]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_Enginio_QtCore->em_types[385]->u.td_py_type
#define sipType_Qt_DayOfWeek              sipModuleAPI_Enginio_QtCore->em_types[333]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_Enginio_QtCore->em_types[333]->u.td_py_type
#define sipType_Qt_TimeSpec              sipModuleAPI_Enginio_QtCore->em_types[398]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_Enginio_QtCore->em_types[398]->u.td_py_type
#define sipType_Qt_DateFormat              sipModuleAPI_Enginio_QtCore->em_types[332]
#define sipEnum_Qt_DateFormat              sipModuleAPI_Enginio_QtCore->em_types[332]->u.td_py_type
#define sipType_Qt_ToolBarArea              sipModuleAPI_Enginio_QtCore->em_types[400]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_Enginio_QtCore->em_types[400]->u.td_py_type
#define sipType_Qt_TimerType              sipModuleAPI_Enginio_QtCore->em_types[399]
#define sipEnum_Qt_TimerType              sipModuleAPI_Enginio_QtCore->em_types[399]->u.td_py_type
#define sipType_Qt_DockWidgetArea              sipModuleAPI_Enginio_QtCore->em_types[334]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_Enginio_QtCore->em_types[334]->u.td_py_type
#define sipType_Qt_AspectRatioMode              sipModuleAPI_Enginio_QtCore->em_types[319]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_Enginio_QtCore->em_types[319]->u.td_py_type
#define sipType_Qt_TextFormat              sipModuleAPI_Enginio_QtCore->em_types[394]
#define sipEnum_Qt_TextFormat              sipModuleAPI_Enginio_QtCore->em_types[394]->u.td_py_type
#define sipType_Qt_CursorShape              sipModuleAPI_Enginio_QtCore->em_types[331]
#define sipEnum_Qt_CursorShape              sipModuleAPI_Enginio_QtCore->em_types[331]->u.td_py_type
#define sipType_Qt_UIEffect              sipModuleAPI_Enginio_QtCore->em_types[406]
#define sipEnum_Qt_UIEffect              sipModuleAPI_Enginio_QtCore->em_types[406]->u.td_py_type
#define sipType_Qt_BrushStyle              sipModuleAPI_Enginio_QtCore->em_types[322]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_Enginio_QtCore->em_types[322]->u.td_py_type
#define sipType_Qt_PenJoinStyle              sipModuleAPI_Enginio_QtCore->em_types[381]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_Enginio_QtCore->em_types[381]->u.td_py_type
#define sipType_Qt_PenCapStyle              sipModuleAPI_Enginio_QtCore->em_types[380]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_Enginio_QtCore->em_types[380]->u.td_py_type
#define sipType_Qt_PenStyle              sipModuleAPI_Enginio_QtCore->em_types[382]
#define sipEnum_Qt_PenStyle              sipModuleAPI_Enginio_QtCore->em_types[382]->u.td_py_type
#define sipType_Qt_ArrowType              sipModuleAPI_Enginio_QtCore->em_types[318]
#define sipEnum_Qt_ArrowType              sipModuleAPI_Enginio_QtCore->em_types[318]->u.td_py_type
#define sipType_Qt_Key              sipModuleAPI_Enginio_QtCore->em_types[363]
#define sipEnum_Qt_Key              sipModuleAPI_Enginio_QtCore->em_types[363]->u.td_py_type
#define sipType_Qt_BGMode              sipModuleAPI_Enginio_QtCore->em_types[321]
#define sipEnum_Qt_BGMode              sipModuleAPI_Enginio_QtCore->em_types[321]->u.td_py_type
#define sipType_Qt_ImageConversionFlag              sipModuleAPI_Enginio_QtCore->em_types[352]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_Enginio_QtCore->em_types[352]->u.td_py_type
#define sipType_Qt_WidgetAttribute              sipModuleAPI_Enginio_QtCore->em_types[408]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_Enginio_QtCore->em_types[408]->u.td_py_type
#define sipType_Qt_WindowState              sipModuleAPI_Enginio_QtCore->em_types[412]
#define sipEnum_Qt_WindowState              sipModuleAPI_Enginio_QtCore->em_types[412]->u.td_py_type
#define sipType_Qt_WindowType              sipModuleAPI_Enginio_QtCore->em_types[414]
#define sipEnum_Qt_WindowType              sipModuleAPI_Enginio_QtCore->em_types[414]->u.td_py_type
#define sipType_Qt_TextElideMode              sipModuleAPI_Enginio_QtCore->em_types[392]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_Enginio_QtCore->em_types[392]->u.td_py_type
#define sipType_Qt_TextFlag              sipModuleAPI_Enginio_QtCore->em_types[393]
#define sipEnum_Qt_TextFlag              sipModuleAPI_Enginio_QtCore->em_types[393]->u.td_py_type
#define sipType_Qt_AlignmentFlag              sipModuleAPI_Enginio_QtCore->em_types[313]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_Enginio_QtCore->em_types[313]->u.td_py_type
#define sipType_Qt_SortOrder              sipModuleAPI_Enginio_QtCore->em_types[390]
#define sipEnum_Qt_SortOrder              sipModuleAPI_Enginio_QtCore->em_types[390]->u.td_py_type
#define sipType_Qt_FocusPolicy              sipModuleAPI_Enginio_QtCore->em_types[344]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_Enginio_QtCore->em_types[344]->u.td_py_type
#define sipType_Qt_Orientation              sipModuleAPI_Enginio_QtCore->em_types[378]
#define sipEnum_Qt_Orientation              sipModuleAPI_Enginio_QtCore->em_types[378]->u.td_py_type
#define sipType_Qt_MouseButton              sipModuleAPI_Enginio_QtCore->em_types[371]
#define sipEnum_Qt_MouseButton              sipModuleAPI_Enginio_QtCore->em_types[371]->u.td_py_type
#define sipType_Qt_Modifier              sipModuleAPI_Enginio_QtCore->em_types[370]
#define sipEnum_Qt_Modifier              sipModuleAPI_Enginio_QtCore->em_types[370]->u.td_py_type
#define sipType_Qt_KeyboardModifier              sipModuleAPI_Enginio_QtCore->em_types[364]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_Enginio_QtCore->em_types[364]->u.td_py_type
#define sipType_Qt_GlobalColor              sipModuleAPI_Enginio_QtCore->em_types[350]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_Enginio_QtCore->em_types[350]->u.td_py_type

#define sipType_Qt_KeyboardModifiers              sipModuleAPI_Enginio_QtCore->em_types[365]
#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_Enginio_QtCore->em_types[365]->u.td_wrapper_type

#define sipType_Qt_MouseButtons              sipModuleAPI_Enginio_QtCore->em_types[372]
#define sipClass_Qt_MouseButtons             sipModuleAPI_Enginio_QtCore->em_types[372]->u.td_wrapper_type

#define sipType_Qt_Orientations              sipModuleAPI_Enginio_QtCore->em_types[379]
#define sipClass_Qt_Orientations             sipModuleAPI_Enginio_QtCore->em_types[379]->u.td_wrapper_type

#define sipType_Qt_Alignment              sipModuleAPI_Enginio_QtCore->em_types[312]
#define sipClass_Qt_Alignment             sipModuleAPI_Enginio_QtCore->em_types[312]->u.td_wrapper_type

#define sipType_Qt_WindowFlags              sipModuleAPI_Enginio_QtCore->em_types[409]
#define sipClass_Qt_WindowFlags             sipModuleAPI_Enginio_QtCore->em_types[409]->u.td_wrapper_type

#define sipType_Qt_WindowStates              sipModuleAPI_Enginio_QtCore->em_types[413]
#define sipClass_Qt_WindowStates             sipModuleAPI_Enginio_QtCore->em_types[413]->u.td_wrapper_type

#define sipType_Qt_ImageConversionFlags              sipModuleAPI_Enginio_QtCore->em_types[353]
#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_Enginio_QtCore->em_types[353]->u.td_wrapper_type

#define sipType_Qt_DockWidgetAreas              sipModuleAPI_Enginio_QtCore->em_types[335]
#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_Enginio_QtCore->em_types[335]->u.td_wrapper_type

#define sipType_Qt_ToolBarAreas              sipModuleAPI_Enginio_QtCore->em_types[401]
#define sipClass_Qt_ToolBarAreas             sipModuleAPI_Enginio_QtCore->em_types[401]->u.td_wrapper_type

#define sipType_Qt_InputMethodQueries              sipModuleAPI_Enginio_QtCore->em_types[356]
#define sipClass_Qt_InputMethodQueries             sipModuleAPI_Enginio_QtCore->em_types[356]->u.td_wrapper_type

#define sipType_Qt_DropActions              sipModuleAPI_Enginio_QtCore->em_types[337]
#define sipClass_Qt_DropActions             sipModuleAPI_Enginio_QtCore->em_types[337]->u.td_wrapper_type

#define sipType_Qt_ItemFlags              sipModuleAPI_Enginio_QtCore->em_types[360]
#define sipClass_Qt_ItemFlags             sipModuleAPI_Enginio_QtCore->em_types[360]->u.td_wrapper_type

#define sipType_Qt_MatchFlags              sipModuleAPI_Enginio_QtCore->em_types[369]
#define sipClass_Qt_MatchFlags             sipModuleAPI_Enginio_QtCore->em_types[369]->u.td_wrapper_type

#define sipType_Qt_TextInteractionFlags              sipModuleAPI_Enginio_QtCore->em_types[396]
#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_Enginio_QtCore->em_types[396]->u.td_wrapper_type

#define sipType_Qt_InputMethodHints              sipModuleAPI_Enginio_QtCore->em_types[355]
#define sipClass_Qt_InputMethodHints             sipModuleAPI_Enginio_QtCore->em_types[355]->u.td_wrapper_type

#define sipType_Qt_TouchPointStates              sipModuleAPI_Enginio_QtCore->em_types[404]
#define sipClass_Qt_TouchPointStates             sipModuleAPI_Enginio_QtCore->em_types[404]->u.td_wrapper_type

#define sipType_Qt_GestureFlags              sipModuleAPI_Enginio_QtCore->em_types[347]
#define sipClass_Qt_GestureFlags             sipModuleAPI_Enginio_QtCore->em_types[347]->u.td_wrapper_type

#define sipType_Qt_ScreenOrientations              sipModuleAPI_Enginio_QtCore->em_types[384]
#define sipClass_Qt_ScreenOrientations             sipModuleAPI_Enginio_QtCore->em_types[384]->u.td_wrapper_type

#define sipType_Qt_FindChildOptions              sipModuleAPI_Enginio_QtCore->em_types[343]
#define sipClass_Qt_FindChildOptions             sipModuleAPI_Enginio_QtCore->em_types[343]->u.td_wrapper_type

#define sipType_Qt_ApplicationStates              sipModuleAPI_Enginio_QtCore->em_types[317]
#define sipClass_Qt_ApplicationStates             sipModuleAPI_Enginio_QtCore->em_types[317]->u.td_wrapper_type

#define sipType_Qt_Edges              sipModuleAPI_Enginio_QtCore->em_types[339]
#define sipClass_Qt_Edges             sipModuleAPI_Enginio_QtCore->em_types[339]->u.td_wrapper_type

#define sipType_Qt_MouseEventFlags              sipModuleAPI_Enginio_QtCore->em_types[374]
#define sipClass_Qt_MouseEventFlags             sipModuleAPI_Enginio_QtCore->em_types[374]->u.td_wrapper_type

#define sipType_QObject              sipModuleAPI_Enginio_QtCore->em_types[163]
#define sipClass_QObject             sipModuleAPI_Enginio_QtCore->em_types[163]->u.td_wrapper_type

#define sipType_QAbstractAnimation              sipModuleAPI_Enginio_QtCore->em_types[0]
#define sipClass_QAbstractAnimation             sipModuleAPI_Enginio_QtCore->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractAnimation_DeletionPolicy              sipModuleAPI_Enginio_QtCore->em_types[1]
#define sipEnum_QAbstractAnimation_DeletionPolicy              sipModuleAPI_Enginio_QtCore->em_types[1]->u.td_py_type
#define sipType_QAbstractAnimation_State              sipModuleAPI_Enginio_QtCore->em_types[3]
#define sipEnum_QAbstractAnimation_State              sipModuleAPI_Enginio_QtCore->em_types[3]->u.td_py_type
#define sipType_QAbstractAnimation_Direction              sipModuleAPI_Enginio_QtCore->em_types[2]
#define sipEnum_QAbstractAnimation_Direction              sipModuleAPI_Enginio_QtCore->em_types[2]->u.td_py_type

#define sipType_QAbstractEventDispatcher              sipModuleAPI_Enginio_QtCore->em_types[4]
#define sipClass_QAbstractEventDispatcher             sipModuleAPI_Enginio_QtCore->em_types[4]->u.td_wrapper_type

#define sipType_QAbstractEventDispatcher_TimerInfo              sipModuleAPI_Enginio_QtCore->em_types[5]
#define sipClass_QAbstractEventDispatcher_TimerInfo             sipModuleAPI_Enginio_QtCore->em_types[5]->u.td_wrapper_type

#define sipType_QModelIndex              sipModuleAPI_Enginio_QtCore->em_types[159]
#define sipClass_QModelIndex             sipModuleAPI_Enginio_QtCore->em_types[159]->u.td_wrapper_type

#define sipType_QPersistentModelIndex              sipModuleAPI_Enginio_QtCore->em_types[168]
#define sipClass_QPersistentModelIndex             sipModuleAPI_Enginio_QtCore->em_types[168]->u.td_wrapper_type

#define sipType_QAbstractItemModel              sipModuleAPI_Enginio_QtCore->em_types[6]
#define sipClass_QAbstractItemModel             sipModuleAPI_Enginio_QtCore->em_types[6]->u.td_wrapper_type

#define sipType_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_Enginio_QtCore->em_types[7]
#define sipEnum_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_Enginio_QtCore->em_types[7]->u.td_py_type

#define sipType_QAbstractTableModel              sipModuleAPI_Enginio_QtCore->em_types[12]
#define sipClass_QAbstractTableModel             sipModuleAPI_Enginio_QtCore->em_types[12]->u.td_wrapper_type

#define sipType_QAbstractListModel              sipModuleAPI_Enginio_QtCore->em_types[8]
#define sipClass_QAbstractListModel             sipModuleAPI_Enginio_QtCore->em_types[8]->u.td_wrapper_type

#define sipType_QAbstractNativeEventFilter              sipModuleAPI_Enginio_QtCore->em_types[9]
#define sipClass_QAbstractNativeEventFilter             sipModuleAPI_Enginio_QtCore->em_types[9]->u.td_wrapper_type

#define sipType_QAbstractProxyModel              sipModuleAPI_Enginio_QtCore->em_types[10]
#define sipClass_QAbstractProxyModel             sipModuleAPI_Enginio_QtCore->em_types[10]->u.td_wrapper_type

#define sipType_QAbstractState              sipModuleAPI_Enginio_QtCore->em_types[11]
#define sipClass_QAbstractState             sipModuleAPI_Enginio_QtCore->em_types[11]->u.td_wrapper_type

#define sipType_QAbstractTransition              sipModuleAPI_Enginio_QtCore->em_types[13]
#define sipClass_QAbstractTransition             sipModuleAPI_Enginio_QtCore->em_types[13]->u.td_wrapper_type

#define sipType_QAbstractTransition_TransitionType              sipModuleAPI_Enginio_QtCore->em_types[14]
#define sipEnum_QAbstractTransition_TransitionType              sipModuleAPI_Enginio_QtCore->em_types[14]->u.td_py_type

#define sipType_QAnimationGroup              sipModuleAPI_Enginio_QtCore->em_types[15]
#define sipClass_QAnimationGroup             sipModuleAPI_Enginio_QtCore->em_types[15]->u.td_wrapper_type

#define sipType_QBasicTimer              sipModuleAPI_Enginio_QtCore->em_types[16]
#define sipClass_QBasicTimer             sipModuleAPI_Enginio_QtCore->em_types[16]->u.td_wrapper_type

#define sipType_QBitArray              sipModuleAPI_Enginio_QtCore->em_types[17]
#define sipClass_QBitArray             sipModuleAPI_Enginio_QtCore->em_types[17]->u.td_wrapper_type

#define sipType_QIODevice              sipModuleAPI_Enginio_QtCore->em_types[79]
#define sipClass_QIODevice             sipModuleAPI_Enginio_QtCore->em_types[79]->u.td_wrapper_type

#define sipType_QIODevice_OpenModeFlag              sipModuleAPI_Enginio_QtCore->em_types[81]
#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_Enginio_QtCore->em_types[81]->u.td_py_type

#define sipType_QBuffer              sipModuleAPI_Enginio_QtCore->em_types[18]
#define sipClass_QBuffer             sipModuleAPI_Enginio_QtCore->em_types[18]->u.td_wrapper_type

#define sipType_QByteArray              sipModuleAPI_Enginio_QtCore->em_types[19]
#define sipClass_QByteArray             sipModuleAPI_Enginio_QtCore->em_types[19]->u.td_wrapper_type

#define sipType_QByteArray_Base64Option              sipModuleAPI_Enginio_QtCore->em_types[20]
#define sipEnum_QByteArray_Base64Option              sipModuleAPI_Enginio_QtCore->em_types[20]->u.td_py_type

#define sipType_QByteArray_Base64Options              sipModuleAPI_Enginio_QtCore->em_types[21]
#define sipClass_QByteArray_Base64Options             sipModuleAPI_Enginio_QtCore->em_types[21]->u.td_wrapper_type

#define sipType_QByteArrayMatcher              sipModuleAPI_Enginio_QtCore->em_types[22]
#define sipClass_QByteArrayMatcher             sipModuleAPI_Enginio_QtCore->em_types[22]->u.td_wrapper_type

#define sipType_QCollatorSortKey              sipModuleAPI_Enginio_QtCore->em_types[26]
#define sipClass_QCollatorSortKey             sipModuleAPI_Enginio_QtCore->em_types[26]->u.td_wrapper_type

#define sipType_QCollator              sipModuleAPI_Enginio_QtCore->em_types[25]
#define sipClass_QCollator             sipModuleAPI_Enginio_QtCore->em_types[25]->u.td_wrapper_type

#define sipType_QCommandLineOption              sipModuleAPI_Enginio_QtCore->em_types[27]
#define sipClass_QCommandLineOption             sipModuleAPI_Enginio_QtCore->em_types[27]->u.td_wrapper_type

#define sipType_QCommandLineParser              sipModuleAPI_Enginio_QtCore->em_types[28]
#define sipClass_QCommandLineParser             sipModuleAPI_Enginio_QtCore->em_types[28]->u.td_wrapper_type

#define sipType_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_Enginio_QtCore->em_types[29]
#define sipEnum_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_Enginio_QtCore->em_types[29]->u.td_py_type

#define sipType_QCoreApplication              sipModuleAPI_Enginio_QtCore->em_types[30]
#define sipClass_QCoreApplication             sipModuleAPI_Enginio_QtCore->em_types[30]->u.td_wrapper_type

#define sipType_QEvent              sipModuleAPI_Enginio_QtCore->em_types[54]
#define sipClass_QEvent             sipModuleAPI_Enginio_QtCore->em_types[54]->u.td_wrapper_type

#define sipType_QEvent_Type              sipModuleAPI_Enginio_QtCore->em_types[55]
#define sipEnum_QEvent_Type              sipModuleAPI_Enginio_QtCore->em_types[55]->u.td_py_type

#define sipType_QTimerEvent              sipModuleAPI_Enginio_QtCore->em_types[273]
#define sipClass_QTimerEvent             sipModuleAPI_Enginio_QtCore->em_types[273]->u.td_wrapper_type

#define sipType_QChildEvent              sipModuleAPI_Enginio_QtCore->em_types[24]
#define sipClass_QChildEvent             sipModuleAPI_Enginio_QtCore->em_types[24]->u.td_wrapper_type

#define sipType_QDynamicPropertyChangeEvent              sipModuleAPI_Enginio_QtCore->em_types[49]
#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_Enginio_QtCore->em_types[49]->u.td_wrapper_type

#define sipType_QCryptographicHash              sipModuleAPI_Enginio_QtCore->em_types[31]
#define sipClass_QCryptographicHash             sipModuleAPI_Enginio_QtCore->em_types[31]->u.td_wrapper_type

#define sipType_QCryptographicHash_Algorithm              sipModuleAPI_Enginio_QtCore->em_types[32]
#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_Enginio_QtCore->em_types[32]->u.td_py_type

#define sipType_QDataStream              sipModuleAPI_Enginio_QtCore->em_types[33]
#define sipClass_QDataStream             sipModuleAPI_Enginio_QtCore->em_types[33]->u.td_wrapper_type

#define sipType_QDataStream_FloatingPointPrecision              sipModuleAPI_Enginio_QtCore->em_types[35]
#define sipEnum_QDataStream_FloatingPointPrecision              sipModuleAPI_Enginio_QtCore->em_types[35]->u.td_py_type
#define sipType_QDataStream_Status              sipModuleAPI_Enginio_QtCore->em_types[36]
#define sipEnum_QDataStream_Status              sipModuleAPI_Enginio_QtCore->em_types[36]->u.td_py_type
#define sipType_QDataStream_ByteOrder              sipModuleAPI_Enginio_QtCore->em_types[34]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_Enginio_QtCore->em_types[34]->u.td_py_type
#define sipType_QDataStream_Version              sipModuleAPI_Enginio_QtCore->em_types[37]
#define sipEnum_QDataStream_Version              sipModuleAPI_Enginio_QtCore->em_types[37]->u.td_py_type

#define sipType_QDate              sipModuleAPI_Enginio_QtCore->em_types[38]
#define sipClass_QDate             sipModuleAPI_Enginio_QtCore->em_types[38]->u.td_wrapper_type

#define sipType_QDate_MonthNameType              sipModuleAPI_Enginio_QtCore->em_types[39]
#define sipEnum_QDate_MonthNameType              sipModuleAPI_Enginio_QtCore->em_types[39]->u.td_py_type

#define sipType_QTime              sipModuleAPI_Enginio_QtCore->em_types[263]
#define sipClass_QTime             sipModuleAPI_Enginio_QtCore->em_types[263]->u.td_wrapper_type

#define sipType_QDateTime              sipModuleAPI_Enginio_QtCore->em_types[40]
#define sipClass_QDateTime             sipModuleAPI_Enginio_QtCore->em_types[40]->u.td_wrapper_type

#define sipType_QDir              sipModuleAPI_Enginio_QtCore->em_types[41]
#define sipClass_QDir             sipModuleAPI_Enginio_QtCore->em_types[41]->u.td_wrapper_type

#define sipType_QDir_SortFlag              sipModuleAPI_Enginio_QtCore->em_types[44]
#define sipEnum_QDir_SortFlag              sipModuleAPI_Enginio_QtCore->em_types[44]->u.td_py_type
#define sipType_QDir_Filter              sipModuleAPI_Enginio_QtCore->em_types[42]
#define sipEnum_QDir_Filter              sipModuleAPI_Enginio_QtCore->em_types[42]->u.td_py_type

#define sipType_QDir_Filters              sipModuleAPI_Enginio_QtCore->em_types[43]
#define sipClass_QDir_Filters             sipModuleAPI_Enginio_QtCore->em_types[43]->u.td_wrapper_type

#define sipType_QDir_SortFlags              sipModuleAPI_Enginio_QtCore->em_types[45]
#define sipClass_QDir_SortFlags             sipModuleAPI_Enginio_QtCore->em_types[45]->u.td_wrapper_type

#define sipType_QDirIterator              sipModuleAPI_Enginio_QtCore->em_types[46]
#define sipClass_QDirIterator             sipModuleAPI_Enginio_QtCore->em_types[46]->u.td_wrapper_type

#define sipType_QDirIterator_IteratorFlag              sipModuleAPI_Enginio_QtCore->em_types[47]
#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_Enginio_QtCore->em_types[47]->u.td_py_type

#define sipType_QDirIterator_IteratorFlags              sipModuleAPI_Enginio_QtCore->em_types[48]
#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_Enginio_QtCore->em_types[48]->u.td_wrapper_type

#define sipType_QEasingCurve              sipModuleAPI_Enginio_QtCore->em_types[50]
#define sipClass_QEasingCurve             sipModuleAPI_Enginio_QtCore->em_types[50]->u.td_wrapper_type

#define sipType_QEasingCurve_Type              sipModuleAPI_Enginio_QtCore->em_types[51]
#define sipEnum_QEasingCurve_Type              sipModuleAPI_Enginio_QtCore->em_types[51]->u.td_py_type

#define sipType_QElapsedTimer              sipModuleAPI_Enginio_QtCore->em_types[52]
#define sipClass_QElapsedTimer             sipModuleAPI_Enginio_QtCore->em_types[52]->u.td_wrapper_type

#define sipType_QElapsedTimer_ClockType              sipModuleAPI_Enginio_QtCore->em_types[53]
#define sipEnum_QElapsedTimer_ClockType              sipModuleAPI_Enginio_QtCore->em_types[53]->u.td_py_type

#define sipType_QEventLoop              sipModuleAPI_Enginio_QtCore->em_types[56]
#define sipClass_QEventLoop             sipModuleAPI_Enginio_QtCore->em_types[56]->u.td_wrapper_type

#define sipType_QEventLoop_ProcessEventsFlag              sipModuleAPI_Enginio_QtCore->em_types[57]
#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_Enginio_QtCore->em_types[57]->u.td_py_type

#define sipType_QEventLoop_ProcessEventsFlags              sipModuleAPI_Enginio_QtCore->em_types[58]
#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_Enginio_QtCore->em_types[58]->u.td_wrapper_type

#define sipType_QEventLoopLocker              sipModuleAPI_Enginio_QtCore->em_types[59]
#define sipClass_QEventLoopLocker             sipModuleAPI_Enginio_QtCore->em_types[59]->u.td_wrapper_type

#define sipType_QEventTransition              sipModuleAPI_Enginio_QtCore->em_types[60]
#define sipClass_QEventTransition             sipModuleAPI_Enginio_QtCore->em_types[60]->u.td_wrapper_type

#define sipType_QFileDevice              sipModuleAPI_Enginio_QtCore->em_types[62]
#define sipClass_QFileDevice             sipModuleAPI_Enginio_QtCore->em_types[62]->u.td_wrapper_type

#define sipType_QFileDevice_MemoryMapFlags              sipModuleAPI_Enginio_QtCore->em_types[66]
#define sipEnum_QFileDevice_MemoryMapFlags              sipModuleAPI_Enginio_QtCore->em_types[66]->u.td_py_type
#define sipType_QFileDevice_FileHandleFlag              sipModuleAPI_Enginio_QtCore->em_types[64]
#define sipEnum_QFileDevice_FileHandleFlag              sipModuleAPI_Enginio_QtCore->em_types[64]->u.td_py_type
#define sipType_QFileDevice_Permission              sipModuleAPI_Enginio_QtCore->em_types[67]
#define sipEnum_QFileDevice_Permission              sipModuleAPI_Enginio_QtCore->em_types[67]->u.td_py_type
#define sipType_QFileDevice_FileError              sipModuleAPI_Enginio_QtCore->em_types[63]
#define sipEnum_QFileDevice_FileError              sipModuleAPI_Enginio_QtCore->em_types[63]->u.td_py_type

#define sipType_QFile              sipModuleAPI_Enginio_QtCore->em_types[61]
#define sipClass_QFile             sipModuleAPI_Enginio_QtCore->em_types[61]->u.td_wrapper_type

#define sipType_QFileDevice_Permissions              sipModuleAPI_Enginio_QtCore->em_types[68]
#define sipClass_QFileDevice_Permissions             sipModuleAPI_Enginio_QtCore->em_types[68]->u.td_wrapper_type

#define sipType_QFileDevice_FileHandleFlags              sipModuleAPI_Enginio_QtCore->em_types[65]
#define sipClass_QFileDevice_FileHandleFlags             sipModuleAPI_Enginio_QtCore->em_types[65]->u.td_wrapper_type

#define sipType_QFileInfo              sipModuleAPI_Enginio_QtCore->em_types[69]
#define sipClass_QFileInfo             sipModuleAPI_Enginio_QtCore->em_types[69]->u.td_wrapper_type

#define sipType_QFileSelector              sipModuleAPI_Enginio_QtCore->em_types[70]
#define sipClass_QFileSelector             sipModuleAPI_Enginio_QtCore->em_types[70]->u.td_wrapper_type

#define sipType_QFileSystemWatcher              sipModuleAPI_Enginio_QtCore->em_types[71]
#define sipClass_QFileSystemWatcher             sipModuleAPI_Enginio_QtCore->em_types[71]->u.td_wrapper_type

#define sipType_QFinalState              sipModuleAPI_Enginio_QtCore->em_types[72]
#define sipClass_QFinalState             sipModuleAPI_Enginio_QtCore->em_types[72]->u.td_wrapper_type

#define sipType_QHistoryState              sipModuleAPI_Enginio_QtCore->em_types[77]
#define sipClass_QHistoryState             sipModuleAPI_Enginio_QtCore->em_types[77]->u.td_wrapper_type

#define sipType_QHistoryState_HistoryType              sipModuleAPI_Enginio_QtCore->em_types[78]
#define sipEnum_QHistoryState_HistoryType              sipModuleAPI_Enginio_QtCore->em_types[78]->u.td_py_type

#define sipType_QIdentityProxyModel              sipModuleAPI_Enginio_QtCore->em_types[82]
#define sipClass_QIdentityProxyModel             sipModuleAPI_Enginio_QtCore->em_types[82]->u.td_wrapper_type

#define sipType_QIODevice_OpenMode              sipModuleAPI_Enginio_QtCore->em_types[80]
#define sipClass_QIODevice_OpenMode             sipModuleAPI_Enginio_QtCore->em_types[80]->u.td_wrapper_type

#define sipType_QItemSelectionRange              sipModuleAPI_Enginio_QtCore->em_types[87]
#define sipClass_QItemSelectionRange             sipModuleAPI_Enginio_QtCore->em_types[87]->u.td_wrapper_type

#define sipType_QItemSelectionModel              sipModuleAPI_Enginio_QtCore->em_types[84]
#define sipClass_QItemSelectionModel             sipModuleAPI_Enginio_QtCore->em_types[84]->u.td_wrapper_type

#define sipType_QItemSelectionModel_SelectionFlag              sipModuleAPI_Enginio_QtCore->em_types[85]
#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_Enginio_QtCore->em_types[85]->u.td_py_type

#define sipType_QItemSelectionModel_SelectionFlags              sipModuleAPI_Enginio_QtCore->em_types[86]
#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_Enginio_QtCore->em_types[86]->u.td_wrapper_type

#define sipType_QItemSelection              sipModuleAPI_Enginio_QtCore->em_types[83]
#define sipClass_QItemSelection             sipModuleAPI_Enginio_QtCore->em_types[83]->u.td_wrapper_type

#define sipType_QJsonParseError              sipModuleAPI_Enginio_QtCore->em_types[93]
#define sipClass_QJsonParseError             sipModuleAPI_Enginio_QtCore->em_types[93]->u.td_wrapper_type

#define sipType_QJsonParseError_ParseError              sipModuleAPI_Enginio_QtCore->em_types[94]
#define sipEnum_QJsonParseError_ParseError              sipModuleAPI_Enginio_QtCore->em_types[94]->u.td_py_type

#define sipType_QJsonDocument              sipModuleAPI_Enginio_QtCore->em_types[89]
#define sipClass_QJsonDocument             sipModuleAPI_Enginio_QtCore->em_types[89]->u.td_wrapper_type

#define sipType_QJsonDocument_JsonFormat              sipModuleAPI_Enginio_QtCore->em_types[91]
#define sipEnum_QJsonDocument_JsonFormat              sipModuleAPI_Enginio_QtCore->em_types[91]->u.td_py_type
#define sipType_QJsonDocument_DataValidation              sipModuleAPI_Enginio_QtCore->em_types[90]
#define sipEnum_QJsonDocument_DataValidation              sipModuleAPI_Enginio_QtCore->em_types[90]->u.td_py_type

#define sipType_QJsonValue              sipModuleAPI_Enginio_QtCore->em_types[95]
#define sipClass_QJsonValue             sipModuleAPI_Enginio_QtCore->em_types[95]->u.td_wrapper_type

#define sipType_QJsonValue_Type              sipModuleAPI_Enginio_QtCore->em_types[96]
#define sipEnum_QJsonValue_Type              sipModuleAPI_Enginio_QtCore->em_types[96]->u.td_py_type

#define sipType_QLibrary              sipModuleAPI_Enginio_QtCore->em_types[97]
#define sipClass_QLibrary             sipModuleAPI_Enginio_QtCore->em_types[97]->u.td_wrapper_type

#define sipType_QLibrary_LoadHint              sipModuleAPI_Enginio_QtCore->em_types[98]
#define sipEnum_QLibrary_LoadHint              sipModuleAPI_Enginio_QtCore->em_types[98]->u.td_py_type

#define sipType_QLibrary_LoadHints              sipModuleAPI_Enginio_QtCore->em_types[99]
#define sipClass_QLibrary_LoadHints             sipModuleAPI_Enginio_QtCore->em_types[99]->u.td_wrapper_type

#define sipType_QLibraryInfo              sipModuleAPI_Enginio_QtCore->em_types[100]
#define sipClass_QLibraryInfo             sipModuleAPI_Enginio_QtCore->em_types[100]->u.td_wrapper_type

#define sipType_QLibraryInfo_LibraryLocation              sipModuleAPI_Enginio_QtCore->em_types[101]
#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_Enginio_QtCore->em_types[101]->u.td_py_type

#define sipType_QLine              sipModuleAPI_Enginio_QtCore->em_types[102]
#define sipClass_QLine             sipModuleAPI_Enginio_QtCore->em_types[102]->u.td_wrapper_type

#define sipType_QLineF              sipModuleAPI_Enginio_QtCore->em_types[103]
#define sipClass_QLineF             sipModuleAPI_Enginio_QtCore->em_types[103]->u.td_wrapper_type

#define sipType_QLineF_IntersectType              sipModuleAPI_Enginio_QtCore->em_types[104]
#define sipEnum_QLineF_IntersectType              sipModuleAPI_Enginio_QtCore->em_types[104]->u.td_py_type

#define sipType_QLocale              sipModuleAPI_Enginio_QtCore->em_types[125]
#define sipClass_QLocale             sipModuleAPI_Enginio_QtCore->em_types[125]->u.td_wrapper_type

#define sipType_QLocale_QuotationStyle              sipModuleAPI_Enginio_QtCore->em_types[133]
#define sipEnum_QLocale_QuotationStyle              sipModuleAPI_Enginio_QtCore->em_types[133]->u.td_py_type
#define sipType_QLocale_CurrencySymbolFormat              sipModuleAPI_Enginio_QtCore->em_types[127]
#define sipEnum_QLocale_CurrencySymbolFormat              sipModuleAPI_Enginio_QtCore->em_types[127]->u.td_py_type
#define sipType_QLocale_Script              sipModuleAPI_Enginio_QtCore->em_types[134]
#define sipEnum_QLocale_Script              sipModuleAPI_Enginio_QtCore->em_types[134]->u.td_py_type
#define sipType_QLocale_MeasurementSystem              sipModuleAPI_Enginio_QtCore->em_types[130]
#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_Enginio_QtCore->em_types[130]->u.td_py_type
#define sipType_QLocale_FormatType              sipModuleAPI_Enginio_QtCore->em_types[128]
#define sipEnum_QLocale_FormatType              sipModuleAPI_Enginio_QtCore->em_types[128]->u.td_py_type
#define sipType_QLocale_NumberOption              sipModuleAPI_Enginio_QtCore->em_types[131]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_Enginio_QtCore->em_types[131]->u.td_py_type
#define sipType_QLocale_Country              sipModuleAPI_Enginio_QtCore->em_types[126]
#define sipEnum_QLocale_Country              sipModuleAPI_Enginio_QtCore->em_types[126]->u.td_py_type
#define sipType_QLocale_Language              sipModuleAPI_Enginio_QtCore->em_types[129]
#define sipEnum_QLocale_Language              sipModuleAPI_Enginio_QtCore->em_types[129]->u.td_py_type

#define sipType_QLocale_NumberOptions              sipModuleAPI_Enginio_QtCore->em_types[132]
#define sipClass_QLocale_NumberOptions             sipModuleAPI_Enginio_QtCore->em_types[132]->u.td_wrapper_type

#define sipType_QLockFile              sipModuleAPI_Enginio_QtCore->em_types[135]
#define sipClass_QLockFile             sipModuleAPI_Enginio_QtCore->em_types[135]->u.td_wrapper_type

#define sipType_QLockFile_LockError              sipModuleAPI_Enginio_QtCore->em_types[136]
#define sipEnum_QLockFile_LockError              sipModuleAPI_Enginio_QtCore->em_types[136]->u.td_py_type

#define sipType_QMessageLogContext              sipModuleAPI_Enginio_QtCore->em_types[142]
#define sipClass_QMessageLogContext             sipModuleAPI_Enginio_QtCore->em_types[142]->u.td_wrapper_type

#define sipType_QMessageLogger              sipModuleAPI_Enginio_QtCore->em_types[143]
#define sipClass_QMessageLogger             sipModuleAPI_Enginio_QtCore->em_types[143]->u.td_wrapper_type

#define sipType_QMargins              sipModuleAPI_Enginio_QtCore->em_types[139]
#define sipClass_QMargins             sipModuleAPI_Enginio_QtCore->em_types[139]->u.td_wrapper_type

#define sipType_QMarginsF              sipModuleAPI_Enginio_QtCore->em_types[140]
#define sipClass_QMarginsF             sipModuleAPI_Enginio_QtCore->em_types[140]->u.td_wrapper_type

#define sipType_QMessageAuthenticationCode              sipModuleAPI_Enginio_QtCore->em_types[141]
#define sipClass_QMessageAuthenticationCode             sipModuleAPI_Enginio_QtCore->em_types[141]->u.td_wrapper_type

#define sipType_QMetaMethod              sipModuleAPI_Enginio_QtCore->em_types[146]
#define sipClass_QMetaMethod             sipModuleAPI_Enginio_QtCore->em_types[146]->u.td_wrapper_type

#define sipType_QMetaMethod_MethodType              sipModuleAPI_Enginio_QtCore->em_types[148]
#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_Enginio_QtCore->em_types[148]->u.td_py_type
#define sipType_QMetaMethod_Access              sipModuleAPI_Enginio_QtCore->em_types[147]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_Enginio_QtCore->em_types[147]->u.td_py_type

#define sipType_QMetaEnum              sipModuleAPI_Enginio_QtCore->em_types[145]
#define sipClass_QMetaEnum             sipModuleAPI_Enginio_QtCore->em_types[145]->u.td_wrapper_type

#define sipType_QMetaProperty              sipModuleAPI_Enginio_QtCore->em_types[150]
#define sipClass_QMetaProperty             sipModuleAPI_Enginio_QtCore->em_types[150]->u.td_wrapper_type

#define sipType_QMetaClassInfo              sipModuleAPI_Enginio_QtCore->em_types[144]
#define sipClass_QMetaClassInfo             sipModuleAPI_Enginio_QtCore->em_types[144]->u.td_wrapper_type

#define sipType_QMetaType              sipModuleAPI_Enginio_QtCore->em_types[151]
#define sipClass_QMetaType             sipModuleAPI_Enginio_QtCore->em_types[151]->u.td_wrapper_type

#define sipType_QMetaType_TypeFlag              sipModuleAPI_Enginio_QtCore->em_types[153]
#define sipEnum_QMetaType_TypeFlag              sipModuleAPI_Enginio_QtCore->em_types[153]->u.td_py_type
#define sipType_QMetaType_Type              sipModuleAPI_Enginio_QtCore->em_types[152]
#define sipEnum_QMetaType_Type              sipModuleAPI_Enginio_QtCore->em_types[152]->u.td_py_type

#define sipType_QMetaType_TypeFlags              sipModuleAPI_Enginio_QtCore->em_types[154]
#define sipClass_QMetaType_TypeFlags             sipModuleAPI_Enginio_QtCore->em_types[154]->u.td_wrapper_type

#define sipType_QMimeData              sipModuleAPI_Enginio_QtCore->em_types[155]
#define sipClass_QMimeData             sipModuleAPI_Enginio_QtCore->em_types[155]->u.td_wrapper_type

#define sipType_QMimeDatabase              sipModuleAPI_Enginio_QtCore->em_types[156]
#define sipClass_QMimeDatabase             sipModuleAPI_Enginio_QtCore->em_types[156]->u.td_wrapper_type

#define sipType_QMimeDatabase_MatchMode              sipModuleAPI_Enginio_QtCore->em_types[157]
#define sipEnum_QMimeDatabase_MatchMode              sipModuleAPI_Enginio_QtCore->em_types[157]->u.td_py_type

#define sipType_QMimeType              sipModuleAPI_Enginio_QtCore->em_types[158]
#define sipClass_QMimeType             sipModuleAPI_Enginio_QtCore->em_types[158]->u.td_wrapper_type

#define sipType_QMutexLocker              sipModuleAPI_Enginio_QtCore->em_types[162]
#define sipClass_QMutexLocker             sipModuleAPI_Enginio_QtCore->em_types[162]->u.td_wrapper_type

#define sipType_QMutex              sipModuleAPI_Enginio_QtCore->em_types[160]
#define sipClass_QMutex             sipModuleAPI_Enginio_QtCore->em_types[160]->u.td_wrapper_type

#define sipType_QMutex_RecursionMode              sipModuleAPI_Enginio_QtCore->em_types[161]
#define sipEnum_QMutex_RecursionMode              sipModuleAPI_Enginio_QtCore->em_types[161]->u.td_py_type

#define sipType_QSignalBlocker              sipModuleAPI_Enginio_QtCore->em_types[210]
#define sipClass_QSignalBlocker             sipModuleAPI_Enginio_QtCore->em_types[210]->u.td_wrapper_type

#define sipType_QObjectCleanupHandler              sipModuleAPI_Enginio_QtCore->em_types[164]
#define sipClass_QObjectCleanupHandler             sipModuleAPI_Enginio_QtCore->em_types[164]->u.td_wrapper_type

#define sipType_QMetaObject              sipModuleAPI_Enginio_QtCore->em_types[149]
#define sipClass_QMetaObject             sipModuleAPI_Enginio_QtCore->em_types[149]->u.td_wrapper_type

#define sipType_QGenericArgument              sipModuleAPI_Enginio_QtCore->em_types[73]
#define sipClass_QGenericArgument             sipModuleAPI_Enginio_QtCore->em_types[73]->u.td_wrapper_type

#define sipType_QGenericReturnArgument              sipModuleAPI_Enginio_QtCore->em_types[74]
#define sipClass_QGenericReturnArgument             sipModuleAPI_Enginio_QtCore->em_types[74]->u.td_wrapper_type

#define sipType_QParallelAnimationGroup              sipModuleAPI_Enginio_QtCore->em_types[166]
#define sipClass_QParallelAnimationGroup             sipModuleAPI_Enginio_QtCore->em_types[166]->u.td_wrapper_type

#define sipType_QPauseAnimation              sipModuleAPI_Enginio_QtCore->em_types[167]
#define sipClass_QPauseAnimation             sipModuleAPI_Enginio_QtCore->em_types[167]->u.td_wrapper_type

#define sipType_QVariantAnimation              sipModuleAPI_Enginio_QtCore->em_types[289]
#define sipClass_QVariantAnimation             sipModuleAPI_Enginio_QtCore->em_types[289]->u.td_wrapper_type

#define sipType_QPropertyAnimation              sipModuleAPI_Enginio_QtCore->em_types[180]
#define sipClass_QPropertyAnimation             sipModuleAPI_Enginio_QtCore->em_types[180]->u.td_wrapper_type

#define sipType_QPluginLoader              sipModuleAPI_Enginio_QtCore->em_types[169]
#define sipClass_QPluginLoader             sipModuleAPI_Enginio_QtCore->em_types[169]->u.td_wrapper_type

#define sipType_QPoint              sipModuleAPI_Enginio_QtCore->em_types[170]
#define sipClass_QPoint             sipModuleAPI_Enginio_QtCore->em_types[170]->u.td_wrapper_type

#define sipType_QPointF              sipModuleAPI_Enginio_QtCore->em_types[171]
#define sipClass_QPointF             sipModuleAPI_Enginio_QtCore->em_types[171]->u.td_wrapper_type

#define sipType_QProcess              sipModuleAPI_Enginio_QtCore->em_types[172]
#define sipClass_QProcess             sipModuleAPI_Enginio_QtCore->em_types[172]->u.td_wrapper_type

#define sipType_QProcess_InputChannelMode              sipModuleAPI_Enginio_QtCore->em_types[174]
#define sipEnum_QProcess_InputChannelMode              sipModuleAPI_Enginio_QtCore->em_types[174]->u.td_py_type
#define sipType_QProcess_ProcessChannelMode              sipModuleAPI_Enginio_QtCore->em_types[176]
#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_Enginio_QtCore->em_types[176]->u.td_py_type
#define sipType_QProcess_ProcessChannel              sipModuleAPI_Enginio_QtCore->em_types[175]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_Enginio_QtCore->em_types[175]->u.td_py_type
#define sipType_QProcess_ProcessState              sipModuleAPI_Enginio_QtCore->em_types[178]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_Enginio_QtCore->em_types[178]->u.td_py_type
#define sipType_QProcess_ProcessError              sipModuleAPI_Enginio_QtCore->em_types[177]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_Enginio_QtCore->em_types[177]->u.td_py_type
#define sipType_QProcess_ExitStatus              sipModuleAPI_Enginio_QtCore->em_types[173]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_Enginio_QtCore->em_types[173]->u.td_py_type

#define sipType_QProcessEnvironment              sipModuleAPI_Enginio_QtCore->em_types[179]
#define sipClass_QProcessEnvironment             sipModuleAPI_Enginio_QtCore->em_types[179]->u.td_wrapper_type

#define sipType_QReadWriteLock              sipModuleAPI_Enginio_QtCore->em_types[182]
#define sipClass_QReadWriteLock             sipModuleAPI_Enginio_QtCore->em_types[182]->u.td_wrapper_type

#define sipType_QReadWriteLock_RecursionMode              sipModuleAPI_Enginio_QtCore->em_types[183]
#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_Enginio_QtCore->em_types[183]->u.td_py_type

#define sipType_QReadLocker              sipModuleAPI_Enginio_QtCore->em_types[181]
#define sipClass_QReadLocker             sipModuleAPI_Enginio_QtCore->em_types[181]->u.td_wrapper_type

#define sipType_QWriteLocker              sipModuleAPI_Enginio_QtCore->em_types[299]
#define sipClass_QWriteLocker             sipModuleAPI_Enginio_QtCore->em_types[299]->u.td_wrapper_type

#define sipType_QRect              sipModuleAPI_Enginio_QtCore->em_types[184]
#define sipClass_QRect             sipModuleAPI_Enginio_QtCore->em_types[184]->u.td_wrapper_type

#define sipType_QRectF              sipModuleAPI_Enginio_QtCore->em_types[185]
#define sipClass_QRectF             sipModuleAPI_Enginio_QtCore->em_types[185]->u.td_wrapper_type

#define sipType_QRegExp              sipModuleAPI_Enginio_QtCore->em_types[186]
#define sipClass_QRegExp             sipModuleAPI_Enginio_QtCore->em_types[186]->u.td_wrapper_type

#define sipType_QRegExp_CaretMode              sipModuleAPI_Enginio_QtCore->em_types[187]
#define sipEnum_QRegExp_CaretMode              sipModuleAPI_Enginio_QtCore->em_types[187]->u.td_py_type
#define sipType_QRegExp_PatternSyntax              sipModuleAPI_Enginio_QtCore->em_types[188]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_Enginio_QtCore->em_types[188]->u.td_py_type

#define sipType_QRegularExpression              sipModuleAPI_Enginio_QtCore->em_types[189]
#define sipClass_QRegularExpression             sipModuleAPI_Enginio_QtCore->em_types[189]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOption              sipModuleAPI_Enginio_QtCore->em_types[190]
#define sipEnum_QRegularExpression_MatchOption              sipModuleAPI_Enginio_QtCore->em_types[190]->u.td_py_type
#define sipType_QRegularExpression_MatchType              sipModuleAPI_Enginio_QtCore->em_types[192]
#define sipEnum_QRegularExpression_MatchType              sipModuleAPI_Enginio_QtCore->em_types[192]->u.td_py_type
#define sipType_QRegularExpression_PatternOption              sipModuleAPI_Enginio_QtCore->em_types[193]
#define sipEnum_QRegularExpression_PatternOption              sipModuleAPI_Enginio_QtCore->em_types[193]->u.td_py_type

#define sipType_QRegularExpression_PatternOptions              sipModuleAPI_Enginio_QtCore->em_types[194]
#define sipClass_QRegularExpression_PatternOptions             sipModuleAPI_Enginio_QtCore->em_types[194]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOptions              sipModuleAPI_Enginio_QtCore->em_types[191]
#define sipClass_QRegularExpression_MatchOptions             sipModuleAPI_Enginio_QtCore->em_types[191]->u.td_wrapper_type

#define sipType_QRegularExpressionMatch              sipModuleAPI_Enginio_QtCore->em_types[195]
#define sipClass_QRegularExpressionMatch             sipModuleAPI_Enginio_QtCore->em_types[195]->u.td_wrapper_type

#define sipType_QRegularExpressionMatchIterator              sipModuleAPI_Enginio_QtCore->em_types[196]
#define sipClass_QRegularExpressionMatchIterator             sipModuleAPI_Enginio_QtCore->em_types[196]->u.td_wrapper_type

#define sipType_QResource              sipModuleAPI_Enginio_QtCore->em_types[197]
#define sipClass_QResource             sipModuleAPI_Enginio_QtCore->em_types[197]->u.td_wrapper_type

#define sipType_QRunnable              sipModuleAPI_Enginio_QtCore->em_types[198]
#define sipClass_QRunnable             sipModuleAPI_Enginio_QtCore->em_types[198]->u.td_wrapper_type

#define sipType_QSaveFile              sipModuleAPI_Enginio_QtCore->em_types[199]
#define sipClass_QSaveFile             sipModuleAPI_Enginio_QtCore->em_types[199]->u.td_wrapper_type

#define sipType_QSemaphore              sipModuleAPI_Enginio_QtCore->em_types[200]
#define sipClass_QSemaphore             sipModuleAPI_Enginio_QtCore->em_types[200]->u.td_wrapper_type

#define sipType_QSequentialAnimationGroup              sipModuleAPI_Enginio_QtCore->em_types[201]
#define sipClass_QSequentialAnimationGroup             sipModuleAPI_Enginio_QtCore->em_types[201]->u.td_wrapper_type

#define sipType_QSettings              sipModuleAPI_Enginio_QtCore->em_types[203]
#define sipClass_QSettings             sipModuleAPI_Enginio_QtCore->em_types[203]->u.td_wrapper_type

#define sipType_QSettings_Scope              sipModuleAPI_Enginio_QtCore->em_types[205]
#define sipEnum_QSettings_Scope              sipModuleAPI_Enginio_QtCore->em_types[205]->u.td_py_type
#define sipType_QSettings_Format              sipModuleAPI_Enginio_QtCore->em_types[204]
#define sipEnum_QSettings_Format              sipModuleAPI_Enginio_QtCore->em_types[204]->u.td_py_type
#define sipType_QSettings_Status              sipModuleAPI_Enginio_QtCore->em_types[206]
#define sipEnum_QSettings_Status              sipModuleAPI_Enginio_QtCore->em_types[206]->u.td_py_type

#define sipType_QSharedMemory              sipModuleAPI_Enginio_QtCore->em_types[207]
#define sipClass_QSharedMemory             sipModuleAPI_Enginio_QtCore->em_types[207]->u.td_wrapper_type

#define sipType_QSharedMemory_SharedMemoryError              sipModuleAPI_Enginio_QtCore->em_types[209]
#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_Enginio_QtCore->em_types[209]->u.td_py_type
#define sipType_QSharedMemory_AccessMode              sipModuleAPI_Enginio_QtCore->em_types[208]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_Enginio_QtCore->em_types[208]->u.td_py_type

#define sipType_QSignalMapper              sipModuleAPI_Enginio_QtCore->em_types[211]
#define sipClass_QSignalMapper             sipModuleAPI_Enginio_QtCore->em_types[211]->u.td_wrapper_type

#define sipType_QSignalTransition              sipModuleAPI_Enginio_QtCore->em_types[212]
#define sipClass_QSignalTransition             sipModuleAPI_Enginio_QtCore->em_types[212]->u.td_wrapper_type

#define sipType_QSize              sipModuleAPI_Enginio_QtCore->em_types[213]
#define sipClass_QSize             sipModuleAPI_Enginio_QtCore->em_types[213]->u.td_wrapper_type

#define sipType_QSizeF              sipModuleAPI_Enginio_QtCore->em_types[214]
#define sipClass_QSizeF             sipModuleAPI_Enginio_QtCore->em_types[214]->u.td_wrapper_type

#define sipType_QSocketNotifier              sipModuleAPI_Enginio_QtCore->em_types[215]
#define sipClass_QSocketNotifier             sipModuleAPI_Enginio_QtCore->em_types[215]->u.td_wrapper_type

#define sipType_QSocketNotifier_Type              sipModuleAPI_Enginio_QtCore->em_types[216]
#define sipEnum_QSocketNotifier_Type              sipModuleAPI_Enginio_QtCore->em_types[216]->u.td_py_type

#define sipType_QSortFilterProxyModel              sipModuleAPI_Enginio_QtCore->em_types[217]
#define sipClass_QSortFilterProxyModel             sipModuleAPI_Enginio_QtCore->em_types[217]->u.td_wrapper_type

#define sipType_QStandardPaths              sipModuleAPI_Enginio_QtCore->em_types[218]
#define sipClass_QStandardPaths             sipModuleAPI_Enginio_QtCore->em_types[218]->u.td_wrapper_type

#define sipType_QStandardPaths_LocateOption              sipModuleAPI_Enginio_QtCore->em_types[219]
#define sipEnum_QStandardPaths_LocateOption              sipModuleAPI_Enginio_QtCore->em_types[219]->u.td_py_type
#define sipType_QStandardPaths_StandardLocation              sipModuleAPI_Enginio_QtCore->em_types[221]
#define sipEnum_QStandardPaths_StandardLocation              sipModuleAPI_Enginio_QtCore->em_types[221]->u.td_py_type

#define sipType_QStandardPaths_LocateOptions              sipModuleAPI_Enginio_QtCore->em_types[220]
#define sipClass_QStandardPaths_LocateOptions             sipModuleAPI_Enginio_QtCore->em_types[220]->u.td_wrapper_type

#define sipType_QState              sipModuleAPI_Enginio_QtCore->em_types[222]
#define sipClass_QState             sipModuleAPI_Enginio_QtCore->em_types[222]->u.td_wrapper_type

#define sipType_QState_RestorePolicy              sipModuleAPI_Enginio_QtCore->em_types[224]
#define sipEnum_QState_RestorePolicy              sipModuleAPI_Enginio_QtCore->em_types[224]->u.td_py_type
#define sipType_QState_ChildMode              sipModuleAPI_Enginio_QtCore->em_types[223]
#define sipEnum_QState_ChildMode              sipModuleAPI_Enginio_QtCore->em_types[223]->u.td_py_type

#define sipType_QStateMachine              sipModuleAPI_Enginio_QtCore->em_types[225]
#define sipClass_QStateMachine             sipModuleAPI_Enginio_QtCore->em_types[225]->u.td_wrapper_type

#define sipType_QStateMachine_Error              sipModuleAPI_Enginio_QtCore->em_types[226]
#define sipEnum_QStateMachine_Error              sipModuleAPI_Enginio_QtCore->em_types[226]->u.td_py_type
#define sipType_QStateMachine_EventPriority              sipModuleAPI_Enginio_QtCore->em_types[227]
#define sipEnum_QStateMachine_EventPriority              sipModuleAPI_Enginio_QtCore->em_types[227]->u.td_py_type

#define sipType_QStateMachine_SignalEvent              sipModuleAPI_Enginio_QtCore->em_types[228]
#define sipClass_QStateMachine_SignalEvent             sipModuleAPI_Enginio_QtCore->em_types[228]->u.td_wrapper_type

#define sipType_QStateMachine_WrappedEvent              sipModuleAPI_Enginio_QtCore->em_types[229]
#define sipClass_QStateMachine_WrappedEvent             sipModuleAPI_Enginio_QtCore->em_types[229]->u.td_wrapper_type

#define sipType_QStorageInfo              sipModuleAPI_Enginio_QtCore->em_types[230]
#define sipClass_QStorageInfo             sipModuleAPI_Enginio_QtCore->em_types[230]->u.td_wrapper_type

#define sipType_QStringListModel              sipModuleAPI_Enginio_QtCore->em_types[233]
#define sipClass_QStringListModel             sipModuleAPI_Enginio_QtCore->em_types[233]->u.td_wrapper_type

#define sipType_QSystemSemaphore              sipModuleAPI_Enginio_QtCore->em_types[238]
#define sipClass_QSystemSemaphore             sipModuleAPI_Enginio_QtCore->em_types[238]->u.td_wrapper_type

#define sipType_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_Enginio_QtCore->em_types[240]
#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_Enginio_QtCore->em_types[240]->u.td_py_type
#define sipType_QSystemSemaphore_AccessMode              sipModuleAPI_Enginio_QtCore->em_types[239]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_Enginio_QtCore->em_types[239]->u.td_py_type

#define sipType_QTemporaryDir              sipModuleAPI_Enginio_QtCore->em_types[241]
#define sipClass_QTemporaryDir             sipModuleAPI_Enginio_QtCore->em_types[241]->u.td_wrapper_type

#define sipType_QTemporaryFile              sipModuleAPI_Enginio_QtCore->em_types[242]
#define sipClass_QTemporaryFile             sipModuleAPI_Enginio_QtCore->em_types[242]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder              sipModuleAPI_Enginio_QtCore->em_types[243]
#define sipClass_QTextBoundaryFinder             sipModuleAPI_Enginio_QtCore->em_types[243]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder_BoundaryType              sipModuleAPI_Enginio_QtCore->em_types[246]
#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_Enginio_QtCore->em_types[246]->u.td_py_type
#define sipType_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_Enginio_QtCore->em_types[244]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_Enginio_QtCore->em_types[244]->u.td_py_type

#define sipType_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_Enginio_QtCore->em_types[245]
#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_Enginio_QtCore->em_types[245]->u.td_wrapper_type

#define sipType_QTextCodec              sipModuleAPI_Enginio_QtCore->em_types[247]
#define sipClass_QTextCodec             sipModuleAPI_Enginio_QtCore->em_types[247]->u.td_wrapper_type

#define sipType_QTextCodec_ConversionFlag              sipModuleAPI_Enginio_QtCore->em_types[248]
#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_Enginio_QtCore->em_types[248]->u.td_py_type

#define sipType_QTextCodec_ConversionFlags              sipModuleAPI_Enginio_QtCore->em_types[249]
#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_Enginio_QtCore->em_types[249]->u.td_wrapper_type

#define sipType_QTextCodec_ConverterState              sipModuleAPI_Enginio_QtCore->em_types[250]
#define sipClass_QTextCodec_ConverterState             sipModuleAPI_Enginio_QtCore->em_types[250]->u.td_wrapper_type

#define sipType_QTextEncoder              sipModuleAPI_Enginio_QtCore->em_types[252]
#define sipClass_QTextEncoder             sipModuleAPI_Enginio_QtCore->em_types[252]->u.td_wrapper_type

#define sipType_QTextDecoder              sipModuleAPI_Enginio_QtCore->em_types[251]
#define sipClass_QTextDecoder             sipModuleAPI_Enginio_QtCore->em_types[251]->u.td_wrapper_type

#define sipType_QTextStream              sipModuleAPI_Enginio_QtCore->em_types[253]
#define sipClass_QTextStream             sipModuleAPI_Enginio_QtCore->em_types[253]->u.td_wrapper_type

#define sipType_QTextStream_Status              sipModuleAPI_Enginio_QtCore->em_types[258]
#define sipEnum_QTextStream_Status              sipModuleAPI_Enginio_QtCore->em_types[258]->u.td_py_type
#define sipType_QTextStream_NumberFlag              sipModuleAPI_Enginio_QtCore->em_types[255]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_Enginio_QtCore->em_types[255]->u.td_py_type
#define sipType_QTextStream_FieldAlignment              sipModuleAPI_Enginio_QtCore->em_types[254]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_Enginio_QtCore->em_types[254]->u.td_py_type
#define sipType_QTextStream_RealNumberNotation              sipModuleAPI_Enginio_QtCore->em_types[257]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_Enginio_QtCore->em_types[257]->u.td_py_type

#define sipType_QTextStream_NumberFlags              sipModuleAPI_Enginio_QtCore->em_types[256]
#define sipClass_QTextStream_NumberFlags             sipModuleAPI_Enginio_QtCore->em_types[256]->u.td_wrapper_type

#define sipType_QTextStreamManipulator              sipModuleAPI_Enginio_QtCore->em_types[259]
#define sipClass_QTextStreamManipulator             sipModuleAPI_Enginio_QtCore->em_types[259]->u.td_wrapper_type

#define sipType_QThread              sipModuleAPI_Enginio_QtCore->em_types[260]
#define sipClass_QThread             sipModuleAPI_Enginio_QtCore->em_types[260]->u.td_wrapper_type

#define sipType_QThread_Priority              sipModuleAPI_Enginio_QtCore->em_types[261]
#define sipEnum_QThread_Priority              sipModuleAPI_Enginio_QtCore->em_types[261]->u.td_py_type

#define sipType_QThreadPool              sipModuleAPI_Enginio_QtCore->em_types[262]
#define sipClass_QThreadPool             sipModuleAPI_Enginio_QtCore->em_types[262]->u.td_wrapper_type

#define sipType_QTimeLine              sipModuleAPI_Enginio_QtCore->em_types[264]
#define sipClass_QTimeLine             sipModuleAPI_Enginio_QtCore->em_types[264]->u.td_wrapper_type

#define sipType_QTimeLine_State              sipModuleAPI_Enginio_QtCore->em_types[267]
#define sipEnum_QTimeLine_State              sipModuleAPI_Enginio_QtCore->em_types[267]->u.td_py_type
#define sipType_QTimeLine_Direction              sipModuleAPI_Enginio_QtCore->em_types[266]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_Enginio_QtCore->em_types[266]->u.td_py_type
#define sipType_QTimeLine_CurveShape              sipModuleAPI_Enginio_QtCore->em_types[265]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_Enginio_QtCore->em_types[265]->u.td_py_type

#define sipType_QTimer              sipModuleAPI_Enginio_QtCore->em_types[272]
#define sipClass_QTimer             sipModuleAPI_Enginio_QtCore->em_types[272]->u.td_wrapper_type

#define sipType_QTimeZone              sipModuleAPI_Enginio_QtCore->em_types[268]
#define sipClass_QTimeZone             sipModuleAPI_Enginio_QtCore->em_types[268]->u.td_wrapper_type

#define sipType_QTimeZone_NameType              sipModuleAPI_Enginio_QtCore->em_types[269]
#define sipEnum_QTimeZone_NameType              sipModuleAPI_Enginio_QtCore->em_types[269]->u.td_py_type
#define sipType_QTimeZone_TimeType              sipModuleAPI_Enginio_QtCore->em_types[271]
#define sipEnum_QTimeZone_TimeType              sipModuleAPI_Enginio_QtCore->em_types[271]->u.td_py_type

#define sipType_QTimeZone_OffsetData              sipModuleAPI_Enginio_QtCore->em_types[270]
#define sipClass_QTimeZone_OffsetData             sipModuleAPI_Enginio_QtCore->em_types[270]->u.td_wrapper_type

#define sipType_QTranslator              sipModuleAPI_Enginio_QtCore->em_types[274]
#define sipClass_QTranslator             sipModuleAPI_Enginio_QtCore->em_types[274]->u.td_wrapper_type

#define sipType_QUrl              sipModuleAPI_Enginio_QtCore->em_types[275]
#define sipClass_QUrl             sipModuleAPI_Enginio_QtCore->em_types[275]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOption              sipModuleAPI_Enginio_QtCore->em_types[281]
#define sipEnum_QUrl_UserInputResolutionOption              sipModuleAPI_Enginio_QtCore->em_types[281]->u.td_py_type
#define sipType_QUrl_ComponentFormattingOption              sipModuleAPI_Enginio_QtCore->em_types[276]
#define sipEnum_QUrl_ComponentFormattingOption              sipModuleAPI_Enginio_QtCore->em_types[276]->u.td_py_type
#define sipType_QUrl_UrlFormattingOption              sipModuleAPI_Enginio_QtCore->em_types[280]
#define sipEnum_QUrl_UrlFormattingOption              sipModuleAPI_Enginio_QtCore->em_types[280]->u.td_py_type
#define sipType_QUrl_ParsingMode              sipModuleAPI_Enginio_QtCore->em_types[279]
#define sipEnum_QUrl_ParsingMode              sipModuleAPI_Enginio_QtCore->em_types[279]->u.td_py_type

#define sipType_QUrl_FormattingOptions              sipModuleAPI_Enginio_QtCore->em_types[278]
#define sipClass_QUrl_FormattingOptions             sipModuleAPI_Enginio_QtCore->em_types[278]->u.td_wrapper_type

#define sipType_QUrl_ComponentFormattingOptions              sipModuleAPI_Enginio_QtCore->em_types[277]
#define sipClass_QUrl_ComponentFormattingOptions             sipModuleAPI_Enginio_QtCore->em_types[277]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOptions              sipModuleAPI_Enginio_QtCore->em_types[282]
#define sipClass_QUrl_UserInputResolutionOptions             sipModuleAPI_Enginio_QtCore->em_types[282]->u.td_wrapper_type

#define sipType_QUrlQuery              sipModuleAPI_Enginio_QtCore->em_types[283]
#define sipClass_QUrlQuery             sipModuleAPI_Enginio_QtCore->em_types[283]->u.td_wrapper_type

#define sipType_QUuid              sipModuleAPI_Enginio_QtCore->em_types[284]
#define sipClass_QUuid             sipModuleAPI_Enginio_QtCore->em_types[284]->u.td_wrapper_type

#define sipType_QUuid_Version              sipModuleAPI_Enginio_QtCore->em_types[286]
#define sipEnum_QUuid_Version              sipModuleAPI_Enginio_QtCore->em_types[286]->u.td_py_type
#define sipType_QUuid_Variant              sipModuleAPI_Enginio_QtCore->em_types[285]
#define sipEnum_QUuid_Variant              sipModuleAPI_Enginio_QtCore->em_types[285]->u.td_py_type

#define sipType_QVariant              sipModuleAPI_Enginio_QtCore->em_types[287]
#define sipClass_QVariant             sipModuleAPI_Enginio_QtCore->em_types[287]->u.td_wrapper_type

#define sipType_QVariant_Type              sipModuleAPI_Enginio_QtCore->em_types[288]
#define sipEnum_QVariant_Type              sipModuleAPI_Enginio_QtCore->em_types[288]->u.td_py_type

#define sipType_QWaitCondition              sipModuleAPI_Enginio_QtCore->em_types[297]
#define sipClass_QWaitCondition             sipModuleAPI_Enginio_QtCore->em_types[297]->u.td_wrapper_type

#define sipType_QXmlStreamAttribute              sipModuleAPI_Enginio_QtCore->em_types[300]
#define sipClass_QXmlStreamAttribute             sipModuleAPI_Enginio_QtCore->em_types[300]->u.td_wrapper_type

#define sipType_QXmlStreamAttributes              sipModuleAPI_Enginio_QtCore->em_types[301]
#define sipClass_QXmlStreamAttributes             sipModuleAPI_Enginio_QtCore->em_types[301]->u.td_wrapper_type

#define sipType_QXmlStreamNamespaceDeclaration              sipModuleAPI_Enginio_QtCore->em_types[304]
#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_Enginio_QtCore->em_types[304]->u.td_wrapper_type

#define sipType_QXmlStreamNotationDeclaration              sipModuleAPI_Enginio_QtCore->em_types[305]
#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_Enginio_QtCore->em_types[305]->u.td_wrapper_type

#define sipType_QXmlStreamEntityDeclaration              sipModuleAPI_Enginio_QtCore->em_types[302]
#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_Enginio_QtCore->em_types[302]->u.td_wrapper_type

#define sipType_QXmlStreamEntityResolver              sipModuleAPI_Enginio_QtCore->em_types[303]
#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_Enginio_QtCore->em_types[303]->u.td_wrapper_type

#define sipType_QXmlStreamReader              sipModuleAPI_Enginio_QtCore->em_types[306]
#define sipClass_QXmlStreamReader             sipModuleAPI_Enginio_QtCore->em_types[306]->u.td_wrapper_type

#define sipType_QXmlStreamReader_Error              sipModuleAPI_Enginio_QtCore->em_types[307]
#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_Enginio_QtCore->em_types[307]->u.td_py_type
#define sipType_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_Enginio_QtCore->em_types[308]
#define sipEnum_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_Enginio_QtCore->em_types[308]->u.td_py_type
#define sipType_QXmlStreamReader_TokenType              sipModuleAPI_Enginio_QtCore->em_types[309]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_Enginio_QtCore->em_types[309]->u.td_py_type

#define sipType_QXmlStreamWriter              sipModuleAPI_Enginio_QtCore->em_types[310]
#define sipClass_QXmlStreamWriter             sipModuleAPI_Enginio_QtCore->em_types[310]->u.td_wrapper_type

#define sipType_QSysInfo              sipModuleAPI_Enginio_QtCore->em_types[235]
#define sipClass_QSysInfo             sipModuleAPI_Enginio_QtCore->em_types[235]->u.td_wrapper_type

#define sipType_QSysInfo_Endian              sipModuleAPI_Enginio_QtCore->em_types[236]
#define sipEnum_QSysInfo_Endian              sipModuleAPI_Enginio_QtCore->em_types[236]->u.td_py_type
#define sipType_QSysInfo_Sizes              sipModuleAPI_Enginio_QtCore->em_types[237]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_Enginio_QtCore->em_types[237]->u.td_py_type

#define sipType_QList_0600QPair_0100QString_0100QString      sipModuleAPI_Enginio_QtCore->em_types[116]

#define sipType_QList_0100QStorageInfo      sipModuleAPI_Enginio_QtCore->em_types[119]

#define sipType_QSet_0101QAbstractState      sipModuleAPI_Enginio_QtCore->em_types[202]

#define sipType_QList_0101QAbstractTransition      sipModuleAPI_Enginio_QtCore->em_types[108]

#define sipType_QList_0100QMimeType      sipModuleAPI_Enginio_QtCore->em_types[113]

#define sipType_QList_0100QUrl      sipModuleAPI_Enginio_QtCore->em_types[120]

#define sipType_QList_0100QLocale      sipModuleAPI_Enginio_QtCore->em_types[112]

#define sipType_QVector_0100QPointF      sipModuleAPI_Enginio_QtCore->em_types[291]

#define sipType_QList_0100QCommandLineOption      sipModuleAPI_Enginio_QtCore->em_types[110]

#define sipType_QList_0101QAbstractAnimation      sipModuleAPI_Enginio_QtCore->em_types[105]

#define sipType_QList_0101QAbstractState      sipModuleAPI_Enginio_QtCore->em_types[107]

#define sipType_QHash_1800_0100QByteArray      sipModuleAPI_Enginio_QtCore->em_types[76]

#define sipType_QList_0100QPersistentModelIndex      sipModuleAPI_Enginio_QtCore->em_types[118]

#define sipType_QMap_1800_0100QVariant      sipModuleAPI_Enginio_QtCore->em_types[138]

#define sipType_QList_0100QAbstractEventDispatcher_TimerInfo      sipModuleAPI_Enginio_QtCore->em_types[106]

#define sipType_QList_0100QByteArray      sipModuleAPI_Enginio_QtCore->em_types[109]

#define sipType_QVector_0100QXmlStreamNotationDeclaration      sipModuleAPI_Enginio_QtCore->em_types[295]

#define sipType_QVector_0100QXmlStreamNamespaceDeclaration      sipModuleAPI_Enginio_QtCore->em_types[294]

#define sipType_QVector_0100QXmlStreamEntityDeclaration      sipModuleAPI_Enginio_QtCore->em_types[293]

#define sipType_QMap_0100QString_0100QVariant      sipModuleAPI_Enginio_QtCore->em_types[137]

#define sipType_QList_0100QVariant      sipModuleAPI_Enginio_QtCore->em_types[121]

#define sipType_QHash_0100QString_0100QVariant      sipModuleAPI_Enginio_QtCore->em_types[75]

#define sipType_QVector_0600QPair_2400_0100QVariant      sipModuleAPI_Enginio_QtCore->em_types[290]

#define sipType_QVector_0100QTimeZone_OffsetData      sipModuleAPI_Enginio_QtCore->em_types[292]

#define sipType_QList_0101QObject      sipModuleAPI_Enginio_QtCore->em_types[115]

#define sipType_QList_0100QModelIndex      sipModuleAPI_Enginio_QtCore->em_types[114]

#define sipType_QList_0100QFileInfo      sipModuleAPI_Enginio_QtCore->em_types[111]

#define sipType_QStringList      sipModuleAPI_Enginio_QtCore->em_types[232]

#define sipType_QVector_1800      sipModuleAPI_Enginio_QtCore->em_types[296]

#define sipType_QPair_1800_1800      sipModuleAPI_Enginio_QtCore->em_types[165]

#define sipType_QList_0100Qt_DayOfWeek      sipModuleAPI_Enginio_QtCore->em_types[122]

#define sipType_QList_2400      sipModuleAPI_Enginio_QtCore->em_types[124]

#define sipType_QList_1800      sipModuleAPI_Enginio_QtCore->em_types[123]

#define sipType_QList_0600QPair_1800_1800      sipModuleAPI_Enginio_QtCore->em_types[117]

#define sipType_QJsonObject      sipModuleAPI_Enginio_QtCore->em_types[92]

#define sipType_QJsonArray      sipModuleAPI_Enginio_QtCore->em_types[88]

#define sipType_QStringRef      sipModuleAPI_Enginio_QtCore->em_types[234]

#define sipType_QString      sipModuleAPI_Enginio_QtCore->em_types[231]

#define sipType_QChar      sipModuleAPI_Enginio_QtCore->em_types[23]

#define sipType_quintptr      sipModuleAPI_Enginio_QtCore->em_types[417]

#define sipType_qintptr      sipModuleAPI_Enginio_QtCore->em_types[416]
extern const sipExportedModuleDef *sipModuleAPI_Enginio_QtCore;

#define sipType_QNetworkCacheMetaData              sipModuleAPI_Enginio_QtNetwork->em_types[55]
#define sipClass_QNetworkCacheMetaData             sipModuleAPI_Enginio_QtNetwork->em_types[55]->u.td_wrapper_type

#define sipType_QAbstractNetworkCache              sipModuleAPI_Enginio_QtNetwork->em_types[0]
#define sipClass_QAbstractNetworkCache             sipModuleAPI_Enginio_QtNetwork->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractSocket              sipModuleAPI_Enginio_QtNetwork->em_types[1]
#define sipClass_QAbstractSocket             sipModuleAPI_Enginio_QtNetwork->em_types[1]->u.td_wrapper_type

#define sipType_QAbstractSocket_PauseMode              sipModuleAPI_Enginio_QtNetwork->em_types[5]
#define sipEnum_QAbstractSocket_PauseMode              sipModuleAPI_Enginio_QtNetwork->em_types[5]->u.td_py_type
#define sipType_QAbstractSocket_BindFlag              sipModuleAPI_Enginio_QtNetwork->em_types[2]
#define sipEnum_QAbstractSocket_BindFlag              sipModuleAPI_Enginio_QtNetwork->em_types[2]->u.td_py_type
#define sipType_QAbstractSocket_SocketOption              sipModuleAPI_Enginio_QtNetwork->em_types[8]
#define sipEnum_QAbstractSocket_SocketOption              sipModuleAPI_Enginio_QtNetwork->em_types[8]->u.td_py_type
#define sipType_QAbstractSocket_SocketState              sipModuleAPI_Enginio_QtNetwork->em_types[9]
#define sipEnum_QAbstractSocket_SocketState              sipModuleAPI_Enginio_QtNetwork->em_types[9]->u.td_py_type
#define sipType_QAbstractSocket_SocketError              sipModuleAPI_Enginio_QtNetwork->em_types[7]
#define sipEnum_QAbstractSocket_SocketError              sipModuleAPI_Enginio_QtNetwork->em_types[7]->u.td_py_type
#define sipType_QAbstractSocket_NetworkLayerProtocol              sipModuleAPI_Enginio_QtNetwork->em_types[4]
#define sipEnum_QAbstractSocket_NetworkLayerProtocol              sipModuleAPI_Enginio_QtNetwork->em_types[4]->u.td_py_type
#define sipType_QAbstractSocket_SocketType              sipModuleAPI_Enginio_QtNetwork->em_types[10]
#define sipEnum_QAbstractSocket_SocketType              sipModuleAPI_Enginio_QtNetwork->em_types[10]->u.td_py_type

#define sipType_QAbstractSocket_BindMode              sipModuleAPI_Enginio_QtNetwork->em_types[3]
#define sipClass_QAbstractSocket_BindMode             sipModuleAPI_Enginio_QtNetwork->em_types[3]->u.td_wrapper_type

#define sipType_QAbstractSocket_PauseModes              sipModuleAPI_Enginio_QtNetwork->em_types[6]
#define sipClass_QAbstractSocket_PauseModes             sipModuleAPI_Enginio_QtNetwork->em_types[6]->u.td_wrapper_type

#define sipType_QAuthenticator              sipModuleAPI_Enginio_QtNetwork->em_types[11]
#define sipClass_QAuthenticator             sipModuleAPI_Enginio_QtNetwork->em_types[11]->u.td_wrapper_type

#define sipType_QDnsDomainNameRecord              sipModuleAPI_Enginio_QtNetwork->em_types[12]
#define sipClass_QDnsDomainNameRecord             sipModuleAPI_Enginio_QtNetwork->em_types[12]->u.td_wrapper_type

#define sipType_QDnsHostAddressRecord              sipModuleAPI_Enginio_QtNetwork->em_types[13]
#define sipClass_QDnsHostAddressRecord             sipModuleAPI_Enginio_QtNetwork->em_types[13]->u.td_wrapper_type

#define sipType_QDnsMailExchangeRecord              sipModuleAPI_Enginio_QtNetwork->em_types[17]
#define sipClass_QDnsMailExchangeRecord             sipModuleAPI_Enginio_QtNetwork->em_types[17]->u.td_wrapper_type

#define sipType_QDnsServiceRecord              sipModuleAPI_Enginio_QtNetwork->em_types[18]
#define sipClass_QDnsServiceRecord             sipModuleAPI_Enginio_QtNetwork->em_types[18]->u.td_wrapper_type

#define sipType_QDnsTextRecord              sipModuleAPI_Enginio_QtNetwork->em_types[19]
#define sipClass_QDnsTextRecord             sipModuleAPI_Enginio_QtNetwork->em_types[19]->u.td_wrapper_type

#define sipType_QDnsLookup              sipModuleAPI_Enginio_QtNetwork->em_types[14]
#define sipClass_QDnsLookup             sipModuleAPI_Enginio_QtNetwork->em_types[14]->u.td_wrapper_type

#define sipType_QDnsLookup_Type              sipModuleAPI_Enginio_QtNetwork->em_types[16]
#define sipEnum_QDnsLookup_Type              sipModuleAPI_Enginio_QtNetwork->em_types[16]->u.td_py_type
#define sipType_QDnsLookup_Error              sipModuleAPI_Enginio_QtNetwork->em_types[15]
#define sipEnum_QDnsLookup_Error              sipModuleAPI_Enginio_QtNetwork->em_types[15]->u.td_py_type

#define sipType_QHostAddress              sipModuleAPI_Enginio_QtNetwork->em_types[21]
#define sipClass_QHostAddress             sipModuleAPI_Enginio_QtNetwork->em_types[21]->u.td_wrapper_type

#define sipType_QHostAddress_SpecialAddress              sipModuleAPI_Enginio_QtNetwork->em_types[22]
#define sipEnum_QHostAddress_SpecialAddress              sipModuleAPI_Enginio_QtNetwork->em_types[22]->u.td_py_type

#define sipType_QHostInfo              sipModuleAPI_Enginio_QtNetwork->em_types[23]
#define sipClass_QHostInfo             sipModuleAPI_Enginio_QtNetwork->em_types[23]->u.td_wrapper_type

#define sipType_QHostInfo_HostInfoError              sipModuleAPI_Enginio_QtNetwork->em_types[24]
#define sipEnum_QHostInfo_HostInfoError              sipModuleAPI_Enginio_QtNetwork->em_types[24]->u.td_py_type

#define sipType_QHttpPart              sipModuleAPI_Enginio_QtNetwork->em_types[27]
#define sipClass_QHttpPart             sipModuleAPI_Enginio_QtNetwork->em_types[27]->u.td_wrapper_type

#define sipType_QHttpMultiPart              sipModuleAPI_Enginio_QtNetwork->em_types[25]
#define sipClass_QHttpMultiPart             sipModuleAPI_Enginio_QtNetwork->em_types[25]->u.td_wrapper_type

#define sipType_QHttpMultiPart_ContentType              sipModuleAPI_Enginio_QtNetwork->em_types[26]
#define sipEnum_QHttpMultiPart_ContentType              sipModuleAPI_Enginio_QtNetwork->em_types[26]->u.td_py_type

#define sipType_QLocalServer              sipModuleAPI_Enginio_QtNetwork->em_types[44]
#define sipClass_QLocalServer             sipModuleAPI_Enginio_QtNetwork->em_types[44]->u.td_wrapper_type

#define sipType_QLocalServer_SocketOption              sipModuleAPI_Enginio_QtNetwork->em_types[45]
#define sipEnum_QLocalServer_SocketOption              sipModuleAPI_Enginio_QtNetwork->em_types[45]->u.td_py_type

#define sipType_QLocalServer_SocketOptions              sipModuleAPI_Enginio_QtNetwork->em_types[46]
#define sipClass_QLocalServer_SocketOptions             sipModuleAPI_Enginio_QtNetwork->em_types[46]->u.td_wrapper_type

#define sipType_QLocalSocket              sipModuleAPI_Enginio_QtNetwork->em_types[47]
#define sipClass_QLocalSocket             sipModuleAPI_Enginio_QtNetwork->em_types[47]->u.td_wrapper_type

#define sipType_QLocalSocket_LocalSocketState              sipModuleAPI_Enginio_QtNetwork->em_types[49]
#define sipEnum_QLocalSocket_LocalSocketState              sipModuleAPI_Enginio_QtNetwork->em_types[49]->u.td_py_type
#define sipType_QLocalSocket_LocalSocketError              sipModuleAPI_Enginio_QtNetwork->em_types[48]
#define sipEnum_QLocalSocket_LocalSocketError              sipModuleAPI_Enginio_QtNetwork->em_types[48]->u.td_py_type

#define sipType_QNetworkAccessManager              sipModuleAPI_Enginio_QtNetwork->em_types[51]
#define sipClass_QNetworkAccessManager             sipModuleAPI_Enginio_QtNetwork->em_types[51]->u.td_wrapper_type

#define sipType_QNetworkAccessManager_NetworkAccessibility              sipModuleAPI_Enginio_QtNetwork->em_types[52]
#define sipEnum_QNetworkAccessManager_NetworkAccessibility              sipModuleAPI_Enginio_QtNetwork->em_types[52]->u.td_py_type
#define sipType_QNetworkAccessManager_Operation              sipModuleAPI_Enginio_QtNetwork->em_types[53]
#define sipEnum_QNetworkAccessManager_Operation              sipModuleAPI_Enginio_QtNetwork->em_types[53]->u.td_py_type

#define sipType_QNetworkConfigurationManager              sipModuleAPI_Enginio_QtNetwork->em_types[62]
#define sipClass_QNetworkConfigurationManager             sipModuleAPI_Enginio_QtNetwork->em_types[62]->u.td_wrapper_type

#define sipType_QNetworkConfigurationManager_Capability              sipModuleAPI_Enginio_QtNetwork->em_types[64]
#define sipEnum_QNetworkConfigurationManager_Capability              sipModuleAPI_Enginio_QtNetwork->em_types[64]->u.td_py_type

#define sipType_QNetworkConfigurationManager_Capabilities              sipModuleAPI_Enginio_QtNetwork->em_types[63]
#define sipClass_QNetworkConfigurationManager_Capabilities             sipModuleAPI_Enginio_QtNetwork->em_types[63]->u.td_wrapper_type

#define sipType_QNetworkConfiguration              sipModuleAPI_Enginio_QtNetwork->em_types[56]
#define sipClass_QNetworkConfiguration             sipModuleAPI_Enginio_QtNetwork->em_types[56]->u.td_wrapper_type

#define sipType_QNetworkConfiguration_BearerType              sipModuleAPI_Enginio_QtNetwork->em_types[57]
#define sipEnum_QNetworkConfiguration_BearerType              sipModuleAPI_Enginio_QtNetwork->em_types[57]->u.td_py_type
#define sipType_QNetworkConfiguration_StateFlag              sipModuleAPI_Enginio_QtNetwork->em_types[59]
#define sipEnum_QNetworkConfiguration_StateFlag              sipModuleAPI_Enginio_QtNetwork->em_types[59]->u.td_py_type
#define sipType_QNetworkConfiguration_Purpose              sipModuleAPI_Enginio_QtNetwork->em_types[58]
#define sipEnum_QNetworkConfiguration_Purpose              sipModuleAPI_Enginio_QtNetwork->em_types[58]->u.td_py_type
#define sipType_QNetworkConfiguration_Type              sipModuleAPI_Enginio_QtNetwork->em_types[61]
#define sipEnum_QNetworkConfiguration_Type              sipModuleAPI_Enginio_QtNetwork->em_types[61]->u.td_py_type

#define sipType_QNetworkConfiguration_StateFlags              sipModuleAPI_Enginio_QtNetwork->em_types[60]
#define sipClass_QNetworkConfiguration_StateFlags             sipModuleAPI_Enginio_QtNetwork->em_types[60]->u.td_wrapper_type

#define sipType_QNetworkCookie              sipModuleAPI_Enginio_QtNetwork->em_types[65]
#define sipClass_QNetworkCookie             sipModuleAPI_Enginio_QtNetwork->em_types[65]->u.td_wrapper_type

#define sipType_QNetworkCookie_RawForm              sipModuleAPI_Enginio_QtNetwork->em_types[66]
#define sipEnum_QNetworkCookie_RawForm              sipModuleAPI_Enginio_QtNetwork->em_types[66]->u.td_py_type

#define sipType_QNetworkCookieJar              sipModuleAPI_Enginio_QtNetwork->em_types[67]
#define sipClass_QNetworkCookieJar             sipModuleAPI_Enginio_QtNetwork->em_types[67]->u.td_wrapper_type

#define sipType_QNetworkDiskCache              sipModuleAPI_Enginio_QtNetwork->em_types[68]
#define sipClass_QNetworkDiskCache             sipModuleAPI_Enginio_QtNetwork->em_types[68]->u.td_wrapper_type

#define sipType_QNetworkAddressEntry              sipModuleAPI_Enginio_QtNetwork->em_types[54]
#define sipClass_QNetworkAddressEntry             sipModuleAPI_Enginio_QtNetwork->em_types[54]->u.td_wrapper_type

#define sipType_QNetworkInterface              sipModuleAPI_Enginio_QtNetwork->em_types[69]
#define sipClass_QNetworkInterface             sipModuleAPI_Enginio_QtNetwork->em_types[69]->u.td_wrapper_type

#define sipType_QNetworkInterface_InterfaceFlag              sipModuleAPI_Enginio_QtNetwork->em_types[70]
#define sipEnum_QNetworkInterface_InterfaceFlag              sipModuleAPI_Enginio_QtNetwork->em_types[70]->u.td_py_type

#define sipType_QNetworkInterface_InterfaceFlags              sipModuleAPI_Enginio_QtNetwork->em_types[71]
#define sipClass_QNetworkInterface_InterfaceFlags             sipModuleAPI_Enginio_QtNetwork->em_types[71]->u.td_wrapper_type

#define sipType_QNetworkProxy              sipModuleAPI_Enginio_QtNetwork->em_types[72]
#define sipClass_QNetworkProxy             sipModuleAPI_Enginio_QtNetwork->em_types[72]->u.td_wrapper_type

#define sipType_QNetworkProxy_Capability              sipModuleAPI_Enginio_QtNetwork->em_types[74]
#define sipEnum_QNetworkProxy_Capability              sipModuleAPI_Enginio_QtNetwork->em_types[74]->u.td_py_type
#define sipType_QNetworkProxy_ProxyType              sipModuleAPI_Enginio_QtNetwork->em_types[75]
#define sipEnum_QNetworkProxy_ProxyType              sipModuleAPI_Enginio_QtNetwork->em_types[75]->u.td_py_type

#define sipType_QNetworkProxy_Capabilities              sipModuleAPI_Enginio_QtNetwork->em_types[73]
#define sipClass_QNetworkProxy_Capabilities             sipModuleAPI_Enginio_QtNetwork->em_types[73]->u.td_wrapper_type

#define sipType_QNetworkProxyQuery              sipModuleAPI_Enginio_QtNetwork->em_types[77]
#define sipClass_QNetworkProxyQuery             sipModuleAPI_Enginio_QtNetwork->em_types[77]->u.td_wrapper_type

#define sipType_QNetworkProxyQuery_QueryType              sipModuleAPI_Enginio_QtNetwork->em_types[78]
#define sipEnum_QNetworkProxyQuery_QueryType              sipModuleAPI_Enginio_QtNetwork->em_types[78]->u.td_py_type

#define sipType_QNetworkProxyFactory              sipModuleAPI_Enginio_QtNetwork->em_types[76]
#define sipClass_QNetworkProxyFactory             sipModuleAPI_Enginio_QtNetwork->em_types[76]->u.td_wrapper_type

#define sipType_QNetworkReply              sipModuleAPI_Enginio_QtNetwork->em_types[79]
#define sipClass_QNetworkReply             sipModuleAPI_Enginio_QtNetwork->em_types[79]->u.td_wrapper_type

#define sipType_QNetworkReply_NetworkError              sipModuleAPI_Enginio_QtNetwork->em_types[80]
#define sipEnum_QNetworkReply_NetworkError              sipModuleAPI_Enginio_QtNetwork->em_types[80]->u.td_py_type

#define sipType_QNetworkRequest              sipModuleAPI_Enginio_QtNetwork->em_types[81]
#define sipClass_QNetworkRequest             sipModuleAPI_Enginio_QtNetwork->em_types[81]->u.td_wrapper_type

#define sipType_QNetworkRequest_Priority              sipModuleAPI_Enginio_QtNetwork->em_types[86]
#define sipEnum_QNetworkRequest_Priority              sipModuleAPI_Enginio_QtNetwork->em_types[86]->u.td_py_type
#define sipType_QNetworkRequest_LoadControl              sipModuleAPI_Enginio_QtNetwork->em_types[85]
#define sipEnum_QNetworkRequest_LoadControl              sipModuleAPI_Enginio_QtNetwork->em_types[85]->u.td_py_type
#define sipType_QNetworkRequest_CacheLoadControl              sipModuleAPI_Enginio_QtNetwork->em_types[83]
#define sipEnum_QNetworkRequest_CacheLoadControl              sipModuleAPI_Enginio_QtNetwork->em_types[83]->u.td_py_type
#define sipType_QNetworkRequest_Attribute              sipModuleAPI_Enginio_QtNetwork->em_types[82]
#define sipEnum_QNetworkRequest_Attribute              sipModuleAPI_Enginio_QtNetwork->em_types[82]->u.td_py_type
#define sipType_QNetworkRequest_KnownHeaders              sipModuleAPI_Enginio_QtNetwork->em_types[84]
#define sipEnum_QNetworkRequest_KnownHeaders              sipModuleAPI_Enginio_QtNetwork->em_types[84]->u.td_py_type

#define sipType_QNetworkSession              sipModuleAPI_Enginio_QtNetwork->em_types[87]
#define sipClass_QNetworkSession             sipModuleAPI_Enginio_QtNetwork->em_types[87]->u.td_wrapper_type

#define sipType_QNetworkSession_UsagePolicy              sipModuleAPI_Enginio_QtNetwork->em_types[91]
#define sipEnum_QNetworkSession_UsagePolicy              sipModuleAPI_Enginio_QtNetwork->em_types[91]->u.td_py_type
#define sipType_QNetworkSession_SessionError              sipModuleAPI_Enginio_QtNetwork->em_types[88]
#define sipEnum_QNetworkSession_SessionError              sipModuleAPI_Enginio_QtNetwork->em_types[88]->u.td_py_type
#define sipType_QNetworkSession_State              sipModuleAPI_Enginio_QtNetwork->em_types[89]
#define sipEnum_QNetworkSession_State              sipModuleAPI_Enginio_QtNetwork->em_types[89]->u.td_py_type

#define sipType_QNetworkSession_UsagePolicies              sipModuleAPI_Enginio_QtNetwork->em_types[90]
#define sipClass_QNetworkSession_UsagePolicies             sipModuleAPI_Enginio_QtNetwork->em_types[90]->u.td_wrapper_type

#if !defined(sipType_QSsl)
#define sipType_QSsl              sipModuleAPI_Enginio_QtNetwork->em_types[93]
#define sipClass_QSsl             sipModuleAPI_Enginio_QtNetwork->em_types[93]->u.td_wrapper_type
#endif

#define sipType_QSsl_SslOption              sipModuleAPI_Enginio_QtNetwork->em_types[98]
#define sipEnum_QSsl_SslOption              sipModuleAPI_Enginio_QtNetwork->em_types[98]->u.td_py_type
#define sipType_QSsl_SslProtocol              sipModuleAPI_Enginio_QtNetwork->em_types[100]
#define sipEnum_QSsl_SslProtocol              sipModuleAPI_Enginio_QtNetwork->em_types[100]->u.td_py_type
#define sipType_QSsl_AlternativeNameEntryType              sipModuleAPI_Enginio_QtNetwork->em_types[94]
#define sipEnum_QSsl_AlternativeNameEntryType              sipModuleAPI_Enginio_QtNetwork->em_types[94]->u.td_py_type
#define sipType_QSsl_KeyAlgorithm              sipModuleAPI_Enginio_QtNetwork->em_types[96]
#define sipEnum_QSsl_KeyAlgorithm              sipModuleAPI_Enginio_QtNetwork->em_types[96]->u.td_py_type
#define sipType_QSsl_EncodingFormat              sipModuleAPI_Enginio_QtNetwork->em_types[95]
#define sipEnum_QSsl_EncodingFormat              sipModuleAPI_Enginio_QtNetwork->em_types[95]->u.td_py_type
#define sipType_QSsl_KeyType              sipModuleAPI_Enginio_QtNetwork->em_types[97]
#define sipEnum_QSsl_KeyType              sipModuleAPI_Enginio_QtNetwork->em_types[97]->u.td_py_type

#define sipType_QSsl_SslOptions              sipModuleAPI_Enginio_QtNetwork->em_types[99]
#define sipClass_QSsl_SslOptions             sipModuleAPI_Enginio_QtNetwork->em_types[99]->u.td_wrapper_type

#define sipType_QSslCertificate              sipModuleAPI_Enginio_QtNetwork->em_types[101]
#define sipClass_QSslCertificate             sipModuleAPI_Enginio_QtNetwork->em_types[101]->u.td_wrapper_type

#define sipType_QSslCertificate_SubjectInfo              sipModuleAPI_Enginio_QtNetwork->em_types[102]
#define sipEnum_QSslCertificate_SubjectInfo              sipModuleAPI_Enginio_QtNetwork->em_types[102]->u.td_py_type

#define sipType_QSslCertificateExtension              sipModuleAPI_Enginio_QtNetwork->em_types[103]
#define sipClass_QSslCertificateExtension             sipModuleAPI_Enginio_QtNetwork->em_types[103]->u.td_wrapper_type

#define sipType_QSslCipher              sipModuleAPI_Enginio_QtNetwork->em_types[104]
#define sipClass_QSslCipher             sipModuleAPI_Enginio_QtNetwork->em_types[104]->u.td_wrapper_type

#define sipType_QSslConfiguration              sipModuleAPI_Enginio_QtNetwork->em_types[105]
#define sipClass_QSslConfiguration             sipModuleAPI_Enginio_QtNetwork->em_types[105]->u.td_wrapper_type

#define sipType_QSslConfiguration_NextProtocolNegotiationStatus              sipModuleAPI_Enginio_QtNetwork->em_types[106]
#define sipEnum_QSslConfiguration_NextProtocolNegotiationStatus              sipModuleAPI_Enginio_QtNetwork->em_types[106]->u.td_py_type

#define sipType_QSslEllipticCurve              sipModuleAPI_Enginio_QtNetwork->em_types[107]
#define sipClass_QSslEllipticCurve             sipModuleAPI_Enginio_QtNetwork->em_types[107]->u.td_wrapper_type

#define sipType_QSslError              sipModuleAPI_Enginio_QtNetwork->em_types[108]
#define sipClass_QSslError             sipModuleAPI_Enginio_QtNetwork->em_types[108]->u.td_wrapper_type

#define sipType_QSslError_SslError              sipModuleAPI_Enginio_QtNetwork->em_types[109]
#define sipEnum_QSslError_SslError              sipModuleAPI_Enginio_QtNetwork->em_types[109]->u.td_py_type

#define sipType_QSslKey              sipModuleAPI_Enginio_QtNetwork->em_types[110]
#define sipClass_QSslKey             sipModuleAPI_Enginio_QtNetwork->em_types[110]->u.td_wrapper_type

#define sipType_QSslPreSharedKeyAuthenticator              sipModuleAPI_Enginio_QtNetwork->em_types[111]
#define sipClass_QSslPreSharedKeyAuthenticator             sipModuleAPI_Enginio_QtNetwork->em_types[111]->u.td_wrapper_type

#define sipType_QTcpSocket              sipModuleAPI_Enginio_QtNetwork->em_types[116]
#define sipClass_QTcpSocket             sipModuleAPI_Enginio_QtNetwork->em_types[116]->u.td_wrapper_type

#define sipType_QSslSocket              sipModuleAPI_Enginio_QtNetwork->em_types[112]
#define sipClass_QSslSocket             sipModuleAPI_Enginio_QtNetwork->em_types[112]->u.td_wrapper_type

#define sipType_QSslSocket_PeerVerifyMode              sipModuleAPI_Enginio_QtNetwork->em_types[113]
#define sipEnum_QSslSocket_PeerVerifyMode              sipModuleAPI_Enginio_QtNetwork->em_types[113]->u.td_py_type
#define sipType_QSslSocket_SslMode              sipModuleAPI_Enginio_QtNetwork->em_types[114]
#define sipEnum_QSslSocket_SslMode              sipModuleAPI_Enginio_QtNetwork->em_types[114]->u.td_py_type

#define sipType_QTcpServer              sipModuleAPI_Enginio_QtNetwork->em_types[115]
#define sipClass_QTcpServer             sipModuleAPI_Enginio_QtNetwork->em_types[115]->u.td_wrapper_type

#define sipType_QUdpSocket              sipModuleAPI_Enginio_QtNetwork->em_types[117]
#define sipClass_QUdpSocket             sipModuleAPI_Enginio_QtNetwork->em_types[117]->u.td_wrapper_type

#define sipType_QVector_0100QSslEllipticCurve      sipModuleAPI_Enginio_QtNetwork->em_types[118]

#define sipType_QList_0100QSslCipher      sipModuleAPI_Enginio_QtNetwork->em_types[42]

#define sipType_QList_0100QSslCertificateExtension      sipModuleAPI_Enginio_QtNetwork->em_types[41]

#define sipType_QList_0100QSslCertificate      sipModuleAPI_Enginio_QtNetwork->em_types[40]

#define sipType_QList_0100QNetworkProxy      sipModuleAPI_Enginio_QtNetwork->em_types[38]

#define sipType_QList_0100QNetworkInterface      sipModuleAPI_Enginio_QtNetwork->em_types[37]

#define sipType_QList_0100QNetworkAddressEntry      sipModuleAPI_Enginio_QtNetwork->em_types[34]

#define sipType_QList_0100QNetworkCookie      sipModuleAPI_Enginio_QtNetwork->em_types[36]

#define sipType_QList_0100QNetworkConfiguration      sipModuleAPI_Enginio_QtNetwork->em_types[35]

#define sipType_QList_0100QSslError      sipModuleAPI_Enginio_QtNetwork->em_types[43]

#define sipType_QList_0100QHostAddress      sipModuleAPI_Enginio_QtNetwork->em_types[33]

#define sipType_QPair_0100QHostAddress_1800      sipModuleAPI_Enginio_QtNetwork->em_types[92]

#define sipType_QList_0100QDnsTextRecord      sipModuleAPI_Enginio_QtNetwork->em_types[32]

#define sipType_QList_0100QDnsServiceRecord      sipModuleAPI_Enginio_QtNetwork->em_types[31]

#define sipType_QList_0100QDnsMailExchangeRecord      sipModuleAPI_Enginio_QtNetwork->em_types[30]

#define sipType_QList_0100QDnsHostAddressRecord      sipModuleAPI_Enginio_QtNetwork->em_types[29]

#define sipType_QList_0100QDnsDomainNameRecord      sipModuleAPI_Enginio_QtNetwork->em_types[28]

#define sipType_QList_0600QPair_0100QByteArray_0100QByteArray      sipModuleAPI_Enginio_QtNetwork->em_types[39]

#define sipType_QMultiMap_0100QSsl_AlternativeNameEntryType_0100QString      sipModuleAPI_Enginio_QtNetwork->em_types[50]

#define sipType_QHash_0100QNetworkRequest_Attribute_0100QVariant      sipModuleAPI_Enginio_QtNetwork->em_types[20]

#define sipType_Q_IPV6ADDR      sipModuleAPI_Enginio_QtNetwork->em_types[119]
extern const sipExportedModuleDef *sipModuleAPI_Enginio_QtNetwork;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_Enginio_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_Enginio_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Enginio_qt_metacast;

#endif
