/*
 * Internal module API header file.
 *
 * Generated by SIP 4.17
 *
 * Copyright (c) 2015 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSerialPortAPI_H
#define _QtSerialPortAPI_H


#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacCocoaViewContainer
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_settingsRestoredOnCloseChanged 0
#define sipName_settingsRestoredOnCloseChanged &sipStrings_QtSerialPort[0]
#define sipNameNr_SecondaryTransmittedDataSignal 31
#define sipName_SecondaryTransmittedDataSignal &sipStrings_QtSerialPort[31]
#define sipNameNr_QSerialPort__SerialPortError 62
#define sipName_QSerialPort__SerialPortError &sipStrings_QtSerialPort[62]
#define sipNameNr_QSerialPort__DataErrorPolicy 91
#define sipName_QSerialPort__DataErrorPolicy &sipStrings_QtSerialPort[91]
#define sipNameNr_PyQt5_QtCore_pyqtWrapperType 120
#define sipName_PyQt5_QtCore_pyqtWrapperType &sipStrings_QtSerialPort[120]
#define sipNameNr_SecondaryReceivedDataSignal 149
#define sipName_SecondaryReceivedDataSignal &sipStrings_QtSerialPort[149]
#define sipNameNr_setSettingsRestoredOnClose 177
#define sipName_setSettingsRestoredOnClose &sipStrings_QtSerialPort[177]
#define sipNameNr_QSerialPort__PinoutSignals 204
#define sipName_QSerialPort__PinoutSignals &sipStrings_QtSerialPort[204]
#define sipNameNr_UnsupportedOperationError 231
#define sipName_UnsupportedOperationError &sipStrings_QtSerialPort[231]
#define sipNameNr_QSerialPort__PinoutSignal 257
#define sipName_QSerialPort__PinoutSignal &sipStrings_QtSerialPort[257]
#define sipNameNr_dataTerminalReadyChanged 283
#define sipName_dataTerminalReadyChanged &sipStrings_QtSerialPort[283]
#define sipNameNr_QSerialPort__FlowControl 308
#define sipName_QSerialPort__FlowControl &sipStrings_QtSerialPort[308]
#define sipNameNr_settingsRestoredOnClose 333
#define sipName_settingsRestoredOnClose &sipStrings_QtSerialPort[333]
#define sipNameNr_DataCarrierDetectSignal 357
#define sipName_DataCarrierDetectSignal &sipStrings_QtSerialPort[357]
#define sipNameNr_DataTerminalReadySignal 381
#define sipName_DataTerminalReadySignal &sipStrings_QtSerialPort[381]
#define sipNameNr_QSerialPort__Directions 405
#define sipName_QSerialPort__Directions &sipStrings_QtSerialPort[405]
#define sipNameNr_429 429
#define sipName_429 &sipStrings_QtSerialPort[429]
#define sipNameNr_dataErrorPolicyChanged 452
#define sipName_dataErrorPolicyChanged &sipStrings_QtSerialPort[452]
#define sipNameNr_QSerialPort__Direction 475
#define sipName_QSerialPort__Direction &sipStrings_QtSerialPort[475]
#define sipNameNr_TransmittedDataSignal 40
#define sipName_TransmittedDataSignal &sipStrings_QtSerialPort[40]
#define sipNameNr_QSerialPort__StopBits 498
#define sipName_QSerialPort__StopBits &sipStrings_QtSerialPort[498]
#define sipNameNr_QSerialPort__DataBits 520
#define sipName_QSerialPort__DataBits &sipStrings_QtSerialPort[520]
#define sipNameNr_QSerialPort__BaudRate 542
#define sipName_QSerialPort__BaudRate &sipStrings_QtSerialPort[542]
#define sipNameNr_hasProductIdentifier 564
#define sipName_hasProductIdentifier &sipStrings_QtSerialPort[564]
#define sipNameNr_requestToSendChanged 585
#define sipName_requestToSendChanged &sipStrings_QtSerialPort[585]
#define sipNameNr_setDataTerminalReady 606
#define sipName_setDataTerminalReady &sipStrings_QtSerialPort[606]
#define sipNameNr_hasVendorIdentifier 627
#define sipName_hasVendorIdentifier &sipStrings_QtSerialPort[627]
#define sipNameNr_breakEnabledChanged 647
#define sipName_breakEnabledChanged &sipStrings_QtSerialPort[647]
#define sipNameNr_isDataTerminalReady 667
#define sipName_isDataTerminalReady &sipStrings_QtSerialPort[667]
#define sipNameNr_BreakConditionError 687
#define sipName_BreakConditionError &sipStrings_QtSerialPort[687]
#define sipNameNr_DeviceNotFoundError 707
#define sipName_DeviceNotFoundError &sipStrings_QtSerialPort[707]
#define sipNameNr_StopReceivingPolicy 727
#define sipName_StopReceivingPolicy &sipStrings_QtSerialPort[727]
#define sipNameNr_RequestToSendSignal 747
#define sipName_RequestToSendSignal &sipStrings_QtSerialPort[747]
#define sipNameNr_RingIndicatorSignal 767
#define sipName_RingIndicatorSignal &sipStrings_QtSerialPort[767]
#define sipNameNr_QSerialPort__Parity 787
#define sipName_QSerialPort__Parity &sipStrings_QtSerialPort[787]
#define sipNameNr_waitForBytesWritten 807
#define sipName_waitForBytesWritten &sipStrings_QtSerialPort[807]
#define sipNameNr_flowControlChanged 827
#define sipName_flowControlChanged &sipStrings_QtSerialPort[827]
#define sipNameNr_setDataErrorPolicy 846
#define sipName_setDataErrorPolicy &sipStrings_QtSerialPort[846]
#define sipNameNr_DataSetReadySignal 865
#define sipName_DataSetReadySignal &sipStrings_QtSerialPort[865]
#define sipNameNr_ReceivedDataSignal 158
#define sipName_ReceivedDataSignal &sipStrings_QtSerialPort[158]
#define sipNameNr_UnknownFlowControl 884
#define sipName_UnknownFlowControl &sipStrings_QtSerialPort[884]
#define sipNameNr_PyQt5_QtSerialPort 903
#define sipName_PyQt5_QtSerialPort &sipStrings_QtSerialPort[903]
#define sipNameNr_standardBaudRates 922
#define sipName_standardBaudRates &sipStrings_QtSerialPort[922]
#define sipNameNr_productIdentifier 940
#define sipName_productIdentifier &sipStrings_QtSerialPort[940]
#define sipNameNr_setReadBufferSize 958
#define sipName_setReadBufferSize &sipStrings_QtSerialPort[958]
#define sipNameNr_ClearToSendSignal 976
#define sipName_ClearToSendSignal &sipStrings_QtSerialPort[976]
#define sipNameNr_sip_simplewrapper 994
#define sipName_sip_simplewrapper &sipStrings_QtSerialPort[994]
#define sipNameNr_vendorIdentifier 1012
#define sipName_vendorIdentifier &sipStrings_QtSerialPort[1012]
#define sipNameNr_setRequestToSend 1029
#define sipName_setRequestToSend &sipStrings_QtSerialPort[1029]
#define sipNameNr_waitForReadyRead 1046
#define sipName_waitForReadyRead &sipStrings_QtSerialPort[1046]
#define sipNameNr_disconnectNotify 1063
#define sipName_disconnectNotify &sipStrings_QtSerialPort[1063]
#define sipNameNr_QSerialPortInfo 1080
#define sipName_QSerialPortInfo &sipStrings_QtSerialPort[1080]
#define sipNameNr_stopBitsChanged 1096
#define sipName_stopBitsChanged &sipStrings_QtSerialPort[1096]
#define sipNameNr_dataBitsChanged 1112
#define sipName_dataBitsChanged &sipStrings_QtSerialPort[1112]
#define sipNameNr_baudRateChanged 1128
#define sipName_baudRateChanged &sipStrings_QtSerialPort[1128]
#define sipNameNr_setBreakEnabled 1144
#define sipName_setBreakEnabled &sipStrings_QtSerialPort[1144]
#define sipNameNr_dataErrorPolicy 1160
#define sipName_dataErrorPolicy &sipStrings_QtSerialPort[1160]
#define sipNameNr_isRequestToSend 1176
#define sipName_isRequestToSend &sipStrings_QtSerialPort[1176]
#define sipNameNr_SerialPortError 75
#define sipName_SerialPortError &sipStrings_QtSerialPort[75]
#define sipNameNr_DataErrorPolicy 104
#define sipName_DataErrorPolicy &sipStrings_QtSerialPort[104]
#define sipNameNr_SoftwareControl 1192
#define sipName_SoftwareControl &sipStrings_QtSerialPort[1192]
#define sipNameNr_HardwareControl 1208
#define sipName_HardwareControl &sipStrings_QtSerialPort[1208]
#define sipNameNr_UnknownStopBits 1224
#define sipName_UnknownStopBits &sipStrings_QtSerialPort[1224]
#define sipNameNr_UnknownDataBits 1240
#define sipName_UnknownDataBits &sipStrings_QtSerialPort[1240]
#define sipNameNr_PermissionError 1256
#define sipName_PermissionError &sipStrings_QtSerialPort[1256]
#define sipNameNr_availablePorts 1272
#define sipName_availablePorts &sipStrings_QtSerialPort[1272]
#define sipNameNr_systemLocation 1287
#define sipName_systemLocation &sipStrings_QtSerialPort[1287]
#define sipNameNr_isBreakEnabled 1302
#define sipName_isBreakEnabled &sipStrings_QtSerialPort[1302]
#define sipNameNr_readBufferSize 1317
#define sipName_readBufferSize &sipStrings_QtSerialPort[1317]
#define sipNameNr_setFlowControl 1332
#define sipName_setFlowControl &sipStrings_QtSerialPort[1332]
#define sipNameNr_PassZeroPolicy 1347
#define sipName_PassZeroPolicy &sipStrings_QtSerialPort[1347]
#define sipNameNr_OneAndHalfStop 1362
#define sipName_OneAndHalfStop &sipStrings_QtSerialPort[1362]
#define sipNameNr_bytesAvailable 1377
#define sipName_bytesAvailable &sipStrings_QtSerialPort[1377]
#define sipNameNr_parityChanged 1392
#define sipName_parityChanged &sipStrings_QtSerialPort[1392]
#define sipNameNr_pinoutSignals 1406
#define sipName_pinoutSignals &sipStrings_QtSerialPort[1406]
#define sipNameNr_UnknownPolicy 1420
#define sipName_UnknownPolicy &sipStrings_QtSerialPort[1420]
#define sipNameNr_PinoutSignals 217
#define sipName_PinoutSignals &sipStrings_QtSerialPort[217]
#define sipNameNr_NoFlowControl 1434
#define sipName_NoFlowControl &sipStrings_QtSerialPort[1434]
#define sipNameNr_UnknownParity 1448
#define sipName_UnknownParity &sipStrings_QtSerialPort[1448]
#define sipNameNr_AllDirections 1462
#define sipName_AllDirections &sipStrings_QtSerialPort[1462]
#define sipNameNr_ResourceError 1476
#define sipName_ResourceError &sipStrings_QtSerialPort[1476]
#define sipNameNr_connectNotify 1066
#define sipName_connectNotify &sipStrings_QtSerialPort[1066]
#define sipNameNr_serialNumber 1490
#define sipName_serialNumber &sipStrings_QtSerialPort[1490]
#define sipNameNr_manufacturer 1503
#define sipName_manufacturer &sipStrings_QtSerialPort[1503]
#define sipNameNr_NotOpenError 1516
#define sipName_NotOpenError &sipStrings_QtSerialPort[1516]
#define sipNameNr_TimeoutError 1529
#define sipName_TimeoutError &sipStrings_QtSerialPort[1529]
#define sipNameNr_FramingError 1542
#define sipName_FramingError &sipStrings_QtSerialPort[1542]
#define sipNameNr_IgnorePolicy 1555
#define sipName_IgnorePolicy &sipStrings_QtSerialPort[1555]
#define sipNameNr_PinoutSignal 270
#define sipName_PinoutSignal &sipStrings_QtSerialPort[270]
#define sipNameNr_UnknownError 1568
#define sipName_UnknownError &sipStrings_QtSerialPort[1568]
#define sipNameNr_bytesToWrite 1581
#define sipName_bytesToWrite &sipStrings_QtSerialPort[1581]
#define sipNameNr_readLineData 1594
#define sipName_readLineData &sipStrings_QtSerialPort[1594]
#define sipNameNr_isSequential 1607
#define sipName_isSequential &sipStrings_QtSerialPort[1607]
#define sipNameNr_flowControl 1620
#define sipName_flowControl &sipStrings_QtSerialPort[1620]
#define sipNameNr_setStopBits 1632
#define sipName_setStopBits &sipStrings_QtSerialPort[1632]
#define sipNameNr_setDataBits 1644
#define sipName_setDataBits &sipStrings_QtSerialPort[1644]
#define sipNameNr_setBaudRate 1656
#define sipName_setBaudRate &sipStrings_QtSerialPort[1656]
#define sipNameNr_setPortName 1668
#define sipName_setPortName &sipStrings_QtSerialPort[1668]
#define sipNameNr_ParityError 1680
#define sipName_ParityError &sipStrings_QtSerialPort[1680]
#define sipNameNr_FlowControl 321
#define sipName_FlowControl &sipStrings_QtSerialPort[321]
#define sipNameNr_SpaceParity 1692
#define sipName_SpaceParity &sipStrings_QtSerialPort[1692]
#define sipNameNr_UnknownBaud 1704
#define sipName_UnknownBaud &sipStrings_QtSerialPort[1704]
#define sipNameNr_QSerialPort 1716
#define sipName_QSerialPort &sipStrings_QtSerialPort[1716]
#define sipNameNr_customEvent 1728
#define sipName_customEvent &sipStrings_QtSerialPort[1728]
#define sipNameNr_eventFilter 1740
#define sipName_eventFilter &sipStrings_QtSerialPort[1740]
#define sipNameNr_description 1752
#define sipName_description &sipStrings_QtSerialPort[1752]
#define sipNameNr_canReadLine 1764
#define sipName_canReadLine &sipStrings_QtSerialPort[1764]
#define sipNameNr_SkipPolicy 1776
#define sipName_SkipPolicy &sipStrings_QtSerialPort[1776]
#define sipNameNr_MarkParity 1787
#define sipName_MarkParity &sipStrings_QtSerialPort[1787]
#define sipNameNr_EvenParity 1798
#define sipName_EvenParity &sipStrings_QtSerialPort[1798]
#define sipNameNr_Baud115200 1809
#define sipName_Baud115200 &sipStrings_QtSerialPort[1809]
#define sipNameNr_Directions 418
#define sipName_Directions &sipStrings_QtSerialPort[418]
#define sipNameNr_clearError 1820
#define sipName_clearError &sipStrings_QtSerialPort[1820]
#define sipNameNr_childEvent 1831
#define sipName_childEvent &sipStrings_QtSerialPort[1831]
#define sipNameNr_timerEvent 1842
#define sipName_timerEvent &sipStrings_QtSerialPort[1842]
#define sipNameNr_WriteError 1853
#define sipName_WriteError &sipStrings_QtSerialPort[1853]
#define sipNameNr___invert__ 1864
#define sipName___invert__ &sipStrings_QtSerialPort[1864]
#define sipNameNr_sendBreak 1875
#define sipName_sendBreak &sipStrings_QtSerialPort[1875]
#define sipNameNr_setParity 1885
#define sipName_setParity &sipStrings_QtSerialPort[1885]
#define sipNameNr_OddParity 1895
#define sipName_OddParity &sipStrings_QtSerialPort[1895]
#define sipNameNr_Baud57600 1905
#define sipName_Baud57600 &sipStrings_QtSerialPort[1905]
#define sipNameNr_Baud38400 1915
#define sipName_Baud38400 &sipStrings_QtSerialPort[1915]
#define sipNameNr_Baud19200 1925
#define sipName_Baud19200 &sipStrings_QtSerialPort[1925]
#define sipNameNr_directory 1935
#define sipName_directory &sipStrings_QtSerialPort[1935]
#define sipNameNr_OpenError 1519
#define sipName_OpenError &sipStrings_QtSerialPort[1519]
#define sipNameNr_ReadError 1945
#define sipName_ReadError &sipStrings_QtSerialPort[1945]
#define sipNameNr_precision 1955
#define sipName_precision &sipStrings_QtSerialPort[1955]
#define sipNameNr_writeData 1965
#define sipName_writeData &sipStrings_QtSerialPort[1965]
#define sipNameNr_Direction 488
#define sipName_Direction &sipStrings_QtSerialPort[488]
#define sipNameNr_stopBits 1975
#define sipName_stopBits &sipStrings_QtSerialPort[1975]
#define sipNameNr_dataBits 1984
#define sipName_dataBits &sipStrings_QtSerialPort[1984]
#define sipNameNr_baudRate 1993
#define sipName_baudRate &sipStrings_QtSerialPort[1993]
#define sipNameNr_portName 2002
#define sipName_portName &sipStrings_QtSerialPort[2002]
#define sipNameNr_NoSignal 2011
#define sipName_NoSignal &sipStrings_QtSerialPort[2011]
#define sipNameNr_StopBits 511
#define sipName_StopBits &sipStrings_QtSerialPort[511]
#define sipNameNr_NoParity 2020
#define sipName_NoParity &sipStrings_QtSerialPort[2020]
#define sipNameNr_DataBits 533
#define sipName_DataBits &sipStrings_QtSerialPort[533]
#define sipNameNr_Baud9600 2029
#define sipName_Baud9600 &sipStrings_QtSerialPort[2029]
#define sipNameNr_Baud4800 2038
#define sipName_Baud4800 &sipStrings_QtSerialPort[2038]
#define sipNameNr_Baud2400 2047
#define sipName_Baud2400 &sipStrings_QtSerialPort[2047]
#define sipNameNr_Baud1200 2056
#define sipName_Baud1200 &sipStrings_QtSerialPort[2056]
#define sipNameNr_BaudRate 555
#define sipName_BaudRate &sipStrings_QtSerialPort[555]
#define sipNameNr_nameType 2065
#define sipName_nameType &sipStrings_QtSerialPort[2065]
#define sipNameNr_readData 2074
#define sipName_readData &sipStrings_QtSerialPort[2074]
#define sipNameNr_duration 2083
#define sipName_duration &sipStrings_QtSerialPort[2083]
#define sipNameNr___bool__ 2092
#define sipName___bool__ &sipStrings_QtSerialPort[2092]
#define sipNameNr___ixor__ 2101
#define sipName___ixor__ &sipStrings_QtSerialPort[2101]
#define sipNameNr___iand__ 2110
#define sipName___iand__ &sipStrings_QtSerialPort[2110]
#define sipNameNr_TwoStop 2119
#define sipName_TwoStop &sipStrings_QtSerialPort[2119]
#define sipNameNr_OneStop 2127
#define sipName_OneStop &sipStrings_QtSerialPort[2127]
#define sipNameNr_setPort 2135
#define sipName_setPort &sipStrings_QtSerialPort[2135]
#define sipNameNr_NoError 2143
#define sipName_NoError &sipStrings_QtSerialPort[2143]
#define sipNameNr_filters 2151
#define sipName_filters &sipStrings_QtSerialPort[2151]
#define sipNameNr_enabled 2159
#define sipName_enabled &sipStrings_QtSerialPort[2159]
#define sipNameNr_options 2167
#define sipName_options &sipStrings_QtSerialPort[2167]
#define sipNameNr_isValid 2175
#define sipName_isValid &sipStrings_QtSerialPort[2175]
#define sipNameNr___and__ 2183
#define sipName___and__ &sipStrings_QtSerialPort[2183]
#define sipNameNr___xor__ 2191
#define sipName___xor__ &sipStrings_QtSerialPort[2191]
#define sipNameNr___int__ 2199
#define sipName___int__ &sipStrings_QtSerialPort[2199]
#define sipNameNr___ior__ 2207
#define sipName___ior__ &sipStrings_QtSerialPort[2207]
#define sipNameNr_isBusy 2215
#define sipName_isBusy &sipStrings_QtSerialPort[2215]
#define sipNameNr_parity 2222
#define sipName_parity &sipStrings_QtSerialPort[2222]
#define sipNameNr_Parity 800
#define sipName_Parity &sipStrings_QtSerialPort[800]
#define sipNameNr_Output 2229
#define sipName_Output &sipStrings_QtSerialPort[2229]
#define sipNameNr_proper 2236
#define sipName_proper &sipStrings_QtSerialPort[2236]
#define sipNameNr_value9 2243
#define sipName_value9 &sipStrings_QtSerialPort[2243]
#define sipNameNr_value8 2250
#define sipName_value8 &sipStrings_QtSerialPort[2250]
#define sipNameNr_value7 2257
#define sipName_value7 &sipStrings_QtSerialPort[2257]
#define sipNameNr_value6 2264
#define sipName_value6 &sipStrings_QtSerialPort[2264]
#define sipNameNr_value5 2271
#define sipName_value5 &sipStrings_QtSerialPort[2271]
#define sipNameNr_value4 2278
#define sipName_value4 &sipStrings_QtSerialPort[2278]
#define sipNameNr_value3 2285
#define sipName_value3 &sipStrings_QtSerialPort[2285]
#define sipNameNr_value2 2292
#define sipName_value2 &sipStrings_QtSerialPort[2292]
#define sipNameNr_value1 2299
#define sipName_value1 &sipStrings_QtSerialPort[2299]
#define sipNameNr_value0 2306
#define sipName_value0 &sipStrings_QtSerialPort[2306]
#define sipNameNr_symbol 2313
#define sipName_symbol &sipStrings_QtSerialPort[2313]
#define sipNameNr_suffix 2320
#define sipName_suffix &sipStrings_QtSerialPort[2320]
#define sipNameNr_handle 2327
#define sipName_handle &sipStrings_QtSerialPort[2327]
#define sipNameNr_prefix 2334
#define sipName_prefix &sipStrings_QtSerialPort[2334]
#define sipNameNr_locale 2341
#define sipName_locale &sipStrings_QtSerialPort[2341]
#define sipNameNr_format 2348
#define sipName_format &sipStrings_QtSerialPort[2348]
#define sipNameNr_isNull 2355
#define sipName_isNull &sipStrings_QtSerialPort[2355]
#define sipNameNr_policy 2362
#define sipName_policy &sipStrings_QtSerialPort[2362]
#define sipNameNr_parent 2369
#define sipName_parent &sipStrings_QtSerialPort[2369]
#define sipNameNr___ne__ 2376
#define sipName___ne__ &sipStrings_QtSerialPort[2376]
#define sipNameNr___eq__ 2383
#define sipName___eq__ &sipStrings_QtSerialPort[2383]
#define sipNameNr___or__ 2390
#define sipName___or__ &sipStrings_QtSerialPort[2390]
#define sipNameNr_Data8 2397
#define sipName_Data8 &sipStrings_QtSerialPort[2397]
#define sipNameNr_Data7 2403
#define sipName_Data7 &sipStrings_QtSerialPort[2403]
#define sipNameNr_Data6 2409
#define sipName_Data6 &sipStrings_QtSerialPort[2409]
#define sipNameNr_Data5 2415
#define sipName_Data5 &sipStrings_QtSerialPort[2415]
#define sipNameNr_Input 2421
#define sipName_Input &sipStrings_QtSerialPort[2421]
#define sipNameNr_error 2427
#define sipName_error &sipStrings_QtSerialPort[2427]
#define sipNameNr_reset 2433
#define sipName_reset &sipStrings_QtSerialPort[2433]
#define sipNameNr_atEnd 2439
#define sipName_atEnd &sipStrings_QtSerialPort[2439]
#define sipNameNr_close 2445
#define sipName_close &sipStrings_QtSerialPort[2445]
#define sipNameNr_clear 2451
#define sipName_clear &sipStrings_QtSerialPort[2451]
#define sipNameNr_flush 2457
#define sipName_flush &sipStrings_QtSerialPort[2457]
#define sipNameNr_event 2463
#define sipName_event &sipStrings_QtSerialPort[2463]
#define sipNameNr_msecs 2469
#define sipName_msecs &sipStrings_QtSerialPort[2469]
#define sipNameNr_mode 2475
#define sipName_mode &sipStrings_QtSerialPort[2475]
#define sipNameNr_name 2480
#define sipName_name &sipStrings_QtSerialPort[2480]
#define sipNameNr_base 2485
#define sipName_base &sipStrings_QtSerialPort[2485]
#define sipNameNr_seek 2490
#define sipName_seek &sipStrings_QtSerialPort[2490]
#define sipNameNr_open 2495
#define sipName_open &sipStrings_QtSerialPort[2495]
#define sipNameNr_size 2500
#define sipName_size &sipStrings_QtSerialPort[2500]
#define sipNameNr_from 2505
#define sipName_from &sipStrings_QtSerialPort[2505]
#define sipNameNr_sort 2510
#define sipName_sort &sipStrings_QtSerialPort[2510]
#define sipNameNr_swap 2515
#define sipName_swap &sipStrings_QtSerialPort[2515]
#define sipNameNr_dir 2520
#define sipName_dir &sipStrings_QtSerialPort[2520]
#define sipNameNr_pos 2524
#define sipName_pos &sipStrings_QtSerialPort[2524]

#define sipMalloc                   sipAPI_QtSerialPort->api_malloc
#define sipFree                     sipAPI_QtSerialPort->api_free
#define sipBuildResult              sipAPI_QtSerialPort->api_build_result
#define sipCallMethod               sipAPI_QtSerialPort->api_call_method
#define sipCallErrorHandler         sipAPI_QtSerialPort->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSerialPort->api_parse_result_ex
#define sipParseResult              sipAPI_QtSerialPort->api_parse_result
#define sipParseArgs                sipAPI_QtSerialPort->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSerialPort->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSerialPort->api_parse_pair
#define sipCommonDtor               sipAPI_QtSerialPort->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_QtSerialPort->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_QtSerialPort->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSerialPort->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSerialPort->api_add_exception
#define sipNoFunction               sipAPI_QtSerialPort->api_no_function
#define sipNoMethod                 sipAPI_QtSerialPort->api_no_method
#define sipAbstractMethod           sipAPI_QtSerialPort->api_abstract_method
#define sipBadClass                 sipAPI_QtSerialPort->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSerialPort->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSerialPort->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSerialPort->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSerialPort->api_trace
#define sipTransferBack             sipAPI_QtSerialPort->api_transfer_back
#define sipTransferTo               sipAPI_QtSerialPort->api_transfer_to
#define sipTransferBreak            sipAPI_QtSerialPort->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtSerialPort->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSerialPort->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSerialPort->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSerialPort->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSerialPort->api_get_pyobject
#define sipGetAddress               sipAPI_QtSerialPort->api_get_address
#define sipGetMixinAddress          sipAPI_QtSerialPort->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSerialPort->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSerialPort->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtSerialPort->api_is_py_method
#define sipCallHook                 sipAPI_QtSerialPort->api_call_hook
#define sipEndThread                sipAPI_QtSerialPort->api_end_thread
#define sipConnectRx                sipAPI_QtSerialPort->api_connect_rx
#define sipDisconnectRx             sipAPI_QtSerialPort->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtSerialPort->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSerialPort->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSerialPort->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSerialPort->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtSerialPort->api_free_sipslot
#define sipSameSlot                 sipAPI_QtSerialPort->api_same_slot
#define sipPySlotExtend             sipAPI_QtSerialPort->api_pyslot_extend
#define sipConvertRx                sipAPI_QtSerialPort->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtSerialPort->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSerialPort->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSerialPort->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSerialPort->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtSerialPort->api_can_convert_to_enum
#define sipReleaseType              sipAPI_QtSerialPort->api_release_type
#define sipConvertFromType          sipAPI_QtSerialPort->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSerialPort->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSerialPort->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSerialPort->api_convert_from_enum
#define sipGetState                 sipAPI_QtSerialPort->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_QtSerialPort->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_QtSerialPort->api_export_symbol
#define sipImportSymbol             sipAPI_QtSerialPort->api_import_symbol
#define sipFindType                 sipAPI_QtSerialPort->api_find_type
#define sipFindNamedEnum            sipAPI_QtSerialPort->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtSerialPort->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSerialPort->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSerialPort->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSerialPort->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSerialPort->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSerialPort->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSerialPort->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSerialPort->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSerialPort->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSerialPort->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSerialPort->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSerialPort->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSerialPort->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtSerialPort->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtSerialPort->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtSerialPort->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtSerialPort->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtSerialPort->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->type->td_cname)
#define sipDeprecated               sipAPI_QtSerialPort->api_deprecated
#define sipGetReference             sipAPI_QtSerialPort->api_get_reference
#define sipKeepReference            sipAPI_QtSerialPort->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSerialPort->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSerialPort->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSerialPort->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSerialPort->api_type_scope
#define sipResolveTypedef           sipAPI_QtSerialPort->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSerialPort->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtSerialPort->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtSerialPort->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtSerialPort->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSerialPort->api_init_mixin
#define sipExportModule             sipAPI_QtSerialPort->api_export_module
#define sipInitModule               sipAPI_QtSerialPort->api_init_module

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtSerialPort->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtSerialPort->api_map_int_to_class
#define sipFindClass                sipAPI_QtSerialPort->api_find_class
#define sipFindMappedType           sipAPI_QtSerialPort->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtSerialPort->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSerialPort->api_convert_to_typed_array
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtSerialPort->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->type)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->type, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->type, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->type, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->type, (t))

/* The strings used by this module. */
extern const char sipStrings_QtSerialPort[];

#define sipType_QtMsgType              sipModuleAPI_QtSerialPort_QtCore->em_types[415]
#define sipEnum_QtMsgType              sipModuleAPI_QtSerialPort_QtCore->em_types[415]->u.td_py_type

#define sipType_QSerialPort              sipModuleAPI_QtSerialPort.em_types[1]
#define sipClass_QSerialPort             sipModuleAPI_QtSerialPort.em_types[1]->u.td_wrapper_type

#define sipType_QSerialPort_SerialPortError              sipModuleAPI_QtSerialPort.em_types[11]
#define sipEnum_QSerialPort_SerialPortError              sipModuleAPI_QtSerialPort.em_types[11]->u.td_py_type
#define sipType_QSerialPort_DataErrorPolicy              sipModuleAPI_QtSerialPort.em_types[4]
#define sipEnum_QSerialPort_DataErrorPolicy              sipModuleAPI_QtSerialPort.em_types[4]->u.td_py_type
#define sipType_QSerialPort_PinoutSignal              sipModuleAPI_QtSerialPort.em_types[9]
#define sipEnum_QSerialPort_PinoutSignal              sipModuleAPI_QtSerialPort.em_types[9]->u.td_py_type
#define sipType_QSerialPort_FlowControl              sipModuleAPI_QtSerialPort.em_types[7]
#define sipEnum_QSerialPort_FlowControl              sipModuleAPI_QtSerialPort.em_types[7]->u.td_py_type
#define sipType_QSerialPort_StopBits              sipModuleAPI_QtSerialPort.em_types[12]
#define sipEnum_QSerialPort_StopBits              sipModuleAPI_QtSerialPort.em_types[12]->u.td_py_type
#define sipType_QSerialPort_Parity              sipModuleAPI_QtSerialPort.em_types[8]
#define sipEnum_QSerialPort_Parity              sipModuleAPI_QtSerialPort.em_types[8]->u.td_py_type
#define sipType_QSerialPort_DataBits              sipModuleAPI_QtSerialPort.em_types[3]
#define sipEnum_QSerialPort_DataBits              sipModuleAPI_QtSerialPort.em_types[3]->u.td_py_type
#define sipType_QSerialPort_BaudRate              sipModuleAPI_QtSerialPort.em_types[2]
#define sipEnum_QSerialPort_BaudRate              sipModuleAPI_QtSerialPort.em_types[2]->u.td_py_type
#define sipType_QSerialPort_Direction              sipModuleAPI_QtSerialPort.em_types[5]
#define sipEnum_QSerialPort_Direction              sipModuleAPI_QtSerialPort.em_types[5]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtSerialPort_QSerialPort;

#define sipType_QSerialPort_Directions              sipModuleAPI_QtSerialPort.em_types[6]
#define sipClass_QSerialPort_Directions             sipModuleAPI_QtSerialPort.em_types[6]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSerialPort_QSerialPort_Directions;

#define sipType_QSerialPort_PinoutSignals              sipModuleAPI_QtSerialPort.em_types[10]
#define sipClass_QSerialPort_PinoutSignals             sipModuleAPI_QtSerialPort.em_types[10]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSerialPort_QSerialPort_PinoutSignals;

#define sipType_QSerialPortInfo              sipModuleAPI_QtSerialPort.em_types[13]
#define sipClass_QSerialPortInfo             sipModuleAPI_QtSerialPort.em_types[13]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtSerialPort_QSerialPortInfo;

#define sipType_QList_0100QSerialPortInfo      sipModuleAPI_QtSerialPort.em_types[0]

extern sipMappedTypeDef sipTypeDef_QtSerialPort_QList_0100QSerialPortInfo;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSerialPort;
extern sipExportedModuleDef sipModuleAPI_QtSerialPort;

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_QtSerialPort_QtCore->em_types[311]
#define sipClass_Qt             sipModuleAPI_QtSerialPort_QtCore->em_types[311]->u.td_wrapper_type
#endif

#define sipType_Qt_ItemSelectionOperation              sipModuleAPI_QtSerialPort_QtCore->em_types[362]
#define sipEnum_Qt_ItemSelectionOperation              sipModuleAPI_QtSerialPort_QtCore->em_types[362]->u.td_py_type
#define sipType_Qt_TabFocusBehavior              sipModuleAPI_QtSerialPort_QtCore->em_types[391]
#define sipEnum_Qt_TabFocusBehavior              sipModuleAPI_QtSerialPort_QtCore->em_types[391]->u.td_py_type
#define sipType_Qt_MouseEventFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[373]
#define sipEnum_Qt_MouseEventFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[373]->u.td_py_type
#define sipType_Qt_MouseEventSource              sipModuleAPI_QtSerialPort_QtCore->em_types[375]
#define sipEnum_Qt_MouseEventSource              sipModuleAPI_QtSerialPort_QtCore->em_types[375]->u.td_py_type
#define sipType_Qt_ScrollPhase              sipModuleAPI_QtSerialPort_QtCore->em_types[386]
#define sipEnum_Qt_ScrollPhase              sipModuleAPI_QtSerialPort_QtCore->em_types[386]->u.td_py_type
#define sipType_Qt_NativeGestureType              sipModuleAPI_QtSerialPort_QtCore->em_types[376]
#define sipEnum_Qt_NativeGestureType              sipModuleAPI_QtSerialPort_QtCore->em_types[376]->u.td_py_type
#define sipType_Qt_Edge              sipModuleAPI_QtSerialPort_QtCore->em_types[338]
#define sipEnum_Qt_Edge              sipModuleAPI_QtSerialPort_QtCore->em_types[338]->u.td_py_type
#define sipType_Qt_ApplicationState              sipModuleAPI_QtSerialPort_QtCore->em_types[316]
#define sipEnum_Qt_ApplicationState              sipModuleAPI_QtSerialPort_QtCore->em_types[316]->u.td_py_type
#define sipType_Qt_HitTestAccuracy              sipModuleAPI_QtSerialPort_QtCore->em_types[351]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_QtSerialPort_QtCore->em_types[351]->u.td_py_type
#define sipType_Qt_WhiteSpaceMode              sipModuleAPI_QtSerialPort_QtCore->em_types[407]
#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_QtSerialPort_QtCore->em_types[407]->u.td_py_type
#define sipType_Qt_FindChildOption              sipModuleAPI_QtSerialPort_QtCore->em_types[342]
#define sipEnum_Qt_FindChildOption              sipModuleAPI_QtSerialPort_QtCore->em_types[342]->u.td_py_type
#define sipType_Qt_ScreenOrientation              sipModuleAPI_QtSerialPort_QtCore->em_types[383]
#define sipEnum_Qt_ScreenOrientation              sipModuleAPI_QtSerialPort_QtCore->em_types[383]->u.td_py_type
#define sipType_Qt_CursorMoveStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[330]
#define sipEnum_Qt_CursorMoveStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[330]->u.td_py_type
#define sipType_Qt_NavigationMode              sipModuleAPI_QtSerialPort_QtCore->em_types[377]
#define sipEnum_Qt_NavigationMode              sipModuleAPI_QtSerialPort_QtCore->em_types[377]->u.td_py_type
#define sipType_Qt_GestureFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[346]
#define sipEnum_Qt_GestureFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[346]->u.td_py_type
#define sipType_Qt_GestureType              sipModuleAPI_QtSerialPort_QtCore->em_types[349]
#define sipEnum_Qt_GestureType              sipModuleAPI_QtSerialPort_QtCore->em_types[349]->u.td_py_type
#define sipType_Qt_GestureState              sipModuleAPI_QtSerialPort_QtCore->em_types[348]
#define sipEnum_Qt_GestureState              sipModuleAPI_QtSerialPort_QtCore->em_types[348]->u.td_py_type
#define sipType_Qt_TouchPointState              sipModuleAPI_QtSerialPort_QtCore->em_types[403]
#define sipEnum_Qt_TouchPointState              sipModuleAPI_QtSerialPort_QtCore->em_types[403]->u.td_py_type
#define sipType_Qt_CoordinateSystem              sipModuleAPI_QtSerialPort_QtCore->em_types[328]
#define sipEnum_Qt_CoordinateSystem              sipModuleAPI_QtSerialPort_QtCore->em_types[328]->u.td_py_type
#define sipType_Qt_AnchorPoint              sipModuleAPI_QtSerialPort_QtCore->em_types[314]
#define sipEnum_Qt_AnchorPoint              sipModuleAPI_QtSerialPort_QtCore->em_types[314]->u.td_py_type
#define sipType_Qt_InputMethodHint              sipModuleAPI_QtSerialPort_QtCore->em_types[354]
#define sipEnum_Qt_InputMethodHint              sipModuleAPI_QtSerialPort_QtCore->em_types[354]->u.td_py_type
#define sipType_Qt_TileRule              sipModuleAPI_QtSerialPort_QtCore->em_types[397]
#define sipEnum_Qt_TileRule              sipModuleAPI_QtSerialPort_QtCore->em_types[397]->u.td_py_type
#define sipType_Qt_WindowFrameSection              sipModuleAPI_QtSerialPort_QtCore->em_types[410]
#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_QtSerialPort_QtCore->em_types[410]->u.td_py_type
#define sipType_Qt_SizeHint              sipModuleAPI_QtSerialPort_QtCore->em_types[388]
#define sipEnum_Qt_SizeHint              sipModuleAPI_QtSerialPort_QtCore->em_types[388]->u.td_py_type
#define sipType_Qt_SizeMode              sipModuleAPI_QtSerialPort_QtCore->em_types[389]
#define sipEnum_Qt_SizeMode              sipModuleAPI_QtSerialPort_QtCore->em_types[389]->u.td_py_type
#define sipType_Qt_EventPriority              sipModuleAPI_QtSerialPort_QtCore->em_types[340]
#define sipEnum_Qt_EventPriority              sipModuleAPI_QtSerialPort_QtCore->em_types[340]->u.td_py_type
#define sipType_Qt_Axis              sipModuleAPI_QtSerialPort_QtCore->em_types[320]
#define sipEnum_Qt_Axis              sipModuleAPI_QtSerialPort_QtCore->em_types[320]->u.td_py_type
#define sipType_Qt_MaskMode              sipModuleAPI_QtSerialPort_QtCore->em_types[367]
#define sipEnum_Qt_MaskMode              sipModuleAPI_QtSerialPort_QtCore->em_types[367]->u.td_py_type
#define sipType_Qt_TextInteractionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[395]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[395]->u.td_py_type
#define sipType_Qt_ItemSelectionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[361]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[361]->u.td_py_type
#define sipType_Qt_ApplicationAttribute              sipModuleAPI_QtSerialPort_QtCore->em_types[315]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_QtSerialPort_QtCore->em_types[315]->u.td_py_type
#define sipType_Qt_WindowModality              sipModuleAPI_QtSerialPort_QtCore->em_types[411]
#define sipEnum_Qt_WindowModality              sipModuleAPI_QtSerialPort_QtCore->em_types[411]->u.td_py_type
#define sipType_Qt_MatchFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[368]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[368]->u.td_py_type
#define sipType_Qt_ItemFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[359]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[359]->u.td_py_type
#define sipType_Qt_ItemDataRole              sipModuleAPI_QtSerialPort_QtCore->em_types[358]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_QtSerialPort_QtCore->em_types[358]->u.td_py_type
#define sipType_Qt_CheckState              sipModuleAPI_QtSerialPort_QtCore->em_types[324]
#define sipEnum_Qt_CheckState              sipModuleAPI_QtSerialPort_QtCore->em_types[324]->u.td_py_type
#define sipType_Qt_DropAction              sipModuleAPI_QtSerialPort_QtCore->em_types[336]
#define sipEnum_Qt_DropAction              sipModuleAPI_QtSerialPort_QtCore->em_types[336]->u.td_py_type
#define sipType_Qt_LayoutDirection              sipModuleAPI_QtSerialPort_QtCore->em_types[366]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_QtSerialPort_QtCore->em_types[366]->u.td_py_type
#define sipType_Qt_ToolButtonStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[402]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[402]->u.td_py_type
#define sipType_Qt_InputMethodQuery              sipModuleAPI_QtSerialPort_QtCore->em_types[357]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_QtSerialPort_QtCore->em_types[357]->u.td_py_type
#define sipType_Qt_ContextMenuPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[327]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[327]->u.td_py_type
#define sipType_Qt_FocusReason              sipModuleAPI_QtSerialPort_QtCore->em_types[345]
#define sipEnum_Qt_FocusReason              sipModuleAPI_QtSerialPort_QtCore->em_types[345]->u.td_py_type
#define sipType_Qt_TransformationMode              sipModuleAPI_QtSerialPort_QtCore->em_types[405]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_QtSerialPort_QtCore->em_types[405]->u.td_py_type
#define sipType_Qt_ClipOperation              sipModuleAPI_QtSerialPort_QtCore->em_types[325]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_QtSerialPort_QtCore->em_types[325]->u.td_py_type
#define sipType_Qt_FillRule              sipModuleAPI_QtSerialPort_QtCore->em_types[341]
#define sipEnum_Qt_FillRule              sipModuleAPI_QtSerialPort_QtCore->em_types[341]->u.td_py_type
#define sipType_Qt_ShortcutContext              sipModuleAPI_QtSerialPort_QtCore->em_types[387]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_QtSerialPort_QtCore->em_types[387]->u.td_py_type
#define sipType_Qt_ConnectionType              sipModuleAPI_QtSerialPort_QtCore->em_types[326]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_QtSerialPort_QtCore->em_types[326]->u.td_py_type
#define sipType_Qt_Corner              sipModuleAPI_QtSerialPort_QtCore->em_types[329]
#define sipEnum_Qt_Corner              sipModuleAPI_QtSerialPort_QtCore->em_types[329]->u.td_py_type
#define sipType_Qt_CaseSensitivity              sipModuleAPI_QtSerialPort_QtCore->em_types[323]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_QtSerialPort_QtCore->em_types[323]->u.td_py_type
#define sipType_Qt_ScrollBarPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[385]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[385]->u.td_py_type
#define sipType_Qt_DayOfWeek              sipModuleAPI_QtSerialPort_QtCore->em_types[333]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_QtSerialPort_QtCore->em_types[333]->u.td_py_type
#define sipType_Qt_TimeSpec              sipModuleAPI_QtSerialPort_QtCore->em_types[398]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_QtSerialPort_QtCore->em_types[398]->u.td_py_type
#define sipType_Qt_DateFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[332]
#define sipEnum_Qt_DateFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[332]->u.td_py_type
#define sipType_Qt_ToolBarArea              sipModuleAPI_QtSerialPort_QtCore->em_types[400]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_QtSerialPort_QtCore->em_types[400]->u.td_py_type
#define sipType_Qt_TimerType              sipModuleAPI_QtSerialPort_QtCore->em_types[399]
#define sipEnum_Qt_TimerType              sipModuleAPI_QtSerialPort_QtCore->em_types[399]->u.td_py_type
#define sipType_Qt_DockWidgetArea              sipModuleAPI_QtSerialPort_QtCore->em_types[334]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_QtSerialPort_QtCore->em_types[334]->u.td_py_type
#define sipType_Qt_AspectRatioMode              sipModuleAPI_QtSerialPort_QtCore->em_types[319]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_QtSerialPort_QtCore->em_types[319]->u.td_py_type
#define sipType_Qt_TextFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[394]
#define sipEnum_Qt_TextFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[394]->u.td_py_type
#define sipType_Qt_CursorShape              sipModuleAPI_QtSerialPort_QtCore->em_types[331]
#define sipEnum_Qt_CursorShape              sipModuleAPI_QtSerialPort_QtCore->em_types[331]->u.td_py_type
#define sipType_Qt_UIEffect              sipModuleAPI_QtSerialPort_QtCore->em_types[406]
#define sipEnum_Qt_UIEffect              sipModuleAPI_QtSerialPort_QtCore->em_types[406]->u.td_py_type
#define sipType_Qt_BrushStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[322]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[322]->u.td_py_type
#define sipType_Qt_PenJoinStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[381]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[381]->u.td_py_type
#define sipType_Qt_PenCapStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[380]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[380]->u.td_py_type
#define sipType_Qt_PenStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[382]
#define sipEnum_Qt_PenStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[382]->u.td_py_type
#define sipType_Qt_ArrowType              sipModuleAPI_QtSerialPort_QtCore->em_types[318]
#define sipEnum_Qt_ArrowType              sipModuleAPI_QtSerialPort_QtCore->em_types[318]->u.td_py_type
#define sipType_Qt_Key              sipModuleAPI_QtSerialPort_QtCore->em_types[363]
#define sipEnum_Qt_Key              sipModuleAPI_QtSerialPort_QtCore->em_types[363]->u.td_py_type
#define sipType_Qt_BGMode              sipModuleAPI_QtSerialPort_QtCore->em_types[321]
#define sipEnum_Qt_BGMode              sipModuleAPI_QtSerialPort_QtCore->em_types[321]->u.td_py_type
#define sipType_Qt_ImageConversionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[352]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[352]->u.td_py_type
#define sipType_Qt_WidgetAttribute              sipModuleAPI_QtSerialPort_QtCore->em_types[408]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_QtSerialPort_QtCore->em_types[408]->u.td_py_type
#define sipType_Qt_WindowState              sipModuleAPI_QtSerialPort_QtCore->em_types[412]
#define sipEnum_Qt_WindowState              sipModuleAPI_QtSerialPort_QtCore->em_types[412]->u.td_py_type
#define sipType_Qt_WindowType              sipModuleAPI_QtSerialPort_QtCore->em_types[414]
#define sipEnum_Qt_WindowType              sipModuleAPI_QtSerialPort_QtCore->em_types[414]->u.td_py_type
#define sipType_Qt_TextElideMode              sipModuleAPI_QtSerialPort_QtCore->em_types[392]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_QtSerialPort_QtCore->em_types[392]->u.td_py_type
#define sipType_Qt_TextFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[393]
#define sipEnum_Qt_TextFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[393]->u.td_py_type
#define sipType_Qt_AlignmentFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[313]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[313]->u.td_py_type
#define sipType_Qt_SortOrder              sipModuleAPI_QtSerialPort_QtCore->em_types[390]
#define sipEnum_Qt_SortOrder              sipModuleAPI_QtSerialPort_QtCore->em_types[390]->u.td_py_type
#define sipType_Qt_FocusPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[344]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[344]->u.td_py_type
#define sipType_Qt_Orientation              sipModuleAPI_QtSerialPort_QtCore->em_types[378]
#define sipEnum_Qt_Orientation              sipModuleAPI_QtSerialPort_QtCore->em_types[378]->u.td_py_type
#define sipType_Qt_MouseButton              sipModuleAPI_QtSerialPort_QtCore->em_types[371]
#define sipEnum_Qt_MouseButton              sipModuleAPI_QtSerialPort_QtCore->em_types[371]->u.td_py_type
#define sipType_Qt_Modifier              sipModuleAPI_QtSerialPort_QtCore->em_types[370]
#define sipEnum_Qt_Modifier              sipModuleAPI_QtSerialPort_QtCore->em_types[370]->u.td_py_type
#define sipType_Qt_KeyboardModifier              sipModuleAPI_QtSerialPort_QtCore->em_types[364]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_QtSerialPort_QtCore->em_types[364]->u.td_py_type
#define sipType_Qt_GlobalColor              sipModuleAPI_QtSerialPort_QtCore->em_types[350]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_QtSerialPort_QtCore->em_types[350]->u.td_py_type

#define sipType_Qt_KeyboardModifiers              sipModuleAPI_QtSerialPort_QtCore->em_types[365]
#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_QtSerialPort_QtCore->em_types[365]->u.td_wrapper_type

#define sipType_Qt_MouseButtons              sipModuleAPI_QtSerialPort_QtCore->em_types[372]
#define sipClass_Qt_MouseButtons             sipModuleAPI_QtSerialPort_QtCore->em_types[372]->u.td_wrapper_type

#define sipType_Qt_Orientations              sipModuleAPI_QtSerialPort_QtCore->em_types[379]
#define sipClass_Qt_Orientations             sipModuleAPI_QtSerialPort_QtCore->em_types[379]->u.td_wrapper_type

#define sipType_Qt_Alignment              sipModuleAPI_QtSerialPort_QtCore->em_types[312]
#define sipClass_Qt_Alignment             sipModuleAPI_QtSerialPort_QtCore->em_types[312]->u.td_wrapper_type

#define sipType_Qt_WindowFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[409]
#define sipClass_Qt_WindowFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[409]->u.td_wrapper_type

#define sipType_Qt_WindowStates              sipModuleAPI_QtSerialPort_QtCore->em_types[413]
#define sipClass_Qt_WindowStates             sipModuleAPI_QtSerialPort_QtCore->em_types[413]->u.td_wrapper_type

#define sipType_Qt_ImageConversionFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[353]
#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[353]->u.td_wrapper_type

#define sipType_Qt_DockWidgetAreas              sipModuleAPI_QtSerialPort_QtCore->em_types[335]
#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_QtSerialPort_QtCore->em_types[335]->u.td_wrapper_type

#define sipType_Qt_ToolBarAreas              sipModuleAPI_QtSerialPort_QtCore->em_types[401]
#define sipClass_Qt_ToolBarAreas             sipModuleAPI_QtSerialPort_QtCore->em_types[401]->u.td_wrapper_type

#define sipType_Qt_InputMethodQueries              sipModuleAPI_QtSerialPort_QtCore->em_types[356]
#define sipClass_Qt_InputMethodQueries             sipModuleAPI_QtSerialPort_QtCore->em_types[356]->u.td_wrapper_type

#define sipType_Qt_DropActions              sipModuleAPI_QtSerialPort_QtCore->em_types[337]
#define sipClass_Qt_DropActions             sipModuleAPI_QtSerialPort_QtCore->em_types[337]->u.td_wrapper_type

#define sipType_Qt_ItemFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[360]
#define sipClass_Qt_ItemFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[360]->u.td_wrapper_type

#define sipType_Qt_MatchFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[369]
#define sipClass_Qt_MatchFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[369]->u.td_wrapper_type

#define sipType_Qt_TextInteractionFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[396]
#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[396]->u.td_wrapper_type

#define sipType_Qt_InputMethodHints              sipModuleAPI_QtSerialPort_QtCore->em_types[355]
#define sipClass_Qt_InputMethodHints             sipModuleAPI_QtSerialPort_QtCore->em_types[355]->u.td_wrapper_type

#define sipType_Qt_TouchPointStates              sipModuleAPI_QtSerialPort_QtCore->em_types[404]
#define sipClass_Qt_TouchPointStates             sipModuleAPI_QtSerialPort_QtCore->em_types[404]->u.td_wrapper_type

#define sipType_Qt_GestureFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[347]
#define sipClass_Qt_GestureFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[347]->u.td_wrapper_type

#define sipType_Qt_ScreenOrientations              sipModuleAPI_QtSerialPort_QtCore->em_types[384]
#define sipClass_Qt_ScreenOrientations             sipModuleAPI_QtSerialPort_QtCore->em_types[384]->u.td_wrapper_type

#define sipType_Qt_FindChildOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[343]
#define sipClass_Qt_FindChildOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[343]->u.td_wrapper_type

#define sipType_Qt_ApplicationStates              sipModuleAPI_QtSerialPort_QtCore->em_types[317]
#define sipClass_Qt_ApplicationStates             sipModuleAPI_QtSerialPort_QtCore->em_types[317]->u.td_wrapper_type

#define sipType_Qt_Edges              sipModuleAPI_QtSerialPort_QtCore->em_types[339]
#define sipClass_Qt_Edges             sipModuleAPI_QtSerialPort_QtCore->em_types[339]->u.td_wrapper_type

#define sipType_Qt_MouseEventFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[374]
#define sipClass_Qt_MouseEventFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[374]->u.td_wrapper_type

#define sipType_QObject              sipModuleAPI_QtSerialPort_QtCore->em_types[163]
#define sipClass_QObject             sipModuleAPI_QtSerialPort_QtCore->em_types[163]->u.td_wrapper_type

#define sipType_QAbstractAnimation              sipModuleAPI_QtSerialPort_QtCore->em_types[0]
#define sipClass_QAbstractAnimation             sipModuleAPI_QtSerialPort_QtCore->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[1]
#define sipEnum_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[1]->u.td_py_type
#define sipType_QAbstractAnimation_State              sipModuleAPI_QtSerialPort_QtCore->em_types[3]
#define sipEnum_QAbstractAnimation_State              sipModuleAPI_QtSerialPort_QtCore->em_types[3]->u.td_py_type
#define sipType_QAbstractAnimation_Direction              sipModuleAPI_QtSerialPort_QtCore->em_types[2]
#define sipEnum_QAbstractAnimation_Direction              sipModuleAPI_QtSerialPort_QtCore->em_types[2]->u.td_py_type

#define sipType_QAbstractEventDispatcher              sipModuleAPI_QtSerialPort_QtCore->em_types[4]
#define sipClass_QAbstractEventDispatcher             sipModuleAPI_QtSerialPort_QtCore->em_types[4]->u.td_wrapper_type

#define sipType_QAbstractEventDispatcher_TimerInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[5]
#define sipClass_QAbstractEventDispatcher_TimerInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[5]->u.td_wrapper_type

#define sipType_QModelIndex              sipModuleAPI_QtSerialPort_QtCore->em_types[159]
#define sipClass_QModelIndex             sipModuleAPI_QtSerialPort_QtCore->em_types[159]->u.td_wrapper_type

#define sipType_QPersistentModelIndex              sipModuleAPI_QtSerialPort_QtCore->em_types[168]
#define sipClass_QPersistentModelIndex             sipModuleAPI_QtSerialPort_QtCore->em_types[168]->u.td_wrapper_type

#define sipType_QAbstractItemModel              sipModuleAPI_QtSerialPort_QtCore->em_types[6]
#define sipClass_QAbstractItemModel             sipModuleAPI_QtSerialPort_QtCore->em_types[6]->u.td_wrapper_type

#define sipType_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtSerialPort_QtCore->em_types[7]
#define sipEnum_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtSerialPort_QtCore->em_types[7]->u.td_py_type

#define sipType_QAbstractTableModel              sipModuleAPI_QtSerialPort_QtCore->em_types[12]
#define sipClass_QAbstractTableModel             sipModuleAPI_QtSerialPort_QtCore->em_types[12]->u.td_wrapper_type

#define sipType_QAbstractListModel              sipModuleAPI_QtSerialPort_QtCore->em_types[8]
#define sipClass_QAbstractListModel             sipModuleAPI_QtSerialPort_QtCore->em_types[8]->u.td_wrapper_type

#define sipType_QAbstractNativeEventFilter              sipModuleAPI_QtSerialPort_QtCore->em_types[9]
#define sipClass_QAbstractNativeEventFilter             sipModuleAPI_QtSerialPort_QtCore->em_types[9]->u.td_wrapper_type

#define sipType_QAbstractProxyModel              sipModuleAPI_QtSerialPort_QtCore->em_types[10]
#define sipClass_QAbstractProxyModel             sipModuleAPI_QtSerialPort_QtCore->em_types[10]->u.td_wrapper_type

#define sipType_QAbstractState              sipModuleAPI_QtSerialPort_QtCore->em_types[11]
#define sipClass_QAbstractState             sipModuleAPI_QtSerialPort_QtCore->em_types[11]->u.td_wrapper_type

#define sipType_QAbstractTransition              sipModuleAPI_QtSerialPort_QtCore->em_types[13]
#define sipClass_QAbstractTransition             sipModuleAPI_QtSerialPort_QtCore->em_types[13]->u.td_wrapper_type

#define sipType_QAbstractTransition_TransitionType              sipModuleAPI_QtSerialPort_QtCore->em_types[14]
#define sipEnum_QAbstractTransition_TransitionType              sipModuleAPI_QtSerialPort_QtCore->em_types[14]->u.td_py_type

#define sipType_QAnimationGroup              sipModuleAPI_QtSerialPort_QtCore->em_types[15]
#define sipClass_QAnimationGroup             sipModuleAPI_QtSerialPort_QtCore->em_types[15]->u.td_wrapper_type

#define sipType_QBasicTimer              sipModuleAPI_QtSerialPort_QtCore->em_types[16]
#define sipClass_QBasicTimer             sipModuleAPI_QtSerialPort_QtCore->em_types[16]->u.td_wrapper_type

#define sipType_QBitArray              sipModuleAPI_QtSerialPort_QtCore->em_types[17]
#define sipClass_QBitArray             sipModuleAPI_QtSerialPort_QtCore->em_types[17]->u.td_wrapper_type

#define sipType_QIODevice              sipModuleAPI_QtSerialPort_QtCore->em_types[79]
#define sipClass_QIODevice             sipModuleAPI_QtSerialPort_QtCore->em_types[79]->u.td_wrapper_type

#define sipType_QIODevice_OpenModeFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[81]
#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[81]->u.td_py_type

#define sipType_QBuffer              sipModuleAPI_QtSerialPort_QtCore->em_types[18]
#define sipClass_QBuffer             sipModuleAPI_QtSerialPort_QtCore->em_types[18]->u.td_wrapper_type

#define sipType_QByteArray              sipModuleAPI_QtSerialPort_QtCore->em_types[19]
#define sipClass_QByteArray             sipModuleAPI_QtSerialPort_QtCore->em_types[19]->u.td_wrapper_type

#define sipType_QByteArray_Base64Option              sipModuleAPI_QtSerialPort_QtCore->em_types[20]
#define sipEnum_QByteArray_Base64Option              sipModuleAPI_QtSerialPort_QtCore->em_types[20]->u.td_py_type

#define sipType_QByteArray_Base64Options              sipModuleAPI_QtSerialPort_QtCore->em_types[21]
#define sipClass_QByteArray_Base64Options             sipModuleAPI_QtSerialPort_QtCore->em_types[21]->u.td_wrapper_type

#define sipType_QByteArrayMatcher              sipModuleAPI_QtSerialPort_QtCore->em_types[22]
#define sipClass_QByteArrayMatcher             sipModuleAPI_QtSerialPort_QtCore->em_types[22]->u.td_wrapper_type

#define sipType_QCollatorSortKey              sipModuleAPI_QtSerialPort_QtCore->em_types[26]
#define sipClass_QCollatorSortKey             sipModuleAPI_QtSerialPort_QtCore->em_types[26]->u.td_wrapper_type

#define sipType_QCollator              sipModuleAPI_QtSerialPort_QtCore->em_types[25]
#define sipClass_QCollator             sipModuleAPI_QtSerialPort_QtCore->em_types[25]->u.td_wrapper_type

#define sipType_QCommandLineOption              sipModuleAPI_QtSerialPort_QtCore->em_types[27]
#define sipClass_QCommandLineOption             sipModuleAPI_QtSerialPort_QtCore->em_types[27]->u.td_wrapper_type

#define sipType_QCommandLineParser              sipModuleAPI_QtSerialPort_QtCore->em_types[28]
#define sipClass_QCommandLineParser             sipModuleAPI_QtSerialPort_QtCore->em_types[28]->u.td_wrapper_type

#define sipType_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[29]
#define sipEnum_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[29]->u.td_py_type

#define sipType_QCoreApplication              sipModuleAPI_QtSerialPort_QtCore->em_types[30]
#define sipClass_QCoreApplication             sipModuleAPI_QtSerialPort_QtCore->em_types[30]->u.td_wrapper_type

#define sipType_QEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[54]
#define sipClass_QEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[54]->u.td_wrapper_type

#define sipType_QEvent_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[55]
#define sipEnum_QEvent_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[55]->u.td_py_type

#define sipType_QTimerEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[273]
#define sipClass_QTimerEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[273]->u.td_wrapper_type

#define sipType_QChildEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[24]
#define sipClass_QChildEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[24]->u.td_wrapper_type

#define sipType_QDynamicPropertyChangeEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[49]
#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[49]->u.td_wrapper_type

#define sipType_QCryptographicHash              sipModuleAPI_QtSerialPort_QtCore->em_types[31]
#define sipClass_QCryptographicHash             sipModuleAPI_QtSerialPort_QtCore->em_types[31]->u.td_wrapper_type

#define sipType_QCryptographicHash_Algorithm              sipModuleAPI_QtSerialPort_QtCore->em_types[32]
#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_QtSerialPort_QtCore->em_types[32]->u.td_py_type

#define sipType_QDataStream              sipModuleAPI_QtSerialPort_QtCore->em_types[33]
#define sipClass_QDataStream             sipModuleAPI_QtSerialPort_QtCore->em_types[33]->u.td_wrapper_type

#define sipType_QDataStream_FloatingPointPrecision              sipModuleAPI_QtSerialPort_QtCore->em_types[35]
#define sipEnum_QDataStream_FloatingPointPrecision              sipModuleAPI_QtSerialPort_QtCore->em_types[35]->u.td_py_type
#define sipType_QDataStream_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[36]
#define sipEnum_QDataStream_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[36]->u.td_py_type
#define sipType_QDataStream_ByteOrder              sipModuleAPI_QtSerialPort_QtCore->em_types[34]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_QtSerialPort_QtCore->em_types[34]->u.td_py_type
#define sipType_QDataStream_Version              sipModuleAPI_QtSerialPort_QtCore->em_types[37]
#define sipEnum_QDataStream_Version              sipModuleAPI_QtSerialPort_QtCore->em_types[37]->u.td_py_type

#define sipType_QDate              sipModuleAPI_QtSerialPort_QtCore->em_types[38]
#define sipClass_QDate             sipModuleAPI_QtSerialPort_QtCore->em_types[38]->u.td_wrapper_type

#define sipType_QDate_MonthNameType              sipModuleAPI_QtSerialPort_QtCore->em_types[39]
#define sipEnum_QDate_MonthNameType              sipModuleAPI_QtSerialPort_QtCore->em_types[39]->u.td_py_type

#define sipType_QTime              sipModuleAPI_QtSerialPort_QtCore->em_types[263]
#define sipClass_QTime             sipModuleAPI_QtSerialPort_QtCore->em_types[263]->u.td_wrapper_type

#define sipType_QDateTime              sipModuleAPI_QtSerialPort_QtCore->em_types[40]
#define sipClass_QDateTime             sipModuleAPI_QtSerialPort_QtCore->em_types[40]->u.td_wrapper_type

#define sipType_QDir              sipModuleAPI_QtSerialPort_QtCore->em_types[41]
#define sipClass_QDir             sipModuleAPI_QtSerialPort_QtCore->em_types[41]->u.td_wrapper_type

#define sipType_QDir_SortFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[44]
#define sipEnum_QDir_SortFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[44]->u.td_py_type
#define sipType_QDir_Filter              sipModuleAPI_QtSerialPort_QtCore->em_types[42]
#define sipEnum_QDir_Filter              sipModuleAPI_QtSerialPort_QtCore->em_types[42]->u.td_py_type

#define sipType_QDir_Filters              sipModuleAPI_QtSerialPort_QtCore->em_types[43]
#define sipClass_QDir_Filters             sipModuleAPI_QtSerialPort_QtCore->em_types[43]->u.td_wrapper_type

#define sipType_QDir_SortFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[45]
#define sipClass_QDir_SortFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[45]->u.td_wrapper_type

#define sipType_QDirIterator              sipModuleAPI_QtSerialPort_QtCore->em_types[46]
#define sipClass_QDirIterator             sipModuleAPI_QtSerialPort_QtCore->em_types[46]->u.td_wrapper_type

#define sipType_QDirIterator_IteratorFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[47]
#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[47]->u.td_py_type

#define sipType_QDirIterator_IteratorFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[48]
#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[48]->u.td_wrapper_type

#define sipType_QEasingCurve              sipModuleAPI_QtSerialPort_QtCore->em_types[50]
#define sipClass_QEasingCurve             sipModuleAPI_QtSerialPort_QtCore->em_types[50]->u.td_wrapper_type

#define sipType_QEasingCurve_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[51]
#define sipEnum_QEasingCurve_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[51]->u.td_py_type

#define sipType_QElapsedTimer              sipModuleAPI_QtSerialPort_QtCore->em_types[52]
#define sipClass_QElapsedTimer             sipModuleAPI_QtSerialPort_QtCore->em_types[52]->u.td_wrapper_type

#define sipType_QElapsedTimer_ClockType              sipModuleAPI_QtSerialPort_QtCore->em_types[53]
#define sipEnum_QElapsedTimer_ClockType              sipModuleAPI_QtSerialPort_QtCore->em_types[53]->u.td_py_type

#define sipType_QEventLoop              sipModuleAPI_QtSerialPort_QtCore->em_types[56]
#define sipClass_QEventLoop             sipModuleAPI_QtSerialPort_QtCore->em_types[56]->u.td_wrapper_type

#define sipType_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[57]
#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[57]->u.td_py_type

#define sipType_QEventLoop_ProcessEventsFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[58]
#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[58]->u.td_wrapper_type

#define sipType_QEventLoopLocker              sipModuleAPI_QtSerialPort_QtCore->em_types[59]
#define sipClass_QEventLoopLocker             sipModuleAPI_QtSerialPort_QtCore->em_types[59]->u.td_wrapper_type

#define sipType_QEventTransition              sipModuleAPI_QtSerialPort_QtCore->em_types[60]
#define sipClass_QEventTransition             sipModuleAPI_QtSerialPort_QtCore->em_types[60]->u.td_wrapper_type

#define sipType_QFileDevice              sipModuleAPI_QtSerialPort_QtCore->em_types[62]
#define sipClass_QFileDevice             sipModuleAPI_QtSerialPort_QtCore->em_types[62]->u.td_wrapper_type

#define sipType_QFileDevice_MemoryMapFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[66]
#define sipEnum_QFileDevice_MemoryMapFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[66]->u.td_py_type
#define sipType_QFileDevice_FileHandleFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[64]
#define sipEnum_QFileDevice_FileHandleFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[64]->u.td_py_type
#define sipType_QFileDevice_Permission              sipModuleAPI_QtSerialPort_QtCore->em_types[67]
#define sipEnum_QFileDevice_Permission              sipModuleAPI_QtSerialPort_QtCore->em_types[67]->u.td_py_type
#define sipType_QFileDevice_FileError              sipModuleAPI_QtSerialPort_QtCore->em_types[63]
#define sipEnum_QFileDevice_FileError              sipModuleAPI_QtSerialPort_QtCore->em_types[63]->u.td_py_type

#define sipType_QFile              sipModuleAPI_QtSerialPort_QtCore->em_types[61]
#define sipClass_QFile             sipModuleAPI_QtSerialPort_QtCore->em_types[61]->u.td_wrapper_type

#define sipType_QFileDevice_Permissions              sipModuleAPI_QtSerialPort_QtCore->em_types[68]
#define sipClass_QFileDevice_Permissions             sipModuleAPI_QtSerialPort_QtCore->em_types[68]->u.td_wrapper_type

#define sipType_QFileDevice_FileHandleFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[65]
#define sipClass_QFileDevice_FileHandleFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[65]->u.td_wrapper_type

#define sipType_QFileInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[69]
#define sipClass_QFileInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[69]->u.td_wrapper_type

#define sipType_QFileSelector              sipModuleAPI_QtSerialPort_QtCore->em_types[70]
#define sipClass_QFileSelector             sipModuleAPI_QtSerialPort_QtCore->em_types[70]->u.td_wrapper_type

#define sipType_QFileSystemWatcher              sipModuleAPI_QtSerialPort_QtCore->em_types[71]
#define sipClass_QFileSystemWatcher             sipModuleAPI_QtSerialPort_QtCore->em_types[71]->u.td_wrapper_type

#define sipType_QFinalState              sipModuleAPI_QtSerialPort_QtCore->em_types[72]
#define sipClass_QFinalState             sipModuleAPI_QtSerialPort_QtCore->em_types[72]->u.td_wrapper_type

#define sipType_QHistoryState              sipModuleAPI_QtSerialPort_QtCore->em_types[77]
#define sipClass_QHistoryState             sipModuleAPI_QtSerialPort_QtCore->em_types[77]->u.td_wrapper_type

#define sipType_QHistoryState_HistoryType              sipModuleAPI_QtSerialPort_QtCore->em_types[78]
#define sipEnum_QHistoryState_HistoryType              sipModuleAPI_QtSerialPort_QtCore->em_types[78]->u.td_py_type

#define sipType_QIdentityProxyModel              sipModuleAPI_QtSerialPort_QtCore->em_types[82]
#define sipClass_QIdentityProxyModel             sipModuleAPI_QtSerialPort_QtCore->em_types[82]->u.td_wrapper_type

#define sipType_QIODevice_OpenMode              sipModuleAPI_QtSerialPort_QtCore->em_types[80]
#define sipClass_QIODevice_OpenMode             sipModuleAPI_QtSerialPort_QtCore->em_types[80]->u.td_wrapper_type

#define sipType_QItemSelectionRange              sipModuleAPI_QtSerialPort_QtCore->em_types[87]
#define sipClass_QItemSelectionRange             sipModuleAPI_QtSerialPort_QtCore->em_types[87]->u.td_wrapper_type

#define sipType_QItemSelectionModel              sipModuleAPI_QtSerialPort_QtCore->em_types[84]
#define sipClass_QItemSelectionModel             sipModuleAPI_QtSerialPort_QtCore->em_types[84]->u.td_wrapper_type

#define sipType_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[85]
#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[85]->u.td_py_type

#define sipType_QItemSelectionModel_SelectionFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[86]
#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[86]->u.td_wrapper_type

#define sipType_QItemSelection              sipModuleAPI_QtSerialPort_QtCore->em_types[83]
#define sipClass_QItemSelection             sipModuleAPI_QtSerialPort_QtCore->em_types[83]->u.td_wrapper_type

#define sipType_QJsonParseError              sipModuleAPI_QtSerialPort_QtCore->em_types[93]
#define sipClass_QJsonParseError             sipModuleAPI_QtSerialPort_QtCore->em_types[93]->u.td_wrapper_type

#define sipType_QJsonParseError_ParseError              sipModuleAPI_QtSerialPort_QtCore->em_types[94]
#define sipEnum_QJsonParseError_ParseError              sipModuleAPI_QtSerialPort_QtCore->em_types[94]->u.td_py_type

#define sipType_QJsonDocument              sipModuleAPI_QtSerialPort_QtCore->em_types[89]
#define sipClass_QJsonDocument             sipModuleAPI_QtSerialPort_QtCore->em_types[89]->u.td_wrapper_type

#define sipType_QJsonDocument_JsonFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[91]
#define sipEnum_QJsonDocument_JsonFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[91]->u.td_py_type
#define sipType_QJsonDocument_DataValidation              sipModuleAPI_QtSerialPort_QtCore->em_types[90]
#define sipEnum_QJsonDocument_DataValidation              sipModuleAPI_QtSerialPort_QtCore->em_types[90]->u.td_py_type

#define sipType_QJsonValue              sipModuleAPI_QtSerialPort_QtCore->em_types[95]
#define sipClass_QJsonValue             sipModuleAPI_QtSerialPort_QtCore->em_types[95]->u.td_wrapper_type

#define sipType_QJsonValue_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[96]
#define sipEnum_QJsonValue_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[96]->u.td_py_type

#define sipType_QLibrary              sipModuleAPI_QtSerialPort_QtCore->em_types[97]
#define sipClass_QLibrary             sipModuleAPI_QtSerialPort_QtCore->em_types[97]->u.td_wrapper_type

#define sipType_QLibrary_LoadHint              sipModuleAPI_QtSerialPort_QtCore->em_types[98]
#define sipEnum_QLibrary_LoadHint              sipModuleAPI_QtSerialPort_QtCore->em_types[98]->u.td_py_type

#define sipType_QLibrary_LoadHints              sipModuleAPI_QtSerialPort_QtCore->em_types[99]
#define sipClass_QLibrary_LoadHints             sipModuleAPI_QtSerialPort_QtCore->em_types[99]->u.td_wrapper_type

#define sipType_QLibraryInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[100]
#define sipClass_QLibraryInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[100]->u.td_wrapper_type

#define sipType_QLibraryInfo_LibraryLocation              sipModuleAPI_QtSerialPort_QtCore->em_types[101]
#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_QtSerialPort_QtCore->em_types[101]->u.td_py_type

#define sipType_QLine              sipModuleAPI_QtSerialPort_QtCore->em_types[102]
#define sipClass_QLine             sipModuleAPI_QtSerialPort_QtCore->em_types[102]->u.td_wrapper_type

#define sipType_QLineF              sipModuleAPI_QtSerialPort_QtCore->em_types[103]
#define sipClass_QLineF             sipModuleAPI_QtSerialPort_QtCore->em_types[103]->u.td_wrapper_type

#define sipType_QLineF_IntersectType              sipModuleAPI_QtSerialPort_QtCore->em_types[104]
#define sipEnum_QLineF_IntersectType              sipModuleAPI_QtSerialPort_QtCore->em_types[104]->u.td_py_type

#define sipType_QLocale              sipModuleAPI_QtSerialPort_QtCore->em_types[125]
#define sipClass_QLocale             sipModuleAPI_QtSerialPort_QtCore->em_types[125]->u.td_wrapper_type

#define sipType_QLocale_QuotationStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[133]
#define sipEnum_QLocale_QuotationStyle              sipModuleAPI_QtSerialPort_QtCore->em_types[133]->u.td_py_type
#define sipType_QLocale_CurrencySymbolFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[127]
#define sipEnum_QLocale_CurrencySymbolFormat              sipModuleAPI_QtSerialPort_QtCore->em_types[127]->u.td_py_type
#define sipType_QLocale_Script              sipModuleAPI_QtSerialPort_QtCore->em_types[134]
#define sipEnum_QLocale_Script              sipModuleAPI_QtSerialPort_QtCore->em_types[134]->u.td_py_type
#define sipType_QLocale_MeasurementSystem              sipModuleAPI_QtSerialPort_QtCore->em_types[130]
#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_QtSerialPort_QtCore->em_types[130]->u.td_py_type
#define sipType_QLocale_FormatType              sipModuleAPI_QtSerialPort_QtCore->em_types[128]
#define sipEnum_QLocale_FormatType              sipModuleAPI_QtSerialPort_QtCore->em_types[128]->u.td_py_type
#define sipType_QLocale_NumberOption              sipModuleAPI_QtSerialPort_QtCore->em_types[131]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_QtSerialPort_QtCore->em_types[131]->u.td_py_type
#define sipType_QLocale_Country              sipModuleAPI_QtSerialPort_QtCore->em_types[126]
#define sipEnum_QLocale_Country              sipModuleAPI_QtSerialPort_QtCore->em_types[126]->u.td_py_type
#define sipType_QLocale_Language              sipModuleAPI_QtSerialPort_QtCore->em_types[129]
#define sipEnum_QLocale_Language              sipModuleAPI_QtSerialPort_QtCore->em_types[129]->u.td_py_type

#define sipType_QLocale_NumberOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[132]
#define sipClass_QLocale_NumberOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[132]->u.td_wrapper_type

#define sipType_QLockFile              sipModuleAPI_QtSerialPort_QtCore->em_types[135]
#define sipClass_QLockFile             sipModuleAPI_QtSerialPort_QtCore->em_types[135]->u.td_wrapper_type

#define sipType_QLockFile_LockError              sipModuleAPI_QtSerialPort_QtCore->em_types[136]
#define sipEnum_QLockFile_LockError              sipModuleAPI_QtSerialPort_QtCore->em_types[136]->u.td_py_type

#define sipType_QMessageLogContext              sipModuleAPI_QtSerialPort_QtCore->em_types[142]
#define sipClass_QMessageLogContext             sipModuleAPI_QtSerialPort_QtCore->em_types[142]->u.td_wrapper_type

#define sipType_QMessageLogger              sipModuleAPI_QtSerialPort_QtCore->em_types[143]
#define sipClass_QMessageLogger             sipModuleAPI_QtSerialPort_QtCore->em_types[143]->u.td_wrapper_type

#define sipType_QMargins              sipModuleAPI_QtSerialPort_QtCore->em_types[139]
#define sipClass_QMargins             sipModuleAPI_QtSerialPort_QtCore->em_types[139]->u.td_wrapper_type

#define sipType_QMarginsF              sipModuleAPI_QtSerialPort_QtCore->em_types[140]
#define sipClass_QMarginsF             sipModuleAPI_QtSerialPort_QtCore->em_types[140]->u.td_wrapper_type

#define sipType_QMessageAuthenticationCode              sipModuleAPI_QtSerialPort_QtCore->em_types[141]
#define sipClass_QMessageAuthenticationCode             sipModuleAPI_QtSerialPort_QtCore->em_types[141]->u.td_wrapper_type

#define sipType_QMetaMethod              sipModuleAPI_QtSerialPort_QtCore->em_types[146]
#define sipClass_QMetaMethod             sipModuleAPI_QtSerialPort_QtCore->em_types[146]->u.td_wrapper_type

#define sipType_QMetaMethod_MethodType              sipModuleAPI_QtSerialPort_QtCore->em_types[148]
#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_QtSerialPort_QtCore->em_types[148]->u.td_py_type
#define sipType_QMetaMethod_Access              sipModuleAPI_QtSerialPort_QtCore->em_types[147]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_QtSerialPort_QtCore->em_types[147]->u.td_py_type

#define sipType_QMetaEnum              sipModuleAPI_QtSerialPort_QtCore->em_types[145]
#define sipClass_QMetaEnum             sipModuleAPI_QtSerialPort_QtCore->em_types[145]->u.td_wrapper_type

#define sipType_QMetaProperty              sipModuleAPI_QtSerialPort_QtCore->em_types[150]
#define sipClass_QMetaProperty             sipModuleAPI_QtSerialPort_QtCore->em_types[150]->u.td_wrapper_type

#define sipType_QMetaClassInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[144]
#define sipClass_QMetaClassInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[144]->u.td_wrapper_type

#define sipType_QMetaType              sipModuleAPI_QtSerialPort_QtCore->em_types[151]
#define sipClass_QMetaType             sipModuleAPI_QtSerialPort_QtCore->em_types[151]->u.td_wrapper_type

#define sipType_QMetaType_TypeFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[153]
#define sipEnum_QMetaType_TypeFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[153]->u.td_py_type
#define sipType_QMetaType_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[152]
#define sipEnum_QMetaType_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[152]->u.td_py_type

#define sipType_QMetaType_TypeFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[154]
#define sipClass_QMetaType_TypeFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[154]->u.td_wrapper_type

#define sipType_QMimeData              sipModuleAPI_QtSerialPort_QtCore->em_types[155]
#define sipClass_QMimeData             sipModuleAPI_QtSerialPort_QtCore->em_types[155]->u.td_wrapper_type

#define sipType_QMimeDatabase              sipModuleAPI_QtSerialPort_QtCore->em_types[156]
#define sipClass_QMimeDatabase             sipModuleAPI_QtSerialPort_QtCore->em_types[156]->u.td_wrapper_type

#define sipType_QMimeDatabase_MatchMode              sipModuleAPI_QtSerialPort_QtCore->em_types[157]
#define sipEnum_QMimeDatabase_MatchMode              sipModuleAPI_QtSerialPort_QtCore->em_types[157]->u.td_py_type

#define sipType_QMimeType              sipModuleAPI_QtSerialPort_QtCore->em_types[158]
#define sipClass_QMimeType             sipModuleAPI_QtSerialPort_QtCore->em_types[158]->u.td_wrapper_type

#define sipType_QMutexLocker              sipModuleAPI_QtSerialPort_QtCore->em_types[162]
#define sipClass_QMutexLocker             sipModuleAPI_QtSerialPort_QtCore->em_types[162]->u.td_wrapper_type

#define sipType_QMutex              sipModuleAPI_QtSerialPort_QtCore->em_types[160]
#define sipClass_QMutex             sipModuleAPI_QtSerialPort_QtCore->em_types[160]->u.td_wrapper_type

#define sipType_QMutex_RecursionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[161]
#define sipEnum_QMutex_RecursionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[161]->u.td_py_type

#define sipType_QSignalBlocker              sipModuleAPI_QtSerialPort_QtCore->em_types[210]
#define sipClass_QSignalBlocker             sipModuleAPI_QtSerialPort_QtCore->em_types[210]->u.td_wrapper_type

#define sipType_QObjectCleanupHandler              sipModuleAPI_QtSerialPort_QtCore->em_types[164]
#define sipClass_QObjectCleanupHandler             sipModuleAPI_QtSerialPort_QtCore->em_types[164]->u.td_wrapper_type

#define sipType_QMetaObject              sipModuleAPI_QtSerialPort_QtCore->em_types[149]
#define sipClass_QMetaObject             sipModuleAPI_QtSerialPort_QtCore->em_types[149]->u.td_wrapper_type

#define sipType_QGenericArgument              sipModuleAPI_QtSerialPort_QtCore->em_types[73]
#define sipClass_QGenericArgument             sipModuleAPI_QtSerialPort_QtCore->em_types[73]->u.td_wrapper_type

#define sipType_QGenericReturnArgument              sipModuleAPI_QtSerialPort_QtCore->em_types[74]
#define sipClass_QGenericReturnArgument             sipModuleAPI_QtSerialPort_QtCore->em_types[74]->u.td_wrapper_type

#define sipType_QParallelAnimationGroup              sipModuleAPI_QtSerialPort_QtCore->em_types[166]
#define sipClass_QParallelAnimationGroup             sipModuleAPI_QtSerialPort_QtCore->em_types[166]->u.td_wrapper_type

#define sipType_QPauseAnimation              sipModuleAPI_QtSerialPort_QtCore->em_types[167]
#define sipClass_QPauseAnimation             sipModuleAPI_QtSerialPort_QtCore->em_types[167]->u.td_wrapper_type

#define sipType_QVariantAnimation              sipModuleAPI_QtSerialPort_QtCore->em_types[289]
#define sipClass_QVariantAnimation             sipModuleAPI_QtSerialPort_QtCore->em_types[289]->u.td_wrapper_type

#define sipType_QPropertyAnimation              sipModuleAPI_QtSerialPort_QtCore->em_types[180]
#define sipClass_QPropertyAnimation             sipModuleAPI_QtSerialPort_QtCore->em_types[180]->u.td_wrapper_type

#define sipType_QPluginLoader              sipModuleAPI_QtSerialPort_QtCore->em_types[169]
#define sipClass_QPluginLoader             sipModuleAPI_QtSerialPort_QtCore->em_types[169]->u.td_wrapper_type

#define sipType_QPoint              sipModuleAPI_QtSerialPort_QtCore->em_types[170]
#define sipClass_QPoint             sipModuleAPI_QtSerialPort_QtCore->em_types[170]->u.td_wrapper_type

#define sipType_QPointF              sipModuleAPI_QtSerialPort_QtCore->em_types[171]
#define sipClass_QPointF             sipModuleAPI_QtSerialPort_QtCore->em_types[171]->u.td_wrapper_type

#define sipType_QProcess              sipModuleAPI_QtSerialPort_QtCore->em_types[172]
#define sipClass_QProcess             sipModuleAPI_QtSerialPort_QtCore->em_types[172]->u.td_wrapper_type

#define sipType_QProcess_InputChannelMode              sipModuleAPI_QtSerialPort_QtCore->em_types[174]
#define sipEnum_QProcess_InputChannelMode              sipModuleAPI_QtSerialPort_QtCore->em_types[174]->u.td_py_type
#define sipType_QProcess_ProcessChannelMode              sipModuleAPI_QtSerialPort_QtCore->em_types[176]
#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_QtSerialPort_QtCore->em_types[176]->u.td_py_type
#define sipType_QProcess_ProcessChannel              sipModuleAPI_QtSerialPort_QtCore->em_types[175]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_QtSerialPort_QtCore->em_types[175]->u.td_py_type
#define sipType_QProcess_ProcessState              sipModuleAPI_QtSerialPort_QtCore->em_types[178]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_QtSerialPort_QtCore->em_types[178]->u.td_py_type
#define sipType_QProcess_ProcessError              sipModuleAPI_QtSerialPort_QtCore->em_types[177]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_QtSerialPort_QtCore->em_types[177]->u.td_py_type
#define sipType_QProcess_ExitStatus              sipModuleAPI_QtSerialPort_QtCore->em_types[173]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_QtSerialPort_QtCore->em_types[173]->u.td_py_type

#define sipType_QProcessEnvironment              sipModuleAPI_QtSerialPort_QtCore->em_types[179]
#define sipClass_QProcessEnvironment             sipModuleAPI_QtSerialPort_QtCore->em_types[179]->u.td_wrapper_type

#define sipType_QReadWriteLock              sipModuleAPI_QtSerialPort_QtCore->em_types[182]
#define sipClass_QReadWriteLock             sipModuleAPI_QtSerialPort_QtCore->em_types[182]->u.td_wrapper_type

#define sipType_QReadWriteLock_RecursionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[183]
#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_QtSerialPort_QtCore->em_types[183]->u.td_py_type

#define sipType_QReadLocker              sipModuleAPI_QtSerialPort_QtCore->em_types[181]
#define sipClass_QReadLocker             sipModuleAPI_QtSerialPort_QtCore->em_types[181]->u.td_wrapper_type

#define sipType_QWriteLocker              sipModuleAPI_QtSerialPort_QtCore->em_types[299]
#define sipClass_QWriteLocker             sipModuleAPI_QtSerialPort_QtCore->em_types[299]->u.td_wrapper_type

#define sipType_QRect              sipModuleAPI_QtSerialPort_QtCore->em_types[184]
#define sipClass_QRect             sipModuleAPI_QtSerialPort_QtCore->em_types[184]->u.td_wrapper_type

#define sipType_QRectF              sipModuleAPI_QtSerialPort_QtCore->em_types[185]
#define sipClass_QRectF             sipModuleAPI_QtSerialPort_QtCore->em_types[185]->u.td_wrapper_type

#define sipType_QRegExp              sipModuleAPI_QtSerialPort_QtCore->em_types[186]
#define sipClass_QRegExp             sipModuleAPI_QtSerialPort_QtCore->em_types[186]->u.td_wrapper_type

#define sipType_QRegExp_CaretMode              sipModuleAPI_QtSerialPort_QtCore->em_types[187]
#define sipEnum_QRegExp_CaretMode              sipModuleAPI_QtSerialPort_QtCore->em_types[187]->u.td_py_type
#define sipType_QRegExp_PatternSyntax              sipModuleAPI_QtSerialPort_QtCore->em_types[188]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_QtSerialPort_QtCore->em_types[188]->u.td_py_type

#define sipType_QRegularExpression              sipModuleAPI_QtSerialPort_QtCore->em_types[189]
#define sipClass_QRegularExpression             sipModuleAPI_QtSerialPort_QtCore->em_types[189]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOption              sipModuleAPI_QtSerialPort_QtCore->em_types[190]
#define sipEnum_QRegularExpression_MatchOption              sipModuleAPI_QtSerialPort_QtCore->em_types[190]->u.td_py_type
#define sipType_QRegularExpression_MatchType              sipModuleAPI_QtSerialPort_QtCore->em_types[192]
#define sipEnum_QRegularExpression_MatchType              sipModuleAPI_QtSerialPort_QtCore->em_types[192]->u.td_py_type
#define sipType_QRegularExpression_PatternOption              sipModuleAPI_QtSerialPort_QtCore->em_types[193]
#define sipEnum_QRegularExpression_PatternOption              sipModuleAPI_QtSerialPort_QtCore->em_types[193]->u.td_py_type

#define sipType_QRegularExpression_PatternOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[194]
#define sipClass_QRegularExpression_PatternOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[194]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[191]
#define sipClass_QRegularExpression_MatchOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[191]->u.td_wrapper_type

#define sipType_QRegularExpressionMatch              sipModuleAPI_QtSerialPort_QtCore->em_types[195]
#define sipClass_QRegularExpressionMatch             sipModuleAPI_QtSerialPort_QtCore->em_types[195]->u.td_wrapper_type

#define sipType_QRegularExpressionMatchIterator              sipModuleAPI_QtSerialPort_QtCore->em_types[196]
#define sipClass_QRegularExpressionMatchIterator             sipModuleAPI_QtSerialPort_QtCore->em_types[196]->u.td_wrapper_type

#define sipType_QResource              sipModuleAPI_QtSerialPort_QtCore->em_types[197]
#define sipClass_QResource             sipModuleAPI_QtSerialPort_QtCore->em_types[197]->u.td_wrapper_type

#define sipType_QRunnable              sipModuleAPI_QtSerialPort_QtCore->em_types[198]
#define sipClass_QRunnable             sipModuleAPI_QtSerialPort_QtCore->em_types[198]->u.td_wrapper_type

#define sipType_QSaveFile              sipModuleAPI_QtSerialPort_QtCore->em_types[199]
#define sipClass_QSaveFile             sipModuleAPI_QtSerialPort_QtCore->em_types[199]->u.td_wrapper_type

#define sipType_QSemaphore              sipModuleAPI_QtSerialPort_QtCore->em_types[200]
#define sipClass_QSemaphore             sipModuleAPI_QtSerialPort_QtCore->em_types[200]->u.td_wrapper_type

#define sipType_QSequentialAnimationGroup              sipModuleAPI_QtSerialPort_QtCore->em_types[201]
#define sipClass_QSequentialAnimationGroup             sipModuleAPI_QtSerialPort_QtCore->em_types[201]->u.td_wrapper_type

#define sipType_QSettings              sipModuleAPI_QtSerialPort_QtCore->em_types[203]
#define sipClass_QSettings             sipModuleAPI_QtSerialPort_QtCore->em_types[203]->u.td_wrapper_type

#define sipType_QSettings_Scope              sipModuleAPI_QtSerialPort_QtCore->em_types[205]
#define sipEnum_QSettings_Scope              sipModuleAPI_QtSerialPort_QtCore->em_types[205]->u.td_py_type
#define sipType_QSettings_Format              sipModuleAPI_QtSerialPort_QtCore->em_types[204]
#define sipEnum_QSettings_Format              sipModuleAPI_QtSerialPort_QtCore->em_types[204]->u.td_py_type
#define sipType_QSettings_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[206]
#define sipEnum_QSettings_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[206]->u.td_py_type

#define sipType_QSharedMemory              sipModuleAPI_QtSerialPort_QtCore->em_types[207]
#define sipClass_QSharedMemory             sipModuleAPI_QtSerialPort_QtCore->em_types[207]->u.td_wrapper_type

#define sipType_QSharedMemory_SharedMemoryError              sipModuleAPI_QtSerialPort_QtCore->em_types[209]
#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_QtSerialPort_QtCore->em_types[209]->u.td_py_type
#define sipType_QSharedMemory_AccessMode              sipModuleAPI_QtSerialPort_QtCore->em_types[208]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_QtSerialPort_QtCore->em_types[208]->u.td_py_type

#define sipType_QSignalMapper              sipModuleAPI_QtSerialPort_QtCore->em_types[211]
#define sipClass_QSignalMapper             sipModuleAPI_QtSerialPort_QtCore->em_types[211]->u.td_wrapper_type

#define sipType_QSignalTransition              sipModuleAPI_QtSerialPort_QtCore->em_types[212]
#define sipClass_QSignalTransition             sipModuleAPI_QtSerialPort_QtCore->em_types[212]->u.td_wrapper_type

#define sipType_QSize              sipModuleAPI_QtSerialPort_QtCore->em_types[213]
#define sipClass_QSize             sipModuleAPI_QtSerialPort_QtCore->em_types[213]->u.td_wrapper_type

#define sipType_QSizeF              sipModuleAPI_QtSerialPort_QtCore->em_types[214]
#define sipClass_QSizeF             sipModuleAPI_QtSerialPort_QtCore->em_types[214]->u.td_wrapper_type

#define sipType_QSocketNotifier              sipModuleAPI_QtSerialPort_QtCore->em_types[215]
#define sipClass_QSocketNotifier             sipModuleAPI_QtSerialPort_QtCore->em_types[215]->u.td_wrapper_type

#define sipType_QSocketNotifier_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[216]
#define sipEnum_QSocketNotifier_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[216]->u.td_py_type

#define sipType_QSortFilterProxyModel              sipModuleAPI_QtSerialPort_QtCore->em_types[217]
#define sipClass_QSortFilterProxyModel             sipModuleAPI_QtSerialPort_QtCore->em_types[217]->u.td_wrapper_type

#define sipType_QStandardPaths              sipModuleAPI_QtSerialPort_QtCore->em_types[218]
#define sipClass_QStandardPaths             sipModuleAPI_QtSerialPort_QtCore->em_types[218]->u.td_wrapper_type

#define sipType_QStandardPaths_LocateOption              sipModuleAPI_QtSerialPort_QtCore->em_types[219]
#define sipEnum_QStandardPaths_LocateOption              sipModuleAPI_QtSerialPort_QtCore->em_types[219]->u.td_py_type
#define sipType_QStandardPaths_StandardLocation              sipModuleAPI_QtSerialPort_QtCore->em_types[221]
#define sipEnum_QStandardPaths_StandardLocation              sipModuleAPI_QtSerialPort_QtCore->em_types[221]->u.td_py_type

#define sipType_QStandardPaths_LocateOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[220]
#define sipClass_QStandardPaths_LocateOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[220]->u.td_wrapper_type

#define sipType_QState              sipModuleAPI_QtSerialPort_QtCore->em_types[222]
#define sipClass_QState             sipModuleAPI_QtSerialPort_QtCore->em_types[222]->u.td_wrapper_type

#define sipType_QState_RestorePolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[224]
#define sipEnum_QState_RestorePolicy              sipModuleAPI_QtSerialPort_QtCore->em_types[224]->u.td_py_type
#define sipType_QState_ChildMode              sipModuleAPI_QtSerialPort_QtCore->em_types[223]
#define sipEnum_QState_ChildMode              sipModuleAPI_QtSerialPort_QtCore->em_types[223]->u.td_py_type

#define sipType_QStateMachine              sipModuleAPI_QtSerialPort_QtCore->em_types[225]
#define sipClass_QStateMachine             sipModuleAPI_QtSerialPort_QtCore->em_types[225]->u.td_wrapper_type

#define sipType_QStateMachine_Error              sipModuleAPI_QtSerialPort_QtCore->em_types[226]
#define sipEnum_QStateMachine_Error              sipModuleAPI_QtSerialPort_QtCore->em_types[226]->u.td_py_type
#define sipType_QStateMachine_EventPriority              sipModuleAPI_QtSerialPort_QtCore->em_types[227]
#define sipEnum_QStateMachine_EventPriority              sipModuleAPI_QtSerialPort_QtCore->em_types[227]->u.td_py_type

#define sipType_QStateMachine_SignalEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[228]
#define sipClass_QStateMachine_SignalEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[228]->u.td_wrapper_type

#define sipType_QStateMachine_WrappedEvent              sipModuleAPI_QtSerialPort_QtCore->em_types[229]
#define sipClass_QStateMachine_WrappedEvent             sipModuleAPI_QtSerialPort_QtCore->em_types[229]->u.td_wrapper_type

#define sipType_QStorageInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[230]
#define sipClass_QStorageInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[230]->u.td_wrapper_type

#define sipType_QStringListModel              sipModuleAPI_QtSerialPort_QtCore->em_types[233]
#define sipClass_QStringListModel             sipModuleAPI_QtSerialPort_QtCore->em_types[233]->u.td_wrapper_type

#define sipType_QSystemSemaphore              sipModuleAPI_QtSerialPort_QtCore->em_types[238]
#define sipClass_QSystemSemaphore             sipModuleAPI_QtSerialPort_QtCore->em_types[238]->u.td_wrapper_type

#define sipType_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtSerialPort_QtCore->em_types[240]
#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtSerialPort_QtCore->em_types[240]->u.td_py_type
#define sipType_QSystemSemaphore_AccessMode              sipModuleAPI_QtSerialPort_QtCore->em_types[239]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_QtSerialPort_QtCore->em_types[239]->u.td_py_type

#define sipType_QTemporaryDir              sipModuleAPI_QtSerialPort_QtCore->em_types[241]
#define sipClass_QTemporaryDir             sipModuleAPI_QtSerialPort_QtCore->em_types[241]->u.td_wrapper_type

#define sipType_QTemporaryFile              sipModuleAPI_QtSerialPort_QtCore->em_types[242]
#define sipClass_QTemporaryFile             sipModuleAPI_QtSerialPort_QtCore->em_types[242]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder              sipModuleAPI_QtSerialPort_QtCore->em_types[243]
#define sipClass_QTextBoundaryFinder             sipModuleAPI_QtSerialPort_QtCore->em_types[243]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtSerialPort_QtCore->em_types[246]
#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtSerialPort_QtCore->em_types[246]->u.td_py_type
#define sipType_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtSerialPort_QtCore->em_types[244]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtSerialPort_QtCore->em_types[244]->u.td_py_type

#define sipType_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_QtSerialPort_QtCore->em_types[245]
#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_QtSerialPort_QtCore->em_types[245]->u.td_wrapper_type

#define sipType_QTextCodec              sipModuleAPI_QtSerialPort_QtCore->em_types[247]
#define sipClass_QTextCodec             sipModuleAPI_QtSerialPort_QtCore->em_types[247]->u.td_wrapper_type

#define sipType_QTextCodec_ConversionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[248]
#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[248]->u.td_py_type

#define sipType_QTextCodec_ConversionFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[249]
#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[249]->u.td_wrapper_type

#define sipType_QTextCodec_ConverterState              sipModuleAPI_QtSerialPort_QtCore->em_types[250]
#define sipClass_QTextCodec_ConverterState             sipModuleAPI_QtSerialPort_QtCore->em_types[250]->u.td_wrapper_type

#define sipType_QTextEncoder              sipModuleAPI_QtSerialPort_QtCore->em_types[252]
#define sipClass_QTextEncoder             sipModuleAPI_QtSerialPort_QtCore->em_types[252]->u.td_wrapper_type

#define sipType_QTextDecoder              sipModuleAPI_QtSerialPort_QtCore->em_types[251]
#define sipClass_QTextDecoder             sipModuleAPI_QtSerialPort_QtCore->em_types[251]->u.td_wrapper_type

#define sipType_QTextStream              sipModuleAPI_QtSerialPort_QtCore->em_types[253]
#define sipClass_QTextStream             sipModuleAPI_QtSerialPort_QtCore->em_types[253]->u.td_wrapper_type

#define sipType_QTextStream_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[258]
#define sipEnum_QTextStream_Status              sipModuleAPI_QtSerialPort_QtCore->em_types[258]->u.td_py_type
#define sipType_QTextStream_NumberFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[255]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_QtSerialPort_QtCore->em_types[255]->u.td_py_type
#define sipType_QTextStream_FieldAlignment              sipModuleAPI_QtSerialPort_QtCore->em_types[254]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_QtSerialPort_QtCore->em_types[254]->u.td_py_type
#define sipType_QTextStream_RealNumberNotation              sipModuleAPI_QtSerialPort_QtCore->em_types[257]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_QtSerialPort_QtCore->em_types[257]->u.td_py_type

#define sipType_QTextStream_NumberFlags              sipModuleAPI_QtSerialPort_QtCore->em_types[256]
#define sipClass_QTextStream_NumberFlags             sipModuleAPI_QtSerialPort_QtCore->em_types[256]->u.td_wrapper_type

#define sipType_QTextStreamManipulator              sipModuleAPI_QtSerialPort_QtCore->em_types[259]
#define sipClass_QTextStreamManipulator             sipModuleAPI_QtSerialPort_QtCore->em_types[259]->u.td_wrapper_type

#define sipType_QThread              sipModuleAPI_QtSerialPort_QtCore->em_types[260]
#define sipClass_QThread             sipModuleAPI_QtSerialPort_QtCore->em_types[260]->u.td_wrapper_type

#define sipType_QThread_Priority              sipModuleAPI_QtSerialPort_QtCore->em_types[261]
#define sipEnum_QThread_Priority              sipModuleAPI_QtSerialPort_QtCore->em_types[261]->u.td_py_type

#define sipType_QThreadPool              sipModuleAPI_QtSerialPort_QtCore->em_types[262]
#define sipClass_QThreadPool             sipModuleAPI_QtSerialPort_QtCore->em_types[262]->u.td_wrapper_type

#define sipType_QTimeLine              sipModuleAPI_QtSerialPort_QtCore->em_types[264]
#define sipClass_QTimeLine             sipModuleAPI_QtSerialPort_QtCore->em_types[264]->u.td_wrapper_type

#define sipType_QTimeLine_State              sipModuleAPI_QtSerialPort_QtCore->em_types[267]
#define sipEnum_QTimeLine_State              sipModuleAPI_QtSerialPort_QtCore->em_types[267]->u.td_py_type
#define sipType_QTimeLine_Direction              sipModuleAPI_QtSerialPort_QtCore->em_types[266]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_QtSerialPort_QtCore->em_types[266]->u.td_py_type
#define sipType_QTimeLine_CurveShape              sipModuleAPI_QtSerialPort_QtCore->em_types[265]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_QtSerialPort_QtCore->em_types[265]->u.td_py_type

#define sipType_QTimer              sipModuleAPI_QtSerialPort_QtCore->em_types[272]
#define sipClass_QTimer             sipModuleAPI_QtSerialPort_QtCore->em_types[272]->u.td_wrapper_type

#define sipType_QTimeZone              sipModuleAPI_QtSerialPort_QtCore->em_types[268]
#define sipClass_QTimeZone             sipModuleAPI_QtSerialPort_QtCore->em_types[268]->u.td_wrapper_type

#define sipType_QTimeZone_NameType              sipModuleAPI_QtSerialPort_QtCore->em_types[269]
#define sipEnum_QTimeZone_NameType              sipModuleAPI_QtSerialPort_QtCore->em_types[269]->u.td_py_type
#define sipType_QTimeZone_TimeType              sipModuleAPI_QtSerialPort_QtCore->em_types[271]
#define sipEnum_QTimeZone_TimeType              sipModuleAPI_QtSerialPort_QtCore->em_types[271]->u.td_py_type

#define sipType_QTimeZone_OffsetData              sipModuleAPI_QtSerialPort_QtCore->em_types[270]
#define sipClass_QTimeZone_OffsetData             sipModuleAPI_QtSerialPort_QtCore->em_types[270]->u.td_wrapper_type

#define sipType_QTranslator              sipModuleAPI_QtSerialPort_QtCore->em_types[274]
#define sipClass_QTranslator             sipModuleAPI_QtSerialPort_QtCore->em_types[274]->u.td_wrapper_type

#define sipType_QUrl              sipModuleAPI_QtSerialPort_QtCore->em_types[275]
#define sipClass_QUrl             sipModuleAPI_QtSerialPort_QtCore->em_types[275]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOption              sipModuleAPI_QtSerialPort_QtCore->em_types[281]
#define sipEnum_QUrl_UserInputResolutionOption              sipModuleAPI_QtSerialPort_QtCore->em_types[281]->u.td_py_type
#define sipType_QUrl_ComponentFormattingOption              sipModuleAPI_QtSerialPort_QtCore->em_types[276]
#define sipEnum_QUrl_ComponentFormattingOption              sipModuleAPI_QtSerialPort_QtCore->em_types[276]->u.td_py_type
#define sipType_QUrl_UrlFormattingOption              sipModuleAPI_QtSerialPort_QtCore->em_types[280]
#define sipEnum_QUrl_UrlFormattingOption              sipModuleAPI_QtSerialPort_QtCore->em_types[280]->u.td_py_type
#define sipType_QUrl_ParsingMode              sipModuleAPI_QtSerialPort_QtCore->em_types[279]
#define sipEnum_QUrl_ParsingMode              sipModuleAPI_QtSerialPort_QtCore->em_types[279]->u.td_py_type

#define sipType_QUrl_FormattingOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[278]
#define sipClass_QUrl_FormattingOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[278]->u.td_wrapper_type

#define sipType_QUrl_ComponentFormattingOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[277]
#define sipClass_QUrl_ComponentFormattingOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[277]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOptions              sipModuleAPI_QtSerialPort_QtCore->em_types[282]
#define sipClass_QUrl_UserInputResolutionOptions             sipModuleAPI_QtSerialPort_QtCore->em_types[282]->u.td_wrapper_type

#define sipType_QUrlQuery              sipModuleAPI_QtSerialPort_QtCore->em_types[283]
#define sipClass_QUrlQuery             sipModuleAPI_QtSerialPort_QtCore->em_types[283]->u.td_wrapper_type

#define sipType_QUuid              sipModuleAPI_QtSerialPort_QtCore->em_types[284]
#define sipClass_QUuid             sipModuleAPI_QtSerialPort_QtCore->em_types[284]->u.td_wrapper_type

#define sipType_QUuid_Version              sipModuleAPI_QtSerialPort_QtCore->em_types[286]
#define sipEnum_QUuid_Version              sipModuleAPI_QtSerialPort_QtCore->em_types[286]->u.td_py_type
#define sipType_QUuid_Variant              sipModuleAPI_QtSerialPort_QtCore->em_types[285]
#define sipEnum_QUuid_Variant              sipModuleAPI_QtSerialPort_QtCore->em_types[285]->u.td_py_type

#define sipType_QVariant              sipModuleAPI_QtSerialPort_QtCore->em_types[287]
#define sipClass_QVariant             sipModuleAPI_QtSerialPort_QtCore->em_types[287]->u.td_wrapper_type

#define sipType_QVariant_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[288]
#define sipEnum_QVariant_Type              sipModuleAPI_QtSerialPort_QtCore->em_types[288]->u.td_py_type

#define sipType_QWaitCondition              sipModuleAPI_QtSerialPort_QtCore->em_types[297]
#define sipClass_QWaitCondition             sipModuleAPI_QtSerialPort_QtCore->em_types[297]->u.td_wrapper_type

#define sipType_QXmlStreamAttribute              sipModuleAPI_QtSerialPort_QtCore->em_types[300]
#define sipClass_QXmlStreamAttribute             sipModuleAPI_QtSerialPort_QtCore->em_types[300]->u.td_wrapper_type

#define sipType_QXmlStreamAttributes              sipModuleAPI_QtSerialPort_QtCore->em_types[301]
#define sipClass_QXmlStreamAttributes             sipModuleAPI_QtSerialPort_QtCore->em_types[301]->u.td_wrapper_type

#define sipType_QXmlStreamNamespaceDeclaration              sipModuleAPI_QtSerialPort_QtCore->em_types[304]
#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_QtSerialPort_QtCore->em_types[304]->u.td_wrapper_type

#define sipType_QXmlStreamNotationDeclaration              sipModuleAPI_QtSerialPort_QtCore->em_types[305]
#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_QtSerialPort_QtCore->em_types[305]->u.td_wrapper_type

#define sipType_QXmlStreamEntityDeclaration              sipModuleAPI_QtSerialPort_QtCore->em_types[302]
#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_QtSerialPort_QtCore->em_types[302]->u.td_wrapper_type

#define sipType_QXmlStreamEntityResolver              sipModuleAPI_QtSerialPort_QtCore->em_types[303]
#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_QtSerialPort_QtCore->em_types[303]->u.td_wrapper_type

#define sipType_QXmlStreamReader              sipModuleAPI_QtSerialPort_QtCore->em_types[306]
#define sipClass_QXmlStreamReader             sipModuleAPI_QtSerialPort_QtCore->em_types[306]->u.td_wrapper_type

#define sipType_QXmlStreamReader_Error              sipModuleAPI_QtSerialPort_QtCore->em_types[307]
#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_QtSerialPort_QtCore->em_types[307]->u.td_py_type
#define sipType_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtSerialPort_QtCore->em_types[308]
#define sipEnum_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtSerialPort_QtCore->em_types[308]->u.td_py_type
#define sipType_QXmlStreamReader_TokenType              sipModuleAPI_QtSerialPort_QtCore->em_types[309]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_QtSerialPort_QtCore->em_types[309]->u.td_py_type

#define sipType_QXmlStreamWriter              sipModuleAPI_QtSerialPort_QtCore->em_types[310]
#define sipClass_QXmlStreamWriter             sipModuleAPI_QtSerialPort_QtCore->em_types[310]->u.td_wrapper_type

#define sipType_QSysInfo              sipModuleAPI_QtSerialPort_QtCore->em_types[235]
#define sipClass_QSysInfo             sipModuleAPI_QtSerialPort_QtCore->em_types[235]->u.td_wrapper_type

#define sipType_QSysInfo_Endian              sipModuleAPI_QtSerialPort_QtCore->em_types[236]
#define sipEnum_QSysInfo_Endian              sipModuleAPI_QtSerialPort_QtCore->em_types[236]->u.td_py_type
#define sipType_QSysInfo_Sizes              sipModuleAPI_QtSerialPort_QtCore->em_types[237]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_QtSerialPort_QtCore->em_types[237]->u.td_py_type

#define sipType_QList_0600QPair_0100QString_0100QString      sipModuleAPI_QtSerialPort_QtCore->em_types[116]

#define sipType_QList_0100QStorageInfo      sipModuleAPI_QtSerialPort_QtCore->em_types[119]

#define sipType_QSet_0101QAbstractState      sipModuleAPI_QtSerialPort_QtCore->em_types[202]

#define sipType_QList_0101QAbstractTransition      sipModuleAPI_QtSerialPort_QtCore->em_types[108]

#define sipType_QList_0100QMimeType      sipModuleAPI_QtSerialPort_QtCore->em_types[113]

#define sipType_QList_0100QUrl      sipModuleAPI_QtSerialPort_QtCore->em_types[120]

#define sipType_QList_0100QLocale      sipModuleAPI_QtSerialPort_QtCore->em_types[112]

#define sipType_QVector_0100QPointF      sipModuleAPI_QtSerialPort_QtCore->em_types[291]

#define sipType_QList_0100QCommandLineOption      sipModuleAPI_QtSerialPort_QtCore->em_types[110]

#define sipType_QList_0101QAbstractAnimation      sipModuleAPI_QtSerialPort_QtCore->em_types[105]

#define sipType_QList_0101QAbstractState      sipModuleAPI_QtSerialPort_QtCore->em_types[107]

#define sipType_QHash_1800_0100QByteArray      sipModuleAPI_QtSerialPort_QtCore->em_types[76]

#define sipType_QList_0100QPersistentModelIndex      sipModuleAPI_QtSerialPort_QtCore->em_types[118]

#define sipType_QMap_1800_0100QVariant      sipModuleAPI_QtSerialPort_QtCore->em_types[138]

#define sipType_QList_0100QAbstractEventDispatcher_TimerInfo      sipModuleAPI_QtSerialPort_QtCore->em_types[106]

#define sipType_QList_0100QByteArray      sipModuleAPI_QtSerialPort_QtCore->em_types[109]

#define sipType_QVector_0100QXmlStreamNotationDeclaration      sipModuleAPI_QtSerialPort_QtCore->em_types[295]

#define sipType_QVector_0100QXmlStreamNamespaceDeclaration      sipModuleAPI_QtSerialPort_QtCore->em_types[294]

#define sipType_QVector_0100QXmlStreamEntityDeclaration      sipModuleAPI_QtSerialPort_QtCore->em_types[293]

#define sipType_QMap_0100QString_0100QVariant      sipModuleAPI_QtSerialPort_QtCore->em_types[137]

#define sipType_QList_0100QVariant      sipModuleAPI_QtSerialPort_QtCore->em_types[121]

#define sipType_QHash_0100QString_0100QVariant      sipModuleAPI_QtSerialPort_QtCore->em_types[75]

#define sipType_QVector_0600QPair_2400_0100QVariant      sipModuleAPI_QtSerialPort_QtCore->em_types[290]

#define sipType_QVector_0100QTimeZone_OffsetData      sipModuleAPI_QtSerialPort_QtCore->em_types[292]

#define sipType_QList_0101QObject      sipModuleAPI_QtSerialPort_QtCore->em_types[115]

#define sipType_QList_0100QModelIndex      sipModuleAPI_QtSerialPort_QtCore->em_types[114]

#define sipType_QList_0100QFileInfo      sipModuleAPI_QtSerialPort_QtCore->em_types[111]

#define sipType_QStringList      sipModuleAPI_QtSerialPort_QtCore->em_types[232]

#define sipType_QVector_1800      sipModuleAPI_QtSerialPort_QtCore->em_types[296]

#define sipType_QPair_1800_1800      sipModuleAPI_QtSerialPort_QtCore->em_types[165]

#define sipType_QList_0100Qt_DayOfWeek      sipModuleAPI_QtSerialPort_QtCore->em_types[122]

#define sipType_QList_2400      sipModuleAPI_QtSerialPort_QtCore->em_types[124]

#define sipType_QList_1800      sipModuleAPI_QtSerialPort_QtCore->em_types[123]

#define sipType_QList_0600QPair_1800_1800      sipModuleAPI_QtSerialPort_QtCore->em_types[117]

#define sipType_QJsonObject      sipModuleAPI_QtSerialPort_QtCore->em_types[92]

#define sipType_QJsonArray      sipModuleAPI_QtSerialPort_QtCore->em_types[88]

#define sipType_QStringRef      sipModuleAPI_QtSerialPort_QtCore->em_types[234]

#define sipType_QString      sipModuleAPI_QtSerialPort_QtCore->em_types[231]

#define sipType_QChar      sipModuleAPI_QtSerialPort_QtCore->em_types[23]

#define sipType_quintptr      sipModuleAPI_QtSerialPort_QtCore->em_types[417]

#define sipType_qintptr      sipModuleAPI_QtSerialPort_QtCore->em_types[416]
extern const sipExportedModuleDef *sipModuleAPI_QtSerialPort_QtCore;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSerialPort_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtSerialPort_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSerialPort_qt_metacast;

#endif
