/*
 * Internal module API header file.
 *
 * Generated by SIP 4.17
 *
 * Copyright (c) 2015 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtGuiAPI_H
#define _QtGuiAPI_H


#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacCocoaViewContainer
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11

#line 155 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qfontmetrics.sip"
// Used by QFontMetrics and QFontMetricsF.
int *qtgui_tabarray(PyObject *l);
#line 274 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qguiapplication.sip"
// Imports from QtCore.
typedef char **(*pyqt5_qtgui_from_argv_list_t)(PyObject *, int &);
extern pyqt5_qtgui_from_argv_list_t pyqt5_qtgui_from_argv_list;

typedef void (*pyqt5_qtgui_update_argv_list_t)(PyObject *, int, char **);
extern pyqt5_qtgui_update_argv_list_t pyqt5_qtgui_update_argv_list;
#line 216 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qimage.sip"
const char **QtGui_ListToArray(PyObject *lst);
void QtGui_DeleteArray(const char **arr);
#line 216 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qmatrix4x4.sip"
// Helpers for the matrix classes.
typedef float PYQT_FLOAT;

sipErrorState qtgui_matrixParseIndex(PyObject *tup, int nr_rows,
        int nr_columns, int *row, int *column);
sipErrorState qtgui_matrixDataFromSequence(PyObject *seq, int nr_values,
        PYQT_FLOAT *values);
sipErrorState qtgui_matrixDataAsList(int nr_values, const PYQT_FLOAT *values,
        PyObject **list);
#line 332 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qopenglshaderprogram.sip"
#include "qpyopengl_api.h"
#line 267 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtGui/qtextobject.sip"
PyObject *qtgui_wrap_ancestors(QObject *obj, const sipTypeDef *td);
#line 78 "/builddir/build/BUILD/PyQt-gpl-5.5.1/QtGui/sipAPIQtGui.h"

/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtGui[0]
#define sipNameNr_QTextCharFormat__FontPropertiesInheritanceBehavior 53
#define sipName_QTextCharFormat__FontPropertiesInheritanceBehavior &sipStrings_QtGui[53]
#define sipNameNr_104 104
#define sipName_104 &sipStrings_QtGui[104]
#define sipNameNr_QAbstractTextDocumentLayout__PaintContext 152
#define sipName_QAbstractTextDocumentLayout__PaintContext &sipStrings_QtGui[152]
#define sipNameNr_QPlatformSurfaceEvent__SurfaceEventType 194
#define sipName_QPlatformSurfaceEvent__SurfaceEventType &sipStrings_QtGui[194]
#define sipNameNr_QAbstractTextDocumentLayout__Selection 234
#define sipName_QAbstractTextDocumentLayout__Selection &sipStrings_QtGui[234]
#define sipNameNr_AddSpaceForLineAndParagraphSeparators 273
#define sipName_AddSpaceForLineAndParagraphSeparators &sipStrings_QtGui[273]
#define sipNameNr_QSurfaceFormat__OpenGLContextProfile 311
#define sipName_QSurfaceFormat__OpenGLContextProfile &sipStrings_QtGui[311]
#define sipNameNr_QOpenGLFramebufferObject__Attachment 348
#define sipName_QOpenGLFramebufferObject__Attachment &sipStrings_QtGui[348]
#define sipNameNr_385 385
#define sipName_385 &sipStrings_QtGui[385]
#define sipNameNr_421 421
#define sipName_421 &sipStrings_QtGui[421]
#define sipNameNr_RasterOp_NotSourceAndNotDestination 457
#define sipName_RasterOp_NotSourceAndNotDestination &sipStrings_QtGui[457]
#define sipNameNr_QOpenGLTexture__CoordinateDirection 493
#define sipName_QOpenGLTexture__CoordinateDirection &sipStrings_QtGui[493]
#define sipNameNr_QIconEngine__AvailableSizesArgument 529
#define sipName_QIconEngine__AvailableSizesArgument &sipStrings_QtGui[529]
#define sipNameNr_QTextCharFormat__VerticalAlignment 565
#define sipName_QTextCharFormat__VerticalAlignment &sipStrings_QtGui[565]
#define sipNameNr_RasterOp_NotSourceOrNotDestination 600
#define sipName_RasterOp_NotSourceOrNotDestination &sipStrings_QtGui[600]
#define sipNameNr_QOpenGLTexture__ComparisonFunction 635
#define sipName_QOpenGLTexture__ComparisonFunction &sipStrings_QtGui[635]
#define sipNameNr_QTouchEvent__TouchPoint__InfoFlags 670
#define sipName_QTouchEvent__TouchPoint__InfoFlags &sipStrings_QtGui[670]
#define sipNameNr_705 705
#define sipName_705 &sipStrings_QtGui[705]
#define sipNameNr_QTextBlockFormat__LineHeightTypes 739
#define sipName_QTextBlockFormat__LineHeightTypes &sipStrings_QtGui[739]
#define sipNameNr_FontPropertiesInheritanceBehavior 70
#define sipName_FontPropertiesInheritanceBehavior &sipStrings_QtGui[70]
#define sipNameNr_BlockTrailingHorizontalRulerWidth 773
#define sipName_BlockTrailingHorizontalRulerWidth &sipStrings_QtGui[773]
#define sipNameNr_QPaintEngine__PaintEngineFeatures 807
#define sipName_QPaintEngine__PaintEngineFeatures &sipStrings_QtGui[807]
#define sipNameNr_setDefaultInnerTessellationLevels 841
#define sipName_setDefaultInnerTessellationLevels &sipStrings_QtGui[841]
#define sipNameNr_setDefaultOuterTessellationLevels 875
#define sipName_setDefaultOuterTessellationLevels &sipStrings_QtGui[875]
#define sipNameNr_QTouchEvent__TouchPoint__InfoFlag 909
#define sipName_QTouchEvent__TouchPoint__InfoFlag &sipStrings_QtGui[909]
#define sipNameNr_QPixelFormat__TypeInterpretation 943
#define sipName_QPixelFormat__TypeInterpretation &sipStrings_QtGui[943]
#define sipNameNr_QPixelFormat__AlphaPremultiplied 976
#define sipName_QPixelFormat__AlphaPremultiplied &sipStrings_QtGui[976]
#define sipNameNr_QPaintEngine__PaintEngineFeature 1009
#define sipName_QPaintEngine__PaintEngineFeature &sipStrings_QtGui[1009]
#define sipNameNr_RasterOp_SourceAndNotDestination 1042
#define sipName_RasterOp_SourceAndNotDestination &sipStrings_QtGui[1042]
#define sipNameNr_RasterOp_NotSourceAndDestination 1075
#define sipName_RasterOp_NotSourceAndDestination &sipStrings_QtGui[1075]
#define sipNameNr_RasterOp_NotSourceXorDestination 1108
#define sipName_RasterOp_NotSourceXorDestination &sipStrings_QtGui[1108]
#define sipNameNr_QOpenGLVertexArrayObject__Binder 1141
#define sipName_QOpenGLVertexArrayObject__Binder &sipStrings_QtGui[1141]
#define sipNameNr_QOpenGLTexture__DepthStencilMode 1174
#define sipName_QOpenGLTexture__DepthStencilMode &sipStrings_QtGui[1174]
#define sipNameNr_QOpenGLTexture__SwizzleComponent 1207
#define sipName_QOpenGLTexture__SwizzleComponent &sipStrings_QtGui[1207]
#define sipNameNr_QOpenGLTexture__TextureUnitReset 1240
#define sipName_QOpenGLTexture__TextureUnitReset &sipStrings_QtGui[1240]
#define sipNameNr_QOpenGLTexture__MipMapGeneration 1273
#define sipName_QOpenGLTexture__MipMapGeneration &sipStrings_QtGui[1273]
#define sipNameNr_QOpenGLContext__OpenGLModuleType 1306
#define sipName_QOpenGLContext__OpenGLModuleType &sipStrings_QtGui[1306]
#define sipNameNr_QImageIOHandler__Transformations 1339
#define sipName_QImageIOHandler__Transformations &sipStrings_QtGui[1339]
#define sipNameNr_QInputMethodEvent__AttributeType 1372
#define sipName_QInputMethodEvent__AttributeType &sipStrings_QtGui[1372]
#define sipNameNr_1405 1405
#define sipName_1405 &sipStrings_QtGui[1405]
#define sipNameNr_QTextCharFormat__UnderlineStyle 1437
#define sipName_QTextCharFormat__UnderlineStyle &sipStrings_QtGui[1437]
#define sipNameNr_mouseDoubleClickIntervalChanged 1469
#define sipName_mouseDoubleClickIntervalChanged &sipStrings_QtGui[1469]
#define sipNameNr_QPaintDevice__PaintDeviceMetric 1501
#define sipName_QPaintDevice__PaintDeviceMetric &sipStrings_QtGui[1501]
#define sipNameNr_RasterOp_SourceOrNotDestination 1533
#define sipName_RasterOp_SourceOrNotDestination &sipStrings_QtGui[1533]
#define sipNameNr_RasterOp_NotSourceOrDestination 1565
#define sipName_RasterOp_NotSourceOrDestination &sipStrings_QtGui[1565]
#define sipNameNr_CompositionMode_DestinationAtop 1597
#define sipName_CompositionMode_DestinationAtop &sipStrings_QtGui[1597]
#define sipNameNr_CompositionMode_DestinationOver 1629
#define sipName_CompositionMode_DestinationOver &sipStrings_QtGui[1629]
#define sipNameNr_BindingTarget2DMultisampleArray 1661
#define sipName_BindingTarget2DMultisampleArray &sipStrings_QtGui[1661]
#define sipNameNr_QOpenGLDebugLogger__LoggingMode 1693
#define sipName_QOpenGLDebugLogger__LoggingMode &sipStrings_QtGui[1693]
#define sipNameNr_QOpenGLDebugMessage__Severities 1725
#define sipName_QOpenGLDebugMessage__Severities &sipStrings_QtGui[1725]
#define sipNameNr_QOpenGLBuffer__RangeAccessFlags 1757
#define sipName_QOpenGLBuffer__RangeAccessFlags &sipStrings_QtGui[1757]
#define sipNameNr_TransformationMirrorAndRotate90 1789
#define sipName_TransformationMirrorAndRotate90 &sipStrings_QtGui[1789]
#define sipNameNr_QImageIOHandler__Transformation 1821
#define sipName_QImageIOHandler__Transformation &sipStrings_QtGui[1821]
#define sipNameNr_1853 1853
#define sipName_1853 &sipStrings_QtGui[1853]
#define sipNameNr_reportContentOrientationChange 1884
#define sipName_reportContentOrientationChange &sipStrings_QtGui[1884]
#define sipNameNr_QTransform__TransformationType 1915
#define sipName_QTransform__TransformationType &sipStrings_QtGui[1915]
#define sipNameNr_ShowLineAndParagraphSeparators 1946
#define sipName_ShowLineAndParagraphSeparators &sipStrings_QtGui[1946]
#define sipNameNr_QTextDocument__MetaInformation 1977
#define sipName_QTextDocument__MetaInformation &sipStrings_QtGui[1977]
#define sipNameNr_QSurfaceFormat__RenderableType 2008
#define sipName_QSurfaceFormat__RenderableType &sipStrings_QtGui[2008]
#define sipNameNr_CompositionMode_DestinationOut 2039
#define sipName_CompositionMode_DestinationOut &sipStrings_QtGui[2039]
#define sipNameNr_QOpenGLTexture__ComparisonMode 2070
#define sipName_QOpenGLTexture__ComparisonMode &sipStrings_QtGui[2070]
#define sipNameNr_setAutoMipMapGenerationEnabled 2101
#define sipName_setAutoMipMapGenerationEnabled &sipStrings_QtGui[2101]
#define sipNameNr_SRGB8_PunchThrough_Alpha1_ETC2 2132
#define sipName_SRGB8_PunchThrough_Alpha1_ETC2 &sipStrings_QtGui[2132]
#define sipNameNr_defaultInnerTessellationLevels 2163
#define sipName_defaultInnerTessellationLevels &sipStrings_QtGui[2163]
#define sipNameNr_defaultOuterTessellationLevels 2194
#define sipName_defaultOuterTessellationLevels &sipStrings_QtGui[2194]
#define sipNameNr_QOpenGLFramebufferObjectFormat 2225
#define sipName_QOpenGLFramebufferObjectFormat &sipStrings_QtGui[2225]
#define sipNameNr_QOpenGLBuffer__RangeAccessFlag 2256
#define sipName_QOpenGLBuffer__RangeAccessFlag &sipStrings_QtGui[2256]
#define sipNameNr_QImageWriter__ImageWriterError 2287
#define sipName_QImageWriter__ImageWriterError &sipStrings_QtGui[2287]
#define sipNameNr_QImageReader__ImageReaderError 2318
#define sipName_QImageReader__ImageReaderError &sipStrings_QtGui[2318]
#define sipNameNr_2349 2349
#define sipName_2349 &sipStrings_QtGui[2349]
#define sipNameNr_QTextFrameFormat__BorderStyle 2379
#define sipName_QTextFrameFormat__BorderStyle &sipStrings_QtGui[2379]
#define sipNameNr_QSurfaceFormat__FormatOptions 2409
#define sipName_QSurfaceFormat__FormatOptions &sipStrings_QtGui[2409]
#define sipNameNr_QPaintEngine__PolygonDrawMode 2439
#define sipName_QPaintEngine__PolygonDrawMode &sipStrings_QtGui[2439]
#define sipNameNr_QPainter__PixmapFragmentHints 2469
#define sipName_QPainter__PixmapFragmentHints &sipStrings_QtGui[2469]
#define sipNameNr_RasterOp_SourceXorDestination 2499
#define sipName_RasterOp_SourceXorDestination &sipStrings_QtGui[2499]
#define sipNameNr_RasterOp_SourceAndDestination 2529
#define sipName_RasterOp_SourceAndDestination &sipStrings_QtGui[2529]
#define sipNameNr_CompositionMode_DestinationIn 2559
#define sipName_CompositionMode_DestinationIn &sipStrings_QtGui[2559]
#define sipNameNr_QOpenGLWindow__UpdateBehavior 2589
#define sipName_QOpenGLWindow__UpdateBehavior &sipStrings_QtGui[2589]
#define sipNameNr_isAutoMipMapGenerationEnabled 2619
#define sipName_isAutoMipMapGenerationEnabled &sipStrings_QtGui[2619]
#define sipNameNr_RGB8_PunchThrough_Alpha1_ETC2 2133
#define sipName_RGB8_PunchThrough_Alpha1_ETC2 &sipStrings_QtGui[2133]
#define sipNameNr_QOpenGLTexture__TextureFormat 2649
#define sipName_QOpenGLTexture__TextureFormat &sipStrings_QtGui[2649]
#define sipNameNr_QOpenGLTexture__BindingTarget 2679
#define sipName_QOpenGLTexture__BindingTarget &sipStrings_QtGui[2679]
#define sipNameNr_QOpenGLDebugMessage__Severity 2709
#define sipName_QOpenGLDebugMessage__Severity &sipStrings_QtGui[2709]
#define sipNameNr_TransformationFlipAndRotate90 2739
#define sipName_TransformationFlipAndRotate90 &sipStrings_QtGui[2739]
#define sipNameNr_Format_RGBA8888_Premultiplied 2769
#define sipName_Format_RGBA8888_Premultiplied &sipStrings_QtGui[2769]
#define sipNameNr_Format_ARGB4444_Premultiplied 2799
#define sipName_Format_ARGB4444_Premultiplied &sipStrings_QtGui[2799]
#define sipNameNr_Format_ARGB8555_Premultiplied 2829
#define sipName_Format_ARGB8555_Premultiplied &sipStrings_QtGui[2829]
#define sipNameNr_Format_ARGB6666_Premultiplied 2859
#define sipName_Format_ARGB6666_Premultiplied &sipStrings_QtGui[2859]
#define sipNameNr_Format_ARGB8565_Premultiplied 2889
#define sipName_Format_ARGB8565_Premultiplied &sipStrings_QtGui[2889]
#define sipNameNr_supportsThreadedFontRendering 2919
#define sipName_supportsThreadedFontRendering &sipStrings_QtGui[2919]
#define sipNameNr_QTouchDevice__CapabilityFlag 2949
#define sipName_QTouchDevice__CapabilityFlag &sipStrings_QtGui[2949]
#define sipNameNr_WrapAtWordBoundaryOrAnywhere 2978
#define sipName_WrapAtWordBoundaryOrAnywhere &sipStrings_QtGui[2978]
#define sipNameNr_QSurfaceFormat__SwapBehavior 3007
#define sipName_QSurfaceFormat__SwapBehavior &sipStrings_QtGui[3007]
#define sipNameNr_QSurfaceFormat__FormatOption 3036
#define sipName_QSurfaceFormat__FormatOption &sipStrings_QtGui[3036]
#define sipNameNr_keyboardInputIntervalChanged 3065
#define sipName_keyboardInputIntervalChanged &sipStrings_QtGui[3065]
#define sipNameNr_QStaticText__PerformanceHint 3094
#define sipName_QStaticText__PerformanceHint &sipStrings_QtGui[3094]
#define sipNameNr_QSessionManager__RestartHint 3123
#define sipName_QSessionManager__RestartHint &sipStrings_QtGui[3123]
#define sipNameNr_QPainter__PixmapFragmentHint 3152
#define sipName_QPainter__PixmapFragmentHint &sipStrings_QtGui[3152]
#define sipNameNr_RasterOp_SourceOrDestination 3181
#define sipName_RasterOp_SourceOrDestination &sipStrings_QtGui[3181]
#define sipNameNr_QOpenGLTexture__SwizzleValue 3210
#define sipName_QOpenGLTexture__SwizzleValue &sipStrings_QtGui[3210]
#define sipNameNr_QOpenGLShader__ShaderTypeBit 3239
#define sipName_QOpenGLShader__ShaderTypeBit &sipStrings_QtGui[3239]
#define sipNameNr_setLeastSignificantByteFirst 3268
#define sipName_setLeastSignificantByteFirst &sipStrings_QtGui[3268]
#define sipNameNr_QOpenGLDebugMessage__Sources 3297
#define sipName_QOpenGLDebugMessage__Sources &sipStrings_QtGui[3297]
#define sipNameNr_QKeySequence__SequenceFormat 3326
#define sipName_QKeySequence__SequenceFormat &sipStrings_QtGui[3326]
#define sipNameNr_QImageIOHandler__ImageOption 3355
#define sipName_QImageIOHandler__ImageOption &sipStrings_QtGui[3355]
#define sipNameNr_Format_A2RGB30_Premultiplied 3384
#define sipName_Format_A2RGB30_Premultiplied &sipStrings_QtGui[3384]
#define sipNameNr_Format_A2BGR30_Premultiplied 3413
#define sipName_Format_A2BGR30_Premultiplied &sipStrings_QtGui[3413]
#define sipNameNr_QFontDatabase__WritingSystem 3442
#define sipName_QFontDatabase__WritingSystem &sipStrings_QtGui[3442]
#define sipNameNr_QInputMethodEvent__Attribute 3471
#define sipName_QInputMethodEvent__Attribute &sipStrings_QtGui[3471]
#define sipNameNr_PyQt5_QtCore_pyqtWrapperType 3500
#define sipName_PyQt5_QtCore_pyqtWrapperType &sipStrings_QtGui[3500]
#define sipNameNr_QRegularExpressionValidator 3529
#define sipName_QRegularExpressionValidator &sipStrings_QtGui[3529]
#define sipNameNr_clearColumnWidthConstraints 3557
#define sipName_clearColumnWidthConstraints &sipStrings_QtGui[3557]
#define sipNameNr_FontPropertiesSpecifiedOnly 3585
#define sipName_FontPropertiesSpecifiedOnly &sipStrings_QtGui[3585]
#define sipNameNr_TableColumnWidthConstraints 3613
#define sipName_TableColumnWidthConstraints &sipStrings_QtGui[3613]
#define sipNameNr_QTextFormat__PageBreakFlags 3641
#define sipName_QTextFormat__PageBreakFlags &sipStrings_QtGui[3641]
#define sipNameNr_QTextDocument__ResourceType 3669
#define sipName_QTextDocument__ResourceType &sipStrings_QtGui[3669]
#define sipNameNr_QPixelFormat__AlphaPosition 3697
#define sipName_QPixelFormat__AlphaPosition &sipStrings_QtGui[3697]
#define sipNameNr_ObjectBoundingModeGradients 3725
#define sipName_ObjectBoundingModeGradients &sipStrings_QtGui[3725]
#define sipNameNr_CompositionMode_Destination 3753
#define sipName_CompositionMode_Destination &sipStrings_QtGui[3753]
#define sipNameNr_QPagedPaintDevice__PageSize 3781
#define sipName_QPagedPaintDevice__PageSize &sipStrings_QtGui[3781]
#define sipNameNr_ImmutableMultisampleStorage 3809
#define sipName_ImmutableMultisampleStorage &sipStrings_QtGui[3809]
#define sipNameNr_QOpenGLTexture__PixelFormat 3837
#define sipName_QOpenGLTexture__PixelFormat &sipStrings_QtGui[3837]
#define sipNameNr_QOpenGLTexture__CubeMapFace 3865
#define sipName_QOpenGLTexture__CubeMapFace &sipStrings_QtGui[3865]
#define sipNameNr_QOpenGLPixelTransferOptions 3893
#define sipName_QOpenGLPixelTransferOptions &sipStrings_QtGui[3893]
#define sipNameNr_hasOpenGLFramebufferObjects 3921
#define sipName_hasOpenGLFramebufferObjects &sipStrings_QtGui[3921]
#define sipNameNr_QOpenGLDebugMessage__Source 3949
#define sipName_QOpenGLDebugMessage__Source &sipStrings_QtGui[3949]
#define sipNameNr_QOpenGLBuffer__UsagePattern 3977
#define sipName_QOpenGLBuffer__UsagePattern &sipStrings_QtGui[3977]
#define sipNameNr_QKeySequence__SequenceMatch 4005
#define sipName_QKeySequence__SequenceMatch &sipStrings_QtGui[4005]
#define sipNameNr_Format_ARGB32_Premultiplied 4033
#define sipName_Format_ARGB32_Premultiplied &sipStrings_QtGui[4033]
#define sipNameNr_QIconEngine__IconEngineHook 4061
#define sipName_QIconEngine__IconEngineHook &sipStrings_QtGui[4061]
#define sipNameNr_QAbstractTextDocumentLayout 4089
#define sipName_QAbstractTextDocumentLayout &sipStrings_QtGui[4089]
#define sipNameNr_4117 4117
#define sipName_4117 &sipStrings_QtGui[4117]
#define sipNameNr_QDoubleValidator__Notation 4144
#define sipName_QDoubleValidator__Notation &sipStrings_QtGui[4144]
#define sipNameNr_QTouchDevice__Capabilities 4171
#define sipName_QTouchDevice__Capabilities &sipStrings_QtGui[4171]
#define sipNameNr_QTextFrameFormat__Position 4198
#define sipName_QTextFrameFormat__Position &sipStrings_QtGui[4198]
#define sipNameNr_QTextFormat__PageBreakFlag 4225
#define sipName_QTextFormat__PageBreakFlag &sipStrings_QtGui[4225]
#define sipNameNr_QTextCursor__SelectionType 4252
#define sipName_QTextCursor__SelectionType &sipStrings_QtGui[4252]
#define sipNameNr_QTextCursor__MoveOperation 4279
#define sipName_QTextCursor__MoveOperation &sipStrings_QtGui[4279]
#define sipNameNr_physicalDotsPerInchChanged 4306
#define sipName_physicalDotsPerInchChanged &sipStrings_QtGui[4306]
#define sipNameNr_QRawFont__AntialiasingType 4333
#define sipName_QRawFont__AntialiasingType &sipStrings_QtGui[4333]
#define sipNameNr_CompositionMode_Difference 4360
#define sipName_CompositionMode_Difference &sipStrings_QtGui[4360]
#define sipNameNr_CompositionMode_ColorDodge 4387
#define sipName_CompositionMode_ColorDodge &sipStrings_QtGui[4387]
#define sipNameNr_CompositionMode_SourceAtop 4414
#define sipName_CompositionMode_SourceAtop &sipStrings_QtGui[4414]
#define sipNameNr_CompositionMode_SourceOver 4441
#define sipName_CompositionMode_SourceOver &sipStrings_QtGui[4441]
#define sipNameNr_QPageSize__SizeMatchPolicy 4468
#define sipName_QPageSize__SizeMatchPolicy &sipStrings_QtGui[4468]
#define sipNameNr_QPagedPaintDevice__Margins 4495
#define sipName_QPagedPaintDevice__Margins &sipStrings_QtGui[4495]
#define sipNameNr_TextureComparisonOperators 4522
#define sipName_TextureComparisonOperators &sipStrings_QtGui[4522]
#define sipNameNr_BindingTarget2DMultisample 4549
#define sipName_BindingTarget2DMultisample &sipStrings_QtGui[4549]
#define sipNameNr_isLeastSignificantBitFirst 4576
#define sipName_isLeastSignificantBitFirst &sipStrings_QtGui[4576]
#define sipNameNr_QOpenGLDebugMessage__Types 4603
#define sipName_QOpenGLDebugMessage__Types &sipStrings_QtGui[4603]
#define sipNameNr_setDecideFormatFromContent 4630
#define sipName_setDecideFormatFromContent &sipStrings_QtGui[4630]
#define sipNameNr_addApplicationFontFromData 4657
#define sipName_addApplicationFontFromData &sipStrings_QtGui[4657]
#define sipNameNr_QTabletEvent__TabletDevice 4684
#define sipName_QTabletEvent__TabletDevice &sipStrings_QtGui[4684]
#define sipNameNr_contentOrientationChanged 4711
#define sipName_contentOrientationChanged &sipStrings_QtGui[4711]
#define sipNameNr_QTextLine__CursorPosition 4737
#define sipName_QTextLine__CursorPosition &sipStrings_QtGui[4737]
#define sipNameNr_setColumnWidthConstraints 4763
#define sipName_setColumnWidthConstraints &sipStrings_QtGui[4763]
#define sipNameNr_setDefaultCursorMoveStyle 4789
#define sipName_setDefaultCursorMoveStyle &sipStrings_QtGui[4789]
#define sipNameNr_mousePressAndHoldInterval 4815
#define sipName_mousePressAndHoldInterval &sipStrings_QtGui[4815]
#define sipNameNr_setHorizontalHeaderLabels 4841
#define sipName_setHorizontalHeaderLabels &sipStrings_QtGui[4841]
#define sipNameNr_primaryOrientationChanged 4867
#define sipName_primaryOrientationChanged &sipStrings_QtGui[4867]
#define sipNameNr_logicalDotsPerInchChanged 4893
#define sipName_logicalDotsPerInchChanged &sipStrings_QtGui[4893]
#define sipNameNr_QPainterPath__ElementType 4919
#define sipName_QPainterPath__ElementType &sipStrings_QtGui[4919]
#define sipNameNr_RasterOp_ClearDestination 4945
#define sipName_RasterOp_ClearDestination &sipStrings_QtGui[4945]
#define sipNameNr_CompositionMode_Exclusion 4971
#define sipName_CompositionMode_Exclusion &sipStrings_QtGui[4971]
#define sipNameNr_CompositionMode_SoftLight 4997
#define sipName_CompositionMode_SoftLight &sipStrings_QtGui[4997]
#define sipNameNr_CompositionMode_HardLight 5023
#define sipName_CompositionMode_HardLight &sipStrings_QtGui[5023]
#define sipNameNr_CompositionMode_ColorBurn 5049
#define sipName_CompositionMode_ColorBurn &sipStrings_QtGui[5049]
#define sipNameNr_CompositionMode_SourceOut 5075
#define sipName_CompositionMode_SourceOut &sipStrings_QtGui[5075]
#define sipNameNr_QPainter__CompositionMode 5101
#define sipName_QPainter__CompositionMode &sipStrings_QtGui[5101]
#define sipNameNr_Float32_D32_UInt32_S8_X24 5127
#define sipName_Float32_D32_UInt32_S8_X24 &sipStrings_QtGui[5127]
#define sipNameNr_QOpenGLTexture__PixelType 5153
#define sipName_QOpenGLTexture__PixelType &sipStrings_QtGui[5153]
#define sipNameNr_BindingTargetCubeMapArray 5179
#define sipName_BindingTargetCubeMapArray &sipStrings_QtGui[5179]
#define sipNameNr_maxGeometryOutputVertices 5205
#define sipName_maxGeometryOutputVertices &sipStrings_QtGui[5205]
#define sipNameNr_QOpenGLShader__ShaderType 5231
#define sipName_QOpenGLShader__ShaderType &sipStrings_QtGui[5231]
#define sipNameNr_QOpenGLDebugMessage__Type 5257
#define sipName_QOpenGLDebugMessage__Type &sipStrings_QtGui[5257]
#define sipNameNr_QKeySequence__StandardKey 5283
#define sipName_QKeySequence__StandardKey &sipStrings_QtGui[5283]
#define sipNameNr_setApplicationDisplayName 5309
#define sipName_setApplicationDisplayName &sipStrings_QtGui[5309]
#define sipNameNr_setQuitOnLastWindowClosed 5335
#define sipName_setQuitOnLastWindowClosed &sipStrings_QtGui[5335]
#define sipNameNr_QFontDatabase__SystemFont 5361
#define sipName_QFontDatabase__SystemFont &sipStrings_QtGui[5361]
#define sipNameNr_removeAllApplicationFonts 5387
#define sipName_removeAllApplicationFonts &sipStrings_QtGui[5387]
#define sipNameNr_SurfaceAboutToBeDestroyed 5413
#define sipName_SurfaceAboutToBeDestroyed &sipStrings_QtGui[5413]
#define sipNameNr_QScrollEvent__ScrollState 5439
#define sipName_QScrollEvent__ScrollState &sipStrings_QtGui[5439]
#define sipNameNr_QContextMenuEvent__Reason 5465
#define sipName_QContextMenuEvent__Reason &sipStrings_QtGui[5465]
#define sipNameNr_QTabletEvent__PointerType 5491
#define sipName_QTabletEvent__PointerType &sipStrings_QtGui[5491]
#define sipNameNr_QGradient__CoordinateMode 5517
#define sipName_QGradient__CoordinateMode &sipStrings_QtGui[5517]
#define sipNameNr_QTouchDevice__DeviceType 5543
#define sipName_QTouchDevice__DeviceType &sipStrings_QtGui[5543]
#define sipNameNr_QTextLayout__FormatRange 5568
#define sipName_QTextLayout__FormatRange &sipStrings_QtGui[5568]
#define sipNameNr_setFontLetterSpacingType 5593
#define sipName_setFontLetterSpacingType &sipStrings_QtGui[5593]
#define sipNameNr_setFontHintingPreference 5618
#define sipName_setFontHintingPreference &sipStrings_QtGui[5618]
#define sipNameNr_QTextFormat__ObjectTypes 5643
#define sipName_QTextFormat__ObjectTypes &sipStrings_QtGui[5643]
#define sipNameNr_supportedDocumentFormats 5668
#define sipName_supportedDocumentFormats &sipStrings_QtGui[5668]
#define sipNameNr_QTextDocument__FindFlags 5693
#define sipName_QTextDocument__FindFlags &sipStrings_QtGui[5693]
#define sipNameNr_startDragDistanceChanged 5718
#define sipName_startDragDistanceChanged &sipStrings_QtGui[5718]
#define sipNameNr_mouseDoubleClickInterval 5743
#define sipName_mouseDoubleClickInterval &sipStrings_QtGui[5743]
#define sipNameNr_setAccessibleDescription 5768
#define sipName_setAccessibleDescription &sipStrings_QtGui[5768]
#define sipNameNr_takeHorizontalHeaderItem 5793
#define sipName_takeHorizontalHeaderItem &sipStrings_QtGui[5793]
#define sipNameNr_availableGeometryChanged 5818
#define sipName_availableGeometryChanged &sipStrings_QtGui[5818]
#define sipNameNr_setOrientationUpdateMask 5843
#define sipName_setOrientationUpdateMask &sipStrings_QtGui[5843]
#define sipNameNr_availableVirtualGeometry 5868
#define sipName_availableVirtualGeometry &sipStrings_QtGui[5868]
#define sipNameNr_QPixelFormat__AlphaUsage 5893
#define sipName_QPixelFormat__AlphaUsage &sipStrings_QtGui[5893]
#define sipNameNr_QPixelFormat__ColorModel 5918
#define sipName_QPixelFormat__ColorModel &sipStrings_QtGui[5918]
#define sipNameNr_QPaintEngine__DirtyFlags 5943
#define sipName_QPaintEngine__DirtyFlags &sipStrings_QtGui[5943]
#define sipNameNr_QPainter__PixmapFragment 5968
#define sipName_QPainter__PixmapFragment &sipStrings_QtGui[5968]
#define sipNameNr_CompositionMode_Multiply 5993
#define sipName_CompositionMode_Multiply &sipStrings_QtGui[5993]
#define sipNameNr_CompositionMode_SourceIn 6018
#define sipName_CompositionMode_SourceIn &sipStrings_QtGui[6018]
#define sipNameNr_QPageLayout__Orientation 6043
#define sipName_QPageLayout__Orientation &sipStrings_QtGui[6043]
#define sipNameNr_QOpenGLVertexArrayObject 6068
#define sipName_QOpenGLVertexArrayObject &sipStrings_QtGui[6068]
#define sipNameNr_QAbstractOpenGLFunctions 6093
#define sipName_QAbstractOpenGLFunctions &sipStrings_QtGui[6093]
#define sipNameNr_QOpenGLTexture__WrapMode 6118
#define sipName_QOpenGLTexture__WrapMode &sipStrings_QtGui[6118]
#define sipNameNr_QOpenGLTexture__Features 6143
#define sipName_QOpenGLTexture__Features &sipStrings_QtGui[6143]
#define sipNameNr_Target2DMultisampleArray 1668
#define sipName_Target2DMultisampleArray &sipStrings_QtGui[1668]
#define sipNameNr_setInternalTextureFormat 6168
#define sipName_setInternalTextureFormat &sipStrings_QtGui[6168]
#define sipNameNr_hasOpenGLFramebufferBlit 6193
#define sipName_hasOpenGLFramebufferBlit &sipStrings_QtGui[6193]
#define sipNameNr_QOpenGLFramebufferObject 6218
#define sipName_QOpenGLFramebufferObject &sipStrings_QtGui[6218]
#define sipNameNr_createApplicationMessage 6243
#define sipName_createApplicationMessage &sipStrings_QtGui[6243]
#define sipNameNr_defaultFramebufferObject 6268
#define sipName_defaultFramebufferObject &sipStrings_QtGui[6268]
#define sipNameNr_InsertParagraphSeparator 6293
#define sipName_InsertParagraphSeparator &sipStrings_QtGui[6293]
#define sipNameNr_keyboardRectangleChanged 6318
#define sipName_keyboardRectangleChanged &sipStrings_QtGui[6318]
#define sipNameNr_setAutoDetectImageFormat 6343
#define sipName_setAutoDetectImageFormat &sipStrings_QtGui[6343]
#define sipNameNr_QGlyphRun__GlyphRunFlags 6368
#define sipName_QGlyphRun__GlyphRunFlags &sipStrings_QtGui[6368]
#define sipNameNr_QFont__HintingPreference 6393
#define sipName_QFont__HintingPreference &sipStrings_QtGui[6393]
#define sipNameNr_6418 6418
#define sipName_6418 &sipStrings_QtGui[6418]
#define sipNameNr_CursorBetweenCharacters 6442
#define sipName_CursorBetweenCharacters &sipStrings_QtGui[6442]
#define sipNameNr_QTextLayout__CursorMode 6466
#define sipName_QTextLayout__CursorMode &sipStrings_QtGui[6466]
#define sipNameNr_QTextFormat__FormatType 6490
#define sipName_QTextFormat__FormatType &sipStrings_QtGui[6490]
#define sipNameNr_QTextDocument__FindFlag 6514
#define sipName_QTextDocument__FindFlag &sipStrings_QtGui[6514]
#define sipNameNr_setKeepPositionOnInsert 6538
#define sipName_setKeepPositionOnInsert &sipStrings_QtGui[6538]
#define sipNameNr_setCurrentBlockUserData 6562
#define sipName_setCurrentBlockUserData &sipStrings_QtGui[6562]
#define sipNameNr_QStandardItem__ItemType 6586
#define sipName_QStandardItem__ItemType &sipStrings_QtGui[6586]
#define sipNameNr_setVerticalHeaderLabels 6610
#define sipName_setVerticalHeaderLabels &sipStrings_QtGui[6610]
#define sipNameNr_setHorizontalHeaderItem 6634
#define sipName_setHorizontalHeaderItem &sipStrings_QtGui[6634]
#define sipNameNr_supportedWritingSystems 6658
#define sipName_supportedWritingSystems &sipStrings_QtGui[6658]
#define sipNameNr_advancesForGlyphIndexes 6682
#define sipName_advancesForGlyphIndexes &sipStrings_QtGui[6682]
#define sipNameNr_QPixelFormat__ByteOrder 6706
#define sipName_QPixelFormat__ByteOrder &sipStrings_QtGui[6706]
#define sipNameNr_QPixelFormat__YUVLayout 6730
#define sipName_QPixelFormat__YUVLayout &sipStrings_QtGui[6730]
#define sipNameNr_QPaintEngine__DirtyFlag 6754
#define sipName_QPaintEngine__DirtyFlag &sipStrings_QtGui[6754]
#define sipNameNr_setViewTransformEnabled 6778
#define sipName_setViewTransformEnabled &sipStrings_QtGui[6778]
#define sipNameNr_RasterOp_NotDestination 6802
#define sipName_RasterOp_NotDestination &sipStrings_QtGui[6802]
#define sipNameNr_RasterOp_SetDestination 6826
#define sipName_RasterOp_SetDestination &sipStrings_QtGui[6826]
#define sipNameNr_CompositionMode_Lighten 6850
#define sipName_CompositionMode_Lighten &sipStrings_QtGui[6850]
#define sipNameNr_CompositionMode_Overlay 6874
#define sipName_CompositionMode_Overlay &sipStrings_QtGui[6874]
#define sipNameNr_HighQualityAntialiasing 6898
#define sipName_HighQualityAntialiasing &sipStrings_QtGui[6898]
#define sipNameNr_setFixedSamplePositions 6922
#define sipName_setFixedSamplePositions &sipStrings_QtGui[6922]
#define sipNameNr_setMaximumLevelOfDetail 6946
#define sipName_setMaximumLevelOfDetail &sipStrings_QtGui[6946]
#define sipNameNr_setMinimumLevelOfDetail 6970
#define sipName_setMinimumLevelOfDetail &sipStrings_QtGui[6970]
#define sipNameNr_QOpenGLTexture__Feature 6994
#define sipName_QOpenGLTexture__Feature &sipStrings_QtGui[6994]
#define sipNameNr_hasOpenGLShaderPrograms 7018
#define sipName_hasOpenGLShaderPrograms &sipStrings_QtGui[7018]
#define sipNameNr_addShaderFromSourceFile 7042
#define sipName_addShaderFromSourceFile &sipStrings_QtGui[7042]
#define sipNameNr_addShaderFromSourceCode 7066
#define sipName_addShaderFromSourceCode &sipStrings_QtGui[7066]
#define sipNameNr_createThirdPartyMessage 7090
#define sipName_createThirdPartyMessage &sipStrings_QtGui[7090]
#define sipNameNr_setProgressiveScanWrite 7114
#define sipName_setProgressiveScanWrite &sipStrings_QtGui[7114]
#define sipNameNr_decideFormatFromContent 7138
#define sipName_decideFormatFromContent &sipStrings_QtGui[7138]
#define sipNameNr_TransformationRotate270 7162
#define sipName_TransformationRotate270 &sipStrings_QtGui[7162]
#define sipNameNr_TransformationRotate180 7186
#define sipName_TransformationRotate180 &sipStrings_QtGui[7186]
#define sipNameNr_applicationStateChanged 7210
#define sipName_applicationStateChanged &sipStrings_QtGui[7210]
#define sipNameNr_setDesktopSettingsAware 7234
#define sipName_setDesktopSettingsAware &sipStrings_QtGui[7234]
#define sipNameNr_QGlyphRun__GlyphRunFlag 7258
#define sipName_QGlyphRun__GlyphRunFlag &sipStrings_QtGui[7258]
#define sipNameNr_applicationFontFamilies 7282
#define sipName_applicationFontFamilies &sipStrings_QtGui[7282]
#define sipNameNr_QTouchEvent__TouchPoint 7306
#define sipName_QTouchEvent__TouchPoint &sipStrings_QtGui[7306]
#define sipNameNr_QWindowStateChangeEvent 7330
#define sipName_QWindowStateChangeEvent &sipStrings_QtGui[7330]
#define sipNameNr_7354 7354
#define sipName_7354 &sipStrings_QtGui[7354]
#define sipNameNr_setKeyboardGrabEnabled 7377
#define sipName_setKeyboardGrabEnabled &sipStrings_QtGui[7377]
#define sipNameNr_previousCursorPosition 7400
#define sipName_previousCursorPosition &sipStrings_QtGui[7400]
#define sipNameNr_clearAdditionalFormats 7423
#define sipName_clearAdditionalFormats &sipStrings_QtGui[7423]
#define sipNameNr_columnWidthConstraints 7446
#define sipName_columnWidthConstraints &sipStrings_QtGui[7446]
#define sipNameNr_BorderStyle_DotDotDash 7469
#define sipName_BorderStyle_DotDotDash &sipStrings_QtGui[7469]
#define sipNameNr_QTextListFormat__Style 7492
#define sipName_QTextListFormat__Style &sipStrings_QtGui[7492]
#define sipNameNr_setTableCellColumnSpan 7515
#define sipName_setTableCellColumnSpan &sipStrings_QtGui[7515]
#define sipNameNr_TableCellBottomPadding 7538
#define sipName_TableCellBottomPadding &sipStrings_QtGui[7538]
#define sipNameNr_BlockNonBreakableLines 7561
#define sipName_BlockNonBreakableLines &sipStrings_QtGui[7561]
#define sipNameNr_PageBreak_AlwaysBefore 7584
#define sipName_PageBreak_AlwaysBefore &sipStrings_QtGui[7584]
#define sipNameNr_defaultCursorMoveStyle 7607
#define sipName_defaultCursorMoveStyle &sipStrings_QtGui[7607]
#define sipNameNr_QSurface__SurfaceClass 7630
#define sipName_QSurface__SurfaceClass &sipStrings_QtGui[7630]
#define sipNameNr_cursorFlashTimeChanged 7653
#define sipName_cursorFlashTimeChanged &sipStrings_QtGui[7653]
#define sipNameNr_setFocusOnTouchRelease 7676
#define sipName_setFocusOnTouchRelease &sipStrings_QtGui[7676]
#define sipNameNr_keyboardAutoRepeatRate 7699
#define sipName_keyboardAutoRepeatRate &sipStrings_QtGui[7699]
#define sipNameNr_takeVerticalHeaderItem 7722
#define sipName_takeVerticalHeaderItem &sipStrings_QtGui[7722]
#define sipNameNr_allowsErrorInteraction 7745
#define sipName_allowsErrorInteraction &sipStrings_QtGui[7745]
#define sipNameNr_virtualGeometryChanged 7768
#define sipName_virtualGeometryChanged &sipStrings_QtGui[7768]
#define sipNameNr_PaintOutsidePaintEvent 7791
#define sipName_PaintOutsidePaintEvent &sipStrings_QtGui[7791]
#define sipNameNr_QTextItem__RenderFlags 7814
#define sipName_QTextItem__RenderFlags &sipStrings_QtGui[7814]
#define sipNameNr_CompositionMode_Darken 7837
#define sipName_CompositionMode_Darken &sipStrings_QtGui[7837]
#define sipNameNr_CompositionMode_Screen 7860
#define sipName_CompositionMode_Screen &sipStrings_QtGui[7860]
#define sipNameNr_CompositionMode_Source 7883
#define sipName_CompositionMode_Source &sipStrings_QtGui[7883]
#define sipNameNr_isFixedSamplePositions 7906
#define sipName_isFixedSamplePositions &sipStrings_QtGui[7906]
#define sipNameNr_setMagnificationFilter 7929
#define sipName_setMagnificationFilter &sipStrings_QtGui[7929]
#define sipNameNr_QOpenGLTexture__Filter 7952
#define sipName_QOpenGLTexture__Filter &sipStrings_QtGui[7952]
#define sipNameNr_BindingTargetRectangle 7975
#define sipName_BindingTargetRectangle &sipStrings_QtGui[7975]
#define sipNameNr_QOpenGLTexture__Target 7998
#define sipName_QOpenGLTexture__Target &sipStrings_QtGui[7998]
#define sipNameNr_TessellationEvaluation 8021
#define sipName_TessellationEvaluation &sipStrings_QtGui[8021]
#define sipNameNr_DeprecatedBehaviorType 8044
#define sipName_DeprecatedBehaviorType &sipStrings_QtGui[8044]
#define sipNameNr_supportsThreadedOpenGL 8067
#define sipName_supportsThreadedOpenGL &sipStrings_QtGui[8067]
#define sipNameNr_cursorRectangleChanged 8090
#define sipName_cursorRectangleChanged &sipStrings_QtGui[8090]
#define sipNameNr_UnsupportedFormatError 8113
#define sipName_UnsupportedFormatError &sipStrings_QtGui[8113]
#define sipNameNr_TransformationRotate90 8136
#define sipName_TransformationRotate90 &sipStrings_QtGui[8136]
#define sipNameNr_AvailableSizesArgument 542
#define sipName_AvailableSizesArgument &sipStrings_QtGui[542]
#define sipNameNr_layoutDirectionChanged 8159
#define sipName_layoutDirectionChanged &sipStrings_QtGui[8159]
#define sipNameNr_applicationDisplayName 8182
#define sipName_applicationDisplayName &sipStrings_QtGui[8182]
#define sipNameNr_quitOnLastWindowClosed 8205
#define sipName_quitOnLastWindowClosed &sipStrings_QtGui[8205]
#define sipNameNr_queryKeyboardModifiers 8228
#define sipName_queryKeyboardModifiers &sipStrings_QtGui[8228]
#define sipNameNr_QWhatsThisClickedEvent 8251
#define sipName_QWhatsThisClickedEvent &sipStrings_QtGui[8251]
#define sipNameNr_QInputMethodQueryEvent 8274
#define sipName_QInputMethodQueryEvent &sipStrings_QtGui[8274]
#define sipNameNr_8297 8297
#define sipName_8297 &sipStrings_QtGui[8297]
#define sipNameNr_8319 8319
#define sipName_8319 &sipStrings_QtGui[8319]
#define sipNameNr_mouseDoubleClickEvent 8341
#define sipName_mouseDoubleClickEvent &sipStrings_QtGui[8341]
#define sipNameNr_QWindow__AncestorMode 8363
#define sipName_QWindow__AncestorMode &sipStrings_QtGui[8363]
#define sipNameNr_setMaximumTouchPoints 8385
#define sipName_setMaximumTouchPoints &sipStrings_QtGui[8385]
#define sipNameNr_IncludeTrailingSpaces 8407
#define sipName_IncludeTrailingSpaces &sipStrings_QtGui[8407]
#define sipNameNr_QTextOption__WrapMode 8429
#define sipName_QTextOption__WrapMode &sipStrings_QtGui[8429]
#define sipNameNr_isValidCursorPosition 8451
#define sipName_isValidCursorPosition &sipStrings_QtGui[8451]
#define sipNameNr_fontLetterSpacingType 8473
#define sipName_fontLetterSpacingType &sipStrings_QtGui[8473]
#define sipNameNr_fontHintingPreference 8495
#define sipName_fontHintingPreference &sipStrings_QtGui[8495]
#define sipNameNr_setFontCapitalization 8517
#define sipName_setFontCapitalization &sipStrings_QtGui[8517]
#define sipNameNr_FontLetterSpacingType 5596
#define sipName_FontLetterSpacingType &sipStrings_QtGui[5596]
#define sipNameNr_FontHintingPreference 5621
#define sipName_FontHintingPreference &sipStrings_QtGui[5621]
#define sipNameNr_TableCellRightPadding 8539
#define sipName_TableCellRightPadding &sipStrings_QtGui[8539]
#define sipNameNr_TextVerticalAlignment 8561
#define sipName_TextVerticalAlignment &sipStrings_QtGui[8561]
#define sipNameNr_QTextFormat__Property 8583
#define sipName_QTextFormat__Property &sipStrings_QtGui[8583]
#define sipNameNr_PageBreak_AlwaysAfter 8605
#define sipName_PageBreak_AlwaysAfter &sipStrings_QtGui[8605]
#define sipNameNr_QTextDocumentFragment 8627
#define sipName_QTextDocumentFragment &sipStrings_QtGui[8627]
#define sipNameNr_QTextDocument__Stacks 8649
#define sipName_QTextDocument__Stacks &sipStrings_QtGui[8649]
#define sipNameNr_documentLayoutChanged 8671
#define sipName_documentLayoutChanged &sipStrings_QtGui[8671]
#define sipNameNr_findBlockByLineNumber 8693
#define sipName_findBlockByLineNumber &sipStrings_QtGui[8693]
#define sipNameNr_cursorPositionChanged 8715
#define sipName_cursorPositionChanged &sipStrings_QtGui[8715]
#define sipNameNr_joinPreviousEditBlock 8737
#define sipName_joinPreviousEditBlock &sipStrings_QtGui[8737]
#define sipNameNr_QTextCursor__MoveMode 8759
#define sipName_QTextCursor__MoveMode &sipStrings_QtGui[8759]
#define sipNameNr_DefaultRenderableType 8781
#define sipName_DefaultRenderableType &sipStrings_QtGui[8781]
#define sipNameNr_QSurface__SurfaceType 8803
#define sipName_QSurface__SurfaceType &sipStrings_QtGui[8803]
#define sipNameNr_singleClickActivation 8825
#define sipName_singleClickActivation &sipStrings_QtGui[8825]
#define sipNameNr_passwordMaskCharacter 8847
#define sipName_passwordMaskCharacter &sipStrings_QtGui[8847]
#define sipNameNr_keyboardInputInterval 8869
#define sipName_keyboardInputInterval &sipStrings_QtGui[8869]
#define sipNameNr_accessibleDescription 8891
#define sipName_accessibleDescription &sipStrings_QtGui[8891]
#define sipNameNr_setVerticalHeaderItem 8913
#define sipName_setVerticalHeaderItem &sipStrings_QtGui[8913]
#define sipNameNr_orientationUpdateMask 8935
#define sipName_orientationUpdateMask &sipStrings_QtGui[8935]
#define sipNameNr_QRawFont__LayoutFlags 8957
#define sipName_QRawFont__LayoutFlags &sipStrings_QtGui[8957]
#define sipNameNr_glyphIndexesForString 8979
#define sipName_glyphIndexesForString &sipStrings_QtGui[8979]
#define sipNameNr_qPixelFormatGrayscale 9001
#define sipName_qPixelFormatGrayscale &sipStrings_QtGui[9001]
#define sipNameNr_QPainterPath__Element 9023
#define sipName_QPainterPath__Element &sipStrings_QtGui[9023]
#define sipNameNr_QTextItem__RenderFlag 9045
#define sipName_QTextItem__RenderFlag &sipStrings_QtGui[9045]
#define sipNameNr_setWorldMatrixEnabled 9067
#define sipName_setWorldMatrixEnabled &sipStrings_QtGui[9067]
#define sipNameNr_CompositionMode_Clear 9089
#define sipName_CompositionMode_Clear &sipStrings_QtGui[9089]
#define sipNameNr_QPainter__RenderHints 9111
#define sipName_QPainter__RenderHints &sipStrings_QtGui[9111]
#define sipNameNr_Qt4CompatiblePainting 9133
#define sipName_Qt4CompatiblePainting &sipStrings_QtGui[9133]
#define sipNameNr_NonCosmeticDefaultPen 9155
#define sipName_NonCosmeticDefaultPen &sipStrings_QtGui[9155]
#define sipNameNr_SmoothPixmapTransform 9177
#define sipName_SmoothPixmapTransform &sipStrings_QtGui[9177]
#define sipNameNr_FuzzyOrientationMatch 9199
#define sipName_FuzzyOrientationMatch &sipStrings_QtGui[9199]
#define sipNameNr_QPageSize__PageSizeId 9221
#define sipName_QPageSize__PageSizeId &sipStrings_QtGui[9221]
#define sipNameNr_setComparisonFunction 9243
#define sipName_setComparisonFunction &sipStrings_QtGui[9243]
#define sipNameNr_setLevelOfDetailRange 9265
#define sipName_setLevelOfDetailRange &sipStrings_QtGui[9265]
#define sipNameNr_setMinificationFilter 9287
#define sipName_setMinificationFilter &sipStrings_QtGui[9287]
#define sipNameNr_SRGB8_Alpha8_ETC2_EAC 9309
#define sipName_SRGB8_Alpha8_ETC2_EAC &sipStrings_QtGui[9309]
#define sipNameNr_RGB_BP_UNSIGNED_FLOAT 9331
#define sipName_RGB_BP_UNSIGNED_FLOAT &sipStrings_QtGui[9331]
#define sipNameNr_disableAttributeArray 9353
#define sipName_disableAttributeArray &sipStrings_QtGui[9353]
#define sipNameNr_bindAttributeLocation 9375
#define sipName_bindAttributeLocation &sipStrings_QtGui[9375]
#define sipNameNr_internalTextureFormat 9397
#define sipName_internalTextureFormat &sipStrings_QtGui[9397]
#define sipNameNr_UndefinedBehaviorType 9419
#define sipName_UndefinedBehaviorType &sipStrings_QtGui[9419]
#define sipNameNr_QOpenGLVersionProfile 9441
#define sipName_QOpenGLVersionProfile &sipStrings_QtGui[9441]
#define sipNameNr_RangeInvalidateBuffer 9463
#define sipName_RangeInvalidateBuffer &sipStrings_QtGui[9463]
#define sipNameNr_QOpenGLBuffer__Access 9485
#define sipName_QOpenGLBuffer__Access &sipStrings_QtGui[9485]
#define sipNameNr_SelectStartOfDocument 9507
#define sipName_SelectStartOfDocument &sipStrings_QtGui[9507]
#define sipNameNr_MoveToStartOfDocument 9529
#define sipName_MoveToStartOfDocument &sipStrings_QtGui[9529]
#define sipNameNr_inputDirectionChanged 9551
#define sipName_inputDirectionChanged &sipStrings_QtGui[9551]
#define sipNameNr_setInputItemRectangle 9573
#define sipName_setInputItemRectangle &sipStrings_QtGui[9573]
#define sipNameNr_setInputItemTransform 9595
#define sipName_setInputItemTransform &sipStrings_QtGui[9595]
#define sipNameNr_autoDetectImageFormat 9617
#define sipName_autoDetectImageFormat &sipStrings_QtGui[9617]
#define sipNameNr_supportedImageFormats 9639
#define sipName_supportedImageFormats &sipStrings_QtGui[9639]
#define sipNameNr_restoreOverrideCursor 9661
#define sipName_restoreOverrideCursor &sipStrings_QtGui[9661]
#define sipNameNr_removeApplicationFont 9683
#define sipName_removeApplicationFont &sipStrings_QtGui[9683]
#define sipNameNr_PreferVerticalHinting 9705
#define sipName_PreferVerticalHinting &sipStrings_QtGui[9705]
#define sipNameNr_QFont__Capitalization 9727
#define sipName_QFont__Capitalization &sipStrings_QtGui[9727]
#define sipNameNr_QPlatformSurfaceEvent 9749
#define sipName_QPlatformSurfaceEvent &sipStrings_QtGui[9749]
#define sipNameNr_9771 9771
#define sipName_9771 &sipStrings_QtGui[9771]
#define sipNameNr_9792 9792
#define sipName_9792 &sipStrings_QtGui[9792]
#define sipNameNr_9813 9813
#define sipName_9813 &sipStrings_QtGui[9813]
#define sipNameNr_maximumHeightChanged 9834
#define sipName_maximumHeightChanged &sipStrings_QtGui[9834]
#define sipNameNr_minimumHeightChanged 9855
#define sipName_minimumHeightChanged &sipStrings_QtGui[9855]
#define sipNameNr_setRegularExpression 9876
#define sipName_setRegularExpression &sipStrings_QtGui[9876]
#define sipNameNr_tableCellFormatIndex 9897
#define sipName_tableCellFormatIndex &sipStrings_QtGui[9897]
#define sipNameNr_QTextOption__TabType 9918
#define sipName_QTextOption__TabType &sipStrings_QtGui[9918]
#define sipNameNr_QTextBlock__iterator 9939
#define sipName_QTextBlock__iterator &sipStrings_QtGui[9939]
#define sipNameNr_QTextFrame__iterator 9960
#define sipName_QTextFrame__iterator &sipStrings_QtGui[9960]
#define sipNameNr_setAdditionalFormats 9981
#define sipName_setAdditionalFormats &sipStrings_QtGui[9981]
#define sipNameNr_QTextTableCellFormat 10002
#define sipName_QTextTableCellFormat &sipStrings_QtGui[10002]
#define sipNameNr_setNonBreakableLines 10023
#define sipName_setNonBreakableLines &sipStrings_QtGui[10023]
#define sipNameNr_setFontStyleStrategy 10044
#define sipName_setFontStyleStrategy &sipStrings_QtGui[10044]
#define sipNameNr_setFontLetterSpacing 10065
#define sipName_setFontLetterSpacing &sipStrings_QtGui[10065]
#define sipNameNr_setVerticalAlignment 10086
#define sipName_setVerticalAlignment &sipStrings_QtGui[10086]
#define sipNameNr_lengthVectorProperty 10107
#define sipName_lengthVectorProperty &sipStrings_QtGui[10107]
#define sipNameNr_TableCellLeftPadding 10128
#define sipName_TableCellLeftPadding &sipStrings_QtGui[10128]
#define sipNameNr_setDefaultTextOption 10149
#define sipName_setDefaultTextOption &sipStrings_QtGui[10149]
#define sipNameNr_setMaximumBlockCount 10170
#define sipName_setMaximumBlockCount &sipStrings_QtGui[10170]
#define sipNameNr_setDefaultStyleSheet 10191
#define sipName_setDefaultStyleSheet &sipStrings_QtGui[10191]
#define sipNameNr_convertFromPlainText 10212
#define sipName_convertFromPlainText &sipStrings_QtGui[10212]
#define sipNameNr_keepPositionOnInsert 10233
#define sipName_keepPositionOnInsert &sipStrings_QtGui[10233]
#define sipNameNr_setVerticalMovementX 10254
#define sipName_setVerticalMovementX &sipStrings_QtGui[10254]
#define sipNameNr_mergeBlockCharFormat 10275
#define sipName_mergeBlockCharFormat &sipStrings_QtGui[10275]
#define sipNameNr_currentBlockUserData 10296
#define sipName_currentBlockUserData &sipStrings_QtGui[10296]
#define sipNameNr_setCurrentBlockState 10317
#define sipName_setCurrentBlockState &sipStrings_QtGui[10317]
#define sipNameNr_setStencilBufferSize 10338
#define sipName_setStencilBufferSize &sipStrings_QtGui[10338]
#define sipNameNr_CompatibilityProfile 10359
#define sipName_CompatibilityProfile &sipStrings_QtGui[10359]
#define sipNameNr_OpenGLContextProfile 327
#define sipName_OpenGLContextProfile &sipStrings_QtGui[327]
#define sipNameNr_startDragTimeChanged 10380
#define sipName_startDragTimeChanged &sipStrings_QtGui[10380]
#define sipNameNr_horizontalHeaderItem 10401
#define sipName_horizontalHeaderItem &sipStrings_QtGui[10401]
#define sipNameNr_availableVirtualSize 10422
#define sipName_availableVirtualSize &sipStrings_QtGui[10422]
#define sipNameNr_physicalDotsPerInchY 10443
#define sipName_physicalDotsPerInchY &sipStrings_QtGui[10443]
#define sipNameNr_physicalDotsPerInchX 10464
#define sipName_physicalDotsPerInchX &sipStrings_QtGui[10464]
#define sipNameNr_QRawFont__LayoutFlag 10485
#define sipName_QRawFont__LayoutFlag &sipStrings_QtGui[10485]
#define sipNameNr_SubPixelAntialiasing 10506
#define sipName_SubPixelAntialiasing &sipStrings_QtGui[10506]
#define sipNameNr_setCurrentColorGroup 10527
#define sipName_setCurrentColorGroup &sipStrings_QtGui[10527]
#define sipNameNr_QPalette__ColorGroup 10548
#define sipName_QPalette__ColorGroup &sipStrings_QtGui[10548]
#define sipNameNr_setElementPositionAt 10569
#define sipName_setElementPositionAt &sipStrings_QtGui[10569]
#define sipNameNr_DirtyCompositionMode 10590
#define sipName_DirtyCompositionMode &sipStrings_QtGui[10590]
#define sipNameNr_PerspectiveTransform 10611
#define sipName_PerspectiveTransform &sipStrings_QtGui[10611]
#define sipNameNr_viewTransformEnabled 10632
#define sipName_viewTransformEnabled &sipStrings_QtGui[10632]
#define sipNameNr_CompositionMode_Plus 10653
#define sipName_CompositionMode_Plus &sipStrings_QtGui[10653]
#define sipNameNr_QPainter__RenderHint 10674
#define sipName_QPainter__RenderHint &sipStrings_QtGui[10674]
#define sipNameNr_setLevelofDetailBias 10695
#define sipName_setLevelofDetailBias &sipStrings_QtGui[10695]
#define sipNameNr_maximumLevelOfDetail 10716
#define sipName_maximumLevelOfDetail &sipStrings_QtGui[10716]
#define sipNameNr_minimumLevelOfDetail 10737
#define sipName_minimumLevelOfDetail &sipStrings_QtGui[10737]
#define sipNameNr_setMaximumAnisotropy 10758
#define sipName_setMaximumAnisotropy &sipStrings_QtGui[10758]
#define sipNameNr_NearestMipMapNearest 10779
#define sipName_NearestMipMapNearest &sipStrings_QtGui[10779]
#define sipNameNr_AnisotropicFiltering 10800
#define sipName_AnisotropicFiltering &sipStrings_QtGui[10800]
#define sipNameNr_TextureCubeMapArrays 10821
#define sipName_TextureCubeMapArrays &sipStrings_QtGui[10821]
#define sipNameNr_LuminanceAlphaFormat 10842
#define sipName_LuminanceAlphaFormat &sipStrings_QtGui[10842]
#define sipNameNr_DontResetTextureUnit 10863
#define sipName_DontResetTextureUnit &sipStrings_QtGui[10863]
#define sipNameNr_BindingTargetCubeMap 10884
#define sipName_BindingTargetCubeMap &sipStrings_QtGui[10884]
#define sipNameNr_BindingTarget2DArray 10905
#define sipName_BindingTarget2DArray &sipStrings_QtGui[10905]
#define sipNameNr_BindingTarget1DArray 10926
#define sipName_BindingTarget1DArray &sipStrings_QtGui[10926]
#define sipNameNr_setUniformValueArray 10947
#define sipName_setUniformValueArray &sipStrings_QtGui[10947]
#define sipNameNr_enableAttributeArray 10968
#define sipName_enableAttributeArray &sipStrings_QtGui[10968]
#define sipNameNr_QOpenGLShaderProgram 10989
#define sipName_QOpenGLShaderProgram &sipStrings_QtGui[10989]
#define sipNameNr_CombinedDepthStencil 11010
#define sipName_CombinedDepthStencil &sipStrings_QtGui[11010]
#define sipNameNr_maximumMessageLength 11031
#define sipName_maximumMessageLength &sipStrings_QtGui[11031]
#define sipNameNr_NotificationSeverity 11052
#define sipName_NotificationSeverity &sipStrings_QtGui[11052]
#define sipNameNr_ShaderCompilerSource 11073
#define sipName_ShaderCompilerSource &sipStrings_QtGui[11073]
#define sipNameNr_QInputMethod__Action 11094
#define sipName_QInputMethod__Action &sipStrings_QtGui[11094]
#define sipNameNr_progressiveScanWrite 11115
#define sipName_progressiveScanWrite &sipStrings_QtGui[11115]
#define sipNameNr_TransformationMirror 11136
#define sipName_TransformationMirror &sipStrings_QtGui[11136]
#define sipNameNr_TransformedByDefault 11157
#define sipName_TransformedByDefault &sipStrings_QtGui[11157]
#define sipNameNr_ProgressiveScanWrite 7117
#define sipName_ProgressiveScanWrite &sipStrings_QtGui[7117]
#define sipNameNr_desktopSettingsAware 11178
#define sipName_desktopSettingsAware &sipStrings_QtGui[11178]
#define sipNameNr_changeOverrideCursor 11199
#define sipName_changeOverrideCursor &sipStrings_QtGui[11199]
#define sipNameNr_SmallestReadableFont 11220
#define sipName_SmallestReadableFont &sipStrings_QtGui[11220]
#define sipNameNr_setHintingPreference 11241
#define sipName_setHintingPreference &sipStrings_QtGui[11241]
#define sipNameNr_PreferDefaultHinting 11262
#define sipName_PreferDefaultHinting &sipStrings_QtGui[11262]
#define sipNameNr_QFont__StyleStrategy 11283
#define sipName_QFont__StyleStrategy &sipStrings_QtGui[11283]
#define sipNameNr_acceptProposedAction 11304
#define sipName_acceptProposedAction &sipStrings_QtGui[11304]
#define sipNameNr_QTextObjectInterface 11325
#define sipName_QTextObjectInterface &sipStrings_QtGui[11325]
#define sipNameNr_positionInlineObject 11346
#define sipName_positionInlineObject &sipStrings_QtGui[11346]
#define sipNameNr_supportedDragActions 11367
#define sipName_supportedDragActions &sipStrings_QtGui[11367]
#define sipNameNr_supportedDropActions 11388
#define sipName_supportedDropActions &sipStrings_QtGui[11388]
#define sipNameNr_11409 11409
#define sipName_11409 &sipStrings_QtGui[11409]
#define sipNameNr_AutomaticVisibility 11429
#define sipName_AutomaticVisibility &sipStrings_QtGui[11429]
#define sipNameNr_QWindow__Visibility 11449
#define sipName_QWindow__Visibility &sipStrings_QtGui[11449]
#define sipNameNr_maximumWidthChanged 11469
#define sipName_maximumWidthChanged &sipStrings_QtGui[11469]
#define sipNameNr_minimumWidthChanged 11489
#define sipName_minimumWidthChanged &sipStrings_QtGui[11489]
#define sipNameNr_setMouseGrabEnabled 11509
#define sipName_setMouseGrabEnabled &sipStrings_QtGui[11509]
#define sipNameNr_firstCursorPosition 11529
#define sipName_firstCursorPosition &sipStrings_QtGui[11529]
#define sipNameNr_rightCursorPosition 11549
#define sipName_rightCursorPosition &sipStrings_QtGui[11549]
#define sipNameNr_lineForTextPosition 11569
#define sipName_lineForTextPosition &sipStrings_QtGui[11569]
#define sipNameNr_preeditAreaPosition 11589
#define sipName_preeditAreaPosition &sipStrings_QtGui[11589]
#define sipNameNr_BorderStyle_DotDash 11609
#define sipName_BorderStyle_DotDash &sipStrings_QtGui[11609]
#define sipNameNr_SpellCheckUnderline 11629
#define sipName_SpellCheckUnderline &sipStrings_QtGui[11629]
#define sipNameNr_setTableCellRowSpan 11649
#define sipName_setTableCellRowSpan &sipStrings_QtGui[11649]
#define sipNameNr_tableCellColumnSpan 11669
#define sipName_tableCellColumnSpan &sipStrings_QtGui[11669]
#define sipNameNr_TableCellTopPadding 11689
#define sipName_TableCellTopPadding &sipStrings_QtGui[11689]
#define sipNameNr_TableHeaderRowCount 11709
#define sipName_TableHeaderRowCount &sipStrings_QtGui[11709]
#define sipNameNr_TableCellColumnSpan 7518
#define sipName_TableCellColumnSpan &sipStrings_QtGui[7518]
#define sipNameNr_QTextDocumentWriter 11729
#define sipName_QTextDocumentWriter &sipStrings_QtGui[11729]
#define sipNameNr_clearUndoRedoStacks 11749
#define sipName_clearUndoRedoStacks &sipStrings_QtGui[11749]
#define sipNameNr_modificationChanged 11769
#define sipName_modificationChanged &sipStrings_QtGui[11769]
#define sipNameNr_setUseDesignMetrics 11789
#define sipName_setUseDesignMetrics &sipStrings_QtGui[11789]
#define sipNameNr_FindCaseSensitively 11809
#define sipName_FindCaseSensitively &sipStrings_QtGui[11809]
#define sipNameNr_setVisualNavigation 11829
#define sipName_setVisualNavigation &sipStrings_QtGui[11829]
#define sipNameNr_hasComplexSelection 11849
#define sipName_hasComplexSelection &sipStrings_QtGui[11849]
#define sipNameNr_DefaultSwapBehavior 11869
#define sipName_DefaultSwapBehavior &sipStrings_QtGui[11869]
#define sipNameNr_DeprecatedFunctions 11889
#define sipName_DeprecatedFunctions &sipStrings_QtGui[11889]
#define sipNameNr_physicalSizeChanged 11909
#define sipName_physicalSizeChanged &sipStrings_QtGui[11909]
#define sipNameNr_logicalDotsPerInchY 11929
#define sipName_logicalDotsPerInchY &sipStrings_QtGui[11929]
#define sipNameNr_logicalDotsPerInchX 11949
#define sipName_logicalDotsPerInchX &sipStrings_QtGui[11949]
#define sipNameNr_physicalDotsPerInch 11969
#define sipName_physicalDotsPerInch &sipStrings_QtGui[11969]
#define sipNameNr_QRegion__RegionType 11989
#define sipName_QRegion__RegionType &sipStrings_QtGui[11989]
#define sipNameNr_CurrentSystemEndian 12009
#define sipName_CurrentSystemEndian &sipStrings_QtGui[12009]
#define sipNameNr_QPalette__ColorRole 12029
#define sipName_QPalette__ColorRole &sipStrings_QtGui[12029]
#define sipNameNr_QPainterPathStroker 12049
#define sipName_QPainterPathStroker &sipStrings_QtGui[12049]
#define sipNameNr_brushNeedsResolving 12069
#define sipName_brushNeedsResolving &sipStrings_QtGui[12069]
#define sipNameNr_DirtyBackgroundMode 12089
#define sipName_DirtyBackgroundMode &sipStrings_QtGui[12089]
#define sipNameNr_PaintEngineFeatures 821
#define sipName_PaintEngineFeatures &sipStrings_QtGui[821]
#define sipNameNr_ConicalGradientFill 12109
#define sipName_ConicalGradientFill &sipStrings_QtGui[12109]
#define sipNameNr_PdmDevicePixelRatio 12129
#define sipName_PdmDevicePixelRatio &sipStrings_QtGui[12129]
#define sipNameNr_drawPixmapFragments 12149
#define sipName_drawPixmapFragments &sipStrings_QtGui[12149]
#define sipNameNr_PixmapFragmentHints 2479
#define sipName_PixmapFragmentHints &sipStrings_QtGui[2479]
#define sipNameNr_beginNativePainting 12169
#define sipName_beginNativePainting &sipStrings_QtGui[12169]
#define sipNameNr_CompositionMode_Xor 12189
#define sipName_CompositionMode_Xor &sipStrings_QtGui[12189]
#define sipNameNr_CompareRefToTexture 12209
#define sipName_CompareRefToTexture &sipStrings_QtGui[12209]
#define sipNameNr_CompareGreaterEqual 12229
#define sipName_CompareGreaterEqual &sipStrings_QtGui[12229]
#define sipNameNr_CoordinateDirection 509
#define sipName_CoordinateDirection &sipStrings_QtGui[509]
#define sipNameNr_magnificationFilter 12249
#define sipName_magnificationFilter &sipStrings_QtGui[12249]
#define sipNameNr_LinearMipMapNearest 12269
#define sipName_LinearMipMapNearest &sipStrings_QtGui[12269]
#define sipNameNr_NearestMipMapLinear 12289
#define sipName_NearestMipMapLinear &sipStrings_QtGui[12289]
#define sipNameNr_setDepthStencilMode 12309
#define sipName_setDepthStencilMode &sipStrings_QtGui[12309]
#define sipNameNr_RGB_BP_SIGNED_FLOAT 12329
#define sipName_RGB_BP_SIGNED_FLOAT &sipStrings_QtGui[12329]
#define sipNameNr_DontGenerateMipMaps 12349
#define sipName_DontGenerateMipMaps &sipStrings_QtGui[12349]
#define sipNameNr_BindingTargetBuffer 12369
#define sipName_BindingTargetBuffer &sipStrings_QtGui[12369]
#define sipNameNr_Target2DMultisample 4556
#define sipName_Target2DMultisample &sipStrings_QtGui[4556]
#define sipNameNr_setPatchVertexCount 12389
#define sipName_setPatchVertexCount &sipStrings_QtGui[12389]
#define sipNameNr_TessellationControl 12409
#define sipName_TessellationControl &sipStrings_QtGui[12409]
#define sipNameNr_setSwapBytesEnabled 12429
#define sipName_setSwapBytesEnabled &sipStrings_QtGui[12429]
#define sipNameNr_AsynchronousLogging 12449
#define sipName_AsynchronousLogging &sipStrings_QtGui[12449]
#define sipNameNr_QOpenGLDebugMessage 12469
#define sipName_QOpenGLDebugMessage &sipStrings_QtGui[12469]
#define sipNameNr_currentContextGroup 12489
#define sipName_currentContextGroup &sipStrings_QtGui[12489]
#define sipNameNr_QOpenGLContextGroup 12509
#define sipName_QOpenGLContextGroup &sipStrings_QtGui[12509]
#define sipNameNr_RangeUnsynchronized 12529
#define sipName_RangeUnsynchronized &sipStrings_QtGui[12529]
#define sipNameNr_QOpenGLBuffer__Type 12549
#define sipName_QOpenGLBuffer__Type &sipStrings_QtGui[12549]
#define sipNameNr_InsertLineSeparator 12569
#define sipName_InsertLineSeparator &sipStrings_QtGui[12569]
#define sipNameNr_SelectEndOfDocument 12589
#define sipName_SelectEndOfDocument &sipStrings_QtGui[12589]
#define sipNameNr_MoveToEndOfDocument 12609
#define sipName_MoveToEndOfDocument &sipStrings_QtGui[12609]
#define sipNameNr_ImageTransformation 12629
#define sipName_ImageTransformation &sipStrings_QtGui[12629]
#define sipNameNr_setDevicePixelRatio 12649
#define sipName_setDevicePixelRatio &sipStrings_QtGui[12649]
#define sipNameNr_createMaskFromColor 12669
#define sipName_createMaskFromColor &sipStrings_QtGui[12669]
#define sipNameNr_createHeuristicMask 12689
#define sipName_createHeuristicMask &sipStrings_QtGui[12689]
#define sipNameNr_setThemeSearchPaths 12709
#define sipName_setThemeSearchPaths &sipStrings_QtGui[12709]
#define sipNameNr_fontDatabaseChanged 12729
#define sipName_fontDatabaseChanged &sipStrings_QtGui[12729]
#define sipNameNr_writingSystemSample 12749
#define sipName_writingSystemSample &sipStrings_QtGui[12749]
#define sipNameNr_removeSubstitutions 12769
#define sipName_removeSubstitutions &sipStrings_QtGui[12769]
#define sipNameNr_insertSubstitutions 12789
#define sipName_insertSubstitutions &sipStrings_QtGui[12789]
#define sipNameNr_ForceIntegerMetrics 12809
#define sipName_ForceIntegerMetrics &sipStrings_QtGui[12809]
#define sipNameNr_NoSubpixelAntialias 12829
#define sipName_NoSubpixelAntialias &sipStrings_QtGui[12829]
#define sipNameNr_QNativeGestureEvent 12849
#define sipName_QNativeGestureEvent &sipStrings_QtGui[12849]
#define sipNameNr_QScrollPrepareEvent 12869
#define sipName_QScrollPrepareEvent &sipStrings_QtGui[12869]
#define sipNameNr_StretchToDeviceMode 12889
#define sipName_StretchToDeviceMode &sipStrings_QtGui[12889]
#define sipNameNr_documentSizeChanged 12909
#define sipName_documentSizeChanged &sipStrings_QtGui[12909]
#define sipNameNr_12929 12929
#define sipName_12929 &sipStrings_QtGui[12929]
#define sipNameNr_12948 12948
#define sipName_12948 &sipStrings_QtGui[12948]
#define sipNameNr_windowTitleChanged 12967
#define sipName_windowTitleChanged &sipStrings_QtGui[12967]
#define sipNameNr_windowStateChanged 12986
#define sipName_windowStateChanged &sipStrings_QtGui[12986]
#define sipNameNr_setTransientParent 13005
#define sipName_setTransientParent &sipStrings_QtGui[13005]
#define sipNameNr_contentOrientation 13024
#define sipName_contentOrientation &sipStrings_QtGui[13024]
#define sipNameNr_TransformationType 1927
#define sipName_TransformationType &sipStrings_QtGui[1927]
#define sipNameNr_maximumTouchPoints 13043
#define sipName_maximumTouchPoints &sipStrings_QtGui[13043]
#define sipNameNr_NormalizedPosition 13062
#define sipName_NormalizedPosition &sipStrings_QtGui[13062]
#define sipNameNr_QTextOption__Flags 13081
#define sipName_QTextOption__Flags &sipStrings_QtGui[13081]
#define sipNameNr_QTextBlockUserData 13100
#define sipName_QTextBlockUserData &sipStrings_QtGui[13100]
#define sipNameNr_lastCursorPosition 13119
#define sipName_lastCursorPosition &sipStrings_QtGui[13119]
#define sipNameNr_blockFormatChanged 13138
#define sipName_blockFormatChanged &sipStrings_QtGui[13138]
#define sipNameNr_setLeadingIncluded 13157
#define sipName_setLeadingIncluded &sipStrings_QtGui[13157]
#define sipNameNr_leftCursorPosition 13176
#define sipName_leftCursorPosition &sipStrings_QtGui[13176]
#define sipNameNr_setCursorMoveStyle 13195
#define sipName_setCursorMoveStyle &sipStrings_QtGui[13195]
#define sipNameNr_nextCursorPosition 13214
#define sipName_nextCursorPosition &sipStrings_QtGui[13214]
#define sipNameNr_BorderStyle_Outset 13233
#define sipName_BorderStyle_Outset &sipStrings_QtGui[13233]
#define sipNameNr_BorderStyle_Groove 13252
#define sipName_BorderStyle_Groove &sipStrings_QtGui[13252]
#define sipNameNr_BorderStyle_Double 13271
#define sipName_BorderStyle_Double &sipStrings_QtGui[13271]
#define sipNameNr_BorderStyle_Dashed 13290
#define sipName_BorderStyle_Dashed &sipStrings_QtGui[13290]
#define sipNameNr_BorderStyle_Dotted 13309
#define sipName_BorderStyle_Dotted &sipStrings_QtGui[13309]
#define sipNameNr_LineDistanceHeight 13328
#define sipName_LineDistanceHeight &sipStrings_QtGui[13328]
#define sipNameNr_ProportionalHeight 13347
#define sipName_ProportionalHeight &sipStrings_QtGui[13347]
#define sipNameNr_setPageBreakPolicy 13366
#define sipName_setPageBreakPolicy &sipStrings_QtGui[13366]
#define sipNameNr_setFontWordSpacing 13385
#define sipName_setFontWordSpacing &sipStrings_QtGui[13385]
#define sipNameNr_fontCapitalization 13404
#define sipName_fontCapitalization &sipStrings_QtGui[13404]
#define sipNameNr_FontCapitalization 8520
#define sipName_FontCapitalization &sipStrings_QtGui[8520]
#define sipNameNr_BackgroundImageUrl 13423
#define sipName_BackgroundImageUrl &sipStrings_QtGui[13423]
#define sipNameNr_FullWidthSelection 13442
#define sipName_FullWidthSelection &sipStrings_QtGui[13442]
#define sipNameNr_TextUnderlineStyle 13461
#define sipName_TextUnderlineStyle &sipStrings_QtGui[13461]
#define sipNameNr_TextUnderlineColor 13480
#define sipName_TextUnderlineColor &sipStrings_QtGui[13480]
#define sipNameNr_FontSizeAdjustment 13499
#define sipName_FontSizeAdjustment &sipStrings_QtGui[13499]
#define sipNameNr_availableRedoSteps 13518
#define sipName_availableRedoSteps &sipStrings_QtGui[13518]
#define sipNameNr_availableUndoSteps 13537
#define sipName_availableUndoSteps &sipStrings_QtGui[13537]
#define sipNameNr_StyleSheetResource 13556
#define sipName_StyleSheetResource &sipStrings_QtGui[13556]
#define sipNameNr_setMetaInformation 13575
#define sipName_setMetaInformation &sipStrings_QtGui[13575]
#define sipNameNr_setUndoRedoEnabled 13594
#define sipName_setUndoRedoEnabled &sipStrings_QtGui[13594]
#define sipNameNr_setBlockCharFormat 13613
#define sipName_setBlockCharFormat &sipStrings_QtGui[13613]
#define sipNameNr_selectedTableCells 13632
#define sipName_selectedTableCells &sipStrings_QtGui[13632]
#define sipNameNr_removeSelectedText 13651
#define sipName_removeSelectedText &sipStrings_QtGui[13651]
#define sipNameNr_deletePreviousChar 13670
#define sipName_deletePreviousChar &sipStrings_QtGui[13670]
#define sipNameNr_previousBlockState 13689
#define sipName_previousBlockState &sipStrings_QtGui[13689]
#define sipNameNr_QSyntaxHighlighter 13708
#define sipName_QSyntaxHighlighter &sipStrings_QtGui[13708]
#define sipNameNr_setAlphaBufferSize 13727
#define sipName_setAlphaBufferSize &sipStrings_QtGui[13727]
#define sipNameNr_setGreenBufferSize 13746
#define sipName_setGreenBufferSize &sipStrings_QtGui[13746]
#define sipNameNr_setDepthBufferSize 13765
#define sipName_setDepthBufferSize &sipStrings_QtGui[13765]
#define sipNameNr_fontSmoothingGamma 13784
#define sipName_fontSmoothingGamma &sipStrings_QtGui[13784]
#define sipNameNr_setPerformanceHint 13803
#define sipName_setPerformanceHint &sipStrings_QtGui[13803]
#define sipNameNr_verticalHeaderItem 13822
#define sipName_verticalHeaderItem &sipStrings_QtGui[13822]
#define sipNameNr_QStandardItemModel 13841
#define sipName_QStandardItemModel &sipStrings_QtGui[13841]
#define sipNameNr_setManagerProperty 13860
#define sipName_setManagerProperty &sipStrings_QtGui[13860]
#define sipNameNr_RestartImmediately 13879
#define sipName_RestartImmediately &sipStrings_QtGui[13879]
#define sipNameNr_refreshRateChanged 13898
#define sipName_refreshRateChanged &sipStrings_QtGui[13898]
#define sipNameNr_orientationChanged 13917
#define sipName_orientationChanged &sipStrings_QtGui[13917]
#define sipNameNr_primaryOrientation 13936
#define sipName_primaryOrientation &sipStrings_QtGui[13936]
#define sipNameNr_logicalDotsPerInch 13955
#define sipName_logicalDotsPerInch &sipStrings_QtGui[13955]
#define sipNameNr_fromRotationMatrix 13974
#define sipName_fromRotationMatrix &sipStrings_QtGui[13974]
#define sipNameNr_typeInterpretation 13993
#define sipName_typeInterpretation &sipStrings_QtGui[13993]
#define sipNameNr_TypeInterpretation 957
#define sipName_TypeInterpretation &sipStrings_QtGui[957]
#define sipNameNr_AlphaPremultiplied 990
#define sipName_AlphaPremultiplied &sipStrings_QtGui[990]
#define sipNameNr_CurveToDataElement 14012
#define sipName_CurveToDataElement &sipStrings_QtGui[14012]
#define sipNameNr_QPaintEngine__Type 14031
#define sipName_QPaintEngine__Type &sipStrings_QtGui[14031]
#define sipNameNr_RadialGradientFill 14050
#define sipName_RadialGradientFill &sipStrings_QtGui[14050]
#define sipNameNr_LinearGradientFill 14069
#define sipName_LinearGradientFill &sipStrings_QtGui[14069]
#define sipNameNr_PrimitiveTransform 14088
#define sipName_PrimitiveTransform &sipStrings_QtGui[14088]
#define sipNameNr_PaintEngineFeature 1023
#define sipName_PaintEngineFeature &sipStrings_QtGui[1023]
#define sipNameNr_PixmapFragmentHint 3162
#define sipName_PixmapFragmentHint &sipStrings_QtGui[3162]
#define sipNameNr_worldMatrixEnabled 14107
#define sipName_worldMatrixEnabled &sipStrings_QtGui[14107]
#define sipNameNr_setCompositionMode 14126
#define sipName_setCompositionMode &sipStrings_QtGui[14126]
#define sipNameNr_RasterOp_NotSource 14145
#define sipName_RasterOp_NotSource &sipStrings_QtGui[14145]
#define sipNameNr_setPageOrientation 14164
#define sipName_setPageOrientation &sipStrings_QtGui[14164]
#define sipNameNr_FanFoldGermanLegal 14183
#define sipName_FanFoldGermanLegal &sipStrings_QtGui[14183]
#define sipNameNr_PartialUpdateBlend 14202
#define sipName_PartialUpdateBlend &sipStrings_QtGui[14202]
#define sipNameNr_QPaintDeviceWindow 14221
#define sipName_QPaintDeviceWindow &sipStrings_QtGui[14221]
#define sipNameNr_QOpenGLTimeMonitor 14240
#define sipName_QOpenGLTimeMonitor &sipStrings_QtGui[14240]
#define sipNameNr_comparisonFunction 14259
#define sipName_comparisonFunction &sipStrings_QtGui[14259]
#define sipNameNr_ComparisonFunction 651
#define sipName_ComparisonFunction &sipStrings_QtGui[651]
#define sipNameNr_levelOfDetailRange 14278
#define sipName_levelOfDetailRange &sipStrings_QtGui[14278]
#define sipNameNr_minificationFilter 14297
#define sipName_minificationFilter &sipStrings_QtGui[14297]
#define sipNameNr_LinearMipMapLinear 14316
#define sipName_LinearMipMapLinear &sipStrings_QtGui[14316]
#define sipNameNr_TextureMipMapLevel 14335
#define sipName_TextureMipMapLevel &sipStrings_QtGui[14335]
#define sipNameNr_TextureMultisample 14354
#define sipName_TextureMultisample &sipStrings_QtGui[14354]
#define sipNameNr_UInt32_RGB10A2_Rev 14373
#define sipName_UInt32_RGB10A2_Rev &sipStrings_QtGui[14373]
#define sipNameNr_isStorageAllocated 14392
#define sipName_isStorageAllocated &sipStrings_QtGui[14392]
#define sipNameNr_TargetCubeMapArray 5186
#define sipName_TargetCubeMapArray &sipStrings_QtGui[5186]
#define sipNameNr_setAttributeBuffer 14411
#define sipName_setAttributeBuffer &sipStrings_QtGui[14411]
#define sipNameNr_isSwapBytesEnabled 14430
#define sipName_isSwapBytesEnabled &sipStrings_QtGui[14430]
#define sipNameNr_ensureActiveTarget 14449
#define sipName_ensureActiveTarget &sipStrings_QtGui[14449]
#define sipNameNr_QOpenGLPaintDevice 14468
#define sipName_QOpenGLPaintDevice &sipStrings_QtGui[14468]
#define sipNameNr_SynchronousLogging 14487
#define sipName_SynchronousLogging &sipStrings_QtGui[14487]
#define sipNameNr_QOpenGLDebugLogger 14506
#define sipName_QOpenGLDebugLogger &sipStrings_QtGui[14506]
#define sipNameNr_WindowSystemSource 14525
#define sipName_WindowSystemSource &sipStrings_QtGui[14525]
#define sipNameNr_globalShareContext 14544
#define sipName_globalShareContext &sipStrings_QtGui[14544]
#define sipNameNr_openGLModuleHandle 14563
#define sipName_openGLModuleHandle &sipStrings_QtGui[14563]
#define sipNameNr_aboutToBeDestroyed 14582
#define sipName_aboutToBeDestroyed &sipStrings_QtGui[14582]
#define sipNameNr_RangeFlushExplicit 14601
#define sipName_RangeFlushExplicit &sipStrings_QtGui[14601]
#define sipNameNr_currentFrameNumber 14620
#define sipName_currentFrameNumber &sipStrings_QtGui[14620]
#define sipNameNr_QMovie__MovieState 14639
#define sipName_QMovie__MovieState &sipStrings_QtGui[14639]
#define sipNameNr_DeleteCompleteLine 14658
#define sipName_DeleteCompleteLine &sipStrings_QtGui[14658]
#define sipNameNr_SelectStartOfBlock 14677
#define sipName_SelectStartOfBlock &sipStrings_QtGui[14677]
#define sipNameNr_SelectPreviousPage 14696
#define sipName_SelectPreviousPage &sipStrings_QtGui[14696]
#define sipNameNr_SelectPreviousLine 14715
#define sipName_SelectPreviousLine &sipStrings_QtGui[14715]
#define sipNameNr_SelectPreviousWord 14734
#define sipName_SelectPreviousWord &sipStrings_QtGui[14734]
#define sipNameNr_SelectPreviousChar 14753
#define sipName_SelectPreviousChar &sipStrings_QtGui[14753]
#define sipNameNr_MoveToStartOfBlock 14772
#define sipName_MoveToStartOfBlock &sipStrings_QtGui[14772]
#define sipNameNr_MoveToPreviousPage 14791
#define sipName_MoveToPreviousPage &sipStrings_QtGui[14791]
#define sipNameNr_MoveToPreviousLine 14810
#define sipName_MoveToPreviousLine &sipStrings_QtGui[14810]
#define sipNameNr_MoveToPreviousWord 14829
#define sipName_MoveToPreviousWord &sipStrings_QtGui[14829]
#define sipNameNr_MoveToPreviousChar 14848
#define sipName_MoveToPreviousChar &sipStrings_QtGui[14848]
#define sipNameNr_inputItemRectangle 14867
#define sipName_inputItemRectangle &sipStrings_QtGui[14867]
#define sipNameNr_inputItemTransform 14886
#define sipName_inputItemTransform &sipStrings_QtGui[14886]
#define sipNameNr_supportedMimeTypes 14905
#define sipName_supportedMimeTypes &sipStrings_QtGui[14905]
#define sipNameNr_setBackgroundColor 14924
#define sipName_setBackgroundColor &sipStrings_QtGui[14924]
#define sipNameNr_TransformationFlip 14943
#define sipName_TransformationFlip &sipStrings_QtGui[14943]
#define sipNameNr_TransformationNone 14962
#define sipName_TransformationNone &sipStrings_QtGui[14962]
#define sipNameNr_currentImageNumber 14981
#define sipName_currentImageNumber &sipStrings_QtGui[14981]
#define sipNameNr_IncrementalReading 15000
#define sipName_IncrementalReading &sipStrings_QtGui[15000]
#define sipNameNr_QImage__InvertMode 15019
#define sipName_QImage__InvertMode &sipStrings_QtGui[15019]
#define sipNameNr_AvailableSizesHook 15038
#define sipName_AvailableSizesHook &sipStrings_QtGui[15038]
#define sipNameNr_focusWindowChanged 15057
#define sipName_focusWindowChanged &sipStrings_QtGui[15057]
#define sipNameNr_focusObjectChanged 15076
#define sipName_focusObjectChanged &sipStrings_QtGui[15076]
#define sipNameNr_setLayoutDirection 15095
#define sipName_setLayoutDirection &sipStrings_QtGui[15095]
#define sipNameNr_addApplicationFont 15114
#define sipName_addApplicationFont &sipStrings_QtGui[15114]
#define sipNameNr_isSmoothlyScalable 15133
#define sipName_isSmoothlyScalable &sipStrings_QtGui[15133]
#define sipNameNr_TraditionalChinese 15152
#define sipName_TraditionalChinese &sipStrings_QtGui[15152]
#define sipNameNr_QFont__SpacingType 15171
#define sipName_QFont__SpacingType &sipStrings_QtGui[15171]
#define sipNameNr_insertSubstitution 15190
#define sipName_insertSubstitution &sipStrings_QtGui[15190]
#define sipNameNr_setContentPosRange 15209
#define sipName_setContentPosRange &sipStrings_QtGui[15209]
#define sipNameNr_rawScreenPositions 15228
#define sipName_rawScreenPositions &sipStrings_QtGui[15228]
#define sipNameNr_startNormalizedPos 15247
#define sipName_startNormalizedPos &sipStrings_QtGui[15247]
#define sipNameNr_tangentialPressure 15266
#define sipName_tangentialPressure &sipStrings_QtGui[15266]
#define sipNameNr_supportsFindBuffer 15285
#define sipName_supportsFindBuffer &sipStrings_QtGui[15285]
#define sipNameNr_ObjectBoundingMode 15304
#define sipName_ObjectBoundingMode &sipStrings_QtGui[15304]
#define sipNameNr_QColor__NameFormat 15323
#define sipName_QColor__NameFormat &sipStrings_QtGui[15323]
#define sipNameNr_resizeInlineObject 15342
#define sipName_resizeInlineObject &sipStrings_QtGui[15342]
#define sipNameNr_ScientificNotation 15361
#define sipName_ScientificNotation &sipStrings_QtGui[15361]
#define sipNameNr_15380 15380
#define sipName_15380 &sipStrings_QtGui[15380]
#define sipNameNr_15398 15398
#define sipName_15398 &sipStrings_QtGui[15398]
#define sipNameNr_visibilityChanged 15416
#define sipName_visibilityChanged &sipStrings_QtGui[15416]
#define sipNameNr_mouseReleaseEvent 15434
#define sipName_mouseReleaseEvent &sipStrings_QtGui[15434]
#define sipNameNr_IncludeTransients 15452
#define sipName_IncludeTransients &sipStrings_QtGui[15452]
#define sipNameNr_ExcludeTransients 15470
#define sipName_ExcludeTransients &sipStrings_QtGui[15470]
#define sipNameNr_QValidator__State 15488
#define sipName_QValidator__State &sipStrings_QtGui[15488]
#define sipNameNr_ShowTabsAndSpaces 15506
#define sipName_ShowTabsAndSpaces &sipStrings_QtGui[15506]
#define sipNameNr_QTextOption__Flag 15524
#define sipName_QTextOption__Flag &sipStrings_QtGui[15524]
#define sipNameNr_horizontalAdvance 15542
#define sipName_horizontalAdvance &sipStrings_QtGui[15542]
#define sipNameNr_CursorOnCharacter 15560
#define sipName_CursorOnCharacter &sipStrings_QtGui[15560]
#define sipNameNr_additionalFormats 15578
#define sipName_additionalFormats &sipStrings_QtGui[15578]
#define sipNameNr_QTextInlineObject 15596
#define sipName_QTextInlineObject &sipStrings_QtGui[15596]
#define sipNameNr_setHeaderRowCount 15614
#define sipName_setHeaderRowCount &sipStrings_QtGui[15614]
#define sipNameNr_BorderStyle_Inset 15632
#define sipName_BorderStyle_Inset &sipStrings_QtGui[15632]
#define sipNameNr_BorderStyle_Ridge 15650
#define sipName_BorderStyle_Ridge &sipStrings_QtGui[15650]
#define sipNameNr_BorderStyle_Solid 15668
#define sipName_BorderStyle_Solid &sipStrings_QtGui[15668]
#define sipNameNr_nonBreakableLines 15686
#define sipName_nonBreakableLines &sipStrings_QtGui[15686]
#define sipNameNr_FontPropertiesAll 15704
#define sipName_FontPropertiesAll &sipStrings_QtGui[15704]
#define sipNameNr_fontStyleStrategy 15722
#define sipName_fontStyleStrategy &sipStrings_QtGui[15722]
#define sipNameNr_fontLetterSpacing 15740
#define sipName_fontLetterSpacing &sipStrings_QtGui[15740]
#define sipNameNr_setUnderlineStyle 15758
#define sipName_setUnderlineStyle &sipStrings_QtGui[15758]
#define sipNameNr_verticalAlignment 15776
#define sipName_verticalAlignment &sipStrings_QtGui[15776]
#define sipNameNr_setFontFixedPitch 15794
#define sipName_setFontFixedPitch &sipStrings_QtGui[15794]
#define sipNameNr_setUnderlineColor 15812
#define sipName_setUnderlineColor &sipStrings_QtGui[15812]
#define sipNameNr_VerticalAlignment 582
#define sipName_VerticalAlignment &sipStrings_QtGui[582]
#define sipNameNr_toTableCellFormat 15830
#define sipName_toTableCellFormat &sipStrings_QtGui[15830]
#define sipNameNr_isTableCellFormat 15848
#define sipName_isTableCellFormat &sipStrings_QtGui[15848]
#define sipNameNr_FontStyleStrategy 10047
#define sipName_FontStyleStrategy &sipStrings_QtGui[10047]
#define sipNameNr_FontLetterSpacing 10068
#define sipName_FontLetterSpacing &sipStrings_QtGui[10068]
#define sipNameNr_FirstFontProperty 15866
#define sipName_FirstFontProperty &sipStrings_QtGui[15866]
#define sipNameNr_FrameBottomMargin 15884
#define sipName_FrameBottomMargin &sipStrings_QtGui[15884]
#define sipNameNr_FontSizeIncrement 15902
#define sipName_FontSizeIncrement &sipStrings_QtGui[15902]
#define sipNameNr_BlockBottomMargin 15920
#define sipName_BlockBottomMargin &sipStrings_QtGui[15920]
#define sipNameNr_QTextLength__Type 15938
#define sipName_QTextLength__Type &sipStrings_QtGui[15938]
#define sipNameNr_UndoAndRedoStacks 15956
#define sipName_UndoAndRedoStacks &sipStrings_QtGui[15956]
#define sipNameNr_setDocumentMargin 15974
#define sipName_setDocumentMargin &sipStrings_QtGui[15974]
#define sipNameNr_findBlockByNumber 15992
#define sipName_findBlockByNumber &sipStrings_QtGui[15992]
#define sipNameNr_defaultTextOption 16010
#define sipName_defaultTextOption &sipStrings_QtGui[16010]
#define sipNameNr_maximumBlockCount 16028
#define sipName_maximumBlockCount &sipStrings_QtGui[16028]
#define sipNameNr_defaultStyleSheet 16046
#define sipName_defaultStyleSheet &sipStrings_QtGui[16046]
#define sipNameNr_blockCountChanged 16064
#define sipName_blockCountChanged &sipStrings_QtGui[16064]
#define sipNameNr_markContentsDirty 16082
#define sipName_markContentsDirty &sipStrings_QtGui[16082]
#define sipNameNr_setDocumentLayout 16100
#define sipName_setDocumentLayout &sipStrings_QtGui[16100]
#define sipNameNr_isUndoRedoEnabled 16118
#define sipName_isUndoRedoEnabled &sipStrings_QtGui[16118]
#define sipNameNr_verticalMovementX 16136
#define sipName_verticalMovementX &sipStrings_QtGui[16136]
#define sipNameNr_PreviousCharacter 16154
#define sipName_PreviousCharacter &sipStrings_QtGui[16154]
#define sipNameNr_currentBlockState 16172
#define sipName_currentBlockState &sipStrings_QtGui[16172]
#define sipNameNr_setRenderableType 16190
#define sipName_setRenderableType &sipStrings_QtGui[16190]
#define sipNameNr_setBlueBufferSize 16208
#define sipName_setBlueBufferSize &sipStrings_QtGui[16208]
#define sipNameNr_stencilBufferSize 16226
#define sipName_stencilBufferSize &sipStrings_QtGui[16226]
#define sipNameNr_ResetNotification 16244
#define sipName_ResetNotification &sipStrings_QtGui[16244]
#define sipNameNr_passwordMaskDelay 16262
#define sipName_passwordMaskDelay &sipStrings_QtGui[16262]
#define sipNameNr_startDragVelocity 16280
#define sipName_startDragVelocity &sipStrings_QtGui[16280]
#define sipNameNr_startDragDistance 16298
#define sipName_startDragDistance &sipStrings_QtGui[16298]
#define sipNameNr_AggressiveCaching 16316
#define sipName_AggressiveCaching &sipStrings_QtGui[16316]
#define sipNameNr_setAccessibleText 16334
#define sipName_setAccessibleText &sipStrings_QtGui[16334]
#define sipNameNr_invisibleRootItem 16352
#define sipName_invisibleRootItem &sipStrings_QtGui[16352]
#define sipNameNr_setDiscardCommand 16370
#define sipName_setDiscardCommand &sipStrings_QtGui[16370]
#define sipNameNr_setRestartCommand 16388
#define sipName_setRestartCommand &sipStrings_QtGui[16388]
#define sipNameNr_allowsInteraction 16406
#define sipName_allowsInteraction &sipStrings_QtGui[16406]
#define sipNameNr_nativeOrientation 16424
#define sipName_nativeOrientation &sipStrings_QtGui[16424]
#define sipNameNr_availableGeometry 16442
#define sipName_availableGeometry &sipStrings_QtGui[16442]
#define sipNameNr_underlinePosition 16460
#define sipName_underlinePosition &sipStrings_QtGui[16460]
#define sipNameNr_supportsCharacter 16478
#define sipName_supportsCharacter &sipStrings_QtGui[16478]
#define sipNameNr_PixelAntialiasing 10509
#define sipName_PixelAntialiasing &sipStrings_QtGui[10509]
#define sipNameNr_QPixmapCache__Key 16496
#define sipName_QPixmapCache__Key &sipStrings_QtGui[16496]
#define sipNameNr_qPixelFormatAlpha 16514
#define sipName_qPixelFormatAlpha &sipStrings_QtGui[16514]
#define sipNameNr_currentColorGroup 16532
#define sipName_currentColorGroup &sipStrings_QtGui[16532]
#define sipNameNr_setCurveThreshold 16550
#define sipName_setCurveThreshold &sipStrings_QtGui[16550]
#define sipNameNr_toSubpathPolygons 16568
#define sipName_toSubpathPolygons &sipStrings_QtGui[16568]
#define sipNameNr_penNeedsResolving 16586
#define sipName_penNeedsResolving &sipStrings_QtGui[16586]
#define sipNameNr_QPaintEngineState 16604
#define sipName_QPaintEngineState &sipStrings_QtGui[16604]
#define sipNameNr_PaintDeviceMetric 1515
#define sipName_PaintDeviceMetric &sipStrings_QtGui[1515]
#define sipNameNr_endNativePainting 16622
#define sipName_endNativePainting &sipStrings_QtGui[16622]
#define sipNameNr_combinedTransform 16640
#define sipName_combinedTransform &sipStrings_QtGui[16640]
#define sipNameNr_setWorldTransform 16658
#define sipName_setWorldTransform &sipStrings_QtGui[16658]
#define sipNameNr_drawConvexPolygon 16676
#define sipName_drawConvexPolygon &sipStrings_QtGui[16676]
#define sipNameNr_setBackgroundMode 16694
#define sipName_setBackgroundMode &sipStrings_QtGui[16694]
#define sipNameNr_setMinimumMargins 16712
#define sipName_setMinimumMargins &sipStrings_QtGui[16712]
#define sipNameNr_QPageLayout__Mode 16730
#define sipName_QPageLayout__Mode &sipStrings_QtGui[16730]
#define sipNameNr_QPageLayout__Unit 16748
#define sipName_QPageLayout__Unit &sipStrings_QtGui[16748]
#define sipNameNr_ExecutiveStandard 16766
#define sipName_ExecutiveStandard &sipStrings_QtGui[16766]
#define sipNameNr_QPagedPaintDevice 16784
#define sipName_QPagedPaintDevice &sipStrings_QtGui[16784]
#define sipNameNr_PartialUpdateBlit 16802
#define sipName_PartialUpdateBlit &sipStrings_QtGui[16802]
#define sipNameNr_isResultAvailable 16820
#define sipName_isResultAvailable &sipStrings_QtGui[16820]
#define sipNameNr_QOpenGLTimerQuery 16838
#define sipName_QOpenGLTimerQuery &sipStrings_QtGui[16838]
#define sipNameNr_setComparisonMode 16856
#define sipName_setComparisonMode &sipStrings_QtGui[16856]
#define sipNameNr_levelofDetailBias 16874
#define sipName_levelofDetailBias &sipStrings_QtGui[16874]
#define sipNameNr_maximumAnisotropy 16892
#define sipName_maximumAnisotropy &sipStrings_QtGui[16892]
#define sipNameNr_NPOTTextureRepeat 16910
#define sipName_NPOTTextureRepeat &sipStrings_QtGui[16910]
#define sipNameNr_setCompressedData 16928
#define sipName_setCompressedData &sipStrings_QtGui[16928]
#define sipNameNr_UInt16_R5G6B5_Rev 16946
#define sipName_UInt16_R5G6B5_Rev &sipStrings_QtGui[16946]
#define sipNameNr_UInt16_RGB5A1_Rev 16964
#define sipName_UInt16_RGB5A1_Rev &sipStrings_QtGui[16964]
#define sipNameNr_createTextureView 16982
#define sipName_createTextureView &sipStrings_QtGui[16982]
#define sipNameNr_setAttributeArray 17000
#define sipName_setAttributeArray &sipStrings_QtGui[17000]
#define sipNameNr_setAttributeValue 17018
#define sipName_setAttributeValue &sipStrings_QtGui[17018]
#define sipNameNr_attributeLocation 17036
#define sipName_attributeLocation &sipStrings_QtGui[17036]
#define sipNameNr_compileSourceFile 17054
#define sipName_compileSourceFile &sipStrings_QtGui[17054]
#define sipNameNr_compileSourceCode 17072
#define sipName_compileSourceCode &sipStrings_QtGui[17072]
#define sipNameNr_ApplicationSource 17090
#define sipName_ApplicationSource &sipStrings_QtGui[17090]
#define sipNameNr_PixelUnpackBuffer 17108
#define sipName_PixelUnpackBuffer &sipStrings_QtGui[17108]
#define sipNameNr_QOffscreenSurface 17126
#define sipName_QOffscreenSurface &sipStrings_QtGui[17126]
#define sipNameNr_QMovie__CacheMode 17144
#define sipName_QMovie__CacheMode &sipStrings_QtGui[17144]
#define sipNameNr_DeleteStartOfWord 17162
#define sipName_DeleteStartOfWord &sipStrings_QtGui[17162]
#define sipNameNr_SelectStartOfLine 17180
#define sipName_SelectStartOfLine &sipStrings_QtGui[17180]
#define sipNameNr_MoveToStartOfLine 17198
#define sipName_MoveToStartOfLine &sipStrings_QtGui[17198]
#define sipNameNr_keyboardRectangle 17216
#define sipName_keyboardRectangle &sipStrings_QtGui[17216]
#define sipNameNr_setTransformation 17234
#define sipName_setTransformation &sipStrings_QtGui[17234]
#define sipNameNr_setOptimizedWrite 17252
#define sipName_setOptimizedWrite &sipStrings_QtGui[17252]
#define sipNameNr_supportedSubTypes 17270
#define sipName_supportedSubTypes &sipStrings_QtGui[17270]
#define sipNameNr_supportsAnimation 17288
#define sipName_supportsAnimation &sipStrings_QtGui[17288]
#define sipNameNr_setScaledClipRect 17306
#define sipName_setScaledClipRect &sipStrings_QtGui[17306]
#define sipNameNr_FileNotFoundError 17324
#define sipName_FileNotFoundError &sipStrings_QtGui[17324]
#define sipNameNr_SupportedSubTypes 17342
#define sipName_SupportedSubTypes &sipStrings_QtGui[17342]
#define sipNameNr_Format_Grayscale8 17360
#define sipName_Format_Grayscale8 &sipStrings_QtGui[17360]
#define sipNameNr_isSessionRestored 17378
#define sipName_isSessionRestored &sipStrings_QtGui[17378]
#define sipNameNr_commitDataRequest 17396
#define sipName_commitDataRequest &sipStrings_QtGui[17396]
#define sipNameNr_setOverrideCursor 17414
#define sipName_setOverrideCursor &sipStrings_QtGui[17414]
#define sipNameNr_tightBoundingRect 17432
#define sipName_tightBoundingRect &sipStrings_QtGui[17432]
#define sipNameNr_writingSystemName 17450
#define sipName_writingSystemName &sipStrings_QtGui[17450]
#define sipNameNr_SimplifiedChinese 17468
#define sipName_SimplifiedChinese &sipStrings_QtGui[17468]
#define sipNameNr_hintingPreference 17486
#define sipName_hintingPreference &sipStrings_QtGui[17486]
#define sipNameNr_PreferFullHinting 17504
#define sipName_PreferFullHinting &sipStrings_QtGui[17504]
#define sipNameNr_HintingPreference 5625
#define sipName_HintingPreference &sipStrings_QtGui[5625]
#define sipNameNr_setCapitalization 17522
#define sipName_setCapitalization &sipStrings_QtGui[17522]
#define sipNameNr_letterSpacingType 17540
#define sipName_letterSpacingType &sipStrings_QtGui[17540]
#define sipNameNr_PercentageSpacing 17558
#define sipName_PercentageSpacing &sipStrings_QtGui[17558]
#define sipNameNr_overshootDistance 17576
#define sipName_overshootDistance &sipStrings_QtGui[17576]
#define sipNameNr_lastNormalizedPos 17594
#define sipName_lastNormalizedPos &sipStrings_QtGui[17594]
#define sipNameNr_keyboardModifiers 17612
#define sipName_keyboardModifiers &sipStrings_QtGui[17612]
#define sipNameNr_replacementLength 17630
#define sipName_replacementLength &sipStrings_QtGui[17630]
#define sipNameNr_QInputMethodEvent 17648
#define sipName_QInputMethodEvent &sipStrings_QtGui[17648]
#define sipNameNr_QContextMenuEvent 17666
#define sipName_QContextMenuEvent &sipStrings_QtGui[17666]
#define sipNameNr_findBufferChanged 17684
#define sipName_findBufferChanged &sipStrings_QtGui[17684]
#define sipNameNr_supportsSelection 17702
#define sipName_supportsSelection &sipStrings_QtGui[17702]
#define sipNameNr_setCoordinateMode 17720
#define sipName_setCoordinateMode &sipStrings_QtGui[17720]
#define sipNameNr_QGradient__Spread 17738
#define sipName_QGradient__Spread &sipStrings_QtGui[17738]
#define sipNameNr_hasStaticContents 17756
#define sipName_hasStaticContents &sipStrings_QtGui[17756]
#define sipNameNr_setStaticContents 17774
#define sipName_setStaticContents &sipStrings_QtGui[17774]
#define sipNameNr_unregisterHandler 17792
#define sipName_unregisterHandler &sipStrings_QtGui[17792]
#define sipNameNr_blockBoundingRect 17810
#define sipName_blockBoundingRect &sipStrings_QtGui[17810]
#define sipNameNr_frameBoundingRect 17828
#define sipName_frameBoundingRect &sipStrings_QtGui[17828]
#define sipNameNr_regularExpression 17846
#define sipName_regularExpression &sipStrings_QtGui[17846]
#define sipNameNr_sip_simplewrapper 17864
#define sipName_sip_simplewrapper &sipStrings_QtGui[17864]
#define sipNameNr_17882 17882
#define sipName_17882 &sipStrings_QtGui[17882]
#define sipNameNr_17899 17899
#define sipName_17899 &sipStrings_QtGui[17899]
#define sipNameNr_17916 17916
#define sipName_17916 &sipStrings_QtGui[17916]
#define sipNameNr_setMaximumHeight 17933
#define sipName_setMaximumHeight &sipStrings_QtGui[17933]
#define sipNameNr_setMinimumHeight 17950
#define sipName_setMinimumHeight &sipStrings_QtGui[17950]
#define sipNameNr_setFramePosition 17967
#define sipName_setFramePosition &sipStrings_QtGui[17967]
#define sipNameNr_setSizeIncrement 17984
#define sipName_setSizeIncrement &sipStrings_QtGui[17984]
#define sipNameNr_toVector3DAffine 18001
#define sipName_toVector3DAffine &sipStrings_QtGui[18001]
#define sipNameNr_toVector2DAffine 18018
#define sipName_toVector2DAffine &sipStrings_QtGui[18018]
#define sipNameNr_QRegExpValidator 18035
#define sipName_QRegExpValidator &sipStrings_QtGui[18035]
#define sipNameNr_StandardNotation 18052
#define sipName_StandardNotation &sipStrings_QtGui[18052]
#define sipNameNr_QDoubleValidator 18069
#define sipName_QDoubleValidator &sipStrings_QtGui[18069]
#define sipNameNr_QTextOption__Tab 18086
#define sipName_QTextOption__Tab &sipStrings_QtGui[18086]
#define sipNameNr_setTextDirection 18103
#define sipName_setTextDirection &sipStrings_QtGui[18103]
#define sipNameNr_blockFormatIndex 18120
#define sipName_blockFormatIndex &sipStrings_QtGui[18120]
#define sipNameNr_naturalTextWidth 18137
#define sipName_naturalTextWidth &sipStrings_QtGui[18137]
#define sipNameNr_setBottomPadding 18154
#define sipName_setBottomPadding &sipStrings_QtGui[18154]
#define sipNameNr_QTextTableFormat 18171
#define sipName_QTextTableFormat &sipStrings_QtGui[18171]
#define sipNameNr_BorderStyle_None 18188
#define sipName_BorderStyle_None &sipStrings_QtGui[18188]
#define sipNameNr_QTextFrameFormat 18205
#define sipName_QTextFrameFormat &sipStrings_QtGui[18205]
#define sipNameNr_QTextImageFormat 18222
#define sipName_QTextImageFormat &sipStrings_QtGui[18222]
#define sipNameNr_QTextBlockFormat 18239
#define sipName_QTextBlockFormat &sipStrings_QtGui[18239]
#define sipNameNr_setFontStyleHint 18256
#define sipName_setFontStyleHint &sipStrings_QtGui[18256]
#define sipNameNr_tableCellRowSpan 18273
#define sipName_tableCellRowSpan &sipStrings_QtGui[18273]
#define sipNameNr_setFontStrikeOut 18290
#define sipName_setFontStrikeOut &sipStrings_QtGui[18290]
#define sipNameNr_setFontUnderline 18307
#define sipName_setFontUnderline &sipStrings_QtGui[18307]
#define sipNameNr_setFontPointSize 18324
#define sipName_setFontPointSize &sipStrings_QtGui[18324]
#define sipNameNr_AlignSuperScript 18341
#define sipName_AlignSuperScript &sipStrings_QtGui[18341]
#define sipNameNr_ListNumberSuffix 18358
#define sipName_ListNumberSuffix &sipStrings_QtGui[18358]
#define sipNameNr_ListNumberPrefix 18375
#define sipName_ListNumberPrefix &sipStrings_QtGui[18375]
#define sipNameNr_LastFontProperty 18392
#define sipName_LastFontProperty &sipStrings_QtGui[18392]
#define sipNameNr_FrameBorderStyle 18409
#define sipName_FrameBorderStyle &sipStrings_QtGui[18409]
#define sipNameNr_FrameBorderBrush 18426
#define sipName_FrameBorderBrush &sipStrings_QtGui[18426]
#define sipNameNr_FrameRightMargin 18443
#define sipName_FrameRightMargin &sipStrings_QtGui[18443]
#define sipNameNr_TableCellRowSpan 11652
#define sipName_TableCellRowSpan &sipStrings_QtGui[11652]
#define sipNameNr_TableCellPadding 18460
#define sipName_TableCellPadding &sipStrings_QtGui[18460]
#define sipNameNr_TableCellSpacing 18477
#define sipName_TableCellSpacing &sipStrings_QtGui[18477]
#define sipNameNr_BlockRightMargin 18494
#define sipName_BlockRightMargin &sipStrings_QtGui[18494]
#define sipNameNr_PercentageLength 18511
#define sipName_PercentageLength &sipStrings_QtGui[18511]
#define sipNameNr_undoCommandAdded 18528
#define sipName_undoCommandAdded &sipStrings_QtGui[18528]
#define sipNameNr_useDesignMetrics 18545
#define sipName_useDesignMetrics &sipStrings_QtGui[18545]
#define sipNameNr_visualNavigation 18562
#define sipName_visualNavigation &sipStrings_QtGui[18562]
#define sipNameNr_mergeBlockFormat 18579
#define sipName_mergeBlockFormat &sipStrings_QtGui[18579]
#define sipNameNr_BlockUnderCursor 18596
#define sipName_BlockUnderCursor &sipStrings_QtGui[18596]
#define sipNameNr_rehighlightBlock 18613
#define sipName_rehighlightBlock &sipStrings_QtGui[18613]
#define sipNameNr_setRedBufferSize 18630
#define sipName_setRedBufferSize &sipStrings_QtGui[18630]
#define sipNameNr_tabFocusBehavior 18647
#define sipName_tabFocusBehavior &sipStrings_QtGui[18647]
#define sipNameNr_useRtlExtensions 18664
#define sipName_useRtlExtensions &sipStrings_QtGui[18664]
#define sipNameNr_showIsFullScreen 18681
#define sipName_showIsFullScreen &sipStrings_QtGui[18681]
#define sipNameNr_setTextAlignment 18698
#define sipName_setTextAlignment &sipStrings_QtGui[18698]
#define sipNameNr_setItemPrototype 18715
#define sipName_setItemPrototype &sipStrings_QtGui[18715]
#define sipNameNr_RestartIfRunning 18732
#define sipName_RestartIfRunning &sipStrings_QtGui[18732]
#define sipNameNr_transformBetween 18749
#define sipName_transformBetween &sipStrings_QtGui[18749]
#define sipNameNr_UseDesignMetrics 11792
#define sipName_UseDesignMetrics &sipStrings_QtGui[11792]
#define sipNameNr_SeparateAdvances 18766
#define sipName_SeparateAdvances &sipStrings_QtGui[18766]
#define sipNameNr_alphaMapForGlyph 18783
#define sipName_alphaMapForGlyph &sipStrings_QtGui[18783]
#define sipNameNr_antialiasingType 18800
#define sipName_antialiasingType &sipStrings_QtGui[18800]
#define sipNameNr_AntialiasingType 4343
#define sipName_AntialiasingType &sipStrings_QtGui[4343]
#define sipNameNr_toRotationMatrix 18817
#define sipName_toRotationMatrix &sipStrings_QtGui[18817]
#define sipNameNr_fromAxisAndAngle 18834
#define sipName_fromAxisAndAngle &sipStrings_QtGui[18834]
#define sipNameNr_convertFromImage 18851
#define sipName_convertFromImage &sipStrings_QtGui[18851]
#define sipNameNr_qPixelFormatCmyk 18868
#define sipName_qPixelFormatCmyk &sipStrings_QtGui[18868]
#define sipNameNr_qPixelFormatRgba 18885
#define sipName_qPixelFormatRgba &sipStrings_QtGui[18885]
#define sipNameNr_NotPremultiplied 18902
#define sipName_NotPremultiplied &sipStrings_QtGui[18902]
#define sipNameNr_controlPointRect 18919
#define sipName_controlPointRect &sipStrings_QtGui[18919]
#define sipNameNr_DirtyClipEnabled 18936
#define sipName_DirtyClipEnabled &sipStrings_QtGui[18936]
#define sipNameNr_DirtyBrushOrigin 18953
#define sipName_DirtyBrushOrigin &sipStrings_QtGui[18953]
#define sipNameNr_PatternTransform 18970
#define sipName_PatternTransform &sipStrings_QtGui[18970]
#define sipNameNr_clipBoundingRect 18987
#define sipName_clipBoundingRect &sipStrings_QtGui[18987]
#define sipNameNr_TextAntialiasing 19004
#define sipName_TextAntialiasing &sipStrings_QtGui[19004]
#define sipNameNr_EnvelopePersonal 19021
#define sipName_EnvelopePersonal &sipStrings_QtGui[19021]
#define sipNameNr_waitForIntervals 19038
#define sipName_waitForIntervals &sipStrings_QtGui[19038]
#define sipNameNr_waitForTimestamp 19055
#define sipName_waitForTimestamp &sipStrings_QtGui[19055]
#define sipNameNr_CommpareNotEqual 19072
#define sipName_CommpareNotEqual &sipStrings_QtGui[19072]
#define sipNameNr_CompareLessEqual 19089
#define sipName_CompareLessEqual &sipStrings_QtGui[19089]
#define sipNameNr_setMinMagFilters 19106
#define sipName_setMinMagFilters &sipStrings_QtGui[19106]
#define sipNameNr_depthStencilMode 19123
#define sipName_depthStencilMode &sipStrings_QtGui[19123]
#define sipNameNr_DepthStencilMode 1190
#define sipName_DepthStencilMode &sipStrings_QtGui[1190]
#define sipNameNr_SwizzleComponent 1223
#define sipName_SwizzleComponent &sipStrings_QtGui[1223]
#define sipNameNr_setMipLevelRange 19140
#define sipName_setMipLevelRange &sipStrings_QtGui[19140]
#define sipNameNr_StencilTexturing 19157
#define sipName_StencilTexturing &sipStrings_QtGui[19157]
#define sipNameNr_TextureRectangle 19174
#define sipName_TextureRectangle &sipStrings_QtGui[19174]
#define sipNameNr_ImmutableStorage 19191
#define sipName_ImmutableStorage &sipStrings_QtGui[19191]
#define sipNameNr_UInt32_RGBA8_Rev 19208
#define sipName_UInt32_RGBA8_Rev &sipStrings_QtGui[19208]
#define sipNameNr_UInt16_RGBA4_Rev 19225
#define sipName_UInt16_RGBA4_Rev &sipStrings_QtGui[19225]
#define sipNameNr_CubeMapNegativeZ 19242
#define sipName_CubeMapNegativeZ &sipStrings_QtGui[19242]
#define sipNameNr_CubeMapPositiveZ 19259
#define sipName_CubeMapPositiveZ &sipStrings_QtGui[19259]
#define sipNameNr_CubeMapNegativeY 19276
#define sipName_CubeMapNegativeY &sipStrings_QtGui[19276]
#define sipNameNr_CubeMapPositiveY 19293
#define sipName_CubeMapPositiveY &sipStrings_QtGui[19293]
#define sipNameNr_CubeMapNegativeX 19310
#define sipName_CubeMapNegativeX &sipStrings_QtGui[19310]
#define sipNameNr_CubeMapPositiveX 19327
#define sipName_CubeMapPositiveX &sipStrings_QtGui[19327]
#define sipNameNr_maximumMipLevels 19344
#define sipName_maximumMipLevels &sipStrings_QtGui[19344]
#define sipNameNr_ResetTextureUnit 10867
#define sipName_ResetTextureUnit &sipStrings_QtGui[10867]
#define sipNameNr_TextureUnitReset 1256
#define sipName_TextureUnitReset &sipStrings_QtGui[1256]
#define sipNameNr_MipMapGeneration 1289
#define sipName_MipMapGeneration &sipStrings_QtGui[1289]
#define sipNameNr_patchVertexCount 19361
#define sipName_patchVertexCount &sipStrings_QtGui[19361]
#define sipNameNr_removeAllShaders 19378
#define sipName_removeAllShaders &sipStrings_QtGui[19378]
#define sipNameNr_hasOpenGLShaders 19395
#define sipName_hasOpenGLShaders &sipStrings_QtGui[19395]
#define sipNameNr_setTextureTarget 19412
#define sipName_setTextureTarget &sipStrings_QtGui[19412]
#define sipNameNr_ThirdPartySource 19429
#define sipName_ThirdPartySource &sipStrings_QtGui[19429]
#define sipNameNr_openGLModuleType 19446
#define sipName_openGLModuleType &sipStrings_QtGui[19446]
#define sipNameNr_OpenGLModuleType 1322
#define sipName_OpenGLModuleType &sipStrings_QtGui[1322]
#define sipNameNr_versionFunctions 19463
#define sipName_versionFunctions &sipStrings_QtGui[19463]
#define sipNameNr_RangeAccessFlags 1772
#define sipName_RangeAccessFlags &sipStrings_QtGui[1772]
#define sipNameNr_supportedFormats 19480
#define sipName_supportedFormats &sipStrings_QtGui[19480]
#define sipNameNr_SelectEndOfBlock 19497
#define sipName_SelectEndOfBlock &sipStrings_QtGui[19497]
#define sipNameNr_MoveToEndOfBlock 19514
#define sipName_MoveToEndOfBlock &sipStrings_QtGui[19514]
#define sipNameNr_animatingChanged 19531
#define sipName_animatingChanged &sipStrings_QtGui[19531]
#define sipNameNr_queryFocusObject 19548
#define sipName_queryFocusObject &sipStrings_QtGui[19548]
#define sipNameNr_ImageWriterError 2301
#define sipName_ImageWriterError &sipStrings_QtGui[2301]
#define sipNameNr_setAutoTransform 19565
#define sipName_setAutoTransform &sipStrings_QtGui[19565]
#define sipNameNr_InvalidDataError 19582
#define sipName_InvalidDataError &sipStrings_QtGui[19582]
#define sipNameNr_ImageReaderError 2332
#define sipName_ImageReaderError &sipStrings_QtGui[2332]
#define sipNameNr_currentImageRect 19599
#define sipName_currentImageRect &sipStrings_QtGui[19599]
#define sipNameNr_CompressionRatio 19616
#define sipName_CompressionRatio &sipStrings_QtGui[19616]
#define sipNameNr_setDotsPerMeterY 19633
#define sipName_setDotsPerMeterY &sipStrings_QtGui[19633]
#define sipNameNr_setDotsPerMeterX 19650
#define sipName_setDotsPerMeterX &sipStrings_QtGui[19650]
#define sipNameNr_themeSearchPaths 19667
#define sipName_themeSearchPaths &sipStrings_QtGui[19667]
#define sipNameNr_applicationState 19684
#define sipName_applicationState &sipStrings_QtGui[19684]
#define sipNameNr_devicePixelRatio 19701
#define sipName_devicePixelRatio &sipStrings_QtGui[19701]
#define sipNameNr_saveStateRequest 19718
#define sipName_saveStateRequest &sipStrings_QtGui[19718]
#define sipNameNr_lastWindowClosed 19735
#define sipName_lastWindowClosed &sipStrings_QtGui[19735]
#define sipNameNr_averageCharWidth 19752
#define sipName_averageCharWidth &sipStrings_QtGui[19752]
#define sipNameNr_boundingRectChar 19769
#define sipName_boundingRectChar &sipStrings_QtGui[19769]
#define sipNameNr_isBitmapScalable 19786
#define sipName_isBitmapScalable &sipStrings_QtGui[19786]
#define sipNameNr_setLetterSpacing 19803
#define sipName_setLetterSpacing &sipStrings_QtGui[19803]
#define sipNameNr_lastResortFamily 19820
#define sipName_lastResortFamily &sipStrings_QtGui[19820]
#define sipNameNr_setStyleStrategy 19837
#define sipName_setStyleStrategy &sipStrings_QtGui[19837]
#define sipNameNr_OpenGLCompatible 19854
#define sipName_OpenGLCompatible &sipStrings_QtGui[19854]
#define sipNameNr_QFont__StyleHint 19871
#define sipName_QFont__StyleHint &sipStrings_QtGui[19871]
#define sipNameNr_surfaceEventType 19888
#define sipName_surfaceEventType &sipStrings_QtGui[19888]
#define sipNameNr_SurfaceEventType 217
#define sipName_SurfaceEventType &sipStrings_QtGui[217]
#define sipNameNr_touchPointStates 19905
#define sipName_touchPointStates &sipStrings_QtGui[19905]
#define sipNameNr_replacementStart 19922
#define sipName_replacementStart &sipStrings_QtGui[19922]
#define sipNameNr_nativeVirtualKey 19939
#define sipName_nativeVirtualKey &sipStrings_QtGui[19939]
#define sipNameNr_supportedActions 19956
#define sipName_supportedActions &sipStrings_QtGui[19956]
#define sipNameNr_QDesktopServices 19973
#define sipName_QDesktopServices &sipStrings_QtGui[19973]
#define sipNameNr_QClipboard__Mode 19990
#define sipName_QClipboard__Mode &sipStrings_QtGui[19990]
#define sipNameNr_QConicalGradient 20007
#define sipName_QConicalGradient &sipStrings_QtGui[20007]
#define sipNameNr_drawInlineObject 20024
#define sipName_drawInlineObject &sipStrings_QtGui[20024]
#define sipNameNr_pageCountChanged 20041
#define sipName_pageCountChanged &sipStrings_QtGui[20041]
#define sipNameNr_handlerForObject 20058
#define sipName_handlerForObject &sipStrings_QtGui[20058]
#define sipNameNr_setDefaultFormat 20075
#define sipName_setDefaultFormat &sipStrings_QtGui[20075]
#define sipNameNr_selectionChanged 20092
#define sipName_selectionChanged &sipStrings_QtGui[20092]
#define sipNameNr_disconnectNotify 20109
#define sipName_disconnectNotify &sipStrings_QtGui[20109]
#define sipNameNr_20126 20126
#define sipName_20126 &sipStrings_QtGui[20126]
#define sipNameNr_20142 20142
#define sipName_20142 &sipStrings_QtGui[20142]
#define sipNameNr_20158 20158
#define sipName_20158 &sipStrings_QtGui[20158]
#define sipNameNr_20174 20174
#define sipName_20174 &sipStrings_QtGui[20174]
#define sipNameNr_20190 20190
#define sipName_20190 &sipStrings_QtGui[20190]
#define sipNameNr_mousePressEvent 20206
#define sipName_mousePressEvent &sipStrings_QtGui[20206]
#define sipNameNr_keyReleaseEvent 20222
#define sipName_keyReleaseEvent &sipStrings_QtGui[20222]
#define sipNameNr_modalityChanged 20238
#define sipName_modalityChanged &sipStrings_QtGui[20238]
#define sipNameNr_setMaximumWidth 20254
#define sipName_setMaximumWidth &sipStrings_QtGui[20254]
#define sipNameNr_setMinimumWidth 20270
#define sipName_setMinimumWidth &sipStrings_QtGui[20270]
#define sipNameNr_transientParent 20286
#define sipName_transientParent &sipStrings_QtGui[20286]
#define sipNameNr_requestActivate 20302
#define sipName_requestActivate &sipStrings_QtGui[20302]
#define sipNameNr_distanceToPoint 20318
#define sipName_distanceToPoint &sipStrings_QtGui[20318]
#define sipNameNr_setCapabilities 20334
#define sipName_setCapabilities &sipStrings_QtGui[20334]
#define sipNameNr_firstLineNumber 20350
#define sipName_firstLineNumber &sipStrings_QtGui[20350]
#define sipNameNr_charFormatIndex 20366
#define sipName_charFormatIndex &sipStrings_QtGui[20366]
#define sipNameNr_QTextBlockGroup 20382
#define sipName_QTextBlockGroup &sipStrings_QtGui[20382]
#define sipNameNr_leadingIncluded 20398
#define sipName_leadingIncluded &sipStrings_QtGui[20398]
#define sipNameNr_QTextLine__Edge 20414
#define sipName_QTextLine__Edge &sipStrings_QtGui[20414]
#define sipNameNr_naturalTextRect 20430
#define sipName_naturalTextRect &sipStrings_QtGui[20430]
#define sipNameNr_cursorMoveStyle 20446
#define sipName_cursorMoveStyle &sipStrings_QtGui[20446]
#define sipNameNr_setCacheEnabled 20462
#define sipName_setCacheEnabled &sipStrings_QtGui[20462]
#define sipNameNr_preeditAreaText 20478
#define sipName_preeditAreaText &sipStrings_QtGui[20478]
#define sipNameNr_setRightPadding 20494
#define sipName_setRightPadding &sipStrings_QtGui[20494]
#define sipNameNr_setNumberSuffix 20510
#define sipName_setNumberSuffix &sipStrings_QtGui[20510]
#define sipNameNr_setNumberPrefix 20526
#define sipName_setNumberPrefix &sipStrings_QtGui[20526]
#define sipNameNr_QTextListFormat 20542
#define sipName_QTextListFormat &sipStrings_QtGui[20542]
#define sipNameNr_LineHeightTypes 757
#define sipName_LineHeightTypes &sipStrings_QtGui[757]
#define sipNameNr_setTabPositions 20558
#define sipName_setTabPositions &sipStrings_QtGui[20558]
#define sipNameNr_pageBreakPolicy 20574
#define sipName_pageBreakPolicy &sipStrings_QtGui[20574]
#define sipNameNr_fontWordSpacing 20590
#define sipName_fontWordSpacing &sipStrings_QtGui[20590]
#define sipNameNr_SingleUnderline 20606
#define sipName_SingleUnderline &sipStrings_QtGui[20606]
#define sipNameNr_setFontOverline 20622
#define sipName_setFontOverline &sipStrings_QtGui[20622]
#define sipNameNr_QTextCharFormat 20638
#define sipName_QTextCharFormat &sipStrings_QtGui[20638]
#define sipNameNr_clearForeground 20654
#define sipName_clearForeground &sipStrings_QtGui[20654]
#define sipNameNr_clearBackground 20670
#define sipName_clearBackground &sipStrings_QtGui[20670]
#define sipNameNr_FontWordSpacing 13388
#define sipName_FontWordSpacing &sipStrings_QtGui[13388]
#define sipNameNr_FrameLeftMargin 20686
#define sipName_FrameLeftMargin &sipStrings_QtGui[20686]
#define sipNameNr_PageBreakPolicy 13369
#define sipName_PageBreakPolicy &sipStrings_QtGui[13369]
#define sipNameNr_BlockLeftMargin 20702
#define sipName_BlockLeftMargin &sipStrings_QtGui[20702]
#define sipNameNr_ForegroundBrush 20718
#define sipName_ForegroundBrush &sipStrings_QtGui[20718]
#define sipNameNr_BackgroundBrush 20734
#define sipName_BackgroundBrush &sipStrings_QtGui[20734]
#define sipNameNr_TableCellObject 20750
#define sipName_TableCellObject &sipStrings_QtGui[20750]
#define sipNameNr_contentsChanged 20766
#define sipName_contentsChanged &sipStrings_QtGui[20766]
#define sipNameNr_objectForFormat 20782
#define sipName_objectForFormat &sipStrings_QtGui[20782]
#define sipNameNr_metaInformation 20798
#define sipName_metaInformation &sipStrings_QtGui[20798]
#define sipNameNr_MetaInformation 1992
#define sipName_MetaInformation &sipStrings_QtGui[1992]
#define sipNameNr_isRedoAvailable 20814
#define sipName_isRedoAvailable &sipStrings_QtGui[20814]
#define sipNameNr_isUndoAvailable 20830
#define sipName_isUndoAvailable &sipStrings_QtGui[20830]
#define sipNameNr_mightBeRichText 20846
#define sipName_mightBeRichText &sipStrings_QtGui[20846]
#define sipNameNr_positionInBlock 20862
#define sipName_positionInBlock &sipStrings_QtGui[20862]
#define sipNameNr_blockCharFormat 20878
#define sipName_blockCharFormat &sipStrings_QtGui[20878]
#define sipNameNr_mergeCharFormat 20894
#define sipName_mergeCharFormat &sipStrings_QtGui[20894]
#define sipNameNr_LineUnderCursor 20910
#define sipName_LineUnderCursor &sipStrings_QtGui[20910]
#define sipNameNr_WordUnderCursor 20926
#define sipName_WordUnderCursor &sipStrings_QtGui[20926]
#define sipNameNr_setSwapInterval 20942
#define sipName_setSwapInterval &sipStrings_QtGui[20942]
#define sipNameNr_setMinorVersion 20958
#define sipName_setMinorVersion &sipStrings_QtGui[20958]
#define sipNameNr_setMajorVersion 20974
#define sipName_setMajorVersion &sipStrings_QtGui[20974]
#define sipNameNr_setSwapBehavior 20990
#define sipName_setSwapBehavior &sipStrings_QtGui[20990]
#define sipNameNr_alphaBufferSize 21006
#define sipName_alphaBufferSize &sipStrings_QtGui[21006]
#define sipNameNr_greenBufferSize 21022
#define sipName_greenBufferSize &sipStrings_QtGui[21022]
#define sipNameNr_depthBufferSize 21038
#define sipName_depthBufferSize &sipStrings_QtGui[21038]
#define sipNameNr_RasterGLSurface 21054
#define sipName_RasterGLSurface &sipStrings_QtGui[21054]
#define sipNameNr_cursorFlashTime 21070
#define sipName_cursorFlashTime &sipStrings_QtGui[21070]
#define sipNameNr_performanceHint 21086
#define sipName_performanceHint &sipStrings_QtGui[21086]
#define sipNameNr_ModerateCaching 21102
#define sipName_ModerateCaching &sipStrings_QtGui[21102]
#define sipNameNr_PerformanceHint 3107
#define sipName_PerformanceHint &sipStrings_QtGui[3107]
#define sipNameNr_emitDataChanged 21118
#define sipName_emitDataChanged &sipStrings_QtGui[21118]
#define sipNameNr_QSessionManager 21134
#define sipName_QSessionManager &sipStrings_QtGui[21134]
#define sipNameNr_geometryChanged 21150
#define sipName_geometryChanged &sipStrings_QtGui[21150]
#define sipNameNr_virtualGeometry 21166
#define sipName_virtualGeometry &sipStrings_QtGui[21166]
#define sipNameNr_virtualSiblings 21182
#define sipName_virtualSiblings &sipStrings_QtGui[21182]
#define sipNameNr_fromEulerAngles 21198
#define sipName_fromEulerAngles &sipStrings_QtGui[21198]
#define sipNameNr_getAxisAndAngle 21214
#define sipName_getAxisAndAngle &sipStrings_QtGui[21214]
#define sipNameNr_fromImageReader 21230
#define sipName_fromImageReader &sipStrings_QtGui[21230]
#define sipNameNr_qPixelFormatYuv 21246
#define sipName_qPixelFormatYuv &sipStrings_QtGui[21246]
#define sipNameNr_qPixelFormatHsv 21262
#define sipName_qPixelFormatHsv &sipStrings_QtGui[21262]
#define sipNameNr_qPixelFormatHsl 21278
#define sipName_qPixelFormatHsl &sipStrings_QtGui[21278]
#define sipNameNr_UnsignedInteger 21294
#define sipName_UnsignedInteger &sipStrings_QtGui[21294]
#define sipNameNr_defineIOHandler 21310
#define sipName_defineIOHandler &sipStrings_QtGui[21310]
#define sipNameNr_highlightedText 21326
#define sipName_highlightedText &sipStrings_QtGui[21326]
#define sipNameNr_HighlightedText 21342
#define sipName_HighlightedText &sipStrings_QtGui[21342]
#define sipNameNr_percentAtLength 21358
#define sipName_percentAtLength &sipStrings_QtGui[21358]
#define sipNameNr_currentPosition 21374
#define sipName_currentPosition &sipStrings_QtGui[21374]
#define sipNameNr_backgroundBrush 21390
#define sipName_backgroundBrush &sipStrings_QtGui[21390]
#define sipNameNr_PolygonDrawMode 2453
#define sipName_PolygonDrawMode &sipStrings_QtGui[2453]
#define sipNameNr_DirtyClipRegion 21406
#define sipName_DirtyClipRegion &sipStrings_QtGui[21406]
#define sipNameNr_DirtyBackground 21422
#define sipName_DirtyBackground &sipStrings_QtGui[21422]
#define sipNameNr_ConstantOpacity 21438
#define sipName_ConstantOpacity &sipStrings_QtGui[21438]
#define sipNameNr_PixmapTransform 9183
#define sipName_PixmapTransform &sipStrings_QtGui[9183]
#define sipNameNr_PdmPhysicalDpiY 21454
#define sipName_PdmPhysicalDpiY &sipStrings_QtGui[21454]
#define sipNameNr_PdmPhysicalDpiX 21470
#define sipName_PdmPhysicalDpiX &sipStrings_QtGui[21470]
#define sipNameNr_drawRoundedRect 21486
#define sipName_drawRoundedRect &sipStrings_QtGui[21486]
#define sipNameNr_deviceTransform 21502
#define sipName_deviceTransform &sipStrings_QtGui[21502]
#define sipNameNr_drawTiledPixmap 21518
#define sipName_drawTiledPixmap &sipStrings_QtGui[21518]
#define sipNameNr_compositionMode 21534
#define sipName_compositionMode &sipStrings_QtGui[21534]
#define sipNameNr_CompositionMode 5111
#define sipName_CompositionMode &sipStrings_QtGui[5111]
#define sipNameNr_definitionUnits 21550
#define sipName_definitionUnits &sipStrings_QtGui[21550]
#define sipNameNr_SizeMatchPolicy 4479
#define sipName_SizeMatchPolicy &sipStrings_QtGui[4479]
#define sipNameNr_QPageSize__Unit 21566
#define sipName_QPageSize__Unit &sipStrings_QtGui[21566]
#define sipNameNr_paintRectPixels 21582
#define sipName_paintRectPixels &sipStrings_QtGui[21582]
#define sipNameNr_paintRectPoints 21598
#define sipName_paintRectPoints &sipStrings_QtGui[21598]
#define sipNameNr_setBottomMargin 21614
#define sipName_setBottomMargin &sipStrings_QtGui[21614]
#define sipNameNr_EnvelopeItalian 21630
#define sipName_EnvelopeItalian &sipStrings_QtGui[21630]
#define sipNameNr_EnvelopeMonarch 21646
#define sipName_EnvelopeMonarch &sipStrings_QtGui[21646]
#define sipNameNr_grabFramebuffer 21662
#define sipName_grabFramebuffer &sipStrings_QtGui[21662]
#define sipNameNr_NoPartialUpdate 21678
#define sipName_NoPartialUpdate &sipStrings_QtGui[21678]
#define sipNameNr_recordTimestamp 21694
#define sipName_recordTimestamp &sipStrings_QtGui[21694]
#define sipNameNr_generateMipMaps 21710
#define sipName_generateMipMaps &sipStrings_QtGui[21710]
#define sipNameNr_setMipBaseLevel 21726
#define sipName_setMipBaseLevel &sipStrings_QtGui[21726]
#define sipNameNr_UInt8_RG3B2_Rev 21742
#define sipName_UInt8_RG3B2_Rev &sipStrings_QtGui[21742]
#define sipNameNr_UInt32_RG11B10F 21758
#define sipName_UInt32_RG11B10F &sipStrings_QtGui[21758]
#define sipNameNr_allocateStorage 21774
#define sipName_allocateStorage &sipStrings_QtGui[21774]
#define sipNameNr_LuminanceFormat 21790
#define sipName_LuminanceFormat &sipStrings_QtGui[21790]
#define sipNameNr_SRGB_Alpha_DXT5 21806
#define sipName_SRGB_Alpha_DXT5 &sipStrings_QtGui[21806]
#define sipNameNr_SRGB_Alpha_DXT3 21822
#define sipName_SRGB_Alpha_DXT3 &sipStrings_QtGui[21822]
#define sipNameNr_SRGB_Alpha_DXT1 21838
#define sipName_SRGB_Alpha_DXT1 &sipStrings_QtGui[21838]
#define sipNameNr_GenerateMipMaps 12353
#define sipName_GenerateMipMaps &sipStrings_QtGui[12353]
#define sipNameNr_BindingTarget3D 21854
#define sipName_BindingTarget3D &sipStrings_QtGui[21854]
#define sipNameNr_BindingTarget2D 21870
#define sipName_BindingTarget2D &sipStrings_QtGui[21870]
#define sipNameNr_BindingTarget1D 21886
#define sipName_BindingTarget1D &sipStrings_QtGui[21886]
#define sipNameNr_TargetRectangle 7982
#define sipName_TargetRectangle &sipStrings_QtGui[7982]
#define sipNameNr_setUniformValue 21902
#define sipName_setUniformValue &sipStrings_QtGui[21902]
#define sipNameNr_uniformLocation 21918
#define sipName_uniformLocation &sipStrings_QtGui[21918]
#define sipNameNr_setPaintFlipped 21934
#define sipName_setPaintFlipped &sipStrings_QtGui[21934]
#define sipNameNr_blitFramebuffer 21950
#define sipName_blitFramebuffer &sipStrings_QtGui[21950]
#define sipNameNr_internal_format 21966
#define sipName_internal_format &sipStrings_QtGui[21966]
#define sipNameNr_disableMessages 21982
#define sipName_disableMessages &sipStrings_QtGui[21982]
#define sipNameNr_InvalidSeverity 21998
#define sipName_InvalidSeverity &sipStrings_QtGui[21998]
#define sipNameNr_PerformanceType 22014
#define sipName_PerformanceType &sipStrings_QtGui[22014]
#define sipNameNr_PortabilityType 22030
#define sipName_PortabilityType &sipStrings_QtGui[22030]
#define sipNameNr_isLegacyVersion 22046
#define sipName_isLegacyVersion &sipStrings_QtGui[22046]
#define sipNameNr_setNativeHandle 22062
#define sipName_setNativeHandle &sipStrings_QtGui[22062]
#define sipNameNr_setShareContext 22078
#define sipName_setShareContext &sipStrings_QtGui[22078]
#define sipNameNr_RangeInvalidate 22094
#define sipName_RangeInvalidate &sipStrings_QtGui[22094]
#define sipNameNr_RangeAccessFlag 2271
#define sipName_RangeAccessFlag &sipStrings_QtGui[2271]
#define sipNameNr_setUsagePattern 22110
#define sipName_setUsagePattern &sipStrings_QtGui[22110]
#define sipNameNr_PixelPackBuffer 22126
#define sipName_PixelPackBuffer &sipStrings_QtGui[22126]
#define sipNameNr_requestedFormat 22142
#define sipName_requestedFormat &sipStrings_QtGui[22142]
#define sipNameNr_jumpToNextFrame 22158
#define sipName_jumpToNextFrame &sipStrings_QtGui[22158]
#define sipNameNr_distanceToPlane 22174
#define sipName_distanceToPlane &sipStrings_QtGui[22174]
#define sipNameNr_DeleteEndOfLine 22190
#define sipName_DeleteEndOfLine &sipStrings_QtGui[22190]
#define sipNameNr_DeleteEndOfWord 22206
#define sipName_DeleteEndOfWord &sipStrings_QtGui[22206]
#define sipNameNr_SelectEndOfLine 22222
#define sipName_SelectEndOfLine &sipStrings_QtGui[22222]
#define sipNameNr_MoveToEndOfLine 22238
#define sipName_MoveToEndOfLine &sipStrings_QtGui[22238]
#define sipNameNr_cursorRectangle 22254
#define sipName_cursorRectangle &sipStrings_QtGui[22254]
#define sipNameNr_backgroundColor 22270
#define sipName_backgroundColor &sipStrings_QtGui[22270]
#define sipNameNr_Transformations 1356
#define sipName_Transformations &sipStrings_QtGui[1356]
#define sipNameNr_jumpToNextImage 22286
#define sipName_jumpToNextImage &sipStrings_QtGui[22286]
#define sipNameNr_BackgroundColor 14927
#define sipName_BackgroundColor &sipStrings_QtGui[14927]
#define sipNameNr_QImageIOHandler 22302
#define sipName_QImageIOHandler &sipStrings_QtGui[22302]
#define sipNameNr_aspectRatioMode 22318
#define sipName_aspectRatioMode &sipStrings_QtGui[22318]
#define sipNameNr_createAlphaMask 22334
#define sipName_createAlphaMask &sipStrings_QtGui[22334]
#define sipNameNr_hasAlphaChannel 22350
#define sipName_hasAlphaChannel &sipStrings_QtGui[22350]
#define sipNameNr_convertToFormat 22366
#define sipName_convertToFormat &sipStrings_QtGui[22366]
#define sipNameNr_Format_RGBA8888 22382
#define sipName_Format_RGBA8888 &sipStrings_QtGui[22382]
#define sipNameNr_Format_RGBX8888 22398
#define sipName_Format_RGBX8888 &sipStrings_QtGui[22398]
#define sipNameNr_Format_Indexed8 22414
#define sipName_Format_Indexed8 &sipStrings_QtGui[22414]
#define sipNameNr_isSavingSession 22430
#define sipName_isSavingSession &sipStrings_QtGui[22430]
#define sipNameNr_layoutDirection 22446
#define sipName_layoutDirection &sipStrings_QtGui[22446]
#define sipNameNr_topLevelWindows 22462
#define sipName_topLevelWindows &sipStrings_QtGui[22462]
#define sipNameNr_QGuiApplication 22478
#define sipName_QGuiApplication &sipStrings_QtGui[22478]
#define sipNameNr_setBoundingRect 22494
#define sipName_setBoundingRect &sipStrings_QtGui[22494]
#define sipNameNr_setGlyphIndexes 22510
#define sipName_setGlyphIndexes &sipStrings_QtGui[22510]
#define sipNameNr_minRightBearing 22526
#define sipName_minRightBearing &sipStrings_QtGui[22526]
#define sipNameNr_isPrivateFamily 22542
#define sipName_isPrivateFamily &sipStrings_QtGui[22542]
#define sipNameNr_PreferNoHinting 22558
#define sipName_PreferNoHinting &sipStrings_QtGui[22558]
#define sipNameNr_AbsoluteSpacing 22574
#define sipName_AbsoluteSpacing &sipStrings_QtGui[22574]
#define sipNameNr_cacheStatistics 22590
#define sipName_cacheStatistics &sipStrings_QtGui[22590]
#define sipNameNr_PreferAntialias 22606
#define sipName_PreferAntialias &sipStrings_QtGui[22606]
#define sipNameNr_setViewportSize 22622
#define sipName_setViewportSize &sipStrings_QtGui[22622]
#define sipNameNr_contentPosRange 22638
#define sipName_contentPosRange &sipStrings_QtGui[22638]
#define sipNameNr_QStatusTipEvent 22654
#define sipName_QStatusTipEvent &sipStrings_QtGui[22654]
#define sipNameNr_QDragLeaveEvent 22670
#define sipName_QDragLeaveEvent &sipStrings_QtGui[22670]
#define sipNameNr_QDragEnterEvent 22686
#define sipName_QDragEnterEvent &sipStrings_QtGui[22686]
#define sipNameNr_possibleActions 22702
#define sipName_possibleActions &sipStrings_QtGui[22702]
#define sipNameNr_setCommitString 22718
#define sipName_setCommitString &sipStrings_QtGui[22718]
#define sipNameNr_nativeModifiers 22734
#define sipName_nativeModifiers &sipStrings_QtGui[22734]
#define sipNameNr_unsetUrlHandler 22750
#define sipName_unsetUrlHandler &sipStrings_QtGui[22750]
#define sipNameNr_setCenterRadius 22766
#define sipName_setCenterRadius &sipStrings_QtGui[22766]
#define sipNameNr_QRadialGradient 22782
#define sipName_QRadialGradient &sipStrings_QtGui[22782]
#define sipNameNr_QLinearGradient 22798
#define sipName_QLinearGradient &sipStrings_QtGui[22798]
#define sipNameNr_ConicalGradient 20008
#define sipName_ConicalGradient &sipStrings_QtGui[20008]
#define sipNameNr_QGradient__Type 22814
#define sipName_QGradient__Type &sipStrings_QtGui[22814]
#define sipNameNr_setTextureImage 22830
#define sipName_setTextureImage &sipStrings_QtGui[22830]
#define sipNameNr_documentChanged 22846
#define sipName_documentChanged &sipStrings_QtGui[22846]
#define sipNameNr_registerHandler 17794
#define sipName_registerHandler &sipStrings_QtGui[17794]
#define sipNameNr_canDropMimeData 22862
#define sipName_canDropMimeData &sipStrings_QtGui[22862]
#define sipNameNr_LayoutDirection 15098
#define sipName_LayoutDirection &sipStrings_QtGui[15098]
#define sipNameNr_22878 22878
#define sipName_22878 &sipStrings_QtGui[22878]
#define sipNameNr_22893 22893
#define sipName_22893 &sipStrings_QtGui[22893]
#define sipNameNr_22908 22908
#define sipName_22908 &sipStrings_QtGui[22908]
#define sipNameNr_22923 22923
#define sipName_22923 &sipStrings_QtGui[22923]
#define sipNameNr_opacityChanged 22938
#define sipName_opacityChanged &sipStrings_QtGui[22938]
#define sipNameNr_mouseMoveEvent 22953
#define sipName_mouseMoveEvent &sipStrings_QtGui[22953]
#define sipNameNr_showFullScreen 22968
#define sipName_showFullScreen &sipStrings_QtGui[22968]
#define sipNameNr_setMaximumSize 22983
#define sipName_setMaximumSize &sipStrings_QtGui[22983]
#define sipNameNr_setMinimumSize 22998
#define sipName_setMinimumSize &sipStrings_QtGui[22998]
#define sipNameNr_setWindowState 23013
#define sipName_setWindowState &sipStrings_QtGui[23013]
#define sipNameNr_setSurfaceType 23028
#define sipName_setSurfaceType &sipStrings_QtGui[23028]
#define sipNameNr_distanceToLine 23043
#define sipName_distanceToLine &sipStrings_QtGui[23043]
#define sipNameNr_MouseEmulation 23058
#define sipName_MouseEmulation &sipStrings_QtGui[23058]
#define sipNameNr_CapabilityFlag 2963
#define sipName_CapabilityFlag &sipStrings_QtGui[2963]
#define sipNameNr_QTextTableCell 23073
#define sipName_QTextTableCell &sipStrings_QtGui[23073]
#define sipNameNr_SuppressColors 23088
#define sipName_SuppressColors &sipStrings_QtGui[23088]
#define sipNameNr_setFrameFormat 23103
#define sipName_setFrameFormat &sipStrings_QtGui[23103]
#define sipNameNr_CursorPosition 4748
#define sipName_CursorPosition &sipStrings_QtGui[4748]
#define sipNameNr_SkipCharacters 23118
#define sipName_SkipCharacters &sipStrings_QtGui[23118]
#define sipNameNr_setPreeditArea 23133
#define sipName_setPreeditArea &sipStrings_QtGui[23133]
#define sipNameNr_setLeftPadding 23148
#define sipName_setLeftPadding &sipStrings_QtGui[23148]
#define sipNameNr_headerRowCount 23163
#define sipName_headerRowCount &sipStrings_QtGui[23163]
#define sipNameNr_setCellPadding 23178
#define sipName_setCellPadding &sipStrings_QtGui[23178]
#define sipNameNr_setCellSpacing 23193
#define sipName_setCellSpacing &sipStrings_QtGui[23193]
#define sipNameNr_setBorderStyle 23208
#define sipName_setBorderStyle &sipStrings_QtGui[23208]
#define sipNameNr_setBorderBrush 23223
#define sipName_setBorderBrush &sipStrings_QtGui[23223]
#define sipNameNr_ListUpperRoman 23238
#define sipName_ListUpperRoman &sipStrings_QtGui[23238]
#define sipNameNr_ListLowerRoman 23253
#define sipName_ListLowerRoman &sipStrings_QtGui[23253]
#define sipNameNr_ListUpperAlpha 23268
#define sipName_ListUpperAlpha &sipStrings_QtGui[23268]
#define sipNameNr_ListLowerAlpha 23283
#define sipName_ListLowerAlpha &sipStrings_QtGui[23283]
#define sipNameNr_lineHeightType 23298
#define sipName_lineHeightType &sipStrings_QtGui[23298]
#define sipNameNr_setFontStretch 23313
#define sipName_setFontStretch &sipStrings_QtGui[23313]
#define sipNameNr_setFontKerning 23328
#define sipName_setFontKerning &sipStrings_QtGui[23328]
#define sipNameNr_setAnchorNames 23343
#define sipName_setAnchorNames &sipStrings_QtGui[23343]
#define sipNameNr_underlineStyle 23358
#define sipName_underlineStyle &sipStrings_QtGui[23358]
#define sipNameNr_UnderlineStyle 1454
#define sipName_UnderlineStyle &sipStrings_QtGui[1454]
#define sipNameNr_setTextOutline 23373
#define sipName_setTextOutline &sipStrings_QtGui[23373]
#define sipNameNr_fontFixedPitch 23388
#define sipName_fontFixedPitch &sipStrings_QtGui[23388]
#define sipNameNr_underlineColor 23403
#define sipName_underlineColor &sipStrings_QtGui[23403]
#define sipNameNr_AlignSubScript 23418
#define sipName_AlignSubScript &sipStrings_QtGui[23418]
#define sipNameNr_lengthProperty 23433
#define sipName_lengthProperty &sipStrings_QtGui[23433]
#define sipNameNr_stringProperty 23448
#define sipName_stringProperty &sipStrings_QtGui[23448]
#define sipNameNr_doubleProperty 23463
#define sipName_doubleProperty &sipStrings_QtGui[23463]
#define sipNameNr_setObjectIndex 23478
#define sipName_setObjectIndex &sipStrings_QtGui[23478]
#define sipNameNr_LineHeightType 23493
#define sipName_LineHeightType &sipStrings_QtGui[23493]
#define sipNameNr_FrameTopMargin 23508
#define sipName_FrameTopMargin &sipStrings_QtGui[23508]
#define sipNameNr_FontFixedPitch 15797
#define sipName_FontFixedPitch &sipStrings_QtGui[15797]
#define sipNameNr_BlockTopMargin 23523
#define sipName_BlockTopMargin &sipStrings_QtGui[23523]
#define sipNameNr_BlockAlignment 23538
#define sipName_BlockAlignment &sipStrings_QtGui[23538]
#define sipNameNr_PageBreakFlags 3654
#define sipName_PageBreakFlags &sipStrings_QtGui[3654]
#define sipNameNr_PageBreak_Auto 23553
#define sipName_PageBreak_Auto &sipStrings_QtGui[23553]
#define sipNameNr_VariableLength 23568
#define sipName_VariableLength &sipStrings_QtGui[23568]
#define sipNameNr_baseUrlChanged 23583
#define sipName_baseUrlChanged &sipStrings_QtGui[23583]
#define sipNameNr_characterCount 23598
#define sipName_characterCount &sipStrings_QtGui[23598]
#define sipNameNr_documentMargin 23613
#define sipName_documentMargin &sipStrings_QtGui[23613]
#define sipNameNr_setIndentWidth 23628
#define sipName_setIndentWidth &sipStrings_QtGui[23628]
#define sipNameNr_contentsChange 23643
#define sipName_contentsChange &sipStrings_QtGui[23643]
#define sipNameNr_setDefaultFont 23658
#define sipName_setDefaultFont &sipStrings_QtGui[23658]
#define sipNameNr_FindWholeWords 23673
#define sipName_FindWholeWords &sipStrings_QtGui[23673]
#define sipNameNr_documentLayout 23688
#define sipName_documentLayout &sipStrings_QtGui[23688]
#define sipNameNr_beginEditBlock 23703
#define sipName_beginEditBlock &sipStrings_QtGui[23703]
#define sipNameNr_insertFragment 23718
#define sipName_insertFragment &sipStrings_QtGui[23718]
#define sipNameNr_setBlockFormat 23733
#define sipName_setBlockFormat &sipStrings_QtGui[23733]
#define sipNameNr_selectionStart 23748
#define sipName_selectionStart &sipStrings_QtGui[23748]
#define sipNameNr_highlightBlock 18615
#define sipName_highlightBlock &sipStrings_QtGui[18615]
#define sipNameNr_renderableType 23763
#define sipName_renderableType &sipStrings_QtGui[23763]
#define sipNameNr_blueBufferSize 23778
#define sipName_blueBufferSize &sipStrings_QtGui[23778]
#define sipNameNr_RenderableType 2024
#define sipName_RenderableType &sipStrings_QtGui[2024]
#define sipNameNr_QSurfaceFormat 23793
#define sipName_QSurfaceFormat &sipStrings_QtGui[23793]
#define sipNameNr_supportsOpenGL 23808
#define sipName_supportsOpenGL &sipStrings_QtGui[23808]
#define sipNameNr_setDropEnabled 23823
#define sipName_setDropEnabled &sipStrings_QtGui[23823]
#define sipNameNr_setDragEnabled 23838
#define sipName_setDragEnabled &sipStrings_QtGui[23838]
#define sipNameNr_accessibleText 23853
#define sipName_accessibleText &sipStrings_QtGui[23853]
#define sipNameNr_setColumnCount 23868
#define sipName_setColumnCount &sipStrings_QtGui[23868]
#define sipNameNr_discardCommand 23883
#define sipName_discardCommand &sipStrings_QtGui[23883]
#define sipNameNr_restartCommand 23898
#define sipName_restartCommand &sipStrings_QtGui[23898]
#define sipNameNr_setRestartHint 23913
#define sipName_setRestartHint &sipStrings_QtGui[23913]
#define sipNameNr_qUnpremultiply 23928
#define sipName_qUnpremultiply &sipStrings_QtGui[23928]
#define sipNameNr_KernedAdvances 23943
#define sipName_KernedAdvances &sipStrings_QtGui[23943]
#define sipNameNr_getEulerAngles 23958
#define sipName_getEulerAngles &sipStrings_QtGui[23958]
#define sipNameNr_brightnessSize 23973
#define sipName_brightnessSize &sipStrings_QtGui[23973]
#define sipNameNr_saturationSize 23988
#define sipName_saturationSize &sipStrings_QtGui[23988]
#define sipNameNr_setDashPattern 24003
#define sipName_setDashPattern &sipStrings_QtGui[24003]
#define sipNameNr_curveThreshold 24018
#define sipName_curveThreshold &sipStrings_QtGui[24018]
#define sipNameNr_addRoundedRect 24033
#define sipName_addRoundedRect &sipStrings_QtGui[24033]
#define sipNameNr_slopeAtPercent 24048
#define sipName_slopeAtPercent &sipStrings_QtGui[24048]
#define sipNameNr_angleAtPercent 24063
#define sipName_angleAtPercent &sipStrings_QtGui[24063]
#define sipNameNr_pointAtPercent 24078
#define sipName_pointAtPercent &sipStrings_QtGui[24078]
#define sipNameNr_toFillPolygons 24093
#define sipName_toFillPolygons &sipStrings_QtGui[24093]
#define sipNameNr_CurveToElement 24108
#define sipName_CurveToElement &sipStrings_QtGui[24108]
#define sipNameNr_DirtyTransform 24123
#define sipName_DirtyTransform &sipStrings_QtGui[24123]
#define sipNameNr_paintingActive 24138
#define sipName_paintingActive &sipStrings_QtGui[24138]
#define sipNameNr_drawStaticText 24153
#define sipName_drawStaticText &sipStrings_QtGui[24153]
#define sipNameNr_PixmapFragment 5978
#define sipName_PixmapFragment &sipStrings_QtGui[5978]
#define sipNameNr_testRenderHint 24168
#define sipName_testRenderHint &sipStrings_QtGui[24168]
#define sipNameNr_worldTransform 24183
#define sipName_worldTransform &sipStrings_QtGui[24183]
#define sipNameNr_resetTransform 24198
#define sipName_resetTransform &sipStrings_QtGui[24198]
#define sipNameNr_setRenderHints 24213
#define sipName_setRenderHints &sipStrings_QtGui[24213]
#define sipNameNr_setBrushOrigin 24228
#define sipName_setBrushOrigin &sipStrings_QtGui[24228]
#define sipNameNr_backgroundMode 24243
#define sipName_backgroundMode &sipStrings_QtGui[24243]
#define sipNameNr_definitionSize 24258
#define sipName_definitionSize &sipStrings_QtGui[24258]
#define sipNameNr_fullRectPixels 24273
#define sipName_fullRectPixels &sipStrings_QtGui[24273]
#define sipNameNr_fullRectPoints 24288
#define sipName_fullRectPoints &sipStrings_QtGui[24288]
#define sipNameNr_maximumMargins 24303
#define sipName_maximumMargins &sipStrings_QtGui[24303]
#define sipNameNr_minimumMargins 24318
#define sipName_minimumMargins &sipStrings_QtGui[24318]
#define sipNameNr_setRightMargin 24333
#define sipName_setRightMargin &sipStrings_QtGui[24333]
#define sipNameNr_setOrientation 24348
#define sipName_setOrientation &sipStrings_QtGui[24348]
#define sipNameNr_isEquivalentTo 24363
#define sipName_isEquivalentTo &sipStrings_QtGui[24363]
#define sipNameNr_setPageMargins 24378
#define sipName_setPageMargins &sipStrings_QtGui[24378]
#define sipNameNr_EnvelopeInvite 24393
#define sipName_EnvelopeInvite &sipStrings_QtGui[24393]
#define sipNameNr_DoublePostcard 24408
#define sipName_DoublePostcard &sipStrings_QtGui[24408]
#define sipNameNr_updateBehavior 24423
#define sipName_updateBehavior &sipStrings_QtGui[24423]
#define sipNameNr_UpdateBehavior 2604
#define sipName_UpdateBehavior &sipStrings_QtGui[2604]
#define sipNameNr_waitForSamples 24438
#define sipName_waitForSamples &sipStrings_QtGui[24438]
#define sipNameNr_setSampleCount 24453
#define sipName_setSampleCount &sipStrings_QtGui[24453]
#define sipNameNr_comparisonMode 24468
#define sipName_comparisonMode &sipStrings_QtGui[24468]
#define sipNameNr_ComparisonMode 2086
#define sipName_ComparisonMode &sipStrings_QtGui[2086]
#define sipNameNr_CompareGreater 24483
#define sipName_CompareGreater &sipStrings_QtGui[24483]
#define sipNameNr_setBorderColor 24498
#define sipName_setBorderColor &sipStrings_QtGui[24498]
#define sipNameNr_MirroredRepeat 24513
#define sipName_MirroredRepeat &sipStrings_QtGui[24513]
#define sipNameNr_setSwizzleMask 24528
#define sipName_setSwizzleMask &sipStrings_QtGui[24528]
#define sipNameNr_resetBaseLevel 24543
#define sipName_resetBaseLevel &sipStrings_QtGui[24543]
#define sipNameNr_setMipMaxLevel 24558
#define sipName_setMipMaxLevel &sipStrings_QtGui[24558]
#define sipNameNr_UInt32_RGB10A2 24573
#define sipName_UInt32_RGB10A2 &sipStrings_QtGui[24573]
#define sipNameNr_UInt32_RGB9_E5 24588
#define sipName_UInt32_RGB9_E5 &sipStrings_QtGui[24588]
#define sipNameNr_LuminanceAlpha 24603
#define sipName_LuminanceAlpha &sipStrings_QtGui[24603]
#define sipNameNr_NoSourceFormat 24618
#define sipName_NoSourceFormat &sipStrings_QtGui[24618]
#define sipNameNr_RGBA8_ETC2_EAC 24633
#define sipName_RGBA8_ETC2_EAC &sipStrings_QtGui[24633]
#define sipNameNr_RG11_EAC_SNorm 24648
#define sipName_RG11_EAC_SNorm &sipStrings_QtGui[24648]
#define sipNameNr_RG11_EAC_UNorm 24663
#define sipName_RG11_EAC_UNorm &sipStrings_QtGui[24663]
#define sipNameNr_RG_ATI2N_SNorm 24678
#define sipName_RG_ATI2N_SNorm &sipStrings_QtGui[24678]
#define sipNameNr_RG_ATI2N_UNorm 24693
#define sipName_RG_ATI2N_UNorm &sipStrings_QtGui[24693]
#define sipNameNr_boundTextureId 24708
#define sipName_boundTextureId &sipStrings_QtGui[24708]
#define sipNameNr_QOpenGLTexture 24723
#define sipName_QOpenGLTexture &sipStrings_QtGui[24723]
#define sipNameNr_setImageHeight 24738
#define sipName_setImageHeight &sipStrings_QtGui[24738]
#define sipNameNr_loggedMessages 24753
#define sipName_loggedMessages &sipStrings_QtGui[24753]
#define sipNameNr_enableMessages 24768
#define sipName_enableMessages &sipStrings_QtGui[24768]
#define sipNameNr_MediumSeverity 24783
#define sipName_MediumSeverity &sipStrings_QtGui[24783]
#define sipNameNr_versionProfile 24798
#define sipName_versionProfile &sipStrings_QtGui[24798]
#define sipNameNr_currentContext 24813
#define sipName_currentContext &sipStrings_QtGui[24813]
#define sipNameNr_QOpenGLContext 24828
#define sipName_QOpenGLContext &sipStrings_QtGui[24828]
#define sipNameNr_nextFrameDelay 24843
#define sipName_nextFrameDelay &sipStrings_QtGui[24843]
#define sipNameNr_listFromString 24858
#define sipName_listFromString &sipStrings_QtGui[24858]
#define sipNameNr_SelectNextPage 24873
#define sipName_SelectNextPage &sipStrings_QtGui[24873]
#define sipNameNr_SelectNextLine 24888
#define sipName_SelectNextLine &sipStrings_QtGui[24888]
#define sipNameNr_SelectNextWord 24903
#define sipName_SelectNextWord &sipStrings_QtGui[24903]
#define sipNameNr_SelectNextChar 24918
#define sipName_SelectNextChar &sipStrings_QtGui[24918]
#define sipNameNr_MoveToNextPage 24933
#define sipName_MoveToNextPage &sipStrings_QtGui[24933]
#define sipNameNr_MoveToNextLine 24948
#define sipName_MoveToNextLine &sipStrings_QtGui[24948]
#define sipNameNr_MoveToNextWord 24963
#define sipName_MoveToNextWord &sipStrings_QtGui[24963]
#define sipNameNr_MoveToNextChar 24978
#define sipName_MoveToNextChar &sipStrings_QtGui[24978]
#define sipNameNr_SequenceFormat 3340
#define sipName_SequenceFormat &sipStrings_QtGui[3340]
#define sipNameNr_visibleChanged 24993
#define sipName_visibleChanged &sipStrings_QtGui[24993]
#define sipNameNr_inputDirection 25008
#define sipName_inputDirection &sipStrings_QtGui[25008]
#define sipNameNr_optimizedWrite 25023
#define sipName_optimizedWrite &sipStrings_QtGui[25023]
#define sipNameNr_setCompression 25038
#define sipName_setCompression &sipStrings_QtGui[25038]
#define sipNameNr_transformation 25053
#define sipName_transformation &sipStrings_QtGui[25053]
#define sipNameNr_scaledClipRect 25068
#define sipName_scaledClipRect &sipStrings_QtGui[25068]
#define sipNameNr_Transformation 1838
#define sipName_Transformation &sipStrings_QtGui[1838]
#define sipNameNr_nextImageDelay 25083
#define sipName_nextImageDelay &sipStrings_QtGui[25083]
#define sipNameNr_supportsOption 25098
#define sipName_supportsOption &sipStrings_QtGui[25098]
#define sipNameNr_OptimizedWrite 17255
#define sipName_OptimizedWrite &sipStrings_QtGui[17255]
#define sipNameNr_ScaledClipRect 17309
#define sipName_ScaledClipRect &sipStrings_QtGui[17309]
#define sipNameNr_scaledToHeight 25113
#define sipName_scaledToHeight &sipStrings_QtGui[25113]
#define sipNameNr_Format_MonoLSB 25128
#define sipName_Format_MonoLSB &sipStrings_QtGui[25128]
#define sipNameNr_Format_Invalid 25143
#define sipName_Format_Invalid &sipStrings_QtGui[25143]
#define sipNameNr_QImage__Format 25158
#define sipName_QImage__Format &sipStrings_QtGui[25158]
#define sipNameNr_IconEngineHook 4074
#define sipName_IconEngineHook &sipStrings_QtGui[4074]
#define sipNameNr_availableSizes 25173
#define sipName_availableSizes &sipStrings_QtGui[25173]
#define sipNameNr_paletteChanged 25188
#define sipName_paletteChanged &sipStrings_QtGui[25188]
#define sipNameNr_overrideCursor 25203
#define sipName_overrideCursor &sipStrings_QtGui[25203]
#define sipNameNr_setRightToLeft 25218
#define sipName_setRightToLeft &sipStrings_QtGui[25218]
#define sipNameNr_minLeftBearing 25233
#define sipName_minLeftBearing &sipStrings_QtGui[25233]
#define sipNameNr_writingSystems 25248
#define sipName_writingSystems &sipStrings_QtGui[25248]
#define sipNameNr_capitalization 25263
#define sipName_capitalization &sipStrings_QtGui[25263]
#define sipNameNr_setWordSpacing 25278
#define sipName_setWordSpacing &sipStrings_QtGui[25278]
#define sipNameNr_Capitalization 8524
#define sipName_Capitalization &sipStrings_QtGui[8524]
#define sipNameNr_lastResortFont 25293
#define sipName_lastResortFont &sipStrings_QtGui[25293]
#define sipNameNr_ExtraCondensed 25308
#define sipName_ExtraCondensed &sipStrings_QtGui[25308]
#define sipNameNr_UltraCondensed 25323
#define sipName_UltraCondensed &sipStrings_QtGui[25323]
#define sipNameNr_QFont__Stretch 25338
#define sipName_QFont__Stretch &sipStrings_QtGui[25338]
#define sipNameNr_SurfaceCreated 25353
#define sipName_SurfaceCreated &sipStrings_QtGui[25353]
#define sipNameNr_ScrollFinished 25368
#define sipName_ScrollFinished &sipStrings_QtGui[25368]
#define sipNameNr_startScreenPos 25383
#define sipName_startScreenPos &sipStrings_QtGui[25383]
#define sipNameNr_QShortcutEvent 25398
#define sipName_QShortcutEvent &sipStrings_QtGui[25398]
#define sipNameNr_QFileOpenEvent 25413
#define sipName_QFileOpenEvent &sipStrings_QtGui[25413]
#define sipNameNr_QDragMoveEvent 25428
#define sipName_QDragMoveEvent &sipStrings_QtGui[25428]
#define sipNameNr_proposedAction 25443
#define sipName_proposedAction &sipStrings_QtGui[25443]
#define sipNameNr_QIconDragEvent 25458
#define sipName_QIconDragEvent &sipStrings_QtGui[25458]
#define sipNameNr_nativeScanCode 25473
#define sipName_nativeScanCode &sipStrings_QtGui[25473]
#define sipNameNr_UnknownPointer 25488
#define sipName_UnknownPointer &sipStrings_QtGui[25488]
#define sipNameNr_RotationStylus 25503
#define sipName_RotationStylus &sipStrings_QtGui[25503]
#define sipNameNr_ownsFindBuffer 25518
#define sipName_ownsFindBuffer &sipStrings_QtGui[25518]
#define sipNameNr_setFocalRadius 25533
#define sipName_setFocalRadius &sipStrings_QtGui[25533]
#define sipNameNr_coordinateMode 25548
#define sipName_coordinateMode &sipStrings_QtGui[25548]
#define sipNameNr_RadialGradient 22783
#define sipName_RadialGradient &sipStrings_QtGui[22783]
#define sipNameNr_LinearGradient 22799
#define sipName_LinearGradient &sipStrings_QtGui[22799]
#define sipNameNr_CoordinateMode 5528
#define sipName_CoordinateMode &sipStrings_QtGui[5528]
#define sipNameNr_hslSaturationF 25563
#define sipName_hslSaturationF &sipStrings_QtGui[25563]
#define sipNameNr_hsvSaturationF 25578
#define sipName_hsvSaturationF &sipStrings_QtGui[25578]
#define sipNameNr_staticContents 25593
#define sipName_staticContents &sipStrings_QtGui[25593]
#define sipNameNr_setPaintDevice 25608
#define sipName_setPaintDevice &sipStrings_QtGui[25608]
#define sipNameNr_cursorPosition 25623
#define sipName_cursorPosition &sipStrings_QtGui[25623]
#define sipNameNr_clearSelection 25638
#define sipName_clearSelection &sipStrings_QtGui[25638]
#define sipNameNr_setDescription 25653
#define sipName_setDescription &sipStrings_QtGui[25653]
#define sipNameNr_DashDotDotLine 25668
#define sipName_DashDotDotLine &sipStrings_QtGui[25668]
#define sipNameNr_25683 25683
#define sipName_25683 &sipStrings_QtGui[25683]
#define sipNameNr_setVisibility 25697
#define sipName_setVisibility &sipStrings_QtGui[25697]
#define sipNameNr_keyPressEvent 25711
#define sipName_keyPressEvent &sipStrings_QtGui[25711]
#define sipNameNr_focusOutEvent 25725
#define sipName_focusOutEvent &sipStrings_QtGui[25725]
#define sipNameNr_heightChanged 25739
#define sipName_heightChanged &sipStrings_QtGui[25739]
#define sipNameNr_requestUpdate 25753
#define sipName_requestUpdate &sipStrings_QtGui[25753]
#define sipNameNr_showMaximized 25767
#define sipName_showMaximized &sipStrings_QtGui[25767]
#define sipNameNr_showMinimized 25781
#define sipName_showMinimized &sipStrings_QtGui[25781]
#define sipNameNr_mapFromGlobal 25795
#define sipName_mapFromGlobal &sipStrings_QtGui[25795]
#define sipNameNr_framePosition 25809
#define sipName_framePosition &sipStrings_QtGui[25809]
#define sipNameNr_frameGeometry 25823
#define sipName_frameGeometry &sipStrings_QtGui[25823]
#define sipNameNr_sizeIncrement 25837
#define sipName_sizeIncrement &sipStrings_QtGui[25837]
#define sipNameNr_maximumHeight 25851
#define sipName_maximumHeight &sipStrings_QtGui[25851]
#define sipNameNr_minimumHeight 25865
#define sipName_minimumHeight &sipStrings_QtGui[25865]
#define sipNameNr_QIntValidator 25879
#define sipName_QIntValidator &sipStrings_QtGui[25879]
#define sipNameNr_fromTranslate 25893
#define sipName_fromTranslate &sipStrings_QtGui[25893]
#define sipNameNr_isTranslating 25907
#define sipName_isTranslating &sipStrings_QtGui[25907]
#define sipNameNr_rotateRadians 25921
#define sipName_rotateRadians &sipStrings_QtGui[25921]
#define sipNameNr_appendColumns 25935
#define sipName_appendColumns &sipStrings_QtGui[25935]
#define sipNameNr_QTextFragment 25949
#define sipName_QTextFragment &sipStrings_QtGui[25949]
#define sipNameNr_firstPosition 25963
#define sipName_firstPosition &sipStrings_QtGui[25963]
#define sipNameNr_blockInserted 25977
#define sipName_blockInserted &sipStrings_QtGui[25977]
#define sipNameNr_setNumColumns 25991
#define sipName_setNumColumns &sipStrings_QtGui[25991]
#define sipNameNr_bottomPadding 26005
#define sipName_bottomPadding &sipStrings_QtGui[26005]
#define sipNameNr_setTopPadding 26019
#define sipName_setTopPadding &sipStrings_QtGui[26019]
#define sipNameNr_setLineHeight 26033
#define sipName_setLineHeight &sipStrings_QtGui[26033]
#define sipNameNr_MinimumHeight 17953
#define sipName_MinimumHeight &sipStrings_QtGui[17953]
#define sipNameNr_setTextIndent 26047
#define sipName_setTextIndent &sipStrings_QtGui[26047]
#define sipNameNr_fontStyleHint 26061
#define sipName_fontStyleHint &sipStrings_QtGui[26061]
#define sipNameNr_WaveUnderline 26075
#define sipName_WaveUnderline &sipStrings_QtGui[26075]
#define sipNameNr_DashUnderline 26089
#define sipName_DashUnderline &sipStrings_QtGui[26089]
#define sipNameNr_setAnchorHref 26103
#define sipName_setAnchorHref &sipStrings_QtGui[26103]
#define sipNameNr_fontStrikeOut 26117
#define sipName_fontStrikeOut &sipStrings_QtGui[26117]
#define sipNameNr_fontUnderline 26131
#define sipName_fontUnderline &sipStrings_QtGui[26131]
#define sipNameNr_setFontItalic 26145
#define sipName_setFontItalic &sipStrings_QtGui[26145]
#define sipNameNr_setFontWeight 26159
#define sipName_setFontWeight &sipStrings_QtGui[26159]
#define sipNameNr_fontPointSize 26173
#define sipName_fontPointSize &sipStrings_QtGui[26173]
#define sipNameNr_setFontFamily 26187
#define sipName_setFontFamily &sipStrings_QtGui[26187]
#define sipNameNr_setObjectType 26201
#define sipName_setObjectType &sipStrings_QtGui[26201]
#define sipNameNr_toFrameFormat 26215
#define sipName_toFrameFormat &sipStrings_QtGui[26215]
#define sipNameNr_toTableFormat 26229
#define sipName_toTableFormat &sipStrings_QtGui[26229]
#define sipNameNr_toBlockFormat 26243
#define sipName_toBlockFormat &sipStrings_QtGui[26243]
#define sipNameNr_isTableFormat 26257
#define sipName_isTableFormat &sipStrings_QtGui[26257]
#define sipNameNr_isImageFormat 26271
#define sipName_isImageFormat &sipStrings_QtGui[26271]
#define sipNameNr_isFrameFormat 26285
#define sipName_isFrameFormat &sipStrings_QtGui[26285]
#define sipNameNr_isBlockFormat 26299
#define sipName_isBlockFormat &sipStrings_QtGui[26299]
#define sipNameNr_brushProperty 26313
#define sipName_brushProperty &sipStrings_QtGui[26313]
#define sipNameNr_colorProperty 26327
#define sipName_colorProperty &sipStrings_QtGui[26327]
#define sipNameNr_clearProperty 26341
#define sipName_clearProperty &sipStrings_QtGui[26341]
#define sipNameNr_FontStyleHint 18259
#define sipName_FontStyleHint &sipStrings_QtGui[18259]
#define sipNameNr_FontPixelSize 26355
#define sipName_FontPixelSize &sipStrings_QtGui[26355]
#define sipNameNr_FontStrikeOut 18293
#define sipName_FontStrikeOut &sipStrings_QtGui[18293]
#define sipNameNr_FontUnderline 18310
#define sipName_FontUnderline &sipStrings_QtGui[18310]
#define sipNameNr_FontPointSize 18327
#define sipName_FontPointSize &sipStrings_QtGui[18327]
#define sipNameNr_PageBreakFlag 4238
#define sipName_PageBreakFlag &sipStrings_QtGui[4238]
#define sipNameNr_fromPlainText 26369
#define sipName_fromPlainText &sipStrings_QtGui[26369]
#define sipNameNr_undoAvailable 26383
#define sipName_undoAvailable &sipStrings_QtGui[26383]
#define sipNameNr_redoAvailable 26397
#define sipName_redoAvailable &sipStrings_QtGui[26397]
#define sipNameNr_ImageResource 26411
#define sipName_ImageResource &sipStrings_QtGui[26411]
#define sipNameNr_DocumentTitle 26425
#define sipName_DocumentTitle &sipStrings_QtGui[26425]
#define sipNameNr_QTextDocument 26439
#define sipName_QTextDocument &sipStrings_QtGui[26439]
#define sipNameNr_setCharFormat 26453
#define sipName_setCharFormat &sipStrings_QtGui[26453]
#define sipNameNr_SelectionType 4265
#define sipName_SelectionType &sipStrings_QtGui[4265]
#define sipNameNr_NextCharacter 26467
#define sipName_NextCharacter &sipStrings_QtGui[26467]
#define sipNameNr_PreviousBlock 26481
#define sipName_PreviousBlock &sipStrings_QtGui[26481]
#define sipNameNr_MoveOperation 4292
#define sipName_MoveOperation &sipStrings_QtGui[4292]
#define sipNameNr_redBufferSize 26495
#define sipName_redBufferSize &sipStrings_QtGui[26495]
#define sipNameNr_FormatOptions 2425
#define sipName_FormatOptions &sipStrings_QtGui[2425]
#define sipNameNr_StereoBuffers 26509
#define sipName_StereoBuffers &sipStrings_QtGui[26509]
#define sipNameNr_OpenGLSurface 26523
#define sipName_OpenGLSurface &sipStrings_QtGui[26523]
#define sipNameNr_RasterSurface 26537
#define sipName_RasterSurface &sipStrings_QtGui[26537]
#define sipNameNr_startDragTime 26551
#define sipName_startDragTime &sipStrings_QtGui[26551]
#define sipNameNr_setTextOption 26565
#define sipName_setTextOption &sipStrings_QtGui[26565]
#define sipNameNr_setTextFormat 26579
#define sipName_setTextFormat &sipStrings_QtGui[26579]
#define sipNameNr_setCheckState 26593
#define sipName_setCheckState &sipStrings_QtGui[26593]
#define sipNameNr_setForeground 26607
#define sipName_setForeground &sipStrings_QtGui[26607]
#define sipNameNr_isDropEnabled 26621
#define sipName_isDropEnabled &sipStrings_QtGui[26621]
#define sipNameNr_isDragEnabled 26635
#define sipName_isDragEnabled &sipStrings_QtGui[26635]
#define sipNameNr_setSelectable 26649
#define sipName_setSelectable &sipStrings_QtGui[26649]
#define sipNameNr_textAlignment 26663
#define sipName_textAlignment &sipStrings_QtGui[26663]
#define sipNameNr_QStandardItem 26677
#define sipName_QStandardItem &sipStrings_QtGui[26677]
#define sipNameNr_itemPrototype 26691
#define sipName_itemPrototype &sipStrings_QtGui[26691]
#define sipNameNr_indexFromItem 26705
#define sipName_indexFromItem &sipStrings_QtGui[26705]
#define sipNameNr_itemFromIndex 26719
#define sipName_itemFromIndex &sipStrings_QtGui[26719]
#define sipNameNr_requestPhase2 26733
#define sipName_requestPhase2 &sipStrings_QtGui[26733]
#define sipNameNr_RestartAnyway 26747
#define sipName_RestartAnyway &sipStrings_QtGui[26747]
#define sipNameNr_availableSize 26761
#define sipName_availableSize &sipStrings_QtGui[26761]
#define sipNameNr_lineThickness 26775
#define sipName_lineThickness &sipStrings_QtGui[26775]
#define sipNameNr_QRasterWindow 26789
#define sipName_QRasterWindow &sipStrings_QtGui[26789]
#define sipNameNr_toEulerAngles 26803
#define sipName_toEulerAngles &sipStrings_QtGui[26803]
#define sipNameNr_fromDirection 26817
#define sipName_fromDirection &sipStrings_QtGui[26817]
#define sipNameNr_rotatedVector 26831
#define sipName_rotatedVector &sipStrings_QtGui[26831]
#define sipNameNr_lengthSquared 26845
#define sipName_lengthSquared &sipStrings_QtGui[26845]
#define sipNameNr_containsPoint 26859
#define sipName_containsPoint &sipStrings_QtGui[26859]
#define sipNameNr_setCacheLimit 26873
#define sipName_setCacheLimit &sipStrings_QtGui[26873]
#define sipNameNr_premultiplied 26887
#define sipName_premultiplied &sipStrings_QtGui[26887]
#define sipNameNr_alphaPosition 26901
#define sipName_alphaPosition &sipStrings_QtGui[26901]
#define sipNameNr_lightnessSize 26915
#define sipName_lightnessSize &sipStrings_QtGui[26915]
#define sipNameNr_FloatingPoint 26929
#define sipName_FloatingPoint &sipStrings_QtGui[26929]
#define sipNameNr_UnsignedShort 26943
#define sipName_UnsignedShort &sipStrings_QtGui[26943]
#define sipNameNr_Premultiplied 995
#define sipName_Premultiplied &sipStrings_QtGui[995]
#define sipNameNr_AlphaPosition 3711
#define sipName_AlphaPosition &sipStrings_QtGui[3711]
#define sipNameNr_outputFormats 26957
#define sipName_outputFormats &sipStrings_QtGui[26957]
#define sipNameNr_pictureFormat 26971
#define sipName_pictureFormat &sipStrings_QtGui[26971]
#define sipNameNr_setParameters 26985
#define sipName_setParameters &sipStrings_QtGui[26985]
#define sipNameNr_formatVersion 26999
#define sipName_formatVersion &sipStrings_QtGui[26999]
#define sipNameNr_setResolution 27013
#define sipName_setResolution &sipStrings_QtGui[27013]
#define sipNameNr_alternateBase 27027
#define sipName_alternateBase &sipStrings_QtGui[27027]
#define sipNameNr_setColorGroup 27041
#define sipName_setColorGroup &sipStrings_QtGui[27041]
#define sipNameNr_AlternateBase 27055
#define sipName_AlternateBase &sipStrings_QtGui[27055]
#define sipNameNr_setDashOffset 27069
#define sipName_setDashOffset &sipStrings_QtGui[27069]
#define sipNameNr_setMiterLimit 27083
#define sipName_setMiterLimit &sipStrings_QtGui[27083]
#define sipNameNr_toFillPolygon 27097
#define sipName_toFillPolygon &sipStrings_QtGui[27097]
#define sipNameNr_LineToElement 27111
#define sipName_LineToElement &sipStrings_QtGui[27111]
#define sipNameNr_MoveToElement 27125
#define sipName_MoveToElement &sipStrings_QtGui[27125]
#define sipNameNr_isClipEnabled 27139
#define sipName_isClipEnabled &sipStrings_QtGui[27139]
#define sipNameNr_clipOperation 27153
#define sipName_clipOperation &sipStrings_QtGui[27153]
#define sipNameNr_QWindowSystem 27167
#define sipName_QWindowSystem &sipStrings_QtGui[27167]
#define sipNameNr_DirtyClipPath 27181
#define sipName_DirtyClipPath &sipStrings_QtGui[27181]
#define sipNameNr_RasterOpModes 27195
#define sipName_RasterOpModes &sipStrings_QtGui[27195]
#define sipNameNr_setRenderHint 27209
#define sipName_setRenderHint &sipStrings_QtGui[27209]
#define sipNameNr_setClipRegion 27223
#define sipName_setClipRegion &sipStrings_QtGui[27223]
#define sipNameNr_setBackground 27237
#define sipName_setBackground &sipStrings_QtGui[27237]
#define sipNameNr_marginsPixels 27251
#define sipName_marginsPixels &sipStrings_QtGui[27251]
#define sipNameNr_marginsPoints 27265
#define sipName_marginsPoints &sipStrings_QtGui[27265]
#define sipNameNr_setLeftMargin 27279
#define sipName_setLeftMargin &sipStrings_QtGui[27279]
#define sipNameNr_setPageLayout 27293
#define sipName_setPageLayout &sipStrings_QtGui[27293]
#define sipNameNr_setPageSizeMM 27307
#define sipName_setPageSizeMM &sipStrings_QtGui[27307]
#define sipNameNr_EnvelopePrc10 27321
#define sipName_EnvelopePrc10 &sipStrings_QtGui[27321]
#define sipNameNr_EnvelopeKaku3 27335
#define sipName_EnvelopeKaku3 &sipStrings_QtGui[27335]
#define sipNameNr_EnvelopeKaku2 27349
#define sipName_EnvelopeKaku2 &sipStrings_QtGui[27349]
#define sipNameNr_EnvelopeChou4 27363
#define sipName_EnvelopeChou4 &sipStrings_QtGui[27363]
#define sipNameNr_EnvelopeChou3 27377
#define sipName_EnvelopeChou3 &sipStrings_QtGui[27377]
#define sipNameNr_FanFoldGerman 27391
#define sipName_FanFoldGerman &sipStrings_QtGui[27391]
#define sipNameNr_Imperial15x11 27405
#define sipName_Imperial15x11 &sipStrings_QtGui[27405]
#define sipNameNr_Imperial12x11 27419
#define sipName_Imperial12x11 &sipStrings_QtGui[27419]
#define sipNameNr_Imperial10x14 27433
#define sipName_Imperial10x14 &sipStrings_QtGui[27433]
#define sipNameNr_Imperial10x13 27447
#define sipName_Imperial10x13 &sipStrings_QtGui[27447]
#define sipNameNr_Imperial10x11 27461
#define sipName_Imperial10x11 &sipStrings_QtGui[27461]
#define sipNameNr_QOpenGLWindow 27475
#define sipName_QOpenGLWindow &sipStrings_QtGui[27475]
#define sipNameNr_waitForResult 27489
#define sipName_waitForResult &sipStrings_QtGui[27489]
#define sipNameNr_CompareAlways 27503
#define sipName_CompareAlways &sipStrings_QtGui[27503]
#define sipNameNr_ClampToBorder 27517
#define sipName_ClampToBorder &sipStrings_QtGui[27517]
#define sipNameNr_minMagFilters 27531
#define sipName_minMagFilters &sipStrings_QtGui[27531]
#define sipNameNr_mipLevelRange 27545
#define sipName_mipLevelRange &sipStrings_QtGui[27545]
#define sipNameNr_TextureBuffer 27559
#define sipName_TextureBuffer &sipStrings_QtGui[27559]
#define sipNameNr_TextureArrays 27573
#define sipName_TextureArrays &sipStrings_QtGui[27573]
#define sipNameNr_UInt16_R5G6B5 27587
#define sipName_UInt16_R5G6B5 &sipStrings_QtGui[27587]
#define sipNameNr_UInt16_RGB5A1 27601
#define sipName_UInt16_RGB5A1 &sipStrings_QtGui[27601]
#define sipNameNr_isTextureView 27615
#define sipName_isTextureView &sipStrings_QtGui[27615]
#define sipNameNr_R11_EAC_SNorm 27629
#define sipName_R11_EAC_SNorm &sipStrings_QtGui[27629]
#define sipNameNr_R11_EAC_UNorm 27643
#define sipName_R11_EAC_UNorm &sipStrings_QtGui[27643]
#define sipNameNr_SRGB_BP_UNorm 27657
#define sipName_SRGB_BP_UNorm &sipStrings_QtGui[27657]
#define sipNameNr_R_ATI1N_SNorm 27671
#define sipName_R_ATI1N_SNorm &sipStrings_QtGui[27671]
#define sipNameNr_R_ATI1N_UNorm 27685
#define sipName_R_ATI1N_UNorm &sipStrings_QtGui[27685]
#define sipNameNr_TextureFormat 2665
#define sipName_TextureFormat &sipStrings_QtGui[2665]
#define sipNameNr_BindingTarget 2695
#define sipName_BindingTarget &sipStrings_QtGui[2695]
#define sipNameNr_TargetCubeMap 10891
#define sipName_TargetCubeMap &sipStrings_QtGui[10891]
#define sipNameNr_Target2DArray 10912
#define sipName_Target2DArray &sipStrings_QtGui[10912]
#define sipNameNr_Target1DArray 10933
#define sipName_Target1DArray &sipStrings_QtGui[10933]
#define sipNameNr_ShaderTypeBit 3254
#define sipName_ShaderTypeBit &sipStrings_QtGui[3254]
#define sipNameNr_QOpenGLShader 27699
#define sipName_QOpenGLShader &sipStrings_QtGui[27699]
#define sipNameNr_setSkipPixels 27713
#define sipName_setSkipPixels &sipStrings_QtGui[27713]
#define sipNameNr_setSkipImages 27727
#define sipName_setSkipImages &sipStrings_QtGui[27727]
#define sipNameNr_textureTarget 27741
#define sipName_textureTarget &sipStrings_QtGui[27741]
#define sipNameNr_setAttachment 27755
#define sipName_setAttachment &sipStrings_QtGui[27755]
#define sipNameNr_messageLogged 27769
#define sipName_messageLogged &sipStrings_QtGui[27769]
#define sipNameNr_GroupPushType 27783
#define sipName_GroupPushType &sipStrings_QtGui[27783]
#define sipNameNr_InvalidSource 27797
#define sipName_InvalidSource &sipStrings_QtGui[27797]
#define sipNameNr_QOpenGLBuffer 27811
#define sipName_QOpenGLBuffer &sipStrings_QtGui[27811]
#define sipNameNr_screenChanged 27825
#define sipName_screenChanged &sipStrings_QtGui[27825]
#define sipNameNr_currentPixmap 27839
#define sipName_currentPixmap &sipStrings_QtGui[27839]
#define sipNameNr_PreviousChild 27853
#define sipName_PreviousChild &sipStrings_QtGui[27853]
#define sipNameNr_SequenceMatch 4019
#define sipName_SequenceMatch &sipStrings_QtGui[4019]
#define sipNameNr_localeChanged 27867
#define sipName_localeChanged &sipStrings_QtGui[27867]
#define sipNameNr_autoTransform 27881
#define sipName_autoTransform &sipStrings_QtGui[27881]
#define sipNameNr_setScaledSize 27895
#define sipName_setScaledSize &sipStrings_QtGui[27895]
#define sipNameNr_toImageFormat 27909
#define sipName_toImageFormat &sipStrings_QtGui[27909]
#define sipNameNr_toPixelFormat 27923
#define sipName_toPixelFormat &sipStrings_QtGui[27923]
#define sipNameNr_bitPlaneCount 27937
#define sipName_bitPlaneCount &sipStrings_QtGui[27937]
#define sipNameNr_setColorCount 27951
#define sipName_setColorCount &sipStrings_QtGui[27951]
#define sipNameNr_dotsPerMeterY 27965
#define sipName_dotsPerMeterY &sipStrings_QtGui[27965]
#define sipNameNr_dotsPerMeterX 27979
#define sipName_dotsPerMeterX &sipStrings_QtGui[27979]
#define sipNameNr_scaledToWidth 27993
#define sipName_scaledToWidth &sipStrings_QtGui[27993]
#define sipNameNr_transformMode 28007
#define sipName_transformMode &sipStrings_QtGui[28007]
#define sipNameNr_setColorTable 28021
#define sipName_setColorTable &sipStrings_QtGui[28021]
#define sipNameNr_constScanLine 28035
#define sipName_constScanLine &sipStrings_QtGui[28035]
#define sipNameNr_Format_Alpha8 28049
#define sipName_Format_Alpha8 &sipStrings_QtGui[28049]
#define sipNameNr_Format_RGB444 28063
#define sipName_Format_RGB444 &sipStrings_QtGui[28063]
#define sipNameNr_Format_RGB888 28077
#define sipName_Format_RGB888 &sipStrings_QtGui[28077]
#define sipNameNr_Format_RGB555 28091
#define sipName_Format_RGB555 &sipStrings_QtGui[28091]
#define sipNameNr_Format_RGB666 28105
#define sipName_Format_RGB666 &sipStrings_QtGui[28105]
#define sipNameNr_Format_ARGB32 28119
#define sipName_Format_ARGB32 &sipStrings_QtGui[28119]
#define sipNameNr_screenRemoved 28133
#define sipName_screenRemoved &sipStrings_QtGui[28133]
#define sipNameNr_setWindowIcon 28147
#define sipName_setWindowIcon &sipStrings_QtGui[28147]
#define sipNameNr_isLeftToRight 28161
#define sipName_isLeftToRight &sipStrings_QtGui[28161]
#define sipNameNr_primaryScreen 28175
#define sipName_primaryScreen &sipStrings_QtGui[28175]
#define sipNameNr_isRightToLeft 28189
#define sipName_isRightToLeft &sipStrings_QtGui[28189]
#define sipNameNr_GlyphRunFlags 6379
#define sipName_GlyphRunFlags &sipStrings_QtGui[6379]
#define sipNameNr_SplitLigature 28203
#define sipName_SplitLigature &sipStrings_QtGui[28203]
#define sipNameNr_setToIdentity 28217
#define sipName_setToIdentity &sipStrings_QtGui[28217]
#define sipNameNr_QFontMetricsF 28231
#define sipName_QFontMetricsF &sipStrings_QtGui[28231]
#define sipNameNr_writingSystem 28245
#define sipName_writingSystem &sipStrings_QtGui[28245]
#define sipNameNr_standardSizes 28259
#define sipName_standardSizes &sipStrings_QtGui[28259]
#define sipNameNr_WritingSystem 3457
#define sipName_WritingSystem &sipStrings_QtGui[3457]
#define sipNameNr_QFontDatabase 28273
#define sipName_QFontDatabase &sipStrings_QtGui[28273]
#define sipNameNr_letterSpacing 28287
#define sipName_letterSpacing &sipStrings_QtGui[28287]
#define sipNameNr_defaultFamily 28301
#define sipName_defaultFamily &sipStrings_QtGui[28301]
#define sipNameNr_substitutions 28315
#define sipName_substitutions &sipStrings_QtGui[28315]
#define sipNameNr_styleStrategy 28329
#define sipName_styleStrategy &sipStrings_QtGui[28329]
#define sipNameNr_setFixedPitch 28343
#define sipName_setFixedPitch &sipStrings_QtGui[28343]
#define sipNameNr_setPointSizeF 28357
#define sipName_setPointSizeF &sipStrings_QtGui[28357]
#define sipNameNr_UltraExpanded 28371
#define sipName_UltraExpanded &sipStrings_QtGui[28371]
#define sipNameNr_ExtraExpanded 28385
#define sipName_ExtraExpanded &sipStrings_QtGui[28385]
#define sipNameNr_SemiCondensed 28399
#define sipName_SemiCondensed &sipStrings_QtGui[28399]
#define sipNameNr_QFont__Weight 28413
#define sipName_QFont__Weight &sipStrings_QtGui[28413]
#define sipNameNr_NoFontMerging 28427
#define sipName_NoFontMerging &sipStrings_QtGui[28427]
#define sipNameNr_PreferQuality 28441
#define sipName_PreferQuality &sipStrings_QtGui[28441]
#define sipNameNr_PreferOutline 28455
#define sipName_PreferOutline &sipStrings_QtGui[28455]
#define sipNameNr_PreferDefault 28469
#define sipName_PreferDefault &sipStrings_QtGui[28469]
#define sipNameNr_StyleStrategy 10051
#define sipName_StyleStrategy &sipStrings_QtGui[10051]
#define sipNameNr_ScrollUpdated 28483
#define sipName_ScrollUpdated &sipStrings_QtGui[28483]
#define sipNameNr_ScrollStarted 28497
#define sipName_ScrollStarted &sipStrings_QtGui[28497]
#define sipNameNr_setContentPos 28511
#define sipName_setContentPos &sipStrings_QtGui[28511]
#define sipNameNr_normalizedPos 28525
#define sipName_normalizedPos &sipStrings_QtGui[28525]
#define sipNameNr_lastScreenPos 28539
#define sipName_lastScreenPos &sipStrings_QtGui[28539]
#define sipNameNr_startScenePos 28553
#define sipName_startScenePos &sipStrings_QtGui[28553]
#define sipNameNr_setDropAction 28567
#define sipName_setDropAction &sipStrings_QtGui[28567]
#define sipNameNr_preeditString 28581
#define sipName_preeditString &sipStrings_QtGui[28581]
#define sipNameNr_AttributeType 1391
#define sipName_AttributeType &sipStrings_QtGui[1391]
#define sipNameNr_defaultAction 28595
#define sipName_defaultAction &sipStrings_QtGui[28595]
#define sipNameNr_targetChanged 28609
#define sipName_targetChanged &sipStrings_QtGui[28609]
#define sipNameNr_actionChanged 28623
#define sipName_actionChanged &sipStrings_QtGui[28623]
#define sipNameNr_setDragCursor 28637
#define sipName_setDragCursor &sipStrings_QtGui[28637]
#define sipNameNr_setUrlHandler 22752
#define sipName_setUrlHandler &sipStrings_QtGui[22752]
#define sipNameNr_ownsSelection 28651
#define sipName_ownsSelection &sipStrings_QtGui[28651]
#define sipNameNr_ownsClipboard 28665
#define sipName_ownsClipboard &sipStrings_QtGui[28665]
#define sipNameNr_setFocalPoint 28679
#define sipName_setFocalPoint &sipStrings_QtGui[28679]
#define sipNameNr_ReflectSpread 28693
#define sipName_ReflectSpread &sipStrings_QtGui[28693]
#define sipNameNr_hslSaturation 28707
#define sipName_hslSaturation &sipStrings_QtGui[28707]
#define sipNameNr_hsvSaturation 28721
#define sipName_hsvSaturation &sipStrings_QtGui[28721]
#define sipNameNr_setNamedColor 28735
#define sipName_setNamedColor &sipStrings_QtGui[28735]
#define sipNameNr_QBackingStore 28749
#define sipName_QBackingStore &sipStrings_QtGui[28749]
#define sipNameNr_intrinsicSize 28763
#define sipName_intrinsicSize &sipStrings_QtGui[28763]
#define sipNameNr_defaultFormat 28777
#define sipName_defaultFormat &sipStrings_QtGui[28777]
#define sipNameNr_InvalidFormat 28791
#define sipName_InvalidFormat &sipStrings_QtGui[28791]
#define sipNameNr_propertyCount 28805
#define sipName_propertyCount &sipStrings_QtGui[28805]
#define sipNameNr_textDirection 28819
#define sipName_textDirection &sipStrings_QtGui[28819]
#define sipNameNr_connectNotify 20112
#define sipName_connectNotify &sipStrings_QtGui[20112]
#define sipNameNr_activeChanged 28833
#define sipName_activeChanged &sipStrings_QtGui[28833]
#define sipNameNr_removeColumns 28847
#define sipName_removeColumns &sipStrings_QtGui[28847]
#define sipNameNr_insertColumns 28861
#define sipName_insertColumns &sipStrings_QtGui[28861]
#define sipNameNr_setHeaderData 28875
#define sipName_setHeaderData &sipStrings_QtGui[28875]
#define sipNameNr_AlignBaseline 28889
#define sipName_AlignBaseline &sipStrings_QtGui[28889]
#define sipNameNr_qFuzzyCompare 28903
#define sipName_qFuzzyCompare &sipStrings_QtGui[28903]
#define sipNameNr_28917 28917
#define sipName_28917 &sipStrings_QtGui[28917]
#define sipNameNr_focusInEvent 28930
#define sipName_focusInEvent &sipStrings_QtGui[28930]
#define sipNameNr_widthChanged 28943
#define sipName_widthChanged &sipStrings_QtGui[28943]
#define sipNameNr_frameMargins 28956
#define sipName_frameMargins &sipStrings_QtGui[28956]
#define sipNameNr_isAncestorOf 28969
#define sipName_isAncestorOf &sipStrings_QtGui[28969]
#define sipNameNr_AncestorMode 8372
#define sipName_AncestorMode &sipStrings_QtGui[8372]
#define sipNameNr_crossProduct 28982
#define sipName_crossProduct &sipStrings_QtGui[28982]
#define sipNameNr_Intermediate 28995
#define sipName_Intermediate &sipStrings_QtGui[28995]
#define sipNameNr_isInvertible 29008
#define sipName_isInvertible &sipStrings_QtGui[29008]
#define sipNameNr_mapToPolygon 29021
#define sipName_mapToPolygon &sipStrings_QtGui[29021]
#define sipNameNr_quadToSquare 29034
#define sipName_quadToSquare &sipStrings_QtGui[29034]
#define sipNameNr_squareToQuad 29047
#define sipName_squareToQuad &sipStrings_QtGui[29047]
#define sipNameNr_capabilities 29060
#define sipName_capabilities &sipStrings_QtGui[29060]
#define sipNameNr_Capabilities 4185
#define sipName_Capabilities &sipStrings_QtGui[4185]
#define sipNameNr_RawPositions 29073
#define sipName_RawPositions &sipStrings_QtGui[29073]
#define sipNameNr_QTouchDevice 29086
#define sipName_QTouchDevice &sipStrings_QtGui[29086]
#define sipNameNr_DelimiterTab 29099
#define sipName_DelimiterTab &sipStrings_QtGui[29099]
#define sipNameNr_WrapAnywhere 29112
#define sipName_WrapAnywhere &sipStrings_QtGui[29112]
#define sipNameNr_setLineCount 29125
#define sipName_setLineCount &sipStrings_QtGui[29125]
#define sipNameNr_setUserState 29138
#define sipName_setUserState &sipStrings_QtGui[29138]
#define sipNameNr_lastPosition 29151
#define sipName_lastPosition &sipStrings_QtGui[29151]
#define sipNameNr_blockRemoved 29164
#define sipName_blockRemoved &sipStrings_QtGui[29164]
#define sipNameNr_setLineWidth 29177
#define sipName_setLineWidth &sipStrings_QtGui[29177]
#define sipNameNr_maximumWidth 29190
#define sipName_maximumWidth &sipStrings_QtGui[29190]
#define sipNameNr_minimumWidth 29203
#define sipName_minimumWidth &sipStrings_QtGui[29203]
#define sipNameNr_cacheEnabled 29216
#define sipName_cacheEnabled &sipStrings_QtGui[29216]
#define sipNameNr_textPosition 29229
#define sipName_textPosition &sipStrings_QtGui[29229]
#define sipNameNr_rightPadding 29242
#define sipName_rightPadding &sipStrings_QtGui[29242]
#define sipNameNr_numberSuffix 29255
#define sipName_numberSuffix &sipStrings_QtGui[29255]
#define sipNameNr_numberPrefix 29268
#define sipName_numberPrefix &sipStrings_QtGui[29268]
#define sipNameNr_SingleHeight 29281
#define sipName_SingleHeight &sipStrings_QtGui[29281]
#define sipNameNr_tabPositions 29294
#define sipName_tabPositions &sipStrings_QtGui[29294]
#define sipNameNr_fontOverline 29307
#define sipName_fontOverline &sipStrings_QtGui[29307]
#define sipNameNr_toListFormat 29320
#define sipName_toListFormat &sipStrings_QtGui[29320]
#define sipNameNr_toCharFormat 29333
#define sipName_toCharFormat &sipStrings_QtGui[29333]
#define sipNameNr_isListFormat 29346
#define sipName_isListFormat &sipStrings_QtGui[29346]
#define sipNameNr_isCharFormat 29359
#define sipName_isCharFormat &sipStrings_QtGui[29359]
#define sipNameNr_boolProperty 29372
#define sipName_boolProperty &sipStrings_QtGui[29372]
#define sipNameNr_UserProperty 29385
#define sipName_UserProperty &sipStrings_QtGui[29385]
#define sipNameNr_TabPositions 20561
#define sipName_TabPositions &sipStrings_QtGui[20561]
#define sipNameNr_TableColumns 29398
#define sipName_TableColumns &sipStrings_QtGui[29398]
#define sipNameNr_FramePadding 29411
#define sipName_FramePadding &sipStrings_QtGui[29411]
#define sipNameNr_FontOverline 20625
#define sipName_FontOverline &sipStrings_QtGui[20625]
#define sipNameNr_drawContents 29424
#define sipName_drawContents &sipStrings_QtGui[29424]
#define sipNameNr_loadResource 29437
#define sipName_loadResource &sipStrings_QtGui[29437]
#define sipNameNr_createObject 29450
#define sipName_createObject &sipStrings_QtGui[29450]
#define sipNameNr_UserResource 29463
#define sipName_UserResource &sipStrings_QtGui[29463]
#define sipNameNr_HtmlResource 29476
#define sipName_HtmlResource &sipStrings_QtGui[29476]
#define sipNameNr_ResourceType 3684
#define sipName_ResourceType &sipStrings_QtGui[3684]
#define sipNameNr_FindBackward 29489
#define sipName_FindBackward &sipStrings_QtGui[29489]
#define sipNameNr_setPlainText 29502
#define sipName_setPlainText &sipStrings_QtGui[29502]
#define sipNameNr_endEditBlock 29515
#define sipName_endEditBlock &sipStrings_QtGui[29515]
#define sipNameNr_currentTable 29528
#define sipName_currentTable &sipStrings_QtGui[29528]
#define sipNameNr_atBlockStart 29541
#define sipName_atBlockStart &sipStrings_QtGui[29541]
#define sipNameNr_selectedText 29554
#define sipName_selectedText &sipStrings_QtGui[29554]
#define sipNameNr_selectionEnd 29567
#define sipName_selectionEnd &sipStrings_QtGui[29567]
#define sipNameNr_movePosition 29580
#define sipName_movePosition &sipStrings_QtGui[29580]
#define sipNameNr_PreviousCell 29593
#define sipName_PreviousCell &sipStrings_QtGui[29593]
#define sipNameNr_PreviousWord 14740
#define sipName_PreviousWord &sipStrings_QtGui[14740]
#define sipNameNr_StartOfBlock 14683
#define sipName_StartOfBlock &sipStrings_QtGui[14683]
#define sipNameNr_currentBlock 29606
#define sipName_currentBlock &sipStrings_QtGui[29606]
#define sipNameNr_swapInterval 29619
#define sipName_swapInterval &sipStrings_QtGui[29619]
#define sipNameNr_swapBehavior 29632
#define sipName_swapBehavior &sipStrings_QtGui[29632]
#define sipNameNr_TripleBuffer 29645
#define sipName_TripleBuffer &sipStrings_QtGui[29645]
#define sipNameNr_DoubleBuffer 29658
#define sipName_DoubleBuffer &sipStrings_QtGui[29658]
#define sipNameNr_SingleBuffer 29671
#define sipName_SingleBuffer &sipStrings_QtGui[29671]
#define sipNameNr_SwapBehavior 3023
#define sipName_SwapBehavior &sipStrings_QtGui[3023]
#define sipNameNr_DebugContext 29684
#define sipName_DebugContext &sipStrings_QtGui[29684]
#define sipNameNr_FormatOption 3052
#define sipName_FormatOption &sipStrings_QtGui[3052]
#define sipNameNr_surfaceClass 29697
#define sipName_surfaceClass &sipStrings_QtGui[29697]
#define sipNameNr_SurfaceClass 7640
#define sipName_SurfaceClass &sipStrings_QtGui[7640]
#define sipNameNr_setTextWidth 29710
#define sipName_setTextWidth &sipStrings_QtGui[29710]
#define sipNameNr_setWhatsThis 29723
#define sipName_setWhatsThis &sipStrings_QtGui[29723]
#define sipNameNr_setStatusTip 29736
#define sipName_setStatusTip &sipStrings_QtGui[29736]
#define sipNameNr_sortChildren 29749
#define sipName_sortChildren &sipStrings_QtGui[29749]
#define sipNameNr_setCheckable 29762
#define sipName_setCheckable &sipStrings_QtGui[29762]
#define sipNameNr_isSelectable 29775
#define sipName_isSelectable &sipStrings_QtGui[29775]
#define sipNameNr_appendColumn 29788
#define sipName_appendColumn &sipStrings_QtGui[29788]
#define sipNameNr_RestartNever 29801
#define sipName_RestartNever &sipStrings_QtGui[29801]
#define sipNameNr_angleBetween 29814
#define sipName_angleBetween &sipStrings_QtGui[29814]
#define sipNameNr_physicalSize 29827
#define sipName_physicalSize &sipStrings_QtGui[29827]
#define sipNameNr_qPremultiply 29840
#define sipName_qPremultiply &sipStrings_QtGui[29840]
#define sipNameNr_loadFromFile 29853
#define sipName_loadFromFile &sipStrings_QtGui[29853]
#define sipNameNr_maxCharWidth 29866
#define sipName_maxCharWidth &sipStrings_QtGui[29866]
#define sipNameNr_pathForGlyph 29879
#define sipName_pathForGlyph &sipStrings_QtGui[29879]
#define sipNameNr_QPixmapCache 29892
#define sipName_QPixmapCache &sipStrings_QtGui[29892]
#define sipNameNr_defaultDepth 29905
#define sipName_defaultDepth &sipStrings_QtGui[29905]
#define sipNameNr_bitsPerPixel 29918
#define sipName_bitsPerPixel &sipStrings_QtGui[29918]
#define sipNameNr_channelCount 29931
#define sipName_channelCount &sipStrings_QtGui[29931]
#define sipNameNr_UnsignedByte 29944
#define sipName_UnsignedByte &sipStrings_QtGui[29944]
#define sipNameNr_IgnoresAlpha 29957
#define sipName_IgnoresAlpha &sipStrings_QtGui[29957]
#define sipNameNr_QPixelFormat 29970
#define sipName_QPixelFormat &sipStrings_QtGui[29970]
#define sipNameNr_inputFormats 29983
#define sipName_inputFormats &sipStrings_QtGui[29983]
#define sipNameNr_NColorGroups 29996
#define sipName_NColorGroups &sipStrings_QtGui[29996]
#define sipNameNr_createStroke 30009
#define sipName_createStroke &sipStrings_QtGui[30009]
#define sipNameNr_setJoinStyle 30022
#define sipName_setJoinStyle &sipStrings_QtGui[30022]
#define sipNameNr_elementCount 30035
#define sipName_elementCount &sipStrings_QtGui[30035]
#define sipNameNr_closeSubpath 30048
#define sipName_closeSubpath &sipStrings_QtGui[30048]
#define sipNameNr_QPainterPath 30061
#define sipName_QPainterPath &sipStrings_QtGui[30061]
#define sipNameNr_CoreGraphics 30074
#define sipName_CoreGraphics &sipStrings_QtGui[30074]
#define sipNameNr_drawTextItem 30087
#define sipName_drawTextItem &sipStrings_QtGui[30087]
#define sipNameNr_PolylineMode 30100
#define sipName_PolylineMode &sipStrings_QtGui[30100]
#define sipNameNr_DirtyOpacity 30113
#define sipName_DirtyOpacity &sipStrings_QtGui[30113]
#define sipNameNr_PainterPaths 30126
#define sipName_PainterPaths &sipStrings_QtGui[30126]
#define sipNameNr_PatternBrush 30139
#define sipName_PatternBrush &sipStrings_QtGui[30139]
#define sipNameNr_QPaintEngine 30152
#define sipName_QPaintEngine &sipStrings_QtGui[30152]
#define sipNameNr_physicalDpiY 30165
#define sipName_physicalDpiY &sipStrings_QtGui[30165]
#define sipNameNr_physicalDpiX 30178
#define sipName_physicalDpiX &sipStrings_QtGui[30178]
#define sipNameNr_PdmNumColors 30191
#define sipName_PdmNumColors &sipStrings_QtGui[30191]
#define sipNameNr_drawGlyphRun 30204
#define sipName_drawGlyphRun &sipStrings_QtGui[30204]
#define sipNameNr_drawPolyline 30217
#define sipName_drawPolyline &sipStrings_QtGui[30217]
#define sipNameNr_Antialiasing 6909
#define sipName_Antialiasing &sipStrings_QtGui[6909]
#define sipNameNr_bottomMargin 30230
#define sipName_bottomMargin &sipStrings_QtGui[30230]
#define sipNameNr_setTopMargin 30243
#define sipName_setTopMargin &sipStrings_QtGui[30243]
#define sipNameNr_FullPageMode 30256
#define sipName_FullPageMode &sipStrings_QtGui[30256]
#define sipNameNr_StandardMode 30269
#define sipName_StandardMode &sipStrings_QtGui[30269]
#define sipNameNr_LastPageSize 30282
#define sipName_LastPageSize &sipStrings_QtGui[30282]
#define sipNameNr_EnvelopeYou4 30295
#define sipName_EnvelopeYou4 &sipStrings_QtGui[30295]
#define sipNameNr_EnvelopePrc9 30308
#define sipName_EnvelopePrc9 &sipStrings_QtGui[30308]
#define sipNameNr_EnvelopePrc8 30321
#define sipName_EnvelopePrc8 &sipStrings_QtGui[30321]
#define sipNameNr_EnvelopePrc7 30334
#define sipName_EnvelopePrc7 &sipStrings_QtGui[30334]
#define sipNameNr_EnvelopePrc6 30347
#define sipName_EnvelopePrc6 &sipStrings_QtGui[30347]
#define sipNameNr_EnvelopePrc5 30360
#define sipName_EnvelopePrc5 &sipStrings_QtGui[30360]
#define sipNameNr_EnvelopePrc4 30373
#define sipName_EnvelopePrc4 &sipStrings_QtGui[30373]
#define sipNameNr_EnvelopePrc3 30386
#define sipName_EnvelopePrc3 &sipStrings_QtGui[30386]
#define sipNameNr_EnvelopePrc2 30399
#define sipName_EnvelopePrc2 &sipStrings_QtGui[30399]
#define sipNameNr_EnvelopePrc1 30412
#define sipName_EnvelopePrc1 &sipStrings_QtGui[30412]
#define sipNameNr_Imperial9x12 30425
#define sipName_Imperial9x12 &sipStrings_QtGui[30425]
#define sipNameNr_Imperial9x11 30438
#define sipName_Imperial9x11 &sipStrings_QtGui[30438]
#define sipNameNr_Imperial8x10 30451
#define sipName_Imperial8x10 &sipStrings_QtGui[30451]
#define sipNameNr_TabloidExtra 30464
#define sipName_TabloidExtra &sipStrings_QtGui[30464]
#define sipNameNr_paintUnderGL 30477
#define sipName_paintUnderGL &sipStrings_QtGui[30477]
#define sipNameNr_initializeGL 30490
#define sipName_initializeGL &sipStrings_QtGui[30490]
#define sipNameNr_frameSwapped 30503
#define sipName_frameSwapped &sipStrings_QtGui[30503]
#define sipNameNr_recordSample 30516
#define sipName_recordSample &sipStrings_QtGui[30516]
#define sipNameNr_CompareNever 30529
#define sipName_CompareNever &sipStrings_QtGui[30529]
#define sipNameNr_CompareEqual 30542
#define sipName_CompareEqual &sipStrings_QtGui[30542]
#define sipNameNr_SwizzleValue 3226
#define sipName_SwizzleValue &sipStrings_QtGui[3226]
#define sipNameNr_SwizzleAlpha 30555
#define sipName_SwizzleAlpha &sipStrings_QtGui[30555]
#define sipNameNr_SwizzleGreen 30568
#define sipName_SwizzleGreen &sipStrings_QtGui[30568]
#define sipNameNr_mipBaseLevel 30581
#define sipName_mipBaseLevel &sipStrings_QtGui[30581]
#define sipNameNr_NPOTTextures 30594
#define sipName_NPOTTextures &sipStrings_QtGui[30594]
#define sipNameNr_UInt32_D24S8 30607
#define sipName_UInt32_D24S8 &sipStrings_QtGui[30607]
#define sipNameNr_UInt32_RGBA8 30620
#define sipName_UInt32_RGBA8 &sipStrings_QtGui[30620]
#define sipNameNr_UInt16_RGBA4 30633
#define sipName_UInt16_RGBA4 &sipStrings_QtGui[30633]
#define sipNameNr_DepthStencil 11018
#define sipName_DepthStencil &sipStrings_QtGui[11018]
#define sipNameNr_BGRA_Integer 30646
#define sipName_BGRA_Integer &sipStrings_QtGui[30646]
#define sipNameNr_RGBA_Integer 30659
#define sipName_RGBA_Integer &sipStrings_QtGui[30659]
#define sipNameNr_setMipLevels 30672
#define sipName_setMipLevels &sipStrings_QtGui[30672]
#define sipNameNr_SRGB8_Alpha8 30685
#define sipName_SRGB8_Alpha8 &sipStrings_QtGui[30685]
#define sipNameNr_RGB_BP_UNorm 27658
#define sipName_RGB_BP_UNorm &sipStrings_QtGui[27658]
#define sipNameNr_RGBA16_SNorm 30698
#define sipName_RGBA16_SNorm &sipStrings_QtGui[30698]
#define sipNameNr_RGBA16_UNorm 30711
#define sipName_RGBA16_UNorm &sipStrings_QtGui[30711]
#define sipNameNr_TargetBuffer 12376
#define sipName_TargetBuffer &sipStrings_QtGui[12376]
#define sipNameNr_removeShader 30724
#define sipName_removeShader &sipStrings_QtGui[30724]
#define sipNameNr_setRowLength 30737
#define sipName_setRowLength &sipStrings_QtGui[30737]
#define sipNameNr_setAlignment 30750
#define sipName_setAlignment &sipStrings_QtGui[30750]
#define sipNameNr_paintFlipped 30763
#define sipName_paintFlipped &sipStrings_QtGui[30763]
#define sipNameNr_NoAttachment 30776
#define sipName_NoAttachment &sipStrings_QtGui[30776]
#define sipNameNr_startLogging 30789
#define sipName_startLogging &sipStrings_QtGui[30789]
#define sipNameNr_HighSeverity 30802
#define sipName_HighSeverity &sipStrings_QtGui[30802]
#define sipNameNr_GroupPopType 30815
#define sipName_GroupPopType &sipStrings_QtGui[30815]
#define sipNameNr_minorVersion 30828
#define sipName_minorVersion &sipStrings_QtGui[30828]
#define sipNameNr_majorVersion 30841
#define sipName_majorVersion &sipStrings_QtGui[30841]
#define sipNameNr_nativeHandle 30854
#define sipName_nativeHandle &sipStrings_QtGui[30854]
#define sipNameNr_hasExtension 30867
#define sipName_hasExtension &sipStrings_QtGui[30867]
#define sipNameNr_shareContext 30880
#define sipName_shareContext &sipStrings_QtGui[30880]
#define sipNameNr_usagePattern 30893
#define sipName_usagePattern &sipStrings_QtGui[30893]
#define sipNameNr_UsagePattern 3992
#define sipName_UsagePattern &sipStrings_QtGui[3992]
#define sipNameNr_VertexBuffer 30906
#define sipName_VertexBuffer &sipStrings_QtGui[30906]
#define sipNameNr_setCacheMode 30919
#define sipName_setCacheMode &sipStrings_QtGui[30919]
#define sipNameNr_currentImage 30932
#define sipName_currentImage &sipStrings_QtGui[30932]
#define sipNameNr_normalMatrix 30945
#define sipName_normalMatrix &sipStrings_QtGui[30945]
#define sipNameNr_listToString 30958
#define sipName_listToString &sipStrings_QtGui[30958]
#define sipNameNr_FindPrevious 30971
#define sipName_FindPrevious &sipStrings_QtGui[30971]
#define sipNameNr_HelpContents 30984
#define sipName_HelpContents &sipStrings_QtGui[30984]
#define sipNameNr_PartialMatch 30997
#define sipName_PartialMatch &sipStrings_QtGui[30997]
#define sipNameNr_PortableText 31010
#define sipName_PortableText &sipStrings_QtGui[31010]
#define sipNameNr_invokeAction 31023
#define sipName_invokeAction &sipStrings_QtGui[31023]
#define sipNameNr_QInputMethod 31036
#define sipName_QInputMethod &sipStrings_QtGui[31036]
#define sipNameNr_QImageWriter 31049
#define sipName_QImageWriter &sipStrings_QtGui[31049]
#define sipNameNr_QImageReader 31062
#define sipName_QImageReader &sipStrings_QtGui[31062]
#define sipNameNr_smoothScaled 31075
#define sipName_smoothScaled &sipStrings_QtGui[31075]
#define sipNameNr_invertPixels 31088
#define sipName_invertPixels &sipStrings_QtGui[31088]
#define sipNameNr_bytesPerLine 31101
#define sipName_bytesPerLine &sipStrings_QtGui[31101]
#define sipNameNr_Format_RGB30 31114
#define sipName_Format_RGB30 &sipStrings_QtGui[31114]
#define sipNameNr_Format_BGR30 31127
#define sipName_Format_BGR30 &sipStrings_QtGui[31127]
#define sipNameNr_Format_RGB16 31140
#define sipName_Format_RGB16 &sipStrings_QtGui[31140]
#define sipNameNr_Format_RGB32 31153
#define sipName_Format_RGB32 &sipStrings_QtGui[31153]
#define sipNameNr_QPaintDevice 31166
#define sipName_QPaintDevice &sipStrings_QtGui[31166]
#define sipNameNr_IconNameHook 31179
#define sipName_IconNameHook &sipStrings_QtGui[31179]
#define sipNameNr_setThemeName 31192
#define sipName_setThemeName &sipStrings_QtGui[31192]
#define sipNameNr_hasThemeIcon 31205
#define sipName_hasThemeIcon &sipStrings_QtGui[31205]
#define sipNameNr_QIcon__State 31218
#define sipName_QIcon__State &sipStrings_QtGui[31218]
#define sipNameNr_platformName 31231
#define sipName_platformName &sipStrings_QtGui[31231]
#define sipNameNr_GlyphRunFlag 7269
#define sipName_GlyphRunFlag &sipStrings_QtGui[7269]
#define sipNameNr_setPositions 31244
#define sipName_setPositions &sipStrings_QtGui[31244]
#define sipNameNr_glyphIndexes 31257
#define sipName_glyphIndexes &sipStrings_QtGui[31257]
#define sipNameNr_strikeOutPos 31270
#define sipName_strikeOutPos &sipStrings_QtGui[31270]
#define sipNameNr_underlinePos 31283
#define sipName_underlinePos &sipStrings_QtGui[31283]
#define sipNameNr_boundingRect 31296
#define sipName_boundingRect &sipStrings_QtGui[31296]
#define sipNameNr_rightBearing 31309
#define sipName_rightBearing &sipStrings_QtGui[31309]
#define sipNameNr_QFontMetrics 31322
#define sipName_QFontMetrics &sipStrings_QtGui[31322]
#define sipNameNr_isFixedPitch 31335
#define sipName_isFixedPitch &sipStrings_QtGui[31335]
#define sipNameNr_setStyleName 31348
#define sipName_setStyleName &sipStrings_QtGui[31348]
#define sipNameNr_AllLowercase 31361
#define sipName_AllLowercase &sipStrings_QtGui[31361]
#define sipNameNr_AllUppercase 31374
#define sipName_AllUppercase &sipStrings_QtGui[31374]
#define sipNameNr_setStyleHint 31387
#define sipName_setStyleHint &sipStrings_QtGui[31387]
#define sipNameNr_setStrikeOut 31400
#define sipName_setStrikeOut &sipStrings_QtGui[31400]
#define sipNameNr_setUnderline 31413
#define sipName_setUnderline &sipStrings_QtGui[31413]
#define sipNameNr_setPixelSize 31426
#define sipName_setPixelSize &sipStrings_QtGui[31426]
#define sipNameNr_setPointSize 31439
#define sipName_setPointSize &sipStrings_QtGui[31439]
#define sipNameNr_SemiExpanded 31452
#define sipName_SemiExpanded &sipStrings_QtGui[31452]
#define sipNameNr_StyleOblique 31465
#define sipName_StyleOblique &sipStrings_QtGui[31465]
#define sipNameNr_QFont__Style 31478
#define sipName_QFont__Style &sipStrings_QtGui[31478]
#define sipNameNr_ForceOutline 31491
#define sipName_ForceOutline &sipStrings_QtGui[31491]
#define sipNameNr_PreferDevice 31504
#define sipName_PreferDevice &sipStrings_QtGui[31504]
#define sipNameNr_PreferBitmap 31517
#define sipName_PreferBitmap &sipStrings_QtGui[31517]
#define sipNameNr_QScrollEvent 31530
#define sipName_QScrollEvent &sipStrings_QtGui[31530]
#define sipNameNr_viewportSize 31543
#define sipName_viewportSize &sipStrings_QtGui[31543]
#define sipNameNr_QExposeEvent 31556
#define sipName_QExposeEvent &sipStrings_QtGui[31556]
#define sipNameNr_lastScenePos 31569
#define sipName_lastScenePos &sipStrings_QtGui[31569]
#define sipNameNr_QActionEvent 31582
#define sipName_QActionEvent &sipStrings_QtGui[31582]
#define sipNameNr_mouseButtons 31595
#define sipName_mouseButtons &sipStrings_QtGui[31595]
#define sipNameNr_commitString 31608
#define sipName_commitString &sipStrings_QtGui[31608]
#define sipNameNr_QResizeEvent 31621
#define sipName_QResizeEvent &sipStrings_QtGui[31621]
#define sipNameNr_isAutoRepeat 31634
#define sipName_isAutoRepeat &sipStrings_QtGui[31634]
#define sipNameNr_hiResGlobalY 31647
#define sipName_hiResGlobalY &sipStrings_QtGui[31647]
#define sipNameNr_hiResGlobalX 31660
#define sipName_hiResGlobalX &sipStrings_QtGui[31660]
#define sipNameNr_TabletDevice 4698
#define sipName_TabletDevice &sipStrings_QtGui[4698]
#define sipNameNr_QTabletEvent 31673
#define sipName_QTabletEvent &sipStrings_QtGui[31673]
#define sipNameNr_setTimestamp 31686
#define sipName_setTimestamp &sipStrings_QtGui[31686]
#define sipNameNr_centerRadius 31699
#define sipName_centerRadius &sipStrings_QtGui[31699]
#define sipNameNr_setFinalStop 31712
#define sipName_setFinalStop &sipStrings_QtGui[31712]
#define sipNameNr_RepeatSpread 31725
#define sipName_RepeatSpread &sipStrings_QtGui[31725]
#define sipNameNr_setTransform 24200
#define sipName_setTransform &sipStrings_QtGui[24200]
#define sipNameNr_textureImage 31738
#define sipName_textureImage &sipStrings_QtGui[31738]
#define sipNameNr_isValidColor 31751
#define sipName_isValidColor &sipStrings_QtGui[31751]
#define sipNameNr_QColor__Spec 31764
#define sipName_QColor__Spec &sipStrings_QtGui[31764]
#define sipNameNr_documentSize 31777
#define sipName_documentSize &sipStrings_QtGui[31777]
#define sipNameNr_PaintContext 181
#define sipName_PaintContext &sipStrings_QtGui[181]
#define sipNameNr_columnNumber 31790
#define sipName_columnNumber &sipStrings_QtGui[31790]
#define sipNameNr_loadFromData 31803
#define sipName_loadFromData &sipStrings_QtGui[31803]
#define sipNameNr_frameChanged 31816
#define sipName_frameChanged &sipStrings_QtGui[31816]
#define sipNameNr_currentFrame 31829
#define sipName_currentFrame &sipStrings_QtGui[31829]
#define sipNameNr_QKeySequence 31842
#define sipName_QKeySequence &sipStrings_QtGui[31842]
#define sipNameNr_UnknownError 31855
#define sipName_UnknownError &sipStrings_QtGui[31855]
#define sipNameNr_hasSelection 31868
#define sipName_hasSelection &sipStrings_QtGui[31868]
#define sipNameNr_LittleEndian 31881
#define sipName_LittleEndian &sipStrings_QtGui[31881]
#define sipNameNr___contains__ 31894
#define sipName___contains__ &sipStrings_QtGui[31894]
#define sipNameNr_removeColumn 31907
#define sipName_removeColumn &sipStrings_QtGui[31907]
#define sipNameNr_insertColumn 31920
#define sipName_insertColumn &sipStrings_QtGui[31920]
#define sipNameNr_canFetchMore 31933
#define sipName_canFetchMore &sipStrings_QtGui[31933]
#define sipNameNr_dropMimeData 31946
#define sipName_dropMimeData &sipStrings_QtGui[31946]
#define sipNameNr_stateChanged 31959
#define sipName_stateChanged &sipStrings_QtGui[31959]
#define sipNameNr_tabletEvent 31972
#define sipName_tabletEvent &sipStrings_QtGui[31972]
#define sipNameNr_unsetCursor 31984
#define sipName_unsetCursor &sipStrings_QtGui[31984]
#define sipNameNr_mapToGlobal 31996
#define sipName_mapToGlobal &sipStrings_QtGui[31996]
#define sipNameNr_setFilePath 32008
#define sipName_setFilePath &sipStrings_QtGui[32008]
#define sipNameNr_setGeometry 32020
#define sipName_setGeometry &sipStrings_QtGui[32020]
#define sipNameNr_setBaseSize 32032
#define sipName_setBaseSize &sipStrings_QtGui[32032]
#define sipNameNr_maximumSize 32044
#define sipName_maximumSize &sipStrings_QtGui[32044]
#define sipNameNr_minimumSize 32056
#define sipName_minimumSize &sipStrings_QtGui[32056]
#define sipNameNr_windowState 32068
#define sipName_windowState &sipStrings_QtGui[32068]
#define sipNameNr_setModality 32080
#define sipName_setModality &sipStrings_QtGui[32080]
#define sipNameNr_setNotation 32092
#define sipName_setNotation &sipStrings_QtGui[32092]
#define sipNameNr_setDecimals 32104
#define sipName_setDecimals &sipStrings_QtGui[32104]
#define sipNameNr_TxTranslate 32116
#define sipName_TxTranslate &sipStrings_QtGui[32116]
#define sipNameNr_TouchScreen 32128
#define sipName_TouchScreen &sipStrings_QtGui[32128]
#define sipNameNr_setTabArray 32140
#define sipName_setTabArray &sipStrings_QtGui[32140]
#define sipNameNr_QTextOption 32152
#define sipName_QTextOption &sipStrings_QtGui[32152]
#define sipNameNr_textFormats 32164
#define sipName_textFormats &sipStrings_QtGui[32164]
#define sipNameNr_setRevision 32176
#define sipName_setRevision &sipStrings_QtGui[32176]
#define sipNameNr_setUserData 32188
#define sipName_setUserData &sipStrings_QtGui[32188]
#define sipNameNr_parentFrame 32200
#define sipName_parentFrame &sipStrings_QtGui[32200]
#define sipNameNr_childFrames 32212
#define sipName_childFrames &sipStrings_QtGui[32212]
#define sipNameNr_frameFormat 32224
#define sipName_frameFormat &sipStrings_QtGui[32224]
#define sipNameNr_QTextObject 32236
#define sipName_QTextObject &sipStrings_QtGui[32236]
#define sipNameNr_clearLayout 32248
#define sipName_clearLayout &sipStrings_QtGui[32248]
#define sipNameNr_beginLayout 32260
#define sipName_beginLayout &sipStrings_QtGui[32260]
#define sipNameNr_FormatRange 5581
#define sipName_FormatRange &sipStrings_QtGui[5581]
#define sipNameNr_QTextLayout 32272
#define sipName_QTextLayout &sipStrings_QtGui[32272]
#define sipNameNr_formatIndex 32284
#define sipName_formatIndex &sipStrings_QtGui[32284]
#define sipNameNr_leftPadding 32296
#define sipName_leftPadding &sipStrings_QtGui[32296]
#define sipNameNr_cellPadding 32308
#define sipName_cellPadding &sipStrings_QtGui[32308]
#define sipNameNr_cellSpacing 32320
#define sipName_cellSpacing &sipStrings_QtGui[32320]
#define sipNameNr_borderStyle 32332
#define sipName_borderStyle &sipStrings_QtGui[32332]
#define sipNameNr_borderBrush 32344
#define sipName_borderBrush &sipStrings_QtGui[32344]
#define sipNameNr_BorderStyle 2397
#define sipName_BorderStyle &sipStrings_QtGui[2397]
#define sipNameNr_ListDecimal 32356
#define sipName_ListDecimal &sipStrings_QtGui[32356]
#define sipNameNr_FixedHeight 32368
#define sipName_FixedHeight &sipStrings_QtGui[32368]
#define sipNameNr_fontStretch 32380
#define sipName_fontStretch &sipStrings_QtGui[32380]
#define sipNameNr_fontKerning 32392
#define sipName_fontKerning &sipStrings_QtGui[32392]
#define sipNameNr_anchorNames 32404
#define sipName_anchorNames &sipStrings_QtGui[32404]
#define sipNameNr_NoUnderline 32416
#define sipName_NoUnderline &sipStrings_QtGui[32416]
#define sipNameNr_textOutline 32428
#define sipName_textOutline &sipStrings_QtGui[32428]
#define sipNameNr_AlignMiddle 32440
#define sipName_AlignMiddle &sipStrings_QtGui[32440]
#define sipNameNr_AlignNormal 32452
#define sipName_AlignNormal &sipStrings_QtGui[32452]
#define sipNameNr_penProperty 32464
#define sipName_penProperty &sipStrings_QtGui[32464]
#define sipNameNr_intProperty 32476
#define sipName_intProperty &sipStrings_QtGui[32476]
#define sipNameNr_hasProperty 32488
#define sipName_hasProperty &sipStrings_QtGui[32488]
#define sipNameNr_FontStretch 23316
#define sipName_FontStretch &sipStrings_QtGui[23316]
#define sipNameNr_FontKerning 23331
#define sipName_FontKerning &sipStrings_QtGui[23331]
#define sipNameNr_TextToolTip 32500
#define sipName_TextToolTip &sipStrings_QtGui[32500]
#define sipNameNr_ImageHeight 24741
#define sipName_ImageHeight &sipStrings_QtGui[24741]
#define sipNameNr_FrameHeight 32512
#define sipName_FrameHeight &sipStrings_QtGui[32512]
#define sipNameNr_FrameMargin 32524
#define sipName_FrameMargin &sipStrings_QtGui[32524]
#define sipNameNr_FrameBorder 32536
#define sipName_FrameBorder &sipStrings_QtGui[32536]
#define sipNameNr_TextOutline 23376
#define sipName_TextOutline &sipStrings_QtGui[23376]
#define sipNameNr_BlockIndent 32548
#define sipName_BlockIndent &sipStrings_QtGui[32548]
#define sipNameNr_ObjectIndex 23481
#define sipName_ObjectIndex &sipStrings_QtGui[23481]
#define sipNameNr_TableObject 32560
#define sipName_TableObject &sipStrings_QtGui[32560]
#define sipNameNr_ImageObject 32572
#define sipName_ImageObject &sipStrings_QtGui[32572]
#define sipNameNr_ObjectTypes 5656
#define sipName_ObjectTypes &sipStrings_QtGui[5656]
#define sipNameNr_FrameFormat 18210
#define sipName_FrameFormat &sipStrings_QtGui[18210]
#define sipNameNr_TableFormat 18176
#define sipName_TableFormat &sipStrings_QtGui[18176]
#define sipNameNr_BlockFormat 18244
#define sipName_BlockFormat &sipStrings_QtGui[18244]
#define sipNameNr_FixedLength 32584
#define sipName_FixedLength &sipStrings_QtGui[32584]
#define sipNameNr_characterAt 32596
#define sipName_characterAt &sipStrings_QtGui[32596]
#define sipNameNr_indentWidth 32608
#define sipName_indentWidth &sipStrings_QtGui[32608]
#define sipNameNr_setModified 32620
#define sipName_setModified &sipStrings_QtGui[32620]
#define sipNameNr_addResource 32632
#define sipName_addResource &sipStrings_QtGui[32632]
#define sipNameNr_defaultFont 32644
#define sipName_defaultFont &sipStrings_QtGui[32644]
#define sipNameNr_objectIndex 32656
#define sipName_objectIndex &sipStrings_QtGui[32656]
#define sipNameNr_toPlainText 32668
#define sipName_toPlainText &sipStrings_QtGui[32668]
#define sipNameNr_DocumentUrl 32680
#define sipName_DocumentUrl &sipStrings_QtGui[32680]
#define sipNameNr_blockNumber 32692
#define sipName_blockNumber &sipStrings_QtGui[32692]
#define sipNameNr_insertImage 32704
#define sipName_insertImage &sipStrings_QtGui[32704]
#define sipNameNr_insertFrame 32716
#define sipName_insertFrame &sipStrings_QtGui[32716]
#define sipNameNr_insertTable 32728
#define sipName_insertTable &sipStrings_QtGui[32728]
#define sipNameNr_currentList 32740
#define sipName_currentList &sipStrings_QtGui[32740]
#define sipNameNr_insertBlock 32752
#define sipName_insertBlock &sipStrings_QtGui[32752]
#define sipNameNr_blockFormat 32764
#define sipName_blockFormat &sipStrings_QtGui[32764]
#define sipNameNr_PreviousRow 32776
#define sipName_PreviousRow &sipStrings_QtGui[32776]
#define sipNameNr_StartOfWord 17168
#define sipName_StartOfWord &sipStrings_QtGui[17168]
#define sipNameNr_StartOfLine 17186
#define sipName_StartOfLine &sipStrings_QtGui[17186]
#define sipNameNr_QTextCursor 32788
#define sipName_QTextCursor &sipStrings_QtGui[32788]
#define sipNameNr_rehighlight 32800
#define sipName_rehighlight &sipStrings_QtGui[32800]
#define sipNameNr_setDocument 32812
#define sipName_setDocument &sipStrings_QtGui[32812]
#define sipNameNr_CoreProfile 32824
#define sipName_CoreProfile &sipStrings_QtGui[32824]
#define sipNameNr_SurfaceType 8813
#define sipName_SurfaceType &sipStrings_QtGui[8813]
#define sipNameNr_QStyleHints 32836
#define sipName_QStyleHints &sipStrings_QtGui[32836]
#define sipNameNr_QStaticText 32848
#define sipName_QStaticText &sipStrings_QtGui[32848]
#define sipNameNr_setSizeHint 32860
#define sipName_setSizeHint &sipStrings_QtGui[32860]
#define sipNameNr_setTristate 32872
#define sipName_setTristate &sipStrings_QtGui[32872]
#define sipNameNr_isCheckable 32884
#define sipName_isCheckable &sipStrings_QtGui[32884]
#define sipNameNr_setEditable 32896
#define sipName_setEditable &sipStrings_QtGui[32896]
#define sipNameNr_itemChanged 32908
#define sipName_itemChanged &sipStrings_QtGui[32908]
#define sipNameNr_setRowCount 32920
#define sipName_setRowCount &sipStrings_QtGui[32920]
#define sipNameNr_restartHint 32932
#define sipName_restartHint &sipStrings_QtGui[32932]
#define sipNameNr_RestartHint 3140
#define sipName_RestartHint &sipStrings_QtGui[3140]
#define sipNameNr_refreshRate 32944
#define sipName_refreshRate &sipStrings_QtGui[32944]
#define sipNameNr_isLandscape 32956
#define sipName_isLandscape &sipStrings_QtGui[32956]
#define sipNameNr_virtualSize 32968
#define sipName_virtualSize &sipStrings_QtGui[32968]
#define sipNameNr_LayoutFlags 8967
#define sipName_LayoutFlags &sipStrings_QtGui[8967]
#define sipNameNr_magentaSize 32980
#define sipName_magentaSize &sipStrings_QtGui[32980]
#define sipNameNr_AtBeginning 32992
#define sipName_AtBeginning &sipStrings_QtGui[32992]
#define sipNameNr_setIODevice 33004
#define sipName_setIODevice &sipStrings_QtGui[33004]
#define sipNameNr_setCosmetic 33016
#define sipName_setCosmetic &sipStrings_QtGui[33016]
#define sipNameNr_toolTipText 33028
#define sipName_toolTipText &sipStrings_QtGui[33028]
#define sipNameNr_toolTipBase 33040
#define sipName_toolTipBase &sipStrings_QtGui[33040]
#define sipNameNr_linkVisited 33052
#define sipName_linkVisited &sipStrings_QtGui[33052]
#define sipNameNr_NColorRoles 33064
#define sipName_NColorRoles &sipStrings_QtGui[33064]
#define sipNameNr_ToolTipText 33076
#define sipName_ToolTipText &sipStrings_QtGui[33076]
#define sipNameNr_ToolTipBase 33088
#define sipName_ToolTipBase &sipStrings_QtGui[33088]
#define sipNameNr_LinkVisited 33100
#define sipName_LinkVisited &sipStrings_QtGui[33100]
#define sipNameNr_dashPattern 33112
#define sipName_dashPattern &sipStrings_QtGui[33112]
#define sipNameNr_setCapStyle 33124
#define sipName_setCapStyle &sipStrings_QtGui[33124]
#define sipNameNr_setFillRule 33136
#define sipName_setFillRule &sipStrings_QtGui[33136]
#define sipNameNr_connectPath 33148
#define sipName_connectPath &sipStrings_QtGui[33148]
#define sipNameNr_ElementType 4933
#define sipName_ElementType &sipStrings_QtGui[4933]
#define sipNameNr_PaintBuffer 33160
#define sipName_PaintBuffer &sipStrings_QtGui[33160]
#define sipNameNr_WindingMode 33172
#define sipName_WindingMode &sipStrings_QtGui[33172]
#define sipNameNr_OddEvenMode 33184
#define sipName_OddEvenMode &sipStrings_QtGui[33184]
#define sipNameNr_AllFeatures 33196
#define sipName_AllFeatures &sipStrings_QtGui[33196]
#define sipNameNr_MaskedBrush 33208
#define sipName_MaskedBrush &sipStrings_QtGui[33208]
#define sipNameNr_BrushStroke 33220
#define sipName_BrushStroke &sipStrings_QtGui[33220]
#define sipNameNr_renderFlags 33232
#define sipName_renderFlags &sipStrings_QtGui[33232]
#define sipNameNr_RenderFlags 7825
#define sipName_RenderFlags &sipStrings_QtGui[7825]
#define sipNameNr_exposeEvent 33244
#define sipName_exposeEvent &sipStrings_QtGui[33244]
#define sipNameNr_logicalDpiY 33256
#define sipName_logicalDpiY &sipStrings_QtGui[33256]
#define sipNameNr_logicalDpiX 33268
#define sipName_logicalDpiX &sipStrings_QtGui[33268]
#define sipNameNr_PdmHeightMM 33280
#define sipName_PdmHeightMM &sipStrings_QtGui[33280]
#define sipNameNr_renderHints 33292
#define sipName_renderHints &sipStrings_QtGui[33292]
#define sipNameNr_drawPicture 33304
#define sipName_drawPicture &sipStrings_QtGui[33304]
#define sipNameNr_drawPolygon 33316
#define sipName_drawPolygon &sipStrings_QtGui[33316]
#define sipNameNr_drawEllipse 33328
#define sipName_drawEllipse &sipStrings_QtGui[33328]
#define sipNameNr_setViewport 33340
#define sipName_setViewport &sipStrings_QtGui[33340]
#define sipNameNr_hasClipping 33352
#define sipName_hasClipping &sipStrings_QtGui[33352]
#define sipNameNr_setClipping 33364
#define sipName_setClipping &sipStrings_QtGui[33364]
#define sipNameNr_setClipPath 33376
#define sipName_setClipPath &sipStrings_QtGui[33376]
#define sipNameNr_brushOrigin 33388
#define sipName_brushOrigin &sipStrings_QtGui[33388]
#define sipNameNr_fontMetrics 33400
#define sipName_fontMetrics &sipStrings_QtGui[33400]
#define sipNameNr_RenderHints 9121
#define sipName_RenderHints &sipStrings_QtGui[9121]
#define sipNameNr_matchPolicy 33412
#define sipName_matchPolicy &sipStrings_QtGui[33412]
#define sipNameNr_rightMargin 33424
#define sipName_rightMargin &sipStrings_QtGui[33424]
#define sipNameNr_QPageLayout 33436
#define sipName_QPageLayout &sipStrings_QtGui[33436]
#define sipNameNr_setPageSize 33448
#define sipName_setPageSize &sipStrings_QtGui[33448]
#define sipNameNr_EnvelopeC65 33460
#define sipName_EnvelopeC65 &sipStrings_QtGui[33460]
#define sipNameNr_Imperial7x9 33472
#define sipName_Imperial7x9 &sipStrings_QtGui[33472]
#define sipNameNr_LetterSmall 33484
#define sipName_LetterSmall &sipStrings_QtGui[33484]
#define sipNameNr_LetterExtra 33496
#define sipName_LetterExtra &sipStrings_QtGui[33496]
#define sipNameNr_resizeEvent 33508
#define sipName_resizeEvent &sipStrings_QtGui[33508]
#define sipNameNr_paintOverGL 33520
#define sipName_paintOverGL &sipStrings_QtGui[33520]
#define sipNameNr_sampleCount 33532
#define sipName_sampleCount &sipStrings_QtGui[33532]
#define sipNameNr_CompareNone 33544
#define sipName_CompareNone &sipStrings_QtGui[33544]
#define sipNameNr_CompareLess 33556
#define sipName_CompareLess &sipStrings_QtGui[33556]
#define sipNameNr_borderColor 33568
#define sipName_borderColor &sipStrings_QtGui[33568]
#define sipNameNr_setWrapMode 33580
#define sipName_setWrapMode &sipStrings_QtGui[33580]
#define sipNameNr_ClampToEdge 33592
#define sipName_ClampToEdge &sipStrings_QtGui[33592]
#define sipNameNr_StencilMode 1195
#define sipName_StencilMode &sipStrings_QtGui[1195]
#define sipNameNr_swizzleMask 33604
#define sipName_swizzleMask &sipStrings_QtGui[33604]
#define sipNameNr_SwizzleBlue 33616
#define sipName_SwizzleBlue &sipStrings_QtGui[33616]
#define sipNameNr_mipMaxLevel 33628
#define sipName_mipMaxLevel &sipStrings_QtGui[33628]
#define sipNameNr_UInt8_RG3B2 33640
#define sipName_UInt8_RG3B2 &sipStrings_QtGui[33640]
#define sipNameNr_NoPixelType 33652
#define sipName_NoPixelType &sipStrings_QtGui[33652]
#define sipNameNr_BGR_Integer 33664
#define sipName_BGR_Integer &sipStrings_QtGui[33664]
#define sipNameNr_RGB_Integer 33676
#define sipName_RGB_Integer &sipStrings_QtGui[33676]
#define sipNameNr_Red_Integer 33688
#define sipName_Red_Integer &sipStrings_QtGui[33688]
#define sipNameNr_PixelFormat 3853
#define sipName_PixelFormat &sipStrings_QtGui[3853]
#define sipNameNr_CubeMapFace 3881
#define sipName_CubeMapFace &sipStrings_QtGui[3881]
#define sipNameNr_AlphaFormat 10851
#define sipName_AlphaFormat &sipStrings_QtGui[10851]
#define sipNameNr_DepthFormat 33700
#define sipName_DepthFormat &sipStrings_QtGui[33700]
#define sipNameNr_RGB16_SNorm 33712
#define sipName_RGB16_SNorm &sipStrings_QtGui[33712]
#define sipNameNr_RGBA8_SNorm 33724
#define sipName_RGBA8_SNorm &sipStrings_QtGui[33724]
#define sipNameNr_RGB16_UNorm 33736
#define sipName_RGB16_UNorm &sipStrings_QtGui[33736]
#define sipNameNr_RGBA8_UNorm 33748
#define sipName_RGBA8_UNorm &sipStrings_QtGui[33748]
#define sipNameNr_imageHeight 33760
#define sipName_imageHeight &sipStrings_QtGui[33760]
#define sipNameNr_setSkipRows 33772
#define sipName_setSkipRows &sipStrings_QtGui[33772]
#define sipNameNr_takeTexture 33784
#define sipName_takeTexture &sipStrings_QtGui[33784]
#define sipNameNr_bindDefault 33796
#define sipName_bindDefault &sipStrings_QtGui[33796]
#define sipNameNr_stopLogging 33808
#define sipName_stopLogging &sipStrings_QtGui[33808]
#define sipNameNr_loggingMode 33820
#define sipName_loggingMode &sipStrings_QtGui[33820]
#define sipNameNr_LoggingMode 1713
#define sipName_LoggingMode &sipStrings_QtGui[1713]
#define sipNameNr_AnySeverity 33832
#define sipName_AnySeverity &sipStrings_QtGui[33832]
#define sipNameNr_LowSeverity 33844
#define sipName_LowSeverity &sipStrings_QtGui[33844]
#define sipNameNr_InvalidType 33856
#define sipName_InvalidType &sipStrings_QtGui[33856]
#define sipNameNr_OtherSource 33868
#define sipName_OtherSource &sipStrings_QtGui[33868]
#define sipNameNr_hasProfiles 33880
#define sipName_hasProfiles &sipStrings_QtGui[33880]
#define sipNameNr_swapBuffers 33892
#define sipName_swapBuffers &sipStrings_QtGui[33892]
#define sipNameNr_doneCurrent 33904
#define sipName_doneCurrent &sipStrings_QtGui[33904]
#define sipNameNr_makeCurrent 33916
#define sipName_makeCurrent &sipStrings_QtGui[33916]
#define sipNameNr_DynamicCopy 33928
#define sipName_DynamicCopy &sipStrings_QtGui[33928]
#define sipNameNr_DynamicRead 33940
#define sipName_DynamicRead &sipStrings_QtGui[33940]
#define sipNameNr_DynamicDraw 33952
#define sipName_DynamicDraw &sipStrings_QtGui[33952]
#define sipNameNr_IndexBuffer 33964
#define sipName_IndexBuffer &sipStrings_QtGui[33964]
#define sipNameNr_surfaceType 33976
#define sipName_surfaceType &sipStrings_QtGui[33976]
#define sipNameNr_jumpToFrame 33988
#define sipName_jumpToFrame &sipStrings_QtGui[33988]
#define sipNameNr___imatmul__ 34000
#define sipName___imatmul__ &sipStrings_QtGui[34000]
#define sipNameNr_toTransform 19570
#define sipName_toTransform &sipStrings_QtGui[19570]
#define sipNameNr_perspective 34012
#define sipName_perspective &sipStrings_QtGui[34012]
#define sipNameNr_determinant 34024
#define sipName_determinant &sipStrings_QtGui[34024]
#define sipNameNr_keyBindings 34036
#define sipName_keyBindings &sipStrings_QtGui[34036]
#define sipNameNr_Preferences 34048
#define sipName_Preferences &sipStrings_QtGui[34048]
#define sipNameNr_StandardKey 5297
#define sipName_StandardKey &sipStrings_QtGui[5297]
#define sipNameNr_isAnimating 34060
#define sipName_isAnimating &sipStrings_QtGui[34060]
#define sipNameNr_compression 34072
#define sipName_compression &sipStrings_QtGui[34072]
#define sipNameNr_imageFormat 34084
#define sipName_imageFormat &sipStrings_QtGui[34084]
#define sipNameNr_setClipRect 34096
#define sipName_setClipRect &sipStrings_QtGui[34096]
#define sipNameNr_DeviceError 34108
#define sipName_DeviceError &sipStrings_QtGui[34108]
#define sipNameNr_jumpToImage 34120
#define sipName_jumpToImage &sipStrings_QtGui[34120]
#define sipNameNr_Description 5781
#define sipName_Description &sipStrings_QtGui[5781]
#define sipNameNr_ImageOption 3372
#define sipName_ImageOption &sipStrings_QtGui[3372]
#define sipNameNr_pixelFormat 34132
#define sipName_pixelFormat &sipStrings_QtGui[34132]
#define sipNameNr_paintEngine 34144
#define sipName_paintEngine &sipStrings_QtGui[34144]
#define sipNameNr_isGrayscale 34156
#define sipName_isGrayscale &sipStrings_QtGui[34156]
#define sipNameNr_Format_Mono 34168
#define sipName_Format_Mono &sipStrings_QtGui[34168]
#define sipNameNr_QIconEngine 34180
#define sipName_QIconEngine &sipStrings_QtGui[34180]
#define sipNameNr_QIcon__Mode 34192
#define sipName_QIcon__Mode &sipStrings_QtGui[34192]
#define sipNameNr_modalWindow 34204
#define sipName_modalWindow &sipStrings_QtGui[34204]
#define sipNameNr_screenAdded 34216
#define sipName_screenAdded &sipStrings_QtGui[34216]
#define sipNameNr_focusObject 34228
#define sipName_focusObject &sipStrings_QtGui[34228]
#define sipNameNr_focusWindow 34240
#define sipName_focusWindow &sipStrings_QtGui[34240]
#define sipNameNr_overlinePos 34252
#define sipName_overlinePos &sipStrings_QtGui[34252]
#define sipNameNr_leftBearing 34264
#define sipName_leftBearing &sipStrings_QtGui[34264]
#define sipNameNr_lineSpacing 34276
#define sipName_lineSpacing &sipStrings_QtGui[34276]
#define sipNameNr_GeneralFont 34288
#define sipName_GeneralFont &sipStrings_QtGui[34288]
#define sipNameNr_styleString 34300
#define sipName_styleString &sipStrings_QtGui[34300]
#define sipNameNr_smoothSizes 34312
#define sipName_smoothSizes &sipStrings_QtGui[34312]
#define sipNameNr_wordSpacing 34324
#define sipName_wordSpacing &sipStrings_QtGui[34324]
#define sipNameNr_SpacingType 5606
#define sipName_SpacingType &sipStrings_QtGui[5606]
#define sipNameNr_substitutes 34336
#define sipName_substitutes &sipStrings_QtGui[34336]
#define sipNameNr_setOverline 34348
#define sipName_setOverline &sipStrings_QtGui[34348]
#define sipNameNr_Unstretched 34360
#define sipName_Unstretched &sipStrings_QtGui[34360]
#define sipNameNr_StyleItalic 34372
#define sipName_StyleItalic &sipStrings_QtGui[34372]
#define sipNameNr_StyleNormal 34384
#define sipName_StyleNormal &sipStrings_QtGui[34384]
#define sipNameNr_NoAntialias 34396
#define sipName_NoAntialias &sipStrings_QtGui[34396]
#define sipNameNr_PreferMatch 34408
#define sipName_PreferMatch &sipStrings_QtGui[34408]
#define sipNameNr_gestureType 34420
#define sipName_gestureType &sipStrings_QtGui[34420]
#define sipNameNr_QEnterEvent 34432
#define sipName_QEnterEvent &sipStrings_QtGui[34432]
#define sipNameNr_scrollState 34444
#define sipName_scrollState &sipStrings_QtGui[34444]
#define sipNameNr_ScrollState 5453
#define sipName_ScrollState &sipStrings_QtGui[5453]
#define sipNameNr_touchPoints 34456
#define sipName_touchPoints &sipStrings_QtGui[34456]
#define sipNameNr_QTouchEvent 34468
#define sipName_QTouchEvent &sipStrings_QtGui[34468]
#define sipNameNr_isAmbiguous 34480
#define sipName_isAmbiguous &sipStrings_QtGui[34480]
#define sipNameNr_QCloseEvent 34492
#define sipName_QCloseEvent &sipStrings_QtGui[34492]
#define sipNameNr_QPaintEvent 34504
#define sipName_QPaintEvent &sipStrings_QtGui[34504]
#define sipNameNr_QFocusEvent 34516
#define sipName_QFocusEvent &sipStrings_QtGui[34516]
#define sipNameNr_pointerType 34528
#define sipName_pointerType &sipStrings_QtGui[34528]
#define sipNameNr_PointerType 5505
#define sipName_PointerType &sipStrings_QtGui[5505]
#define sipNameNr_XFreeEraser 34540
#define sipName_XFreeEraser &sipStrings_QtGui[34540]
#define sipNameNr_QWheelEvent 34552
#define sipName_QWheelEvent &sipStrings_QtGui[34552]
#define sipNameNr_QHoverEvent 34564
#define sipName_QHoverEvent &sipStrings_QtGui[34564]
#define sipNameNr_QMouseEvent 34576
#define sipName_QMouseEvent &sipStrings_QtGui[34576]
#define sipNameNr_QInputEvent 34588
#define sipName_QInputEvent &sipStrings_QtGui[34588]
#define sipNameNr_setMimeData 34600
#define sipName_setMimeData &sipStrings_QtGui[34600]
#define sipNameNr_focalRadius 34612
#define sipName_focalRadius &sipStrings_QtGui[34612]
#define sipNameNr_LogicalMode 34624
#define sipName_LogicalMode &sipStrings_QtGui[34624]
#define sipNameNr_saturationF 34636
#define sipName_saturationF &sipStrings_QtGui[34636]
#define sipNameNr_transformed 34648
#define sipName_transformed &sipStrings_QtGui[34648]
#define sipNameNr_updateBlock 34660
#define sipName_updateBlock &sipStrings_QtGui[34660]
#define sipNameNr_paintDevice 34672
#define sipName_paintDevice &sipStrings_QtGui[34672]
#define sipNameNr_setPosition 34684
#define sipName_setPosition &sipStrings_QtGui[34684]
#define sipNameNr_setSortRole 34696
#define sipName_setSortRole &sipStrings_QtGui[34696]
#define sipNameNr_customEvent 34708
#define sipName_customEvent &sipStrings_QtGui[34708]
#define sipNameNr_setProperty 34720
#define sipName_setProperty &sipStrings_QtGui[34720]
#define sipNameNr_eventFilter 34732
#define sipName_eventFilter &sipStrings_QtGui[34732]
#define sipNameNr_QQuaternion 34744
#define sipName_QQuaternion &sipStrings_QtGui[34744]
#define sipNameNr_QTextFormat 34756
#define sipName_QTextFormat &sipStrings_QtGui[34756]
#define sipNameNr_QTextLength 34768
#define sipName_QTextLength &sipStrings_QtGui[34768]
#define sipNameNr___delitem__ 34780
#define sipName___delitem__ &sipStrings_QtGui[34780]
#define sipNameNr___setitem__ 34792
#define sipName___setitem__ &sipStrings_QtGui[34792]
#define sipNameNr_intersected 34804
#define sipName_intersected &sipStrings_QtGui[34804]
#define sipNameNr_errorString 34816
#define sipName_errorString &sipStrings_QtGui[34816]
#define sipNameNr_setFileName 34828
#define sipName_setFileName &sipStrings_QtGui[34828]
#define sipNameNr_ContextMenu 34840
#define sipName_ContextMenu &sipStrings_QtGui[34840]
#define sipNameNr_description 34852
#define sipName_description &sipStrings_QtGui[34852]
#define sipNameNr_lastIndexOf 34864
#define sipName_lastIndexOf &sipStrings_QtGui[34864]
#define sipNameNr___getitem__ 34876
#define sipName___getitem__ &sipStrings_QtGui[34876]
#define sipNameNr_moveColumns 28849
#define sipName_moveColumns &sipStrings_QtGui[28849]
#define sipNameNr_dataChanged 34888
#define sipName_dataChanged &sipStrings_QtGui[34888]
#define sipNameNr_setItemData 34900
#define sipName_setItemData &sipStrings_QtGui[34900]
#define sipNameNr_orientation 34912
#define sipName_orientation &sipStrings_QtGui[34912]
#define sipNameNr_hasChildren 34924
#define sipName_hasChildren &sipStrings_QtGui[34924]
#define sipNameNr_columnCount 34936
#define sipName_columnCount &sipStrings_QtGui[34936]
#define sipNameNr_updateState 34948
#define sipName_updateState &sipStrings_QtGui[34948]
#define sipNameNr_RightToLeft 25221
#define sipName_RightToLeft &sipStrings_QtGui[25221]
#define sipNameNr_DashDotLine 34960
#define sipName_DashDotLine &sipStrings_QtGui[34960]
#define sipNameNr_AlignBottom 34972
#define sipName_AlignBottom &sipStrings_QtGui[34972]
#define sipNameNr_Orientation 6056
#define sipName_Orientation &sipStrings_QtGui[6056]
#define sipNameNr_PyQt5_QtGui 34984
#define sipName_PyQt5_QtGui &sipStrings_QtGui[34984]
#define sipNameNr_visibility 34996
#define sipName_visibility &sipStrings_QtGui[34996]
#define sipNameNr_Visibility 11438
#define sipName_Visibility &sipStrings_QtGui[11438]
#define sipNameNr_touchEvent 35007
#define sipName_touchEvent &sipStrings_QtGui[35007]
#define sipNameNr_wheelEvent 35018
#define sipName_wheelEvent &sipStrings_QtGui[35018]
#define sipNameNr_showNormal 35029
#define sipName_showNormal &sipStrings_QtGui[35029]
#define sipNameNr_isTopLevel 35040
#define sipName_isTopLevel &sipStrings_QtGui[35040]
#define sipNameNr_toVector2D 35051
#define sipName_toVector2D &sipStrings_QtGui[35051]
#define sipNameNr_toVector3D 35062
#define sipName_toVector3D &sipStrings_QtGui[35062]
#define sipNameNr_Acceptable 35073
#define sipName_Acceptable &sipStrings_QtGui[35073]
#define sipNameNr_QValidator 35084
#define sipName_QValidator &sipStrings_QtGui[35084]
#define sipNameNr_isRotating 35095
#define sipName_isRotating &sipStrings_QtGui[35095]
#define sipNameNr_quadToQuad 35106
#define sipName_quadToQuad &sipStrings_QtGui[35106]
#define sipNameNr_DeviceType 5557
#define sipName_DeviceType &sipStrings_QtGui[5557]
#define sipNameNr_mergeCells 35117
#define sipName_mergeCells &sipStrings_QtGui[35117]
#define sipNameNr_QTextTable 35128
#define sipName_QTextTable &sipStrings_QtGui[35128]
#define sipNameNr_columnSpan 35139
#define sipName_columnSpan &sipStrings_QtGui[35139]
#define sipNameNr_setTabStop 35150
#define sipName_setTabStop &sipStrings_QtGui[35150]
#define sipNameNr_ManualWrap 35161
#define sipName_ManualWrap &sipStrings_QtGui[35161]
#define sipNameNr_QTextBlock 35172
#define sipName_QTextBlock &sipStrings_QtGui[35172]
#define sipNameNr_QTextFrame 35183
#define sipName_QTextFrame &sipStrings_QtGui[35183]
#define sipNameNr_removeItem 35194
#define sipName_removeItem &sipStrings_QtGui[35194]
#define sipNameNr_itemNumber 35205
#define sipName_itemNumber &sipStrings_QtGui[35205]
#define sipNameNr_textLength 35216
#define sipName_textLength &sipStrings_QtGui[35216]
#define sipNameNr_drawCursor 35227
#define sipName_drawCursor &sipStrings_QtGui[35227]
#define sipNameNr_CursorMode 6479
#define sipName_CursorMode &sipStrings_QtGui[6479]
#define sipNameNr_createLine 35238
#define sipName_createLine &sipStrings_QtGui[35238]
#define sipNameNr_setDescent 35249
#define sipName_setDescent &sipStrings_QtGui[35249]
#define sipNameNr_topPadding 35260
#define sipName_topPadding &sipStrings_QtGui[35260]
#define sipNameNr_setColumns 35271
#define sipName_setColumns &sipStrings_QtGui[35271]
#define sipNameNr_setPadding 35282
#define sipName_setPadding &sipStrings_QtGui[35282]
#define sipNameNr_FloatRight 35293
#define sipName_FloatRight &sipStrings_QtGui[35293]
#define sipNameNr_ListSquare 35304
#define sipName_ListSquare &sipStrings_QtGui[35304]
#define sipNameNr_ListCircle 35315
#define sipName_ListCircle &sipStrings_QtGui[35315]
#define sipNameNr_lineHeight 35326
#define sipName_lineHeight &sipStrings_QtGui[35326]
#define sipNameNr_textIndent 35337
#define sipName_textIndent &sipStrings_QtGui[35337]
#define sipNameNr_anchorHref 35348
#define sipName_anchorHref &sipStrings_QtGui[35348]
#define sipNameNr_fontItalic 35359
#define sipName_fontItalic &sipStrings_QtGui[35359]
#define sipNameNr_fontWeight 35370
#define sipName_fontWeight &sipStrings_QtGui[35370]
#define sipNameNr_fontFamily 35381
#define sipName_fontFamily &sipStrings_QtGui[35381]
#define sipNameNr_properties 35392
#define sipName_properties &sipStrings_QtGui[35392]
#define sipNameNr_LineHeight 26036
#define sipName_LineHeight &sipStrings_QtGui[26036]
#define sipNameNr_ImageWidth 35403
#define sipName_ImageWidth &sipStrings_QtGui[35403]
#define sipNameNr_FrameWidth 35414
#define sipName_FrameWidth &sipStrings_QtGui[35414]
#define sipNameNr_ListIndent 35425
#define sipName_ListIndent &sipStrings_QtGui[35425]
#define sipNameNr_ObjectType 26204
#define sipName_ObjectType &sipStrings_QtGui[26204]
#define sipNameNr_AnchorName 35436
#define sipName_AnchorName &sipStrings_QtGui[35436]
#define sipNameNr_AnchorHref 26106
#define sipName_AnchorHref &sipStrings_QtGui[26106]
#define sipNameNr_FontItalic 26148
#define sipName_FontItalic &sipStrings_QtGui[26148]
#define sipNameNr_FontWeight 26162
#define sipName_FontWeight &sipStrings_QtGui[26162]
#define sipNameNr_FontFamily 26190
#define sipName_FontFamily &sipStrings_QtGui[26190]
#define sipNameNr_TextIndent 26050
#define sipName_TextIndent &sipStrings_QtGui[26050]
#define sipNameNr_OutlinePen 35447
#define sipName_OutlinePen &sipStrings_QtGui[35447]
#define sipNameNr_UserObject 35458
#define sipName_UserObject &sipStrings_QtGui[35458]
#define sipNameNr_UserFormat 35469
#define sipName_UserFormat &sipStrings_QtGui[35469]
#define sipNameNr_ListFormat 20547
#define sipName_ListFormat &sipStrings_QtGui[20547]
#define sipNameNr_CharFormat 10285
#define sipName_CharFormat &sipStrings_QtGui[10285]
#define sipNameNr_setBaseUrl 35480
#define sipName_setBaseUrl &sipStrings_QtGui[35480]
#define sipNameNr_firstBlock 35491
#define sipName_firstBlock &sipStrings_QtGui[35491]
#define sipNameNr_blockCount 35502
#define sipName_blockCount &sipStrings_QtGui[35502]
#define sipNameNr_adjustSize 35513
#define sipName_adjustSize &sipStrings_QtGui[35513]
#define sipNameNr_idealWidth 35524
#define sipName_idealWidth &sipStrings_QtGui[35524]
#define sipNameNr_allFormats 35535
#define sipName_allFormats &sipStrings_QtGui[35535]
#define sipNameNr_isModified 35546
#define sipName_isModified &sipStrings_QtGui[35546]
#define sipNameNr_insertHtml 35557
#define sipName_insertHtml &sipStrings_QtGui[35557]
#define sipNameNr_createList 35568
#define sipName_createList &sipStrings_QtGui[35568]
#define sipNameNr_insertList 35579
#define sipName_insertList &sipStrings_QtGui[35579]
#define sipNameNr_atBlockEnd 35590
#define sipName_atBlockEnd &sipStrings_QtGui[35590]
#define sipNameNr_charFormat 35601
#define sipName_charFormat &sipStrings_QtGui[35601]
#define sipNameNr_deleteChar 35612
#define sipName_deleteChar &sipStrings_QtGui[35612]
#define sipNameNr_EndOfBlock 19503
#define sipName_EndOfBlock &sipStrings_QtGui[19503]
#define sipNameNr_insertText 35623
#define sipName_insertText &sipStrings_QtGui[35623]
#define sipNameNr_KeepAnchor 35634
#define sipName_KeepAnchor &sipStrings_QtGui[35634]
#define sipNameNr_MoveAnchor 35645
#define sipName_MoveAnchor &sipStrings_QtGui[35645]
#define sipNameNr_setOptions 35656
#define sipName_setOptions &sipStrings_QtGui[35656]
#define sipNameNr_testOption 35667
#define sipName_testOption &sipStrings_QtGui[35667]
#define sipNameNr_textOption 35678
#define sipName_textOption &sipStrings_QtGui[35678]
#define sipNameNr_textFormat 35689
#define sipName_textFormat &sipStrings_QtGui[35689]
#define sipNameNr_appendRows 35700
#define sipName_appendRows &sipStrings_QtGui[35700]
#define sipNameNr_setToolTip 35711
#define sipName_setToolTip &sipStrings_QtGui[35711]
#define sipNameNr_isTristate 35722
#define sipName_isTristate &sipStrings_QtGui[35722]
#define sipNameNr_isEditable 35733
#define sipName_isEditable &sipStrings_QtGui[35733]
#define sipNameNr_checkState 35744
#define sipName_checkState &sipStrings_QtGui[35744]
#define sipNameNr_takeColumn 35755
#define sipName_takeColumn &sipStrings_QtGui[35755]
#define sipNameNr_grabWindow 35766
#define sipName_grabWindow &sipStrings_QtGui[35766]
#define sipNameNr_isPortrait 35777
#define sipName_isPortrait &sipStrings_QtGui[35777]
#define sipNameNr_mapBetween 35788
#define sipName_mapBetween &sipStrings_QtGui[35788]
#define sipNameNr_RegionType 11998
#define sipName_RegionType &sipStrings_QtGui[11998]
#define sipNameNr_LayoutFlag 10495
#define sipName_LayoutFlag &sipStrings_QtGui[10495]
#define sipNameNr_unitsPerEm 35799
#define sipName_unitsPerEm &sipStrings_QtGui[35799]
#define sipNameNr_familyName 35810
#define sipName_familyName &sipStrings_QtGui[35810]
#define sipNameNr_conjugated 35821
#define sipName_conjugated &sipStrings_QtGui[35821]
#define sipNameNr_rotationTo 35832
#define sipName_rotationTo &sipStrings_QtGui[35832]
#define sipNameNr_toVector4D 35843
#define sipName_toVector4D &sipStrings_QtGui[35843]
#define sipNameNr_cacheLimit 35854
#define sipName_cacheLimit &sipStrings_QtGui[35854]
#define sipNameNr_alphaUsage 35865
#define sipName_alphaUsage &sipStrings_QtGui[35865]
#define sipNameNr_yellowSize 35876
#define sipName_yellowSize &sipStrings_QtGui[35876]
#define sipNameNr_colorModel 35887
#define sipName_colorModel &sipStrings_QtGui[35887]
#define sipNameNr_AlphaUsage 5907
#define sipName_AlphaUsage &sipStrings_QtGui[5907]
#define sipNameNr_ColorModel 5932
#define sipName_ColorModel &sipStrings_QtGui[5932]
#define sipNameNr_setPicture 35898
#define sipName_setPicture &sipStrings_QtGui[35898]
#define sipNameNr_parameters 35909
#define sipName_parameters &sipStrings_QtGui[35909]
#define sipNameNr_QPictureIO 35920
#define sipName_QPictureIO &sipStrings_QtGui[35920]
#define sipNameNr_isCosmetic 35931
#define sipName_isCosmetic &sipStrings_QtGui[35931]
#define sipNameNr_setCreator 35942
#define sipName_setCreator &sipStrings_QtGui[35942]
#define sipNameNr_QPdfWriter 35953
#define sipName_QPdfWriter &sipStrings_QtGui[35953]
#define sipNameNr_isBrushSet 35964
#define sipName_isBrushSet &sipStrings_QtGui[35964]
#define sipNameNr_buttonText 35975
#define sipName_buttonText &sipStrings_QtGui[35975]
#define sipNameNr_brightText 35986
#define sipName_brightText &sipStrings_QtGui[35986]
#define sipNameNr_windowText 35997
#define sipName_windowText &sipStrings_QtGui[35997]
#define sipNameNr_Background 20675
#define sipName_Background &sipStrings_QtGui[20675]
#define sipNameNr_ButtonText 36008
#define sipName_ButtonText &sipStrings_QtGui[36008]
#define sipNameNr_BrightText 36019
#define sipName_BrightText &sipStrings_QtGui[36019]
#define sipNameNr_Foreground 20659
#define sipName_Foreground &sipStrings_QtGui[20659]
#define sipNameNr_WindowText 36030
#define sipName_WindowText &sipStrings_QtGui[36030]
#define sipNameNr_ColorGroup 10537
#define sipName_ColorGroup &sipStrings_QtGui[10537]
#define sipNameNr_foreground 36041
#define sipName_foreground &sipStrings_QtGui[36041]
#define sipNameNr_dashOffset 36052
#define sipName_dashOffset &sipStrings_QtGui[36052]
#define sipNameNr_miterLimit 36063
#define sipName_miterLimit &sipStrings_QtGui[36063]
#define sipNameNr_subtracted 36074
#define sipName_subtracted &sipStrings_QtGui[36074]
#define sipNameNr_toReversed 36085
#define sipName_toReversed &sipStrings_QtGui[36085]
#define sipNameNr_addPolygon 36096
#define sipName_addPolygon &sipStrings_QtGui[36096]
#define sipNameNr_addEllipse 36107
#define sipName_addEllipse &sipStrings_QtGui[36107]
#define sipNameNr_PostScript 36118
#define sipName_PostScript &sipStrings_QtGui[36118]
#define sipNameNr_MacPrinter 36129
#define sipName_MacPrinter &sipStrings_QtGui[36129]
#define sipNameNr_ConvexMode 36140
#define sipName_ConvexMode &sipStrings_QtGui[36140]
#define sipNameNr_DirtyFlags 5957
#define sipName_DirtyFlags &sipStrings_QtGui[5957]
#define sipNameNr_DirtyHints 36151
#define sipName_DirtyHints &sipStrings_QtGui[36151]
#define sipNameNr_DirtyBrush 36162
#define sipName_DirtyBrush &sipStrings_QtGui[36162]
#define sipNameNr_BlendModes 36173
#define sipName_BlendModes &sipStrings_QtGui[36173]
#define sipNameNr_PorterDuff 36184
#define sipName_PorterDuff &sipStrings_QtGui[36184]
#define sipNameNr_AlphaBlend 36195
#define sipName_AlphaBlend &sipStrings_QtGui[36195]
#define sipNameNr_RenderFlag 9056
#define sipName_RenderFlag &sipStrings_QtGui[9056]
#define sipNameNr_PdmWidthMM 36206
#define sipName_PdmWidthMM &sipStrings_QtGui[36206]
#define sipNameNr_OpaqueHint 36217
#define sipName_OpaqueHint &sipStrings_QtGui[36217]
#define sipNameNr_sourceLeft 36228
#define sipName_sourceLeft &sipStrings_QtGui[36228]
#define sipNameNr_setOpacity 36239
#define sipName_setOpacity &sipStrings_QtGui[36239]
#define sipNameNr_drawPixmap 36250
#define sipName_drawPixmap &sipStrings_QtGui[36250]
#define sipNameNr_drawPoints 36261
#define sipName_drawPoints &sipStrings_QtGui[36261]
#define sipNameNr_strokePath 36272
#define sipName_strokePath &sipStrings_QtGui[36272]
#define sipNameNr_clipRegion 36283
#define sipName_clipRegion &sipStrings_QtGui[36283]
#define sipNameNr_background 36294
#define sipName_background &sipStrings_QtGui[36294]
#define sipNameNr_RenderHint 10684
#define sipName_RenderHint &sipStrings_QtGui[10684]
#define sipNameNr_rectPixels 36305
#define sipName_rectPixels &sipStrings_QtGui[36305]
#define sipNameNr_rectPoints 36316
#define sipName_rectPoints &sipStrings_QtGui[36316]
#define sipNameNr_sizePixels 36327
#define sipName_sizePixels &sipStrings_QtGui[36327]
#define sipNameNr_sizePoints 36338
#define sipName_sizePoints &sipStrings_QtGui[36338]
#define sipNameNr_FuzzyMatch 36349
#define sipName_FuzzyMatch &sipStrings_QtGui[36349]
#define sipNameNr_PageSizeId 9232
#define sipName_PageSizeId &sipStrings_QtGui[9232]
#define sipNameNr_resolution 36360
#define sipName_resolution &sipStrings_QtGui[36360]
#define sipNameNr_leftMargin 36371
#define sipName_leftMargin &sipStrings_QtGui[36371]
#define sipNameNr_minMargins 36382
#define sipName_minMargins &sipStrings_QtGui[36382]
#define sipNameNr_Millimeter 36393
#define sipName_Millimeter &sipStrings_QtGui[36393]
#define sipNameNr_pageLayout 36404
#define sipName_pageLayout &sipStrings_QtGui[36404]
#define sipNameNr_setMargins 36415
#define sipName_setMargins &sipStrings_QtGui[36415]
#define sipNameNr_pageSizeMM 36426
#define sipName_pageSizeMM &sipStrings_QtGui[36426]
#define sipNameNr_Envelope10 36437
#define sipName_Envelope10 &sipStrings_QtGui[36437]
#define sipNameNr_EnvelopeDL 36448
#define sipName_EnvelopeDL &sipStrings_QtGui[36448]
#define sipNameNr_EnvelopeC5 36459
#define sipName_EnvelopeC5 &sipStrings_QtGui[36459]
#define sipNameNr_NPaperSize 36470
#define sipName_NPaperSize &sipStrings_QtGui[36470]
#define sipNameNr_Envelope14 36481
#define sipName_Envelope14 &sipStrings_QtGui[36481]
#define sipNameNr_Envelope12 36492
#define sipName_Envelope12 &sipStrings_QtGui[36492]
#define sipNameNr_Envelope11 36503
#define sipName_Envelope11 &sipStrings_QtGui[36503]
#define sipNameNr_EnvelopeC7 36514
#define sipName_EnvelopeC7 &sipStrings_QtGui[36514]
#define sipNameNr_EnvelopeC6 36525
#define sipName_EnvelopeC6 &sipStrings_QtGui[36525]
#define sipNameNr_EnvelopeC4 36536
#define sipName_EnvelopeC4 &sipStrings_QtGui[36536]
#define sipNameNr_EnvelopeC3 36547
#define sipName_EnvelopeC3 &sipStrings_QtGui[36547]
#define sipNameNr_EnvelopeC2 36558
#define sipName_EnvelopeC2 &sipStrings_QtGui[36558]
#define sipNameNr_EnvelopeC1 36569
#define sipName_EnvelopeC1 &sipStrings_QtGui[36569]
#define sipNameNr_EnvelopeC0 36580
#define sipName_EnvelopeC0 &sipStrings_QtGui[36580]
#define sipNameNr_EnvelopeB6 36591
#define sipName_EnvelopeB6 &sipStrings_QtGui[36591]
#define sipNameNr_EnvelopeB5 36602
#define sipName_EnvelopeB5 &sipStrings_QtGui[36602]
#define sipNameNr_EnvelopeB4 36613
#define sipName_EnvelopeB4 &sipStrings_QtGui[36613]
#define sipNameNr_LetterPlus 36624
#define sipName_LetterPlus &sipStrings_QtGui[36624]
#define sipNameNr_LegalExtra 36635
#define sipName_LegalExtra &sipStrings_QtGui[36635]
#define sipNameNr_paintEvent 36646
#define sipName_paintEvent &sipStrings_QtGui[36646]
#define sipNameNr_DirectionR 36657
#define sipName_DirectionR &sipStrings_QtGui[36657]
#define sipNameNr_DirectionT 36668
#define sipName_DirectionT &sipStrings_QtGui[36668]
#define sipNameNr_DirectionS 36679
#define sipName_DirectionS &sipStrings_QtGui[36679]
#define sipNameNr_AlphaValue 36690
#define sipName_AlphaValue &sipStrings_QtGui[36690]
#define sipNameNr_GreenValue 36701
#define sipName_GreenValue &sipStrings_QtGui[36701]
#define sipNameNr_SwizzleRed 36712
#define sipName_SwizzleRed &sipStrings_QtGui[36712]
#define sipNameNr_hasFeature 36723
#define sipName_hasFeature &sipStrings_QtGui[36723]
#define sipNameNr_Float16OES 36734
#define sipName_Float16OES &sipStrings_QtGui[36734]
#define sipNameNr_RG_Integer 36745
#define sipName_RG_Integer &sipStrings_QtGui[36745]
#define sipNameNr_SRGB8_ETC2 36756
#define sipName_SRGB8_ETC2 &sipStrings_QtGui[36756]
#define sipNameNr_RGBAFormat 36767
#define sipName_RGBAFormat &sipStrings_QtGui[36767]
#define sipNameNr_RG16_SNorm 36778
#define sipName_RG16_SNorm &sipStrings_QtGui[36778]
#define sipNameNr_RGB8_SNorm 36789
#define sipName_RGB8_SNorm &sipStrings_QtGui[36789]
#define sipNameNr_RG16_UNorm 36800
#define sipName_RG16_UNorm &sipStrings_QtGui[36800]
#define sipNameNr_RGB8_UNorm 36811
#define sipName_RGB8_UNorm &sipStrings_QtGui[36811]
#define sipNameNr_genMipMaps 36822
#define sipName_genMipMaps &sipStrings_QtGui[36822]
#define sipNameNr_isCompiled 36833
#define sipName_isCompiled &sipStrings_QtGui[36833]
#define sipNameNr_sourceCode 36844
#define sipName_sourceCode &sipStrings_QtGui[36844]
#define sipNameNr_shaderType 36855
#define sipName_shaderType &sipStrings_QtGui[36855]
#define sipNameNr_ShaderType 5246
#define sipName_ShaderType &sipStrings_QtGui[5246]
#define sipNameNr_skipPixels 36866
#define sipName_skipPixels &sipStrings_QtGui[36866]
#define sipNameNr_skipImages 36877
#define sipName_skipImages &sipStrings_QtGui[36877]
#define sipNameNr_setSamples 36888
#define sipName_setSamples &sipStrings_QtGui[36888]
#define sipNameNr_attachment 36899
#define sipName_attachment &sipStrings_QtGui[36899]
#define sipNameNr_Attachment 374
#define sipName_Attachment &sipStrings_QtGui[374]
#define sipNameNr_logMessage 36910
#define sipName_logMessage &sipStrings_QtGui[36910]
#define sipNameNr_severities 36921
#define sipName_severities &sipStrings_QtGui[36921]
#define sipNameNr_Severities 1746
#define sipName_Severities &sipStrings_QtGui[1746]
#define sipNameNr_MarkerType 36932
#define sipName_MarkerType &sipStrings_QtGui[36932]
#define sipNameNr_setProfile 36943
#define sipName_setProfile &sipStrings_QtGui[36943]
#define sipNameNr_isOpenGLES 36954
#define sipName_isOpenGLES &sipStrings_QtGui[36954]
#define sipNameNr_extensions 36965
#define sipName_extensions &sipStrings_QtGui[36965]
#define sipNameNr_areSharing 36976
#define sipName_areSharing &sipStrings_QtGui[36976]
#define sipNameNr_shareGroup 36987
#define sipName_shareGroup &sipStrings_QtGui[36987]
#define sipNameNr_RangeWrite 36998
#define sipName_RangeWrite &sipStrings_QtGui[36998]
#define sipNameNr_StaticCopy 37009
#define sipName_StaticCopy &sipStrings_QtGui[37009]
#define sipNameNr_StaticRead 37020
#define sipName_StaticRead &sipStrings_QtGui[37020]
#define sipNameNr_StaticDraw 37031
#define sipName_StaticDraw &sipStrings_QtGui[37031]
#define sipNameNr_StreamCopy 37042
#define sipName_StreamCopy &sipStrings_QtGui[37042]
#define sipNameNr_StreamRead 37053
#define sipName_StreamRead &sipStrings_QtGui[37053]
#define sipNameNr_StreamDraw 37064
#define sipName_StreamDraw &sipStrings_QtGui[37064]
#define sipNameNr_frameCount 37075
#define sipName_frameCount &sipStrings_QtGui[37075]
#define sipNameNr_MovieState 14647
#define sipName_MovieState &sipStrings_QtGui[14647]
#define sipNameNr___matmul__ 37086
#define sipName___matmul__ &sipStrings_QtGui[37086]
#define sipNameNr_invertible 37097
#define sipName_invertible &sipStrings_QtGui[37097]
#define sipNameNr_FullScreen 18687
#define sipName_FullScreen &sipStrings_QtGui[18687]
#define sipNameNr_UnknownKey 37108
#define sipName_UnknownKey &sipStrings_QtGui[37108]
#define sipNameNr_ExactMatch 37119
#define sipName_ExactMatch &sipStrings_QtGui[37119]
#define sipNameNr_NativeText 37130
#define sipName_NativeText &sipStrings_QtGui[37130]
#define sipNameNr_setVisible 37141
#define sipName_setVisible &sipStrings_QtGui[37141]
#define sipNameNr_setSubType 37152
#define sipName_setSubType &sipStrings_QtGui[37152]
#define sipNameNr_setQuality 37163
#define sipName_setQuality &sipStrings_QtGui[37163]
#define sipNameNr_scaledSize 37174
#define sipName_scaledSize &sipStrings_QtGui[37174]
#define sipNameNr_imageCount 37185
#define sipName_imageCount &sipStrings_QtGui[37185]
#define sipNameNr_Endianness 37196
#define sipName_Endianness &sipStrings_QtGui[37196]
#define sipNameNr_ScaledSize 27898
#define sipName_ScaledSize &sipStrings_QtGui[27898]
#define sipNameNr_colorCount 37207
#define sipName_colorCount &sipStrings_QtGui[37207]
#define sipNameNr_trueMatrix 37218
#define sipName_trueMatrix &sipStrings_QtGui[37218]
#define sipNameNr_rgbSwapped 37229
#define sipName_rgbSwapped &sipStrings_QtGui[37229]
#define sipNameNr_horizontal 37240
#define sipName_horizontal &sipStrings_QtGui[37240]
#define sipNameNr_pixelIndex 37251
#define sipName_pixelIndex &sipStrings_QtGui[37251]
#define sipNameNr_colorTable 37262
#define sipName_colorTable &sipStrings_QtGui[37262]
#define sipNameNr_InvertRgba 37273
#define sipName_InvertRgba &sipStrings_QtGui[37273]
#define sipNameNr_InvertMode 15027
#define sipName_InvertMode &sipStrings_QtGui[15027]
#define sipNameNr_actualSize 37284
#define sipName_actualSize &sipStrings_QtGui[37284]
#define sipNameNr_windowIcon 37295
#define sipName_windowIcon &sipStrings_QtGui[37295]
#define sipNameNr_sessionKey 37306
#define sipName_sessionKey &sipStrings_QtGui[37306]
#define sipNameNr_setPalette 37317
#define sipName_setPalette &sipStrings_QtGui[37317]
#define sipNameNr_topLevelAt 37328
#define sipName_topLevelAt &sipStrings_QtGui[37328]
#define sipNameNr_allWindows 37339
#define sipName_allWindows &sipStrings_QtGui[37339]
#define sipNameNr_setRawFont 37350
#define sipName_setRawFont &sipStrings_QtGui[37350]
#define sipNameNr_QMatrix2x2 37361
#define sipName_QMatrix2x2 &sipStrings_QtGui[37361]
#define sipNameNr_QMatrix2x3 37372
#define sipName_QMatrix2x3 &sipStrings_QtGui[37372]
#define sipNameNr_QMatrix2x4 37383
#define sipName_QMatrix2x4 &sipStrings_QtGui[37383]
#define sipNameNr_QMatrix3x2 37394
#define sipName_QMatrix3x2 &sipStrings_QtGui[37394]
#define sipNameNr_QMatrix3x3 37405
#define sipName_QMatrix3x3 &sipStrings_QtGui[37405]
#define sipNameNr_QMatrix3x4 37416
#define sipName_QMatrix3x4 &sipStrings_QtGui[37416]
#define sipNameNr_QMatrix4x2 37427
#define sipName_QMatrix4x2 &sipStrings_QtGui[37427]
#define sipNameNr_isIdentity 37438
#define sipName_isIdentity &sipStrings_QtGui[37438]
#define sipNameNr_copyDataTo 37449
#define sipName_copyDataTo &sipStrings_QtGui[37449]
#define sipNameNr_QMatrix4x3 37460
#define sipName_QMatrix4x3 &sipStrings_QtGui[37460]
#define sipNameNr_inFontUcs4 37471
#define sipName_inFontUcs4 &sipStrings_QtGui[37471]
#define sipNameNr_elidedText 37482
#define sipName_elidedText &sipStrings_QtGui[37482]
#define sipNameNr_systemFont 37493
#define sipName_systemFont &sipStrings_QtGui[37493]
#define sipNameNr_SystemFont 5376
#define sipName_SystemFont &sipStrings_QtGui[5376]
#define sipNameNr_isScalable 37504
#define sipName_isScalable &sipStrings_QtGui[37504]
#define sipNameNr_pointSizes 37515
#define sipName_pointSizes &sipStrings_QtGui[37515]
#define sipNameNr_Devanagari 37526
#define sipName_Devanagari &sipStrings_QtGui[37526]
#define sipNameNr_Capitalize 37537
#define sipName_Capitalize &sipStrings_QtGui[37537]
#define sipNameNr_initialize 37548
#define sipName_initialize &sipStrings_QtGui[37548]
#define sipNameNr_substitute 37559
#define sipName_substitute &sipStrings_QtGui[37559]
#define sipNameNr_setRawName 37570
#define sipName_setRawName &sipStrings_QtGui[37570]
#define sipNameNr_setRawMode 37581
#define sipName_setRawMode &sipStrings_QtGui[37581]
#define sipNameNr_setStretch 37592
#define sipName_setStretch &sipStrings_QtGui[37592]
#define sipNameNr_setKerning 37603
#define sipName_setKerning &sipStrings_QtGui[37603]
#define sipNameNr_fixedPitch 37614
#define sipName_fixedPitch &sipStrings_QtGui[37614]
#define sipNameNr_pointSizeF 37625
#define sipName_pointSizeF &sipStrings_QtGui[37625]
#define sipNameNr_ExtraLight 37636
#define sipName_ExtraLight &sipStrings_QtGui[37636]
#define sipNameNr_Decorative 37647
#define sipName_Decorative &sipStrings_QtGui[37647]
#define sipNameNr_OldEnglish 37658
#define sipName_OldEnglish &sipStrings_QtGui[37658]
#define sipNameNr_TypeWriter 37669
#define sipName_TypeWriter &sipStrings_QtGui[37669]
#define sipNameNr_contentPos 37680
#define sipName_contentPos &sipStrings_QtGui[37680]
#define sipNameNr_screenRect 37691
#define sipName_screenRect &sipStrings_QtGui[37691]
#define sipNameNr_TouchPoint 7319
#define sipName_TouchPoint &sipStrings_QtGui[7319]
#define sipNameNr_shortcutId 37702
#define sipName_shortcutId &sipStrings_QtGui[37702]
#define sipNameNr_QHelpEvent 37713
#define sipName_QHelpEvent &sipStrings_QtGui[37713]
#define sipNameNr_answerRect 37724
#define sipName_answerRect &sipStrings_QtGui[37724]
#define sipNameNr_dropAction 37735
#define sipName_dropAction &sipStrings_QtGui[37735]
#define sipNameNr_QDropEvent 37746
#define sipName_QDropEvent &sipStrings_QtGui[37746]
#define sipNameNr_QHideEvent 37757
#define sipName_QHideEvent &sipStrings_QtGui[37757]
#define sipNameNr_QShowEvent 37768
#define sipName_QShowEvent &sipStrings_QtGui[37768]
#define sipNameNr_QMoveEvent 37779
#define sipName_QMoveEvent &sipStrings_QtGui[37779]
#define sipNameNr_FourDMouse 37790
#define sipName_FourDMouse &sipStrings_QtGui[37790]
#define sipNameNr_globalPosF 37801
#define sipName_globalPosF &sipStrings_QtGui[37801]
#define sipNameNr_angleDelta 37812
#define sipName_angleDelta &sipStrings_QtGui[37812]
#define sipNameNr_pixelDelta 37823
#define sipName_pixelDelta &sipStrings_QtGui[37823]
#define sipNameNr_dragCursor 37834
#define sipName_dragCursor &sipStrings_QtGui[37834]
#define sipNameNr_setHotSpot 37845
#define sipName_setHotSpot &sipStrings_QtGui[37845]
#define sipNameNr_FindBuffer 15293
#define sipName_FindBuffer &sipStrings_QtGui[15293]
#define sipNameNr_QClipboard 37856
#define sipName_QClipboard &sipStrings_QtGui[37856]
#define sipNameNr_focalPoint 37867
#define sipName_focalPoint &sipStrings_QtGui[37867]
#define sipNameNr_setColorAt 37878
#define sipName_setColorAt &sipStrings_QtGui[37878]
#define sipNameNr_NoGradient 37889
#define sipName_NoGradient &sipStrings_QtGui[37889]
#define sipNameNr_setTexture 37900
#define sipName_setTexture &sipStrings_QtGui[37900]
#define sipNameNr_NameFormat 15331
#define sipName_NameFormat &sipStrings_QtGui[15331]
#define sipNameNr_lightnessF 37911
#define sipName_lightnessF &sipStrings_QtGui[37911]
#define sipNameNr_saturation 37922
#define sipName_saturation &sipStrings_QtGui[37922]
#define sipNameNr_colorNames 37933
#define sipName_colorNames &sipStrings_QtGui[37933]
#define sipNameNr_beginPaint 37944
#define sipName_beginPaint &sipStrings_QtGui[37944]
#define sipNameNr_drawObject 37955
#define sipName_drawObject &sipStrings_QtGui[37955]
#define sipNameNr_objectType 37966
#define sipName_objectType &sipStrings_QtGui[37966]
#define sipNameNr_selections 37977
#define sipName_selections &sipStrings_QtGui[37977]
#define sipNameNr_attributes 37988
#define sipName_attributes &sipStrings_QtGui[37988]
#define sipNameNr_lineNumber 37999
#define sipName_lineNumber &sipStrings_QtGui[37999]
#define sipNameNr_setEnabled 38010
#define sipName_setEnabled &sipStrings_QtGui[38010]
#define sipNameNr_transposed 38021
#define sipName_transposed &sipStrings_QtGui[38021]
#define sipNameNr_exactMatch 38032
#define sipName_exactMatch &sipStrings_QtGui[38032]
#define sipNameNr_normalized 38043
#define sipName_normalized &sipStrings_QtGui[38043]
#define sipNameNr_NotRunning 38054
#define sipName_NotRunning &sipStrings_QtGui[38054]
#define sipNameNr_dotProduct 38065
#define sipName_dotProduct &sipStrings_QtGui[38065]
#define sipNameNr_childEvent 38076
#define sipName_childEvent &sipStrings_QtGui[38076]
#define sipNameNr_timerEvent 38087
#define sipName_timerEvent &sipStrings_QtGui[38087]
#define sipNameNr_QMatrix4x4 38098
#define sipName_QMatrix4x4 &sipStrings_QtGui[38098]
#define sipNameNr_QTransform 38109
#define sipName_QTransform &sipStrings_QtGui[38109]
#define sipNameNr_FormatType 6503
#define sipName_FormatType &sipStrings_QtGui[6503]
#define sipNameNr_Vietnamese 38120
#define sipName_Vietnamese &sipStrings_QtGui[38120]
#define sipNameNr_translated 38131
#define sipName_translated &sipStrings_QtGui[38131]
#define sipNameNr_intersects 38142
#define sipName_intersects &sipStrings_QtGui[38142]
#define sipNameNr_fromString 38153
#define sipName_fromString &sipStrings_QtGui[38153]
#define sipNameNr_setVersion 38164
#define sipName_setVersion &sipStrings_QtGui[38164]
#define sipNameNr_simplified 38175
#define sipName_simplified &sipStrings_QtGui[38175]
#define sipNameNr___rshift__ 38186
#define sipName___rshift__ &sipStrings_QtGui[38186]
#define sipNameNr___lshift__ 38197
#define sipName___lshift__ &sipStrings_QtGui[38197]
#define sipNameNr_isDetached 38208
#define sipName_isDetached &sipStrings_QtGui[38208]
#define sipNameNr_removeRows 38219
#define sipName_removeRows &sipStrings_QtGui[38219]
#define sipNameNr_insertRows 38230
#define sipName_insertRows &sipStrings_QtGui[38230]
#define sipNameNr_headerData 38241
#define sipName_headerData &sipStrings_QtGui[38241]
#define sipNameNr_TextFormat 26582
#define sipName_TextFormat &sipStrings_QtGui[26582]
#define sipNameNr___invert__ 38252
#define sipName___invert__ &sipStrings_QtGui[38252]
#define sipNameNr_fromWinId 38263
#define sipName_fromWinId &sipStrings_QtGui[38263]
#define sipNameNr_Maximized 25771
#define sipName_Maximized &sipStrings_QtGui[25771]
#define sipNameNr_Minimized 25785
#define sipName_Minimized &sipStrings_QtGui[25785]
#define sipNameNr_hideEvent 38273
#define sipName_hideEvent &sipStrings_QtGui[38273]
#define sipNameNr_showEvent 38283
#define sipName_showEvent &sipStrings_QtGui[38283]
#define sipNameNr_moveEvent 38293
#define sipName_moveEvent &sipStrings_QtGui[38293]
#define sipNameNr_setCursor 31986
#define sipName_setCursor &sipStrings_QtGui[31986]
#define sipNameNr_isExposed 38303
#define sipName_isExposed &sipStrings_QtGui[38303]
#define sipNameNr_unproject 38313
#define sipName_unproject &sipStrings_QtGui[38313]
#define sipNameNr_setRegExp 38323
#define sipName_setRegExp &sipStrings_QtGui[38323]
#define sipNameNr_fromScale 38333
#define sipName_fromScale &sipStrings_QtGui[38333]
#define sipNameNr_isScaling 38343
#define sipName_isScaling &sipStrings_QtGui[38343]
#define sipNameNr_setMatrix 38353
#define sipName_setMatrix &sipStrings_QtGui[38353]
#define sipNameNr_TxProject 38363
#define sipName_TxProject &sipStrings_QtGui[38363]
#define sipNameNr_splitCell 38373
#define sipName_splitCell &sipStrings_QtGui[38373]
#define sipNameNr_delimiter 38383
#define sipName_delimiter &sipStrings_QtGui[38383]
#define sipNameNr_CenterTab 38393
#define sipName_CenterTab &sipStrings_QtGui[38393]
#define sipNameNr_userState 38403
#define sipName_userState &sipStrings_QtGui[38403]
#define sipNameNr_blockList 38413
#define sipName_blockList &sipStrings_QtGui[38413]
#define sipNameNr_QTextList 38423
#define sipName_QTextList &sipStrings_QtGui[38423]
#define sipNameNr_textStart 38433
#define sipName_textStart &sipStrings_QtGui[38433]
#define sipNameNr_xToCursor 38443
#define sipName_xToCursor &sipStrings_QtGui[38443]
#define sipNameNr_cursorToX 38453
#define sipName_cursorToX &sipStrings_QtGui[38453]
#define sipNameNr_QTextLine 38463
#define sipName_QTextLine &sipStrings_QtGui[38463]
#define sipNameNr_glyphRuns 38473
#define sipName_glyphRuns &sipStrings_QtGui[38473]
#define sipNameNr_SkipWords 38483
#define sipName_SkipWords &sipStrings_QtGui[38483]
#define sipNameNr_endLayout 38493
#define sipName_endLayout &sipStrings_QtGui[38493]
#define sipNameNr_setAscent 38503
#define sipName_setAscent &sipStrings_QtGui[38503]
#define sipNameNr_setMargin 38513
#define sipName_setMargin &sipStrings_QtGui[38513]
#define sipNameNr_setBorder 38523
#define sipName_setBorder &sipStrings_QtGui[38523]
#define sipNameNr_FloatLeft 38533
#define sipName_FloatLeft &sipStrings_QtGui[38533]
#define sipNameNr_setIndent 38543
#define sipName_setIndent &sipStrings_QtGui[38543]
#define sipNameNr_setAnchor 38553
#define sipName_setAnchor &sipStrings_QtGui[38553]
#define sipNameNr_ImageName 38563
#define sipName_ImageName &sipStrings_QtGui[38563]
#define sipNameNr_ListStyle 38573
#define sipName_ListStyle &sipStrings_QtGui[38573]
#define sipNameNr_RedoStack 38583
#define sipName_RedoStack &sipStrings_QtGui[38583]
#define sipNameNr_UndoStack 38593
#define sipName_UndoStack &sipStrings_QtGui[38593]
#define sipNameNr_lastBlock 38603
#define sipName_lastBlock &sipStrings_QtGui[38603]
#define sipNameNr_findBlock 38613
#define sipName_findBlock &sipStrings_QtGui[38613]
#define sipNameNr_rootFrame 38623
#define sipName_rootFrame &sipStrings_QtGui[38623]
#define sipNameNr_FindFlags 5708
#define sipName_FindFlags &sipStrings_QtGui[5708]
#define sipNameNr_WordRight 38633
#define sipName_WordRight &sipStrings_QtGui[38633]
#define sipNameNr_NextBlock 38643
#define sipName_NextBlock &sipStrings_QtGui[38643]
#define sipNameNr_EndOfWord 22212
#define sipName_EndOfWord &sipStrings_QtGui[22212]
#define sipNameNr_EndOfLine 22196
#define sipName_EndOfLine &sipStrings_QtGui[22196]
#define sipNameNr_setStereo 38653
#define sipName_setStereo &sipStrings_QtGui[38653]
#define sipNameNr_NoProfile 38663
#define sipName_NoProfile &sipStrings_QtGui[38663]
#define sipNameNr_Offscreen 38673
#define sipName_Offscreen &sipStrings_QtGui[38673]
#define sipNameNr_textWidth 38683
#define sipName_textWidth &sipStrings_QtGui[38683]
#define sipNameNr_takeChild 38693
#define sipName_takeChild &sipStrings_QtGui[38693]
#define sipNameNr_whatsThis 38703
#define sipName_whatsThis &sipStrings_QtGui[38703]
#define sipNameNr_statusTip 38713
#define sipName_statusTip &sipStrings_QtGui[38713]
#define sipNameNr_findItems 38723
#define sipName_findItems &sipStrings_QtGui[38723]
#define sipNameNr_appendRow 38733
#define sipName_appendRow &sipStrings_QtGui[38733]
#define sipNameNr_Rectangle 7988
#define sipName_Rectangle &sipStrings_QtGui[7988]
#define sipNameNr_fontTable 38743
#define sipName_fontTable &sipStrings_QtGui[38743]
#define sipNameNr_setVector 38753
#define sipName_setVector &sipStrings_QtGui[38753]
#define sipNameNr_conjugate 38763
#define sipName_conjugate &sipStrings_QtGui[38763]
#define sipNameNr_setScalar 38773
#define sipName_setScalar &sipStrings_QtGui[38773]
#define sipNameNr_normalize 38783
#define sipName_normalize &sipStrings_QtGui[38783]
#define sipNameNr_toPolygon 38793
#define sipName_toPolygon &sipStrings_QtGui[38793]
#define sipNameNr_putPoints 38803
#define sipName_putPoints &sipStrings_QtGui[38803]
#define sipNameNr_isQBitmap 38813
#define sipName_isQBitmap &sipStrings_QtGui[38813]
#define sipNameNr_yuvLayout 38823
#define sipName_yuvLayout &sipStrings_QtGui[38823]
#define sipNameNr_alphaSize 38833
#define sipName_alphaSize &sipStrings_QtGui[38833]
#define sipNameNr_blackSize 38843
#define sipName_blackSize &sipStrings_QtGui[38843]
#define sipNameNr_greenSize 38853
#define sipName_greenSize &sipStrings_QtGui[38853]
#define sipNameNr_YUVLayout 6744
#define sipName_YUVLayout &sipStrings_QtGui[6744]
#define sipNameNr_UsesAlpha 38863
#define sipName_UsesAlpha &sipStrings_QtGui[38863]
#define sipNameNr_Grayscale 9013
#define sipName_Grayscale &sipStrings_QtGui[9013]
#define sipNameNr_setWidthF 38873
#define sipName_setWidthF &sipStrings_QtGui[38873]
#define sipNameNr_highlight 32802
#define sipName_highlight &sipStrings_QtGui[32802]
#define sipNameNr_Highlight 38883
#define sipName_Highlight &sipStrings_QtGui[38883]
#define sipNameNr_ColorRole 12039
#define sipName_ColorRole &sipStrings_QtGui[12039]
#define sipNameNr_joinStyle 38893
#define sipName_joinStyle &sipStrings_QtGui[38893]
#define sipNameNr_elementAt 38903
#define sipName_elementAt &sipStrings_QtGui[38903]
#define sipNameNr_arcMoveTo 38913
#define sipName_arcMoveTo &sipStrings_QtGui[38913]
#define sipNameNr_addRegion 38923
#define sipName_addRegion &sipStrings_QtGui[38923]
#define sipNameNr_isCurveTo 38933
#define sipName_isCurveTo &sipStrings_QtGui[38933]
#define sipNameNr_QuickDraw 38943
#define sipName_QuickDraw &sipStrings_QtGui[38943]
#define sipNameNr_lineCount 38953
#define sipName_lineCount &sipStrings_QtGui[38953]
#define sipNameNr_rectCount 38963
#define sipName_rectCount &sipStrings_QtGui[38963]
#define sipNameNr_setActive 38973
#define sipName_setActive &sipStrings_QtGui[38973]
#define sipNameNr_DirtyFont 38983
#define sipName_DirtyFont &sipStrings_QtGui[38983]
#define sipNameNr_DirtyFlag 6768
#define sipName_DirtyFlag &sipStrings_QtGui[6768]
#define sipNameNr_QTextItem 38993
#define sipName_QTextItem &sipStrings_QtGui[38993]
#define sipNameNr_PdmHeight 39003
#define sipName_PdmHeight &sipStrings_QtGui[39003]
#define sipNameNr_sourceTop 39013
#define sipName_sourceTop &sipStrings_QtGui[39013]
#define sipNameNr_drawImage 39023
#define sipName_drawImage &sipStrings_QtGui[39023]
#define sipNameNr_drawPoint 39033
#define sipName_drawPoint &sipStrings_QtGui[39033]
#define sipNameNr_eraseRect 39043
#define sipName_eraseRect &sipStrings_QtGui[39043]
#define sipNameNr_drawChord 39053
#define sipName_drawChord &sipStrings_QtGui[39053]
#define sipNameNr_drawRects 39063
#define sipName_drawRects &sipStrings_QtGui[39063]
#define sipNameNr_drawLines 39073
#define sipName_drawLines &sipStrings_QtGui[39073]
#define sipNameNr_setWindow 39083
#define sipName_setWindow &sipStrings_QtGui[39083]
#define sipNameNr_operation 39093
#define sipName_operation &sipStrings_QtGui[39093]
#define sipNameNr_NPageSize 39103
#define sipName_NPageSize &sipStrings_QtGui[39103]
#define sipNameNr_QPageSize 39113
#define sipName_QPageSize &sipStrings_QtGui[39113]
#define sipNameNr_topMargin 39123
#define sipName_topMargin &sipStrings_QtGui[39123]
#define sipNameNr_Landscape 32958
#define sipName_Landscape &sipStrings_QtGui[32958]
#define sipNameNr_Envelope9 39133
#define sipName_Envelope9 &sipStrings_QtGui[39133]
#define sipNameNr_FanFoldUS 39143
#define sipName_FanFoldUS &sipStrings_QtGui[39143]
#define sipNameNr_Prc32KBig 39153
#define sipName_Prc32KBig &sipStrings_QtGui[39153]
#define sipNameNr_Statement 39163
#define sipName_Statement &sipStrings_QtGui[39163]
#define sipNameNr_Executive 39173
#define sipName_Executive &sipStrings_QtGui[39173]
#define sipNameNr_objectIds 39183
#define sipName_objectIds &sipStrings_QtGui[39183]
#define sipNameNr_DepthMode 39193
#define sipName_DepthMode &sipStrings_QtGui[39193]
#define sipNameNr_ZeroValue 39203
#define sipName_ZeroValue &sipStrings_QtGui[39203]
#define sipNameNr_BlueValue 39213
#define sipName_BlueValue &sipStrings_QtGui[39213]
#define sipNameNr_Texture1D 39223
#define sipName_Texture1D &sipStrings_QtGui[39223]
#define sipNameNr_Texture3D 39233
#define sipName_Texture3D &sipStrings_QtGui[39233]
#define sipNameNr_PixelType 5169
#define sipName_PixelType &sipStrings_QtGui[5169]
#define sipNameNr_Luminance 39243
#define sipName_Luminance &sipStrings_QtGui[39243]
#define sipNameNr_setLayers 39253
#define sipName_setLayers &sipStrings_QtGui[39253]
#define sipNameNr_mipLevels 39263
#define sipName_mipLevels &sipStrings_QtGui[39263]
#define sipNameNr_RGB8_ETC2 36757
#define sipName_RGB8_ETC2 &sipStrings_QtGui[36757]
#define sipNameNr_RGBFormat 39273
#define sipName_RGBFormat &sipStrings_QtGui[39273]
#define sipNameNr_SRGB_DXT1 39283
#define sipName_SRGB_DXT1 &sipStrings_QtGui[39283]
#define sipNameNr_RGBA_DXT5 39293
#define sipName_RGBA_DXT5 &sipStrings_QtGui[39293]
#define sipNameNr_RGBA_DXT3 39303
#define sipName_RGBA_DXT3 &sipStrings_QtGui[39303]
#define sipNameNr_RGBA_DXT1 39313
#define sipName_RGBA_DXT1 &sipStrings_QtGui[39313]
#define sipNameNr_D32FS8X24 39323
#define sipName_D32FS8X24 &sipStrings_QtGui[39323]
#define sipNameNr_R16_SNorm 39333
#define sipName_R16_SNorm &sipStrings_QtGui[39333]
#define sipNameNr_RG8_SNorm 39343
#define sipName_RG8_SNorm &sipStrings_QtGui[39343]
#define sipNameNr_R16_UNorm 39353
#define sipName_R16_UNorm &sipStrings_QtGui[39353]
#define sipNameNr_RG8_UNorm 39363
#define sipName_RG8_UNorm &sipStrings_QtGui[39363]
#define sipNameNr_textureId 39373
#define sipName_textureId &sipStrings_QtGui[39373]
#define sipNameNr_programId 39383
#define sipName_programId &sipStrings_QtGui[39383]
#define sipNameNr_addShader 39393
#define sipName_addShader &sipStrings_QtGui[39393]
#define sipNameNr_rowLength 39403
#define sipName_rowLength &sipStrings_QtGui[39403]
#define sipNameNr_setMipmap 39413
#define sipName_setMipmap &sipStrings_QtGui[39413]
#define sipNameNr_pushGroup 39423
#define sipName_pushGroup &sipStrings_QtGui[39423]
#define sipNameNr_isLogging 39433
#define sipName_isLogging &sipStrings_QtGui[39433]
#define sipNameNr_OtherType 39443
#define sipName_OtherType &sipStrings_QtGui[39443]
#define sipNameNr_ErrorType 39453
#define sipName_ErrorType &sipStrings_QtGui[39453]
#define sipNameNr_AnySource 39463
#define sipName_AnySource &sipStrings_QtGui[39463]
#define sipNameNr_APISource 39473
#define sipName_APISource &sipStrings_QtGui[39473]
#define sipNameNr_RangeRead 39483
#define sipName_RangeRead &sipStrings_QtGui[39483]
#define sipNameNr_isCreated 39493
#define sipName_isCreated &sipStrings_QtGui[39493]
#define sipNameNr_setScreen 39503
#define sipName_setScreen &sipStrings_QtGui[39503]
#define sipNameNr_cacheMode 39513
#define sipName_cacheMode &sipStrings_QtGui[39513]
#define sipNameNr_frameRect 39523
#define sipName_frameRect &sipStrings_QtGui[39523]
#define sipNameNr_CacheNone 39533
#define sipName_CacheNone &sipStrings_QtGui[39533]
#define sipNameNr_CacheMode 17152
#define sipName_CacheMode &sipStrings_QtGui[17152]
#define sipNameNr_mapVector 39543
#define sipName_mapVector &sipStrings_QtGui[39543]
#define sipNameNr_setColumn 39553
#define sipName_setColumn &sipStrings_QtGui[39553]
#define sipNameNr_nearPlane 39563
#define sipName_nearPlane &sipStrings_QtGui[39563]
#define sipNameNr_Backspace 39573
#define sipName_Backspace &sipStrings_QtGui[39573]
#define sipNameNr_SelectAll 39583
#define sipName_SelectAll &sipStrings_QtGui[39583]
#define sipNameNr_NextChild 39593
#define sipName_NextChild &sipStrings_QtGui[39593]
#define sipNameNr_isVisible 39603
#define sipName_isVisible &sipStrings_QtGui[39603]
#define sipNameNr_setOption 39613
#define sipName_setOption &sipStrings_QtGui[39613]
#define sipNameNr_setFormat 39623
#define sipName_setFormat &sipStrings_QtGui[39623]
#define sipNameNr_Animation 17296
#define sipName_Animation &sipStrings_QtGui[17296]
#define sipNameNr_byteCount 39633
#define sipName_byteCount &sipStrings_QtGui[39633]
#define sipNameNr_setOffset 39643
#define sipName_setOffset &sipStrings_QtGui[39643]
#define sipNameNr_clipTight 39653
#define sipName_clipTight &sipStrings_QtGui[39653]
#define sipNameNr_constBits 39663
#define sipName_constBits &sipStrings_QtGui[39663]
#define sipNameNr_InvertRgb 39673
#define sipName_InvertRgb &sipStrings_QtGui[39673]
#define sipNameNr_themeName 39683
#define sipName_themeName &sipStrings_QtGui[39683]
#define sipNameNr_fromTheme 39693
#define sipName_fromTheme &sipStrings_QtGui[39693]
#define sipNameNr_addPixmap 39703
#define sipName_addPixmap &sipStrings_QtGui[39703]
#define sipNameNr_sessionId 39713
#define sipName_sessionId &sipStrings_QtGui[39713]
#define sipNameNr_clipboard 39723
#define sipName_clipboard &sipStrings_QtGui[39723]
#define sipNameNr_StrikeOut 18297
#define sipName_StrikeOut &sipStrings_QtGui[18297]
#define sipNameNr_Underline 11639
#define sipName_Underline &sipStrings_QtGui[11639]
#define sipNameNr_positions 39733
#define sipName_positions &sipStrings_QtGui[39733]
#define sipNameNr_QGlyphRun 39743
#define sipName_QGlyphRun &sipStrings_QtGui[39743]
#define sipNameNr_lineWidth 39753
#define sipName_lineWidth &sipStrings_QtGui[39753]
#define sipNameNr_widthChar 39763
#define sipName_widthChar &sipStrings_QtGui[39763]
#define sipNameNr_QFontInfo 39773
#define sipName_QFontInfo &sipStrings_QtGui[39773]
#define sipNameNr_TitleFont 39783
#define sipName_TitleFont &sipStrings_QtGui[39783]
#define sipNameNr_FixedFont 39793
#define sipName_FixedFont &sipStrings_QtGui[39793]
#define sipNameNr_styleName 39803
#define sipName_styleName &sipStrings_QtGui[39803]
#define sipNameNr_SmallCaps 39813
#define sipName_SmallCaps &sipStrings_QtGui[39813]
#define sipNameNr_MixedCase 39823
#define sipName_MixedCase &sipStrings_QtGui[39823]
#define sipNameNr_setItalic 39833
#define sipName_setItalic &sipStrings_QtGui[39833]
#define sipNameNr_styleHint 39843
#define sipName_styleHint &sipStrings_QtGui[39843]
#define sipNameNr_strikeOut 39853
#define sipName_strikeOut &sipStrings_QtGui[39853]
#define sipNameNr_underline 39863
#define sipName_underline &sipStrings_QtGui[39863]
#define sipNameNr_setWeight 39873
#define sipName_setWeight &sipStrings_QtGui[39873]
#define sipNameNr_pixelSize 39883
#define sipName_pixelSize &sipStrings_QtGui[39883]
#define sipNameNr_setFamily 39893
#define sipName_setFamily &sipStrings_QtGui[39893]
#define sipNameNr_pointSize 39903
#define sipName_pointSize &sipStrings_QtGui[39903]
#define sipNameNr_Condensed 25313
#define sipName_Condensed &sipStrings_QtGui[25313]
#define sipNameNr_ExtraBold 39913
#define sipName_ExtraBold &sipStrings_QtGui[39913]
#define sipNameNr_Monospace 39923
#define sipName_Monospace &sipStrings_QtGui[39923]
#define sipNameNr_SansSerif 39933
#define sipName_SansSerif &sipStrings_QtGui[39933]
#define sipNameNr_Helvetica 39943
#define sipName_Helvetica &sipStrings_QtGui[39943]
#define sipNameNr_StyleHint 18263
#define sipName_StyleHint &sipStrings_QtGui[18263]
#define sipNameNr_InfoFlags 695
#define sipName_InfoFlags &sipStrings_QtGui[695]
#define sipNameNr_sceneRect 39953
#define sipName_sceneRect &sipStrings_QtGui[39953]
#define sipNameNr_ambiguous 39963
#define sipName_ambiguous &sipStrings_QtGui[39963]
#define sipNameNr_Attribute 3490
#define sipName_Attribute &sipStrings_QtGui[3490]
#define sipNameNr_paintRect 39973
#define sipName_paintRect &sipStrings_QtGui[39973]
#define sipNameNr_lostFocus 39983
#define sipName_lostFocus &sipStrings_QtGui[39983]
#define sipNameNr_QKeyEvent 39993
#define sipName_QKeyEvent &sipStrings_QtGui[39993]
#define sipNameNr_screenPos 40003
#define sipName_screenPos &sipStrings_QtGui[40003]
#define sipNameNr_windowPos 40013
#define sipName_windowPos &sipStrings_QtGui[40013]
#define sipNameNr_globalPos 40023
#define sipName_globalPos &sipStrings_QtGui[40023]
#define sipNameNr_timestamp 40033
#define sipName_timestamp &sipStrings_QtGui[40033]
#define sipNameNr_modifiers 40043
#define sipName_modifiers &sipStrings_QtGui[40043]
#define sipNameNr_setPixmap 40053
#define sipName_setPixmap &sipStrings_QtGui[40053]
#define sipNameNr_setRadius 40063
#define sipName_setRadius &sipStrings_QtGui[40063]
#define sipNameNr_setCenter 40073
#define sipName_setCenter &sipStrings_QtGui[40073]
#define sipNameNr_finalStop 40083
#define sipName_finalStop &sipStrings_QtGui[40083]
#define sipNameNr_setSpread 40093
#define sipName_setSpread &sipStrings_QtGui[40093]
#define sipNameNr_PadSpread 40103
#define sipName_PadSpread &sipStrings_QtGui[40103]
#define sipNameNr_QGradient 40113
#define sipName_QGradient &sipStrings_QtGui[40113]
#define sipNameNr_transform 40123
#define sipName_transform &sipStrings_QtGui[40123]
#define sipNameNr_lightness 40133
#define sipName_lightness &sipStrings_QtGui[40133]
#define sipNameNr_fromCmykF 40143
#define sipName_fromCmykF &sipStrings_QtGui[40143]
#define sipNameNr_convertTo 40153
#define sipName_convertTo &sipStrings_QtGui[40153]
#define sipNameNr_setGreenF 40163
#define sipName_setGreenF &sipStrings_QtGui[40163]
#define sipNameNr_setAlphaF 40173
#define sipName_setAlphaF &sipStrings_QtGui[40173]
#define sipNameNr_fromImage 40183
#define sipName_fromImage &sipStrings_QtGui[40183]
#define sipNameNr_component 40193
#define sipName_component &sipStrings_QtGui[40193]
#define sipNameNr_pageCount 40203
#define sipName_pageCount &sipStrings_QtGui[40203]
#define sipNameNr_Selection 263
#define sipName_Selection &sipStrings_QtGui[263]
#define sipNameNr_directory 40213
#define sipName_directory &sipStrings_QtGui[40213]
#define sipNameNr_windowsId 40223
#define sipName_windowsId &sipStrings_QtGui[40223]
#define sipNameNr_alignment 40233
#define sipName_alignment &sipStrings_QtGui[40233]
#define sipNameNr_isEnabled 40243
#define sipName_isEnabled &sipStrings_QtGui[40243]
#define sipNameNr_setHeight 40253
#define sipName_setHeight &sipStrings_QtGui[40253]
#define sipNameNr_setParent 40263
#define sipName_setParent &sipStrings_QtGui[40263]
#define sipNameNr___enter__ 40273
#define sipName___enter__ &sipStrings_QtGui[40273]
#define sipNameNr_QPolygonF 40283
#define sipName_QPolygonF &sipStrings_QtGui[40283]
#define sipNameNr_QVector4D 40293
#define sipName_QVector4D &sipStrings_QtGui[40293]
#define sipNameNr_QVector3D 40303
#define sipName_QVector3D &sipStrings_QtGui[40303]
#define sipNameNr_QVector2D 40313
#define sipName_QVector2D &sipStrings_QtGui[40313]
#define sipNameNr_setBottom 40323
#define sipName_setBottom &sipStrings_QtGui[40323]
#define sipNameNr_Malayalam 40333
#define sipName_Malayalam &sipStrings_QtGui[40333]
#define sipNameNr_setPoints 40343
#define sipName_setPoints &sipStrings_QtGui[40343]
#define sipNameNr_ReadWrite 40353
#define sipName_ReadWrite &sipStrings_QtGui[40353]
#define sipNameNr_WriteOnly 40363
#define sipName_WriteOnly &sipStrings_QtGui[40363]
#define sipNameNr_byteOrder 40373
#define sipName_byteOrder &sipStrings_QtGui[40373]
#define sipNameNr_setStatus 40383
#define sipName_setStatus &sipStrings_QtGui[40383]
#define sipNameNr_setDevice 40393
#define sipName_setDevice &sipStrings_QtGui[40393]
#define sipNameNr_BigEndian 40403
#define sipName_BigEndian &sipStrings_QtGui[40403]
#define sipNameNr_ByteOrder 6720
#define sipName_ByteOrder &sipStrings_QtGui[6720]
#define sipNameNr_WhatsThis 29726
#define sipName_WhatsThis &sipStrings_QtGui[29726]
#define sipNameNr_Clipboard 28669
#define sipName_Clipboard &sipStrings_QtGui[28669]
#define sipNameNr_translate 40413
#define sipName_translate &sipStrings_QtGui[40413]
#define sipNameNr_setLocale 40423
#define sipName_setLocale &sipStrings_QtGui[40423]
#define sipNameNr_precision 40433
#define sipName_precision &sipStrings_QtGui[40433]
#define sipNameNr_selection 40443
#define sipName_selection &sipStrings_QtGui[40443]
#define sipNameNr_roleNames 40453
#define sipName_roleNames &sipStrings_QtGui[40453]
#define sipNameNr_removeRow 40463
#define sipName_removeRow &sipStrings_QtGui[40463]
#define sipNameNr_insertRow 40473
#define sipName_insertRow &sipStrings_QtGui[40473]
#define sipNameNr_fetchMore 40483
#define sipName_fetchMore &sipStrings_QtGui[40483]
#define sipNameNr_mimeTypes 40493
#define sipName_mimeTypes &sipStrings_QtGui[40493]
#define sipNameNr_setPaused 40503
#define sipName_setPaused &sipStrings_QtGui[40503]
#define sipNameNr_loopCount 40513
#define sipName_loopCount &sipStrings_QtGui[40513]
#define sipNameNr_Windowed 40523
#define sipName_Windowed &sipStrings_QtGui[40523]
#define sipNameNr_yChanged 5834
#define sipName_yChanged &sipStrings_QtGui[5834]
#define sipNameNr_xChanged 40532
#define sipName_xChanged &sipStrings_QtGui[40532]
#define sipNameNr_baseSize 40541
#define sipName_baseSize &sipStrings_QtGui[40541]
#define sipNameNr_modality 40550
#define sipName_modality &sipStrings_QtGui[40550]
#define sipNameNr_toPointF 40559
#define sipName_toPointF &sipStrings_QtGui[40559]
#define sipNameNr_Notation 4162
#define sipName_Notation &sipStrings_QtGui[4162]
#define sipNameNr_decimals 40568
#define sipName_decimals &sipStrings_QtGui[40568]
#define sipNameNr_setRange 40577
#define sipName_setRange &sipStrings_QtGui[40577]
#define sipNameNr_validate 22101
#define sipName_validate &sipStrings_QtGui[22101]
#define sipNameNr_TxRotate 40586
#define sipName_TxRotate &sipStrings_QtGui[40586]
#define sipNameNr_Velocity 16289
#define sipName_Velocity &sipStrings_QtGui[16289]
#define sipNameNr_Pressure 15276
#define sipName_Pressure &sipStrings_QtGui[15276]
#define sipNameNr_TouchPad 40595
#define sipName_TouchPad &sipStrings_QtGui[40595]
#define sipNameNr_rowStart 40604
#define sipName_rowStart &sipStrings_QtGui[40604]
#define sipNameNr_RightTab 40613
#define sipName_RightTab &sipStrings_QtGui[40613]
#define sipNameNr_WordWrap 40622
#define sipName_WordWrap &sipStrings_QtGui[40622]
#define sipNameNr_userData 40631
#define sipName_userData &sipStrings_QtGui[40631]
#define sipNameNr_textList 40640
#define sipName_textList &sipStrings_QtGui[40640]
#define sipNameNr_itemText 40649
#define sipName_itemText &sipStrings_QtGui[40649]
#define sipNameNr_Trailing 40658
#define sipName_Trailing &sipStrings_QtGui[40658]
#define sipNameNr_Position 3716
#define sipName_Position &sipStrings_QtGui[3716]
#define sipNameNr_ListDisc 40667
#define sipName_ListDisc &sipStrings_QtGui[40667]
#define sipNameNr_isAnchor 40676
#define sipName_isAnchor &sipStrings_QtGui[40676]
#define sipNameNr_IsAnchor 40685
#define sipName_IsAnchor &sipStrings_QtGui[40685]
#define sipNameNr_CssFloat 40694
#define sipName_CssFloat &sipStrings_QtGui[40694]
#define sipNameNr_Property 8596
#define sipName_Property &sipStrings_QtGui[8596]
#define sipNameNr_NoObject 40703
#define sipName_NoObject &sipStrings_QtGui[40703]
#define sipNameNr_rawValue 40712
#define sipName_rawValue &sipStrings_QtGui[40712]
#define sipNameNr_fromHtml 40721
#define sipName_fromHtml &sipStrings_QtGui[40721]
#define sipNameNr_revision 40730
#define sipName_revision &sipStrings_QtGui[40730]
#define sipNameNr_resource 40739
#define sipName_resource &sipStrings_QtGui[40739]
#define sipNameNr_FindFlag 6529
#define sipName_FindFlag &sipStrings_QtGui[6529]
#define sipNameNr_encoding 40748
#define sipName_encoding &sipStrings_QtGui[40748]
#define sipNameNr_Document 9520
#define sipName_Document &sipStrings_QtGui[9520]
#define sipNameNr_NextCell 40757
#define sipName_NextCell &sipStrings_QtGui[40757]
#define sipNameNr_NextWord 24909
#define sipName_NextWord &sipStrings_QtGui[24909]
#define sipNameNr_WordLeft 40766
#define sipName_WordLeft &sipStrings_QtGui[40766]
#define sipNameNr_MoveMode 8772
#define sipName_MoveMode &sipStrings_QtGui[8772]
#define sipNameNr_OpenGLES 36956
#define sipName_OpenGLES &sipStrings_QtGui[36956]
#define sipNameNr_ItemType 6601
#define sipName_ItemType &sipStrings_QtGui[6601]
#define sipNameNr_setChild 40775
#define sipName_setChild &sipStrings_QtGui[40775]
#define sipNameNr_sizeHint 40784
#define sipName_sizeHint &sipStrings_QtGui[40784]
#define sipNameNr_takeItem 40793
#define sipName_takeItem &sipStrings_QtGui[40793]
#define sipNameNr_isPhase2 40802
#define sipName_isPhase2 &sipStrings_QtGui[40802]
#define sipNameNr_geometry 40811
#define sipName_geometry &sipStrings_QtGui[40811]
#define sipNameNr_fromFont 40820
#define sipName_fromFont &sipStrings_QtGui[40820]
#define sipNameNr_QRawFont 40829
#define sipName_QRawFont &sipStrings_QtGui[40829]
#define sipNameNr_fromAxes 40838
#define sipName_fromAxes &sipStrings_QtGui[40838]
#define sipNameNr_isClosed 40847
#define sipName_isClosed &sipStrings_QtGui[40847]
#define sipNameNr_setPoint 40856
#define sipName_setPoint &sipStrings_QtGui[40856]
#define sipNameNr_hasAlpha 40865
#define sipName_hasAlpha &sipStrings_QtGui[40865]
#define sipNameNr_cyanSize 40874
#define sipName_cyanSize &sipStrings_QtGui[40874]
#define sipNameNr_blueSize 40883
#define sipName_blueSize &sipStrings_QtGui[40883]
#define sipNameNr_YUV420SP 40892
#define sipName_YUV420SP &sipStrings_QtGui[40892]
#define sipNameNr_ioDevice 40901
#define sipName_ioDevice &sipStrings_QtGui[40901]
#define sipNameNr_QPicture 40910
#define sipName_QPicture &sipStrings_QtGui[40910]
#define sipNameNr_setTitle 40919
#define sipName_setTitle &sipStrings_QtGui[40919]
#define sipNameNr_midlight 40928
#define sipName_midlight &sipStrings_QtGui[40928]
#define sipNameNr_Midlight 40937
#define sipName_Midlight &sipStrings_QtGui[40937]
#define sipNameNr_Inactive 40946
#define sipName_Inactive &sipStrings_QtGui[40946]
#define sipNameNr_capStyle 40955
#define sipName_capStyle &sipStrings_QtGui[40955]
#define sipNameNr_isLineTo 40964
#define sipName_isLineTo &sipStrings_QtGui[40964]
#define sipNameNr_isMoveTo 40973
#define sipName_isMoveTo &sipStrings_QtGui[40973]
#define sipNameNr_Direct2D 40982
#define sipName_Direct2D &sipStrings_QtGui[40982]
#define sipNameNr_Direct3D 40991
#define sipName_Direct3D &sipStrings_QtGui[40991]
#define sipNameNr_features 41000
#define sipName_features &sipStrings_QtGui[41000]
#define sipNameNr_AllDirty 41009
#define sipName_AllDirty &sipStrings_QtGui[41009]
#define sipNameNr_DirtyPen 41018
#define sipName_DirtyPen &sipStrings_QtGui[41018]
#define sipNameNr_heightMM 41027
#define sipName_heightMM &sipStrings_QtGui[41027]
#define sipNameNr_PdmDepth 41036
#define sipName_PdmDepth &sipStrings_QtGui[41036]
#define sipNameNr_PdmWidth 41045
#define sipName_PdmWidth &sipStrings_QtGui[41045]
#define sipNameNr_drawRect 41054
#define sipName_drawRect &sipStrings_QtGui[41054]
#define sipNameNr_drawLine 41063
#define sipName_drawLine &sipStrings_QtGui[41063]
#define sipNameNr_fillRect 41072
#define sipName_fillRect &sipStrings_QtGui[41072]
#define sipNameNr_drawText 41081
#define sipName_drawText &sipStrings_QtGui[41081]
#define sipNameNr_fillRule 41090
#define sipName_fillRule &sipStrings_QtGui[41090]
#define sipNameNr_drawPath 41099
#define sipName_drawPath &sipStrings_QtGui[41099]
#define sipNameNr_fillPath 41108
#define sipName_fillPath &sipStrings_QtGui[41108]
#define sipNameNr_clipPath 41117
#define sipName_clipPath &sipStrings_QtGui[41117]
#define sipNameNr_setBrush 41126
#define sipName_setBrush &sipStrings_QtGui[41126]
#define sipNameNr_QPainter 41135
#define sipName_QPainter &sipStrings_QtGui[41135]
#define sipNameNr_fullRect 41144
#define sipName_fullRect &sipStrings_QtGui[41144]
#define sipNameNr_setUnits 41153
#define sipName_setUnits &sipStrings_QtGui[41153]
#define sipNameNr_Portrait 35779
#define sipName_Portrait &sipStrings_QtGui[35779]
#define sipNameNr_pageSize 41162
#define sipName_pageSize &sipStrings_QtGui[41162]
#define sipNameNr_Postcard 24414
#define sipName_Postcard &sipStrings_QtGui[24414]
#define sipNameNr_PageSize 3800
#define sipName_PageSize &sipStrings_QtGui[3800]
#define sipNameNr_resizeGL 41171
#define sipName_resizeGL &sipStrings_QtGui[41171]
#define sipNameNr_objectId 41180
#define sipName_objectId &sipStrings_QtGui[41180]
#define sipNameNr_wrapMode 41189
#define sipName_wrapMode &sipStrings_QtGui[41189]
#define sipNameNr_WrapMode 6134
#define sipName_WrapMode &sipStrings_QtGui[6134]
#define sipNameNr_OneValue 41198
#define sipName_OneValue &sipStrings_QtGui[41198]
#define sipNameNr_RedValue 41207
#define sipName_RedValue &sipStrings_QtGui[41207]
#define sipNameNr_Features 832
#define sipName_Features &sipStrings_QtGui[832]
#define sipNameNr_RGB_DXT1 39284
#define sipName_RGB_DXT1 &sipStrings_QtGui[39284]
#define sipNameNr_RG11B10F 21765
#define sipName_RG11B10F &sipStrings_QtGui[21765]
#define sipNameNr_R8_SNorm 41216
#define sipName_R8_SNorm &sipStrings_QtGui[41216]
#define sipNameNr_R8_UNorm 41225
#define sipName_R8_UNorm &sipStrings_QtGui[41225]
#define sipNameNr_NoFormat 41234
#define sipName_NoFormat &sipStrings_QtGui[41234]
#define sipNameNr_Target3D 21861
#define sipName_Target3D &sipStrings_QtGui[21861]
#define sipNameNr_Target2D 21877
#define sipName_Target2D &sipStrings_QtGui[21877]
#define sipNameNr_Target1D 21893
#define sipName_Target1D &sipStrings_QtGui[21893]
#define sipNameNr_isLinked 41243
#define sipName_isLinked &sipStrings_QtGui[41243]
#define sipNameNr_shaderId 41252
#define sipName_shaderId &sipStrings_QtGui[41252]
#define sipNameNr_Geometry 5884
#define sipName_Geometry &sipStrings_QtGui[5884]
#define sipNameNr_Fragment 5984
#define sipName_Fragment &sipStrings_QtGui[5984]
#define sipNameNr_skipRows 41261
#define sipName_skipRows &sipStrings_QtGui[41261]
#define sipNameNr_popGroup 41270
#define sipName_popGroup &sipStrings_QtGui[41270]
#define sipNameNr_severity 41279
#define sipName_severity &sipStrings_QtGui[41279]
#define sipNameNr_Severity 2730
#define sipName_Severity &sipStrings_QtGui[2730]
#define sipNameNr_mapRange 41288
#define sipName_mapRange &sipStrings_QtGui[41288]
#define sipNameNr_allocate 41297
#define sipName_allocate &sipStrings_QtGui[41297]
#define sipNameNr_bufferId 41306
#define sipName_bufferId &sipStrings_QtGui[41306]
#define sipNameNr_QSurface 41315
#define sipName_QSurface &sipStrings_QtGui[41315]
#define sipNameNr_setSpeed 41324
#define sipName_setSpeed &sipStrings_QtGui[41324]
#define sipNameNr_CacheAll 41333
#define sipName_CacheAll &sipStrings_QtGui[41333]
#define sipNameNr_isAffine 41342
#define sipName_isAffine &sipStrings_QtGui[41342]
#define sipNameNr_viewport 41351
#define sipName_viewport &sipStrings_QtGui[41351]
#define sipNameNr_farPlane 41360
#define sipName_farPlane &sipStrings_QtGui[41360]
#define sipNameNr_inverted 41369
#define sipName_inverted &sipStrings_QtGui[41369]
#define sipNameNr_mnemonic 41378
#define sipName_mnemonic &sipStrings_QtGui[41378]
#define sipNameNr_FindNext 41387
#define sipName_FindNext &sipStrings_QtGui[41387]
#define sipNameNr_canWrite 7129
#define sipName_canWrite &sipStrings_QtGui[7129]
#define sipNameNr_setGamma 41396
#define sipName_setGamma &sipStrings_QtGui[41396]
#define sipNameNr_clipRect 41405
#define sipName_clipRect &sipStrings_QtGui[41405]
#define sipNameNr_ClipRect 17315
#define sipName_ClipRect &sipStrings_QtGui[17315]
#define sipNameNr_textKeys 41414
#define sipName_textKeys &sipStrings_QtGui[41414]
#define sipNameNr_mirrored 41423
#define sipName_mirrored &sipStrings_QtGui[41423]
#define sipNameNr_vertical 41432
#define sipName_vertical &sipStrings_QtGui[41432]
#define sipNameNr_setPixel 41441
#define sipName_setPixel &sipStrings_QtGui[41441]
#define sipNameNr_scanLine 41450
#define sipName_scanLine &sipStrings_QtGui[41450]
#define sipNameNr_fallback 41459
#define sipName_fallback &sipStrings_QtGui[41459]
#define sipNameNr_cacheKey 41468
#define sipName_cacheKey &sipStrings_QtGui[41468]
#define sipNameNr_Selected 41477
#define sipName_Selected &sipStrings_QtGui[41477]
#define sipNameNr_Disabled 41486
#define sipName_Disabled &sipStrings_QtGui[41486]
#define sipNameNr_setFlags 41495
#define sipName_setFlags &sipStrings_QtGui[41495]
#define sipNameNr_Overline 20629
#define sipName_Overline &sipStrings_QtGui[20629]
#define sipNameNr_tabArray 41504
#define sipName_tabArray &sipStrings_QtGui[41504]
#define sipNameNr_tabStops 41513
#define sipName_tabStops &sipStrings_QtGui[41513]
#define sipNameNr_maxWidth 41522
#define sipName_maxWidth &sipStrings_QtGui[41522]
#define sipNameNr_fontInfo 41531
#define sipName_fontInfo &sipStrings_QtGui[41531]
#define sipNameNr_families 41540
#define sipName_families &sipStrings_QtGui[41540]
#define sipNameNr_Gurmukhi 41549
#define sipName_Gurmukhi &sipStrings_QtGui[41549]
#define sipNameNr_Cyrillic 41558
#define sipName_Cyrillic &sipStrings_QtGui[41558]
#define sipNameNr_isCopyOf 41567
#define sipName_isCopyOf &sipStrings_QtGui[41567]
#define sipNameNr_strategy 41576
#define sipName_strategy &sipStrings_QtGui[41576]
#define sipNameNr_overline 41585
#define sipName_overline &sipStrings_QtGui[41585]
#define sipNameNr_Expanded 28376
#define sipName_Expanded &sipStrings_QtGui[28376]
#define sipNameNr_DemiBold 41594
#define sipName_DemiBold &sipStrings_QtGui[41594]
#define sipNameNr_AnyStyle 41603
#define sipName_AnyStyle &sipStrings_QtGui[41603]
#define sipNameNr_velocity 41612
#define sipName_velocity &sipStrings_QtGui[41612]
#define sipNameNr_InfoFlag 934
#define sipName_InfoFlag &sipStrings_QtGui[934]
#define sipNameNr_scenePos 41621
#define sipName_scenePos &sipStrings_QtGui[41621]
#define sipNameNr_startPos 41630
#define sipName_startPos &sipStrings_QtGui[41630]
#define sipNameNr_openFile 41639
#define sipName_openFile &sipStrings_QtGui[41639]
#define sipNameNr_Keyboard 41648
#define sipName_Keyboard &sipStrings_QtGui[41648]
#define sipNameNr_gotFocus 41657
#define sipName_gotFocus &sipStrings_QtGui[41657]
#define sipNameNr_uniqueId 41666
#define sipName_uniqueId &sipStrings_QtGui[41666]
#define sipNameNr_rotation 41675
#define sipName_rotation &sipStrings_QtGui[41675]
#define sipNameNr_pressure 41684
#define sipName_pressure &sipStrings_QtGui[41684]
#define sipNameNr_Airbrush 41693
#define sipName_Airbrush &sipStrings_QtGui[41693]
#define sipNameNr_NoDevice 41702
#define sipName_NoDevice &sipStrings_QtGui[41702]
#define sipNameNr_localPos 41711
#define sipName_localPos &sipStrings_QtGui[41711]
#define sipNameNr_setShape 41720
#define sipName_setShape &sipStrings_QtGui[41720]
#define sipNameNr_setImage 41729
#define sipName_setImage &sipStrings_QtGui[41729]
#define sipNameNr_setStart 41738
#define sipName_setStart &sipStrings_QtGui[41738]
#define sipNameNr_setStops 41747
#define sipName_setStops &sipStrings_QtGui[41747]
#define sipNameNr_isOpaque 41756
#define sipName_isOpaque &sipStrings_QtGui[41756]
#define sipNameNr_setColor 41765
#define sipName_setColor &sipStrings_QtGui[41765]
#define sipNameNr_setStyle 41774
#define sipName_setStyle &sipStrings_QtGui[41774]
#define sipNameNr_gradient 41783
#define sipName_gradient &sipStrings_QtGui[41783]
#define sipNameNr_fromHslF 41792
#define sipName_fromHslF &sipStrings_QtGui[41792]
#define sipNameNr_fromCmyk 41801
#define sipName_fromCmyk &sipStrings_QtGui[41801]
#define sipNameNr_fromHsvF 41810
#define sipName_fromHsvF &sipStrings_QtGui[41810]
#define sipNameNr_fromRgbF 41819
#define sipName_fromRgbF &sipStrings_QtGui[41819]
#define sipNameNr_fromRgba 41828
#define sipName_fromRgba &sipStrings_QtGui[41828]
#define sipNameNr_setCmykF 41837
#define sipName_setCmykF &sipStrings_QtGui[41837]
#define sipNameNr_getCmykF 41846
#define sipName_getCmykF &sipStrings_QtGui[41846]
#define sipNameNr_magentaF 41855
#define sipName_magentaF &sipStrings_QtGui[41855]
#define sipNameNr_setBlueF 41864
#define sipName_setBlueF &sipStrings_QtGui[41864]
#define sipNameNr_setGreen 41873
#define sipName_setGreen &sipStrings_QtGui[41873]
#define sipNameNr_setAlpha 41882
#define sipName_setAlpha &sipStrings_QtGui[41882]
#define sipNameNr_fromData 41891
#define sipName_fromData &sipStrings_QtGui[41891]
#define sipNameNr_endPaint 41900
#define sipName_endPaint &sipStrings_QtGui[41900]
#define sipNameNr_document 41909
#define sipName_document &sipStrings_QtGui[41909]
#define sipNameNr_anchorAt 41918
#define sipName_anchorAt &sipStrings_QtGui[41918]
#define sipNameNr_UserType 41927
#define sipName_UserType &sipStrings_QtGui[41927]
#define sipNameNr_fragment 41936
#define sipName_fragment &sipStrings_QtGui[41936]
#define sipNameNr_nameType 41945
#define sipName_nameType &sipStrings_QtGui[41945]
#define sipNameNr_notation 41954
#define sipName_notation &sipStrings_QtGui[41954]
#define sipNameNr_setCodec 41963
#define sipName_setCodec &sipStrings_QtGui[41963]
#define sipNameNr_position 41972
#define sipName_position &sipStrings_QtGui[41972]
#define sipNameNr_sortRole 41981
#define sipName_sortRole &sipStrings_QtGui[41981]
#define sipNameNr_setValue 41990
#define sipName_setValue &sipStrings_QtGui[41990]
#define sipNameNr_iterator 9951
#define sipName_iterator &sipStrings_QtGui[9951]
#define sipNameNr_optimize 41999
#define sipName_optimize &sipStrings_QtGui[41999]
#define sipNameNr_setWidth 42008
#define sipName_setWidth &sipStrings_QtGui[42008]
#define sipNameNr_property 42017
#define sipName_property &sipStrings_QtGui[42017]
#define sipNameNr___exit__ 42026
#define sipName___exit__ &sipStrings_QtGui[42026]
#define sipNameNr_iconName 42035
#define sipName_iconName &sipStrings_QtGui[42035]
#define sipNameNr_QPolygon 42044
#define sipName_QPolygon &sipStrings_QtGui[42044]
#define sipNameNr_QPalette 42053
#define sipName_QPalette &sipStrings_QtGui[42053]
#define sipNameNr___idiv__ 42062
#define sipName___idiv__ &sipStrings_QtGui[42062]
#define sipNameNr___isub__ 42071
#define sipName___isub__ &sipStrings_QtGui[42071]
#define sipNameNr_Japanese 42080
#define sipName_Japanese &sipStrings_QtGui[42080]
#define sipNameNr_Gujarati 42089
#define sipName_Gujarati &sipStrings_QtGui[42089]
#define sipNameNr_Georgian 42098
#define sipName_Georgian &sipStrings_QtGui[42098]
#define sipNameNr_Armenian 42107
#define sipName_Armenian &sipStrings_QtGui[42107]
#define sipNameNr_Language 42116
#define sipName_Language &sipStrings_QtGui[42116]
#define sipNameNr_setAngle 42125
#define sipName_setAngle &sipStrings_QtGui[42125]
#define sipNameNr_previous 42134
#define sipName_previous &sipStrings_QtGui[42134]
#define sipNameNr_Deselect 42143
#define sipName_Deselect &sipStrings_QtGui[42143]
#define sipNameNr_ReadOnly 42152
#define sipName_ReadOnly &sipStrings_QtGui[42152]
#define sipNameNr_filePath 42161
#define sipName_filePath &sipStrings_QtGui[42161]
#define sipNameNr_fileName 42170
#define sipName_fileName &sipStrings_QtGui[42170]
#define sipNameNr_toString 42179
#define sipName_toString &sipStrings_QtGui[42179]
#define sipNameNr_contains 42188
#define sipName_contains &sipStrings_QtGui[42188]
#define sipNameNr___imul__ 42197
#define sipName___imul__ &sipStrings_QtGui[42197]
#define sipNameNr___repr__ 42206
#define sipName___repr__ &sipStrings_QtGui[42206]
#define sipNameNr___iadd__ 42215
#define sipName___iadd__ &sipStrings_QtGui[42215]
#define sipNameNr_isActive 42224
#define sipName_isActive &sipStrings_QtGui[42224]
#define sipNameNr_moveRows 38221
#define sipName_moveRows &sipStrings_QtGui[38221]
#define sipNameNr_mimeData 42233
#define sipName_mimeData &sipStrings_QtGui[42233]
#define sipNameNr_itemData 42242
#define sipName_itemData &sipStrings_QtGui[42242]
#define sipNameNr_rowCount 42251
#define sipName_rowCount &sipStrings_QtGui[42251]
#define sipNameNr___hash__ 42260
#define sipName___hash__ &sipStrings_QtGui[42260]
#define sipNameNr_oldState 42269
#define sipName_oldState &sipStrings_QtGui[42269]
#define sipNameNr_finished 42278
#define sipName_finished &sipStrings_QtGui[42278]
#define sipNameNr_AlignTop 42287
#define sipName_AlignTop &sipStrings_QtGui[42287]
#define sipNameNr___bool__ 42296
#define sipName___bool__ &sipStrings_QtGui[42296]
#define sipNameNr___ixor__ 42305
#define sipName___ixor__ &sipStrings_QtGui[42305]
#define sipNameNr___iand__ 42314
#define sipName___iand__ &sipStrings_QtGui[42314]
#define sipNameNr_isModal 42323
#define sipName_isModal &sipStrings_QtGui[42323]
#define sipNameNr_project 38315
#define sipName_project &sipStrings_QtGui[38315]
#define sipNameNr_adjoint 42331
#define sipName_adjoint &sipStrings_QtGui[42331]
#define sipNameNr_TxShear 42339
#define sipName_TxShear &sipStrings_QtGui[42339]
#define sipNameNr_TxScale 42347
#define sipName_TxScale &sipStrings_QtGui[42347]
#define sipNameNr_devices 42355
#define sipName_devices &sipStrings_QtGui[42355]
#define sipNameNr_rowSpan 42363
#define sipName_rowSpan &sipStrings_QtGui[42363]
#define sipNameNr_setTabs 42371
#define sipName_setTabs &sipStrings_QtGui[42371]
#define sipNameNr_LeftTab 42379
#define sipName_LeftTab &sipStrings_QtGui[42379]
#define sipNameNr_TabType 9931
#define sipName_TabType &sipStrings_QtGui[9931]
#define sipNameNr_tabStop 42387
#define sipName_tabStop &sipStrings_QtGui[42387]
#define sipNameNr_Leading 42395
#define sipName_Leading &sipStrings_QtGui[42395]
#define sipNameNr_padding 42403
#define sipName_padding &sipStrings_QtGui[42403]
#define sipNameNr_setName 42411
#define sipName_setName &sipStrings_QtGui[42411]
#define sipNameNr_baseUrl 42419
#define sipName_baseUrl &sipStrings_QtGui[42419]
#define sipNameNr_atStart 42427
#define sipName_atStart &sipStrings_QtGui[42427]
#define sipNameNr_NextRow 42435
#define sipName_NextRow &sipStrings_QtGui[42435]
#define sipNameNr_prepare 42443
#define sipName_prepare &sipStrings_QtGui[42443]
#define sipNameNr_setIcon 42451
#define sipName_setIcon &sipStrings_QtGui[42451]
#define sipNameNr_toolTip 42459
#define sipName_toolTip &sipStrings_QtGui[42459]
#define sipNameNr_takeRow 42467
#define sipName_takeRow &sipStrings_QtGui[42467]
#define sipNameNr_setItem 42475
#define sipName_setItem &sipStrings_QtGui[42475]
#define sipNameNr_columns 42483
#define sipName_columns &sipStrings_QtGui[42483]
#define sipNameNr_QScreen 42491
#define sipName_QScreen &sipStrings_QtGui[42491]
#define sipNameNr_qIsGray 42499
#define sipName_qIsGray &sipStrings_QtGui[42499]
#define sipNameNr_Ellipse 33332
#define sipName_Ellipse &sipStrings_QtGui[33332]
#define sipNameNr_getAxes 42507
#define sipName_getAxes &sipStrings_QtGui[42507]
#define sipNameNr_exposed 42515
#define sipName_exposed &sipStrings_QtGui[42515]
#define sipNameNr_setMask 42523
#define sipName_setMask &sipStrings_QtGui[42523]
#define sipNameNr_hueSize 42531
#define sipName_hueSize &sipStrings_QtGui[42531]
#define sipNameNr_redSize 42539
#define sipName_redSize &sipStrings_QtGui[42539]
#define sipNameNr_subEnum 42547
#define sipName_subEnum &sipStrings_QtGui[42547]
#define sipNameNr_YUV420P 42555
#define sipName_YUV420P &sipStrings_QtGui[42555]
#define sipNameNr_Indexed 42563
#define sipName_Indexed &sipStrings_QtGui[42563]
#define sipNameNr_isSolid 42571
#define sipName_isSolid &sipStrings_QtGui[42571]
#define sipNameNr_creator 42579
#define sipName_creator &sipStrings_QtGui[42579]
#define sipNameNr_isEqual 42587
#define sipName_isEqual &sipStrings_QtGui[42587]
#define sipNameNr_addText 42595
#define sipName_addText &sipStrings_QtGui[42595]
#define sipNameNr_addRect 42603
#define sipName_addRect &sipStrings_QtGui[42603]
#define sipNameNr_cubicTo 42611
#define sipName_cubicTo &sipStrings_QtGui[42611]
#define sipNameNr_Element 9037
#define sipName_Element &sipStrings_QtGui[9037]
#define sipNameNr_Blitter 42619
#define sipName_Blitter &sipStrings_QtGui[42619]
#define sipNameNr_OpenGL2 42627
#define sipName_OpenGL2 &sipStrings_QtGui[42627]
#define sipNameNr_Picture 33308
#define sipName_Picture &sipStrings_QtGui[33308]
#define sipNameNr_Windows 22470
#define sipName_Windows &sipStrings_QtGui[22470]
#define sipNameNr_QWindow 42635
#define sipName_QWindow &sipStrings_QtGui[42635]
#define sipNameNr_widthMM 42643
#define sipName_widthMM &sipStrings_QtGui[42643]
#define sipNameNr_PdmDpiY 42651
#define sipName_PdmDpiY &sipStrings_QtGui[42651]
#define sipNameNr_PdmDpiX 42659
#define sipName_PdmDpiX &sipStrings_QtGui[42659]
#define sipNameNr_combine 42667
#define sipName_combine &sipStrings_QtGui[42667]
#define sipNameNr_opacity 42675
#define sipName_opacity &sipStrings_QtGui[42675]
#define sipNameNr_picture 42683
#define sipName_picture &sipStrings_QtGui[42683]
#define sipNameNr_drawPie 42691
#define sipName_drawPie &sipStrings_QtGui[42691]
#define sipNameNr_drawArc 42699
#define sipName_drawArc &sipStrings_QtGui[42699]
#define sipNameNr_restore 42707
#define sipName_restore &sipStrings_QtGui[42707]
#define sipNameNr_setMode 42715
#define sipName_setMode &sipStrings_QtGui[42715]
#define sipNameNr_Margins 4514
#define sipName_Margins &sipStrings_QtGui[4514]
#define sipNameNr_B5Extra 42723
#define sipName_B5Extra &sipStrings_QtGui[42723]
#define sipNameNr_A5Extra 42731
#define sipName_A5Extra &sipStrings_QtGui[42731]
#define sipNameNr_A4Small 42739
#define sipName_A4Small &sipStrings_QtGui[42739]
#define sipNameNr_A4Extra 42747
#define sipName_A4Extra &sipStrings_QtGui[42747]
#define sipNameNr_A3Extra 42755
#define sipName_A3Extra &sipStrings_QtGui[42755]
#define sipNameNr_Tabloid 42763
#define sipName_Tabloid &sipStrings_QtGui[42763]
#define sipNameNr_Comm10E 42771
#define sipName_Comm10E &sipStrings_QtGui[42771]
#define sipNameNr_newPage 42779
#define sipName_newPage &sipStrings_QtGui[42779]
#define sipNameNr_paintGL 42787
#define sipName_paintGL &sipStrings_QtGui[42787]
#define sipNameNr_Nearest 10792
#define sipName_Nearest &sipStrings_QtGui[10792]
#define sipNameNr_Swizzle 42795
#define sipName_Swizzle &sipStrings_QtGui[42795]
#define sipNameNr_Feature 1034
#define sipName_Feature &sipStrings_QtGui[1034]
#define sipNameNr_Float32 42803
#define sipName_Float32 &sipStrings_QtGui[42803]
#define sipNameNr_Float16 42811
#define sipName_Float16 &sipStrings_QtGui[42811]
#define sipNameNr_Stencil 11023
#define sipName_Stencil &sipStrings_QtGui[11023]
#define sipNameNr_RGB10A2 24580
#define sipName_RGB10A2 &sipStrings_QtGui[24580]
#define sipNameNr_RGBA32F 42819
#define sipName_RGBA32F &sipStrings_QtGui[42819]
#define sipNameNr_RGBA16F 42827
#define sipName_RGBA16F &sipStrings_QtGui[42827]
#define sipNameNr_RGBA32I 42835
#define sipName_RGBA32I &sipStrings_QtGui[42835]
#define sipNameNr_RGBA16I 42843
#define sipName_RGBA16I &sipStrings_QtGui[42843]
#define sipNameNr_RGBA32U 42851
#define sipName_RGBA32U &sipStrings_QtGui[42851]
#define sipNameNr_RGBA16U 42859
#define sipName_RGBA16U &sipStrings_QtGui[42859]
#define sipNameNr_shaders 42867
#define sipName_shaders &sipStrings_QtGui[42867]
#define sipNameNr_Compute 42875
#define sipName_Compute &sipStrings_QtGui[42875]
#define sipNameNr_samples 42883
#define sipName_samples &sipStrings_QtGui[42883]
#define sipNameNr_buffers 42891
#define sipName_buffers &sipStrings_QtGui[42891]
#define sipNameNr_toImage 42899
#define sipName_toImage &sipStrings_QtGui[42899]
#define sipNameNr_isBound 42907
#define sipName_isBound &sipStrings_QtGui[42907]
#define sipNameNr_sources 42915
#define sipName_sources &sipStrings_QtGui[42915]
#define sipNameNr_AnyType 42923
#define sipName_AnyType &sipStrings_QtGui[42923]
#define sipNameNr_Sources 3318
#define sipName_Sources &sipStrings_QtGui[3318]
#define sipNameNr_profile 42931
#define sipName_profile &sipStrings_QtGui[42931]
#define sipNameNr_LibGLES 42939
#define sipName_LibGLES &sipStrings_QtGui[42939]
#define sipNameNr_surface 42947
#define sipName_surface &sipStrings_QtGui[42947]
#define sipNameNr_destroy 42955
#define sipName_destroy &sipStrings_QtGui[42955]
#define sipNameNr_updated 42963
#define sipName_updated &sipStrings_QtGui[42963]
#define sipNameNr_resized 42971
#define sipName_resized &sipStrings_QtGui[42971]
#define sipNameNr_mapRect 42979
#define sipName_mapRect &sipStrings_QtGui[42979]
#define sipNameNr_frustum 42987
#define sipName_frustum &sipStrings_QtGui[42987]
#define sipNameNr_Replace 42995
#define sipName_Replace &sipStrings_QtGui[42995]
#define sipNameNr_ZoomOut 43003
#define sipName_ZoomOut &sipStrings_QtGui[43003]
#define sipNameNr_Refresh 43011
#define sipName_Refresh &sipStrings_QtGui[43011]
#define sipNameNr_subType 43019
#define sipName_subType &sipStrings_QtGui[43019]
#define sipNameNr_canRead 43027
#define sipName_canRead &sipStrings_QtGui[43027]
#define sipNameNr_SubType 37155
#define sipName_SubType &sipStrings_QtGui[37155]
#define sipNameNr_Quality 28447
#define sipName_Quality &sipStrings_QtGui[28447]
#define sipNameNr_quality 43035
#define sipName_quality &sipStrings_QtGui[43035]
#define sipNameNr_allGray 43043
#define sipName_allGray &sipStrings_QtGui[43043]
#define sipNameNr_devType 43051
#define sipName_devType &sipStrings_QtGui[43051]
#define sipNameNr_addFile 43059
#define sipName_addFile &sipStrings_QtGui[43059]
#define sipNameNr_setFont 43067
#define sipName_setFont &sipStrings_QtGui[43067]
#define sipNameNr_screens 43075
#define sipName_screens &sipStrings_QtGui[43075]
#define sipNameNr_setFlag 43083
#define sipName_setFlag &sipStrings_QtGui[43083]
#define sipNameNr_rawFont 43091
#define sipName_rawFont &sipStrings_QtGui[43091]
#define sipNameNr_xHeight 43099
#define sipName_xHeight &sipStrings_QtGui[43099]
#define sipNameNr_leading 43107
#define sipName_leading &sipStrings_QtGui[43107]
#define sipNameNr_descent 43115
#define sipName_descent &sipStrings_QtGui[43115]
#define sipNameNr_setBold 43123
#define sipName_setBold &sipStrings_QtGui[43123]
#define sipNameNr_cleanup 43131
#define sipName_cleanup &sipStrings_QtGui[43131]
#define sipNameNr_rawName 43139
#define sipName_rawName &sipStrings_QtGui[43139]
#define sipNameNr_rawMode 2461
#define sipName_rawMode &sipStrings_QtGui[2461]
#define sipNameNr_stretch 43147
#define sipName_stretch &sipStrings_QtGui[43147]
#define sipNameNr_kerning 43155
#define sipName_kerning &sipStrings_QtGui[43155]
#define sipNameNr_Stretch 23320
#define sipName_Stretch &sipStrings_QtGui[23320]
#define sipNameNr_Fantasy 43163
#define sipName_Fantasy &sipStrings_QtGui[43163]
#define sipNameNr_Cursive 43171
#define sipName_Cursive &sipStrings_QtGui[43171]
#define sipNameNr_Courier 43179
#define sipName_Courier &sipStrings_QtGui[43179]
#define sipNameNr_QAction 43187
#define sipName_QAction &sipStrings_QtGui[43187]
#define sipNameNr_lastPos 43195
#define sipName_lastPos &sipStrings_QtGui[43195]
#define sipNameNr_queries 43203
#define sipName_queries &sipStrings_QtGui[43203]
#define sipNameNr_oldSize 43211
#define sipName_oldSize &sipStrings_QtGui[43211]
#define sipNameNr_autorep 43219
#define sipName_autorep &sipStrings_QtGui[43219]
#define sipNameNr_oldPosF 43227
#define sipName_oldPosF &sipStrings_QtGui[43227]
#define sipNameNr_globalY 43235
#define sipName_globalY &sipStrings_QtGui[43235]
#define sipNameNr_globalX 43243
#define sipName_globalX &sipStrings_QtGui[43243]
#define sipNameNr_buttons 43251
#define sipName_buttons &sipStrings_QtGui[43251]
#define sipNameNr_openUrl 43259
#define sipName_openUrl &sipStrings_QtGui[43259]
#define sipNameNr_hotSpot 43267
#define sipName_hotSpot &sipStrings_QtGui[43267]
#define sipNameNr_changed 43275
#define sipName_changed &sipStrings_QtGui[43275]
#define sipNameNr_texture 43283
#define sipName_texture &sipStrings_QtGui[43283]
#define sipNameNr_HexArgb 43291
#define sipName_HexArgb &sipStrings_QtGui[43291]
#define sipNameNr_fromHsl 43299
#define sipName_fromHsl &sipStrings_QtGui[43299]
#define sipNameNr_setHslF 43307
#define sipName_setHslF &sipStrings_QtGui[43307]
#define sipNameNr_getHslF 43315
#define sipName_getHslF &sipStrings_QtGui[43315]
#define sipNameNr_hslHueF 43323
#define sipName_hslHueF &sipStrings_QtGui[43323]
#define sipNameNr_hsvHueF 43331
#define sipName_hsvHueF &sipStrings_QtGui[43331]
#define sipNameNr_lighter 13719
#define sipName_lighter &sipStrings_QtGui[13719]
#define sipNameNr_fromHsv 43339
#define sipName_fromHsv &sipStrings_QtGui[43339]
#define sipNameNr_fromRgb 43347
#define sipName_fromRgb &sipStrings_QtGui[43347]
#define sipNameNr_setCmyk 43355
#define sipName_setCmyk &sipStrings_QtGui[43355]
#define sipNameNr_getCmyk 43363
#define sipName_getCmyk &sipStrings_QtGui[43363]
#define sipNameNr_yellowF 43371
#define sipName_yellowF &sipStrings_QtGui[43371]
#define sipNameNr_setHsvF 43379
#define sipName_setHsvF &sipStrings_QtGui[43379]
#define sipNameNr_getHsvF 43387
#define sipName_getHsvF &sipStrings_QtGui[43387]
#define sipNameNr_setRgba 43395
#define sipName_setRgba &sipStrings_QtGui[43395]
#define sipNameNr_setRgbF 43403
#define sipName_setRgbF &sipStrings_QtGui[43403]
#define sipNameNr_getRgbF 43411
#define sipName_getRgbF &sipStrings_QtGui[43411]
#define sipNameNr_setRedF 43419
#define sipName_setRedF &sipStrings_QtGui[43419]
#define sipNameNr_setBlue 43427
#define sipName_setBlue &sipStrings_QtGui[43427]
#define sipNameNr_hitTest 43435
#define sipName_hitTest &sipStrings_QtGui[43435]
#define sipNameNr_painter 43443
#define sipName_painter &sipStrings_QtGui[43443]
#define sipNameNr_palette 43451
#define sipName_palette &sipStrings_QtGui[43451]
#define sipNameNr_Invalid 25150
#define sipName_Invalid &sipStrings_QtGui[25150]
#define sipNameNr_matches 43459
#define sipName_matches &sipStrings_QtGui[43459]
#define sipNameNr_release 43467
#define sipName_release &sipStrings_QtGui[43467]
#define sipNameNr_NoMatch 43475
#define sipName_NoMatch &sipStrings_QtGui[43475]
#define sipNameNr_setSize 43483
#define sipName_setSize &sipStrings_QtGui[43483]
#define sipNameNr_started 43491
#define sipName_started &sipStrings_QtGui[43491]
#define sipNameNr_toPoint 43499
#define sipName_toPoint &sipStrings_QtGui[43499]
#define sipNameNr_setHtml 43507
#define sipName_setHtml &sipStrings_QtGui[43507]
#define sipNameNr_setText 43515
#define sipName_setText &sipStrings_QtGui[43515]
#define sipNameNr_QCursor 43523
#define sipName_QCursor &sipStrings_QtGui[43523]
#define sipNameNr_QBitmap 38815
#define sipName_QBitmap &sipStrings_QtGui[38815]
#define sipNameNr_QRegion 43531
#define sipName_QRegion &sipStrings_QtGui[43531]
#define sipNameNr_QPixmap 43539
#define sipName_QPixmap &sipStrings_QtGui[43539]
#define sipNameNr___neg__ 43547
#define sipName___neg__ &sipStrings_QtGui[43547]
#define sipNameNr___div__ 43555
#define sipName___div__ &sipStrings_QtGui[43555]
#define sipNameNr___sub__ 43563
#define sipName___sub__ &sipStrings_QtGui[43563]
#define sipNameNr_margins 43571
#define sipName_margins &sipStrings_QtGui[43571]
#define sipNameNr_Myanmar 43579
#define sipName_Myanmar &sipStrings_QtGui[43579]
#define sipNameNr_Sinhala 43587
#define sipName_Sinhala &sipStrings_QtGui[43587]
#define sipNameNr_Tibetan 43595
#define sipName_Tibetan &sipStrings_QtGui[43595]
#define sipNameNr_Kannada 43603
#define sipName_Kannada &sipStrings_QtGui[43603]
#define sipNameNr_Bengali 43611
#define sipName_Bengali &sipStrings_QtGui[43611]
#define sipNameNr_resolve 43619
#define sipName_resolve &sipStrings_QtGui[43619]
#define sipNameNr_Current 33908
#define sipName_Current &sipStrings_QtGui[33908]
#define sipNameNr_addPath 43627
#define sipName_addPath &sipStrings_QtGui[43627]
#define sipNameNr_setType 43635
#define sipName_setType &sipStrings_QtGui[43635]
#define sipNameNr_filters 43643
#define sipName_filters &sipStrings_QtGui[43643]
#define sipNameNr_MaxUser 43651
#define sipName_MaxUser &sipStrings_QtGui[43651]
#define sipNameNr_enabled 43659
#define sipName_enabled &sipStrings_QtGui[43659]
#define sipNameNr_version 43667
#define sipName_version &sipStrings_QtGui[43667]
#define sipNameNr_context 43675
#define sipName_context &sipStrings_QtGui[43675]
#define sipNameNr___add__ 43683
#define sipName___add__ &sipStrings_QtGui[43683]
#define sipNameNr_options 43691
#define sipName_options &sipStrings_QtGui[43691]
#define sipNameNr___mul__ 43699
#define sipName___mul__ &sipStrings_QtGui[43699]
#define sipNameNr_replace 43707
#define sipName_replace &sipStrings_QtGui[43707]
#define sipNameNr_prepend 43715
#define sipName_prepend &sipStrings_QtGui[43715]
#define sipNameNr_indexOf 43723
#define sipName_indexOf &sipStrings_QtGui[43723]
#define sipNameNr_isEmpty 43731
#define sipName_isEmpty &sipStrings_QtGui[43731]
#define sipNameNr___len__ 43739
#define sipName___len__ &sipStrings_QtGui[43739]
#define sipNameNr_setData 43747
#define sipName_setData &sipStrings_QtGui[43747]
#define sipNameNr_sibling 43755
#define sipName_sibling &sipStrings_QtGui[43755]
#define sipNameNr_isValid 43763
#define sipName_isValid &sipStrings_QtGui[43763]
#define sipNameNr_message 43771
#define sipName_message &sipStrings_QtGui[43771]
#define sipNameNr_Running 18741
#define sipName_Running &sipStrings_QtGui[18741]
#define sipNameNr_Forward 43779
#define sipName_Forward &sipStrings_QtGui[43779]
#define sipNameNr_DotLine 25675
#define sipName_DotLine &sipStrings_QtGui[25675]
#define sipNameNr_magenta 43787
#define sipName_magenta &sipStrings_QtGui[43787]
#define sipNameNr___and__ 43795
#define sipName___and__ &sipStrings_QtGui[43795]
#define sipNameNr___xor__ 43803
#define sipName___xor__ &sipStrings_QtGui[43803]
#define sipNameNr___int__ 43811
#define sipName___int__ &sipStrings_QtGui[43811]
#define sipNameNr___ior__ 43819
#define sipName___ior__ &sipStrings_QtGui[43819]
#define sipNameNr_raise_ 43827
#define sipName_raise_ &sipStrings_QtGui[43827]
#define sipNameNr_normal 43834
#define sipName_normal &sipStrings_QtGui[43834]
#define sipNameNr_TxNone 43841
#define sipName_TxNone &sipStrings_QtGui[43841]
#define sipNameNr_rowEnd 43848
#define sipName_rowEnd &sipStrings_QtGui[43848]
#define sipNameNr_cellAt 43855
#define sipName_cellAt &sipStrings_QtGui[43855]
#define sipNameNr_NoWrap 43862
#define sipName_NoWrap &sipStrings_QtGui[43862]
#define sipNameNr_lineAt 43869
#define sipName_lineAt &sipStrings_QtGui[43869]
#define sipNameNr_border 43876
#define sipName_border &sipStrings_QtGui[43876]
#define sipNameNr_InFlow 43883
#define sipName_InFlow &sipStrings_QtGui[43883]
#define sipNameNr_indent 43890
#define sipName_indent &sipStrings_QtGui[43890]
#define sipNameNr_stacks 43897
#define sipName_stacks &sipStrings_QtGui[43897]
#define sipNameNr_Stacks 8664
#define sipName_Stacks &sipStrings_QtGui[8664]
#define sipNameNr_print_ 43904
#define sipName_print_ &sipStrings_QtGui[43904]
#define sipNameNr_toHtml 43911
#define sipName_toHtml &sipStrings_QtGui[43911]
#define sipNameNr_NoMove 43918
#define sipName_NoMove &sipStrings_QtGui[43918]
#define sipNameNr_anchor 43925
#define sipName_anchor &sipStrings_QtGui[43925]
#define sipNameNr_stereo 43932
#define sipName_stereo &sipStrings_QtGui[43932]
#define sipNameNr_qAlpha 43939
#define sipName_qAlpha &sipStrings_QtGui[43939]
#define sipNameNr_qGreen 43946
#define sipName_qGreen &sipStrings_QtGui[43946]
#define sipNameNr_scalar 43953
#define sipName_scalar &sipStrings_QtGui[43953]
#define sipNameNr_closed 43960
#define sipName_closed &sipStrings_QtGui[43960]
#define sipNameNr_layout 43967
#define sipName_layout &sipStrings_QtGui[43967]
#define sipNameNr_YUV411 43974
#define sipName_YUV411 &sipStrings_QtGui[43974]
#define sipNameNr_YUV422 43981
#define sipName_YUV422 &sipStrings_QtGui[43981]
#define sipNameNr_YUV444 43988
#define sipName_YUV444 &sipStrings_QtGui[43988]
#define sipNameNr_widthF 43995
#define sipName_widthF &sipStrings_QtGui[43995]
#define sipNameNr_shadow 44002
#define sipName_shadow &sipStrings_QtGui[44002]
#define sipNameNr_NoRole 44009
#define sipName_NoRole &sipStrings_QtGui[44009]
#define sipNameNr_Shadow 44016
#define sipName_Shadow &sipStrings_QtGui[44016]
#define sipNameNr_Button 44023
#define sipName_Button &sipStrings_QtGui[44023]
#define sipNameNr_quadTo 44030
#define sipName_quadTo &sipStrings_QtGui[44030]
#define sipNameNr_lineTo 44037
#define sipName_lineTo &sipStrings_QtGui[44037]
#define sipNameNr_OpenVG 44044
#define sipName_OpenVG &sipStrings_QtGui[44044]
#define sipNameNr_Raster 44051
#define sipName_Raster &sipStrings_QtGui[44051]
#define sipNameNr_OpenGL 8083
#define sipName_OpenGL &sipStrings_QtGui[8083]
#define sipNameNr_scaleY 44058
#define sipName_scaleY &sipStrings_QtGui[44058]
#define sipNameNr_scaleX 44065
#define sipName_scaleX &sipStrings_QtGui[44065]
#define sipNameNr_setPen 44072
#define sipName_setPen &sipStrings_QtGui[44072]
#define sipNameNr_Cicero 44079
#define sipName_Cicero &sipStrings_QtGui[44079]
#define sipNameNr_Prc32K 44086
#define sipName_Prc32K &sipStrings_QtGui[44086]
#define sipNameNr_Prc16K 44093
#define sipName_Prc16K &sipStrings_QtGui[44093]
#define sipNameNr_SuperB 44100
#define sipName_SuperB &sipStrings_QtGui[44100]
#define sipNameNr_SuperA 44107
#define sipName_SuperA &sipStrings_QtGui[44107]
#define sipNameNr_Quarto 44114
#define sipName_Quarto &sipStrings_QtGui[44114]
#define sipNameNr_JisB10 44121
#define sipName_JisB10 &sipStrings_QtGui[44121]
#define sipNameNr_A4Plus 44128
#define sipName_A4Plus &sipStrings_QtGui[44128]
#define sipNameNr_Ledger 44135
#define sipName_Ledger &sipStrings_QtGui[44135]
#define sipNameNr_Letter 44142
#define sipName_Letter &sipStrings_QtGui[44142]
#define sipNameNr_rebind 44149
#define sipName_rebind &sipStrings_QtGui[44149]
#define sipNameNr_Binder 1167
#define sipName_Binder &sipStrings_QtGui[1167]
#define sipNameNr_Repeat 16921
#define sipName_Repeat &sipStrings_QtGui[16921]
#define sipNameNr_UInt32 44156
#define sipName_UInt32 &sipStrings_QtGui[44156]
#define sipNameNr_UInt16 44163
#define sipName_UInt16 &sipStrings_QtGui[44163]
#define sipNameNr_layers 44170
#define sipName_layers &sipStrings_QtGui[44170]
#define sipNameNr_RGB5A1 27608
#define sipName_RGB5A1 &sipStrings_QtGui[27608]
#define sipNameNr_R5G6B5 27594
#define sipName_R5G6B5 &sipStrings_QtGui[27594]
#define sipNameNr_RGB9E5 44177
#define sipName_RGB9E5 &sipStrings_QtGui[44177]
#define sipNameNr_RGB32F 44184
#define sipName_RGB32F &sipStrings_QtGui[44184]
#define sipNameNr_RGB16F 44191
#define sipName_RGB16F &sipStrings_QtGui[44191]
#define sipNameNr_RGB32I 44198
#define sipName_RGB32I &sipStrings_QtGui[44198]
#define sipNameNr_RGB16I 44205
#define sipName_RGB16I &sipStrings_QtGui[44205]
#define sipNameNr_RGBA8I 44212
#define sipName_RGBA8I &sipStrings_QtGui[44212]
#define sipNameNr_RGB32U 44219
#define sipName_RGB32U &sipStrings_QtGui[44219]
#define sipNameNr_RGB16U 44226
#define sipName_RGB16U &sipStrings_QtGui[44226]
#define sipNameNr_RGBA8U 44233
#define sipName_RGBA8U &sipStrings_QtGui[44233]
#define sipNameNr_Target 2702
#define sipName_Target &sipStrings_QtGui[2702]
#define sipNameNr_stride 44240
#define sipName_stride &sipStrings_QtGui[44240]
#define sipNameNr_Vertex 44247
#define sipName_Vertex &sipStrings_QtGui[44247]
#define sipNameNr_mipmap 44254
#define sipName_mipmap &sipStrings_QtGui[44254]
#define sipNameNr_Source 3970
#define sipName_Source &sipStrings_QtGui[3970]
#define sipNameNr_shares 44261
#define sipName_shares &sipStrings_QtGui[44261]
#define sipNameNr_QMovie 44268
#define sipName_QMovie &sipStrings_QtGui[44268]
#define sipNameNr_setRow 44275
#define sipName_setRow &sipStrings_QtGui[44275]
#define sipNameNr_lookAt 44282
#define sipName_lookAt &sipStrings_QtGui[44282]
#define sipNameNr_rotate 44289
#define sipName_rotate &sipStrings_QtGui[44289]
#define sipNameNr_vector 44296
#define sipName_vector &sipStrings_QtGui[44296]
#define sipNameNr_SaveAs 44303
#define sipName_SaveAs &sipStrings_QtGui[44303]
#define sipNameNr_Italic 26152
#define sipName_Italic &sipStrings_QtGui[26152]
#define sipNameNr_AddTab 44310
#define sipName_AddTab &sipStrings_QtGui[44310]
#define sipNameNr_ZoomIn 44317
#define sipName_ZoomIn &sipStrings_QtGui[44317]
#define sipNameNr_Delete 44324
#define sipName_Delete &sipStrings_QtGui[44324]
#define sipNameNr_Action 11108
#define sipName_Action &sipStrings_QtGui[11108]
#define sipNameNr_metric 44331
#define sipName_metric &sipStrings_QtGui[44331]
#define sipNameNr_Active 24146
#define sipName_Active &sipStrings_QtGui[24146]
#define sipNameNr_screen 38676
#define sipName_screen &sipStrings_QtGui[38676]
#define sipNameNr_inFont 44338
#define sipName_inFont &sipStrings_QtGui[44338]
#define sipNameNr_ascent 44345
#define sipName_ascent &sipStrings_QtGui[44345]
#define sipNameNr_styles 44352
#define sipName_styles &sipStrings_QtGui[44352]
#define sipNameNr_Symbol 44359
#define sipName_Symbol &sipStrings_QtGui[44359]
#define sipNameNr_Thaana 44366
#define sipName_Thaana &sipStrings_QtGui[44366]
#define sipNameNr_italic 44373
#define sipName_italic &sipStrings_QtGui[44373]
#define sipNameNr_weight 44380
#define sipName_weight &sipStrings_QtGui[44380]
#define sipNameNr_family 44387
#define sipName_family &sipStrings_QtGui[44387]
#define sipNameNr_Medium 44394
#define sipName_Medium &sipStrings_QtGui[44394]
#define sipNameNr_Normal 32457
#define sipName_Normal &sipStrings_QtGui[32457]
#define sipNameNr_Weight 26166
#define sipName_Weight &sipStrings_QtGui[26166]
#define sipNameNr_Reason 5484
#define sipName_Reason &sipStrings_QtGui[5484]
#define sipNameNr_reason 44401
#define sipName_reason &sipStrings_QtGui[44401]
#define sipNameNr_Eraser 34545
#define sipName_Eraser &sipStrings_QtGui[34545]
#define sipNameNr_Stylus 25511
#define sipName_Stylus &sipStrings_QtGui[25511]
#define sipNameNr_oldPos 44408
#define sipName_oldPos &sipStrings_QtGui[44408]
#define sipNameNr_button 44415
#define sipName_button &sipStrings_QtGui[44415]
#define sipNameNr_source 13568
#define sipName_source &sipStrings_QtGui[13568]
#define sipNameNr_setPos 44422
#define sipName_setPos &sipStrings_QtGui[44422]
#define sipNameNr_bitmap 44429
#define sipName_bitmap &sipStrings_QtGui[44429]
#define sipNameNr_radius 44436
#define sipName_radius &sipStrings_QtGui[44436]
#define sipNameNr_spread 44443
#define sipName_spread &sipStrings_QtGui[44443]
#define sipNameNr_Spread 17749
#define sipName_Spread &sipStrings_QtGui[17749]
#define sipNameNr_pixmap 44450
#define sipName_pixmap &sipStrings_QtGui[44450]
#define sipNameNr_HexRgb 44457
#define sipName_HexRgb &sipStrings_QtGui[44457]
#define sipNameNr_setHsl 44464
#define sipName_setHsl &sipStrings_QtGui[44464]
#define sipNameNr_getHsl 44471
#define sipName_getHsl &sipStrings_QtGui[44471]
#define sipNameNr_hslHue 44478
#define sipName_hslHue &sipStrings_QtGui[44478]
#define sipNameNr_hsvHue 44485
#define sipName_hsvHue &sipStrings_QtGui[44485]
#define sipNameNr_darker 44492
#define sipName_darker &sipStrings_QtGui[44492]
#define sipNameNr_toCmyk 44499
#define sipName_toCmyk &sipStrings_QtGui[44499]
#define sipNameNr_blackF 44506
#define sipName_blackF &sipStrings_QtGui[44506]
#define sipNameNr_setHsv 44513
#define sipName_setHsv &sipStrings_QtGui[44513]
#define sipNameNr_getHsv 44520
#define sipName_getHsv &sipStrings_QtGui[44520]
#define sipNameNr_valueF 44527
#define sipName_valueF &sipStrings_QtGui[44527]
#define sipNameNr_setRgb 44534
#define sipName_setRgb &sipStrings_QtGui[44534]
#define sipNameNr_getRgb 44541
#define sipName_getRgb &sipStrings_QtGui[44541]
#define sipNameNr_greenF 44548
#define sipName_greenF &sipStrings_QtGui[44548]
#define sipNameNr_setRed 44555
#define sipName_setRed &sipStrings_QtGui[44555]
#define sipNameNr_alphaF 44562
#define sipName_alphaF &sipStrings_QtGui[44562]
#define sipNameNr_matrix 44569
#define sipName_matrix &sipStrings_QtGui[44569]
#define sipNameNr_scroll 44576
#define sipName_scroll &sipStrings_QtGui[44576]
#define sipNameNr_region 44583
#define sipName_region &sipStrings_QtGui[44583]
#define sipNameNr_window 44590
#define sipName_window &sipStrings_QtGui[44590]
#define sipNameNr_update 44597
#define sipName_update &sipStrings_QtGui[44597]
#define sipNameNr_cursor 44604
#define sipName_cursor &sipStrings_QtGui[44604]
#define sipNameNr_Cursor 9676
#define sipName_Cursor &sipStrings_QtGui[9676]
#define sipNameNr_cancel 44611
#define sipName_cancel &sipStrings_QtGui[44611]
#define sipNameNr_scaled 44618
#define sipName_scaled &sipStrings_QtGui[44618]
#define sipNameNr_create 44625
#define sipName_create &sipStrings_QtGui[44625]
#define sipNameNr_Format 2249
#define sipName_Format &sipStrings_QtGui[2249]
#define sipNameNr_commit 44632
#define sipName_commit &sipStrings_QtGui[44632]
#define sipNameNr_united 44639
#define sipName_united &sipStrings_QtGui[44639]
#define sipNameNr_moveTo 44646
#define sipName_moveTo &sipStrings_QtGui[44646]
#define sipNameNr_center 44653
#define sipName_center &sipStrings_QtGui[44653]
#define sipNameNr_proper 44660
#define sipName_proper &sipStrings_QtGui[44660]
#define sipNameNr_regExp 44667
#define sipName_regExp &sipStrings_QtGui[44667]
#define sipNameNr_QImage 44674
#define sipName_QImage &sipStrings_QtGui[44674]
#define sipNameNr_QColor 44681
#define sipName_QColor &sipStrings_QtGui[44681]
#define sipNameNr_QBrush 44688
#define sipName_QBrush &sipStrings_QtGui[44688]
#define sipNameNr_value9 44695
#define sipName_value9 &sipStrings_QtGui[44695]
#define sipNameNr_value8 44702
#define sipName_value8 &sipStrings_QtGui[44702]
#define sipNameNr_value7 44709
#define sipName_value7 &sipStrings_QtGui[44709]
#define sipNameNr_value6 44716
#define sipName_value6 &sipStrings_QtGui[44716]
#define sipNameNr_value5 44723
#define sipName_value5 &sipStrings_QtGui[44723]
#define sipNameNr_value4 44730
#define sipName_value4 &sipStrings_QtGui[44730]
#define sipNameNr_value3 44737
#define sipName_value3 &sipStrings_QtGui[44737]
#define sipNameNr_value2 44744
#define sipName_value2 &sipStrings_QtGui[44744]
#define sipNameNr_value1 44751
#define sipName_value1 &sipStrings_QtGui[44751]
#define sipNameNr_value0 44758
#define sipName_value0 &sipStrings_QtGui[44758]
#define sipNameNr_Access 9500
#define sipName_Access &sipStrings_QtGui[9500]
#define sipNameNr_margin 44765
#define sipName_margin &sipStrings_QtGui[44765]
#define sipNameNr_factor 44772
#define sipName_factor &sipStrings_QtGui[44772]
#define sipNameNr_setTop 44779
#define sipName_setTop &sipStrings_QtGui[44779]
#define sipNameNr_Syriac 44786
#define sipName_Syriac &sipStrings_QtGui[44786]
#define sipNameNr_Telugu 44793
#define sipName_Telugu &sipStrings_QtGui[44793]
#define sipNameNr_Korean 44800
#define sipName_Korean &sipStrings_QtGui[44800]
#define sipNameNr_Hebrew 44807
#define sipName_Hebrew &sipStrings_QtGui[44807]
#define sipNameNr_Arabic 44814
#define sipName_Arabic &sipStrings_QtGui[44814]
#define sipNameNr_symbol 44821
#define sipName_symbol &sipStrings_QtGui[44821]
#define sipNameNr_height 44828
#define sipName_height &sipStrings_QtGui[44828]
#define sipNameNr_bottom 44835
#define sipName_bottom &sipStrings_QtGui[44835]
#define sipNameNr_select 42145
#define sipName_select &sipStrings_QtGui[42145]
#define sipNameNr_suffix 44842
#define sipName_suffix &sipStrings_QtGui[44842]
#define sipNameNr_offset 44849
#define sipName_offset &sipStrings_QtGui[44849]
#define sipNameNr_handle 44856
#define sipName_handle &sipStrings_QtGui[44856]
#define sipNameNr_Custom 44863
#define sipName_Custom &sipStrings_QtGui[44863]
#define sipNameNr_Linear 12302
#define sipName_Linear &sipStrings_QtGui[12302]
#define sipNameNr_prefix 44870
#define sipName_prefix &sipStrings_QtGui[44870]
#define sipNameNr_filter 44877
#define sipName_filter &sipStrings_QtGui[44877]
#define sipNameNr_System 3464
#define sipName_System &sipStrings_QtGui[3464]
#define sipNameNr_Hidden 44884
#define sipName_Hidden &sipStrings_QtGui[44884]
#define sipNameNr_Filter 7945
#define sipName_Filter &sipStrings_QtGui[7945]
#define sipNameNr_status 44891
#define sipName_status &sipStrings_QtGui[44891]
#define sipNameNr_device 44898
#define sipName_device &sipStrings_QtGui[44898]
#define sipNameNr_ignore 44905
#define sipName_ignore &sipStrings_QtGui[44905]
#define sipNameNr_accept 44912
#define sipName_accept &sipStrings_QtGui[44912]
#define sipNameNr_notify 44919
#define sipName_notify &sipStrings_QtGui[44919]
#define sipNameNr_option 44926
#define sipName_option &sipStrings_QtGui[44926]
#define sipNameNr_locale 44933
#define sipName_locale &sipStrings_QtGui[44933]
#define sipNameNr_format 21975
#define sipName_format &sipStrings_QtGui[21975]
#define sipNameNr___ge__ 44940
#define sipName___ge__ &sipStrings_QtGui[44940]
#define sipNameNr___le__ 44947
#define sipName___le__ &sipStrings_QtGui[44947]
#define sipNameNr___gt__ 44954
#define sipName___gt__ &sipStrings_QtGui[44954]
#define sipNameNr_before 44961
#define sipName_before &sipStrings_QtGui[44961]
#define sipNameNr_remove 44968
#define sipName_remove &sipStrings_QtGui[44968]
#define sipNameNr_insert 44975
#define sipName_insert &sipStrings_QtGui[44975]
#define sipNameNr_append 44982
#define sipName_append &sipStrings_QtGui[44982]
#define sipNameNr_length 44989
#define sipName_length &sipStrings_QtGui[44989]
#define sipNameNr_detach 44996
#define sipName_detach &sipStrings_QtGui[44996]
#define sipNameNr_resize 45003
#define sipName_resize &sipStrings_QtGui[45003]
#define sipNameNr_isNull 45010
#define sipName_isNull &sipStrings_QtGui[45010]
#define sipNameNr_target 45017
#define sipName_target &sipStrings_QtGui[45017]
#define sipNameNr_revert 45024
#define sipName_revert &sipStrings_QtGui[45024]
#define sipNameNr_submit 45031
#define sipName_submit &sipStrings_QtGui[45031]
#define sipNameNr_action 7761
#define sipName_action &sipStrings_QtGui[7761]
#define sipNameNr___lt__ 45038
#define sipName___lt__ &sipStrings_QtGui[45038]
#define sipNameNr_column 45045
#define sipName_column &sipStrings_QtGui[45045]
#define sipNameNr_object 45052
#define sipName_object &sipStrings_QtGui[45052]
#define sipNameNr_parent 45059
#define sipName_parent &sipStrings_QtGui[45059]
#define sipNameNr_Paused 40506
#define sipName_Paused &sipStrings_QtGui[40506]
#define sipNameNr_Window 14233
#define sipName_Window &sipStrings_QtGui[14233]
#define sipNameNr_yellow 45066
#define sipName_yellow &sipStrings_QtGui[45066]
#define sipNameNr___ne__ 45073
#define sipName___ne__ &sipStrings_QtGui[45073]
#define sipNameNr___eq__ 45080
#define sipName___eq__ &sipStrings_QtGui[45080]
#define sipNameNr___or__ 45087
#define sipName___or__ &sipStrings_QtGui[45087]
#define sipNameNr_alert 45094
#define sipName_alert &sipStrings_QtGui[45094]
#define sipNameNr_lower 45100
#define sipName_lower &sipStrings_QtGui[45100]
#define sipNameNr_winId 45106
#define sipName_winId &sipStrings_QtGui[45106]
#define sipNameNr_fixup 45112
#define sipName_fixup &sipStrings_QtGui[45112]
#define sipNameNr_delim 45118
#define sipName_delim &sipStrings_QtGui[45118]
#define sipNameNr_Flags 699
#define sipName_Flags &sipStrings_QtGui[699]
#define sipNameNr_Right 28169
#define sipName_Right &sipStrings_QtGui[28169]
#define sipNameNr_Start 19933
#define sipName_Start &sipStrings_QtGui[19933]
#define sipNameNr_qGray 45124
#define sipName_qGray &sipStrings_QtGui[45124]
#define sipNameNr_qRgba 45130
#define sipName_qRgba &sipStrings_QtGui[45130]
#define sipNameNr_qBlue 45136
#define sipName_qBlue &sipStrings_QtGui[45136]
#define sipNameNr_xored 45142
#define sipName_xored &sipStrings_QtGui[45142]
#define sipNameNr_nlerp 45148
#define sipName_nlerp &sipStrings_QtGui[45148]
#define sipNameNr_slerp 45154
#define sipName_slerp &sipStrings_QtGui[45154]
#define sipNameNr_AtEnd 45160
#define sipName_AtEnd &sipStrings_QtGui[45160]
#define sipNameNr_title 45166
#define sipName_title &sipStrings_QtGui[45166]
#define sipNameNr_light 32806
#define sipName_light &sipStrings_QtGui[32806]
#define sipNameNr_arcTo 45172
#define sipName_arcTo &sipStrings_QtGui[45172]
#define sipNameNr_rects 45178
#define sipName_rects &sipStrings_QtGui[45178]
#define sipNameNr_shear 45184
#define sipName_shear &sipStrings_QtGui[45184]
#define sipNameNr_Didot 45190
#define sipName_Didot &sipStrings_QtGui[45190]
#define sipNameNr_units 45196
#define sipName_units &sipStrings_QtGui[45196]
#define sipNameNr_AnsiB 45202
#define sipName_AnsiB &sipStrings_QtGui[45202]
#define sipNameNr_AnsiA 45208
#define sipName_AnsiA &sipStrings_QtGui[45208]
#define sipNameNr_ArchE 45214
#define sipName_ArchE &sipStrings_QtGui[45214]
#define sipNameNr_ArchD 45220
#define sipName_ArchD &sipStrings_QtGui[45220]
#define sipNameNr_ArchC 45226
#define sipName_ArchC &sipStrings_QtGui[45226]
#define sipNameNr_ArchB 45232
#define sipName_ArchB &sipStrings_QtGui[45232]
#define sipNameNr_ArchA 45238
#define sipName_ArchA &sipStrings_QtGui[45238]
#define sipNameNr_AnsiE 45244
#define sipName_AnsiE &sipStrings_QtGui[45244]
#define sipNameNr_AnsiD 45250
#define sipName_AnsiD &sipStrings_QtGui[45250]
#define sipNameNr_AnsiC 45256
#define sipName_AnsiC &sipStrings_QtGui[45256]
#define sipNameNr_JisB9 45262
#define sipName_JisB9 &sipStrings_QtGui[45262]
#define sipNameNr_JisB8 45268
#define sipName_JisB8 &sipStrings_QtGui[45268]
#define sipNameNr_JisB7 45274
#define sipName_JisB7 &sipStrings_QtGui[45274]
#define sipNameNr_JisB6 45280
#define sipName_JisB6 &sipStrings_QtGui[45280]
#define sipNameNr_JisB5 45286
#define sipName_JisB5 &sipStrings_QtGui[45286]
#define sipNameNr_JisB4 45292
#define sipName_JisB4 &sipStrings_QtGui[45292]
#define sipNameNr_JisB3 45298
#define sipName_JisB3 &sipStrings_QtGui[45298]
#define sipNameNr_JisB2 45304
#define sipName_JisB2 &sipStrings_QtGui[45304]
#define sipNameNr_JisB1 45310
#define sipName_JisB1 &sipStrings_QtGui[45310]
#define sipNameNr_JisB0 45316
#define sipName_JisB0 &sipStrings_QtGui[45316]
#define sipNameNr_Folio 45322
#define sipName_Folio &sipStrings_QtGui[45322]
#define sipNameNr_Legal 14196
#define sipName_Legal &sipStrings_QtGui[14196]
#define sipNameNr_begin 45328
#define sipName_begin &sipStrings_QtGui[45328]
#define sipNameNr_Int32 44157
#define sipName_Int32 &sipStrings_QtGui[44157]
#define sipNameNr_Int16 44164
#define sipName_Int16 &sipStrings_QtGui[44164]
#define sipNameNr_UInt8 45334
#define sipName_UInt8 &sipStrings_QtGui[45334]
#define sipNameNr_Alpha 16526
#define sipName_Alpha &sipStrings_QtGui[16526]
#define sipNameNr_faces 45340
#define sipName_faces &sipStrings_QtGui[45340]
#define sipNameNr_SRGB8 45346
#define sipName_SRGB8 &sipStrings_QtGui[45346]
#define sipNameNr_D24S8 30614
#define sipName_D24S8 &sipStrings_QtGui[30614]
#define sipNameNr_RGBA4 30640
#define sipName_RGBA4 &sipStrings_QtGui[30640]
#define sipNameNr_RG3B2 33646
#define sipName_RG3B2 &sipStrings_QtGui[33646]
#define sipNameNr_RG32F 45352
#define sipName_RG32F &sipStrings_QtGui[45352]
#define sipNameNr_RG16F 45358
#define sipName_RG16F &sipStrings_QtGui[45358]
#define sipNameNr_RG32I 45364
#define sipName_RG32I &sipStrings_QtGui[45364]
#define sipNameNr_RG16I 45370
#define sipName_RG16I &sipStrings_QtGui[45370]
#define sipNameNr_RGB8I 45376
#define sipName_RGB8I &sipStrings_QtGui[45376]
#define sipNameNr_RG32U 45382
#define sipName_RG32U &sipStrings_QtGui[45382]
#define sipNameNr_RG16U 45388
#define sipName_RG16U &sipStrings_QtGui[45388]
#define sipNameNr_RGB8U 45394
#define sipName_RGB8U &sipStrings_QtGui[45394]
#define sipNameNr_Depth 29912
#define sipName_Depth &sipStrings_QtGui[29912]
#define sipNameNr_Types 767
#define sipName_Types &sipStrings_QtGui[767]
#define sipNameNr_LibGL 45400
#define sipName_LibGL &sipStrings_QtGui[45400]
#define sipNameNr_speed 45406
#define sipName_speed &sipStrings_QtGui[45406]
#define sipNameNr_ortho 45412
#define sipName_ortho &sipStrings_QtGui[45412]
#define sipNameNr_Print 45418
#define sipName_Print &sipStrings_QtGui[45418]
#define sipNameNr_Paste 45424
#define sipName_Paste &sipStrings_QtGui[45424]
#define sipNameNr_Click 45430
#define sipName_Click &sipStrings_QtGui[45430]
#define sipNameNr_gamma 45436
#define sipName_gamma &sipStrings_QtGui[45436]
#define sipNameNr_Gamma 13797
#define sipName_Gamma &sipStrings_QtGui[13797]
#define sipNameNr_pixel 45442
#define sipName_pixel &sipStrings_QtGui[45442]
#define sipNameNr_valid 25152
#define sipName_valid &sipStrings_QtGui[25152]
#define sipNameNr_depth 45448
#define sipName_depth &sipStrings_QtGui[45448]
#define sipNameNr_sizes 45454
#define sipName_sizes &sipStrings_QtGui[45454]
#define sipNameNr_clone 45460
#define sipName_clone &sipStrings_QtGui[45460]
#define sipNameNr_paint 45466
#define sipName_paint &sipStrings_QtGui[45466]
#define sipNameNr_Runic 45472
#define sipName_Runic &sipStrings_QtGui[45472]
#define sipNameNr_Ogham 45478
#define sipName_Ogham &sipStrings_QtGui[45478]
#define sipNameNr_Style 1463
#define sipName_Style &sipStrings_QtGui[1463]
#define sipNameNr_Black 45484
#define sipName_Black &sipStrings_QtGui[45484]
#define sipNameNr_Light 5017
#define sipName_Light &sipStrings_QtGui[5017]
#define sipNameNr_Serif 39937
#define sipName_Serif &sipStrings_QtGui[39937]
#define sipNameNr_Times 45490
#define sipName_Times &sipStrings_QtGui[45490]
#define sipNameNr_Other 45496
#define sipName_Other &sipStrings_QtGui[45496]
#define sipNameNr_Mouse 37795
#define sipName_Mouse &sipStrings_QtGui[37795]
#define sipNameNr_yTilt 45502
#define sipName_yTilt &sipStrings_QtGui[45502]
#define sipNameNr_xTilt 45508
#define sipName_xTilt &sipStrings_QtGui[45508]
#define sipNameNr_phase 45514
#define sipName_phase &sipStrings_QtGui[45514]
#define sipNameNr_QDrag 45520
#define sipName_QDrag &sipStrings_QtGui[45520]
#define sipNameNr_stops 45526
#define sipName_stops &sipStrings_QtGui[45526]
#define sipNameNr_brush 41696
#define sipName_brush &sipStrings_QtGui[41696]
#define sipNameNr_toHsl 45532
#define sipName_toHsl &sipStrings_QtGui[45532]
#define sipNameNr_toHsv 45538
#define sipName_toHsv &sipStrings_QtGui[45538]
#define sipNameNr_toRgb 45544
#define sipName_toRgb &sipStrings_QtGui[45544]
#define sipNameNr_cyanF 45550
#define sipName_cyanF &sipStrings_QtGui[45550]
#define sipNameNr_blueF 45556
#define sipName_blueF &sipStrings_QtGui[45556]
#define sipNameNr_alpha 45562
#define sipName_alpha &sipStrings_QtGui[45562]
#define sipNameNr_block 45568
#define sipName_block &sipStrings_QtGui[45568]
#define sipNameNr_Point 7324
#define sipName_Point &sipStrings_QtGui[7324]
#define sipNameNr_shape 45574
#define sipName_shape &sipStrings_QtGui[45574]
#define sipNameNr_scale 9017
#define sipName_scale &sipStrings_QtGui[9017]
#define sipNameNr_codec 45580
#define sipName_codec &sipStrings_QtGui[45580]
#define sipNameNr_types 45586
#define sipName_types &sipStrings_QtGui[45586]
#define sipNameNr_color 45592
#define sipName_color &sipStrings_QtGui[45592]
#define sipNameNr_image 45598
#define sipName_image &sipStrings_QtGui[45598]
#define sipNameNr_QIcon 45604
#define sipName_QIcon &sipStrings_QtGui[45604]
#define sipNameNr_QFont 45610
#define sipName_QFont &sipStrings_QtGui[45610]
#define sipNameNr_style 45616
#define sipName_style &sipStrings_QtGui[45616]
#define sipNameNr_Khmer 45622
#define sipName_Khmer &sipStrings_QtGui[45622]
#define sipNameNr_Tamil 45628
#define sipName_Tamil &sipStrings_QtGui[45628]
#define sipNameNr_Oriya 45634
#define sipName_Oriya &sipStrings_QtGui[45634]
#define sipNameNr_Latin 45640
#define sipName_Latin &sipStrings_QtGui[45640]
#define sipNameNr_Greek 45646
#define sipName_Greek &sipStrings_QtGui[45646]
#define sipNameNr_angle 7992
#define sipName_angle &sipStrings_QtGui[7992]
#define sipNameNr_point 45652
#define sipName_point &sipStrings_QtGui[45652]
#define sipNameNr_hints 45658
#define sipName_hints &sipStrings_QtGui[45658]
#define sipNameNr_merge 45664
#define sipName_merge &sipStrings_QtGui[45664]
#define sipNameNr_write 45670
#define sipName_write &sipStrings_QtGui[45670]
#define sipNameNr_unmap 45676
#define sipName_unmap &sipStrings_QtGui[45676]
#define sipNameNr_error 45682
#define sipName_error &sipStrings_QtGui[45682]
#define sipNameNr_reset 45688
#define sipName_reset &sipStrings_QtGui[45688]
#define sipNameNr_Close 45694
#define sipName_Close &sipStrings_QtGui[45694]
#define sipNameNr_exec_ 45700
#define sipName_exec_ &sipStrings_QtGui[45700]
#define sipNameNr_width 45706
#define sipName_width &sipStrings_QtGui[45706]
#define sipNameNr_right 45712
#define sipName_right &sipStrings_QtGui[45712]
#define sipNameNr_atEnd 45718
#define sipName_atEnd &sipStrings_QtGui[45718]
#define sipNameNr_close 45724
#define sipName_close &sipStrings_QtGui[45724]
#define sipNameNr_clear 45730
#define sipName_clear &sipStrings_QtGui[45730]
#define sipNameNr_first 45736
#define sipName_first &sipStrings_QtGui[45736]
#define sipNameNr_match 45742
#define sipName_match &sipStrings_QtGui[45742]
#define sipNameNr_buddy 45748
#define sipName_buddy &sipStrings_QtGui[45748]
#define sipNameNr_order 27525
#define sipName_order &sipStrings_QtGui[27525]
#define sipNameNr_count 45754
#define sipName_count &sipStrings_QtGui[45754]
#define sipNameNr_value 45760
#define sipName_value &sipStrings_QtGui[45760]
#define sipNameNr_index 45766
#define sipName_index &sipStrings_QtGui[45766]
#define sipNameNr_model 45772
#define sipName_model &sipStrings_QtGui[45772]
#define sipNameNr_child 45778
#define sipName_child &sipStrings_QtGui[45778]
#define sipNameNr_flush 45784
#define sipName_flush &sipStrings_QtGui[45784]
#define sipNameNr_flags 45790
#define sipName_flags &sipStrings_QtGui[45790]
#define sipNameNr_event 45796
#define sipName_event &sipStrings_QtGui[45796]
#define sipNameNr_msecs 45802
#define sipName_msecs &sipStrings_QtGui[45802]
#define sipNameNr_start 45808
#define sipName_start &sipStrings_QtGui[45808]
#define sipNameNr_state 32878
#define sipName_state &sipStrings_QtGui[32878]
#define sipNameNr_State 5459
#define sipName_State &sipStrings_QtGui[5459]
#define sipNameNr_green 45814
#define sipName_green &sipStrings_QtGui[45814]
#define sipNameNr_black 45820
#define sipName_black &sipStrings_QtGui[45820]
#define sipNameNr_setW 45826
#define sipName_setW &sipStrings_QtGui[45826]
#define sipNameNr_Area 23143
#define sipName_Area &sipStrings_QtGui[23143]
#define sipNameNr_Flag 938
#define sipName_Flag &sipStrings_QtGui[938]
#define sipNameNr_edge 45831
#define sipName_edge &sipStrings_QtGui[45831]
#define sipNameNr_tabs 45836
#define sipName_tabs &sipStrings_QtGui[45836]
#define sipNameNr_redo 45841
#define sipName_redo &sipStrings_QtGui[45841]
#define sipNameNr_undo 45846
#define sipName_undo &sipStrings_QtGui[45846]
#define sipNameNr_Down 45851
#define sipName_Down &sipStrings_QtGui[45851]
#define sipNameNr_Left 25228
#define sipName_Left &sipStrings_QtGui[25228]
#define sipNameNr_rows 45856
#define sipName_rows &sipStrings_QtGui[45856]
#define sipNameNr_qRgb 45861
#define sipName_qRgb &sipStrings_QtGui[45861]
#define sipNameNr_qRed 45866
#define sipName_qRed &sipStrings_QtGui[45866]
#define sipNameNr_setZ 45871
#define sipName_setZ &sipStrings_QtGui[45871]
#define sipNameNr_axis 45876
#define sipName_axis &sipStrings_QtGui[45876]
#define sipNameNr_find 45881
#define sipName_find &sipStrings_QtGui[45881]
#define sipNameNr_IMC4 45886
#define sipName_IMC4 &sipStrings_QtGui[45886]
#define sipNameNr_IMC3 45891
#define sipName_IMC3 &sipStrings_QtGui[45891]
#define sipNameNr_IMC2 45896
#define sipName_IMC2 &sipStrings_QtGui[45896]
#define sipNameNr_IMC1 45901
#define sipName_IMC1 &sipStrings_QtGui[45901]
#define sipNameNr_NV21 45906
#define sipName_NV21 &sipStrings_QtGui[45906]
#define sipNameNr_NV12 45911
#define sipName_NV12 &sipStrings_QtGui[45911]
#define sipNameNr_YUYV 45916
#define sipName_YUYV &sipStrings_QtGui[45916]
#define sipNameNr_UYVY 45921
#define sipName_UYVY &sipStrings_QtGui[45921]
#define sipNameNr_YV12 45926
#define sipName_YV12 &sipStrings_QtGui[45926]
#define sipNameNr_CMYK 45931
#define sipName_CMYK &sipStrings_QtGui[45931]
#define sipNameNr_play 45936
#define sipName_play &sipStrings_QtGui[45936]
#define sipNameNr_join 45941
#define sipName_join &sipStrings_QtGui[45941]
#define sipNameNr_Link 45946
#define sipName_Link &sipStrings_QtGui[45946]
#define sipNameNr_Base 27036
#define sipName_Base &sipStrings_QtGui[27036]
#define sipNameNr_Dark 45951
#define sipName_Dark &sipStrings_QtGui[45951]
#define sipNameNr_dark 45956
#define sipName_dark &sipStrings_QtGui[45956]
#define sipNameNr_Pica 45961
#define sipName_Pica &sipStrings_QtGui[45961]
#define sipNameNr_Inch 11984
#define sipName_Inch &sipStrings_QtGui[11984]
#define sipNameNr_Unit 10879
#define sipName_Unit &sipStrings_QtGui[10879]
#define sipNameNr_Note 45966
#define sipName_Note &sipStrings_QtGui[45966]
#define sipNameNr_Int8 45335
#define sipName_Int8 &sipStrings_QtGui[45335]
#define sipNameNr_BGRA 45971
#define sipName_BGRA &sipStrings_QtGui[45971]
#define sipNameNr_RGBA 45976
#define sipName_RGBA &sipStrings_QtGui[45976]
#define sipNameNr_D32F 45981
#define sipName_D32F &sipStrings_QtGui[45981]
#define sipNameNr_R32F 45986
#define sipName_R32F &sipStrings_QtGui[45986]
#define sipNameNr_R16F 45991
#define sipName_R16F &sipStrings_QtGui[45991]
#define sipNameNr_R32I 45996
#define sipName_R32I &sipStrings_QtGui[45996]
#define sipNameNr_R16I 46001
#define sipName_R16I &sipStrings_QtGui[46001]
#define sipNameNr_RG8I 46006
#define sipName_RG8I &sipStrings_QtGui[46006]
#define sipNameNr_R32U 46011
#define sipName_R32U &sipStrings_QtGui[46011]
#define sipNameNr_R16U 46016
#define sipName_R16U &sipStrings_QtGui[46016]
#define sipNameNr_RG8U 46021
#define sipName_RG8U &sipStrings_QtGui[46021]
#define sipNameNr_bind 44151
#define sipName_bind &sipStrings_QtGui[44151]
#define sipNameNr_key4 46026
#define sipName_key4 &sipStrings_QtGui[46026]
#define sipNameNr_key3 46031
#define sipName_key3 &sipStrings_QtGui[46031]
#define sipNameNr_key2 46036
#define sipName_key2 &sipStrings_QtGui[46036]
#define sipNameNr_Quit 46041
#define sipName_Quit &sipStrings_QtGui[46041]
#define sipNameNr_Find 46046
#define sipName_Find &sipStrings_QtGui[46046]
#define sipNameNr_Back 46051
#define sipName_Back &sipStrings_QtGui[46051]
#define sipNameNr_Redo 46056
#define sipName_Redo &sipStrings_QtGui[46056]
#define sipNameNr_Undo 46061
#define sipName_Undo &sipStrings_QtGui[46061]
#define sipNameNr_Copy 33935
#define sipName_Copy &sipStrings_QtGui[33935]
#define sipNameNr_Save 46066
#define sipName_Save &sipStrings_QtGui[46066]
#define sipNameNr_hide 46071
#define sipName_hide &sipStrings_QtGui[46071]
#define sipNameNr_show 46076
#define sipName_show &sipStrings_QtGui[46076]
#define sipNameNr_icon 46081
#define sipName_icon &sipStrings_QtGui[46081]
#define sipNameNr_font 46086
#define sipName_font &sipStrings_QtGui[46086]
#define sipNameNr_bold 46091
#define sipName_bold &sipStrings_QtGui[46091]
#define sipNameNr_Bold 39918
#define sipName_Bold &sipStrings_QtGui[39918]
#define sipNameNr_Thin 46096
#define sipName_Thin &sipStrings_QtGui[46096]
#define sipNameNr_href 46101
#define sipName_href &sipStrings_QtGui[46101]
#define sipNameNr_Ruby 46106
#define sipName_Ruby &sipStrings_QtGui[46106]
#define sipNameNr_Puck 46111
#define sipName_Puck &sipStrings_QtGui[46111]
#define sipNameNr_posF 46116
#define sipName_posF &sipStrings_QtGui[46116]
#define sipNameNr_exec 46121
#define sipName_exec &sipStrings_QtGui[46121]
#define sipNameNr_hotY 46126
#define sipName_hotY &sipStrings_QtGui[46126]
#define sipNameNr_hotX 46131
#define sipName_hotX &sipStrings_QtGui[46131]
#define sipNameNr_Mode 1202
#define sipName_Mode &sipStrings_QtGui[1202]
#define sipNameNr_hueF 46136
#define sipName_hueF &sipStrings_QtGui[46136]
#define sipNameNr_rgba 46141
#define sipName_rgba &sipStrings_QtGui[46141]
#define sipNameNr_redF 46146
#define sipName_redF &sipStrings_QtGui[46146]
#define sipNameNr_Cmyk 18880
#define sipName_Cmyk &sipStrings_QtGui[18880]
#define sipNameNr_Spec 31772
#define sipName_Spec &sipStrings_QtGui[31772]
#define sipNameNr_bits 46151
#define sipName_bits &sipStrings_QtGui[46151]
#define sipNameNr_item 46156
#define sipName_item &sipStrings_QtGui[46156]
#define sipNameNr_rect 46161
#define sipName_rect &sipStrings_QtGui[46161]
#define sipNameNr_draw 46166
#define sipName_draw &sipStrings_QtGui[46166]
#define sipNameNr_clip 46171
#define sipName_clip &sipStrings_QtGui[46171]
#define sipNameNr_save 46176
#define sipName_save &sipStrings_QtGui[46176]
#define sipNameNr_Open 46181
#define sipName_Open &sipStrings_QtGui[46181]
#define sipNameNr_sync 46186
#define sipName_sync &sipStrings_QtGui[46186]
#define sipNameNr_setY 46191
#define sipName_setY &sipStrings_QtGui[46191]
#define sipNameNr_setX 46196
#define sipName_setX &sipStrings_QtGui[46196]
#define sipNameNr_text 189
#define sipName_text &sipStrings_QtGui[189]
#define sipNameNr_QPen 46201
#define sipName_QPen &sipStrings_QtGui[46201]
#define sipNameNr_Thai 46206
#define sipName_Thai &sipStrings_QtGui[46206]
#define sipNameNr_load 46211
#define sipName_load &sipStrings_QtGui[46211]
#define sipNameNr_read 17751
#define sipName_read &sipStrings_QtGui[17751]
#define sipNameNr_mode 46216
#define sipName_mode &sipStrings_QtGui[46216]
#define sipNameNr_Text 10228
#define sipName_Text &sipStrings_QtGui[10228]
#define sipNameNr_file 343
#define sipName_file &sipStrings_QtGui[343]
#define sipNameNr_copy 46221
#define sipName_copy &sipStrings_QtGui[46221]
#define sipNameNr_link 46226
#define sipName_link &sipStrings_QtGui[46226]
#define sipNameNr_next 46231
#define sipName_next &sipStrings_QtGui[46231]
#define sipNameNr_Size 3804
#define sipName_Size &sipStrings_QtGui[3804]
#define sipNameNr_Name 5330
#define sipName_Name &sipStrings_QtGui[5330]
#define sipNameNr_spec 46236
#define sipName_spec &sipStrings_QtGui[46236]
#define sipNameNr_User 43654
#define sipName_User &sipStrings_QtGui[43654]
#define sipNameNr_Type 229
#define sipName_Type &sipStrings_QtGui[229]
#define sipNameNr_name 46241
#define sipName_name &sipStrings_QtGui[46241]
#define sipNameNr_base 28282
#define sipName_base &sipStrings_QtGui[28282]
#define sipNameNr_left 46246
#define sipName_left &sipStrings_QtGui[46246]
#define sipNameNr_fill 46251
#define sipName_fill &sipStrings_QtGui[46251]
#define sipNameNr_size 45005
#define sipName_size &sipStrings_QtGui[45005]
#define sipNameNr_type 18727
#define sipName_type &sipStrings_QtGui[18727]
#define sipNameNr_from 46256
#define sipName_from &sipStrings_QtGui[46256]
#define sipNameNr_last 46261
#define sipName_last &sipStrings_QtGui[46261]
#define sipNameNr_span 46266
#define sipName_span &sipStrings_QtGui[46266]
#define sipNameNr_sort 46271
#define sipName_sort &sipStrings_QtGui[46271]
#define sipNameNr_swap 46276
#define sipName_swap &sipStrings_QtGui[46276]
#define sipNameNr_data 46281
#define sipName_data &sipStrings_QtGui[46281]
#define sipNameNr_role 46286
#define sipName_role &sipStrings_QtGui[46286]
#define sipNameNr_stop 46291
#define sipName_stop &sipStrings_QtGui[46291]
#define sipNameNr_Edge 20425
#define sipName_Edge &sipStrings_QtGui[20425]
#define sipNameNr_cyan 46296
#define sipName_cyan &sipStrings_QtGui[46296]
#define sipNameNr_blue 46301
#define sipName_blue &sipStrings_QtGui[46301]
#define sipNameNr_mask 46306
#define sipName_mask &sipStrings_QtGui[46306]
#define sipNameNr_Tab 18099
#define sipName_Tab &sipStrings_QtGui[18099]
#define sipNameNr_End 29576
#define sipName_End &sipStrings_QtGui[29576]
#define sipNameNr_Y16 46311
#define sipName_Y16 &sipStrings_QtGui[46311]
#define sipNameNr_YUV 46315
#define sipName_YUV &sipStrings_QtGui[46315]
#define sipNameNr_HSV 46319
#define sipName_HSV &sipStrings_QtGui[46319]
#define sipNameNr_HSL 46323
#define sipName_HSL &sipStrings_QtGui[46323]
#define sipNameNr_Mid 46327
#define sipName_Mid &sipStrings_QtGui[46327]
#define sipNameNr_All 15718
#define sipName_All &sipStrings_QtGui[15718]
#define sipNameNr_Pdf 46331
#define sipName_Pdf &sipStrings_QtGui[46331]
#define sipNameNr_SVG 46335
#define sipName_SVG &sipStrings_QtGui[46335]
#define sipNameNr_X11 46339
#define sipName_X11 &sipStrings_QtGui[46339]
#define sipNameNr_pen 46182
#define sipName_pen &sipStrings_QtGui[46182]
#define sipNameNr_A10 46343
#define sipName_A10 &sipStrings_QtGui[46343]
#define sipNameNr_DLE 46347
#define sipName_DLE &sipStrings_QtGui[46347]
#define sipNameNr_C5E 46351
#define sipName_C5E &sipStrings_QtGui[46351]
#define sipNameNr_B10 44124
#define sipName_B10 &sipStrings_QtGui[44124]
#define sipNameNr_BGR 46355
#define sipName_BGR &sipStrings_QtGui[46355]
#define sipNameNr_RGB 46359
#define sipName_RGB &sipStrings_QtGui[46359]
#define sipNameNr_Red 36719
#define sipName_Red &sipStrings_QtGui[36719]
#define sipNameNr_D32 46363
#define sipName_D32 &sipStrings_QtGui[46363]
#define sipNameNr_D24 46367
#define sipName_D24 &sipStrings_QtGui[46367]
#define sipNameNr_D16 46371
#define sipName_D16 &sipStrings_QtGui[46371]
#define sipNameNr_R8I 46375
#define sipName_R8I &sipStrings_QtGui[46375]
#define sipNameNr_R8U 46379
#define sipName_R8U &sipStrings_QtGui[46379]
#define sipNameNr_log 46383
#define sipName_log &sipStrings_QtGui[46383]
#define sipNameNr_m33 46387
#define sipName_m33 &sipStrings_QtGui[46387]
#define sipNameNr_m32 46391
#define sipName_m32 &sipStrings_QtGui[46391]
#define sipNameNr_m31 46395
#define sipName_m31 &sipStrings_QtGui[46395]
#define sipNameNr_m23 46399
#define sipName_m23 &sipStrings_QtGui[46399]
#define sipNameNr_m22 46403
#define sipName_m22 &sipStrings_QtGui[46403]
#define sipNameNr_m21 46407
#define sipName_m21 &sipStrings_QtGui[46407]
#define sipNameNr_m13 46411
#define sipName_m13 &sipStrings_QtGui[46411]
#define sipNameNr_m12 46415
#define sipName_m12 &sipStrings_QtGui[46415]
#define sipNameNr_m11 46419
#define sipName_m11 &sipStrings_QtGui[46419]
#define sipNameNr_Cut 46423
#define sipName_Cut &sipStrings_QtGui[46423]
#define sipNameNr_New 46427
#define sipName_New &sipStrings_QtGui[46427]
#define sipNameNr_Off 46431
#define sipName_Off &sipStrings_QtGui[46431]
#define sipNameNr_Any 46435
#define sipName_Any &sipStrings_QtGui[46435]
#define sipNameNr_tip 46439
#define sipName_tip &sipStrings_QtGui[46439]
#define sipNameNr_hue 46443
#define sipName_hue &sipStrings_QtGui[46443]
#define sipNameNr_rgb 43295
#define sipName_rgb &sipStrings_QtGui[43295]
#define sipNameNr_Hsl 21290
#define sipName_Hsl &sipStrings_QtGui[21290]
#define sipNameNr_Hsv 21274
#define sipName_Hsv &sipStrings_QtGui[21274]
#define sipNameNr_Rgb 39679
#define sipName_Rgb &sipStrings_QtGui[39679]
#define sipNameNr_Pen 9173
#define sipName_Pen &sipStrings_QtGui[9173]
#define sipNameNr_cap 46447
#define sipName_cap &sipStrings_QtGui[46447]
#define sipNameNr_add 46451
#define sipName_add &sipStrings_QtGui[46451]
#define sipNameNr_url 46455
#define sipName_url &sipStrings_QtGui[46455]
#define sipNameNr_Nko 46459
#define sipName_Nko &sipStrings_QtGui[46459]
#define sipNameNr_Lao 46463
#define sipName_Lao &sipStrings_QtGui[46463]
#define sipNameNr_top 1625
#define sipName_top &sipStrings_QtGui[1625]
#define sipNameNr_map 21530
#define sipName_map &sipStrings_QtGui[21530]
#define sipNameNr_key 46467
#define sipName_key &sipStrings_QtGui[46467]
#define sipNameNr_mid 46471
#define sipName_mid &sipStrings_QtGui[46471]
#define sipNameNr_pos 46475
#define sipName_pos &sipStrings_QtGui[46475]
#define sipNameNr_end 14217
#define sipName_end &sipStrings_QtGui[14217]
#define sipNameNr_row 46479
#define sipName_row &sipStrings_QtGui[46479]
#define sipNameNr_Key 5305
#define sipName_Key &sipStrings_QtGui[5305]
#define sipNameNr_red 17392
#define sipName_red &sipStrings_QtGui[17392]
#define sipNameNr_Up 46483
#define sipName_Up &sipStrings_QtGui[46483]
#define sipNameNr_Y8 46486
#define sipName_Y8 &sipStrings_QtGui[46486]
#define sipNameNr_sw 46489
#define sipName_sw &sipStrings_QtGui[46489]
#define sipNameNr_sh 7489
#define sipName_sh &sipStrings_QtGui[7489]
#define sipNameNr_sy 43168
#define sipName_sy &sipStrings_QtGui[43168]
#define sipNameNr_sx 46492
#define sipName_sx &sipStrings_QtGui[46492]
#define sipNameNr_B9 45265
#define sipName_B9 &sipStrings_QtGui[45265]
#define sipNameNr_B8 45271
#define sipName_B8 &sipStrings_QtGui[45271]
#define sipNameNr_B7 45277
#define sipName_B7 &sipStrings_QtGui[45277]
#define sipNameNr_B6 36599
#define sipName_B6 &sipStrings_QtGui[36599]
#define sipNameNr_B4 36621
#define sipName_B4 &sipStrings_QtGui[36621]
#define sipNameNr_B3 45301
#define sipName_B3 &sipStrings_QtGui[45301]
#define sipNameNr_B2 33649
#define sipName_B2 &sipStrings_QtGui[33649]
#define sipNameNr_B1 45313
#define sipName_B1 &sipStrings_QtGui[45313]
#define sipNameNr_B0 45319
#define sipName_B0 &sipStrings_QtGui[45319]
#define sipNameNr_A9 46495
#define sipName_A9 &sipStrings_QtGui[46495]
#define sipNameNr_A8 30630
#define sipName_A8 &sipStrings_QtGui[30630]
#define sipNameNr_A7 46498
#define sipName_A7 &sipStrings_QtGui[46498]
#define sipNameNr_A6 46501
#define sipName_A6 &sipStrings_QtGui[46501]
#define sipNameNr_A5 46504
#define sipName_A5 &sipStrings_QtGui[46504]
#define sipNameNr_A3 46507
#define sipName_A3 &sipStrings_QtGui[46507]
#define sipNameNr_A2 24585
#define sipName_A2 &sipStrings_QtGui[24585]
#define sipNameNr_A1 27612
#define sipName_A1 &sipStrings_QtGui[27612]
#define sipNameNr_A0 46510
#define sipName_A0 &sipStrings_QtGui[46510]
#define sipNameNr_B5 27598
#define sipName_B5 &sipStrings_QtGui[27598]
#define sipNameNr_A4 30643
#define sipName_A4 &sipStrings_QtGui[30643]
#define sipNameNr_RG 46513
#define sipName_RG &sipStrings_QtGui[46513]
#define sipNameNr_S8 30617
#define sipName_S8 &sipStrings_QtGui[30617]
#define sipNameNr_On 46516
#define sipName_On &sipStrings_QtGui[46516]
#define sipNameNr_dy 45751
#define sipName_dy &sipStrings_QtGui[45751]
#define sipNameNr_dx 46519
#define sipName_dx &sipStrings_QtGui[46519]
#define sipNameNr_on 270
#define sipName_on &sipStrings_QtGui[270]
#define sipNameNr_at 2253
#define sipName_at &sipStrings_QtGui[2253]
#define sipNameNr_id 15683
#define sipName_id &sipStrings_QtGui[15683]
#define sipNameNr_Qt 46522
#define sipName_Qt &sipStrings_QtGui[46522]
#define sipNameNr_z 46525
#define sipName_z &sipStrings_QtGui[46525]
#define sipNameNr_w 14238
#define sipName_w &sipStrings_QtGui[14238]
#define sipNameNr_x 9916
#define sipName_x &sipStrings_QtGui[9916]
#define sipNameNr_y 1691
#define sipName_y &sipStrings_QtGui[1691]
#define sipNameNr_n 271
#define sipName_n &sipStrings_QtGui[271]

#define sipMalloc                   sipAPI_QtGui->api_malloc
#define sipFree                     sipAPI_QtGui->api_free
#define sipBuildResult              sipAPI_QtGui->api_build_result
#define sipCallMethod               sipAPI_QtGui->api_call_method
#define sipCallErrorHandler         sipAPI_QtGui->api_call_error_handler
#define sipParseResultEx            sipAPI_QtGui->api_parse_result_ex
#define sipParseResult              sipAPI_QtGui->api_parse_result
#define sipParseArgs                sipAPI_QtGui->api_parse_args
#define sipParseKwdArgs             sipAPI_QtGui->api_parse_kwd_args
#define sipParsePair                sipAPI_QtGui->api_parse_pair
#define sipCommonDtor               sipAPI_QtGui->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_QtGui->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_QtGui->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtGui->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtGui->api_add_exception
#define sipNoFunction               sipAPI_QtGui->api_no_function
#define sipNoMethod                 sipAPI_QtGui->api_no_method
#define sipAbstractMethod           sipAPI_QtGui->api_abstract_method
#define sipBadClass                 sipAPI_QtGui->api_bad_class
#define sipBadCatcherResult         sipAPI_QtGui->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtGui->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtGui->api_bad_operator_arg
#define sipTrace                    sipAPI_QtGui->api_trace
#define sipTransferBack             sipAPI_QtGui->api_transfer_back
#define sipTransferTo               sipAPI_QtGui->api_transfer_to
#define sipTransferBreak            sipAPI_QtGui->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtGui->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtGui->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtGui->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtGui->api_voidptr_type
#define sipGetPyObject              sipAPI_QtGui->api_get_pyobject
#define sipGetAddress               sipAPI_QtGui->api_get_address
#define sipGetMixinAddress          sipAPI_QtGui->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtGui->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtGui->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtGui->api_is_py_method
#define sipCallHook                 sipAPI_QtGui->api_call_hook
#define sipEndThread                sipAPI_QtGui->api_end_thread
#define sipConnectRx                sipAPI_QtGui->api_connect_rx
#define sipDisconnectRx             sipAPI_QtGui->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtGui->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtGui->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtGui->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtGui->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtGui->api_free_sipslot
#define sipSameSlot                 sipAPI_QtGui->api_same_slot
#define sipPySlotExtend             sipAPI_QtGui->api_pyslot_extend
#define sipConvertRx                sipAPI_QtGui->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtGui->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtGui->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtGui->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtGui->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtGui->api_can_convert_to_enum
#define sipReleaseType              sipAPI_QtGui->api_release_type
#define sipConvertFromType          sipAPI_QtGui->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtGui->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtGui->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtGui->api_convert_from_enum
#define sipGetState                 sipAPI_QtGui->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_QtGui->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_QtGui->api_export_symbol
#define sipImportSymbol             sipAPI_QtGui->api_import_symbol
#define sipFindType                 sipAPI_QtGui->api_find_type
#define sipFindNamedEnum            sipAPI_QtGui->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtGui->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtGui->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtGui->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtGui->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtGui->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtGui->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtGui->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtGui->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtGui->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtGui->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtGui->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtGui->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtGui->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtGui->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtGui->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtGui->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtGui->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtGui->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->type->td_cname)
#define sipDeprecated               sipAPI_QtGui->api_deprecated
#define sipGetReference             sipAPI_QtGui->api_get_reference
#define sipKeepReference            sipAPI_QtGui->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtGui->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtGui->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtGui->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtGui->api_type_scope
#define sipResolveTypedef           sipAPI_QtGui->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtGui->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtGui->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtGui->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtGui->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtGui->api_init_mixin
#define sipExportModule             sipAPI_QtGui->api_export_module
#define sipInitModule               sipAPI_QtGui->api_init_module

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtGui->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtGui->api_map_int_to_class
#define sipFindClass                sipAPI_QtGui->api_find_class
#define sipFindMappedType           sipAPI_QtGui->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtGui->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtGui->api_convert_to_typed_array
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtGui->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->type)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->type, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->type, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->type, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->type, (t))

/* The strings used by this module. */
extern const char sipStrings_QtGui[];

#define sipType_QtMsgType              sipModuleAPI_QtGui_QtCore->em_types[415]
#define sipEnum_QtMsgType              sipModuleAPI_QtGui_QtCore->em_types[415]->u.td_py_type

#define sipType_QAbstractTextDocumentLayout              sipModuleAPI_QtGui.em_types[1]
#define sipClass_QAbstractTextDocumentLayout             sipModuleAPI_QtGui.em_types[1]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout;

#define sipType_QAbstractTextDocumentLayout_Selection              sipModuleAPI_QtGui.em_types[3]
#define sipClass_QAbstractTextDocumentLayout_Selection             sipModuleAPI_QtGui.em_types[3]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_Selection;

#define sipType_QAbstractTextDocumentLayout_PaintContext              sipModuleAPI_QtGui.em_types[2]
#define sipClass_QAbstractTextDocumentLayout_PaintContext             sipModuleAPI_QtGui.em_types[2]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_PaintContext;

#define sipType_QTextObjectInterface              sipModuleAPI_QtGui.em_types[326]
#define sipClass_QTextObjectInterface             sipModuleAPI_QtGui.em_types[326]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextObjectInterface;

#define sipType_QBackingStore              sipModuleAPI_QtGui.em_types[6]
#define sipClass_QBackingStore             sipModuleAPI_QtGui.em_types[6]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QBackingStore;

#define sipType_QPaintDevice              sipModuleAPI_QtGui.em_types[187]
#define sipClass_QPaintDevice             sipModuleAPI_QtGui.em_types[187]->u.td_wrapper_type

#define sipType_QPaintDevice_PaintDeviceMetric              sipModuleAPI_QtGui.em_types[188]
#define sipEnum_QPaintDevice_PaintDeviceMetric              sipModuleAPI_QtGui.em_types[188]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintDevice;

#define sipType_QPixmap              sipModuleAPI_QtGui.em_types[227]
#define sipClass_QPixmap             sipModuleAPI_QtGui.em_types[227]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPixmap;

#define sipType_QBitmap              sipModuleAPI_QtGui.em_types[7]
#define sipClass_QBitmap             sipModuleAPI_QtGui.em_types[7]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QBitmap;

#define sipType_QColor              sipModuleAPI_QtGui.em_types[12]
#define sipClass_QColor             sipModuleAPI_QtGui.em_types[12]->u.td_wrapper_type

#define sipType_QColor_NameFormat              sipModuleAPI_QtGui.em_types[13]
#define sipEnum_QColor_NameFormat              sipModuleAPI_QtGui.em_types[13]->u.td_py_type
#define sipType_QColor_Spec              sipModuleAPI_QtGui.em_types[14]
#define sipEnum_QColor_Spec              sipModuleAPI_QtGui.em_types[14]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QColor;

#define sipType_QBrush              sipModuleAPI_QtGui.em_types[8]
#define sipClass_QBrush             sipModuleAPI_QtGui.em_types[8]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QBrush;

#define sipType_QGradient              sipModuleAPI_QtGui.em_types[49]
#define sipClass_QGradient             sipModuleAPI_QtGui.em_types[49]->u.td_wrapper_type

#define sipType_QGradient_Spread              sipModuleAPI_QtGui.em_types[51]
#define sipEnum_QGradient_Spread              sipModuleAPI_QtGui.em_types[51]->u.td_py_type
#define sipType_QGradient_Type              sipModuleAPI_QtGui.em_types[52]
#define sipEnum_QGradient_Type              sipModuleAPI_QtGui.em_types[52]->u.td_py_type
#define sipType_QGradient_CoordinateMode              sipModuleAPI_QtGui.em_types[50]
#define sipEnum_QGradient_CoordinateMode              sipModuleAPI_QtGui.em_types[50]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QGradient;

#define sipType_QLinearGradient              sipModuleAPI_QtGui.em_types[88]
#define sipClass_QLinearGradient             sipModuleAPI_QtGui.em_types[88]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QLinearGradient;

#define sipType_QRadialGradient              sipModuleAPI_QtGui.em_types[235]
#define sipClass_QRadialGradient             sipModuleAPI_QtGui.em_types[235]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRadialGradient;

#define sipType_QConicalGradient              sipModuleAPI_QtGui.em_types[15]
#define sipClass_QConicalGradient             sipModuleAPI_QtGui.em_types[15]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QConicalGradient;

#define sipType_QClipboard              sipModuleAPI_QtGui.em_types[9]
#define sipClass_QClipboard             sipModuleAPI_QtGui.em_types[9]->u.td_wrapper_type

#define sipType_QClipboard_Mode              sipModuleAPI_QtGui.em_types[10]
#define sipEnum_QClipboard_Mode              sipModuleAPI_QtGui.em_types[10]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QClipboard;

#define sipType_QCursor              sipModuleAPI_QtGui.em_types[18]
#define sipClass_QCursor             sipModuleAPI_QtGui.em_types[18]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QCursor;

#define sipType_QDesktopServices              sipModuleAPI_QtGui.em_types[19]
#define sipClass_QDesktopServices             sipModuleAPI_QtGui.em_types[19]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDesktopServices;

#define sipType_QDrag              sipModuleAPI_QtGui.em_types[22]
#define sipClass_QDrag             sipModuleAPI_QtGui.em_types[22]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDrag;

#define sipType_QInputEvent              sipModuleAPI_QtGui.em_types[75]
#define sipClass_QInputEvent             sipModuleAPI_QtGui.em_types[75]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QInputEvent;

#define sipType_QMouseEvent              sipModuleAPI_QtGui.em_types[116]
#define sipClass_QMouseEvent             sipModuleAPI_QtGui.em_types[116]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMouseEvent;

#define sipType_QHoverEvent              sipModuleAPI_QtGui.em_types[56]
#define sipClass_QHoverEvent             sipModuleAPI_QtGui.em_types[56]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QHoverEvent;

#define sipType_QWheelEvent              sipModuleAPI_QtGui.em_types[367]
#define sipClass_QWheelEvent             sipModuleAPI_QtGui.em_types[367]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QWheelEvent;

#define sipType_QTabletEvent              sipModuleAPI_QtGui.em_types[272]
#define sipClass_QTabletEvent             sipModuleAPI_QtGui.em_types[272]->u.td_wrapper_type

#define sipType_QTabletEvent_PointerType              sipModuleAPI_QtGui.em_types[273]
#define sipEnum_QTabletEvent_PointerType              sipModuleAPI_QtGui.em_types[273]->u.td_py_type
#define sipType_QTabletEvent_TabletDevice              sipModuleAPI_QtGui.em_types[274]
#define sipEnum_QTabletEvent_TabletDevice              sipModuleAPI_QtGui.em_types[274]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTabletEvent;

#define sipType_QKeyEvent              sipModuleAPI_QtGui.em_types[83]
#define sipClass_QKeyEvent             sipModuleAPI_QtGui.em_types[83]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QKeyEvent;

#define sipType_QFocusEvent              sipModuleAPI_QtGui.em_types[30]
#define sipClass_QFocusEvent             sipModuleAPI_QtGui.em_types[30]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFocusEvent;

#define sipType_QPaintEvent              sipModuleAPI_QtGui.em_types[198]
#define sipClass_QPaintEvent             sipModuleAPI_QtGui.em_types[198]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintEvent;

#define sipType_QMoveEvent              sipModuleAPI_QtGui.em_types[117]
#define sipClass_QMoveEvent             sipModuleAPI_QtGui.em_types[117]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMoveEvent;

#define sipType_QResizeEvent              sipModuleAPI_QtGui.em_types[245]
#define sipClass_QResizeEvent             sipModuleAPI_QtGui.em_types[245]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QResizeEvent;

#define sipType_QCloseEvent              sipModuleAPI_QtGui.em_types[11]
#define sipClass_QCloseEvent             sipModuleAPI_QtGui.em_types[11]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QCloseEvent;

#define sipType_QIconDragEvent              sipModuleAPI_QtGui.em_types[60]
#define sipClass_QIconDragEvent             sipModuleAPI_QtGui.em_types[60]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QIconDragEvent;

#define sipType_QShowEvent              sipModuleAPI_QtGui.em_types[254]
#define sipClass_QShowEvent             sipModuleAPI_QtGui.em_types[254]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QShowEvent;

#define sipType_QHideEvent              sipModuleAPI_QtGui.em_types[55]
#define sipClass_QHideEvent             sipModuleAPI_QtGui.em_types[55]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QHideEvent;

#define sipType_QContextMenuEvent              sipModuleAPI_QtGui.em_types[16]
#define sipClass_QContextMenuEvent             sipModuleAPI_QtGui.em_types[16]->u.td_wrapper_type

#define sipType_QContextMenuEvent_Reason              sipModuleAPI_QtGui.em_types[17]
#define sipEnum_QContextMenuEvent_Reason              sipModuleAPI_QtGui.em_types[17]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QContextMenuEvent;

#define sipType_QInputMethodEvent              sipModuleAPI_QtGui.em_types[78]
#define sipClass_QInputMethodEvent             sipModuleAPI_QtGui.em_types[78]->u.td_wrapper_type

#define sipType_QInputMethodEvent_AttributeType              sipModuleAPI_QtGui.em_types[80]
#define sipEnum_QInputMethodEvent_AttributeType              sipModuleAPI_QtGui.em_types[80]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QInputMethodEvent;

#define sipType_QInputMethodEvent_Attribute              sipModuleAPI_QtGui.em_types[79]
#define sipClass_QInputMethodEvent_Attribute             sipModuleAPI_QtGui.em_types[79]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QInputMethodEvent_Attribute;

#define sipType_QInputMethodQueryEvent              sipModuleAPI_QtGui.em_types[81]
#define sipClass_QInputMethodQueryEvent             sipModuleAPI_QtGui.em_types[81]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QInputMethodQueryEvent;

#define sipType_QDropEvent              sipModuleAPI_QtGui.em_types[26]
#define sipClass_QDropEvent             sipModuleAPI_QtGui.em_types[26]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDropEvent;

#define sipType_QDragMoveEvent              sipModuleAPI_QtGui.em_types[25]
#define sipClass_QDragMoveEvent             sipModuleAPI_QtGui.em_types[25]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDragMoveEvent;

#define sipType_QDragEnterEvent              sipModuleAPI_QtGui.em_types[23]
#define sipClass_QDragEnterEvent             sipModuleAPI_QtGui.em_types[23]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDragEnterEvent;

#define sipType_QDragLeaveEvent              sipModuleAPI_QtGui.em_types[24]
#define sipClass_QDragLeaveEvent             sipModuleAPI_QtGui.em_types[24]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDragLeaveEvent;

#define sipType_QHelpEvent              sipModuleAPI_QtGui.em_types[54]
#define sipClass_QHelpEvent             sipModuleAPI_QtGui.em_types[54]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QHelpEvent;

#define sipType_QStatusTipEvent              sipModuleAPI_QtGui.em_types[260]
#define sipClass_QStatusTipEvent             sipModuleAPI_QtGui.em_types[260]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QStatusTipEvent;

#define sipType_QWhatsThisClickedEvent              sipModuleAPI_QtGui.em_types[366]
#define sipClass_QWhatsThisClickedEvent             sipModuleAPI_QtGui.em_types[366]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QWhatsThisClickedEvent;

#define sipType_QActionEvent              sipModuleAPI_QtGui.em_types[5]
#define sipClass_QActionEvent             sipModuleAPI_QtGui.em_types[5]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QActionEvent;

#define sipType_QFileOpenEvent              sipModuleAPI_QtGui.em_types[29]
#define sipClass_QFileOpenEvent             sipModuleAPI_QtGui.em_types[29]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFileOpenEvent;

#define sipType_QShortcutEvent              sipModuleAPI_QtGui.em_types[253]
#define sipClass_QShortcutEvent             sipModuleAPI_QtGui.em_types[253]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QShortcutEvent;

#define sipType_QWindowStateChangeEvent              sipModuleAPI_QtGui.em_types[371]
#define sipClass_QWindowStateChangeEvent             sipModuleAPI_QtGui.em_types[371]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QWindowStateChangeEvent;

#define sipType_QTouchEvent              sipModuleAPI_QtGui.em_types[341]
#define sipClass_QTouchEvent             sipModuleAPI_QtGui.em_types[341]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTouchEvent;

#define sipType_QTouchEvent_TouchPoint              sipModuleAPI_QtGui.em_types[342]
#define sipClass_QTouchEvent_TouchPoint             sipModuleAPI_QtGui.em_types[342]->u.td_wrapper_type

#define sipType_QTouchEvent_TouchPoint_InfoFlag              sipModuleAPI_QtGui.em_types[343]
#define sipEnum_QTouchEvent_TouchPoint_InfoFlag              sipModuleAPI_QtGui.em_types[343]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTouchEvent_TouchPoint;

#define sipType_QTouchEvent_TouchPoint_InfoFlags              sipModuleAPI_QtGui.em_types[344]
#define sipClass_QTouchEvent_TouchPoint_InfoFlags             sipModuleAPI_QtGui.em_types[344]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTouchEvent_TouchPoint_InfoFlags;

#define sipType_QExposeEvent              sipModuleAPI_QtGui.em_types[28]
#define sipClass_QExposeEvent             sipModuleAPI_QtGui.em_types[28]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QExposeEvent;

#define sipType_QScrollPrepareEvent              sipModuleAPI_QtGui.em_types[249]
#define sipClass_QScrollPrepareEvent             sipModuleAPI_QtGui.em_types[249]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QScrollPrepareEvent;

#define sipType_QScrollEvent              sipModuleAPI_QtGui.em_types[247]
#define sipClass_QScrollEvent             sipModuleAPI_QtGui.em_types[247]->u.td_wrapper_type

#define sipType_QScrollEvent_ScrollState              sipModuleAPI_QtGui.em_types[248]
#define sipEnum_QScrollEvent_ScrollState              sipModuleAPI_QtGui.em_types[248]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QScrollEvent;

#define sipType_QEnterEvent              sipModuleAPI_QtGui.em_types[27]
#define sipClass_QEnterEvent             sipModuleAPI_QtGui.em_types[27]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QEnterEvent;

#define sipType_QAction              sipModuleAPI_QtGui.em_types[4]
#define sipClass_QAction             sipModuleAPI_QtGui.em_types[4]->u.td_wrapper_type

#define sipType_QNativeGestureEvent              sipModuleAPI_QtGui.em_types[121]
#define sipClass_QNativeGestureEvent             sipModuleAPI_QtGui.em_types[121]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QNativeGestureEvent;

#define sipType_QPlatformSurfaceEvent              sipModuleAPI_QtGui.em_types[230]
#define sipClass_QPlatformSurfaceEvent             sipModuleAPI_QtGui.em_types[230]->u.td_wrapper_type

#define sipType_QPlatformSurfaceEvent_SurfaceEventType              sipModuleAPI_QtGui.em_types[231]
#define sipEnum_QPlatformSurfaceEvent_SurfaceEventType              sipModuleAPI_QtGui.em_types[231]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPlatformSurfaceEvent;

#define sipType_QFont              sipModuleAPI_QtGui.em_types[31]
#define sipClass_QFont             sipModuleAPI_QtGui.em_types[31]->u.td_wrapper_type

#define sipType_QFont_HintingPreference              sipModuleAPI_QtGui.em_types[33]
#define sipEnum_QFont_HintingPreference              sipModuleAPI_QtGui.em_types[33]->u.td_py_type
#define sipType_QFont_SpacingType              sipModuleAPI_QtGui.em_types[34]
#define sipEnum_QFont_SpacingType              sipModuleAPI_QtGui.em_types[34]->u.td_py_type
#define sipType_QFont_Capitalization              sipModuleAPI_QtGui.em_types[32]
#define sipEnum_QFont_Capitalization              sipModuleAPI_QtGui.em_types[32]->u.td_py_type
#define sipType_QFont_Stretch              sipModuleAPI_QtGui.em_types[35]
#define sipEnum_QFont_Stretch              sipModuleAPI_QtGui.em_types[35]->u.td_py_type
#define sipType_QFont_Style              sipModuleAPI_QtGui.em_types[36]
#define sipEnum_QFont_Style              sipModuleAPI_QtGui.em_types[36]->u.td_py_type
#define sipType_QFont_Weight              sipModuleAPI_QtGui.em_types[39]
#define sipEnum_QFont_Weight              sipModuleAPI_QtGui.em_types[39]->u.td_py_type
#define sipType_QFont_StyleStrategy              sipModuleAPI_QtGui.em_types[38]
#define sipEnum_QFont_StyleStrategy              sipModuleAPI_QtGui.em_types[38]->u.td_py_type
#define sipType_QFont_StyleHint              sipModuleAPI_QtGui.em_types[37]
#define sipEnum_QFont_StyleHint              sipModuleAPI_QtGui.em_types[37]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFont;

#define sipType_QFontDatabase              sipModuleAPI_QtGui.em_types[40]
#define sipClass_QFontDatabase             sipModuleAPI_QtGui.em_types[40]->u.td_wrapper_type

#define sipType_QFontDatabase_SystemFont              sipModuleAPI_QtGui.em_types[41]
#define sipEnum_QFontDatabase_SystemFont              sipModuleAPI_QtGui.em_types[41]->u.td_py_type
#define sipType_QFontDatabase_WritingSystem              sipModuleAPI_QtGui.em_types[42]
#define sipEnum_QFontDatabase_WritingSystem              sipModuleAPI_QtGui.em_types[42]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFontDatabase;

#define sipType_QFontInfo              sipModuleAPI_QtGui.em_types[43]
#define sipClass_QFontInfo             sipModuleAPI_QtGui.em_types[43]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFontInfo;

#define sipType_QFontMetrics              sipModuleAPI_QtGui.em_types[44]
#define sipClass_QFontMetrics             sipModuleAPI_QtGui.em_types[44]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFontMetrics;

#define sipType_QFontMetricsF              sipModuleAPI_QtGui.em_types[45]
#define sipClass_QFontMetricsF             sipModuleAPI_QtGui.em_types[45]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QFontMetricsF;

#define sipType_QMatrix4x3              sipModuleAPI_QtGui.em_types[114]
#define sipClass_QMatrix4x3             sipModuleAPI_QtGui.em_types[114]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix4x3;

#define sipType_QMatrix4x2              sipModuleAPI_QtGui.em_types[113]
#define sipClass_QMatrix4x2             sipModuleAPI_QtGui.em_types[113]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix4x2;

#define sipType_QMatrix3x4              sipModuleAPI_QtGui.em_types[112]
#define sipClass_QMatrix3x4             sipModuleAPI_QtGui.em_types[112]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix3x4;

#define sipType_QMatrix3x3              sipModuleAPI_QtGui.em_types[111]
#define sipClass_QMatrix3x3             sipModuleAPI_QtGui.em_types[111]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix3x3;

#define sipType_QMatrix3x2              sipModuleAPI_QtGui.em_types[110]
#define sipClass_QMatrix3x2             sipModuleAPI_QtGui.em_types[110]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix3x2;

#define sipType_QMatrix2x4              sipModuleAPI_QtGui.em_types[109]
#define sipClass_QMatrix2x4             sipModuleAPI_QtGui.em_types[109]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix2x4;

#define sipType_QMatrix2x3              sipModuleAPI_QtGui.em_types[108]
#define sipClass_QMatrix2x3             sipModuleAPI_QtGui.em_types[108]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix2x3;

#define sipType_QMatrix2x2              sipModuleAPI_QtGui.em_types[107]
#define sipClass_QMatrix2x2             sipModuleAPI_QtGui.em_types[107]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix2x2;

#define sipType_QGlyphRun              sipModuleAPI_QtGui.em_types[46]
#define sipClass_QGlyphRun             sipModuleAPI_QtGui.em_types[46]->u.td_wrapper_type

#define sipType_QGlyphRun_GlyphRunFlag              sipModuleAPI_QtGui.em_types[47]
#define sipEnum_QGlyphRun_GlyphRunFlag              sipModuleAPI_QtGui.em_types[47]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QGlyphRun;

#define sipType_QGlyphRun_GlyphRunFlags              sipModuleAPI_QtGui.em_types[48]
#define sipClass_QGlyphRun_GlyphRunFlags             sipModuleAPI_QtGui.em_types[48]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QGlyphRun_GlyphRunFlags;

#define sipType_QGuiApplication              sipModuleAPI_QtGui.em_types[53]
#define sipClass_QGuiApplication             sipModuleAPI_QtGui.em_types[53]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QGuiApplication;

#define sipType_QIcon              sipModuleAPI_QtGui.em_types[57]
#define sipClass_QIcon             sipModuleAPI_QtGui.em_types[57]->u.td_wrapper_type

#define sipType_QIcon_State              sipModuleAPI_QtGui.em_types[59]
#define sipEnum_QIcon_State              sipModuleAPI_QtGui.em_types[59]->u.td_py_type
#define sipType_QIcon_Mode              sipModuleAPI_QtGui.em_types[58]
#define sipEnum_QIcon_Mode              sipModuleAPI_QtGui.em_types[58]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QIcon;

#define sipType_QIconEngine              sipModuleAPI_QtGui.em_types[61]
#define sipClass_QIconEngine             sipModuleAPI_QtGui.em_types[61]->u.td_wrapper_type

#define sipType_QIconEngine_IconEngineHook              sipModuleAPI_QtGui.em_types[63]
#define sipEnum_QIconEngine_IconEngineHook              sipModuleAPI_QtGui.em_types[63]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QIconEngine;

#define sipType_QIconEngine_AvailableSizesArgument              sipModuleAPI_QtGui.em_types[62]
#define sipClass_QIconEngine_AvailableSizesArgument             sipModuleAPI_QtGui.em_types[62]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QIconEngine_AvailableSizesArgument;

#define sipType_QImage              sipModuleAPI_QtGui.em_types[64]
#define sipClass_QImage             sipModuleAPI_QtGui.em_types[64]->u.td_wrapper_type

#define sipType_QImage_Format              sipModuleAPI_QtGui.em_types[65]
#define sipEnum_QImage_Format              sipModuleAPI_QtGui.em_types[65]->u.td_py_type
#define sipType_QImage_InvertMode              sipModuleAPI_QtGui.em_types[66]
#define sipEnum_QImage_InvertMode              sipModuleAPI_QtGui.em_types[66]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QImage;

#define sipType_QImageIOHandler              sipModuleAPI_QtGui.em_types[67]
#define sipClass_QImageIOHandler             sipModuleAPI_QtGui.em_types[67]->u.td_wrapper_type

#define sipType_QImageIOHandler_Transformation              sipModuleAPI_QtGui.em_types[69]
#define sipEnum_QImageIOHandler_Transformation              sipModuleAPI_QtGui.em_types[69]->u.td_py_type
#define sipType_QImageIOHandler_ImageOption              sipModuleAPI_QtGui.em_types[68]
#define sipEnum_QImageIOHandler_ImageOption              sipModuleAPI_QtGui.em_types[68]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QImageIOHandler;

#define sipType_QImageIOHandler_Transformations              sipModuleAPI_QtGui.em_types[70]
#define sipClass_QImageIOHandler_Transformations             sipModuleAPI_QtGui.em_types[70]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QImageIOHandler_Transformations;

#define sipType_QImageReader              sipModuleAPI_QtGui.em_types[71]
#define sipClass_QImageReader             sipModuleAPI_QtGui.em_types[71]->u.td_wrapper_type

#define sipType_QImageReader_ImageReaderError              sipModuleAPI_QtGui.em_types[72]
#define sipEnum_QImageReader_ImageReaderError              sipModuleAPI_QtGui.em_types[72]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QImageReader;

#define sipType_QImageWriter              sipModuleAPI_QtGui.em_types[73]
#define sipClass_QImageWriter             sipModuleAPI_QtGui.em_types[73]->u.td_wrapper_type

#define sipType_QImageWriter_ImageWriterError              sipModuleAPI_QtGui.em_types[74]
#define sipEnum_QImageWriter_ImageWriterError              sipModuleAPI_QtGui.em_types[74]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QImageWriter;

#define sipType_QInputMethod              sipModuleAPI_QtGui.em_types[76]
#define sipClass_QInputMethod             sipModuleAPI_QtGui.em_types[76]->u.td_wrapper_type

#define sipType_QInputMethod_Action              sipModuleAPI_QtGui.em_types[77]
#define sipEnum_QInputMethod_Action              sipModuleAPI_QtGui.em_types[77]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QInputMethod;

#define sipType_QKeySequence              sipModuleAPI_QtGui.em_types[84]
#define sipClass_QKeySequence             sipModuleAPI_QtGui.em_types[84]->u.td_wrapper_type

#define sipType_QKeySequence_StandardKey              sipModuleAPI_QtGui.em_types[87]
#define sipEnum_QKeySequence_StandardKey              sipModuleAPI_QtGui.em_types[87]->u.td_py_type
#define sipType_QKeySequence_SequenceMatch              sipModuleAPI_QtGui.em_types[86]
#define sipEnum_QKeySequence_SequenceMatch              sipModuleAPI_QtGui.em_types[86]->u.td_py_type
#define sipType_QKeySequence_SequenceFormat              sipModuleAPI_QtGui.em_types[85]
#define sipEnum_QKeySequence_SequenceFormat              sipModuleAPI_QtGui.em_types[85]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QKeySequence;

#define sipType_QMatrix4x4              sipModuleAPI_QtGui.em_types[115]
#define sipClass_QMatrix4x4             sipModuleAPI_QtGui.em_types[115]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMatrix4x4;

#define sipType_QMovie              sipModuleAPI_QtGui.em_types[118]
#define sipClass_QMovie             sipModuleAPI_QtGui.em_types[118]->u.td_wrapper_type

#define sipType_QMovie_CacheMode              sipModuleAPI_QtGui.em_types[119]
#define sipEnum_QMovie_CacheMode              sipModuleAPI_QtGui.em_types[119]->u.td_py_type
#define sipType_QMovie_MovieState              sipModuleAPI_QtGui.em_types[120]
#define sipEnum_QMovie_MovieState              sipModuleAPI_QtGui.em_types[120]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QMovie;

#define sipType_QSurface              sipModuleAPI_QtGui.em_types[262]
#define sipClass_QSurface             sipModuleAPI_QtGui.em_types[262]->u.td_wrapper_type

#define sipType_QSurface_SurfaceType              sipModuleAPI_QtGui.em_types[264]
#define sipEnum_QSurface_SurfaceType              sipModuleAPI_QtGui.em_types[264]->u.td_py_type
#define sipType_QSurface_SurfaceClass              sipModuleAPI_QtGui.em_types[263]
#define sipEnum_QSurface_SurfaceClass              sipModuleAPI_QtGui.em_types[263]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QSurface;

#define sipType_QOffscreenSurface              sipModuleAPI_QtGui.em_types[122]
#define sipClass_QOffscreenSurface             sipModuleAPI_QtGui.em_types[122]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOffscreenSurface;

#define sipType_QOpenGLBuffer              sipModuleAPI_QtGui.em_types[123]
#define sipClass_QOpenGLBuffer             sipModuleAPI_QtGui.em_types[123]->u.td_wrapper_type

#define sipType_QOpenGLBuffer_RangeAccessFlag              sipModuleAPI_QtGui.em_types[125]
#define sipEnum_QOpenGLBuffer_RangeAccessFlag              sipModuleAPI_QtGui.em_types[125]->u.td_py_type
#define sipType_QOpenGLBuffer_Access              sipModuleAPI_QtGui.em_types[124]
#define sipEnum_QOpenGLBuffer_Access              sipModuleAPI_QtGui.em_types[124]->u.td_py_type
#define sipType_QOpenGLBuffer_UsagePattern              sipModuleAPI_QtGui.em_types[128]
#define sipEnum_QOpenGLBuffer_UsagePattern              sipModuleAPI_QtGui.em_types[128]->u.td_py_type
#define sipType_QOpenGLBuffer_Type              sipModuleAPI_QtGui.em_types[127]
#define sipEnum_QOpenGLBuffer_Type              sipModuleAPI_QtGui.em_types[127]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLBuffer;

#define sipType_QOpenGLBuffer_RangeAccessFlags              sipModuleAPI_QtGui.em_types[126]
#define sipClass_QOpenGLBuffer_RangeAccessFlags             sipModuleAPI_QtGui.em_types[126]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLBuffer_RangeAccessFlags;

#define sipType_QOpenGLContextGroup              sipModuleAPI_QtGui.em_types[131]
#define sipClass_QOpenGLContextGroup             sipModuleAPI_QtGui.em_types[131]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLContextGroup;

#define sipType_QOpenGLContext              sipModuleAPI_QtGui.em_types[129]
#define sipClass_QOpenGLContext             sipModuleAPI_QtGui.em_types[129]->u.td_wrapper_type

#define sipType_QOpenGLContext_OpenGLModuleType              sipModuleAPI_QtGui.em_types[130]
#define sipEnum_QOpenGLContext_OpenGLModuleType              sipModuleAPI_QtGui.em_types[130]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLContext;

#define sipType_QOpenGLVersionProfile              sipModuleAPI_QtGui.em_types[171]
#define sipClass_QOpenGLVersionProfile             sipModuleAPI_QtGui.em_types[171]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLVersionProfile;

#define sipType_QOpenGLDebugMessage              sipModuleAPI_QtGui.em_types[134]
#define sipClass_QOpenGLDebugMessage             sipModuleAPI_QtGui.em_types[134]->u.td_wrapper_type

#define sipType_QOpenGLDebugMessage_Severity              sipModuleAPI_QtGui.em_types[136]
#define sipEnum_QOpenGLDebugMessage_Severity              sipModuleAPI_QtGui.em_types[136]->u.td_py_type
#define sipType_QOpenGLDebugMessage_Type              sipModuleAPI_QtGui.em_types[139]
#define sipEnum_QOpenGLDebugMessage_Type              sipModuleAPI_QtGui.em_types[139]->u.td_py_type
#define sipType_QOpenGLDebugMessage_Source              sipModuleAPI_QtGui.em_types[137]
#define sipEnum_QOpenGLDebugMessage_Source              sipModuleAPI_QtGui.em_types[137]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage;

#define sipType_QOpenGLDebugMessage_Sources              sipModuleAPI_QtGui.em_types[138]
#define sipClass_QOpenGLDebugMessage_Sources             sipModuleAPI_QtGui.em_types[138]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Sources;

#define sipType_QOpenGLDebugMessage_Types              sipModuleAPI_QtGui.em_types[140]
#define sipClass_QOpenGLDebugMessage_Types             sipModuleAPI_QtGui.em_types[140]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Types;

#define sipType_QOpenGLDebugMessage_Severities              sipModuleAPI_QtGui.em_types[135]
#define sipClass_QOpenGLDebugMessage_Severities             sipModuleAPI_QtGui.em_types[135]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Severities;

#define sipType_QOpenGLDebugLogger              sipModuleAPI_QtGui.em_types[132]
#define sipClass_QOpenGLDebugLogger             sipModuleAPI_QtGui.em_types[132]->u.td_wrapper_type

#define sipType_QOpenGLDebugLogger_LoggingMode              sipModuleAPI_QtGui.em_types[133]
#define sipEnum_QOpenGLDebugLogger_LoggingMode              sipModuleAPI_QtGui.em_types[133]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLDebugLogger;

#define sipType_QOpenGLFramebufferObject              sipModuleAPI_QtGui.em_types[141]
#define sipClass_QOpenGLFramebufferObject             sipModuleAPI_QtGui.em_types[141]->u.td_wrapper_type

#define sipType_QOpenGLFramebufferObject_Attachment              sipModuleAPI_QtGui.em_types[142]
#define sipEnum_QOpenGLFramebufferObject_Attachment              sipModuleAPI_QtGui.em_types[142]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLFramebufferObject;

#define sipType_QOpenGLFramebufferObjectFormat              sipModuleAPI_QtGui.em_types[143]
#define sipClass_QOpenGLFramebufferObjectFormat             sipModuleAPI_QtGui.em_types[143]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLFramebufferObjectFormat;

#define sipType_QOpenGLPaintDevice              sipModuleAPI_QtGui.em_types[144]
#define sipClass_QOpenGLPaintDevice             sipModuleAPI_QtGui.em_types[144]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLPaintDevice;

#define sipType_QOpenGLPixelTransferOptions              sipModuleAPI_QtGui.em_types[145]
#define sipClass_QOpenGLPixelTransferOptions             sipModuleAPI_QtGui.em_types[145]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLPixelTransferOptions;

#define sipType_QOpenGLShader              sipModuleAPI_QtGui.em_types[146]
#define sipClass_QOpenGLShader             sipModuleAPI_QtGui.em_types[146]->u.td_wrapper_type

#define sipType_QOpenGLShader_ShaderTypeBit              sipModuleAPI_QtGui.em_types[148]
#define sipEnum_QOpenGLShader_ShaderTypeBit              sipModuleAPI_QtGui.em_types[148]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLShader;

#define sipType_QOpenGLShader_ShaderType              sipModuleAPI_QtGui.em_types[147]
#define sipClass_QOpenGLShader_ShaderType             sipModuleAPI_QtGui.em_types[147]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLShader_ShaderType;

#define sipType_QOpenGLShaderProgram              sipModuleAPI_QtGui.em_types[149]
#define sipClass_QOpenGLShaderProgram             sipModuleAPI_QtGui.em_types[149]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLShaderProgram;

#define sipType_QOpenGLTexture              sipModuleAPI_QtGui.em_types[150]
#define sipClass_QOpenGLTexture             sipModuleAPI_QtGui.em_types[150]->u.td_wrapper_type

#define sipType_QOpenGLTexture_ComparisonMode              sipModuleAPI_QtGui.em_types[153]
#define sipEnum_QOpenGLTexture_ComparisonMode              sipModuleAPI_QtGui.em_types[153]->u.td_py_type
#define sipType_QOpenGLTexture_ComparisonFunction              sipModuleAPI_QtGui.em_types[152]
#define sipEnum_QOpenGLTexture_ComparisonFunction              sipModuleAPI_QtGui.em_types[152]->u.td_py_type
#define sipType_QOpenGLTexture_CoordinateDirection              sipModuleAPI_QtGui.em_types[154]
#define sipEnum_QOpenGLTexture_CoordinateDirection              sipModuleAPI_QtGui.em_types[154]->u.td_py_type
#define sipType_QOpenGLTexture_WrapMode              sipModuleAPI_QtGui.em_types[168]
#define sipEnum_QOpenGLTexture_WrapMode              sipModuleAPI_QtGui.em_types[168]->u.td_py_type
#define sipType_QOpenGLTexture_Filter              sipModuleAPI_QtGui.em_types[159]
#define sipEnum_QOpenGLTexture_Filter              sipModuleAPI_QtGui.em_types[159]->u.td_py_type
#define sipType_QOpenGLTexture_DepthStencilMode              sipModuleAPI_QtGui.em_types[156]
#define sipEnum_QOpenGLTexture_DepthStencilMode              sipModuleAPI_QtGui.em_types[156]->u.td_py_type
#define sipType_QOpenGLTexture_SwizzleValue              sipModuleAPI_QtGui.em_types[164]
#define sipEnum_QOpenGLTexture_SwizzleValue              sipModuleAPI_QtGui.em_types[164]->u.td_py_type
#define sipType_QOpenGLTexture_SwizzleComponent              sipModuleAPI_QtGui.em_types[163]
#define sipEnum_QOpenGLTexture_SwizzleComponent              sipModuleAPI_QtGui.em_types[163]->u.td_py_type
#define sipType_QOpenGLTexture_Feature              sipModuleAPI_QtGui.em_types[157]
#define sipEnum_QOpenGLTexture_Feature              sipModuleAPI_QtGui.em_types[157]->u.td_py_type
#define sipType_QOpenGLTexture_PixelType              sipModuleAPI_QtGui.em_types[162]
#define sipEnum_QOpenGLTexture_PixelType              sipModuleAPI_QtGui.em_types[162]->u.td_py_type
#define sipType_QOpenGLTexture_PixelFormat              sipModuleAPI_QtGui.em_types[161]
#define sipEnum_QOpenGLTexture_PixelFormat              sipModuleAPI_QtGui.em_types[161]->u.td_py_type
#define sipType_QOpenGLTexture_CubeMapFace              sipModuleAPI_QtGui.em_types[155]
#define sipEnum_QOpenGLTexture_CubeMapFace              sipModuleAPI_QtGui.em_types[155]->u.td_py_type
#define sipType_QOpenGLTexture_TextureFormat              sipModuleAPI_QtGui.em_types[166]
#define sipEnum_QOpenGLTexture_TextureFormat              sipModuleAPI_QtGui.em_types[166]->u.td_py_type
#define sipType_QOpenGLTexture_TextureUnitReset              sipModuleAPI_QtGui.em_types[167]
#define sipEnum_QOpenGLTexture_TextureUnitReset              sipModuleAPI_QtGui.em_types[167]->u.td_py_type
#define sipType_QOpenGLTexture_MipMapGeneration              sipModuleAPI_QtGui.em_types[160]
#define sipEnum_QOpenGLTexture_MipMapGeneration              sipModuleAPI_QtGui.em_types[160]->u.td_py_type
#define sipType_QOpenGLTexture_BindingTarget              sipModuleAPI_QtGui.em_types[151]
#define sipEnum_QOpenGLTexture_BindingTarget              sipModuleAPI_QtGui.em_types[151]->u.td_py_type
#define sipType_QOpenGLTexture_Target              sipModuleAPI_QtGui.em_types[165]
#define sipEnum_QOpenGLTexture_Target              sipModuleAPI_QtGui.em_types[165]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLTexture;

#define sipType_QOpenGLTexture_Features              sipModuleAPI_QtGui.em_types[158]
#define sipClass_QOpenGLTexture_Features             sipModuleAPI_QtGui.em_types[158]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLTexture_Features;

#define sipType_QOpenGLTimerQuery              sipModuleAPI_QtGui.em_types[170]
#define sipClass_QOpenGLTimerQuery             sipModuleAPI_QtGui.em_types[170]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLTimerQuery;

#define sipType_QOpenGLTimeMonitor              sipModuleAPI_QtGui.em_types[169]
#define sipClass_QOpenGLTimeMonitor             sipModuleAPI_QtGui.em_types[169]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLTimeMonitor;

#define sipType_QAbstractOpenGLFunctions              sipModuleAPI_QtGui.em_types[0]
#define sipClass_QAbstractOpenGLFunctions             sipModuleAPI_QtGui.em_types[0]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QAbstractOpenGLFunctions;

#define sipType_QOpenGLVertexArrayObject              sipModuleAPI_QtGui.em_types[172]
#define sipClass_QOpenGLVertexArrayObject             sipModuleAPI_QtGui.em_types[172]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLVertexArrayObject;

#define sipType_QOpenGLVertexArrayObject_Binder              sipModuleAPI_QtGui.em_types[173]
#define sipClass_QOpenGLVertexArrayObject_Binder             sipModuleAPI_QtGui.em_types[173]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLVertexArrayObject_Binder;

#define sipType_QWindow              sipModuleAPI_QtGui.em_types[368]
#define sipClass_QWindow             sipModuleAPI_QtGui.em_types[368]->u.td_wrapper_type

#define sipType_QWindow_Visibility              sipModuleAPI_QtGui.em_types[370]
#define sipEnum_QWindow_Visibility              sipModuleAPI_QtGui.em_types[370]->u.td_py_type
#define sipType_QWindow_AncestorMode              sipModuleAPI_QtGui.em_types[369]
#define sipEnum_QWindow_AncestorMode              sipModuleAPI_QtGui.em_types[369]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QWindow;

#define sipType_QPaintDeviceWindow              sipModuleAPI_QtGui.em_types[189]
#define sipClass_QPaintDeviceWindow             sipModuleAPI_QtGui.em_types[189]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintDeviceWindow;

#define sipType_QOpenGLWindow              sipModuleAPI_QtGui.em_types[174]
#define sipClass_QOpenGLWindow             sipModuleAPI_QtGui.em_types[174]->u.td_wrapper_type

#define sipType_QOpenGLWindow_UpdateBehavior              sipModuleAPI_QtGui.em_types[175]
#define sipEnum_QOpenGLWindow_UpdateBehavior              sipModuleAPI_QtGui.em_types[175]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QOpenGLWindow;

#define sipType_QPagedPaintDevice              sipModuleAPI_QtGui.em_types[184]
#define sipClass_QPagedPaintDevice             sipModuleAPI_QtGui.em_types[184]->u.td_wrapper_type

#define sipType_QPagedPaintDevice_PageSize              sipModuleAPI_QtGui.em_types[186]
#define sipEnum_QPagedPaintDevice_PageSize              sipModuleAPI_QtGui.em_types[186]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPagedPaintDevice;

#define sipType_QPagedPaintDevice_Margins              sipModuleAPI_QtGui.em_types[185]
#define sipClass_QPagedPaintDevice_Margins             sipModuleAPI_QtGui.em_types[185]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPagedPaintDevice_Margins;

#define sipType_QPageLayout              sipModuleAPI_QtGui.em_types[176]
#define sipClass_QPageLayout             sipModuleAPI_QtGui.em_types[176]->u.td_wrapper_type

#define sipType_QPageLayout_Mode              sipModuleAPI_QtGui.em_types[177]
#define sipEnum_QPageLayout_Mode              sipModuleAPI_QtGui.em_types[177]->u.td_py_type
#define sipType_QPageLayout_Orientation              sipModuleAPI_QtGui.em_types[178]
#define sipEnum_QPageLayout_Orientation              sipModuleAPI_QtGui.em_types[178]->u.td_py_type
#define sipType_QPageLayout_Unit              sipModuleAPI_QtGui.em_types[179]
#define sipEnum_QPageLayout_Unit              sipModuleAPI_QtGui.em_types[179]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPageLayout;

#define sipType_QPageSize              sipModuleAPI_QtGui.em_types[180]
#define sipClass_QPageSize             sipModuleAPI_QtGui.em_types[180]->u.td_wrapper_type

#define sipType_QPageSize_SizeMatchPolicy              sipModuleAPI_QtGui.em_types[182]
#define sipEnum_QPageSize_SizeMatchPolicy              sipModuleAPI_QtGui.em_types[182]->u.td_py_type
#define sipType_QPageSize_Unit              sipModuleAPI_QtGui.em_types[183]
#define sipEnum_QPageSize_Unit              sipModuleAPI_QtGui.em_types[183]->u.td_py_type
#define sipType_QPageSize_PageSizeId              sipModuleAPI_QtGui.em_types[181]
#define sipEnum_QPageSize_PageSizeId              sipModuleAPI_QtGui.em_types[181]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPageSize;

#define sipType_QPainter              sipModuleAPI_QtGui.em_types[199]
#define sipClass_QPainter             sipModuleAPI_QtGui.em_types[199]->u.td_wrapper_type

#define sipType_QPainter_PixmapFragmentHint              sipModuleAPI_QtGui.em_types[202]
#define sipEnum_QPainter_PixmapFragmentHint              sipModuleAPI_QtGui.em_types[202]->u.td_py_type
#define sipType_QPainter_CompositionMode              sipModuleAPI_QtGui.em_types[200]
#define sipEnum_QPainter_CompositionMode              sipModuleAPI_QtGui.em_types[200]->u.td_py_type
#define sipType_QPainter_RenderHint              sipModuleAPI_QtGui.em_types[204]
#define sipEnum_QPainter_RenderHint              sipModuleAPI_QtGui.em_types[204]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainter;

#define sipType_QPainter_RenderHints              sipModuleAPI_QtGui.em_types[205]
#define sipClass_QPainter_RenderHints             sipModuleAPI_QtGui.em_types[205]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainter_RenderHints;

#define sipType_QPainter_PixmapFragment              sipModuleAPI_QtGui.em_types[201]
#define sipClass_QPainter_PixmapFragment             sipModuleAPI_QtGui.em_types[201]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainter_PixmapFragment;

#define sipType_QPainter_PixmapFragmentHints              sipModuleAPI_QtGui.em_types[203]
#define sipClass_QPainter_PixmapFragmentHints             sipModuleAPI_QtGui.em_types[203]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainter_PixmapFragmentHints;

#define sipType_QTextItem              sipModuleAPI_QtGui.em_types[311]
#define sipClass_QTextItem             sipModuleAPI_QtGui.em_types[311]->u.td_wrapper_type

#define sipType_QTextItem_RenderFlag              sipModuleAPI_QtGui.em_types[312]
#define sipEnum_QTextItem_RenderFlag              sipModuleAPI_QtGui.em_types[312]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextItem;

#define sipType_QTextItem_RenderFlags              sipModuleAPI_QtGui.em_types[313]
#define sipClass_QTextItem_RenderFlags             sipModuleAPI_QtGui.em_types[313]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextItem_RenderFlags;

#define sipType_QPaintEngine              sipModuleAPI_QtGui.em_types[190]
#define sipClass_QPaintEngine             sipModuleAPI_QtGui.em_types[190]->u.td_wrapper_type

#define sipType_QPaintEngine_Type              sipModuleAPI_QtGui.em_types[196]
#define sipEnum_QPaintEngine_Type              sipModuleAPI_QtGui.em_types[196]->u.td_py_type
#define sipType_QPaintEngine_PolygonDrawMode              sipModuleAPI_QtGui.em_types[195]
#define sipEnum_QPaintEngine_PolygonDrawMode              sipModuleAPI_QtGui.em_types[195]->u.td_py_type
#define sipType_QPaintEngine_DirtyFlag              sipModuleAPI_QtGui.em_types[191]
#define sipEnum_QPaintEngine_DirtyFlag              sipModuleAPI_QtGui.em_types[191]->u.td_py_type
#define sipType_QPaintEngine_PaintEngineFeature              sipModuleAPI_QtGui.em_types[193]
#define sipEnum_QPaintEngine_PaintEngineFeature              sipModuleAPI_QtGui.em_types[193]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintEngine;

#define sipType_QPaintEngine_PaintEngineFeatures              sipModuleAPI_QtGui.em_types[194]
#define sipClass_QPaintEngine_PaintEngineFeatures             sipModuleAPI_QtGui.em_types[194]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintEngine_PaintEngineFeatures;

#define sipType_QPaintEngine_DirtyFlags              sipModuleAPI_QtGui.em_types[192]
#define sipClass_QPaintEngine_DirtyFlags             sipModuleAPI_QtGui.em_types[192]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintEngine_DirtyFlags;

#define sipType_QPaintEngineState              sipModuleAPI_QtGui.em_types[197]
#define sipClass_QPaintEngineState             sipModuleAPI_QtGui.em_types[197]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPaintEngineState;

#define sipType_QPainterPath              sipModuleAPI_QtGui.em_types[206]
#define sipClass_QPainterPath             sipModuleAPI_QtGui.em_types[206]->u.td_wrapper_type

#define sipType_QPainterPath_ElementType              sipModuleAPI_QtGui.em_types[208]
#define sipEnum_QPainterPath_ElementType              sipModuleAPI_QtGui.em_types[208]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainterPath;

#define sipType_QPainterPath_Element              sipModuleAPI_QtGui.em_types[207]
#define sipClass_QPainterPath_Element             sipModuleAPI_QtGui.em_types[207]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainterPath_Element;

#define sipType_QPainterPathStroker              sipModuleAPI_QtGui.em_types[209]
#define sipClass_QPainterPathStroker             sipModuleAPI_QtGui.em_types[209]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPainterPathStroker;

#define sipType_QPalette              sipModuleAPI_QtGui.em_types[212]
#define sipClass_QPalette             sipModuleAPI_QtGui.em_types[212]->u.td_wrapper_type

#define sipType_QPalette_ColorRole              sipModuleAPI_QtGui.em_types[214]
#define sipEnum_QPalette_ColorRole              sipModuleAPI_QtGui.em_types[214]->u.td_py_type
#define sipType_QPalette_ColorGroup              sipModuleAPI_QtGui.em_types[213]
#define sipEnum_QPalette_ColorGroup              sipModuleAPI_QtGui.em_types[213]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPalette;

#define sipType_QPdfWriter              sipModuleAPI_QtGui.em_types[215]
#define sipClass_QPdfWriter             sipModuleAPI_QtGui.em_types[215]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPdfWriter;

#define sipType_QPen              sipModuleAPI_QtGui.em_types[216]
#define sipClass_QPen             sipModuleAPI_QtGui.em_types[216]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPen;

#define sipType_QPicture              sipModuleAPI_QtGui.em_types[217]
#define sipClass_QPicture             sipModuleAPI_QtGui.em_types[217]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPicture;

#define sipType_QPictureIO              sipModuleAPI_QtGui.em_types[218]
#define sipClass_QPictureIO             sipModuleAPI_QtGui.em_types[218]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPictureIO;

#define sipType_QPixelFormat              sipModuleAPI_QtGui.em_types[219]
#define sipClass_QPixelFormat             sipModuleAPI_QtGui.em_types[219]->u.td_wrapper_type

#define sipType_QPixelFormat_ByteOrder              sipModuleAPI_QtGui.em_types[223]
#define sipEnum_QPixelFormat_ByteOrder              sipModuleAPI_QtGui.em_types[223]->u.td_py_type
#define sipType_QPixelFormat_YUVLayout              sipModuleAPI_QtGui.em_types[226]
#define sipEnum_QPixelFormat_YUVLayout              sipModuleAPI_QtGui.em_types[226]->u.td_py_type
#define sipType_QPixelFormat_TypeInterpretation              sipModuleAPI_QtGui.em_types[225]
#define sipEnum_QPixelFormat_TypeInterpretation              sipModuleAPI_QtGui.em_types[225]->u.td_py_type
#define sipType_QPixelFormat_AlphaPremultiplied              sipModuleAPI_QtGui.em_types[221]
#define sipEnum_QPixelFormat_AlphaPremultiplied              sipModuleAPI_QtGui.em_types[221]->u.td_py_type
#define sipType_QPixelFormat_AlphaPosition              sipModuleAPI_QtGui.em_types[220]
#define sipEnum_QPixelFormat_AlphaPosition              sipModuleAPI_QtGui.em_types[220]->u.td_py_type
#define sipType_QPixelFormat_AlphaUsage              sipModuleAPI_QtGui.em_types[222]
#define sipEnum_QPixelFormat_AlphaUsage              sipModuleAPI_QtGui.em_types[222]->u.td_py_type
#define sipType_QPixelFormat_ColorModel              sipModuleAPI_QtGui.em_types[224]
#define sipEnum_QPixelFormat_ColorModel              sipModuleAPI_QtGui.em_types[224]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPixelFormat;

#define sipType_QPixmapCache              sipModuleAPI_QtGui.em_types[228]
#define sipClass_QPixmapCache             sipModuleAPI_QtGui.em_types[228]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPixmapCache;

#define sipType_QPixmapCache_Key              sipModuleAPI_QtGui.em_types[229]
#define sipClass_QPixmapCache_Key             sipModuleAPI_QtGui.em_types[229]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPixmapCache_Key;

#define sipType_QPolygon              sipModuleAPI_QtGui.em_types[232]
#define sipClass_QPolygon             sipModuleAPI_QtGui.em_types[232]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPolygon;

#define sipType_QPolygonF              sipModuleAPI_QtGui.em_types[233]
#define sipClass_QPolygonF             sipModuleAPI_QtGui.em_types[233]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QPolygonF;

#define sipType_QQuaternion              sipModuleAPI_QtGui.em_types[234]
#define sipClass_QQuaternion             sipModuleAPI_QtGui.em_types[234]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QQuaternion;

#define sipType_QRasterWindow              sipModuleAPI_QtGui.em_types[236]
#define sipClass_QRasterWindow             sipModuleAPI_QtGui.em_types[236]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRasterWindow;

#define sipType_QRawFont              sipModuleAPI_QtGui.em_types[237]
#define sipClass_QRawFont             sipModuleAPI_QtGui.em_types[237]->u.td_wrapper_type

#define sipType_QRawFont_LayoutFlag              sipModuleAPI_QtGui.em_types[239]
#define sipEnum_QRawFont_LayoutFlag              sipModuleAPI_QtGui.em_types[239]->u.td_py_type
#define sipType_QRawFont_AntialiasingType              sipModuleAPI_QtGui.em_types[238]
#define sipEnum_QRawFont_AntialiasingType              sipModuleAPI_QtGui.em_types[238]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRawFont;

#define sipType_QRawFont_LayoutFlags              sipModuleAPI_QtGui.em_types[240]
#define sipClass_QRawFont_LayoutFlags             sipModuleAPI_QtGui.em_types[240]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRawFont_LayoutFlags;

#define sipType_QRegion              sipModuleAPI_QtGui.em_types[242]
#define sipClass_QRegion             sipModuleAPI_QtGui.em_types[242]->u.td_wrapper_type

#define sipType_QRegion_RegionType              sipModuleAPI_QtGui.em_types[243]
#define sipEnum_QRegion_RegionType              sipModuleAPI_QtGui.em_types[243]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRegion;

#define sipType_QScreen              sipModuleAPI_QtGui.em_types[246]
#define sipClass_QScreen             sipModuleAPI_QtGui.em_types[246]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QScreen;

#define sipType_QSessionManager              sipModuleAPI_QtGui.em_types[250]
#define sipClass_QSessionManager             sipModuleAPI_QtGui.em_types[250]->u.td_wrapper_type

#define sipType_QSessionManager_RestartHint              sipModuleAPI_QtGui.em_types[251]
#define sipEnum_QSessionManager_RestartHint              sipModuleAPI_QtGui.em_types[251]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QSessionManager;

#define sipType_QStandardItemModel              sipModuleAPI_QtGui.em_types[257]
#define sipClass_QStandardItemModel             sipModuleAPI_QtGui.em_types[257]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QStandardItemModel;

#define sipType_QStandardItem              sipModuleAPI_QtGui.em_types[255]
#define sipClass_QStandardItem             sipModuleAPI_QtGui.em_types[255]->u.td_wrapper_type

#define sipType_QStandardItem_ItemType              sipModuleAPI_QtGui.em_types[256]
#define sipEnum_QStandardItem_ItemType              sipModuleAPI_QtGui.em_types[256]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QStandardItem;

#define sipType_QStaticText              sipModuleAPI_QtGui.em_types[258]
#define sipClass_QStaticText             sipModuleAPI_QtGui.em_types[258]->u.td_wrapper_type

#define sipType_QStaticText_PerformanceHint              sipModuleAPI_QtGui.em_types[259]
#define sipEnum_QStaticText_PerformanceHint              sipModuleAPI_QtGui.em_types[259]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QStaticText;

#define sipType_QStyleHints              sipModuleAPI_QtGui.em_types[261]
#define sipClass_QStyleHints             sipModuleAPI_QtGui.em_types[261]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QStyleHints;

#define sipType_QSurfaceFormat              sipModuleAPI_QtGui.em_types[265]
#define sipClass_QSurfaceFormat             sipModuleAPI_QtGui.em_types[265]->u.td_wrapper_type

#define sipType_QSurfaceFormat_OpenGLContextProfile              sipModuleAPI_QtGui.em_types[268]
#define sipEnum_QSurfaceFormat_OpenGLContextProfile              sipModuleAPI_QtGui.em_types[268]->u.td_py_type
#define sipType_QSurfaceFormat_RenderableType              sipModuleAPI_QtGui.em_types[269]
#define sipEnum_QSurfaceFormat_RenderableType              sipModuleAPI_QtGui.em_types[269]->u.td_py_type
#define sipType_QSurfaceFormat_SwapBehavior              sipModuleAPI_QtGui.em_types[270]
#define sipEnum_QSurfaceFormat_SwapBehavior              sipModuleAPI_QtGui.em_types[270]->u.td_py_type
#define sipType_QSurfaceFormat_FormatOption              sipModuleAPI_QtGui.em_types[266]
#define sipEnum_QSurfaceFormat_FormatOption              sipModuleAPI_QtGui.em_types[266]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QSurfaceFormat;

#define sipType_QSurfaceFormat_FormatOptions              sipModuleAPI_QtGui.em_types[267]
#define sipClass_QSurfaceFormat_FormatOptions             sipModuleAPI_QtGui.em_types[267]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QSurfaceFormat_FormatOptions;

#define sipType_QSyntaxHighlighter              sipModuleAPI_QtGui.em_types[271]
#define sipClass_QSyntaxHighlighter             sipModuleAPI_QtGui.em_types[271]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QSyntaxHighlighter;

#define sipType_QTextCursor              sipModuleAPI_QtGui.em_types[285]
#define sipClass_QTextCursor             sipModuleAPI_QtGui.em_types[285]->u.td_wrapper_type

#define sipType_QTextCursor_SelectionType              sipModuleAPI_QtGui.em_types[288]
#define sipEnum_QTextCursor_SelectionType              sipModuleAPI_QtGui.em_types[288]->u.td_py_type
#define sipType_QTextCursor_MoveOperation              sipModuleAPI_QtGui.em_types[287]
#define sipEnum_QTextCursor_MoveOperation              sipModuleAPI_QtGui.em_types[287]->u.td_py_type
#define sipType_QTextCursor_MoveMode              sipModuleAPI_QtGui.em_types[286]
#define sipEnum_QTextCursor_MoveMode              sipModuleAPI_QtGui.em_types[286]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextCursor;


extern pyqt5ClassTypeDef sipTypeDef_QtGui_Qt;

#define sipType_QTextDocument              sipModuleAPI_QtGui.em_types[289]
#define sipClass_QTextDocument             sipModuleAPI_QtGui.em_types[289]->u.td_wrapper_type

#define sipType_QTextDocument_Stacks              sipModuleAPI_QtGui.em_types[294]
#define sipEnum_QTextDocument_Stacks              sipModuleAPI_QtGui.em_types[294]->u.td_py_type
#define sipType_QTextDocument_ResourceType              sipModuleAPI_QtGui.em_types[293]
#define sipEnum_QTextDocument_ResourceType              sipModuleAPI_QtGui.em_types[293]->u.td_py_type
#define sipType_QTextDocument_FindFlag              sipModuleAPI_QtGui.em_types[290]
#define sipEnum_QTextDocument_FindFlag              sipModuleAPI_QtGui.em_types[290]->u.td_py_type
#define sipType_QTextDocument_MetaInformation              sipModuleAPI_QtGui.em_types[292]
#define sipEnum_QTextDocument_MetaInformation              sipModuleAPI_QtGui.em_types[292]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextDocument;

#define sipType_QTextDocument_FindFlags              sipModuleAPI_QtGui.em_types[291]
#define sipClass_QTextDocument_FindFlags             sipModuleAPI_QtGui.em_types[291]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextDocument_FindFlags;

#define sipType_QTextDocumentFragment              sipModuleAPI_QtGui.em_types[295]
#define sipClass_QTextDocumentFragment             sipModuleAPI_QtGui.em_types[295]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextDocumentFragment;

#define sipType_QTextDocumentWriter              sipModuleAPI_QtGui.em_types[296]
#define sipClass_QTextDocumentWriter             sipModuleAPI_QtGui.em_types[296]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextDocumentWriter;

#define sipType_QTextLength              sipModuleAPI_QtGui.em_types[317]
#define sipClass_QTextLength             sipModuleAPI_QtGui.em_types[317]->u.td_wrapper_type

#define sipType_QTextLength_Type              sipModuleAPI_QtGui.em_types[318]
#define sipEnum_QTextLength_Type              sipModuleAPI_QtGui.em_types[318]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextLength;

#define sipType_QTextFormat              sipModuleAPI_QtGui.em_types[297]
#define sipClass_QTextFormat             sipModuleAPI_QtGui.em_types[297]->u.td_wrapper_type

#define sipType_QTextFormat_Property              sipModuleAPI_QtGui.em_types[302]
#define sipEnum_QTextFormat_Property              sipModuleAPI_QtGui.em_types[302]->u.td_py_type
#define sipType_QTextFormat_PageBreakFlag              sipModuleAPI_QtGui.em_types[300]
#define sipEnum_QTextFormat_PageBreakFlag              sipModuleAPI_QtGui.em_types[300]->u.td_py_type
#define sipType_QTextFormat_ObjectTypes              sipModuleAPI_QtGui.em_types[299]
#define sipEnum_QTextFormat_ObjectTypes              sipModuleAPI_QtGui.em_types[299]->u.td_py_type
#define sipType_QTextFormat_FormatType              sipModuleAPI_QtGui.em_types[298]
#define sipEnum_QTextFormat_FormatType              sipModuleAPI_QtGui.em_types[298]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFormat;

#define sipType_QTextFormat_PageBreakFlags              sipModuleAPI_QtGui.em_types[301]
#define sipClass_QTextFormat_PageBreakFlags             sipModuleAPI_QtGui.em_types[301]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFormat_PageBreakFlags;

#define sipType_QTextCharFormat              sipModuleAPI_QtGui.em_types[281]
#define sipClass_QTextCharFormat             sipModuleAPI_QtGui.em_types[281]->u.td_wrapper_type

#define sipType_QTextCharFormat_FontPropertiesInheritanceBehavior              sipModuleAPI_QtGui.em_types[282]
#define sipEnum_QTextCharFormat_FontPropertiesInheritanceBehavior              sipModuleAPI_QtGui.em_types[282]->u.td_py_type
#define sipType_QTextCharFormat_UnderlineStyle              sipModuleAPI_QtGui.em_types[283]
#define sipEnum_QTextCharFormat_UnderlineStyle              sipModuleAPI_QtGui.em_types[283]->u.td_py_type
#define sipType_QTextCharFormat_VerticalAlignment              sipModuleAPI_QtGui.em_types[284]
#define sipEnum_QTextCharFormat_VerticalAlignment              sipModuleAPI_QtGui.em_types[284]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextCharFormat;

#define sipType_QTextBlockFormat              sipModuleAPI_QtGui.em_types[277]
#define sipClass_QTextBlockFormat             sipModuleAPI_QtGui.em_types[277]->u.td_wrapper_type

#define sipType_QTextBlockFormat_LineHeightTypes              sipModuleAPI_QtGui.em_types[278]
#define sipEnum_QTextBlockFormat_LineHeightTypes              sipModuleAPI_QtGui.em_types[278]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextBlockFormat;

#define sipType_QTextListFormat              sipModuleAPI_QtGui.em_types[323]
#define sipClass_QTextListFormat             sipModuleAPI_QtGui.em_types[323]->u.td_wrapper_type

#define sipType_QTextListFormat_Style              sipModuleAPI_QtGui.em_types[324]
#define sipEnum_QTextListFormat_Style              sipModuleAPI_QtGui.em_types[324]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextListFormat;

#define sipType_QTextImageFormat              sipModuleAPI_QtGui.em_types[309]
#define sipClass_QTextImageFormat             sipModuleAPI_QtGui.em_types[309]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextImageFormat;

#define sipType_QTextFrameFormat              sipModuleAPI_QtGui.em_types[306]
#define sipClass_QTextFrameFormat             sipModuleAPI_QtGui.em_types[306]->u.td_wrapper_type

#define sipType_QTextFrameFormat_BorderStyle              sipModuleAPI_QtGui.em_types[307]
#define sipEnum_QTextFrameFormat_BorderStyle              sipModuleAPI_QtGui.em_types[307]->u.td_py_type
#define sipType_QTextFrameFormat_Position              sipModuleAPI_QtGui.em_types[308]
#define sipEnum_QTextFrameFormat_Position              sipModuleAPI_QtGui.em_types[308]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFrameFormat;

#define sipType_QTextTableFormat              sipModuleAPI_QtGui.em_types[336]
#define sipClass_QTextTableFormat             sipModuleAPI_QtGui.em_types[336]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextTableFormat;

#define sipType_QTextTableCellFormat              sipModuleAPI_QtGui.em_types[335]
#define sipClass_QTextTableCellFormat             sipModuleAPI_QtGui.em_types[335]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextTableCellFormat;

#define sipType_QTextInlineObject              sipModuleAPI_QtGui.em_types[310]
#define sipClass_QTextInlineObject             sipModuleAPI_QtGui.em_types[310]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextInlineObject;

#define sipType_QTextLayout              sipModuleAPI_QtGui.em_types[314]
#define sipClass_QTextLayout             sipModuleAPI_QtGui.em_types[314]->u.td_wrapper_type

#define sipType_QTextLayout_CursorMode              sipModuleAPI_QtGui.em_types[315]
#define sipEnum_QTextLayout_CursorMode              sipModuleAPI_QtGui.em_types[315]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextLayout;

#define sipType_QTextLayout_FormatRange              sipModuleAPI_QtGui.em_types[316]
#define sipClass_QTextLayout_FormatRange             sipModuleAPI_QtGui.em_types[316]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextLayout_FormatRange;

#define sipType_QTextLine              sipModuleAPI_QtGui.em_types[319]
#define sipClass_QTextLine             sipModuleAPI_QtGui.em_types[319]->u.td_wrapper_type

#define sipType_QTextLine_CursorPosition              sipModuleAPI_QtGui.em_types[320]
#define sipEnum_QTextLine_CursorPosition              sipModuleAPI_QtGui.em_types[320]->u.td_py_type
#define sipType_QTextLine_Edge              sipModuleAPI_QtGui.em_types[321]
#define sipEnum_QTextLine_Edge              sipModuleAPI_QtGui.em_types[321]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextLine;

#define sipType_QTextObject              sipModuleAPI_QtGui.em_types[325]
#define sipClass_QTextObject             sipModuleAPI_QtGui.em_types[325]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextObject;

#define sipType_QTextBlockGroup              sipModuleAPI_QtGui.em_types[279]
#define sipClass_QTextBlockGroup             sipModuleAPI_QtGui.em_types[279]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextBlockGroup;

#define sipType_QTextList              sipModuleAPI_QtGui.em_types[322]
#define sipClass_QTextList             sipModuleAPI_QtGui.em_types[322]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextList;

#define sipType_QTextFrame              sipModuleAPI_QtGui.em_types[304]
#define sipClass_QTextFrame             sipModuleAPI_QtGui.em_types[304]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFrame;

#define sipType_QTextFrame_iterator              sipModuleAPI_QtGui.em_types[305]
#define sipClass_QTextFrame_iterator             sipModuleAPI_QtGui.em_types[305]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFrame_iterator;

#define sipType_QTextBlock              sipModuleAPI_QtGui.em_types[275]
#define sipClass_QTextBlock             sipModuleAPI_QtGui.em_types[275]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextBlock;

#define sipType_QTextBlock_iterator              sipModuleAPI_QtGui.em_types[276]
#define sipClass_QTextBlock_iterator             sipModuleAPI_QtGui.em_types[276]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextBlock_iterator;

#define sipType_QTextFragment              sipModuleAPI_QtGui.em_types[303]
#define sipClass_QTextFragment             sipModuleAPI_QtGui.em_types[303]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextFragment;

#define sipType_QTextBlockUserData              sipModuleAPI_QtGui.em_types[280]
#define sipClass_QTextBlockUserData             sipModuleAPI_QtGui.em_types[280]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextBlockUserData;

#define sipType_QTextOption              sipModuleAPI_QtGui.em_types[327]
#define sipClass_QTextOption             sipModuleAPI_QtGui.em_types[327]->u.td_wrapper_type

#define sipType_QTextOption_TabType              sipModuleAPI_QtGui.em_types[331]
#define sipEnum_QTextOption_TabType              sipModuleAPI_QtGui.em_types[331]->u.td_py_type
#define sipType_QTextOption_Flag              sipModuleAPI_QtGui.em_types[328]
#define sipEnum_QTextOption_Flag              sipModuleAPI_QtGui.em_types[328]->u.td_py_type
#define sipType_QTextOption_WrapMode              sipModuleAPI_QtGui.em_types[332]
#define sipEnum_QTextOption_WrapMode              sipModuleAPI_QtGui.em_types[332]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextOption;

#define sipType_QTextOption_Flags              sipModuleAPI_QtGui.em_types[329]
#define sipClass_QTextOption_Flags             sipModuleAPI_QtGui.em_types[329]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextOption_Flags;

#define sipType_QTextOption_Tab              sipModuleAPI_QtGui.em_types[330]
#define sipClass_QTextOption_Tab             sipModuleAPI_QtGui.em_types[330]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextOption_Tab;

#define sipType_QTextTableCell              sipModuleAPI_QtGui.em_types[334]
#define sipClass_QTextTableCell             sipModuleAPI_QtGui.em_types[334]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextTableCell;

#define sipType_QTextTable              sipModuleAPI_QtGui.em_types[333]
#define sipClass_QTextTable             sipModuleAPI_QtGui.em_types[333]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTextTable;

#define sipType_QTouchDevice              sipModuleAPI_QtGui.em_types[337]
#define sipClass_QTouchDevice             sipModuleAPI_QtGui.em_types[337]->u.td_wrapper_type

#define sipType_QTouchDevice_CapabilityFlag              sipModuleAPI_QtGui.em_types[339]
#define sipEnum_QTouchDevice_CapabilityFlag              sipModuleAPI_QtGui.em_types[339]->u.td_py_type
#define sipType_QTouchDevice_DeviceType              sipModuleAPI_QtGui.em_types[340]
#define sipEnum_QTouchDevice_DeviceType              sipModuleAPI_QtGui.em_types[340]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTouchDevice;

#define sipType_QTouchDevice_Capabilities              sipModuleAPI_QtGui.em_types[338]
#define sipClass_QTouchDevice_Capabilities             sipModuleAPI_QtGui.em_types[338]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTouchDevice_Capabilities;

#define sipType_QTransform              sipModuleAPI_QtGui.em_types[345]
#define sipClass_QTransform             sipModuleAPI_QtGui.em_types[345]->u.td_wrapper_type

#define sipType_QTransform_TransformationType              sipModuleAPI_QtGui.em_types[346]
#define sipEnum_QTransform_TransformationType              sipModuleAPI_QtGui.em_types[346]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QTransform;

#define sipType_QValidator              sipModuleAPI_QtGui.em_types[347]
#define sipClass_QValidator             sipModuleAPI_QtGui.em_types[347]->u.td_wrapper_type

#define sipType_QValidator_State              sipModuleAPI_QtGui.em_types[348]
#define sipEnum_QValidator_State              sipModuleAPI_QtGui.em_types[348]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QValidator;

#define sipType_QIntValidator              sipModuleAPI_QtGui.em_types[82]
#define sipClass_QIntValidator             sipModuleAPI_QtGui.em_types[82]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QIntValidator;

#define sipType_QDoubleValidator              sipModuleAPI_QtGui.em_types[20]
#define sipClass_QDoubleValidator             sipModuleAPI_QtGui.em_types[20]->u.td_wrapper_type

#define sipType_QDoubleValidator_Notation              sipModuleAPI_QtGui.em_types[21]
#define sipEnum_QDoubleValidator_Notation              sipModuleAPI_QtGui.em_types[21]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QDoubleValidator;

#define sipType_QRegExpValidator              sipModuleAPI_QtGui.em_types[241]
#define sipClass_QRegExpValidator             sipModuleAPI_QtGui.em_types[241]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRegExpValidator;

#define sipType_QRegularExpressionValidator              sipModuleAPI_QtGui.em_types[244]
#define sipClass_QRegularExpressionValidator             sipModuleAPI_QtGui.em_types[244]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QRegularExpressionValidator;

#define sipType_QVector2D              sipModuleAPI_QtGui.em_types[349]
#define sipClass_QVector2D             sipModuleAPI_QtGui.em_types[349]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QVector2D;

#define sipType_QVector3D              sipModuleAPI_QtGui.em_types[350]
#define sipClass_QVector3D             sipModuleAPI_QtGui.em_types[350]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QVector3D;

#define sipType_QVector4D              sipModuleAPI_QtGui.em_types[351]
#define sipClass_QVector4D             sipModuleAPI_QtGui.em_types[351]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtGui_QVector4D;

#define sipType_QList_0111QTouchDevice      sipModuleAPI_QtGui.em_types[104]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0111QTouchDevice;

#define sipType_QList_0101QTextFrame      sipModuleAPI_QtGui.em_types[101]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QTextFrame;

#define sipType_QList_0100QTextBlock      sipModuleAPI_QtGui.em_types[100]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextBlock;

#define sipType_QList_0100QGlyphRun      sipModuleAPI_QtGui.em_types[90]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QGlyphRun;

#define sipType_QVector_0100QTextLayout_FormatRange      sipModuleAPI_QtGui.em_types[361]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextLayout_FormatRange;

#define sipType_QList_0100QTextLayout_FormatRange      sipModuleAPI_QtGui.em_types[102]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextLayout_FormatRange;

#define sipType_QList_0100QTextOption_Tab      sipModuleAPI_QtGui.em_types[103]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextOption_Tab;

#define sipType_QVector_0100QTextLength      sipModuleAPI_QtGui.em_types[362]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextLength;

#define sipType_QVector_0100QTextFormat      sipModuleAPI_QtGui.em_types[360]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextFormat;

#define sipType_QList_0101QStandardItem      sipModuleAPI_QtGui.em_types[99]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QStandardItem;

#define sipType_QList_0100QPolygonF      sipModuleAPI_QtGui.em_types[96]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QPolygonF;

#define sipType_QVector_0100QRect      sipModuleAPI_QtGui.em_types[358]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QRect;

#define sipType_QVector_0100QRectF      sipModuleAPI_QtGui.em_types[359]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QRectF;

#define sipType_QVector_0100QPoint      sipModuleAPI_QtGui.em_types[357]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QPoint;

#define sipType_QVector_0100QLine      sipModuleAPI_QtGui.em_types[354]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QLine;

#define sipType_QVector_0100QLineF      sipModuleAPI_QtGui.em_types[355]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QLineF;

#define sipType_QList_0101QOpenGLShader      sipModuleAPI_QtGui.em_types[95]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QOpenGLShader;

#define sipType_QList_0100QOpenGLDebugMessage      sipModuleAPI_QtGui.em_types[94]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QOpenGLDebugMessage;

#define sipType_QSet_0100QByteArray      sipModuleAPI_QtGui.em_types[252]

extern sipMappedTypeDef sipTypeDef_QtGui_QSet_0100QByteArray;

#define sipType_QList_0101QOpenGLContext      sipModuleAPI_QtGui.em_types[93]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QOpenGLContext;

#define sipType_QList_0100QKeySequence      sipModuleAPI_QtGui.em_types[92]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QKeySequence;

#define sipType_QList_0101QScreen      sipModuleAPI_QtGui.em_types[97]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QScreen;

#define sipType_QList_0100QTouchEvent_TouchPoint      sipModuleAPI_QtGui.em_types[105]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTouchEvent_TouchPoint;

#define sipType_QList_0100QInputMethodEvent_Attribute      sipModuleAPI_QtGui.em_types[91]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QInputMethodEvent_Attribute;

#define sipType_QList_0100QSize      sipModuleAPI_QtGui.em_types[98]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QSize;

#define sipType_QVector_0100QAbstractTextDocumentLayout_Selection      sipModuleAPI_QtGui.em_types[353]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QAbstractTextDocumentLayout_Selection;

#define sipType_QList_0101QWindow      sipModuleAPI_QtGui.em_types[106]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QWindow;

#define sipType_QVector_0600QPair_2400_0100QColor      sipModuleAPI_QtGui.em_types[356]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0600QPair_2400_0100QColor;

#define sipType_QVector_3900      sipModuleAPI_QtGui.em_types[352]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_3900;

#define sipType_QVector_2400      sipModuleAPI_QtGui.em_types[364]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_2400;

#define sipType_QVector_2200      sipModuleAPI_QtGui.em_types[363]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_2200;

#define sipType_QVector_1900      sipModuleAPI_QtGui.em_types[365]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_1900;

#define sipType_QPair_2200_2200      sipModuleAPI_QtGui.em_types[211]

extern sipMappedTypeDef sipTypeDef_QtGui_QPair_2200_2200;

#define sipType_QPair_0100QOpenGLTexture_Filter_0100QOpenGLTexture_Filter      sipModuleAPI_QtGui.em_types[210]

extern sipMappedTypeDef sipTypeDef_QtGui_QPair_0100QOpenGLTexture_Filter_0100QOpenGLTexture_Filter;

#define sipType_QList_0100QFontDatabase_WritingSystem      sipModuleAPI_QtGui.em_types[89]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QFontDatabase_WritingSystem;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtGui;
extern sipExportedModuleDef sipModuleAPI_QtGui;

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_QtGui_QtCore->em_types[311]
#define sipClass_Qt             sipModuleAPI_QtGui_QtCore->em_types[311]->u.td_wrapper_type
#endif

#define sipType_Qt_ItemSelectionOperation              sipModuleAPI_QtGui_QtCore->em_types[362]
#define sipEnum_Qt_ItemSelectionOperation              sipModuleAPI_QtGui_QtCore->em_types[362]->u.td_py_type
#define sipType_Qt_TabFocusBehavior              sipModuleAPI_QtGui_QtCore->em_types[391]
#define sipEnum_Qt_TabFocusBehavior              sipModuleAPI_QtGui_QtCore->em_types[391]->u.td_py_type
#define sipType_Qt_MouseEventFlag              sipModuleAPI_QtGui_QtCore->em_types[373]
#define sipEnum_Qt_MouseEventFlag              sipModuleAPI_QtGui_QtCore->em_types[373]->u.td_py_type
#define sipType_Qt_MouseEventSource              sipModuleAPI_QtGui_QtCore->em_types[375]
#define sipEnum_Qt_MouseEventSource              sipModuleAPI_QtGui_QtCore->em_types[375]->u.td_py_type
#define sipType_Qt_ScrollPhase              sipModuleAPI_QtGui_QtCore->em_types[386]
#define sipEnum_Qt_ScrollPhase              sipModuleAPI_QtGui_QtCore->em_types[386]->u.td_py_type
#define sipType_Qt_NativeGestureType              sipModuleAPI_QtGui_QtCore->em_types[376]
#define sipEnum_Qt_NativeGestureType              sipModuleAPI_QtGui_QtCore->em_types[376]->u.td_py_type
#define sipType_Qt_Edge              sipModuleAPI_QtGui_QtCore->em_types[338]
#define sipEnum_Qt_Edge              sipModuleAPI_QtGui_QtCore->em_types[338]->u.td_py_type
#define sipType_Qt_ApplicationState              sipModuleAPI_QtGui_QtCore->em_types[316]
#define sipEnum_Qt_ApplicationState              sipModuleAPI_QtGui_QtCore->em_types[316]->u.td_py_type
#define sipType_Qt_HitTestAccuracy              sipModuleAPI_QtGui_QtCore->em_types[351]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_QtGui_QtCore->em_types[351]->u.td_py_type
#define sipType_Qt_WhiteSpaceMode              sipModuleAPI_QtGui_QtCore->em_types[407]
#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_QtGui_QtCore->em_types[407]->u.td_py_type
#define sipType_Qt_FindChildOption              sipModuleAPI_QtGui_QtCore->em_types[342]
#define sipEnum_Qt_FindChildOption              sipModuleAPI_QtGui_QtCore->em_types[342]->u.td_py_type
#define sipType_Qt_ScreenOrientation              sipModuleAPI_QtGui_QtCore->em_types[383]
#define sipEnum_Qt_ScreenOrientation              sipModuleAPI_QtGui_QtCore->em_types[383]->u.td_py_type
#define sipType_Qt_CursorMoveStyle              sipModuleAPI_QtGui_QtCore->em_types[330]
#define sipEnum_Qt_CursorMoveStyle              sipModuleAPI_QtGui_QtCore->em_types[330]->u.td_py_type
#define sipType_Qt_NavigationMode              sipModuleAPI_QtGui_QtCore->em_types[377]
#define sipEnum_Qt_NavigationMode              sipModuleAPI_QtGui_QtCore->em_types[377]->u.td_py_type
#define sipType_Qt_GestureFlag              sipModuleAPI_QtGui_QtCore->em_types[346]
#define sipEnum_Qt_GestureFlag              sipModuleAPI_QtGui_QtCore->em_types[346]->u.td_py_type
#define sipType_Qt_GestureType              sipModuleAPI_QtGui_QtCore->em_types[349]
#define sipEnum_Qt_GestureType              sipModuleAPI_QtGui_QtCore->em_types[349]->u.td_py_type
#define sipType_Qt_GestureState              sipModuleAPI_QtGui_QtCore->em_types[348]
#define sipEnum_Qt_GestureState              sipModuleAPI_QtGui_QtCore->em_types[348]->u.td_py_type
#define sipType_Qt_TouchPointState              sipModuleAPI_QtGui_QtCore->em_types[403]
#define sipEnum_Qt_TouchPointState              sipModuleAPI_QtGui_QtCore->em_types[403]->u.td_py_type
#define sipType_Qt_CoordinateSystem              sipModuleAPI_QtGui_QtCore->em_types[328]
#define sipEnum_Qt_CoordinateSystem              sipModuleAPI_QtGui_QtCore->em_types[328]->u.td_py_type
#define sipType_Qt_AnchorPoint              sipModuleAPI_QtGui_QtCore->em_types[314]
#define sipEnum_Qt_AnchorPoint              sipModuleAPI_QtGui_QtCore->em_types[314]->u.td_py_type
#define sipType_Qt_InputMethodHint              sipModuleAPI_QtGui_QtCore->em_types[354]
#define sipEnum_Qt_InputMethodHint              sipModuleAPI_QtGui_QtCore->em_types[354]->u.td_py_type
#define sipType_Qt_TileRule              sipModuleAPI_QtGui_QtCore->em_types[397]
#define sipEnum_Qt_TileRule              sipModuleAPI_QtGui_QtCore->em_types[397]->u.td_py_type
#define sipType_Qt_WindowFrameSection              sipModuleAPI_QtGui_QtCore->em_types[410]
#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_QtGui_QtCore->em_types[410]->u.td_py_type
#define sipType_Qt_SizeHint              sipModuleAPI_QtGui_QtCore->em_types[388]
#define sipEnum_Qt_SizeHint              sipModuleAPI_QtGui_QtCore->em_types[388]->u.td_py_type
#define sipType_Qt_SizeMode              sipModuleAPI_QtGui_QtCore->em_types[389]
#define sipEnum_Qt_SizeMode              sipModuleAPI_QtGui_QtCore->em_types[389]->u.td_py_type
#define sipType_Qt_EventPriority              sipModuleAPI_QtGui_QtCore->em_types[340]
#define sipEnum_Qt_EventPriority              sipModuleAPI_QtGui_QtCore->em_types[340]->u.td_py_type
#define sipType_Qt_Axis              sipModuleAPI_QtGui_QtCore->em_types[320]
#define sipEnum_Qt_Axis              sipModuleAPI_QtGui_QtCore->em_types[320]->u.td_py_type
#define sipType_Qt_MaskMode              sipModuleAPI_QtGui_QtCore->em_types[367]
#define sipEnum_Qt_MaskMode              sipModuleAPI_QtGui_QtCore->em_types[367]->u.td_py_type
#define sipType_Qt_TextInteractionFlag              sipModuleAPI_QtGui_QtCore->em_types[395]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_QtGui_QtCore->em_types[395]->u.td_py_type
#define sipType_Qt_ItemSelectionMode              sipModuleAPI_QtGui_QtCore->em_types[361]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_QtGui_QtCore->em_types[361]->u.td_py_type
#define sipType_Qt_ApplicationAttribute              sipModuleAPI_QtGui_QtCore->em_types[315]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_QtGui_QtCore->em_types[315]->u.td_py_type
#define sipType_Qt_WindowModality              sipModuleAPI_QtGui_QtCore->em_types[411]
#define sipEnum_Qt_WindowModality              sipModuleAPI_QtGui_QtCore->em_types[411]->u.td_py_type
#define sipType_Qt_MatchFlag              sipModuleAPI_QtGui_QtCore->em_types[368]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_QtGui_QtCore->em_types[368]->u.td_py_type
#define sipType_Qt_ItemFlag              sipModuleAPI_QtGui_QtCore->em_types[359]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_QtGui_QtCore->em_types[359]->u.td_py_type
#define sipType_Qt_ItemDataRole              sipModuleAPI_QtGui_QtCore->em_types[358]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_QtGui_QtCore->em_types[358]->u.td_py_type
#define sipType_Qt_CheckState              sipModuleAPI_QtGui_QtCore->em_types[324]
#define sipEnum_Qt_CheckState              sipModuleAPI_QtGui_QtCore->em_types[324]->u.td_py_type
#define sipType_Qt_DropAction              sipModuleAPI_QtGui_QtCore->em_types[336]
#define sipEnum_Qt_DropAction              sipModuleAPI_QtGui_QtCore->em_types[336]->u.td_py_type
#define sipType_Qt_LayoutDirection              sipModuleAPI_QtGui_QtCore->em_types[366]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_QtGui_QtCore->em_types[366]->u.td_py_type
#define sipType_Qt_ToolButtonStyle              sipModuleAPI_QtGui_QtCore->em_types[402]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_QtGui_QtCore->em_types[402]->u.td_py_type
#define sipType_Qt_InputMethodQuery              sipModuleAPI_QtGui_QtCore->em_types[357]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_QtGui_QtCore->em_types[357]->u.td_py_type
#define sipType_Qt_ContextMenuPolicy              sipModuleAPI_QtGui_QtCore->em_types[327]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_QtGui_QtCore->em_types[327]->u.td_py_type
#define sipType_Qt_FocusReason              sipModuleAPI_QtGui_QtCore->em_types[345]
#define sipEnum_Qt_FocusReason              sipModuleAPI_QtGui_QtCore->em_types[345]->u.td_py_type
#define sipType_Qt_TransformationMode              sipModuleAPI_QtGui_QtCore->em_types[405]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_QtGui_QtCore->em_types[405]->u.td_py_type
#define sipType_Qt_ClipOperation              sipModuleAPI_QtGui_QtCore->em_types[325]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_QtGui_QtCore->em_types[325]->u.td_py_type
#define sipType_Qt_FillRule              sipModuleAPI_QtGui_QtCore->em_types[341]
#define sipEnum_Qt_FillRule              sipModuleAPI_QtGui_QtCore->em_types[341]->u.td_py_type
#define sipType_Qt_ShortcutContext              sipModuleAPI_QtGui_QtCore->em_types[387]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_QtGui_QtCore->em_types[387]->u.td_py_type
#define sipType_Qt_ConnectionType              sipModuleAPI_QtGui_QtCore->em_types[326]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_QtGui_QtCore->em_types[326]->u.td_py_type
#define sipType_Qt_Corner              sipModuleAPI_QtGui_QtCore->em_types[329]
#define sipEnum_Qt_Corner              sipModuleAPI_QtGui_QtCore->em_types[329]->u.td_py_type
#define sipType_Qt_CaseSensitivity              sipModuleAPI_QtGui_QtCore->em_types[323]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_QtGui_QtCore->em_types[323]->u.td_py_type
#define sipType_Qt_ScrollBarPolicy              sipModuleAPI_QtGui_QtCore->em_types[385]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_QtGui_QtCore->em_types[385]->u.td_py_type
#define sipType_Qt_DayOfWeek              sipModuleAPI_QtGui_QtCore->em_types[333]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_QtGui_QtCore->em_types[333]->u.td_py_type
#define sipType_Qt_TimeSpec              sipModuleAPI_QtGui_QtCore->em_types[398]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_QtGui_QtCore->em_types[398]->u.td_py_type
#define sipType_Qt_DateFormat              sipModuleAPI_QtGui_QtCore->em_types[332]
#define sipEnum_Qt_DateFormat              sipModuleAPI_QtGui_QtCore->em_types[332]->u.td_py_type
#define sipType_Qt_ToolBarArea              sipModuleAPI_QtGui_QtCore->em_types[400]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_QtGui_QtCore->em_types[400]->u.td_py_type
#define sipType_Qt_TimerType              sipModuleAPI_QtGui_QtCore->em_types[399]
#define sipEnum_Qt_TimerType              sipModuleAPI_QtGui_QtCore->em_types[399]->u.td_py_type
#define sipType_Qt_DockWidgetArea              sipModuleAPI_QtGui_QtCore->em_types[334]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_QtGui_QtCore->em_types[334]->u.td_py_type
#define sipType_Qt_AspectRatioMode              sipModuleAPI_QtGui_QtCore->em_types[319]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_QtGui_QtCore->em_types[319]->u.td_py_type
#define sipType_Qt_TextFormat              sipModuleAPI_QtGui_QtCore->em_types[394]
#define sipEnum_Qt_TextFormat              sipModuleAPI_QtGui_QtCore->em_types[394]->u.td_py_type
#define sipType_Qt_CursorShape              sipModuleAPI_QtGui_QtCore->em_types[331]
#define sipEnum_Qt_CursorShape              sipModuleAPI_QtGui_QtCore->em_types[331]->u.td_py_type
#define sipType_Qt_UIEffect              sipModuleAPI_QtGui_QtCore->em_types[406]
#define sipEnum_Qt_UIEffect              sipModuleAPI_QtGui_QtCore->em_types[406]->u.td_py_type
#define sipType_Qt_BrushStyle              sipModuleAPI_QtGui_QtCore->em_types[322]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_QtGui_QtCore->em_types[322]->u.td_py_type
#define sipType_Qt_PenJoinStyle              sipModuleAPI_QtGui_QtCore->em_types[381]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_QtGui_QtCore->em_types[381]->u.td_py_type
#define sipType_Qt_PenCapStyle              sipModuleAPI_QtGui_QtCore->em_types[380]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_QtGui_QtCore->em_types[380]->u.td_py_type
#define sipType_Qt_PenStyle              sipModuleAPI_QtGui_QtCore->em_types[382]
#define sipEnum_Qt_PenStyle              sipModuleAPI_QtGui_QtCore->em_types[382]->u.td_py_type
#define sipType_Qt_ArrowType              sipModuleAPI_QtGui_QtCore->em_types[318]
#define sipEnum_Qt_ArrowType              sipModuleAPI_QtGui_QtCore->em_types[318]->u.td_py_type
#define sipType_Qt_Key              sipModuleAPI_QtGui_QtCore->em_types[363]
#define sipEnum_Qt_Key              sipModuleAPI_QtGui_QtCore->em_types[363]->u.td_py_type
#define sipType_Qt_BGMode              sipModuleAPI_QtGui_QtCore->em_types[321]
#define sipEnum_Qt_BGMode              sipModuleAPI_QtGui_QtCore->em_types[321]->u.td_py_type
#define sipType_Qt_ImageConversionFlag              sipModuleAPI_QtGui_QtCore->em_types[352]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_QtGui_QtCore->em_types[352]->u.td_py_type
#define sipType_Qt_WidgetAttribute              sipModuleAPI_QtGui_QtCore->em_types[408]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_QtGui_QtCore->em_types[408]->u.td_py_type
#define sipType_Qt_WindowState              sipModuleAPI_QtGui_QtCore->em_types[412]
#define sipEnum_Qt_WindowState              sipModuleAPI_QtGui_QtCore->em_types[412]->u.td_py_type
#define sipType_Qt_WindowType              sipModuleAPI_QtGui_QtCore->em_types[414]
#define sipEnum_Qt_WindowType              sipModuleAPI_QtGui_QtCore->em_types[414]->u.td_py_type
#define sipType_Qt_TextElideMode              sipModuleAPI_QtGui_QtCore->em_types[392]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_QtGui_QtCore->em_types[392]->u.td_py_type
#define sipType_Qt_TextFlag              sipModuleAPI_QtGui_QtCore->em_types[393]
#define sipEnum_Qt_TextFlag              sipModuleAPI_QtGui_QtCore->em_types[393]->u.td_py_type
#define sipType_Qt_AlignmentFlag              sipModuleAPI_QtGui_QtCore->em_types[313]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_QtGui_QtCore->em_types[313]->u.td_py_type
#define sipType_Qt_SortOrder              sipModuleAPI_QtGui_QtCore->em_types[390]
#define sipEnum_Qt_SortOrder              sipModuleAPI_QtGui_QtCore->em_types[390]->u.td_py_type
#define sipType_Qt_FocusPolicy              sipModuleAPI_QtGui_QtCore->em_types[344]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_QtGui_QtCore->em_types[344]->u.td_py_type
#define sipType_Qt_Orientation              sipModuleAPI_QtGui_QtCore->em_types[378]
#define sipEnum_Qt_Orientation              sipModuleAPI_QtGui_QtCore->em_types[378]->u.td_py_type
#define sipType_Qt_MouseButton              sipModuleAPI_QtGui_QtCore->em_types[371]
#define sipEnum_Qt_MouseButton              sipModuleAPI_QtGui_QtCore->em_types[371]->u.td_py_type
#define sipType_Qt_Modifier              sipModuleAPI_QtGui_QtCore->em_types[370]
#define sipEnum_Qt_Modifier              sipModuleAPI_QtGui_QtCore->em_types[370]->u.td_py_type
#define sipType_Qt_KeyboardModifier              sipModuleAPI_QtGui_QtCore->em_types[364]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_QtGui_QtCore->em_types[364]->u.td_py_type
#define sipType_Qt_GlobalColor              sipModuleAPI_QtGui_QtCore->em_types[350]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_QtGui_QtCore->em_types[350]->u.td_py_type

#define sipType_Qt_KeyboardModifiers              sipModuleAPI_QtGui_QtCore->em_types[365]
#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_QtGui_QtCore->em_types[365]->u.td_wrapper_type

#define sipType_Qt_MouseButtons              sipModuleAPI_QtGui_QtCore->em_types[372]
#define sipClass_Qt_MouseButtons             sipModuleAPI_QtGui_QtCore->em_types[372]->u.td_wrapper_type

#define sipType_Qt_Orientations              sipModuleAPI_QtGui_QtCore->em_types[379]
#define sipClass_Qt_Orientations             sipModuleAPI_QtGui_QtCore->em_types[379]->u.td_wrapper_type

#define sipType_Qt_Alignment              sipModuleAPI_QtGui_QtCore->em_types[312]
#define sipClass_Qt_Alignment             sipModuleAPI_QtGui_QtCore->em_types[312]->u.td_wrapper_type

#define sipType_Qt_WindowFlags              sipModuleAPI_QtGui_QtCore->em_types[409]
#define sipClass_Qt_WindowFlags             sipModuleAPI_QtGui_QtCore->em_types[409]->u.td_wrapper_type

#define sipType_Qt_WindowStates              sipModuleAPI_QtGui_QtCore->em_types[413]
#define sipClass_Qt_WindowStates             sipModuleAPI_QtGui_QtCore->em_types[413]->u.td_wrapper_type

#define sipType_Qt_ImageConversionFlags              sipModuleAPI_QtGui_QtCore->em_types[353]
#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_QtGui_QtCore->em_types[353]->u.td_wrapper_type

#define sipType_Qt_DockWidgetAreas              sipModuleAPI_QtGui_QtCore->em_types[335]
#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_QtGui_QtCore->em_types[335]->u.td_wrapper_type

#define sipType_Qt_ToolBarAreas              sipModuleAPI_QtGui_QtCore->em_types[401]
#define sipClass_Qt_ToolBarAreas             sipModuleAPI_QtGui_QtCore->em_types[401]->u.td_wrapper_type

#define sipType_Qt_InputMethodQueries              sipModuleAPI_QtGui_QtCore->em_types[356]
#define sipClass_Qt_InputMethodQueries             sipModuleAPI_QtGui_QtCore->em_types[356]->u.td_wrapper_type

#define sipType_Qt_DropActions              sipModuleAPI_QtGui_QtCore->em_types[337]
#define sipClass_Qt_DropActions             sipModuleAPI_QtGui_QtCore->em_types[337]->u.td_wrapper_type

#define sipType_Qt_ItemFlags              sipModuleAPI_QtGui_QtCore->em_types[360]
#define sipClass_Qt_ItemFlags             sipModuleAPI_QtGui_QtCore->em_types[360]->u.td_wrapper_type

#define sipType_Qt_MatchFlags              sipModuleAPI_QtGui_QtCore->em_types[369]
#define sipClass_Qt_MatchFlags             sipModuleAPI_QtGui_QtCore->em_types[369]->u.td_wrapper_type

#define sipType_Qt_TextInteractionFlags              sipModuleAPI_QtGui_QtCore->em_types[396]
#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_QtGui_QtCore->em_types[396]->u.td_wrapper_type

#define sipType_Qt_InputMethodHints              sipModuleAPI_QtGui_QtCore->em_types[355]
#define sipClass_Qt_InputMethodHints             sipModuleAPI_QtGui_QtCore->em_types[355]->u.td_wrapper_type

#define sipType_Qt_TouchPointStates              sipModuleAPI_QtGui_QtCore->em_types[404]
#define sipClass_Qt_TouchPointStates             sipModuleAPI_QtGui_QtCore->em_types[404]->u.td_wrapper_type

#define sipType_Qt_GestureFlags              sipModuleAPI_QtGui_QtCore->em_types[347]
#define sipClass_Qt_GestureFlags             sipModuleAPI_QtGui_QtCore->em_types[347]->u.td_wrapper_type

#define sipType_Qt_ScreenOrientations              sipModuleAPI_QtGui_QtCore->em_types[384]
#define sipClass_Qt_ScreenOrientations             sipModuleAPI_QtGui_QtCore->em_types[384]->u.td_wrapper_type

#define sipType_Qt_FindChildOptions              sipModuleAPI_QtGui_QtCore->em_types[343]
#define sipClass_Qt_FindChildOptions             sipModuleAPI_QtGui_QtCore->em_types[343]->u.td_wrapper_type

#define sipType_Qt_ApplicationStates              sipModuleAPI_QtGui_QtCore->em_types[317]
#define sipClass_Qt_ApplicationStates             sipModuleAPI_QtGui_QtCore->em_types[317]->u.td_wrapper_type

#define sipType_Qt_Edges              sipModuleAPI_QtGui_QtCore->em_types[339]
#define sipClass_Qt_Edges             sipModuleAPI_QtGui_QtCore->em_types[339]->u.td_wrapper_type

#define sipType_Qt_MouseEventFlags              sipModuleAPI_QtGui_QtCore->em_types[374]
#define sipClass_Qt_MouseEventFlags             sipModuleAPI_QtGui_QtCore->em_types[374]->u.td_wrapper_type

#define sipType_QObject              sipModuleAPI_QtGui_QtCore->em_types[163]
#define sipClass_QObject             sipModuleAPI_QtGui_QtCore->em_types[163]->u.td_wrapper_type

#define sipType_QAbstractAnimation              sipModuleAPI_QtGui_QtCore->em_types[0]
#define sipClass_QAbstractAnimation             sipModuleAPI_QtGui_QtCore->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtGui_QtCore->em_types[1]
#define sipEnum_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtGui_QtCore->em_types[1]->u.td_py_type
#define sipType_QAbstractAnimation_State              sipModuleAPI_QtGui_QtCore->em_types[3]
#define sipEnum_QAbstractAnimation_State              sipModuleAPI_QtGui_QtCore->em_types[3]->u.td_py_type
#define sipType_QAbstractAnimation_Direction              sipModuleAPI_QtGui_QtCore->em_types[2]
#define sipEnum_QAbstractAnimation_Direction              sipModuleAPI_QtGui_QtCore->em_types[2]->u.td_py_type

#define sipType_QAbstractEventDispatcher              sipModuleAPI_QtGui_QtCore->em_types[4]
#define sipClass_QAbstractEventDispatcher             sipModuleAPI_QtGui_QtCore->em_types[4]->u.td_wrapper_type

#define sipType_QAbstractEventDispatcher_TimerInfo              sipModuleAPI_QtGui_QtCore->em_types[5]
#define sipClass_QAbstractEventDispatcher_TimerInfo             sipModuleAPI_QtGui_QtCore->em_types[5]->u.td_wrapper_type

#define sipType_QModelIndex              sipModuleAPI_QtGui_QtCore->em_types[159]
#define sipClass_QModelIndex             sipModuleAPI_QtGui_QtCore->em_types[159]->u.td_wrapper_type

#define sipType_QPersistentModelIndex              sipModuleAPI_QtGui_QtCore->em_types[168]
#define sipClass_QPersistentModelIndex             sipModuleAPI_QtGui_QtCore->em_types[168]->u.td_wrapper_type

#define sipType_QAbstractItemModel              sipModuleAPI_QtGui_QtCore->em_types[6]
#define sipClass_QAbstractItemModel             sipModuleAPI_QtGui_QtCore->em_types[6]->u.td_wrapper_type

#define sipType_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtGui_QtCore->em_types[7]
#define sipEnum_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtGui_QtCore->em_types[7]->u.td_py_type

#define sipType_QAbstractTableModel              sipModuleAPI_QtGui_QtCore->em_types[12]
#define sipClass_QAbstractTableModel             sipModuleAPI_QtGui_QtCore->em_types[12]->u.td_wrapper_type

#define sipType_QAbstractListModel              sipModuleAPI_QtGui_QtCore->em_types[8]
#define sipClass_QAbstractListModel             sipModuleAPI_QtGui_QtCore->em_types[8]->u.td_wrapper_type

#define sipType_QAbstractNativeEventFilter              sipModuleAPI_QtGui_QtCore->em_types[9]
#define sipClass_QAbstractNativeEventFilter             sipModuleAPI_QtGui_QtCore->em_types[9]->u.td_wrapper_type

#define sipType_QAbstractProxyModel              sipModuleAPI_QtGui_QtCore->em_types[10]
#define sipClass_QAbstractProxyModel             sipModuleAPI_QtGui_QtCore->em_types[10]->u.td_wrapper_type

#define sipType_QAbstractState              sipModuleAPI_QtGui_QtCore->em_types[11]
#define sipClass_QAbstractState             sipModuleAPI_QtGui_QtCore->em_types[11]->u.td_wrapper_type

#define sipType_QAbstractTransition              sipModuleAPI_QtGui_QtCore->em_types[13]
#define sipClass_QAbstractTransition             sipModuleAPI_QtGui_QtCore->em_types[13]->u.td_wrapper_type

#define sipType_QAbstractTransition_TransitionType              sipModuleAPI_QtGui_QtCore->em_types[14]
#define sipEnum_QAbstractTransition_TransitionType              sipModuleAPI_QtGui_QtCore->em_types[14]->u.td_py_type

#define sipType_QAnimationGroup              sipModuleAPI_QtGui_QtCore->em_types[15]
#define sipClass_QAnimationGroup             sipModuleAPI_QtGui_QtCore->em_types[15]->u.td_wrapper_type

#define sipType_QBasicTimer              sipModuleAPI_QtGui_QtCore->em_types[16]
#define sipClass_QBasicTimer             sipModuleAPI_QtGui_QtCore->em_types[16]->u.td_wrapper_type

#define sipType_QBitArray              sipModuleAPI_QtGui_QtCore->em_types[17]
#define sipClass_QBitArray             sipModuleAPI_QtGui_QtCore->em_types[17]->u.td_wrapper_type

#define sipType_QIODevice              sipModuleAPI_QtGui_QtCore->em_types[79]
#define sipClass_QIODevice             sipModuleAPI_QtGui_QtCore->em_types[79]->u.td_wrapper_type

#define sipType_QIODevice_OpenModeFlag              sipModuleAPI_QtGui_QtCore->em_types[81]
#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_QtGui_QtCore->em_types[81]->u.td_py_type

#define sipType_QBuffer              sipModuleAPI_QtGui_QtCore->em_types[18]
#define sipClass_QBuffer             sipModuleAPI_QtGui_QtCore->em_types[18]->u.td_wrapper_type

#define sipType_QByteArray              sipModuleAPI_QtGui_QtCore->em_types[19]
#define sipClass_QByteArray             sipModuleAPI_QtGui_QtCore->em_types[19]->u.td_wrapper_type

#define sipType_QByteArray_Base64Option              sipModuleAPI_QtGui_QtCore->em_types[20]
#define sipEnum_QByteArray_Base64Option              sipModuleAPI_QtGui_QtCore->em_types[20]->u.td_py_type

#define sipType_QByteArray_Base64Options              sipModuleAPI_QtGui_QtCore->em_types[21]
#define sipClass_QByteArray_Base64Options             sipModuleAPI_QtGui_QtCore->em_types[21]->u.td_wrapper_type

#define sipType_QByteArrayMatcher              sipModuleAPI_QtGui_QtCore->em_types[22]
#define sipClass_QByteArrayMatcher             sipModuleAPI_QtGui_QtCore->em_types[22]->u.td_wrapper_type

#define sipType_QCollatorSortKey              sipModuleAPI_QtGui_QtCore->em_types[26]
#define sipClass_QCollatorSortKey             sipModuleAPI_QtGui_QtCore->em_types[26]->u.td_wrapper_type

#define sipType_QCollator              sipModuleAPI_QtGui_QtCore->em_types[25]
#define sipClass_QCollator             sipModuleAPI_QtGui_QtCore->em_types[25]->u.td_wrapper_type

#define sipType_QCommandLineOption              sipModuleAPI_QtGui_QtCore->em_types[27]
#define sipClass_QCommandLineOption             sipModuleAPI_QtGui_QtCore->em_types[27]->u.td_wrapper_type

#define sipType_QCommandLineParser              sipModuleAPI_QtGui_QtCore->em_types[28]
#define sipClass_QCommandLineParser             sipModuleAPI_QtGui_QtCore->em_types[28]->u.td_wrapper_type

#define sipType_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtGui_QtCore->em_types[29]
#define sipEnum_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtGui_QtCore->em_types[29]->u.td_py_type

#define sipType_QCoreApplication              sipModuleAPI_QtGui_QtCore->em_types[30]
#define sipClass_QCoreApplication             sipModuleAPI_QtGui_QtCore->em_types[30]->u.td_wrapper_type

#define sipType_QEvent              sipModuleAPI_QtGui_QtCore->em_types[54]
#define sipClass_QEvent             sipModuleAPI_QtGui_QtCore->em_types[54]->u.td_wrapper_type

#define sipType_QEvent_Type              sipModuleAPI_QtGui_QtCore->em_types[55]
#define sipEnum_QEvent_Type              sipModuleAPI_QtGui_QtCore->em_types[55]->u.td_py_type

#define sipType_QTimerEvent              sipModuleAPI_QtGui_QtCore->em_types[273]
#define sipClass_QTimerEvent             sipModuleAPI_QtGui_QtCore->em_types[273]->u.td_wrapper_type

#define sipType_QChildEvent              sipModuleAPI_QtGui_QtCore->em_types[24]
#define sipClass_QChildEvent             sipModuleAPI_QtGui_QtCore->em_types[24]->u.td_wrapper_type

#define sipType_QDynamicPropertyChangeEvent              sipModuleAPI_QtGui_QtCore->em_types[49]
#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_QtGui_QtCore->em_types[49]->u.td_wrapper_type

#define sipType_QCryptographicHash              sipModuleAPI_QtGui_QtCore->em_types[31]
#define sipClass_QCryptographicHash             sipModuleAPI_QtGui_QtCore->em_types[31]->u.td_wrapper_type

#define sipType_QCryptographicHash_Algorithm              sipModuleAPI_QtGui_QtCore->em_types[32]
#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_QtGui_QtCore->em_types[32]->u.td_py_type

#define sipType_QDataStream              sipModuleAPI_QtGui_QtCore->em_types[33]
#define sipClass_QDataStream             sipModuleAPI_QtGui_QtCore->em_types[33]->u.td_wrapper_type

#define sipType_QDataStream_FloatingPointPrecision              sipModuleAPI_QtGui_QtCore->em_types[35]
#define sipEnum_QDataStream_FloatingPointPrecision              sipModuleAPI_QtGui_QtCore->em_types[35]->u.td_py_type
#define sipType_QDataStream_Status              sipModuleAPI_QtGui_QtCore->em_types[36]
#define sipEnum_QDataStream_Status              sipModuleAPI_QtGui_QtCore->em_types[36]->u.td_py_type
#define sipType_QDataStream_ByteOrder              sipModuleAPI_QtGui_QtCore->em_types[34]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_QtGui_QtCore->em_types[34]->u.td_py_type
#define sipType_QDataStream_Version              sipModuleAPI_QtGui_QtCore->em_types[37]
#define sipEnum_QDataStream_Version              sipModuleAPI_QtGui_QtCore->em_types[37]->u.td_py_type

#define sipType_QDate              sipModuleAPI_QtGui_QtCore->em_types[38]
#define sipClass_QDate             sipModuleAPI_QtGui_QtCore->em_types[38]->u.td_wrapper_type

#define sipType_QDate_MonthNameType              sipModuleAPI_QtGui_QtCore->em_types[39]
#define sipEnum_QDate_MonthNameType              sipModuleAPI_QtGui_QtCore->em_types[39]->u.td_py_type

#define sipType_QTime              sipModuleAPI_QtGui_QtCore->em_types[263]
#define sipClass_QTime             sipModuleAPI_QtGui_QtCore->em_types[263]->u.td_wrapper_type

#define sipType_QDateTime              sipModuleAPI_QtGui_QtCore->em_types[40]
#define sipClass_QDateTime             sipModuleAPI_QtGui_QtCore->em_types[40]->u.td_wrapper_type

#define sipType_QDir              sipModuleAPI_QtGui_QtCore->em_types[41]
#define sipClass_QDir             sipModuleAPI_QtGui_QtCore->em_types[41]->u.td_wrapper_type

#define sipType_QDir_SortFlag              sipModuleAPI_QtGui_QtCore->em_types[44]
#define sipEnum_QDir_SortFlag              sipModuleAPI_QtGui_QtCore->em_types[44]->u.td_py_type
#define sipType_QDir_Filter              sipModuleAPI_QtGui_QtCore->em_types[42]
#define sipEnum_QDir_Filter              sipModuleAPI_QtGui_QtCore->em_types[42]->u.td_py_type

#define sipType_QDir_Filters              sipModuleAPI_QtGui_QtCore->em_types[43]
#define sipClass_QDir_Filters             sipModuleAPI_QtGui_QtCore->em_types[43]->u.td_wrapper_type

#define sipType_QDir_SortFlags              sipModuleAPI_QtGui_QtCore->em_types[45]
#define sipClass_QDir_SortFlags             sipModuleAPI_QtGui_QtCore->em_types[45]->u.td_wrapper_type

#define sipType_QDirIterator              sipModuleAPI_QtGui_QtCore->em_types[46]
#define sipClass_QDirIterator             sipModuleAPI_QtGui_QtCore->em_types[46]->u.td_wrapper_type

#define sipType_QDirIterator_IteratorFlag              sipModuleAPI_QtGui_QtCore->em_types[47]
#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_QtGui_QtCore->em_types[47]->u.td_py_type

#define sipType_QDirIterator_IteratorFlags              sipModuleAPI_QtGui_QtCore->em_types[48]
#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_QtGui_QtCore->em_types[48]->u.td_wrapper_type

#define sipType_QEasingCurve              sipModuleAPI_QtGui_QtCore->em_types[50]
#define sipClass_QEasingCurve             sipModuleAPI_QtGui_QtCore->em_types[50]->u.td_wrapper_type

#define sipType_QEasingCurve_Type              sipModuleAPI_QtGui_QtCore->em_types[51]
#define sipEnum_QEasingCurve_Type              sipModuleAPI_QtGui_QtCore->em_types[51]->u.td_py_type

#define sipType_QElapsedTimer              sipModuleAPI_QtGui_QtCore->em_types[52]
#define sipClass_QElapsedTimer             sipModuleAPI_QtGui_QtCore->em_types[52]->u.td_wrapper_type

#define sipType_QElapsedTimer_ClockType              sipModuleAPI_QtGui_QtCore->em_types[53]
#define sipEnum_QElapsedTimer_ClockType              sipModuleAPI_QtGui_QtCore->em_types[53]->u.td_py_type

#define sipType_QEventLoop              sipModuleAPI_QtGui_QtCore->em_types[56]
#define sipClass_QEventLoop             sipModuleAPI_QtGui_QtCore->em_types[56]->u.td_wrapper_type

#define sipType_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtGui_QtCore->em_types[57]
#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtGui_QtCore->em_types[57]->u.td_py_type

#define sipType_QEventLoop_ProcessEventsFlags              sipModuleAPI_QtGui_QtCore->em_types[58]
#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_QtGui_QtCore->em_types[58]->u.td_wrapper_type

#define sipType_QEventLoopLocker              sipModuleAPI_QtGui_QtCore->em_types[59]
#define sipClass_QEventLoopLocker             sipModuleAPI_QtGui_QtCore->em_types[59]->u.td_wrapper_type

#define sipType_QEventTransition              sipModuleAPI_QtGui_QtCore->em_types[60]
#define sipClass_QEventTransition             sipModuleAPI_QtGui_QtCore->em_types[60]->u.td_wrapper_type

#define sipType_QFileDevice              sipModuleAPI_QtGui_QtCore->em_types[62]
#define sipClass_QFileDevice             sipModuleAPI_QtGui_QtCore->em_types[62]->u.td_wrapper_type

#define sipType_QFileDevice_MemoryMapFlags              sipModuleAPI_QtGui_QtCore->em_types[66]
#define sipEnum_QFileDevice_MemoryMapFlags              sipModuleAPI_QtGui_QtCore->em_types[66]->u.td_py_type
#define sipType_QFileDevice_FileHandleFlag              sipModuleAPI_QtGui_QtCore->em_types[64]
#define sipEnum_QFileDevice_FileHandleFlag              sipModuleAPI_QtGui_QtCore->em_types[64]->u.td_py_type
#define sipType_QFileDevice_Permission              sipModuleAPI_QtGui_QtCore->em_types[67]
#define sipEnum_QFileDevice_Permission              sipModuleAPI_QtGui_QtCore->em_types[67]->u.td_py_type
#define sipType_QFileDevice_FileError              sipModuleAPI_QtGui_QtCore->em_types[63]
#define sipEnum_QFileDevice_FileError              sipModuleAPI_QtGui_QtCore->em_types[63]->u.td_py_type

#define sipType_QFile              sipModuleAPI_QtGui_QtCore->em_types[61]
#define sipClass_QFile             sipModuleAPI_QtGui_QtCore->em_types[61]->u.td_wrapper_type

#define sipType_QFileDevice_Permissions              sipModuleAPI_QtGui_QtCore->em_types[68]
#define sipClass_QFileDevice_Permissions             sipModuleAPI_QtGui_QtCore->em_types[68]->u.td_wrapper_type

#define sipType_QFileDevice_FileHandleFlags              sipModuleAPI_QtGui_QtCore->em_types[65]
#define sipClass_QFileDevice_FileHandleFlags             sipModuleAPI_QtGui_QtCore->em_types[65]->u.td_wrapper_type

#define sipType_QFileInfo              sipModuleAPI_QtGui_QtCore->em_types[69]
#define sipClass_QFileInfo             sipModuleAPI_QtGui_QtCore->em_types[69]->u.td_wrapper_type

#define sipType_QFileSelector              sipModuleAPI_QtGui_QtCore->em_types[70]
#define sipClass_QFileSelector             sipModuleAPI_QtGui_QtCore->em_types[70]->u.td_wrapper_type

#define sipType_QFileSystemWatcher              sipModuleAPI_QtGui_QtCore->em_types[71]
#define sipClass_QFileSystemWatcher             sipModuleAPI_QtGui_QtCore->em_types[71]->u.td_wrapper_type

#define sipType_QFinalState              sipModuleAPI_QtGui_QtCore->em_types[72]
#define sipClass_QFinalState             sipModuleAPI_QtGui_QtCore->em_types[72]->u.td_wrapper_type

#define sipType_QHistoryState              sipModuleAPI_QtGui_QtCore->em_types[77]
#define sipClass_QHistoryState             sipModuleAPI_QtGui_QtCore->em_types[77]->u.td_wrapper_type

#define sipType_QHistoryState_HistoryType              sipModuleAPI_QtGui_QtCore->em_types[78]
#define sipEnum_QHistoryState_HistoryType              sipModuleAPI_QtGui_QtCore->em_types[78]->u.td_py_type

#define sipType_QIdentityProxyModel              sipModuleAPI_QtGui_QtCore->em_types[82]
#define sipClass_QIdentityProxyModel             sipModuleAPI_QtGui_QtCore->em_types[82]->u.td_wrapper_type

#define sipType_QIODevice_OpenMode              sipModuleAPI_QtGui_QtCore->em_types[80]
#define sipClass_QIODevice_OpenMode             sipModuleAPI_QtGui_QtCore->em_types[80]->u.td_wrapper_type

#define sipType_QItemSelectionRange              sipModuleAPI_QtGui_QtCore->em_types[87]
#define sipClass_QItemSelectionRange             sipModuleAPI_QtGui_QtCore->em_types[87]->u.td_wrapper_type

#define sipType_QItemSelectionModel              sipModuleAPI_QtGui_QtCore->em_types[84]
#define sipClass_QItemSelectionModel             sipModuleAPI_QtGui_QtCore->em_types[84]->u.td_wrapper_type

#define sipType_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtGui_QtCore->em_types[85]
#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtGui_QtCore->em_types[85]->u.td_py_type

#define sipType_QItemSelectionModel_SelectionFlags              sipModuleAPI_QtGui_QtCore->em_types[86]
#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_QtGui_QtCore->em_types[86]->u.td_wrapper_type

#define sipType_QItemSelection              sipModuleAPI_QtGui_QtCore->em_types[83]
#define sipClass_QItemSelection             sipModuleAPI_QtGui_QtCore->em_types[83]->u.td_wrapper_type

#define sipType_QJsonParseError              sipModuleAPI_QtGui_QtCore->em_types[93]
#define sipClass_QJsonParseError             sipModuleAPI_QtGui_QtCore->em_types[93]->u.td_wrapper_type

#define sipType_QJsonParseError_ParseError              sipModuleAPI_QtGui_QtCore->em_types[94]
#define sipEnum_QJsonParseError_ParseError              sipModuleAPI_QtGui_QtCore->em_types[94]->u.td_py_type

#define sipType_QJsonDocument              sipModuleAPI_QtGui_QtCore->em_types[89]
#define sipClass_QJsonDocument             sipModuleAPI_QtGui_QtCore->em_types[89]->u.td_wrapper_type

#define sipType_QJsonDocument_JsonFormat              sipModuleAPI_QtGui_QtCore->em_types[91]
#define sipEnum_QJsonDocument_JsonFormat              sipModuleAPI_QtGui_QtCore->em_types[91]->u.td_py_type
#define sipType_QJsonDocument_DataValidation              sipModuleAPI_QtGui_QtCore->em_types[90]
#define sipEnum_QJsonDocument_DataValidation              sipModuleAPI_QtGui_QtCore->em_types[90]->u.td_py_type

#define sipType_QJsonValue              sipModuleAPI_QtGui_QtCore->em_types[95]
#define sipClass_QJsonValue             sipModuleAPI_QtGui_QtCore->em_types[95]->u.td_wrapper_type

#define sipType_QJsonValue_Type              sipModuleAPI_QtGui_QtCore->em_types[96]
#define sipEnum_QJsonValue_Type              sipModuleAPI_QtGui_QtCore->em_types[96]->u.td_py_type

#define sipType_QLibrary              sipModuleAPI_QtGui_QtCore->em_types[97]
#define sipClass_QLibrary             sipModuleAPI_QtGui_QtCore->em_types[97]->u.td_wrapper_type

#define sipType_QLibrary_LoadHint              sipModuleAPI_QtGui_QtCore->em_types[98]
#define sipEnum_QLibrary_LoadHint              sipModuleAPI_QtGui_QtCore->em_types[98]->u.td_py_type

#define sipType_QLibrary_LoadHints              sipModuleAPI_QtGui_QtCore->em_types[99]
#define sipClass_QLibrary_LoadHints             sipModuleAPI_QtGui_QtCore->em_types[99]->u.td_wrapper_type

#define sipType_QLibraryInfo              sipModuleAPI_QtGui_QtCore->em_types[100]
#define sipClass_QLibraryInfo             sipModuleAPI_QtGui_QtCore->em_types[100]->u.td_wrapper_type

#define sipType_QLibraryInfo_LibraryLocation              sipModuleAPI_QtGui_QtCore->em_types[101]
#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_QtGui_QtCore->em_types[101]->u.td_py_type

#define sipType_QLine              sipModuleAPI_QtGui_QtCore->em_types[102]
#define sipClass_QLine             sipModuleAPI_QtGui_QtCore->em_types[102]->u.td_wrapper_type

#define sipType_QLineF              sipModuleAPI_QtGui_QtCore->em_types[103]
#define sipClass_QLineF             sipModuleAPI_QtGui_QtCore->em_types[103]->u.td_wrapper_type

#define sipType_QLineF_IntersectType              sipModuleAPI_QtGui_QtCore->em_types[104]
#define sipEnum_QLineF_IntersectType              sipModuleAPI_QtGui_QtCore->em_types[104]->u.td_py_type

#define sipType_QLocale              sipModuleAPI_QtGui_QtCore->em_types[125]
#define sipClass_QLocale             sipModuleAPI_QtGui_QtCore->em_types[125]->u.td_wrapper_type

#define sipType_QLocale_QuotationStyle              sipModuleAPI_QtGui_QtCore->em_types[133]
#define sipEnum_QLocale_QuotationStyle              sipModuleAPI_QtGui_QtCore->em_types[133]->u.td_py_type
#define sipType_QLocale_CurrencySymbolFormat              sipModuleAPI_QtGui_QtCore->em_types[127]
#define sipEnum_QLocale_CurrencySymbolFormat              sipModuleAPI_QtGui_QtCore->em_types[127]->u.td_py_type
#define sipType_QLocale_Script              sipModuleAPI_QtGui_QtCore->em_types[134]
#define sipEnum_QLocale_Script              sipModuleAPI_QtGui_QtCore->em_types[134]->u.td_py_type
#define sipType_QLocale_MeasurementSystem              sipModuleAPI_QtGui_QtCore->em_types[130]
#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_QtGui_QtCore->em_types[130]->u.td_py_type
#define sipType_QLocale_FormatType              sipModuleAPI_QtGui_QtCore->em_types[128]
#define sipEnum_QLocale_FormatType              sipModuleAPI_QtGui_QtCore->em_types[128]->u.td_py_type
#define sipType_QLocale_NumberOption              sipModuleAPI_QtGui_QtCore->em_types[131]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_QtGui_QtCore->em_types[131]->u.td_py_type
#define sipType_QLocale_Country              sipModuleAPI_QtGui_QtCore->em_types[126]
#define sipEnum_QLocale_Country              sipModuleAPI_QtGui_QtCore->em_types[126]->u.td_py_type
#define sipType_QLocale_Language              sipModuleAPI_QtGui_QtCore->em_types[129]
#define sipEnum_QLocale_Language              sipModuleAPI_QtGui_QtCore->em_types[129]->u.td_py_type

#define sipType_QLocale_NumberOptions              sipModuleAPI_QtGui_QtCore->em_types[132]
#define sipClass_QLocale_NumberOptions             sipModuleAPI_QtGui_QtCore->em_types[132]->u.td_wrapper_type

#define sipType_QLockFile              sipModuleAPI_QtGui_QtCore->em_types[135]
#define sipClass_QLockFile             sipModuleAPI_QtGui_QtCore->em_types[135]->u.td_wrapper_type

#define sipType_QLockFile_LockError              sipModuleAPI_QtGui_QtCore->em_types[136]
#define sipEnum_QLockFile_LockError              sipModuleAPI_QtGui_QtCore->em_types[136]->u.td_py_type

#define sipType_QMessageLogContext              sipModuleAPI_QtGui_QtCore->em_types[142]
#define sipClass_QMessageLogContext             sipModuleAPI_QtGui_QtCore->em_types[142]->u.td_wrapper_type

#define sipType_QMessageLogger              sipModuleAPI_QtGui_QtCore->em_types[143]
#define sipClass_QMessageLogger             sipModuleAPI_QtGui_QtCore->em_types[143]->u.td_wrapper_type

#define sipType_QMargins              sipModuleAPI_QtGui_QtCore->em_types[139]
#define sipClass_QMargins             sipModuleAPI_QtGui_QtCore->em_types[139]->u.td_wrapper_type

#define sipType_QMarginsF              sipModuleAPI_QtGui_QtCore->em_types[140]
#define sipClass_QMarginsF             sipModuleAPI_QtGui_QtCore->em_types[140]->u.td_wrapper_type

#define sipType_QMessageAuthenticationCode              sipModuleAPI_QtGui_QtCore->em_types[141]
#define sipClass_QMessageAuthenticationCode             sipModuleAPI_QtGui_QtCore->em_types[141]->u.td_wrapper_type

#define sipType_QMetaMethod              sipModuleAPI_QtGui_QtCore->em_types[146]
#define sipClass_QMetaMethod             sipModuleAPI_QtGui_QtCore->em_types[146]->u.td_wrapper_type

#define sipType_QMetaMethod_MethodType              sipModuleAPI_QtGui_QtCore->em_types[148]
#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_QtGui_QtCore->em_types[148]->u.td_py_type
#define sipType_QMetaMethod_Access              sipModuleAPI_QtGui_QtCore->em_types[147]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_QtGui_QtCore->em_types[147]->u.td_py_type

#define sipType_QMetaEnum              sipModuleAPI_QtGui_QtCore->em_types[145]
#define sipClass_QMetaEnum             sipModuleAPI_QtGui_QtCore->em_types[145]->u.td_wrapper_type

#define sipType_QMetaProperty              sipModuleAPI_QtGui_QtCore->em_types[150]
#define sipClass_QMetaProperty             sipModuleAPI_QtGui_QtCore->em_types[150]->u.td_wrapper_type

#define sipType_QMetaClassInfo              sipModuleAPI_QtGui_QtCore->em_types[144]
#define sipClass_QMetaClassInfo             sipModuleAPI_QtGui_QtCore->em_types[144]->u.td_wrapper_type

#define sipType_QMetaType              sipModuleAPI_QtGui_QtCore->em_types[151]
#define sipClass_QMetaType             sipModuleAPI_QtGui_QtCore->em_types[151]->u.td_wrapper_type

#define sipType_QMetaType_TypeFlag              sipModuleAPI_QtGui_QtCore->em_types[153]
#define sipEnum_QMetaType_TypeFlag              sipModuleAPI_QtGui_QtCore->em_types[153]->u.td_py_type
#define sipType_QMetaType_Type              sipModuleAPI_QtGui_QtCore->em_types[152]
#define sipEnum_QMetaType_Type              sipModuleAPI_QtGui_QtCore->em_types[152]->u.td_py_type

#define sipType_QMetaType_TypeFlags              sipModuleAPI_QtGui_QtCore->em_types[154]
#define sipClass_QMetaType_TypeFlags             sipModuleAPI_QtGui_QtCore->em_types[154]->u.td_wrapper_type

#define sipType_QMimeData              sipModuleAPI_QtGui_QtCore->em_types[155]
#define sipClass_QMimeData             sipModuleAPI_QtGui_QtCore->em_types[155]->u.td_wrapper_type

#define sipType_QMimeDatabase              sipModuleAPI_QtGui_QtCore->em_types[156]
#define sipClass_QMimeDatabase             sipModuleAPI_QtGui_QtCore->em_types[156]->u.td_wrapper_type

#define sipType_QMimeDatabase_MatchMode              sipModuleAPI_QtGui_QtCore->em_types[157]
#define sipEnum_QMimeDatabase_MatchMode              sipModuleAPI_QtGui_QtCore->em_types[157]->u.td_py_type

#define sipType_QMimeType              sipModuleAPI_QtGui_QtCore->em_types[158]
#define sipClass_QMimeType             sipModuleAPI_QtGui_QtCore->em_types[158]->u.td_wrapper_type

#define sipType_QMutexLocker              sipModuleAPI_QtGui_QtCore->em_types[162]
#define sipClass_QMutexLocker             sipModuleAPI_QtGui_QtCore->em_types[162]->u.td_wrapper_type

#define sipType_QMutex              sipModuleAPI_QtGui_QtCore->em_types[160]
#define sipClass_QMutex             sipModuleAPI_QtGui_QtCore->em_types[160]->u.td_wrapper_type

#define sipType_QMutex_RecursionMode              sipModuleAPI_QtGui_QtCore->em_types[161]
#define sipEnum_QMutex_RecursionMode              sipModuleAPI_QtGui_QtCore->em_types[161]->u.td_py_type

#define sipType_QSignalBlocker              sipModuleAPI_QtGui_QtCore->em_types[210]
#define sipClass_QSignalBlocker             sipModuleAPI_QtGui_QtCore->em_types[210]->u.td_wrapper_type

#define sipType_QObjectCleanupHandler              sipModuleAPI_QtGui_QtCore->em_types[164]
#define sipClass_QObjectCleanupHandler             sipModuleAPI_QtGui_QtCore->em_types[164]->u.td_wrapper_type

#define sipType_QMetaObject              sipModuleAPI_QtGui_QtCore->em_types[149]
#define sipClass_QMetaObject             sipModuleAPI_QtGui_QtCore->em_types[149]->u.td_wrapper_type

#define sipType_QGenericArgument              sipModuleAPI_QtGui_QtCore->em_types[73]
#define sipClass_QGenericArgument             sipModuleAPI_QtGui_QtCore->em_types[73]->u.td_wrapper_type

#define sipType_QGenericReturnArgument              sipModuleAPI_QtGui_QtCore->em_types[74]
#define sipClass_QGenericReturnArgument             sipModuleAPI_QtGui_QtCore->em_types[74]->u.td_wrapper_type

#define sipType_QParallelAnimationGroup              sipModuleAPI_QtGui_QtCore->em_types[166]
#define sipClass_QParallelAnimationGroup             sipModuleAPI_QtGui_QtCore->em_types[166]->u.td_wrapper_type

#define sipType_QPauseAnimation              sipModuleAPI_QtGui_QtCore->em_types[167]
#define sipClass_QPauseAnimation             sipModuleAPI_QtGui_QtCore->em_types[167]->u.td_wrapper_type

#define sipType_QVariantAnimation              sipModuleAPI_QtGui_QtCore->em_types[289]
#define sipClass_QVariantAnimation             sipModuleAPI_QtGui_QtCore->em_types[289]->u.td_wrapper_type

#define sipType_QPropertyAnimation              sipModuleAPI_QtGui_QtCore->em_types[180]
#define sipClass_QPropertyAnimation             sipModuleAPI_QtGui_QtCore->em_types[180]->u.td_wrapper_type

#define sipType_QPluginLoader              sipModuleAPI_QtGui_QtCore->em_types[169]
#define sipClass_QPluginLoader             sipModuleAPI_QtGui_QtCore->em_types[169]->u.td_wrapper_type

#define sipType_QPoint              sipModuleAPI_QtGui_QtCore->em_types[170]
#define sipClass_QPoint             sipModuleAPI_QtGui_QtCore->em_types[170]->u.td_wrapper_type

#define sipType_QPointF              sipModuleAPI_QtGui_QtCore->em_types[171]
#define sipClass_QPointF             sipModuleAPI_QtGui_QtCore->em_types[171]->u.td_wrapper_type

#define sipType_QProcess              sipModuleAPI_QtGui_QtCore->em_types[172]
#define sipClass_QProcess             sipModuleAPI_QtGui_QtCore->em_types[172]->u.td_wrapper_type

#define sipType_QProcess_InputChannelMode              sipModuleAPI_QtGui_QtCore->em_types[174]
#define sipEnum_QProcess_InputChannelMode              sipModuleAPI_QtGui_QtCore->em_types[174]->u.td_py_type
#define sipType_QProcess_ProcessChannelMode              sipModuleAPI_QtGui_QtCore->em_types[176]
#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_QtGui_QtCore->em_types[176]->u.td_py_type
#define sipType_QProcess_ProcessChannel              sipModuleAPI_QtGui_QtCore->em_types[175]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_QtGui_QtCore->em_types[175]->u.td_py_type
#define sipType_QProcess_ProcessState              sipModuleAPI_QtGui_QtCore->em_types[178]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_QtGui_QtCore->em_types[178]->u.td_py_type
#define sipType_QProcess_ProcessError              sipModuleAPI_QtGui_QtCore->em_types[177]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_QtGui_QtCore->em_types[177]->u.td_py_type
#define sipType_QProcess_ExitStatus              sipModuleAPI_QtGui_QtCore->em_types[173]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_QtGui_QtCore->em_types[173]->u.td_py_type

#define sipType_QProcessEnvironment              sipModuleAPI_QtGui_QtCore->em_types[179]
#define sipClass_QProcessEnvironment             sipModuleAPI_QtGui_QtCore->em_types[179]->u.td_wrapper_type

#define sipType_QReadWriteLock              sipModuleAPI_QtGui_QtCore->em_types[182]
#define sipClass_QReadWriteLock             sipModuleAPI_QtGui_QtCore->em_types[182]->u.td_wrapper_type

#define sipType_QReadWriteLock_RecursionMode              sipModuleAPI_QtGui_QtCore->em_types[183]
#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_QtGui_QtCore->em_types[183]->u.td_py_type

#define sipType_QReadLocker              sipModuleAPI_QtGui_QtCore->em_types[181]
#define sipClass_QReadLocker             sipModuleAPI_QtGui_QtCore->em_types[181]->u.td_wrapper_type

#define sipType_QWriteLocker              sipModuleAPI_QtGui_QtCore->em_types[299]
#define sipClass_QWriteLocker             sipModuleAPI_QtGui_QtCore->em_types[299]->u.td_wrapper_type

#define sipType_QRect              sipModuleAPI_QtGui_QtCore->em_types[184]
#define sipClass_QRect             sipModuleAPI_QtGui_QtCore->em_types[184]->u.td_wrapper_type

#define sipType_QRectF              sipModuleAPI_QtGui_QtCore->em_types[185]
#define sipClass_QRectF             sipModuleAPI_QtGui_QtCore->em_types[185]->u.td_wrapper_type

#define sipType_QRegExp              sipModuleAPI_QtGui_QtCore->em_types[186]
#define sipClass_QRegExp             sipModuleAPI_QtGui_QtCore->em_types[186]->u.td_wrapper_type

#define sipType_QRegExp_CaretMode              sipModuleAPI_QtGui_QtCore->em_types[187]
#define sipEnum_QRegExp_CaretMode              sipModuleAPI_QtGui_QtCore->em_types[187]->u.td_py_type
#define sipType_QRegExp_PatternSyntax              sipModuleAPI_QtGui_QtCore->em_types[188]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_QtGui_QtCore->em_types[188]->u.td_py_type

#define sipType_QRegularExpression              sipModuleAPI_QtGui_QtCore->em_types[189]
#define sipClass_QRegularExpression             sipModuleAPI_QtGui_QtCore->em_types[189]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOption              sipModuleAPI_QtGui_QtCore->em_types[190]
#define sipEnum_QRegularExpression_MatchOption              sipModuleAPI_QtGui_QtCore->em_types[190]->u.td_py_type
#define sipType_QRegularExpression_MatchType              sipModuleAPI_QtGui_QtCore->em_types[192]
#define sipEnum_QRegularExpression_MatchType              sipModuleAPI_QtGui_QtCore->em_types[192]->u.td_py_type
#define sipType_QRegularExpression_PatternOption              sipModuleAPI_QtGui_QtCore->em_types[193]
#define sipEnum_QRegularExpression_PatternOption              sipModuleAPI_QtGui_QtCore->em_types[193]->u.td_py_type

#define sipType_QRegularExpression_PatternOptions              sipModuleAPI_QtGui_QtCore->em_types[194]
#define sipClass_QRegularExpression_PatternOptions             sipModuleAPI_QtGui_QtCore->em_types[194]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOptions              sipModuleAPI_QtGui_QtCore->em_types[191]
#define sipClass_QRegularExpression_MatchOptions             sipModuleAPI_QtGui_QtCore->em_types[191]->u.td_wrapper_type

#define sipType_QRegularExpressionMatch              sipModuleAPI_QtGui_QtCore->em_types[195]
#define sipClass_QRegularExpressionMatch             sipModuleAPI_QtGui_QtCore->em_types[195]->u.td_wrapper_type

#define sipType_QRegularExpressionMatchIterator              sipModuleAPI_QtGui_QtCore->em_types[196]
#define sipClass_QRegularExpressionMatchIterator             sipModuleAPI_QtGui_QtCore->em_types[196]->u.td_wrapper_type

#define sipType_QResource              sipModuleAPI_QtGui_QtCore->em_types[197]
#define sipClass_QResource             sipModuleAPI_QtGui_QtCore->em_types[197]->u.td_wrapper_type

#define sipType_QRunnable              sipModuleAPI_QtGui_QtCore->em_types[198]
#define sipClass_QRunnable             sipModuleAPI_QtGui_QtCore->em_types[198]->u.td_wrapper_type

#define sipType_QSaveFile              sipModuleAPI_QtGui_QtCore->em_types[199]
#define sipClass_QSaveFile             sipModuleAPI_QtGui_QtCore->em_types[199]->u.td_wrapper_type

#define sipType_QSemaphore              sipModuleAPI_QtGui_QtCore->em_types[200]
#define sipClass_QSemaphore             sipModuleAPI_QtGui_QtCore->em_types[200]->u.td_wrapper_type

#define sipType_QSequentialAnimationGroup              sipModuleAPI_QtGui_QtCore->em_types[201]
#define sipClass_QSequentialAnimationGroup             sipModuleAPI_QtGui_QtCore->em_types[201]->u.td_wrapper_type

#define sipType_QSettings              sipModuleAPI_QtGui_QtCore->em_types[203]
#define sipClass_QSettings             sipModuleAPI_QtGui_QtCore->em_types[203]->u.td_wrapper_type

#define sipType_QSettings_Scope              sipModuleAPI_QtGui_QtCore->em_types[205]
#define sipEnum_QSettings_Scope              sipModuleAPI_QtGui_QtCore->em_types[205]->u.td_py_type
#define sipType_QSettings_Format              sipModuleAPI_QtGui_QtCore->em_types[204]
#define sipEnum_QSettings_Format              sipModuleAPI_QtGui_QtCore->em_types[204]->u.td_py_type
#define sipType_QSettings_Status              sipModuleAPI_QtGui_QtCore->em_types[206]
#define sipEnum_QSettings_Status              sipModuleAPI_QtGui_QtCore->em_types[206]->u.td_py_type

#define sipType_QSharedMemory              sipModuleAPI_QtGui_QtCore->em_types[207]
#define sipClass_QSharedMemory             sipModuleAPI_QtGui_QtCore->em_types[207]->u.td_wrapper_type

#define sipType_QSharedMemory_SharedMemoryError              sipModuleAPI_QtGui_QtCore->em_types[209]
#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_QtGui_QtCore->em_types[209]->u.td_py_type
#define sipType_QSharedMemory_AccessMode              sipModuleAPI_QtGui_QtCore->em_types[208]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_QtGui_QtCore->em_types[208]->u.td_py_type

#define sipType_QSignalMapper              sipModuleAPI_QtGui_QtCore->em_types[211]
#define sipClass_QSignalMapper             sipModuleAPI_QtGui_QtCore->em_types[211]->u.td_wrapper_type

#define sipType_QSignalTransition              sipModuleAPI_QtGui_QtCore->em_types[212]
#define sipClass_QSignalTransition             sipModuleAPI_QtGui_QtCore->em_types[212]->u.td_wrapper_type

#define sipType_QSize              sipModuleAPI_QtGui_QtCore->em_types[213]
#define sipClass_QSize             sipModuleAPI_QtGui_QtCore->em_types[213]->u.td_wrapper_type

#define sipType_QSizeF              sipModuleAPI_QtGui_QtCore->em_types[214]
#define sipClass_QSizeF             sipModuleAPI_QtGui_QtCore->em_types[214]->u.td_wrapper_type

#define sipType_QSocketNotifier              sipModuleAPI_QtGui_QtCore->em_types[215]
#define sipClass_QSocketNotifier             sipModuleAPI_QtGui_QtCore->em_types[215]->u.td_wrapper_type

#define sipType_QSocketNotifier_Type              sipModuleAPI_QtGui_QtCore->em_types[216]
#define sipEnum_QSocketNotifier_Type              sipModuleAPI_QtGui_QtCore->em_types[216]->u.td_py_type

#define sipType_QSortFilterProxyModel              sipModuleAPI_QtGui_QtCore->em_types[217]
#define sipClass_QSortFilterProxyModel             sipModuleAPI_QtGui_QtCore->em_types[217]->u.td_wrapper_type

#define sipType_QStandardPaths              sipModuleAPI_QtGui_QtCore->em_types[218]
#define sipClass_QStandardPaths             sipModuleAPI_QtGui_QtCore->em_types[218]->u.td_wrapper_type

#define sipType_QStandardPaths_LocateOption              sipModuleAPI_QtGui_QtCore->em_types[219]
#define sipEnum_QStandardPaths_LocateOption              sipModuleAPI_QtGui_QtCore->em_types[219]->u.td_py_type
#define sipType_QStandardPaths_StandardLocation              sipModuleAPI_QtGui_QtCore->em_types[221]
#define sipEnum_QStandardPaths_StandardLocation              sipModuleAPI_QtGui_QtCore->em_types[221]->u.td_py_type

#define sipType_QStandardPaths_LocateOptions              sipModuleAPI_QtGui_QtCore->em_types[220]
#define sipClass_QStandardPaths_LocateOptions             sipModuleAPI_QtGui_QtCore->em_types[220]->u.td_wrapper_type

#define sipType_QState              sipModuleAPI_QtGui_QtCore->em_types[222]
#define sipClass_QState             sipModuleAPI_QtGui_QtCore->em_types[222]->u.td_wrapper_type

#define sipType_QState_RestorePolicy              sipModuleAPI_QtGui_QtCore->em_types[224]
#define sipEnum_QState_RestorePolicy              sipModuleAPI_QtGui_QtCore->em_types[224]->u.td_py_type
#define sipType_QState_ChildMode              sipModuleAPI_QtGui_QtCore->em_types[223]
#define sipEnum_QState_ChildMode              sipModuleAPI_QtGui_QtCore->em_types[223]->u.td_py_type

#define sipType_QStateMachine              sipModuleAPI_QtGui_QtCore->em_types[225]
#define sipClass_QStateMachine             sipModuleAPI_QtGui_QtCore->em_types[225]->u.td_wrapper_type

#define sipType_QStateMachine_Error              sipModuleAPI_QtGui_QtCore->em_types[226]
#define sipEnum_QStateMachine_Error              sipModuleAPI_QtGui_QtCore->em_types[226]->u.td_py_type
#define sipType_QStateMachine_EventPriority              sipModuleAPI_QtGui_QtCore->em_types[227]
#define sipEnum_QStateMachine_EventPriority              sipModuleAPI_QtGui_QtCore->em_types[227]->u.td_py_type

#define sipType_QStateMachine_SignalEvent              sipModuleAPI_QtGui_QtCore->em_types[228]
#define sipClass_QStateMachine_SignalEvent             sipModuleAPI_QtGui_QtCore->em_types[228]->u.td_wrapper_type

#define sipType_QStateMachine_WrappedEvent              sipModuleAPI_QtGui_QtCore->em_types[229]
#define sipClass_QStateMachine_WrappedEvent             sipModuleAPI_QtGui_QtCore->em_types[229]->u.td_wrapper_type

#define sipType_QStorageInfo              sipModuleAPI_QtGui_QtCore->em_types[230]
#define sipClass_QStorageInfo             sipModuleAPI_QtGui_QtCore->em_types[230]->u.td_wrapper_type

#define sipType_QStringListModel              sipModuleAPI_QtGui_QtCore->em_types[233]
#define sipClass_QStringListModel             sipModuleAPI_QtGui_QtCore->em_types[233]->u.td_wrapper_type

#define sipType_QSystemSemaphore              sipModuleAPI_QtGui_QtCore->em_types[238]
#define sipClass_QSystemSemaphore             sipModuleAPI_QtGui_QtCore->em_types[238]->u.td_wrapper_type

#define sipType_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtGui_QtCore->em_types[240]
#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtGui_QtCore->em_types[240]->u.td_py_type
#define sipType_QSystemSemaphore_AccessMode              sipModuleAPI_QtGui_QtCore->em_types[239]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_QtGui_QtCore->em_types[239]->u.td_py_type

#define sipType_QTemporaryDir              sipModuleAPI_QtGui_QtCore->em_types[241]
#define sipClass_QTemporaryDir             sipModuleAPI_QtGui_QtCore->em_types[241]->u.td_wrapper_type

#define sipType_QTemporaryFile              sipModuleAPI_QtGui_QtCore->em_types[242]
#define sipClass_QTemporaryFile             sipModuleAPI_QtGui_QtCore->em_types[242]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder              sipModuleAPI_QtGui_QtCore->em_types[243]
#define sipClass_QTextBoundaryFinder             sipModuleAPI_QtGui_QtCore->em_types[243]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtGui_QtCore->em_types[246]
#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtGui_QtCore->em_types[246]->u.td_py_type
#define sipType_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtGui_QtCore->em_types[244]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtGui_QtCore->em_types[244]->u.td_py_type

#define sipType_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_QtGui_QtCore->em_types[245]
#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_QtGui_QtCore->em_types[245]->u.td_wrapper_type

#define sipType_QTextCodec              sipModuleAPI_QtGui_QtCore->em_types[247]
#define sipClass_QTextCodec             sipModuleAPI_QtGui_QtCore->em_types[247]->u.td_wrapper_type

#define sipType_QTextCodec_ConversionFlag              sipModuleAPI_QtGui_QtCore->em_types[248]
#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_QtGui_QtCore->em_types[248]->u.td_py_type

#define sipType_QTextCodec_ConversionFlags              sipModuleAPI_QtGui_QtCore->em_types[249]
#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_QtGui_QtCore->em_types[249]->u.td_wrapper_type

#define sipType_QTextCodec_ConverterState              sipModuleAPI_QtGui_QtCore->em_types[250]
#define sipClass_QTextCodec_ConverterState             sipModuleAPI_QtGui_QtCore->em_types[250]->u.td_wrapper_type

#define sipType_QTextEncoder              sipModuleAPI_QtGui_QtCore->em_types[252]
#define sipClass_QTextEncoder             sipModuleAPI_QtGui_QtCore->em_types[252]->u.td_wrapper_type

#define sipType_QTextDecoder              sipModuleAPI_QtGui_QtCore->em_types[251]
#define sipClass_QTextDecoder             sipModuleAPI_QtGui_QtCore->em_types[251]->u.td_wrapper_type

#define sipType_QTextStream              sipModuleAPI_QtGui_QtCore->em_types[253]
#define sipClass_QTextStream             sipModuleAPI_QtGui_QtCore->em_types[253]->u.td_wrapper_type

#define sipType_QTextStream_Status              sipModuleAPI_QtGui_QtCore->em_types[258]
#define sipEnum_QTextStream_Status              sipModuleAPI_QtGui_QtCore->em_types[258]->u.td_py_type
#define sipType_QTextStream_NumberFlag              sipModuleAPI_QtGui_QtCore->em_types[255]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_QtGui_QtCore->em_types[255]->u.td_py_type
#define sipType_QTextStream_FieldAlignment              sipModuleAPI_QtGui_QtCore->em_types[254]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_QtGui_QtCore->em_types[254]->u.td_py_type
#define sipType_QTextStream_RealNumberNotation              sipModuleAPI_QtGui_QtCore->em_types[257]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_QtGui_QtCore->em_types[257]->u.td_py_type

#define sipType_QTextStream_NumberFlags              sipModuleAPI_QtGui_QtCore->em_types[256]
#define sipClass_QTextStream_NumberFlags             sipModuleAPI_QtGui_QtCore->em_types[256]->u.td_wrapper_type

#define sipType_QTextStreamManipulator              sipModuleAPI_QtGui_QtCore->em_types[259]
#define sipClass_QTextStreamManipulator             sipModuleAPI_QtGui_QtCore->em_types[259]->u.td_wrapper_type

#define sipType_QThread              sipModuleAPI_QtGui_QtCore->em_types[260]
#define sipClass_QThread             sipModuleAPI_QtGui_QtCore->em_types[260]->u.td_wrapper_type

#define sipType_QThread_Priority              sipModuleAPI_QtGui_QtCore->em_types[261]
#define sipEnum_QThread_Priority              sipModuleAPI_QtGui_QtCore->em_types[261]->u.td_py_type

#define sipType_QThreadPool              sipModuleAPI_QtGui_QtCore->em_types[262]
#define sipClass_QThreadPool             sipModuleAPI_QtGui_QtCore->em_types[262]->u.td_wrapper_type

#define sipType_QTimeLine              sipModuleAPI_QtGui_QtCore->em_types[264]
#define sipClass_QTimeLine             sipModuleAPI_QtGui_QtCore->em_types[264]->u.td_wrapper_type

#define sipType_QTimeLine_State              sipModuleAPI_QtGui_QtCore->em_types[267]
#define sipEnum_QTimeLine_State              sipModuleAPI_QtGui_QtCore->em_types[267]->u.td_py_type
#define sipType_QTimeLine_Direction              sipModuleAPI_QtGui_QtCore->em_types[266]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_QtGui_QtCore->em_types[266]->u.td_py_type
#define sipType_QTimeLine_CurveShape              sipModuleAPI_QtGui_QtCore->em_types[265]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_QtGui_QtCore->em_types[265]->u.td_py_type

#define sipType_QTimer              sipModuleAPI_QtGui_QtCore->em_types[272]
#define sipClass_QTimer             sipModuleAPI_QtGui_QtCore->em_types[272]->u.td_wrapper_type

#define sipType_QTimeZone              sipModuleAPI_QtGui_QtCore->em_types[268]
#define sipClass_QTimeZone             sipModuleAPI_QtGui_QtCore->em_types[268]->u.td_wrapper_type

#define sipType_QTimeZone_NameType              sipModuleAPI_QtGui_QtCore->em_types[269]
#define sipEnum_QTimeZone_NameType              sipModuleAPI_QtGui_QtCore->em_types[269]->u.td_py_type
#define sipType_QTimeZone_TimeType              sipModuleAPI_QtGui_QtCore->em_types[271]
#define sipEnum_QTimeZone_TimeType              sipModuleAPI_QtGui_QtCore->em_types[271]->u.td_py_type

#define sipType_QTimeZone_OffsetData              sipModuleAPI_QtGui_QtCore->em_types[270]
#define sipClass_QTimeZone_OffsetData             sipModuleAPI_QtGui_QtCore->em_types[270]->u.td_wrapper_type

#define sipType_QTranslator              sipModuleAPI_QtGui_QtCore->em_types[274]
#define sipClass_QTranslator             sipModuleAPI_QtGui_QtCore->em_types[274]->u.td_wrapper_type

#define sipType_QUrl              sipModuleAPI_QtGui_QtCore->em_types[275]
#define sipClass_QUrl             sipModuleAPI_QtGui_QtCore->em_types[275]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOption              sipModuleAPI_QtGui_QtCore->em_types[281]
#define sipEnum_QUrl_UserInputResolutionOption              sipModuleAPI_QtGui_QtCore->em_types[281]->u.td_py_type
#define sipType_QUrl_ComponentFormattingOption              sipModuleAPI_QtGui_QtCore->em_types[276]
#define sipEnum_QUrl_ComponentFormattingOption              sipModuleAPI_QtGui_QtCore->em_types[276]->u.td_py_type
#define sipType_QUrl_UrlFormattingOption              sipModuleAPI_QtGui_QtCore->em_types[280]
#define sipEnum_QUrl_UrlFormattingOption              sipModuleAPI_QtGui_QtCore->em_types[280]->u.td_py_type
#define sipType_QUrl_ParsingMode              sipModuleAPI_QtGui_QtCore->em_types[279]
#define sipEnum_QUrl_ParsingMode              sipModuleAPI_QtGui_QtCore->em_types[279]->u.td_py_type

#define sipType_QUrl_FormattingOptions              sipModuleAPI_QtGui_QtCore->em_types[278]
#define sipClass_QUrl_FormattingOptions             sipModuleAPI_QtGui_QtCore->em_types[278]->u.td_wrapper_type

#define sipType_QUrl_ComponentFormattingOptions              sipModuleAPI_QtGui_QtCore->em_types[277]
#define sipClass_QUrl_ComponentFormattingOptions             sipModuleAPI_QtGui_QtCore->em_types[277]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOptions              sipModuleAPI_QtGui_QtCore->em_types[282]
#define sipClass_QUrl_UserInputResolutionOptions             sipModuleAPI_QtGui_QtCore->em_types[282]->u.td_wrapper_type

#define sipType_QUrlQuery              sipModuleAPI_QtGui_QtCore->em_types[283]
#define sipClass_QUrlQuery             sipModuleAPI_QtGui_QtCore->em_types[283]->u.td_wrapper_type

#define sipType_QUuid              sipModuleAPI_QtGui_QtCore->em_types[284]
#define sipClass_QUuid             sipModuleAPI_QtGui_QtCore->em_types[284]->u.td_wrapper_type

#define sipType_QUuid_Version              sipModuleAPI_QtGui_QtCore->em_types[286]
#define sipEnum_QUuid_Version              sipModuleAPI_QtGui_QtCore->em_types[286]->u.td_py_type
#define sipType_QUuid_Variant              sipModuleAPI_QtGui_QtCore->em_types[285]
#define sipEnum_QUuid_Variant              sipModuleAPI_QtGui_QtCore->em_types[285]->u.td_py_type

#define sipType_QVariant              sipModuleAPI_QtGui_QtCore->em_types[287]
#define sipClass_QVariant             sipModuleAPI_QtGui_QtCore->em_types[287]->u.td_wrapper_type

#define sipType_QVariant_Type              sipModuleAPI_QtGui_QtCore->em_types[288]
#define sipEnum_QVariant_Type              sipModuleAPI_QtGui_QtCore->em_types[288]->u.td_py_type

#define sipType_QWaitCondition              sipModuleAPI_QtGui_QtCore->em_types[297]
#define sipClass_QWaitCondition             sipModuleAPI_QtGui_QtCore->em_types[297]->u.td_wrapper_type

#define sipType_QXmlStreamAttribute              sipModuleAPI_QtGui_QtCore->em_types[300]
#define sipClass_QXmlStreamAttribute             sipModuleAPI_QtGui_QtCore->em_types[300]->u.td_wrapper_type

#define sipType_QXmlStreamAttributes              sipModuleAPI_QtGui_QtCore->em_types[301]
#define sipClass_QXmlStreamAttributes             sipModuleAPI_QtGui_QtCore->em_types[301]->u.td_wrapper_type

#define sipType_QXmlStreamNamespaceDeclaration              sipModuleAPI_QtGui_QtCore->em_types[304]
#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_QtGui_QtCore->em_types[304]->u.td_wrapper_type

#define sipType_QXmlStreamNotationDeclaration              sipModuleAPI_QtGui_QtCore->em_types[305]
#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_QtGui_QtCore->em_types[305]->u.td_wrapper_type

#define sipType_QXmlStreamEntityDeclaration              sipModuleAPI_QtGui_QtCore->em_types[302]
#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_QtGui_QtCore->em_types[302]->u.td_wrapper_type

#define sipType_QXmlStreamEntityResolver              sipModuleAPI_QtGui_QtCore->em_types[303]
#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_QtGui_QtCore->em_types[303]->u.td_wrapper_type

#define sipType_QXmlStreamReader              sipModuleAPI_QtGui_QtCore->em_types[306]
#define sipClass_QXmlStreamReader             sipModuleAPI_QtGui_QtCore->em_types[306]->u.td_wrapper_type

#define sipType_QXmlStreamReader_Error              sipModuleAPI_QtGui_QtCore->em_types[307]
#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_QtGui_QtCore->em_types[307]->u.td_py_type
#define sipType_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtGui_QtCore->em_types[308]
#define sipEnum_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtGui_QtCore->em_types[308]->u.td_py_type
#define sipType_QXmlStreamReader_TokenType              sipModuleAPI_QtGui_QtCore->em_types[309]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_QtGui_QtCore->em_types[309]->u.td_py_type

#define sipType_QXmlStreamWriter              sipModuleAPI_QtGui_QtCore->em_types[310]
#define sipClass_QXmlStreamWriter             sipModuleAPI_QtGui_QtCore->em_types[310]->u.td_wrapper_type

#define sipType_QSysInfo              sipModuleAPI_QtGui_QtCore->em_types[235]
#define sipClass_QSysInfo             sipModuleAPI_QtGui_QtCore->em_types[235]->u.td_wrapper_type

#define sipType_QSysInfo_Endian              sipModuleAPI_QtGui_QtCore->em_types[236]
#define sipEnum_QSysInfo_Endian              sipModuleAPI_QtGui_QtCore->em_types[236]->u.td_py_type
#define sipType_QSysInfo_Sizes              sipModuleAPI_QtGui_QtCore->em_types[237]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_QtGui_QtCore->em_types[237]->u.td_py_type

#define sipType_QList_0600QPair_0100QString_0100QString      sipModuleAPI_QtGui_QtCore->em_types[116]

#define sipType_QList_0100QStorageInfo      sipModuleAPI_QtGui_QtCore->em_types[119]

#define sipType_QSet_0101QAbstractState      sipModuleAPI_QtGui_QtCore->em_types[202]

#define sipType_QList_0101QAbstractTransition      sipModuleAPI_QtGui_QtCore->em_types[108]

#define sipType_QList_0100QMimeType      sipModuleAPI_QtGui_QtCore->em_types[113]

#define sipType_QList_0100QUrl      sipModuleAPI_QtGui_QtCore->em_types[120]

#define sipType_QList_0100QLocale      sipModuleAPI_QtGui_QtCore->em_types[112]

#define sipType_QVector_0100QPointF      sipModuleAPI_QtGui_QtCore->em_types[291]

#define sipType_QList_0100QCommandLineOption      sipModuleAPI_QtGui_QtCore->em_types[110]

#define sipType_QList_0101QAbstractAnimation      sipModuleAPI_QtGui_QtCore->em_types[105]

#define sipType_QList_0101QAbstractState      sipModuleAPI_QtGui_QtCore->em_types[107]

#define sipType_QHash_1800_0100QByteArray      sipModuleAPI_QtGui_QtCore->em_types[76]

#define sipType_QList_0100QPersistentModelIndex      sipModuleAPI_QtGui_QtCore->em_types[118]

#define sipType_QMap_1800_0100QVariant      sipModuleAPI_QtGui_QtCore->em_types[138]

#define sipType_QList_0100QAbstractEventDispatcher_TimerInfo      sipModuleAPI_QtGui_QtCore->em_types[106]

#define sipType_QList_0100QByteArray      sipModuleAPI_QtGui_QtCore->em_types[109]

#define sipType_QVector_0100QXmlStreamNotationDeclaration      sipModuleAPI_QtGui_QtCore->em_types[295]

#define sipType_QVector_0100QXmlStreamNamespaceDeclaration      sipModuleAPI_QtGui_QtCore->em_types[294]

#define sipType_QVector_0100QXmlStreamEntityDeclaration      sipModuleAPI_QtGui_QtCore->em_types[293]

#define sipType_QMap_0100QString_0100QVariant      sipModuleAPI_QtGui_QtCore->em_types[137]

#define sipType_QList_0100QVariant      sipModuleAPI_QtGui_QtCore->em_types[121]

#define sipType_QHash_0100QString_0100QVariant      sipModuleAPI_QtGui_QtCore->em_types[75]

#define sipType_QVector_0600QPair_2400_0100QVariant      sipModuleAPI_QtGui_QtCore->em_types[290]

#define sipType_QVector_0100QTimeZone_OffsetData      sipModuleAPI_QtGui_QtCore->em_types[292]

#define sipType_QList_0101QObject      sipModuleAPI_QtGui_QtCore->em_types[115]

#define sipType_QList_0100QModelIndex      sipModuleAPI_QtGui_QtCore->em_types[114]

#define sipType_QList_0100QFileInfo      sipModuleAPI_QtGui_QtCore->em_types[111]

#define sipType_QStringList      sipModuleAPI_QtGui_QtCore->em_types[232]

#define sipType_QVector_1800      sipModuleAPI_QtGui_QtCore->em_types[296]

#define sipType_QPair_1800_1800      sipModuleAPI_QtGui_QtCore->em_types[165]

#define sipType_QList_0100Qt_DayOfWeek      sipModuleAPI_QtGui_QtCore->em_types[122]

#define sipType_QList_2400      sipModuleAPI_QtGui_QtCore->em_types[124]

#define sipType_QList_1800      sipModuleAPI_QtGui_QtCore->em_types[123]

#define sipType_QList_0600QPair_1800_1800      sipModuleAPI_QtGui_QtCore->em_types[117]

#define sipType_QJsonObject      sipModuleAPI_QtGui_QtCore->em_types[92]

#define sipType_QJsonArray      sipModuleAPI_QtGui_QtCore->em_types[88]

#define sipType_QStringRef      sipModuleAPI_QtGui_QtCore->em_types[234]

#define sipType_QString      sipModuleAPI_QtGui_QtCore->em_types[231]

#define sipType_QChar      sipModuleAPI_QtGui_QtCore->em_types[23]

#define sipType_quintptr      sipModuleAPI_QtGui_QtCore->em_types[417]

#define sipType_qintptr      sipModuleAPI_QtGui_QtCore->em_types[416]
extern const sipExportedModuleDef *sipModuleAPI_QtGui_QtCore;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtGui_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtGui_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtGui_qt_metacast;

#endif
