/*
 * Internal module API header file.
 *
 * Generated by SIP 4.17
 *
 * Copyright (c) 2015 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWidgetsAPI_H
#define _QtWidgetsAPI_H


#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacCocoaViewContainer
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11

#line 323 "/builddir/build/BUILD/PyQt-gpl-5.5.1/sip/QtWidgets/qapplication.sip"
// Imports from QtCore.
typedef char **(*pyqt5_qtwidgets_from_argv_list_t)(PyObject *, int &);
extern pyqt5_qtwidgets_from_argv_list_t pyqt5_qtwidgets_from_argv_list;

typedef sipErrorState (*pyqt5_qtwidgets_get_connection_parts_t)(PyObject *, QObject *, const char *, bool, QObject **, QByteArray &);
extern pyqt5_qtwidgets_get_connection_parts_t pyqt5_qtwidgets_get_connection_parts;

typedef sipErrorState (*pyqt5_qtwidgets_get_pyqtsignal_parts_t)(PyObject *, QObject **, QByteArray &);
extern pyqt5_qtwidgets_get_pyqtsignal_parts_t pyqt5_qtwidgets_get_pyqtsignal_parts;

typedef void (*pyqt5_qtwidgets_update_argv_list_t)(PyObject *, int, char **);
extern pyqt5_qtwidgets_update_argv_list_t pyqt5_qtwidgets_update_argv_list;

// This is needed for Qt v5.0.0.
#if defined(B0)
#undef B0
#endif
#line 69 "/builddir/build/BUILD/PyQt-gpl-5.5.1/QtWidgets/sipAPIQtWidgets.h"

/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_SH_ItemView_PaintAlternatingRowColorsForEmptyArea 0
#define sipName_SH_ItemView_PaintAlternatingRowColorsForEmptyArea &sipStrings_QtWidgets[0]
#define sipNameNr_QStyleOptionTabWidgetFrame__StyleOptionVersion 50
#define sipName_QStyleOptionTabWidgetFrame__StyleOptionVersion &sipStrings_QtWidgets[50]
#define sipNameNr_QStyleOptionGraphicsItem__StyleOptionVersion 97
#define sipName_QStyleOptionGraphicsItem__StyleOptionVersion &sipStrings_QtWidgets[97]
#define sipNameNr_SH_ItemView_MovementWithoutUpdatingSelection 142
#define sipName_SH_ItemView_MovementWithoutUpdatingSelection &sipStrings_QtWidgets[142]
#define sipNameNr_QStyleHintReturnVariant__StyleOptionVersion 187
#define sipName_QStyleHintReturnVariant__StyleOptionVersion &sipStrings_QtWidgets[187]
#define sipNameNr_QStyleOptionProgressBar__StyleOptionVersion 231
#define sipName_QStyleOptionProgressBar__StyleOptionVersion &sipStrings_QtWidgets[231]
#define sipNameNr_QStyleOptionTabWidgetFrame__StyleOptionType 275
#define sipName_QStyleOptionTabWidgetFrame__StyleOptionType &sipStrings_QtWidgets[275]
#define sipNameNr_SH_TextControl_FocusIndicatorTextCharFormat 319
#define sipName_SH_TextControl_FocusIndicatorTextCharFormat &sipStrings_QtWidgets[319]
#define sipNameNr_SH_ScrollBar_ScrollWhenPointerLeavesControl 363
#define sipName_SH_ScrollBar_ScrollWhenPointerLeavesControl &sipStrings_QtWidgets[363]
#define sipNameNr_QStyleOptionToolButton__ToolButtonFeatures 407
#define sipName_QStyleOptionToolButton__ToolButtonFeatures &sipStrings_QtWidgets[407]
#define sipNameNr_QStyleOptionToolButton__StyleOptionVersion 450
#define sipName_QStyleOptionToolButton__StyleOptionVersion &sipStrings_QtWidgets[450]
#define sipNameNr_QStyleOptionRubberBand__StyleOptionVersion 493
#define sipName_QStyleOptionRubberBand__StyleOptionVersion &sipStrings_QtWidgets[493]
#define sipNameNr_QStyleOptionDockWidget__StyleOptionVersion 536
#define sipName_QStyleOptionDockWidget__StyleOptionVersion &sipStrings_QtWidgets[536]
#define sipNameNr_QStyleOptionTabBarBase__StyleOptionVersion 579
#define sipName_QStyleOptionTabBarBase__StyleOptionVersion &sipStrings_QtWidgets[579]
#define sipNameNr_QStyleOptionGraphicsItem__StyleOptionType 622
#define sipName_QStyleOptionGraphicsItem__StyleOptionType &sipStrings_QtWidgets[622]
#define sipNameNr_QStyleOptionToolButton__ToolButtonFeature 664
#define sipName_QStyleOptionToolButton__ToolButtonFeature &sipStrings_QtWidgets[664]
#define sipNameNr_QStyleOptionFocusRect__StyleOptionVersion 706
#define sipName_QStyleOptionFocusRect__StyleOptionVersion &sipStrings_QtWidgets[706]
#define sipNameNr_SH_ItemView_ArrowKeysNavigateIntoChildren 748
#define sipName_SH_ItemView_ArrowKeysNavigateIntoChildren &sipStrings_QtWidgets[748]
#define sipNameNr_QStyleHintReturnVariant__StyleOptionType 790
#define sipName_QStyleHintReturnVariant__StyleOptionType &sipStrings_QtWidgets[790]
#define sipNameNr_QStyleOptionSizeGrip__StyleOptionVersion 831
#define sipName_QStyleOptionSizeGrip__StyleOptionVersion &sipStrings_QtWidgets[831]
#define sipNameNr_QStyleOptionGroupBox__StyleOptionVersion 872
#define sipName_QStyleOptionGroupBox__StyleOptionVersion &sipStrings_QtWidgets[872]
#define sipNameNr_QStyleHintReturnMask__StyleOptionVersion 913
#define sipName_QStyleHintReturnMask__StyleOptionVersion &sipStrings_QtWidgets[913]
#define sipNameNr_QStyleOptionTitleBar__StyleOptionVersion 954
#define sipName_QStyleOptionTitleBar__StyleOptionVersion &sipStrings_QtWidgets[954]
#define sipNameNr_QStyleOptionComboBox__StyleOptionVersion 995
#define sipName_QStyleOptionComboBox__StyleOptionVersion &sipStrings_QtWidgets[995]
#define sipNameNr_QStyleOptionViewItem__StyleOptionVersion 1036
#define sipName_QStyleOptionViewItem__StyleOptionVersion &sipStrings_QtWidgets[1036]
#define sipNameNr_QStyleOptionMenuItem__StyleOptionVersion 1077
#define sipName_QStyleOptionMenuItem__StyleOptionVersion &sipStrings_QtWidgets[1077]
#define sipNameNr_QStyleOptionProgressBar__StyleOptionType 1118
#define sipName_QStyleOptionProgressBar__StyleOptionType &sipStrings_QtWidgets[1118]
#define sipNameNr_SH_Menu_SubMenuResetWhenReenteringParent 1159
#define sipName_SH_Menu_SubMenuResetWhenReenteringParent &sipStrings_QtWidgets[1159]
#define sipNameNr_SH_ScrollBar_MiddleClickAbsolutePosition 1200
#define sipName_SH_ScrollBar_MiddleClickAbsolutePosition &sipStrings_QtWidgets[1200]
#define sipNameNr_QAbstractItemView__DropIndicatorPosition 1241
#define sipName_QAbstractItemView__DropIndicatorPosition &sipStrings_QtWidgets[1241]
#define sipNameNr_QStyleOptionToolBar__StyleOptionVersion 1282
#define sipName_QStyleOptionToolBar__StyleOptionVersion &sipStrings_QtWidgets[1282]
#define sipNameNr_QStyleOptionToolButton__StyleOptionType 1322
#define sipName_QStyleOptionToolButton__StyleOptionType &sipStrings_QtWidgets[1322]
#define sipNameNr_QStyleOptionSpinBox__StyleOptionVersion 1362
#define sipName_QStyleOptionSpinBox__StyleOptionVersion &sipStrings_QtWidgets[1362]
#define sipNameNr_QStyleOptionComplex__StyleOptionVersion 1402
#define sipName_QStyleOptionComplex__StyleOptionVersion &sipStrings_QtWidgets[1402]
#define sipNameNr_QStyleOptionRubberBand__StyleOptionType 1442
#define sipName_QStyleOptionRubberBand__StyleOptionType &sipStrings_QtWidgets[1442]
#define sipNameNr_QStyleOptionToolBox__StyleOptionVersion 1482
#define sipName_QStyleOptionToolBox__StyleOptionVersion &sipStrings_QtWidgets[1482]
#define sipNameNr_QStyleOptionDockWidget__StyleOptionType 1522
#define sipName_QStyleOptionDockWidget__StyleOptionType &sipStrings_QtWidgets[1522]
#define sipNameNr_QStyleOptionTabBarBase__StyleOptionType 1562
#define sipName_QStyleOptionTabBarBase__StyleOptionType &sipStrings_QtWidgets[1562]
#define sipNameNr_SH_Menu_SubMenuSloppySelectOtherActions 1602
#define sipName_SH_Menu_SubMenuSloppySelectOtherActions &sipStrings_QtWidgets[1602]
#define sipNameNr_SH_MessageBox_UseBorderForButtonSpacing 1642
#define sipName_SH_MessageBox_UseBorderForButtonSpacing &sipStrings_QtWidgets[1642]
#define sipNameNr_QCalendarWidget__HorizontalHeaderFormat 1682
#define sipName_QCalendarWidget__HorizontalHeaderFormat &sipStrings_QtWidgets[1682]
#define sipNameNr_QTreeWidgetItemIterator__IteratorFlags 1722
#define sipName_QTreeWidgetItemIterator__IteratorFlags &sipStrings_QtWidgets[1722]
#define sipNameNr_QStyleOptionSlider__StyleOptionVersion 1761
#define sipName_QStyleOptionSlider__StyleOptionVersion &sipStrings_QtWidgets[1761]
#define sipNameNr_QStyleOptionViewItem__ViewItemPosition 1800
#define sipName_QStyleOptionViewItem__ViewItemPosition &sipStrings_QtWidgets[1800]
#define sipNameNr_QStyleOptionViewItem__ViewItemFeatures 1839
#define sipName_QStyleOptionViewItem__ViewItemFeatures &sipStrings_QtWidgets[1839]
#define sipNameNr_QStyleOptionButton__StyleOptionVersion 1878
#define sipName_QStyleOptionButton__StyleOptionVersion &sipStrings_QtWidgets[1878]
#define sipNameNr_QStyleOptionHeader__StyleOptionVersion 1917
#define sipName_QStyleOptionHeader__StyleOptionVersion &sipStrings_QtWidgets[1917]
#define sipNameNr_QStyleOptionFocusRect__StyleOptionType 1956
#define sipName_QStyleOptionFocusRect__StyleOptionType &sipStrings_QtWidgets[1956]
#define sipNameNr_SH_ScrollBar_LeftClickAbsolutePosition 1995
#define sipName_SH_ScrollBar_LeftClickAbsolutePosition &sipStrings_QtWidgets[1995]
#define sipNameNr_SH_GroupBox_TextLabelVerticalAlignment 2034
#define sipName_SH_GroupBox_TextLabelVerticalAlignment &sipStrings_QtWidgets[2034]
#define sipNameNr_QGraphicsSceneContextMenuEvent__Reason 2073
#define sipName_QGraphicsSceneContextMenuEvent__Reason &sipStrings_QtWidgets[2073]
#define sipNameNr_QTreeWidgetItemIterator__IteratorFlag 2112
#define sipName_QTreeWidgetItemIterator__IteratorFlag &sipStrings_QtWidgets[2112]
#define sipNameNr_QTreeWidgetItem__ChildIndicatorPolicy 2150
#define sipName_QTreeWidgetItem__ChildIndicatorPolicy &sipStrings_QtWidgets[2150]
#define sipNameNr_QStyleOptionSizeGrip__StyleOptionType 2188
#define sipName_QStyleOptionSizeGrip__StyleOptionType &sipStrings_QtWidgets[2188]
#define sipNameNr_QStyleOptionGroupBox__StyleOptionType 2226
#define sipName_QStyleOptionGroupBox__StyleOptionType &sipStrings_QtWidgets[2226]
#define sipNameNr_QStyleHintReturnMask__StyleOptionType 2264
#define sipName_QStyleHintReturnMask__StyleOptionType &sipStrings_QtWidgets[2264]
#define sipNameNr_QStyleOptionTitleBar__StyleOptionType 2302
#define sipName_QStyleOptionTitleBar__StyleOptionType &sipStrings_QtWidgets[2302]
#define sipNameNr_QStyleOptionComboBox__StyleOptionType 2340
#define sipName_QStyleOptionComboBox__StyleOptionType &sipStrings_QtWidgets[2340]
#define sipNameNr_QStyleOptionToolBox__SelectedPosition 2378
#define sipName_QStyleOptionToolBox__SelectedPosition &sipStrings_QtWidgets[2378]
#define sipNameNr_QStyleOptionViewItem__ViewItemFeature 2416
#define sipName_QStyleOptionViewItem__ViewItemFeature &sipStrings_QtWidgets[2416]
#define sipNameNr_QStyleOptionViewItem__StyleOptionType 2454
#define sipName_QStyleOptionViewItem__StyleOptionType &sipStrings_QtWidgets[2454]
#define sipNameNr_QStyleOptionMenuItem__StyleOptionType 2492
#define sipName_QStyleOptionMenuItem__StyleOptionType &sipStrings_QtWidgets[2492]
#define sipNameNr_QStyleOptionFrame__StyleOptionVersion 2530
#define sipName_QStyleOptionFrame__StyleOptionVersion &sipStrings_QtWidgets[2530]
#define sipNameNr_SH_Menu_SubMenuDontStartSloppyOnLeave 2568
#define sipName_SH_Menu_SubMenuDontStartSloppyOnLeave &sipStrings_QtWidgets[2568]
#define sipNameNr_SH_ItemView_ActivateItemOnSingleClick 2606
#define sipName_SH_ItemView_ActivateItemOnSingleClick &sipStrings_QtWidgets[2606]
#define sipNameNr_SH_ScrollView_FrameOnlyAroundContents 2644
#define sipName_SH_ScrollView_FrameOnlyAroundContents &sipStrings_QtWidgets[2644]
#define sipNameNr_PM_HeaderDefaultSectionSizeHorizontal 2682
#define sipName_PM_HeaderDefaultSectionSizeHorizontal &sipStrings_QtWidgets[2682]
#define sipNameNr_AdjustToMinimumContentsLengthWithIcon 2720
#define sipName_AdjustToMinimumContentsLengthWithIcon &sipStrings_QtWidgets[2720]
#define sipNameNr_QCalendarWidget__VerticalHeaderFormat 2758
#define sipName_QCalendarWidget__VerticalHeaderFormat &sipStrings_QtWidgets[2758]
#define sipNameNr_QAbstractScrollArea__SizeAdjustPolicy 2796
#define sipName_QAbstractScrollArea__SizeAdjustPolicy &sipStrings_QtWidgets[2796]
#define sipNameNr_QStyleOptionToolBar__ToolBarFeatures 2834
#define sipName_QStyleOptionToolBar__ToolBarFeatures &sipStrings_QtWidgets[2834]
#define sipNameNr_QStyleOptionToolBar__ToolBarPosition 2871
#define sipName_QStyleOptionToolBar__ToolBarPosition &sipStrings_QtWidgets[2871]
#define sipNameNr_QStyleOptionToolBar__StyleOptionType 2908
#define sipName_QStyleOptionToolBar__StyleOptionType &sipStrings_QtWidgets[2908]
#define sipNameNr_QStyleHintReturn__StyleOptionVersion 2945
#define sipName_QStyleHintReturn__StyleOptionVersion &sipStrings_QtWidgets[2945]
#define sipNameNr_QStyleOptionSpinBox__StyleOptionType 2982
#define sipName_QStyleOptionSpinBox__StyleOptionType &sipStrings_QtWidgets[2982]
#define sipNameNr_QStyleOptionComplex__StyleOptionType 3019
#define sipName_QStyleOptionComplex__StyleOptionType &sipStrings_QtWidgets[3019]
#define sipNameNr_QStyleOptionToolBox__StyleOptionType 3056
#define sipName_QStyleOptionToolBox__StyleOptionType &sipStrings_QtWidgets[3056]
#define sipNameNr_QStyleOptionHeader__SelectedPosition 3093
#define sipName_QStyleOptionHeader__SelectedPosition &sipStrings_QtWidgets[3093]
#define sipNameNr_SH_Menu_SubMenuUniDirectionFailCount 3130
#define sipName_SH_Menu_SubMenuUniDirectionFailCount &sipStrings_QtWidgets[3130]
#define sipNameNr_SH_ProgressDialog_TextLabelAlignment 3167
#define sipName_SH_ProgressDialog_TextLabelAlignment &sipStrings_QtWidgets[3167]
#define sipNameNr_SH_ProgressDialog_CenterCancelButton 3204
#define sipName_SH_ProgressDialog_CenterCancelButton &sipStrings_QtWidgets[3204]
#define sipNameNr_QScrollerProperties__OvershootPolicy 3241
#define sipName_QScrollerProperties__OvershootPolicy &sipStrings_QtWidgets[3241]
#define sipNameNr_ItemDoesntPropagateOpacityToChildren 3278
#define sipName_ItemDoesntPropagateOpacityToChildren &sipStrings_QtWidgets[3278]
#define sipNameNr_QAbstractItemView__SelectionBehavior 3315
#define sipName_QAbstractItemView__SelectionBehavior &sipStrings_QtWidgets[3315]
#define sipNameNr_QStyleOptionToolBar__ToolBarFeature 3352
#define sipName_QStyleOptionToolBar__ToolBarFeature &sipStrings_QtWidgets[3352]
#define sipNameNr_QStyleOptionSlider__StyleOptionType 3388
#define sipName_QStyleOptionSlider__StyleOptionType &sipStrings_QtWidgets[3388]
#define sipNameNr_QStyleOptionTab__StyleOptionVersion 3424
#define sipName_QStyleOptionTab__StyleOptionVersion &sipStrings_QtWidgets[3424]
#define sipNameNr_QStyleOptionButton__StyleOptionType 3460
#define sipName_QStyleOptionButton__StyleOptionType &sipStrings_QtWidgets[3460]
#define sipNameNr_QStyleOptionHeader__SectionPosition 3496
#define sipName_QStyleOptionHeader__SectionPosition &sipStrings_QtWidgets[3496]
#define sipNameNr_QStyleOptionHeader__StyleOptionType 3532
#define sipName_QStyleOptionHeader__StyleOptionType &sipStrings_QtWidgets[3532]
#define sipNameNr_SP_ToolBarHorizontalExtensionButton 3568
#define sipName_SP_ToolBarHorizontalExtensionButton &sipStrings_QtWidgets[3568]
#define sipNameNr_SH_SpinBox_ClickAutoRepeatThreshold 3604
#define sipName_SH_SpinBox_ClickAutoRepeatThreshold &sipStrings_QtWidgets[3604]
#define sipNameNr_SH_DialogButtonBox_ButtonsHaveIcons 3640
#define sipName_SH_DialogButtonBox_ButtonsHaveIcons &sipStrings_QtWidgets[3640]
#define sipNameNr_PM_HeaderDefaultSectionSizeVertical 3676
#define sipName_PM_HeaderDefaultSectionSizeVertical &sipStrings_QtWidgets[3676]
#define sipNameNr_QStyleOptionMenuItem__MenuItemType 3712
#define sipName_QStyleOptionMenuItem__MenuItemType &sipStrings_QtWidgets[3712]
#define sipNameNr_QStyleOptionButton__ButtonFeatures 3747
#define sipName_QStyleOptionButton__ButtonFeatures &sipStrings_QtWidgets[3747]
#define sipNameNr_QStyleOptionFrame__StyleOptionType 3782
#define sipName_QStyleOptionFrame__StyleOptionType &sipStrings_QtWidgets[3782]
#define sipNameNr_RSIP_OnMouseClickAndAlreadyFocused 3817
#define sipName_RSIP_OnMouseClickAndAlreadyFocused &sipStrings_QtWidgets[3817]
#define sipNameNr_SH_MessageBox_TextInteractionFlags 3852
#define sipName_SH_MessageBox_TextInteractionFlags &sipStrings_QtWidgets[3852]
#define sipNameNr_SH_ItemView_ShowDecorationSelected 3887
#define sipName_SH_ItemView_ShowDecorationSelected &sipStrings_QtWidgets[3887]
#define sipNameNr_SH_ItemView_ChangeHighlightOnFocus 3922
#define sipName_SH_ItemView_ChangeHighlightOnFocus &sipStrings_QtWidgets[3922]
#define sipNameNr_SH_FontDialog_SelectAssociatedText 3957
#define sipName_SH_FontDialog_SelectAssociatedText &sipStrings_QtWidgets[3957]
#define sipNameNr_PE_IndicatorDockWidgetResizeHandle 3992
#define sipName_PE_IndicatorDockWidgetResizeHandle &sipStrings_QtWidgets[3992]
#define sipNameNr_ItemTransformOriginPointHasChanged 4027
#define sipName_ItemTransformOriginPointHasChanged &sipStrings_QtWidgets[4027]
#define sipNameNr_QAbstractItemDelegate__EndEditHint 4062
#define sipName_QAbstractItemDelegate__EndEditHint &sipStrings_QtWidgets[4062]
#define sipNameNr_4097 4097
#define sipName_4097 &sipStrings_QtWidgets[4097]
#define sipNameNr_QSystemTrayIcon__ActivationReason 4131
#define sipName_QSystemTrayIcon__ActivationReason &sipStrings_QtWidgets[4131]
#define sipNameNr_QStyleHintReturn__StyleOptionType 4165
#define sipName_QStyleHintReturn__StyleOptionType &sipStrings_QtWidgets[4165]
#define sipNameNr_QStyleOptionTab__SelectedPosition 4199
#define sipName_QStyleOptionTab__SelectedPosition &sipStrings_QtWidgets[4199]
#define sipNameNr_QStyleOptionButton__ButtonFeature 4233
#define sipName_QStyleOptionButton__ButtonFeature &sipStrings_QtWidgets[4233]
#define sipNameNr_QStyleOptionHeader__SortIndicator 4267
#define sipName_QStyleOptionHeader__SortIndicator &sipStrings_QtWidgets[4267]
#define sipNameNr_QStyle__RequestSoftwareInputPanel 4301
#define sipName_QStyle__RequestSoftwareInputPanel &sipStrings_QtWidgets[4301]
#define sipNameNr_SP_ToolBarVerticalExtensionButton 4335
#define sipName_SP_ToolBarVerticalExtensionButton &sipStrings_QtWidgets[4335]
#define sipNameNr_SH_Menu_SubMenuSloppyCloseTimeout 4369
#define sipName_SH_Menu_SubMenuSloppyCloseTimeout &sipStrings_QtWidgets[4369]
#define sipNameNr_SH_ListViewExpand_SelectMouseType 4403
#define sipName_SH_ListViewExpand_SelectMouseType &sipStrings_QtWidgets[4403]
#define sipNameNr_SH_SpinBox_KeyPressAutoRepeatRate 4437
#define sipName_SH_SpinBox_KeyPressAutoRepeatRate &sipStrings_QtWidgets[4437]
#define sipNameNr_PM_DockWidgetTitleBarButtonMargin 4471
#define sipName_PM_DockWidgetTitleBarButtonMargin &sipStrings_QtWidgets[4471]
#define sipNameNr_QScrollerProperties__ScrollMetric 4505
#define sipName_QScrollerProperties__ScrollMetric &sipStrings_QtWidgets[4505]
#define sipNameNr_DontMaximizeSubWindowOnActivation 4539
#define sipName_DontMaximizeSubWindowOnActivation &sipStrings_QtWidgets[4539]
#define sipNameNr_QGraphicsView__ViewportUpdateMode 4573
#define sipName_QGraphicsView__ViewportUpdateMode &sipStrings_QtWidgets[4573]
#define sipNameNr_QGraphicsItem__GraphicsItemChange 4607
#define sipName_QGraphicsItem__GraphicsItemChange &sipStrings_QtWidgets[4607]
#define sipNameNr_QDialogButtonBox__StandardButtons 4641
#define sipName_QDialogButtonBox__StandardButtons &sipStrings_QtWidgets[4641]
#define sipNameNr_QAbstractSpinBox__StepEnabledFlag 4675
#define sipName_QAbstractSpinBox__StepEnabledFlag &sipStrings_QtWidgets[4675]
#define sipNameNr_4709 4709
#define sipName_4709 &sipStrings_QtWidgets[4709]
#define sipNameNr_QToolButton__ToolButtonPopupMode 4742
#define sipName_QToolButton__ToolButtonPopupMode &sipStrings_QtWidgets[4742]
#define sipNameNr_QStyleHintReturn__HintReturnType 4775
#define sipName_QStyleHintReturn__HintReturnType &sipStrings_QtWidgets[4775]
#define sipNameNr_QStyleOptionToolBox__TabPosition 4808
#define sipName_QStyleOptionToolBox__TabPosition &sipStrings_QtWidgets[4808]
#define sipNameNr_QStyleOptionTab__StyleOptionType 4841
#define sipName_QStyleOptionTab__StyleOptionType &sipStrings_QtWidgets[4841]
#define sipNameNr_QStyleOptionFrame__FrameFeatures 4874
#define sipName_QStyleOptionFrame__FrameFeatures &sipStrings_QtWidgets[4874]
#define sipNameNr_QStyleOption__StyleOptionVersion 4907
#define sipName_QStyleOption__StyleOptionVersion &sipStrings_QtWidgets[4907]
#define sipNameNr_SH_ToolBox_SelectedPageTitleBold 4940
#define sipName_SH_ToolBox_SelectedPageTitleBold &sipStrings_QtWidgets[4940]
#define sipNameNr_SH_ScrollBar_StopMouseOverSlider 4973
#define sipName_SH_ScrollBar_StopMouseOverSlider &sipStrings_QtWidgets[4973]
#define sipNameNr_SH_Workspace_FillSpaceOnMaximize 5006
#define sipName_SH_Workspace_FillSpaceOnMaximize &sipStrings_QtWidgets[5006]
#define sipNameNr_SH_PrintDialog_RightAlignButtons 5039
#define sipName_SH_PrintDialog_RightAlignButtons &sipStrings_QtWidgets[5039]
#define sipNameNr_QInputDialog__InputDialogOptions 5072
#define sipName_QInputDialog__InputDialogOptions &sipStrings_QtWidgets[5072]
#define sipNameNr_QGraphicsView__OptimizationFlags 5105
#define sipName_QGraphicsView__OptimizationFlags &sipStrings_QtWidgets[5105]
#define sipNameNr_QGraphicsItem__GraphicsItemFlags 5138
#define sipName_QGraphicsItem__GraphicsItemFlags &sipStrings_QtWidgets[5138]
#define sipNameNr_QDialogButtonBox__StandardButton 5171
#define sipName_QDialogButtonBox__StandardButton &sipStrings_QtWidgets[5171]
#define sipNameNr_QColorDialog__ColorDialogOptions 5204
#define sipName_QColorDialog__ColorDialogOptions &sipStrings_QtWidgets[5204]
#define sipNameNr_QAbstractSpinBox__CorrectionMode 5237
#define sipName_QAbstractSpinBox__CorrectionMode &sipStrings_QtWidgets[5237]
#define sipNameNr_QAbstractItemView__SelectionMode 5270
#define sipName_QAbstractItemView__SelectionMode &sipStrings_QtWidgets[5270]
#define sipNameNr_QStyleOptionMenuItem__CheckType 5303
#define sipName_QStyleOptionMenuItem__CheckType &sipStrings_QtWidgets[5303]
#define sipNameNr_QStyleOptionFrame__FrameFeature 5335
#define sipName_QStyleOptionFrame__FrameFeature &sipStrings_QtWidgets[5335]
#define sipNameNr_SH_TabWidget_DefaultTabPosition 5367
#define sipName_SH_TabWidget_DefaultTabPosition &sipStrings_QtWidgets[5367]
#define sipNameNr_SH_ScrollBar_RollBetweenButtons 5399
#define sipName_SH_ScrollBar_RollBetweenButtons &sipStrings_QtWidgets[5399]
#define sipNameNr_SH_SpinControls_DisableOnBounds 5431
#define sipName_SH_SpinControls_DisableOnBounds &sipStrings_QtWidgets[5431]
#define sipNameNr_SH_MainWindow_SpaceBelowMenuBar 5463
#define sipName_SH_MainWindow_SpaceBelowMenuBar &sipStrings_QtWidgets[5463]
#define sipNameNr_QScrollerProperties__FrameRates 5495
#define sipName_QScrollerProperties__FrameRates &sipStrings_QtWidgets[5495]
#define sipNameNr_QMdiSubWindow__SubWindowOptions 5527
#define sipName_QMdiSubWindow__SubWindowOptions &sipStrings_QtWidgets[5527]
#define sipNameNr_QInputDialog__InputDialogOption 5559
#define sipName_QInputDialog__InputDialogOption &sipStrings_QtWidgets[5559]
#define sipNameNr_QGraphicsView__OptimizationFlag 5591
#define sipName_QGraphicsView__OptimizationFlag &sipStrings_QtWidgets[5591]
#define sipNameNr_QGraphicsScene__ItemIndexMethod 5623
#define sipName_QGraphicsScene__ItemIndexMethod &sipStrings_QtWidgets[5623]
#define sipNameNr_ItemNegativeZStacksBehindParent 5655
#define sipName_ItemNegativeZStacksBehindParent &sipStrings_QtWidgets[5655]
#define sipNameNr_QGraphicsItem__GraphicsItemFlag 5687
#define sipName_QGraphicsItem__GraphicsItemFlag &sipStrings_QtWidgets[5687]
#define sipNameNr_QDockWidget__DockWidgetFeatures 5719
#define sipName_QDockWidget__DockWidgetFeatures &sipStrings_QtWidgets[5719]
#define sipNameNr_QDataWidgetMapper__SubmitPolicy 5751
#define sipName_QDataWidgetMapper__SubmitPolicy &sipStrings_QtWidgets[5751]
#define sipNameNr_QColorDialog__ColorDialogOption 5783
#define sipName_QColorDialog__ColorDialogOption &sipStrings_QtWidgets[5783]
#define sipNameNr_QAbstractSpinBox__ButtonSymbols 5815
#define sipName_QAbstractSpinBox__ButtonSymbols &sipStrings_QtWidgets[5815]
#define sipNameNr_QAbstractItemView__CursorAction 5847
#define sipName_QAbstractItemView__CursorAction &sipStrings_QtWidgets[5847]
#define sipNameNr_horizontalScrollbarValueChanged 5879
#define sipName_horizontalScrollbarValueChanged &sipStrings_QtWidgets[5879]
#define sipNameNr_QAbstractItemView__EditTriggers 5911
#define sipName_QAbstractItemView__EditTriggers &sipStrings_QtWidgets[5911]
#define sipNameNr_QAbstractItemView__DragDropMode 5943
#define sipName_QAbstractItemView__DragDropMode &sipStrings_QtWidgets[5943]
#define sipNameNr_DontShowIndicatorWhenChildless 5975
#define sipName_DontShowIndicatorWhenChildless &sipStrings_QtWidgets[5975]
#define sipNameNr_QStyleOptionViewItem__Position 6006
#define sipName_QStyleOptionViewItem__Position &sipStrings_QtWidgets[6006]
#define sipNameNr_QStyleOptionTab__CornerWidgets 6037
#define sipName_QStyleOptionTab__CornerWidgets &sipStrings_QtWidgets[6037]
#define sipNameNr_SH_DockWidget_ButtonsHaveFrame 6068
#define sipName_SH_DockWidget_ButtonsHaveFrame &sipStrings_QtWidgets[6068]
#define sipNameNr_SH_FormLayoutFieldGrowthPolicy 6099
#define sipName_SH_FormLayoutFieldGrowthPolicy &sipStrings_QtWidgets[6099]
#define sipNameNr_SH_TitleBar_ModifyNotification 6130
#define sipName_SH_TitleBar_ModifyNotification &sipStrings_QtWidgets[6130]
#define sipNameNr_SH_SpinBox_ClickAutoRepeatRate 6161
#define sipName_SH_SpinBox_ClickAutoRepeatRate &sipStrings_QtWidgets[6161]
#define sipNameNr_SH_DialogButtons_DefaultButton 6192
#define sipName_SH_DialogButtons_DefaultButton &sipStrings_QtWidgets[6192]
#define sipNameNr_SH_RichText_FullWidthSelection 6223
#define sipName_SH_RichText_FullWidthSelection &sipStrings_QtWidgets[6223]
#define sipNameNr_SH_BlinkCursorWhenTextSelected 6254
#define sipName_SH_BlinkCursorWhenTextSelected &sipStrings_QtWidgets[6254]
#define sipNameNr_SH_Menu_AllowActiveAndDisabled 6285
#define sipName_SH_Menu_AllowActiveAndDisabled &sipStrings_QtWidgets[6285]
#define sipNameNr_PM_ScrollView_ScrollBarOverlap 6316
#define sipName_PM_ScrollView_ScrollBarOverlap &sipStrings_QtWidgets[6316]
#define sipNameNr_PM_ScrollView_ScrollBarSpacing 6347
#define sipName_PM_ScrollView_ScrollBarSpacing &sipStrings_QtWidgets[6347]
#define sipNameNr_AcceleratingFlickSpeedupFactor 6378
#define sipName_AcceleratingFlickSpeedupFactor &sipStrings_QtWidgets[6378]
#define sipNameNr_unsetDefaultScrollerProperties 6409
#define sipName_unsetDefaultScrollerProperties &sipStrings_QtWidgets[6409]
#define sipNameNr_QScroller__ScrollerGestureType 6440
#define sipName_QScroller__ScrollerGestureType &sipStrings_QtWidgets[6440]
#define sipNameNr_QMdiSubWindow__SubWindowOption 6471
#define sipName_QMdiSubWindow__SubWindowOption &sipStrings_QtWidgets[6471]
#define sipNameNr_setUnifiedTitleAndToolBarOnMac 6502
#define sipName_setUnifiedTitleAndToolBarOnMac &sipStrings_QtWidgets[6502]
#define sipNameNr_QGraphicsSceneContextMenuEvent 6533
#define sipName_QGraphicsSceneContextMenuEvent &sipStrings_QtWidgets[6533]
#define sipNameNr_QGraphicsPixmapItem__ShapeMode 6564
#define sipName_QGraphicsPixmapItem__ShapeMode &sipStrings_QtWidgets[6564]
#define sipNameNr_ItemTransformOriginPointChange 6595
#define sipName_ItemTransformOriginPointChange &sipStrings_QtWidgets[6595]
#define sipNameNr_QGraphicsBlurEffect__BlurHints 6626
#define sipName_QGraphicsBlurEffect__BlurHints &sipStrings_QtWidgets[6626]
#define sipNameNr_QGraphicsEffect__PixmapPadMode 6657
#define sipName_QGraphicsEffect__PixmapPadMode &sipStrings_QtWidgets[6657]
#define sipNameNr_QGestureRecognizer__ResultFlag 6688
#define sipName_QGestureRecognizer__ResultFlag &sipStrings_QtWidgets[6688]
#define sipNameNr_QFormLayout__FieldGrowthPolicy 6719
#define sipName_QFormLayout__FieldGrowthPolicy &sipStrings_QtWidgets[6719]
#define sipNameNr_QFontDialog__FontDialogOptions 6750
#define sipName_QFontDialog__FontDialogOptions &sipStrings_QtWidgets[6750]
#define sipNameNr_QDockWidget__DockWidgetFeature 6781
#define sipName_QDockWidget__DockWidgetFeature &sipStrings_QtWidgets[6781]
#define sipNameNr_QDialogButtonBox__ButtonLayout 6812
#define sipName_QDialogButtonBox__ButtonLayout &sipStrings_QtWidgets[6812]
#define sipNameNr_QCalendarWidget__SelectionMode 6843
#define sipName_QCalendarWidget__SelectionMode &sipStrings_QtWidgets[6843]
#define sipNameNr_QAbstractItemView__EditTrigger 6874
#define sipName_QAbstractItemView__EditTrigger &sipStrings_QtWidgets[6874]
#define sipNameNr_QTextEdit__AutoFormattingFlag 6905
#define sipName_QTextEdit__AutoFormattingFlag &sipStrings_QtWidgets[6905]
#define sipNameNr_QStyleOptionTab__CornerWidget 6935
#define sipName_QStyleOptionTab__CornerWidget &sipStrings_QtWidgets[6935]
#define sipNameNr_QStyleOption__StyleOptionType 6965
#define sipName_QStyleOption__StyleOptionType &sipStrings_QtWidgets[6965]
#define sipNameNr_SH_LineEdit_PasswordMaskDelay 6995
#define sipName_SH_LineEdit_PasswordMaskDelay &sipStrings_QtWidgets[6995]
#define sipNameNr_SH_TabBar_CloseButtonPosition 7025
#define sipName_SH_TabBar_CloseButtonPosition &sipStrings_QtWidgets[7025]
#define sipNameNr_SH_ItemView_DrawDelegateFrame 7055
#define sipName_SH_ItemView_DrawDelegateFrame &sipStrings_QtWidgets[7055]
#define sipNameNr_SH_Slider_StopMouseOverSlider 7085
#define sipName_SH_Slider_StopMouseOverSlider &sipStrings_QtWidgets[7085]
#define sipNameNr_SH_LineEdit_PasswordCharacter 7115
#define sipName_SH_LineEdit_PasswordCharacter &sipStrings_QtWidgets[7115]
#define sipNameNr_SH_ComboBox_ListMouseTracking 7145
#define sipName_SH_ComboBox_ListMouseTracking &sipStrings_QtWidgets[7145]
#define sipNameNr_PM_TabBar_ScrollButtonOverlap 7175
#define sipName_PM_TabBar_ScrollButtonOverlap &sipStrings_QtWidgets[7175]
#define sipNameNr_PM_MdiSubWindowMinimizedWidth 7205
#define sipName_PM_MdiSubWindowMinimizedWidth &sipStrings_QtWidgets[7205]
#define sipNameNr_SE_ItemViewItemCheckIndicator 7235
#define sipName_SE_ItemViewItemCheckIndicator &sipStrings_QtWidgets[7235]
#define sipNameNr_PE_IndicatorItemViewItemCheck 7265
#define sipName_PE_IndicatorItemViewItemCheck &sipStrings_QtWidgets[7265]
#define sipNameNr_OvershootScrollDistanceFactor 7295
#define sipName_OvershootScrollDistanceFactor &sipStrings_QtWidgets[7295]
#define sipNameNr_OvershootDragResistanceFactor 7325
#define sipName_OvershootDragResistanceFactor &sipStrings_QtWidgets[7325]
#define sipNameNr_QOpenGLWidget__UpdateBehavior 7355
#define sipName_QOpenGLWidget__UpdateBehavior &sipStrings_QtWidgets[7355]
#define sipNameNr_QGraphicsView__ViewportAnchor 7385
#define sipName_QGraphicsView__ViewportAnchor &sipStrings_QtWidgets[7385]
#define sipNameNr_ItemSendsScenePositionChanges 7415
#define sipName_ItemSendsScenePositionChanges &sipStrings_QtWidgets[7415]
#define sipNameNr_QGraphicsBlurEffect__BlurHint 7445
#define sipName_QGraphicsBlurEffect__BlurHint &sipStrings_QtWidgets[7445]
#define sipNameNr_QSwipeGesture__SwipeDirection 7475
#define sipName_QSwipeGesture__SwipeDirection &sipStrings_QtWidgets[7475]
#define sipNameNr_QGesture__GestureCancelPolicy 7505
#define sipName_QGesture__GestureCancelPolicy &sipStrings_QtWidgets[7505]
#define sipNameNr_QFontDialog__FontDialogOption 7535
#define sipName_QFontDialog__FontDialogOption &sipStrings_QtWidgets[7535]
#define sipNameNr_AdjustToMinimumContentsLength 7565
#define sipName_AdjustToMinimumContentsLength &sipStrings_QtWidgets[7565]
#define sipNameNr_QAbstractSpinBox__StepEnabled 7595
#define sipName_QAbstractSpinBox__StepEnabled &sipStrings_QtWidgets[7595]
#define sipNameNr_QAbstractSlider__SliderChange 7625
#define sipName_QAbstractSlider__SliderChange &sipStrings_QtWidgets[7625]
#define sipNameNr_QAbstractSlider__SliderAction 7655
#define sipName_QAbstractSlider__SliderAction &sipStrings_QtWidgets[7655]
#define sipNameNr_verticalScrollbarValueChanged 7685
#define sipName_verticalScrollbarValueChanged &sipStrings_QtWidgets[7685]
#define sipNameNr_QAbstractItemView__ScrollMode 7715
#define sipName_QAbstractItemView__ScrollMode &sipStrings_QtWidgets[7715]
#define sipNameNr_QAbstractItemView__ScrollHint 7745
#define sipName_QAbstractItemView__ScrollHint &sipStrings_QtWidgets[7745]
#define sipNameNr_7775 7775
#define sipName_7775 &sipStrings_QtWidgets[7775]
#define sipNameNr_HaveFinishButtonOnEarlyPages 7804
#define sipName_HaveFinishButtonOnEarlyPages &sipStrings_QtWidgets[7804]
#define sipNameNr_DisabledBackButtonOnLastPage 7833
#define sipName_DisabledBackButtonOnLastPage &sipStrings_QtWidgets[7833]
#define sipNameNr_setSelectionBehaviorOnRemove 7862
#define sipName_setSelectionBehaviorOnRemove &sipStrings_QtWidgets[7862]
#define sipNameNr_QSystemTrayIcon__MessageIcon 7891
#define sipName_QSystemTrayIcon__MessageIcon &sipStrings_QtWidgets[7891]
#define sipNameNr_QStyleOptionTab__TabFeatures 7920
#define sipName_QStyleOptionTab__TabFeatures &sipStrings_QtWidgets[7920]
#define sipNameNr_QStyleOptionTab__TabPosition 7949
#define sipName_QStyleOptionTab__TabPosition &sipStrings_QtWidgets[7949]
#define sipNameNr_SP_TitleBarContextHelpButton 7978
#define sipName_SP_TitleBarContextHelpButton &sipStrings_QtWidgets[7978]
#define sipNameNr_SH_TabBar_ChangeCurrentDelay 8007
#define sipName_SH_TabBar_ChangeCurrentDelay &sipStrings_QtWidgets[8007]
#define sipNameNr_SH_RequestSoftwareInputPanel 8036
#define sipName_SH_RequestSoftwareInputPanel &sipStrings_QtWidgets[8036]
#define sipNameNr_SH_Slider_AbsoluteSetButtons 8065
#define sipName_SH_Slider_AbsoluteSetButtons &sipStrings_QtWidgets[8065]
#define sipNameNr_SH_ItemView_EllipsisLocation 8094
#define sipName_SH_ItemView_EllipsisLocation &sipStrings_QtWidgets[8094]
#define sipNameNr_SH_Menu_FillScreenWithScroll 8123
#define sipName_SH_Menu_FillScreenWithScroll &sipStrings_QtWidgets[8123]
#define sipNameNr_PM_DialogButtonsButtonHeight 8152
#define sipName_PM_DialogButtonsButtonHeight &sipStrings_QtWidgets[8152]
#define sipNameNr_PM_DockWidgetSeparatorExtent 8181
#define sipName_PM_DockWidgetSeparatorExtent &sipStrings_QtWidgets[8181]
#define sipNameNr_SC_TitleBarContextHelpButton 8210
#define sipName_SC_TitleBarContextHelpButton &sipStrings_QtWidgets[8210]
#define sipNameNr_SE_DialogButtonBoxLayoutItem 8239
#define sipName_SE_DialogButtonBoxLayoutItem &sipStrings_QtWidgets[8239]
#define sipNameNr_PE_IndicatorItemViewItemDrop 8268
#define sipName_PE_IndicatorItemViewItemDrop &sipStrings_QtWidgets[8268]
#define sipNameNr_PE_IndicatorToolBarSeparator 8297
#define sipName_PE_IndicatorToolBarSeparator &sipStrings_QtWidgets[8297]
#define sipNameNr_QStackedLayout__StackingMode 8326
#define sipName_QStackedLayout__StackingMode &sipStrings_QtWidgets[8326]
#define sipNameNr_AcceleratingFlickMaximumTime 8355
#define sipName_AcceleratingFlickMaximumTime &sipStrings_QtWidgets[8355]
#define sipNameNr_setDefaultScrollerProperties 6411
#define sipName_setDefaultScrollerProperties &sipStrings_QtWidgets[6411]
#define sipNameNr_QPlainTextEdit__LineWrapMode 8384
#define sipName_QPlainTextEdit__LineWrapMode &sipStrings_QtWidgets[8384]
#define sipNameNr_QMessageBox__StandardButtons 8413
#define sipName_QMessageBox__StandardButtons &sipStrings_QtWidgets[8413]
#define sipNameNr_UsePlainTextEditForTextInput 8442
#define sipName_UsePlainTextEditForTextInput &sipStrings_QtWidgets[8442]
#define sipNameNr_QGraphicsView__CacheModeFlag 8471
#define sipName_QGraphicsView__CacheModeFlag &sipStrings_QtWidgets[8471]
#define sipNameNr_QGraphicsItem__PanelModality 8500
#define sipName_QGraphicsItem__PanelModality &sipStrings_QtWidgets[8500]
#define sipNameNr_setBoundingRegionGranularity 8529
#define sipName_setBoundingRegionGranularity &sipStrings_QtWidgets[8529]
#define sipNameNr_QGraphicsEffect__ChangeFlags 8558
#define sipName_QGraphicsEffect__ChangeFlags &sipStrings_QtWidgets[8558]
#define sipNameNr_QDialogButtonBox__ButtonRole 8587
#define sipName_QDialogButtonBox__ButtonRole &sipStrings_QtWidgets[8587]
#define sipNameNr_CaseInsensitivelySortedModel 8616
#define sipName_CaseInsensitivelySortedModel &sipStrings_QtWidgets[8616]
#define sipNameNr_setHorizontalScrollBarPolicy 8645
#define sipName_setHorizontalScrollBarPolicy &sipStrings_QtWidgets[8645]
#define sipNameNr_PyQt5_QtCore_pyqtWrapperType 8674
#define sipName_PyQt5_QtCore_pyqtWrapperType &sipStrings_QtWidgets[8674]
#define sipNameNr_8703 8703
#define sipName_8703 &sipStrings_QtWidgets[8703]
#define sipNameNr_QStyleOptionTab__TabFeature 8731
#define sipName_QStyleOptionTab__TabFeature &sipStrings_QtWidgets[8731]
#define sipNameNr_SH_Menu_SubMenuUniDirection 8759
#define sipName_SH_Menu_SubMenuUniDirection &sipStrings_QtWidgets[8759]
#define sipNameNr_SH_FormLayoutLabelAlignment 8787
#define sipName_SH_FormLayoutLabelAlignment &sipStrings_QtWidgets[8787]
#define sipNameNr_SH_MessageBox_CenterButtons 8815
#define sipName_SH_MessageBox_CenterButtons &sipStrings_QtWidgets[8815]
#define sipNameNr_SH_SpellCheckUnderlineStyle 8843
#define sipName_SH_SpellCheckUnderlineStyle &sipStrings_QtWidgets[8843]
#define sipNameNr_SH_ComboBox_PopupFrameStyle 8871
#define sipName_SH_ComboBox_PopupFrameStyle &sipStrings_QtWidgets[8871]
#define sipNameNr_SH_ComboBox_LayoutDirection 8899
#define sipName_SH_ComboBox_LayoutDirection &sipStrings_QtWidgets[8899]
#define sipNameNr_SH_MenuBar_AltKeyNavigation 8927
#define sipName_SH_MenuBar_AltKeyNavigation &sipStrings_QtWidgets[8927]
#define sipNameNr_PM_TabBarTabShiftHorizontal 8955
#define sipName_PM_TabBarTabShiftHorizontal &sipStrings_QtWidgets[8955]
#define sipNameNr_PM_DialogButtonsButtonWidth 8983
#define sipName_PM_DialogButtonsButtonWidth &sipStrings_QtWidgets[8983]
#define sipNameNr_PM_ExclusiveIndicatorHeight 9011
#define sipName_PM_ExclusiveIndicatorHeight &sipStrings_QtWidgets[9011]
#define sipNameNr_PE_IndicatorColumnViewArrow 9039
#define sipName_PE_IndicatorColumnViewArrow &sipStrings_QtWidgets[9039]
#define sipNameNr_OvershootDragDistanceFactor 9067
#define sipName_OvershootDragDistanceFactor &sipStrings_QtWidgets[9067]
#define sipNameNr_MaximumClickThroughVelocity 9095
#define sipName_MaximumClickThroughVelocity &sipStrings_QtWidgets[9095]
#define sipNameNr_DragVelocitySmoothingFactor 9123
#define sipName_DragVelocitySmoothingFactor &sipStrings_QtWidgets[9123]
#define sipNameNr_createMimeDataFromSelection 9151
#define sipName_createMimeDataFromSelection &sipStrings_QtWidgets[9151]
#define sipNameNr_QMessageBox__StandardButton 9179
#define sipName_QMessageBox__StandardButton &sipStrings_QtWidgets[9179]
#define sipNameNr_unifiedTitleAndToolBarOnMac 9207
#define sipName_unifiedTitleAndToolBarOnMac &sipStrings_QtWidgets[9207]
#define sipNameNr_UseListViewForComboBoxItems 9235
#define sipName_UseListViewForComboBoxItems &sipStrings_QtWidgets[9235]
#define sipNameNr_QGraphicsSceneDragDropEvent 9263
#define sipName_QGraphicsSceneDragDropEvent &sipStrings_QtWidgets[9263]
#define sipNameNr_QGraphicsScene__SceneLayers 9291
#define sipName_QGraphicsScene__SceneLayers &sipStrings_QtWidgets[9291]
#define sipNameNr_ItemContainsChildrenInShape 9319
#define sipName_ItemContainsChildrenInShape &sipStrings_QtWidgets[9319]
#define sipNameNr_ItemUsesExtendedStyleOption 9347
#define sipName_ItemUsesExtendedStyleOption &sipStrings_QtWidgets[9347]
#define sipNameNr_ItemScenePositionHasChanged 9375
#define sipName_ItemScenePositionHasChanged &sipStrings_QtWidgets[9375]
#define sipNameNr_QGraphicsEffect__ChangeFlag 9403
#define sipName_QGraphicsEffect__ChangeFlag &sipStrings_QtWidgets[9403]
#define sipNameNr_QFileIconProvider__IconType 9431
#define sipName_QFileIconProvider__IconType &sipStrings_QtWidgets[9431]
#define sipNameNr_DontUseCustomDirectoryIcons 9459
#define sipName_DontUseCustomDirectoryIcons &sipStrings_QtWidgets[9459]
#define sipNameNr_QComboBox__SizeAdjustPolicy 9487
#define sipName_QComboBox__SizeAdjustPolicy &sipStrings_QtWidgets[9487]
#define sipNameNr_AdjustToContentsOnFirstShow 9515
#define sipName_AdjustToContentsOnFirstShow &sipStrings_QtWidgets[9515]
#define sipNameNr_9543 9543
#define sipName_9543 &sipStrings_QtWidgets[9543]
#define sipNameNr_customContextMenuRequested 9570
#define sipName_customContextMenuRequested &sipStrings_QtWidgets[9570]
#define sipNameNr_QTableWidgetItem__ItemType 9597
#define sipName_QTableWidgetItem__ItemType &sipStrings_QtWidgets[9597]
#define sipNameNr_QTableWidgetSelectionRange 9624
#define sipName_QTableWidgetSelectionRange &sipStrings_QtWidgets[9624]
#define sipNameNr_QTabBar__SelectionBehavior 9651
#define sipName_QTabBar__SelectionBehavior &sipStrings_QtWidgets[9651]
#define sipNameNr_levelOfDetailFromTransform 9678
#define sipName_levelOfDetailFromTransform &sipStrings_QtWidgets[9678]
#define sipNameNr_NextAndPreviousAreSelected 9705
#define sipName_NextAndPreviousAreSelected &sipStrings_QtWidgets[9705]
#define sipNameNr_QStyleOptionTabWidgetFrame 9732
#define sipName_QStyleOptionTabWidgetFrame &sipStrings_QtWidgets[9732]
#define sipNameNr_SH_ToolTip_FallAsleepDelay 9759
#define sipName_SH_ToolTip_FallAsleepDelay &sipStrings_QtWidgets[9759]
#define sipNameNr_SH_FormLayoutFormAlignment 9786
#define sipName_SH_FormLayoutFormAlignment &sipStrings_QtWidgets[9786]
#define sipNameNr_SH_Menu_FlashTriggeredItem 9813
#define sipName_SH_Menu_FlashTriggeredItem &sipStrings_QtWidgets[9813]
#define sipNameNr_SH_GroupBox_TextLabelColor 9840
#define sipName_SH_GroupBox_TextLabelColor &sipStrings_QtWidgets[9840]
#define sipNameNr_SH_Menu_SpaceActivatesItem 9867
#define sipName_SH_Menu_SpaceActivatesItem &sipStrings_QtWidgets[9867]
#define sipNameNr_PM_TabCloseIndicatorHeight 9894
#define sipName_PM_TabCloseIndicatorHeight &sipStrings_QtWidgets[9894]
#define sipNameNr_PM_LayoutHorizontalSpacing 9921
#define sipName_PM_LayoutHorizontalSpacing &sipStrings_QtWidgets[9921]
#define sipNameNr_PM_RadioButtonLabelSpacing 9948
#define sipName_PM_RadioButtonLabelSpacing &sipStrings_QtWidgets[9948]
#define sipNameNr_PM_TabBarScrollButtonWidth 9975
#define sipName_PM_TabBarScrollButtonWidth &sipStrings_QtWidgets[9975]
#define sipNameNr_PM_ExclusiveIndicatorWidth 10002
#define sipName_PM_ExclusiveIndicatorWidth &sipStrings_QtWidgets[10002]
#define sipNameNr_PE_IndicatorButtonDropDown 10029
#define sipName_PE_IndicatorButtonDropDown &sipStrings_QtWidgets[10029]
#define sipNameNr_setResizeContentsPrecision 10056
#define sipName_setResizeContentsPrecision &sipStrings_QtWidgets[10056]
#define sipNameNr_setCascadingSectionResizes 10083
#define sipName_setCascadingSectionResizes &sipStrings_QtWidgets[10083]
#define sipNameNr_sectionHandleDoubleClicked 10110
#define sipName_sectionHandleDoubleClicked &sipStrings_QtWidgets[10110]
#define sipNameNr_setOffsetToSectionPosition 10137
#define sipName_setOffsetToSectionPosition &sipStrings_QtWidgets[10137]
#define sipNameNr_setRubberBandSelectionMode 10164
#define sipName_setRubberBandSelectionMode &sipStrings_QtWidgets[10164]
#define sipNameNr_BoundingRectViewportUpdate 10191
#define sipName_BoundingRectViewportUpdate &sipStrings_QtWidgets[10191]
#define sipNameNr_QGraphicsScene__SceneLayer 10218
#define sipName_QGraphicsScene__SceneLayer &sipStrings_QtWidgets[10218]
#define sipNameNr_QAbstractGraphicsShapeItem 10245
#define sipName_QAbstractGraphicsShapeItem &sipStrings_QtWidgets[10245]
#define sipNameNr_ItemIgnoresTransformations 10272
#define sipName_ItemIgnoresTransformations &sipStrings_QtWidgets[10272]
#define sipNameNr_PadToEffectiveBoundingRect 10299
#define sipName_PadToEffectiveBoundingRect &sipStrings_QtWidgets[10299]
#define sipNameNr_QGestureRecognizer__Result 10326
#define sipName_QGestureRecognizer__Result &sipStrings_QtWidgets[10326]
#define sipNameNr_QPinchGesture__ChangeFlags 10353
#define sipName_QPinchGesture__ChangeFlags &sipStrings_QtWidgets[10353]
#define sipNameNr_QFormLayout__RowWrapPolicy 10380
#define sipName_QFormLayout__RowWrapPolicy &sipStrings_QtWidgets[10380]
#define sipNameNr_QFontComboBox__FontFilters 10407
#define sipName_QFontComboBox__FontFilters &sipStrings_QtWidgets[10407]
#define sipNameNr_QFileIconProvider__Options 10434
#define sipName_QFileIconProvider__Options &sipStrings_QtWidgets[10434]
#define sipNameNr_DockWidgetVerticalTitleBar 10461
#define sipName_DockWidgetVerticalTitleBar &sipStrings_QtWidgets[10461]
#define sipNameNr_CaseSensitivelySortedModel 10488
#define sipName_CaseSensitivelySortedModel &sipStrings_QtWidgets[10488]
#define sipNameNr_QCompleter__CompletionMode 10515
#define sipName_QCompleter__CompletionMode &sipStrings_QtWidgets[10515]
#define sipNameNr_setVerticalScrollBarPolicy 10542
#define sipName_setVerticalScrollBarPolicy &sipStrings_QtWidgets[10542]
#define sipNameNr_scheduleDelayedItemsLayout 10569
#define sipName_scheduleDelayedItemsLayout &sipStrings_QtWidgets[10569]
#define sipNameNr_setFirstItemColumnSpanned 10596
#define sipName_setFirstItemColumnSpanned &sipStrings_QtWidgets[10596]
#define sipNameNr_QTreeWidgetItem__ItemType 10622
#define sipName_QTreeWidgetItem__ItemType &sipStrings_QtWidgets[10622]
#define sipNameNr_QTextEdit__AutoFormatting 10648
#define sipName_QTextEdit__AutoFormatting &sipStrings_QtWidgets[10648]
#define sipNameNr_QTextEdit__ExtraSelection 10674
#define sipName_QTextEdit__ExtraSelection &sipStrings_QtWidgets[10674]
#define sipNameNr_selectionBehaviorOnRemove 10700
#define sipName_selectionBehaviorOnRemove &sipStrings_QtWidgets[10700]
#define sipNameNr_SP_FileDialogContentsView 10726
#define sipName_SP_FileDialogContentsView &sipStrings_QtWidgets[10726]
#define sipNameNr_SP_FileDialogDetailedView 10752
#define sipName_SP_FileDialogDetailedView &sipStrings_QtWidgets[10752]
#define sipNameNr_SH_FocusFrame_AboveWidget 10778
#define sipName_SH_FocusFrame_AboveWidget &sipStrings_QtWidgets[10778]
#define sipNameNr_SH_Widget_ShareActivation 10804
#define sipName_SH_Widget_ShareActivation &sipStrings_QtWidgets[10804]
#define sipNameNr_SH_Menu_SubMenuPopupDelay 10830
#define sipName_SH_Menu_SubMenuPopupDelay &sipStrings_QtWidgets[10830]
#define sipNameNr_SH_Slider_SloppyKeyEvents 10856
#define sipName_SH_Slider_SloppyKeyEvents &sipStrings_QtWidgets[10856]
#define sipNameNr_SH_TabBar_SelectMouseType 10882
#define sipName_SH_TabBar_SelectMouseType &sipStrings_QtWidgets[10882]
#define sipNameNr_PM_TabCloseIndicatorWidth 10908
#define sipName_PM_TabCloseIndicatorWidth &sipStrings_QtWidgets[10908]
#define sipNameNr_PM_ToolTipLabelFrameWidth 10934
#define sipName_PM_ToolTipLabelFrameWidth &sipStrings_QtWidgets[10934]
#define sipNameNr_PM_ToolBarExtensionExtent 10960
#define sipName_PM_ToolBarExtensionExtent &sipStrings_QtWidgets[10960]
#define sipNameNr_PM_ToolBarSeparatorExtent 10986
#define sipName_PM_ToolBarSeparatorExtent &sipStrings_QtWidgets[10986]
#define sipNameNr_PM_TabBarTabShiftVertical 11012
#define sipName_PM_TabBarTabShiftVertical &sipStrings_QtWidgets[11012]
#define sipNameNr_PM_MdiSubWindowFrameWidth 11038
#define sipName_PM_MdiSubWindowFrameWidth &sipStrings_QtWidgets[11038]
#define sipNameNr_PM_DialogButtonsSeparator 11064
#define sipName_PM_DialogButtonsSeparator &sipStrings_QtWidgets[11064]
#define sipNameNr_PM_DockWidgetHandleExtent 11090
#define sipName_PM_DockWidgetHandleExtent &sipStrings_QtWidgets[11090]
#define sipNameNr_PM_SliderControlThickness 11116
#define sipName_PM_SliderControlThickness &sipStrings_QtWidgets[11116]
#define sipNameNr_PM_ButtonDefaultIndicator 11142
#define sipName_PM_ButtonDefaultIndicator &sipStrings_QtWidgets[11142]
#define sipNameNr_SE_ItemViewItemDecoration 11168
#define sipName_SE_ItemViewItemDecoration &sipStrings_QtWidgets[11168]
#define sipNameNr_SE_DateTimeEditLayoutItem 11194
#define sipName_SE_DateTimeEditLayoutItem &sipStrings_QtWidgets[11194]
#define sipNameNr_SE_DockWidgetTitleBarText 11220
#define sipName_SE_DockWidgetTitleBarText &sipStrings_QtWidgets[11220]
#define sipNameNr_SE_TreeViewDisclosureItem 11246
#define sipName_SE_TreeViewDisclosureItem &sipStrings_QtWidgets[11246]
#define sipNameNr_SE_ViewItemCheckIndicator 11272
#define sipName_SE_ViewItemCheckIndicator &sipStrings_QtWidgets[11272]
#define sipNameNr_PE_IndicatorToolBarHandle 11298
#define sipName_PE_IndicatorToolBarHandle &sipStrings_QtWidgets[11298]
#define sipNameNr_PE_IndicatorProgressChunk 11324
#define sipName_PE_IndicatorProgressChunk &sipStrings_QtWidgets[11324]
#define sipNameNr_PE_IndicatorMenuCheckMark 11350
#define sipName_PE_IndicatorMenuCheckMark &sipStrings_QtWidgets[11350]
#define sipNameNr_PE_IndicatorViewItemCheck 11376
#define sipName_PE_IndicatorViewItemCheck &sipStrings_QtWidgets[11376]
#define sipNameNr_State_KeyboardFocusChange 11402
#define sipName_State_KeyboardFocusChange &sipStrings_QtWidgets[11402]
#define sipNameNr_QSizePolicy__ControlTypes 11428
#define sipName_QSizePolicy__ControlTypes &sipStrings_QtWidgets[11428]
#define sipNameNr_HorizontalOvershootPolicy 11454
#define sipName_HorizontalOvershootPolicy &sipStrings_QtWidgets[11454]
#define sipNameNr_scrollerPropertiesChanged 11480
#define sipName_scrollerPropertiesChanged &sipStrings_QtWidgets[11480]
#define sipNameNr_activatePreviousSubWindow 11506
#define sipName_activatePreviousSubWindow &sipStrings_QtWidgets[11506]
#define sipNameNr_QListWidgetItem__ItemType 11532
#define sipName_QListWidgetItem__ItemType &sipStrings_QtWidgets[11532]
#define sipNameNr_QLineEdit__ActionPosition 11558
#define sipName_QLineEdit__ActionPosition &sipStrings_QtWidgets[11558]
#define sipNameNr_createStandardContextMenu 11584
#define sipName_createStandardContextMenu &sipStrings_QtWidgets[11584]
#define sipNameNr_DontAdjustForAntialiasing 11610
#define sipName_DontAdjustForAntialiasing &sipStrings_QtWidgets[11610]
#define sipNameNr_QGraphicsSceneResizeEvent 11636
#define sipName_QGraphicsSceneResizeEvent &sipStrings_QtWidgets[11636]
#define sipNameNr_createProxyForChildWidget 11662
#define sipName_createProxyForChildWidget &sipStrings_QtWidgets[11662]
#define sipNameNr_boundingRegionGranularity 11688
#define sipName_boundingRegionGranularity &sipStrings_QtWidgets[11688]
#define sipNameNr_QGraphicsDropShadowEffect 11714
#define sipName_QGraphicsDropShadowEffect &sipStrings_QtWidgets[11714]
#define sipNameNr_SourceBoundingRectChanged 11740
#define sipName_SourceBoundingRectChanged &sipStrings_QtWidgets[11740]
#define sipNameNr_QPinchGesture__ChangeFlag 11766
#define sipName_QPinchGesture__ChangeFlag &sipStrings_QtWidgets[11766]
#define sipNameNr_QFontComboBox__FontFilter 11792
#define sipName_QFontComboBox__FontFilter &sipStrings_QtWidgets[11792]
#define sipNameNr_QFileIconProvider__Option 11818
#define sipName_QFileIconProvider__Option &sipStrings_QtWidgets[11818]
#define sipNameNr_UnfilteredPopupCompletion 11844
#define sipName_UnfilteredPopupCompletion &sipStrings_QtWidgets[11844]
#define sipNameNr_setHorizontalHeaderFormat 11870
#define sipName_setHorizontalHeaderFormat &sipStrings_QtWidgets[11870]
#define sipNameNr_associatedGraphicsWidgets 11896
#define sipName_associatedGraphicsWidgets &sipStrings_QtWidgets[11896]
#define sipNameNr_horizontalScrollBarPolicy 11922
#define sipName_horizontalScrollBarPolicy &sipStrings_QtWidgets[11922]
#define sipNameNr_executeDelayedItemsLayout 11948
#define sipName_executeDelayedItemsLayout &sipStrings_QtWidgets[11948]
#define sipNameNr_horizontalScrollbarAction 11974
#define sipName_horizontalScrollbarAction &sipStrings_QtWidgets[11974]
#define sipNameNr_setHorizontalHeaderLabels 12000
#define sipName_setHorizontalHeaderLabels &sipStrings_QtWidgets[12000]
#define sipNameNr_RequestSoftwareInputPanel 4309
#define sipName_RequestSoftwareInputPanel &sipStrings_QtWidgets[4309]
#define sipNameNr_12026 12026
#define sipName_12026 &sipStrings_QtWidgets[12026]
#define sipNameNr_NoCancelButtonOnLastPage 12051
#define sipName_NoCancelButtonOnLastPage &sipStrings_QtWidgets[12051]
#define sipNameNr_HaveNextButtonOnLastPage 12076
#define sipName_HaveNextButtonOnLastPage &sipStrings_QtWidgets[12076]
#define sipNameNr_isFirstItemColumnSpanned 12101
#define sipName_isFirstItemColumnSpanned &sipStrings_QtWidgets[12101]
#define sipNameNr_currentCharFormatChanged 12126
#define sipName_currentCharFormatChanged &sipStrings_QtWidgets[12126]
#define sipNameNr_setLineWrapColumnOrWidth 12151
#define sipName_setLineWrapColumnOrWidth &sipStrings_QtWidgets[12151]
#define sipNameNr_QStyleOptionGraphicsItem 12176
#define sipName_QStyleOptionGraphicsItem &sipStrings_QtWidgets[12176]
#define sipNameNr_QStyleOption__OptionType 12201
#define sipName_QStyleOption__OptionType &sipStrings_QtWidgets[12201]
#define sipNameNr_SP_MessageBoxInformation 12226
#define sipName_SP_MessageBoxInformation &sipStrings_QtWidgets[12226]
#define sipNameNr_SP_DockWidgetCloseButton 12251
#define sipName_SP_DockWidgetCloseButton &sipStrings_QtWidgets[12251]
#define sipNameNr_SP_TitleBarUnshadeButton 12276
#define sipName_SP_TitleBarUnshadeButton &sipStrings_QtWidgets[12276]
#define sipNameNr_SH_Splitter_OpaqueResize 12301
#define sipName_SH_Splitter_OpaqueResize &sipStrings_QtWidgets[12301]
#define sipNameNr_SH_Menu_SupportsSections 12326
#define sipName_SH_Menu_SupportsSections &sipStrings_QtWidgets[12326]
#define sipNameNr_SH_Slider_PageSetButtons 12351
#define sipName_SH_Slider_PageSetButtons &sipStrings_QtWidgets[12351]
#define sipNameNr_SH_ScrollBar_ContextMenu 12376
#define sipName_SH_ScrollBar_ContextMenu &sipStrings_QtWidgets[12376]
#define sipNameNr_SH_ToolButton_PopupDelay 12401
#define sipName_SH_ToolButton_PopupDelay &sipStrings_QtWidgets[12401]
#define sipNameNr_SH_SpinBox_AnimateButton 12426
#define sipName_SH_SpinBox_AnimateButton &sipStrings_QtWidgets[12426]
#define sipNameNr_SH_TabBar_PreferNoArrows 12451
#define sipName_SH_TabBar_PreferNoArrows &sipStrings_QtWidgets[12451]
#define sipNameNr_SH_MenuBar_MouseTracking 12476
#define sipName_SH_MenuBar_MouseTracking &sipStrings_QtWidgets[12476]
#define sipNameNr_SH_Header_ArrowAlignment 12501
#define sipName_SH_Header_ArrowAlignment &sipStrings_QtWidgets[12501]
#define sipNameNr_PM_LayoutVerticalSpacing 12526
#define sipName_PM_LayoutVerticalSpacing &sipStrings_QtWidgets[12526]
#define sipNameNr_PM_DockWidgetTitleMargin 12551
#define sipName_PM_DockWidgetTitleMargin &sipStrings_QtWidgets[12551]
#define sipNameNr_PM_DefaultTopLevelMargin 12576
#define sipName_PM_DefaultTopLevelMargin &sipStrings_QtWidgets[12576]
#define sipNameNr_PM_MenuDesktopFrameWidth 12601
#define sipName_PM_MenuDesktopFrameWidth &sipStrings_QtWidgets[12601]
#define sipNameNr_PM_ProgressBarChunkWidth 12626
#define sipName_PM_ProgressBarChunkWidth &sipStrings_QtWidgets[12626]
#define sipNameNr_PM_ButtonShiftHorizontal 12651
#define sipName_PM_ButtonShiftHorizontal &sipStrings_QtWidgets[12651]
#define sipNameNr_SC_TitleBarUnshadeButton 12676
#define sipName_SC_TitleBarUnshadeButton &sipStrings_QtWidgets[12676]
#define sipNameNr_SE_ItemViewItemFocusRect 12701
#define sipName_SE_ItemViewItemFocusRect &sipStrings_QtWidgets[12701]
#define sipNameNr_SE_RadioButtonLayoutItem 12726
#define sipName_SE_RadioButtonLayoutItem &sipStrings_QtWidgets[12726]
#define sipNameNr_SE_ProgressBarLayoutItem 12751
#define sipName_SE_ProgressBarLayoutItem &sipStrings_QtWidgets[12751]
#define sipNameNr_SE_DockWidgetFloatButton 12776
#define sipName_SE_DockWidgetFloatButton &sipStrings_QtWidgets[12776]
#define sipNameNr_SE_DockWidgetCloseButton 12801
#define sipName_SE_DockWidgetCloseButton &sipStrings_QtWidgets[12801]
#define sipNameNr_PE_PanelScrollAreaCorner 12826
#define sipName_PE_PanelScrollAreaCorner &sipStrings_QtWidgets[12826]
#define sipNameNr_QStyle__PrimitiveElement 12851
#define sipName_QStyle__PrimitiveElement &sipStrings_QtWidgets[12851]
#define sipNameNr_QSizePolicy__ControlType 12876
#define sipName_QSizePolicy__ControlType &sipStrings_QtWidgets[12876]
#define sipNameNr_MiddleMouseButtonGesture 12901
#define sipName_MiddleMouseButtonGesture &sipStrings_QtWidgets[12901]
#define sipNameNr_QPlainTextDocumentLayout 12926
#define sipName_QPlainTextDocumentLayout &sipStrings_QtWidgets[12926]
#define sipNameNr_setSeparatorsCollapsible 12951
#define sipName_setSeparatorsCollapsible &sipStrings_QtWidgets[12951]
#define sipNameNr_QMainWindow__DockOptions 12976
#define sipName_QMainWindow__DockOptions &sipStrings_QtWidgets[12976]
#define sipNameNr_QLCDNumber__SegmentStyle 13001
#define sipName_QLCDNumber__SegmentStyle &sipStrings_QtWidgets[13001]
#define sipNameNr_sectionsAboutToBeRemoved 13026
#define sipName_sectionsAboutToBeRemoved &sipStrings_QtWidgets[13026]
#define sipNameNr_QGraphicsView__CacheMode 13051
#define sipName_QGraphicsView__CacheMode &sipStrings_QtWidgets[13051]
#define sipNameNr_QGraphicsSceneHoverEvent 13076
#define sipName_QGraphicsSceneHoverEvent &sipStrings_QtWidgets[13076]
#define sipNameNr_QGraphicsSceneWheelEvent 13101
#define sipName_QGraphicsSceneWheelEvent &sipStrings_QtWidgets[13101]
#define sipNameNr_QGraphicsSceneMouseEvent 13126
#define sipName_QGraphicsSceneMouseEvent &sipStrings_QtWidgets[13126]
#define sipNameNr_ItemSendsGeometryChanges 13151
#define sipName_ItemSendsGeometryChanges &sipStrings_QtWidgets[13151]
#define sipNameNr_ItemIgnoresParentOpacity 13176
#define sipName_ItemIgnoresParentOpacity &sipStrings_QtWidgets[13176]
#define sipNameNr_ItemClipsChildrenToShape 13201
#define sipName_ItemClipsChildrenToShape &sipStrings_QtWidgets[13201]
#define sipNameNr_QGraphicsItem__CacheMode 13226
#define sipName_QGraphicsItem__CacheMode &sipStrings_QtWidgets[13226]
#define sipNameNr_QFileDialog__DialogLabel 13251
#define sipName_QFileDialog__DialogLabel &sipStrings_QtWidgets[13251]
#define sipNameNr_QCompleter__ModelSorting 13276
#define sipName_QCompleter__ModelSorting &sipStrings_QtWidgets[13276]
#define sipNameNr_setMinimumContentsLength 13301
#define sipName_setMinimumContentsLength &sipStrings_QtWidgets[13301]
#define sipNameNr_setKeyboardInputInterval 13326
#define sipName_setKeyboardInputInterval &sipStrings_QtWidgets[13326]
#define sipNameNr_setItemDelegateForColumn 13351
#define sipName_setItemDelegateForColumn &sipStrings_QtWidgets[13351]
#define sipNameNr_setDragDropOverwriteMode 13376
#define sipName_setDragDropOverwriteMode &sipStrings_QtWidgets[13376]
#define sipNameNr_QAbstractItemView__State 13401
#define sipName_QAbstractItemView__State &sipStrings_QtWidgets[13401]
#define sipNameNr_visualRegionForSelection 13426
#define sipName_visualRegionForSelection &sipStrings_QtWidgets[13426]
#define sipNameNr_setAccessibleDescription 13451
#define sipName_setAccessibleDescription &sipStrings_QtWidgets[13451]
#define sipNameNr_takeHorizontalHeaderItem 13476
#define sipName_takeHorizontalHeaderItem &sipStrings_QtWidgets[13476]
#define sipNameNr_defaultFramebufferObject 13501
#define sipName_defaultFramebufferObject &sipStrings_QtWidgets[13501]
#define sipNameNr_13526 13526
#define sipName_13526 &sipStrings_QtWidgets[13526]
#define sipNameNr_13550 13550
#define sipName_13550 &sipStrings_QtWidgets[13550]
#define sipNameNr_13574 13574
#define sipName_13574 &sipStrings_QtWidgets[13574]
#define sipNameNr_13598 13598
#define sipName_13598 &sipStrings_QtWidgets[13598]
#define sipNameNr_NoBackButtonOnStartPage 13622
#define sipName_NoBackButtonOnStartPage &sipStrings_QtWidgets[13622]
#define sipNameNr_ExtendedWatermarkPixmap 13646
#define sipName_ExtendedWatermarkPixmap &sipStrings_QtWidgets[13646]
#define sipNameNr_QTreeWidgetItemIterator 13670
#define sipName_QTreeWidgetItemIterator &sipStrings_QtWidgets[13670]
#define sipNameNr_setChildIndicatorPolicy 13694
#define sipName_setChildIndicatorPolicy &sipStrings_QtWidgets[13694]
#define sipNameNr_setExpandsOnDoubleClick 13718
#define sipName_setExpandsOnDoubleClick &sipStrings_QtWidgets[13718]
#define sipNameNr_QTextEdit__LineWrapMode 13742
#define sipName_QTextEdit__LineWrapMode &sipStrings_QtWidgets[13742]
#define sipNameNr_QTabWidget__TabPosition 13766
#define sipName_QTabWidget__TabPosition &sipStrings_QtWidgets[13766]
#define sipNameNr_resizeColumnsToContents 13790
#define sipName_resizeColumnsToContents &sipStrings_QtWidgets[13790]
#define sipNameNr_QTabBar__ButtonPosition 13814
#define sipName_QTabBar__ButtonPosition &sipStrings_QtWidgets[13814]
#define sipNameNr_QStyleHintReturnVariant 13838
#define sipName_QStyleHintReturnVariant &sipStrings_QtWidgets[13838]
#define sipNameNr_QStyleOptionProgressBar 13862
#define sipName_QStyleOptionProgressBar &sipStrings_QtWidgets[13862]
#define sipNameNr_sliderValueFromPosition 13886
#define sipName_sliderValueFromPosition &sipStrings_QtWidgets[13886]
#define sipNameNr_sliderPositionFromValue 13910
#define sipName_sliderPositionFromValue &sipStrings_QtWidgets[13910]
#define sipNameNr_SP_TitleBarNormalButton 13934
#define sipName_SP_TitleBarNormalButton &sipStrings_QtWidgets[13934]
#define sipNameNr_SH_FormLayoutWrapPolicy 13958
#define sipName_SH_FormLayoutWrapPolicy &sipStrings_QtWidgets[13958]
#define sipNameNr_SH_DrawMenuBarSeparator 13982
#define sipName_SH_DrawMenuBarSeparator &sipStrings_QtWidgets[13982]
#define sipNameNr_SH_ToolTipLabel_Opacity 14006
#define sipName_SH_ToolTipLabel_Opacity &sipStrings_QtWidgets[14006]
#define sipNameNr_PM_CheckBoxLabelSpacing 14030
#define sipName_PM_CheckBoxLabelSpacing &sipStrings_QtWidgets[14030]
#define sipNameNr_PM_DefaultLayoutSpacing 14054
#define sipName_PM_DefaultLayoutSpacing &sipStrings_QtWidgets[14054]
#define sipNameNr_PM_DockWidgetFrameWidth 14078
#define sipName_PM_DockWidgetFrameWidth &sipStrings_QtWidgets[14078]
#define sipNameNr_PM_SliderSpaceAvailable 14102
#define sipName_PM_SliderSpaceAvailable &sipStrings_QtWidgets[14102]
#define sipNameNr_PM_SliderTickmarkOffset 14126
#define sipName_PM_SliderTickmarkOffset &sipStrings_QtWidgets[14126]
#define sipNameNr_SC_TitleBarNormalButton 14150
#define sipName_SC_TitleBarNormalButton &sipStrings_QtWidgets[14150]
#define sipNameNr_SC_ComboBoxListBoxPopup 14174
#define sipName_SC_ComboBoxListBoxPopup &sipStrings_QtWidgets[14174]
#define sipNameNr_SE_TabBarTabRightButton 14198
#define sipName_SE_TabBarTabRightButton &sipStrings_QtWidgets[14198]
#define sipNameNr_SE_ToolButtonLayoutItem 14222
#define sipName_SE_ToolButtonLayoutItem &sipStrings_QtWidgets[14222]
#define sipNameNr_SE_PushButtonLayoutItem 14246
#define sipName_SE_PushButtonLayoutItem &sipStrings_QtWidgets[14246]
#define sipNameNr_SE_TabWidgetRightCorner 14270
#define sipName_SE_TabWidgetRightCorner &sipStrings_QtWidgets[14270]
#define sipNameNr_SE_TabWidgetTabContents 14294
#define sipName_SE_TabWidgetTabContents &sipStrings_QtWidgets[14294]
#define sipNameNr_SE_RadioButtonClickRect 14318
#define sipName_SE_RadioButtonClickRect &sipStrings_QtWidgets[14318]
#define sipNameNr_SE_RadioButtonFocusRect 14342
#define sipName_SE_RadioButtonFocusRect &sipStrings_QtWidgets[14342]
#define sipNameNr_SE_RadioButtonIndicator 14366
#define sipName_SE_RadioButtonIndicator &sipStrings_QtWidgets[14366]
#define sipNameNr_PE_IndicatorRadioButton 14390
#define sipName_PE_IndicatorRadioButton &sipStrings_QtWidgets[14390]
#define sipNameNr_PE_IndicatorHeaderArrow 14414
#define sipName_PE_IndicatorHeaderArrow &sipStrings_QtWidgets[14414]
#define sipNameNr_setRetainSizeWhenHidden 14438
#define sipName_setRetainSizeWhenHidden &sipStrings_QtWidgets[14438]
#define sipNameNr_QSizePolicy__PolicyFlag 14462
#define sipName_QSizePolicy__PolicyFlag &sipStrings_QtWidgets[14462]
#define sipNameNr_VerticalOvershootPolicy 14486
#define sipName_VerticalOvershootPolicy &sipStrings_QtWidgets[14486]
#define sipNameNr_OvershootWhenScrollable 14510
#define sipName_OvershootWhenScrollable &sipStrings_QtWidgets[14510]
#define sipNameNr_RightMouseButtonGesture 14534
#define sipName_RightMouseButtonGesture &sipStrings_QtWidgets[14534]
#define sipNameNr_QProgressBar__Direction 14558
#define sipName_QProgressBar__Direction &sipStrings_QtWidgets[14558]
#define sipNameNr_QMessageBox__ButtonRole 14582
#define sipName_QMessageBox__ButtonRole &sipStrings_QtWidgets[14582]
#define sipNameNr_QMainWindow__DockOption 14606
#define sipName_QMainWindow__DockOption &sipStrings_QtWidgets[14606]
#define sipNameNr_setSelectionRectVisible 14630
#define sipName_setSelectionRectVisible &sipStrings_QtWidgets[14630]
#define sipNameNr_QLayout__SizeConstraint 14654
#define sipName_QLayout__SizeConstraint &sipStrings_QtWidgets[14654]
#define sipNameNr_QInputDialog__InputMode 14678
#define sipName_QInputDialog__InputMode &sipStrings_QtWidgets[14678]
#define sipNameNr_resetDefaultSectionSize 14702
#define sipName_resetDefaultSectionSize &sipStrings_QtWidgets[14702]
#define sipNameNr_resizeContentsPrecision 14726
#define sipName_resizeContentsPrecision &sipStrings_QtWidgets[14726]
#define sipNameNr_cascadingSectionResizes 14750
#define sipName_cascadingSectionResizes &sipStrings_QtWidgets[14750]
#define sipNameNr_sectionSizeFromContents 14774
#define sipName_sectionSizeFromContents &sipStrings_QtWidgets[14774]
#define sipNameNr_sectionViewportPosition 14798
#define sipName_sectionViewportPosition &sipStrings_QtWidgets[14798]
#define sipNameNr_QHeaderView__ResizeMode 14822
#define sipName_QHeaderView__ResizeMode &sipStrings_QtWidgets[14822]
#define sipNameNr_unsetWindowFrameMargins 14846
#define sipName_unsetWindowFrameMargins &sipStrings_QtWidgets[14846]
#define sipNameNr_rubberBandSelectionMode 14870
#define sipName_rubberBandSelectionMode &sipStrings_QtWidgets[14870]
#define sipNameNr_setTransformationAnchor 14894
#define sipName_setTransformationAnchor &sipStrings_QtWidgets[14894]
#define sipNameNr_QGraphicsView__DragMode 14918
#define sipName_QGraphicsView__DragMode &sipStrings_QtWidgets[14918]
#define sipNameNr_QGraphicsSceneMoveEvent 14942
#define sipName_QGraphicsSceneMoveEvent &sipStrings_QtWidgets[14942]
#define sipNameNr_QGraphicsSceneHelpEvent 14966
#define sipName_QGraphicsSceneHelpEvent &sipStrings_QtWidgets[14966]
#define sipNameNr_setTextInteractionFlags 14990
#define sipName_setTextInteractionFlags &sipStrings_QtWidgets[14990]
#define sipNameNr_QGraphicsSimpleTextItem 15014
#define sipName_QGraphicsSimpleTextItem &sipStrings_QtWidgets[15014]
#define sipNameNr_setTransformOriginPoint 15038
#define sipName_setTransformOriginPoint &sipStrings_QtWidgets[15038]
#define sipNameNr_installSceneEventFilter 15062
#define sipName_installSceneEventFilter &sipStrings_QtWidgets[15062]
#define sipNameNr_setAcceptedMouseButtons 15086
#define sipName_setAcceptedMouseButtons &sipStrings_QtWidgets[15086]
#define sipNameNr_ItemTransformHasChanged 15110
#define sipName_ItemTransformHasChanged &sipStrings_QtWidgets[15110]
#define sipNameNr_setColumnPreferredWidth 15134
#define sipName_setColumnPreferredWidth &sipStrings_QtWidgets[15134]
#define sipNameNr_QGraphicsColorizeEffect 15158
#define sipName_QGraphicsColorizeEffect &sipStrings_QtWidgets[15158]
#define sipNameNr_QFileSystemModel__Roles 15182
#define sipName_QFileSystemModel__Roles &sipStrings_QtWidgets[15182]
#define sipNameNr_getExistingDirectoryUrl 15206
#define sipName_getExistingDirectoryUrl &sipStrings_QtWidgets[15206]
#define sipNameNr_QFileDialog__AcceptMode 15230
#define sipName_QFileDialog__AcceptMode &sipStrings_QtWidgets[15230]
#define sipNameNr_QDateTimeEdit__Sections 15254
#define sipName_QDateTimeEdit__Sections &sipStrings_QtWidgets[15254]
#define sipNameNr_QComboBox__InsertPolicy 15278
#define sipName_QComboBox__InsertPolicy &sipStrings_QtWidgets[15278]
#define sipNameNr_setNavigationBarVisible 15302
#define sipName_setNavigationBarVisible &sipStrings_QtWidgets[15302]
#define sipNameNr_setVerticalHeaderFormat 15326
#define sipName_setVerticalHeaderFormat &sipStrings_QtWidgets[15326]
#define sipNameNr_QApplication__ColorSpec 15350
#define sipName_QApplication__ColorSpec &sipStrings_QtWidgets[15350]
#define sipNameNr_ApplicationSpecificRole 15374
#define sipName_ApplicationSpecificRole &sipStrings_QtWidgets[15374]
#define sipNameNr_SliderOrientationChange 15398
#define sipName_SliderOrientationChange &sipStrings_QtWidgets[15398]
#define sipNameNr_verticalScrollBarPolicy 15422
#define sipName_verticalScrollBarPolicy &sipStrings_QtWidgets[15422]
#define sipNameNr_setHorizontalScrollMode 15446
#define sipName_setHorizontalScrollMode &sipStrings_QtWidgets[15446]
#define sipNameNr_verticalScrollbarAction 15470
#define sipName_verticalScrollbarAction &sipStrings_QtWidgets[15470]
#define sipNameNr_setAlternatingRowColors 15494
#define sipName_setAlternatingRowColors &sipStrings_QtWidgets[15494]
#define sipNameNr_setVerticalHeaderLabels 15518
#define sipName_setVerticalHeaderLabels &sipStrings_QtWidgets[15518]
#define sipNameNr_setHorizontalHeaderItem 15542
#define sipName_setHorizontalHeaderItem &sipStrings_QtWidgets[15542]
#define sipNameNr_QWizard__WizardOptions 15566
#define sipName_QWizard__WizardOptions &sipStrings_QtWidgets[15566]
#define sipNameNr_NoBackButtonOnLastPage 15589
#define sipName_NoBackButtonOnLastPage &sipStrings_QtWidgets[15589]
#define sipNameNr_setAllColumnsShowFocus 15612
#define sipName_setAllColumnsShowFocus &sipStrings_QtWidgets[15612]
#define sipNameNr_setTextBackgroundColor 15635
#define sipName_setTextBackgroundColor &sipStrings_QtWidgets[15635]
#define sipNameNr_setCornerButtonEnabled 15658
#define sipName_setCornerButtonEnabled &sipStrings_QtWidgets[15658]
#define sipNameNr_resizeColumnToContents 15681
#define sipName_resizeColumnToContents &sipStrings_QtWidgets[15681]
#define sipNameNr_columnViewportPosition 15704
#define sipName_columnViewportPosition &sipStrings_QtWidgets[15704]
#define sipNameNr_setChangeCurrentOnDrag 15727
#define sipName_setChangeCurrentOnDrag &sipStrings_QtWidgets[15727]
#define sipNameNr_QStyleOptionToolButton 15750
#define sipName_QStyleOptionToolButton &sipStrings_QtWidgets[15750]
#define sipNameNr_QStyleOptionRubberBand 15773
#define sipName_QStyleOptionRubberBand &sipStrings_QtWidgets[15773]
#define sipNameNr_showDecorationSelected 15796
#define sipName_showDecorationSelected &sipStrings_QtWidgets[15796]
#define sipNameNr_QStyleOptionDockWidget 15819
#define sipName_QStyleOptionDockWidget &sipStrings_QtWidgets[15819]
#define sipNameNr_QStyleOptionTabBarBase 15842
#define sipName_QStyleOptionTabBarBase &sipStrings_QtWidgets[15842]
#define sipNameNr_SP_LineEditClearButton 15865
#define sipName_SP_LineEditClearButton &sipStrings_QtWidgets[15865]
#define sipNameNr_SP_DialogDiscardButton 15888
#define sipName_SP_DialogDiscardButton &sipStrings_QtWidgets[15888]
#define sipNameNr_SP_FileDialogNewFolder 15911
#define sipName_SP_FileDialogNewFolder &sipStrings_QtWidgets[15911]
#define sipNameNr_SP_TitleBarShadeButton 15934
#define sipName_SP_TitleBarShadeButton &sipStrings_QtWidgets[15934]
#define sipNameNr_SP_TitleBarCloseButton 15957
#define sipName_SP_TitleBarCloseButton &sipStrings_QtWidgets[15957]
#define sipNameNr_QStyle__StandardPixmap 15980
#define sipName_QStyle__StandardPixmap &sipStrings_QtWidgets[15980]
#define sipNameNr_SH_ToolTip_WakeUpDelay 16003
#define sipName_SH_ToolTip_WakeUpDelay &sipStrings_QtWidgets[16003]
#define sipNameNr_SH_ScrollBar_Transient 16026
#define sipName_SH_ScrollBar_Transient &sipStrings_QtWidgets[16026]
#define sipNameNr_SH_Menu_KeyboardSearch 16049
#define sipName_SH_Menu_KeyboardSearch &sipStrings_QtWidgets[16049]
#define sipNameNr_SH_Dial_BackgroundRole 16072
#define sipName_SH_Dial_BackgroundRole &sipStrings_QtWidgets[16072]
#define sipNameNr_SH_Table_GridLineColor 16095
#define sipName_SH_Table_GridLineColor &sipStrings_QtWidgets[16095]
#define sipNameNr_SH_Menu_SloppySubMenus 16118
#define sipName_SH_Menu_SloppySubMenus &sipStrings_QtWidgets[16118]
#define sipNameNr_PM_TreeViewIndentation 16141
#define sipName_PM_TreeViewIndentation &sipStrings_QtWidgets[16141]
#define sipNameNr_PM_SpinBoxSliderHeight 16164
#define sipName_PM_SpinBoxSliderHeight &sipStrings_QtWidgets[16164]
#define sipNameNr_PM_ToolBarHandleExtent 16187
#define sipName_PM_ToolBarHandleExtent &sipStrings_QtWidgets[16187]
#define sipNameNr_PM_MaximumDragDistance 16210
#define sipName_PM_MaximumDragDistance &sipStrings_QtWidgets[16210]
#define sipNameNr_PM_ButtonShiftVertical 16233
#define sipName_PM_ButtonShiftVertical &sipStrings_QtWidgets[16233]
#define sipNameNr_PM_MenuButtonIndicator 16256
#define sipName_PM_MenuButtonIndicator &sipStrings_QtWidgets[16256]
#define sipNameNr_SC_TitleBarShadeButton 16279
#define sipName_SC_TitleBarShadeButton &sipStrings_QtWidgets[16279]
#define sipNameNr_SC_TitleBarCloseButton 16302
#define sipName_SC_TitleBarCloseButton &sipStrings_QtWidgets[16302]
#define sipNameNr_QStyle__ComplexControl 16325
#define sipName_QStyle__ComplexControl &sipStrings_QtWidgets[16325]
#define sipNameNr_SE_ShapedFrameContents 16348
#define sipName_SE_ShapedFrameContents &sipStrings_QtWidgets[16348]
#define sipNameNr_SE_TabBarTabLeftButton 16371
#define sipName_SE_TabBarTabLeftButton &sipStrings_QtWidgets[16371]
#define sipNameNr_SE_TabWidgetLayoutItem 16394
#define sipName_SE_TabWidgetLayoutItem &sipStrings_QtWidgets[16394]
#define sipNameNr_SE_TabBarTearIndicator 16417
#define sipName_SE_TabBarTearIndicator &sipStrings_QtWidgets[16417]
#define sipNameNr_SE_TabWidgetLeftCorner 16440
#define sipName_SE_TabWidgetLeftCorner &sipStrings_QtWidgets[16440]
#define sipNameNr_SE_ProgressBarContents 16463
#define sipName_SE_ProgressBarContents &sipStrings_QtWidgets[16463]
#define sipNameNr_SE_RadioButtonContents 16486
#define sipName_SE_RadioButtonContents &sipStrings_QtWidgets[16486]
#define sipNameNr_SE_PushButtonFocusRect 16509
#define sipName_SE_PushButtonFocusRect &sipStrings_QtWidgets[16509]
#define sipNameNr_CE_ProgressBarContents 16532
#define sipName_CE_ProgressBarContents &sipStrings_QtWidgets[16532]
#define sipNameNr_QStyle__ControlElement 16555
#define sipName_QStyle__ControlElement &sipStrings_QtWidgets[16555]
#define sipNameNr_PE_IndicatorArrowRight 16578
#define sipName_PE_IndicatorArrowRight &sipStrings_QtWidgets[16578]
#define sipNameNr_setChildrenCollapsible 16601
#define sipName_setChildrenCollapsible &sipStrings_QtWidgets[16601]
#define sipNameNr_LeftMouseButtonGesture 16624
#define sipName_LeftMouseButtonGesture &sipStrings_QtWidgets[16624]
#define sipNameNr_mergeCurrentCharFormat 16647
#define sipName_mergeCurrentCharFormat &sipStrings_QtWidgets[16647]
#define sipNameNr_ActivationHistoryOrder 16670
#define sipName_ActivationHistoryOrder &sipStrings_QtWidgets[16670]
#define sipNameNr_toolButtonStyleChanged 16693
#define sipName_toolButtonStyleChanged &sipStrings_QtWidgets[16693]
#define sipNameNr_isSelectionRectVisible 16716
#define sipName_isSelectionRectVisible &sipStrings_QtWidgets[16716]
#define sipNameNr_QItemEditorCreatorBase 16739
#define sipName_QItemEditorCreatorBase &sipStrings_QtWidgets[16739]
#define sipNameNr_setOffsetToLastSection 16762
#define sipName_setOffsetToLastSection &sipStrings_QtWidgets[16762]
#define sipNameNr_removeSceneEventFilter 16785
#define sipName_removeSceneEventFilter &sipStrings_QtWidgets[16785]
#define sipNameNr_ItemAcceptsInputMethod 16808
#define sipName_ItemAcceptsInputMethod &sipStrings_QtWidgets[16808]
#define sipNameNr_ItemStacksBehindParent 16831
#define sipName_ItemStacksBehindParent &sipStrings_QtWidgets[16831]
#define sipNameNr_ItemRotationHasChanged 16854
#define sipName_ItemRotationHasChanged &sipStrings_QtWidgets[16854]
#define sipNameNr_ItemSelectedHasChanged 16877
#define sipName_ItemSelectedHasChanged &sipStrings_QtWidgets[16877]
#define sipNameNr_ItemPositionHasChanged 16900
#define sipName_ItemPositionHasChanged &sipStrings_QtWidgets[16900]
#define sipNameNr_ItemChildRemovedChange 16923
#define sipName_ItemChildRemovedChange &sipStrings_QtWidgets[16923]
#define sipNameNr_setColumnStretchFactor 16946
#define sipName_setColumnStretchFactor &sipStrings_QtWidgets[16946]
#define sipNameNr_QGraphicsOpacityEffect 16969
#define sipName_QGraphicsOpacityEffect &sipStrings_QtWidgets[16969]
#define sipNameNr_PadToTransparentBorder 16992
#define sipName_PadToTransparentBorder &sipStrings_QtWidgets[16992]
#define sipNameNr_setGestureCancelPolicy 17015
#define sipName_setGestureCancelPolicy &sipStrings_QtWidgets[17015]
#define sipNameNr_setCurrentSectionIndex 17038
#define sipName_setCurrentSectionIndex &sipStrings_QtWidgets[17038]
#define sipNameNr_QDateTimeEdit__Section 17061
#define sipName_QDateTimeEdit__Section &sipStrings_QtWidgets[17061]
#define sipNameNr_setDateEditAcceptDelay 17084
#define sipName_setDateEditAcceptDelay &sipStrings_QtWidgets[17084]
#define sipNameNr_isNavigationBarVisible 17107
#define sipName_isNavigationBarVisible &sipStrings_QtWidgets[17107]
#define sipNameNr_horizontalHeaderFormat 17130
#define sipName_horizontalHeaderFormat &sipStrings_QtWidgets[17130]
#define sipNameNr_HorizontalHeaderFormat 1699
#define sipName_HorizontalHeaderFormat &sipStrings_QtWidgets[1699]
#define sipNameNr_setDoubleClickInterval 17153
#define sipName_setDoubleClickInterval &sipStrings_QtWidgets[17153]
#define sipNameNr_setGroupSeparatorShown 17176
#define sipName_setGroupSeparatorShown &sipStrings_QtWidgets[17176]
#define sipNameNr_CorrectToPreviousValue 17199
#define sipName_CorrectToPreviousValue &sipStrings_QtWidgets[17199]
#define sipNameNr_setHorizontalScrollBar 17222
#define sipName_setHorizontalScrollBar &sipStrings_QtWidgets[17222]
#define sipNameNr_updateEditorGeometries 17245
#define sipName_updateEditorGeometries &sipStrings_QtWidgets[17245]
#define sipNameNr_takeVerticalHeaderItem 17268
#define sipName_takeVerticalHeaderItem &sipStrings_QtWidgets[17268]
#define sipNameNr_17291 17291
#define sipName_17291 &sipStrings_QtWidgets[17291]
#define sipNameNr_17313 17313
#define sipName_17313 &sipStrings_QtWidgets[17313]
#define sipNameNr_17335 17335
#define sipName_17335 &sipStrings_QtWidgets[17335]
#define sipNameNr_QWizard__WizardOption 17357
#define sipName_QWizard__WizardOption &sipStrings_QtWidgets[17357]
#define sipNameNr_QWizard__WizardPixmap 17379
#define sipName_QWizard__WizardPixmap &sipStrings_QtWidgets[17379]
#define sipNameNr_QWizard__WizardButton 17401
#define sipName_QWizard__WizardButton &sipStrings_QtWidgets[17401]
#define sipNameNr_windowIconTextChanged 17423
#define sipName_windowIconTextChanged &sipStrings_QtWidgets[17423]
#define sipNameNr_createWindowContainer 17445
#define sipName_createWindowContainer &sipStrings_QtWidgets[17445]
#define sipNameNr_setFirstColumnSpanned 17467
#define sipName_setFirstColumnSpanned &sipStrings_QtWidgets[17467]
#define sipNameNr_lineWrapColumnOrWidth 17489
#define sipName_lineWrapColumnOrWidth &sipStrings_QtWidgets[17489]
#define sipNameNr_isCornerButtonEnabled 17511
#define sipName_isCornerButtonEnabled &sipStrings_QtWidgets[17511]
#define sipNameNr_isSystemTrayAvailable 17533
#define sipName_isSystemTrayAvailable &sipStrings_QtWidgets[17533]
#define sipNameNr_menuHasCheckableItems 17555
#define sipName_menuHasCheckableItems &sipStrings_QtWidgets[17555]
#define sipNameNr_rightCornerWidgetSize 17577
#define sipName_rightCornerWidgetSize &sipStrings_QtWidgets[17577]
#define sipNameNr_QStyleOptionFocusRect 17599
#define sipName_QStyleOptionFocusRect &sipStrings_QtWidgets[17599]
#define sipNameNr_combinedLayoutSpacing 17621
#define sipName_combinedLayoutSpacing &sipStrings_QtWidgets[17621]
#define sipNameNr_SP_DialogCancelButton 17643
#define sipName_SP_DialogCancelButton &sipStrings_QtWidgets[17643]
#define sipNameNr_SP_FileDialogListView 17665
#define sipName_SP_FileDialogListView &sipStrings_QtWidgets[17665]
#define sipNameNr_SP_FileDialogInfoView 17687
#define sipName_SP_FileDialogInfoView &sipStrings_QtWidgets[17687]
#define sipNameNr_SP_FileDialogToParent 17709
#define sipName_SP_FileDialogToParent &sipStrings_QtWidgets[17709]
#define sipNameNr_SP_MessageBoxQuestion 17731
#define sipName_SP_MessageBoxQuestion &sipStrings_QtWidgets[17731]
#define sipNameNr_SP_MessageBoxCritical 17753
#define sipName_SP_MessageBoxCritical &sipStrings_QtWidgets[17753]
#define sipNameNr_SP_TitleBarMenuButton 17775
#define sipName_SP_TitleBarMenuButton &sipStrings_QtWidgets[17775]
#define sipNameNr_SH_Menu_FadeOutOnHide 17797
#define sipName_SH_Menu_FadeOutOnHide &sipStrings_QtWidgets[17797]
#define sipNameNr_SH_Menu_SelectionWrap 17819
#define sipName_SH_Menu_SelectionWrap &sipStrings_QtWidgets[17819]
#define sipNameNr_SH_DialogButtonLayout 17841
#define sipName_SH_DialogButtonLayout &sipStrings_QtWidgets[17841]
#define sipNameNr_SH_TitleBar_AutoRaise 17863
#define sipName_SH_TitleBar_AutoRaise &sipStrings_QtWidgets[17863]
#define sipNameNr_SH_Button_FocusPolicy 17885
#define sipName_SH_Button_FocusPolicy &sipStrings_QtWidgets[17885]
#define sipNameNr_SH_Menu_MouseTracking 17907
#define sipName_SH_Menu_MouseTracking &sipStrings_QtWidgets[17907]
#define sipNameNr_SH_Slider_SnapToValue 17929
#define sipName_SH_Slider_SnapToValue &sipStrings_QtWidgets[17929]
#define sipNameNr_SH_DitherDisabledText 17951
#define sipName_SH_DitherDisabledText &sipStrings_QtWidgets[17951]
#define sipNameNr_PM_LayoutBottomMargin 17973
#define sipName_PM_LayoutBottomMargin &sipStrings_QtWidgets[17973]
#define sipNameNr_PM_MessageBoxIconSize 17995
#define sipName_PM_MessageBoxIconSize &sipStrings_QtWidgets[17995]
#define sipNameNr_PM_DefaultChildMargin 18017
#define sipName_PM_DefaultChildMargin &sipStrings_QtWidgets[18017]
#define sipNameNr_PM_ToolBarItemSpacing 18039
#define sipName_PM_ToolBarItemSpacing &sipStrings_QtWidgets[18039]
#define sipNameNr_PM_MenuBarItemSpacing 18061
#define sipName_PM_MenuBarItemSpacing &sipStrings_QtWidgets[18061]
#define sipNameNr_PM_MenuScrollerHeight 18083
#define sipName_PM_MenuScrollerHeight &sipStrings_QtWidgets[18083]
#define sipNameNr_PM_ScrollBarSliderMin 18105
#define sipName_PM_ScrollBarSliderMin &sipStrings_QtWidgets[18105]
#define sipNameNr_PM_ComboBoxFrameWidth 18127
#define sipName_PM_ComboBoxFrameWidth &sipStrings_QtWidgets[18127]
#define sipNameNr_SE_GroupBoxLayoutItem 18149
#define sipName_SE_GroupBoxLayoutItem &sipStrings_QtWidgets[18149]
#define sipNameNr_SE_ComboBoxLayoutItem 18171
#define sipName_SE_ComboBoxLayoutItem &sipStrings_QtWidgets[18171]
#define sipNameNr_SE_CheckBoxLayoutItem 18193
#define sipName_SE_CheckBoxLayoutItem &sipStrings_QtWidgets[18193]
#define sipNameNr_SE_ToolBoxTabContents 18215
#define sipName_SE_ToolBoxTabContents &sipStrings_QtWidgets[18215]
#define sipNameNr_SE_PushButtonContents 18237
#define sipName_SE_PushButtonContents &sipStrings_QtWidgets[18237]
#define sipNameNr_PE_FrameStatusBarItem 18259
#define sipName_PE_FrameStatusBarItem &sipStrings_QtWidgets[18259]
#define sipNameNr_PE_IndicatorSpinMinus 18281
#define sipName_PE_IndicatorSpinMinus &sipStrings_QtWidgets[18281]
#define sipNameNr_PE_IndicatorArrowLeft 18303
#define sipName_PE_IndicatorArrowLeft &sipStrings_QtWidgets[18303]
#define sipNameNr_PE_IndicatorArrowDown 18325
#define sipName_PE_IndicatorArrowDown &sipStrings_QtWidgets[18325]
#define sipNameNr_PE_PanelButtonCommand 18347
#define sipName_PE_PanelButtonCommand &sipStrings_QtWidgets[18347]
#define sipNameNr_PE_FrameDefaultButton 18369
#define sipName_PE_FrameDefaultButton &sipStrings_QtWidgets[18369]
#define sipNameNr_insertPermanentWidget 18391
#define sipName_insertPermanentWidget &sipStrings_QtWidgets[18391]
#define sipNameNr_setDisplayIntegerBase 18413
#define sipName_setDisplayIntegerBase &sipStrings_QtWidgets[18413]
#define sipNameNr_QSlider__TickPosition 18435
#define sipName_QSlider__TickPosition &sipStrings_QtWidgets[18435]
#define sipNameNr_setScrollerProperties 18457
#define sipName_setScrollerProperties &sipStrings_QtWidgets[18457]
#define sipNameNr_blockBoundingGeometry 18479
#define sipName_blockBoundingGeometry &sipStrings_QtWidgets[18479]
#define sipNameNr_canInsertFromMimeData 18501
#define sipName_canInsertFromMimeData &sipStrings_QtWidgets[18501]
#define sipNameNr_QMouseEventTransition 18523
#define sipName_QMouseEventTransition &sipStrings_QtWidgets[18523]
#define sipNameNr_separatorsCollapsible 18545
#define sipName_separatorsCollapsible &sipStrings_QtWidgets[18545]
#define sipNameNr_setKeyboardSingleStep 18567
#define sipName_setKeyboardSingleStep &sipStrings_QtWidgets[18567]
#define sipNameNr_activateNextSubWindow 18589
#define sipName_activateNextSubWindow &sipStrings_QtWidgets[18589]
#define sipNameNr_QMdiArea__WindowOrder 18611
#define sipName_QMdiArea__WindowOrder &sipStrings_QtWidgets[18611]
#define sipNameNr_QMdiArea__AreaOptions 18633
#define sipName_QMdiArea__AreaOptions &sipStrings_QtWidgets[18633]
#define sipNameNr_setDockNestingEnabled 18655
#define sipName_setDockNestingEnabled &sipStrings_QtWidgets[18655]
#define sipNameNr_QListView__LayoutMode 18677
#define sipName_QListView__LayoutMode &sipStrings_QtWidgets[18677]
#define sipNameNr_QListView__ResizeMode 18699
#define sipName_QListView__ResizeMode &sipStrings_QtWidgets[18699]
#define sipNameNr_setClearButtonEnabled 18721
#define sipName_setClearButtonEnabled &sipStrings_QtWidgets[18721]
#define sipNameNr_closestAcceptableSize 18743
#define sipName_closestAcceptableSize &sipStrings_QtWidgets[18743]
#define sipNameNr_setMaximumSectionSize 18765
#define sipName_setMaximumSectionSize &sipStrings_QtWidgets[18765]
#define sipNameNr_setMinimumSectionSize 18787
#define sipName_setMinimumSectionSize &sipStrings_QtWidgets[18787]
#define sipNameNr_setDefaultSectionSize 14704
#define sipName_setDefaultSectionSize &sipStrings_QtWidgets[14704]
#define sipNameNr_setStretchLastSection 18809
#define sipName_setStretchLastSection &sipStrings_QtWidgets[18809]
#define sipNameNr_setSortIndicatorShown 18831
#define sipName_setSortIndicatorShown &sipStrings_QtWidgets[18831]
#define sipNameNr_setDefaultPositioning 18853
#define sipName_setDefaultPositioning &sipStrings_QtWidgets[18853]
#define sipNameNr_setAutoFillBackground 18875
#define sipName_setAutoFillBackground &sipStrings_QtWidgets[18875]
#define sipNameNr_setShortcutAutoRepeat 18897
#define sipName_setShortcutAutoRepeat &sipStrings_QtWidgets[18897]
#define sipNameNr_getWindowFrameMargins 18919
#define sipName_getWindowFrameMargins &sipStrings_QtWidgets[18919]
#define sipNameNr_setWindowFrameMargins 14848
#define sipName_setWindowFrameMargins &sipStrings_QtWidgets[14848]
#define sipNameNr_setViewportUpdateMode 18941
#define sipName_setViewportUpdateMode &sipStrings_QtWidgets[18941]
#define sipNameNr_MinimalViewportUpdate 18963
#define sipName_MinimalViewportUpdate &sipStrings_QtWidgets[18963]
#define sipNameNr_QGraphicsLinearLayout 18985
#define sipName_QGraphicsLinearLayout &sipStrings_QtWidgets[18985]
#define sipNameNr_setTransformationMode 19007
#define sipName_setTransformationMode &sipStrings_QtWidgets[19007]
#define sipNameNr_setFiltersChildEvents 19029
#define sipName_setFiltersChildEvents &sipStrings_QtWidgets[19029]
#define sipNameNr_isBlockedByModalPanel 19051
#define sipName_isBlockedByModalPanel &sipStrings_QtWidgets[19051]
#define sipNameNr_prepareGeometryChange 19073
#define sipName_prepareGeometryChange &sipStrings_QtWidgets[19073]
#define sipNameNr_ItemOpacityHasChanged 19095
#define sipName_ItemOpacityHasChanged &sipStrings_QtWidgets[19095]
#define sipNameNr_ItemToolTipHasChanged 19117
#define sipName_ItemToolTipHasChanged &sipStrings_QtWidgets[19117]
#define sipNameNr_ItemEnabledHasChanged 19139
#define sipName_ItemEnabledHasChanged &sipStrings_QtWidgets[19139]
#define sipNameNr_ItemVisibleHasChanged 19161
#define sipName_ItemVisibleHasChanged &sipStrings_QtWidgets[19161]
#define sipNameNr_DeviceCoordinateCache 19183
#define sipName_DeviceCoordinateCache &sipStrings_QtWidgets[19183]
#define sipNameNr_setColumnMaximumWidth 19205
#define sipName_setColumnMaximumWidth &sipStrings_QtWidgets[19205]
#define sipNameNr_setColumnMinimumWidth 19227
#define sipName_setColumnMinimumWidth &sipStrings_QtWidgets[19227]
#define sipNameNr_setRowPreferredHeight 19249
#define sipName_setRowPreferredHeight &sipStrings_QtWidgets[19249]
#define sipNameNr_QGraphicsAnchorLayout 19271
#define sipName_QGraphicsAnchorLayout &sipStrings_QtWidgets[19271]
#define sipNameNr_setTotalRotationAngle 19293
#define sipName_setTotalRotationAngle &sipStrings_QtWidgets[19293]
#define sipNameNr_QFormLayout__ItemRole 19315
#define sipName_QFormLayout__ItemRole &sipStrings_QtWidgets[19315]
#define sipNameNr_AllNonFixedFieldsGrow 19337
#define sipName_AllNonFixedFieldsGrow &sipStrings_QtWidgets[19337]
#define sipNameNr_setNameFilterDisables 19359
#define sipName_setNameFilterDisables &sipStrings_QtWidgets[19359]
#define sipNameNr_HideNameFilterDetails 19381
#define sipName_HideNameFilterDetails &sipStrings_QtWidgets[19381]
#define sipNameNr_QFileDialog__FileMode 19403
#define sipName_QFileDialog__FileMode &sipStrings_QtWidgets[19403]
#define sipNameNr_QFileDialog__ViewMode 19425
#define sipName_QFileDialog__ViewMode &sipStrings_QtWidgets[19425]
#define sipNameNr_AllDockWidgetFeatures 19447
#define sipName_AllDockWidgetFeatures &sipStrings_QtWidgets[19447]
#define sipNameNr_hitTestComplexControl 19469
#define sipName_hitTestComplexControl &sipStrings_QtWidgets[19469]
#define sipNameNr_minimumContentsLength 19491
#define sipName_minimumContentsLength &sipStrings_QtWidgets[19491]
#define sipNameNr_setResizeGripsVisible 19513
#define sipName_setResizeGripsVisible &sipStrings_QtWidgets[19513]
#define sipNameNr_minimumHeightForWidth 19535
#define sipName_minimumHeightForWidth &sipStrings_QtWidgets[19535]
#define sipNameNr_QBoxLayout__Direction 19557
#define sipName_QBoxLayout__Direction &sipStrings_QtWidgets[19557]
#define sipNameNr_isGroupSeparatorShown 19579
#define sipName_isGroupSeparatorShown &sipStrings_QtWidgets[19579]
#define sipNameNr_CorrectToNearestValue 19601
#define sipName_CorrectToNearestValue &sipStrings_QtWidgets[19601]
#define sipNameNr_setInvertedAppearance 19623
#define sipName_setInvertedAppearance &sipStrings_QtWidgets[19623]
#define sipNameNr_itemDelegateForColumn 19645
#define sipName_itemDelegateForColumn &sipStrings_QtWidgets[19645]
#define sipNameNr_setItemDelegateForRow 19667
#define sipName_setItemDelegateForRow &sipStrings_QtWidgets[19667]
#define sipNameNr_dragDropOverwriteMode 19689
#define sipName_dragDropOverwriteMode &sipStrings_QtWidgets[19689]
#define sipNameNr_setVerticalScrollMode 19711
#define sipName_setVerticalScrollMode &sipStrings_QtWidgets[19711]
#define sipNameNr_dropIndicatorPosition 19733
#define sipName_dropIndicatorPosition &sipStrings_QtWidgets[19733]
#define sipNameNr_DropIndicatorPosition 1260
#define sipName_DropIndicatorPosition &sipStrings_QtWidgets[1260]
#define sipNameNr_closePersistentEditor 19755
#define sipName_closePersistentEditor &sipStrings_QtWidgets[19755]
#define sipNameNr_setDropIndicatorShown 19777
#define sipName_setDropIndicatorShown &sipStrings_QtWidgets[19777]
#define sipNameNr_QAbstractItemDelegate 19799
#define sipName_QAbstractItemDelegate &sipStrings_QtWidgets[19799]
#define sipNameNr_setAutoRepeatInterval 19821
#define sipName_setAutoRepeatInterval &sipStrings_QtWidgets[19821]
#define sipNameNr_mouseDoubleClickEvent 19843
#define sipName_mouseDoubleClickEvent &sipStrings_QtWidgets[19843]
#define sipNameNr_cursorPositionChanged 19865
#define sipName_cursorPositionChanged &sipStrings_QtWidgets[19865]
#define sipNameNr_keyboardInputInterval 19887
#define sipName_keyboardInputInterval &sipStrings_QtWidgets[19887]
#define sipNameNr_accessibleDescription 19909
#define sipName_accessibleDescription &sipStrings_QtWidgets[19909]
#define sipNameNr_setVerticalHeaderItem 19931
#define sipName_setVerticalHeaderItem &sipStrings_QtWidgets[19931]
#define sipNameNr_QWizard__WizardStyle 19953
#define sipName_QWizard__WizardStyle &sipStrings_QtWidgets[19953]
#define sipNameNr_previousInFocusChain 19974
#define sipName_previousInFocusChain &sipStrings_QtWidgets[19974]
#define sipNameNr_QWidget__RenderFlags 19995
#define sipName_QWidget__RenderFlags &sipStrings_QtWidgets[19995]
#define sipNameNr_DrawWindowBackground 20016
#define sipName_DrawWindowBackground &sipStrings_QtWidgets[20016]
#define sipNameNr_setContextMenuPolicy 20037
#define sipName_setContextMenuPolicy &sipStrings_QtWidgets[20037]
#define sipNameNr_childIndicatorPolicy 20058
#define sipName_childIndicatorPolicy &sipStrings_QtWidgets[20058]
#define sipNameNr_ChildIndicatorPolicy 2167
#define sipName_ChildIndicatorPolicy &sipStrings_QtWidgets[2167]
#define sipNameNr_expandsOnDoubleClick 20079
#define sipName_expandsOnDoubleClick &sipStrings_QtWidgets[20079]
#define sipNameNr_isFirstColumnSpanned 20100
#define sipName_isFirstColumnSpanned &sipStrings_QtWidgets[20100]
#define sipNameNr_setUniformRowHeights 20121
#define sipName_setUniformRowHeights &sipStrings_QtWidgets[20121]
#define sipNameNr_backwardHistoryCount 20142
#define sipName_backwardHistoryCount &sipStrings_QtWidgets[20142]
#define sipNameNr_QTabWidget__TabShape 20163
#define sipName_QTabWidget__TabShape &sipStrings_QtWidgets[20163]
#define sipNameNr_resizeRowsToContents 20184
#define sipName_resizeRowsToContents &sipStrings_QtWidgets[20184]
#define sipNameNr_setUsesScrollButtons 20205
#define sipName_setUsesScrollButtons &sipStrings_QtWidgets[20205]
#define sipNameNr_QStyleOptionSizeGrip 20226
#define sipName_QStyleOptionSizeGrip &sipStrings_QtWidgets[20226]
#define sipNameNr_QStyleOptionGroupBox 20247
#define sipName_QStyleOptionGroupBox &sipStrings_QtWidgets[20247]
#define sipNameNr_QStyleHintReturnMask 20268
#define sipName_QStyleHintReturnMask &sipStrings_QtWidgets[20268]
#define sipNameNr_QStyleOptionTitleBar 20289
#define sipName_QStyleOptionTitleBar &sipStrings_QtWidgets[20289]
#define sipNameNr_QStyleOptionComboBox 20310
#define sipName_QStyleOptionComboBox &sipStrings_QtWidgets[20310]
#define sipNameNr_QStyleOptionViewItem 20331
#define sipName_QStyleOptionViewItem &sipStrings_QtWidgets[20331]
#define sipNameNr_QStyleOptionMenuItem 20352
#define sipName_QStyleOptionMenuItem &sipStrings_QtWidgets[20352]
#define sipNameNr_leftCornerWidgetSize 20373
#define sipName_leftCornerWidgetSize &sipStrings_QtWidgets[20373]
#define sipNameNr_SO_ComplexCustomBase 20394
#define sipName_SO_ComplexCustomBase &sipStrings_QtWidgets[20394]
#define sipNameNr_SP_MediaSeekBackward 20415
#define sipName_SP_MediaSeekBackward &sipStrings_QtWidgets[20415]
#define sipNameNr_SP_MediaSkipBackward 20436
#define sipName_SP_MediaSkipBackward &sipStrings_QtWidgets[20436]
#define sipNameNr_SP_DialogResetButton 20457
#define sipName_SP_DialogResetButton &sipStrings_QtWidgets[20457]
#define sipNameNr_SP_DialogApplyButton 20478
#define sipName_SP_DialogApplyButton &sipStrings_QtWidgets[20478]
#define sipNameNr_SP_DialogCloseButton 20499
#define sipName_SP_DialogCloseButton &sipStrings_QtWidgets[20499]
#define sipNameNr_SP_MessageBoxWarning 20520
#define sipName_SP_MessageBoxWarning &sipStrings_QtWidgets[20520]
#define sipNameNr_SP_TitleBarMaxButton 20541
#define sipName_SP_TitleBarMaxButton &sipStrings_QtWidgets[20541]
#define sipNameNr_SP_TitleBarMinButton 20562
#define sipName_SP_TitleBarMinButton &sipStrings_QtWidgets[20562]
#define sipNameNr_SH_UnderlineShortcut 20583
#define sipName_SH_UnderlineShortcut &sipStrings_QtWidgets[20583]
#define sipNameNr_SH_TitleBar_NoBorder 20604
#define sipName_SH_TitleBar_NoBorder &sipStrings_QtWidgets[20604]
#define sipNameNr_QStyle__ContentsType 20625
#define sipName_QStyle__ContentsType &sipStrings_QtWidgets[20625]
#define sipNameNr_PM_LayoutRightMargin 20646
#define sipName_PM_LayoutRightMargin &sipStrings_QtWidgets[20646]
#define sipNameNr_PM_FocusFrameHMargin 20667
#define sipName_PM_FocusFrameHMargin &sipStrings_QtWidgets[20667]
#define sipNameNr_PM_FocusFrameVMargin 20688
#define sipName_PM_FocusFrameVMargin &sipStrings_QtWidgets[20688]
#define sipNameNr_PM_ToolBarItemMargin 20709
#define sipName_PM_ToolBarItemMargin &sipStrings_QtWidgets[20709]
#define sipNameNr_PM_ToolBarFrameWidth 20730
#define sipName_PM_ToolBarFrameWidth &sipStrings_QtWidgets[20730]
#define sipNameNr_PM_MDIMinimizedWidth 20751
#define sipName_PM_MDIMinimizedWidth &sipStrings_QtWidgets[20751]
#define sipNameNr_PM_MenuBarPanelWidth 20772
#define sipName_PM_MenuBarPanelWidth &sipStrings_QtWidgets[20772]
#define sipNameNr_PM_MenuTearoffHeight 20793
#define sipName_PM_MenuTearoffHeight &sipStrings_QtWidgets[20793]
#define sipNameNr_PM_TabBarBaseOverlap 20814
#define sipName_PM_TabBarBaseOverlap &sipStrings_QtWidgets[20814]
#define sipNameNr_PM_SpinBoxFrameWidth 20835
#define sipName_PM_SpinBoxFrameWidth &sipStrings_QtWidgets[20835]
#define sipNameNr_PM_DefaultFrameWidth 20856
#define sipName_PM_DefaultFrameWidth &sipStrings_QtWidgets[20856]
#define sipNameNr_SC_TitleBarMaxButton 20877
#define sipName_SC_TitleBarMaxButton &sipStrings_QtWidgets[20877]
#define sipNameNr_SC_TitleBarMinButton 20898
#define sipName_SC_TitleBarMinButton &sipStrings_QtWidgets[20898]
#define sipNameNr_SC_ComboBoxEditField 20919
#define sipName_SC_ComboBoxEditField &sipStrings_QtWidgets[20919]
#define sipNameNr_SE_SpinBoxLayoutItem 20940
#define sipName_SE_SpinBoxLayoutItem &sipStrings_QtWidgets[20940]
#define sipNameNr_SE_ProgressBarGroove 20961
#define sipName_SE_ProgressBarGroove &sipStrings_QtWidgets[20961]
#define sipNameNr_SE_ComboBoxFocusRect 20982
#define sipName_SE_ComboBoxFocusRect &sipStrings_QtWidgets[20982]
#define sipNameNr_SE_CheckBoxClickRect 21003
#define sipName_SE_CheckBoxClickRect &sipStrings_QtWidgets[21003]
#define sipNameNr_SE_CheckBoxFocusRect 21024
#define sipName_SE_CheckBoxFocusRect &sipStrings_QtWidgets[21024]
#define sipNameNr_SE_CheckBoxIndicator 21045
#define sipName_SE_CheckBoxIndicator &sipStrings_QtWidgets[21045]
#define sipNameNr_CE_ProgressBarGroove 21066
#define sipName_CE_ProgressBarGroove &sipStrings_QtWidgets[21066]
#define sipNameNr_PE_IndicatorTabClose 21087
#define sipName_PE_IndicatorTabClose &sipStrings_QtWidgets[21087]
#define sipNameNr_PE_PanelItemViewItem 21108
#define sipName_PE_PanelItemViewItem &sipStrings_QtWidgets[21108]
#define sipNameNr_PE_IndicatorSpinPlus 21129
#define sipName_PE_IndicatorSpinPlus &sipStrings_QtWidgets[21129]
#define sipNameNr_PE_IndicatorSpinDown 21150
#define sipName_PE_IndicatorSpinDown &sipStrings_QtWidgets[21150]
#define sipNameNr_PE_IndicatorCheckBox 21171
#define sipName_PE_IndicatorCheckBox &sipStrings_QtWidgets[21171]
#define sipNameNr_closestLegalPosition 21192
#define sipName_closestLegalPosition &sipStrings_QtWidgets[21192]
#define sipNameNr_retainSizeWhenHidden 21213
#define sipName_retainSizeWhenHidden &sipStrings_QtWidgets[21213]
#define sipNameNr_setHorizontalStretch 21234
#define sipName_setHorizontalStretch &sipStrings_QtWidgets[21234]
#define sipNameNr_activatedAmbiguously 21255
#define sipName_activatedAmbiguously &sipStrings_QtWidgets[21255]
#define sipNameNr_MousePressEventDelay 21276
#define sipName_MousePressEventDelay &sipStrings_QtWidgets[21276]
#define sipNameNr_setBackgroundVisible 21297
#define sipName_setBackgroundVisible &sipStrings_QtWidgets[21297]
#define sipNameNr_setCurrentCharFormat 21318
#define sipName_setCurrentCharFormat &sipStrings_QtWidgets[21318]
#define sipNameNr_isTearOffMenuVisible 21339
#define sipName_isTearOffMenuVisible &sipStrings_QtWidgets[21339]
#define sipNameNr_closeActiveSubWindow 21360
#define sipName_closeActiveSubWindow &sipStrings_QtWidgets[21360]
#define sipNameNr_QMdiArea__AreaOption 21381
#define sipName_QMdiArea__AreaOption &sipStrings_QtWidgets[21381]
#define sipNameNr_isDockNestingEnabled 21402
#define sipName_isDockNestingEnabled &sipStrings_QtWidgets[21402]
#define sipNameNr_itemSelectionChanged 21423
#define sipName_itemSelectionChanged &sipStrings_QtWidgets[21423]
#define sipNameNr_isClearButtonEnabled 21444
#define sipName_isClearButtonEnabled &sipStrings_QtWidgets[21444]
#define sipNameNr_setSmallDecimalPoint 21465
#define sipName_setSmallDecimalPoint &sipStrings_QtWidgets[21465]
#define sipNameNr_SetDefaultConstraint 21486
#define sipName_SetDefaultConstraint &sipStrings_QtWidgets[21486]
#define sipNameNr_setItemEditorFactory 21507
#define sipName_setItemEditorFactory &sipStrings_QtWidgets[21507]
#define sipNameNr_setSectionResizeMode 21528
#define sipName_setSectionResizeMode &sipStrings_QtWidgets[21528]
#define sipNameNr_setSectionsClickable 21549
#define sipName_setSectionsClickable &sipStrings_QtWidgets[21549]
#define sipNameNr_sortIndicatorChanged 21570
#define sipName_sortIndicatorChanged &sipStrings_QtWidgets[21570]
#define sipNameNr_sectionDoubleClicked 21591
#define sipName_sectionDoubleClicked &sipStrings_QtWidgets[21591]
#define sipNameNr_sortIndicatorSection 21612
#define sipName_sortIndicatorSection &sipStrings_QtWidgets[21612]
#define sipNameNr_isSortIndicatorShown 21633
#define sipName_isSortIndicatorShown &sipStrings_QtWidgets[21633]
#define sipNameNr_setHighlightSections 21654
#define sipName_setHighlightSections &sipStrings_QtWidgets[21654]
#define sipNameNr_windowFrameSectionAt 21675
#define sipName_windowFrameSectionAt &sipStrings_QtWidgets[21675]
#define sipNameNr_unsetLayoutDirection 21696
#define sipName_unsetLayoutDirection &sipStrings_QtWidgets[21696]
#define sipNameNr_setOptimizationFlags 21717
#define sipName_setOptimizationFlags &sipStrings_QtWidgets[21717]
#define sipNameNr_DontSavePainterState 21738
#define sipName_DontSavePainterState &sipStrings_QtWidgets[21738]
#define sipNameNr_transformationAnchor 21759
#define sipName_transformationAnchor &sipStrings_QtWidgets[21759]
#define sipNameNr_setMinimumRenderSize 21780
#define sipName_setMinimumRenderSize &sipStrings_QtWidgets[21780]
#define sipNameNr_QGraphicsProxyWidget 21801
#define sipName_QGraphicsProxyWidget &sipStrings_QtWidgets[21801]
#define sipNameNr_setOpenExternalLinks 21822
#define sipName_setOpenExternalLinks &sipStrings_QtWidgets[21822]
#define sipNameNr_textInteractionFlags 21843
#define sipName_textInteractionFlags &sipStrings_QtWidgets[21843]
#define sipNameNr_QGraphicsPolygonItem 21864
#define sipName_QGraphicsPolygonItem &sipStrings_QtWidgets[21864]
#define sipNameNr_QGraphicsEllipseItem 21885
#define sipName_QGraphicsEllipseItem &sipStrings_QtWidgets[21885]
#define sipNameNr_transformOriginPoint 21906
#define sipName_transformOriginPoint &sipStrings_QtWidgets[21906]
#define sipNameNr_setAcceptTouchEvents 21927
#define sipName_setAcceptTouchEvents &sipStrings_QtWidgets[21927]
#define sipNameNr_setAcceptHoverEvents 21948
#define sipName_setAcceptHoverEvents &sipStrings_QtWidgets[21948]
#define sipNameNr_childrenBoundingRect 21969
#define sipName_childrenBoundingRect &sipStrings_QtWidgets[21969]
#define sipNameNr_acceptedMouseButtons 21990
#define sipName_acceptedMouseButtons &sipStrings_QtWidgets[21990]
#define sipNameNr_ItemZValueHasChanged 22011
#define sipName_ItemZValueHasChanged &sipStrings_QtWidgets[22011]
#define sipNameNr_ItemFlagsHaveChanged 22032
#define sipName_ItemFlagsHaveChanged &sipStrings_QtWidgets[22032]
#define sipNameNr_ItemCursorHasChanged 22053
#define sipName_ItemCursorHasChanged &sipStrings_QtWidgets[22053]
#define sipNameNr_ItemParentHasChanged 22074
#define sipName_ItemParentHasChanged &sipStrings_QtWidgets[22074]
#define sipNameNr_ItemChildAddedChange 22095
#define sipName_ItemChildAddedChange &sipStrings_QtWidgets[22095]
#define sipNameNr_columnPreferredWidth 22116
#define sipName_columnPreferredWidth &sipStrings_QtWidgets[22116]
#define sipNameNr_unregisterRecognizer 22137
#define sipName_unregisterRecognizer &sipStrings_QtWidgets[22137]
#define sipNameNr_setLastRotationAngle 22158
#define sipName_setLastRotationAngle &sipStrings_QtWidgets[22158]
#define sipNameNr_RotationAngleChanged 22179
#define sipName_RotationAngleChanged &sipStrings_QtWidgets[22179]
#define sipNameNr_setHorizontalSpacing 22200
#define sipName_setHorizontalSpacing &sipStrings_QtWidgets[22200]
#define sipNameNr_setFieldGrowthPolicy 22221
#define sipName_setFieldGrowthPolicy &sipStrings_QtWidgets[22221]
#define sipNameNr_FieldsStayAtSizeHint 22242
#define sipName_FieldsStayAtSizeHint &sipStrings_QtWidgets[22242]
#define sipNameNr_selectMimeTypeFilter 22263
#define sipName_selectMimeTypeFilter &sipStrings_QtWidgets[22263]
#define sipNameNr_getExistingDirectory 22284
#define sipName_getExistingDirectory &sipStrings_QtWidgets[22284]
#define sipNameNr_QFileDialog__Options 22305
#define sipName_QFileDialog__Options &sipStrings_QtWidgets[22305]
#define sipNameNr_DontConfirmOverwrite 22326
#define sipName_DontConfirmOverwrite &sipStrings_QtWidgets[22326]
#define sipNameNr_NoDockWidgetFeatures 22347
#define sipName_NoDockWidgetFeatures &sipStrings_QtWidgets[22347]
#define sipNameNr_clearMaximumDateTime 22368
#define sipName_clearMaximumDateTime &sipStrings_QtWidgets[22368]
#define sipNameNr_clearMinimumDateTime 22389
#define sipName_clearMinimumDateTime &sipStrings_QtWidgets[22389]
#define sipNameNr_setCurrentModelIndex 22410
#define sipName_setCurrentModelIndex &sipStrings_QtWidgets[22410]
#define sipNameNr_InsertAlphabetically 22431
#define sipName_InsertAlphabetically &sipStrings_QtWidgets[22431]
#define sipNameNr_setDuplicatesEnabled 22452
#define sipName_setDuplicatesEnabled &sipStrings_QtWidgets[22452]
#define sipNameNr_setWeekdayTextFormat 22473
#define sipName_setWeekdayTextFormat &sipStrings_QtWidgets[22473]
#define sipNameNr_verticalHeaderFormat 22494
#define sipName_verticalHeaderFormat &sipStrings_QtWidgets[22494]
#define sipNameNr_VerticalHeaderFormat 2775
#define sipName_VerticalHeaderFormat &sipStrings_QtWidgets[2775]
#define sipNameNr_SingleLetterDayNames 22515
#define sipName_SingleLetterDayNames &sipStrings_QtWidgets[22515]
#define sipNameNr_setStartDragDistance 22536
#define sipName_setStartDragDistance &sipStrings_QtWidgets[22536]
#define sipNameNr_setIconVisibleInMenu 22557
#define sipName_setIconVisibleInMenu &sipStrings_QtWidgets[22557]
#define sipNameNr_QAction__ActionEvent 22578
#define sipName_QAction__ActionEvent &sipStrings_QtWidgets[22578]
#define sipNameNr_setVerticalScrollBar 22599
#define sipName_setVerticalScrollBar &sipStrings_QtWidgets[22599]
#define sipNameNr_setDefaultDropAction 22620
#define sipName_setDefaultDropAction &sipStrings_QtWidgets[22620]
#define sipNameNr_horizontalScrollMode 22641
#define sipName_horizontalScrollMode &sipStrings_QtWidgets[22641]
#define sipNameNr_openPersistentEditor 22662
#define sipName_openPersistentEditor &sipStrings_QtWidgets[22662]
#define sipNameNr_alternatingRowColors 22683
#define sipName_alternatingRowColors &sipStrings_QtWidgets[22683]
#define sipNameNr_setSelectionBehavior 22704
#define sipName_setSelectionBehavior &sipStrings_QtWidgets[22704]
#define sipNameNr_updateEditorGeometry 22725
#define sipName_updateEditorGeometry &sipStrings_QtWidgets[22725]
#define sipNameNr_setMaximumBlockCount 22746
#define sipName_setMaximumBlockCount &sipStrings_QtWidgets[22746]
#define sipNameNr_horizontalHeaderItem 22767
#define sipName_horizontalHeaderItem &sipStrings_QtWidgets[22767]
#define sipNameNr_acceptProposedAction 22788
#define sipName_acceptProposedAction &sipStrings_QtWidgets[22788]
#define sipNameNr_positionInlineObject 22809
#define sipName_positionInlineObject &sipStrings_QtWidgets[22809]
#define sipNameNr_supportedDragActions 22830
#define sipName_supportedDragActions &sipStrings_QtWidgets[22830]
#define sipNameNr_rowsAboutToBeRemoved 22851
#define sipName_rowsAboutToBeRemoved &sipStrings_QtWidgets[22851]
#define sipNameNr_supportedDropActions 22872
#define sipName_supportedDropActions &sipStrings_QtWidgets[22872]
#define sipNameNr_22893 22893
#define sipName_22893 &sipStrings_QtWidgets[22893]
#define sipNameNr_customButtonClicked 22913
#define sipName_customButtonClicked &sipStrings_QtWidgets[22913]
#define sipNameNr_validateCurrentPage 22933
#define sipName_validateCurrentPage &sipStrings_QtWidgets[22933]
#define sipNameNr_graphicsProxyWidget 22953
#define sipName_graphicsProxyWidget &sipStrings_QtWidgets[22953]
#define sipNameNr_QWidget__RenderFlag 22973
#define sipName_QWidget__RenderFlag &sipStrings_QtWidgets[22973]
#define sipNameNr_overrideWindowFlags 22993
#define sipName_overrideWindowFlags &sipStrings_QtWidgets[22993]
#define sipNameNr_overrideWindowState 23013
#define sipName_overrideWindowState &sipStrings_QtWidgets[23013]
#define sipNameNr_insertTopLevelItems 23033
#define sipName_insertTopLevelItems &sipStrings_QtWidgets[23033]
#define sipNameNr_indexOfTopLevelItem 23053
#define sipName_indexOfTopLevelItem &sipStrings_QtWidgets[23053]
#define sipNameNr_allColumnsShowFocus 23073
#define sipName_allColumnsShowFocus &sipStrings_QtWidgets[23073]
#define sipNameNr_ToolButtonPopupMode 4755
#define sipName_ToolButtonPopupMode &sipStrings_QtWidgets[4755]
#define sipNameNr_textBackgroundColor 23093
#define sipName_textBackgroundColor &sipStrings_QtWidgets[23093]
#define sipNameNr_forwardHistoryCount 23113
#define sipName_forwardHistoryCount &sipStrings_QtWidgets[23113]
#define sipNameNr_isBackwardAvailable 23133
#define sipName_isBackwardAvailable &sipStrings_QtWidgets[23133]
#define sipNameNr_resizeRowToContents 23153
#define sipName_resizeRowToContents &sipStrings_QtWidgets[23153]
#define sipNameNr_rowViewportPosition 23173
#define sipName_rowViewportPosition &sipStrings_QtWidgets[23173]
#define sipNameNr_setHorizontalHeader 23193
#define sipName_setHorizontalHeader &sipStrings_QtWidgets[23193]
#define sipNameNr_changeCurrentOnDrag 23213
#define sipName_changeCurrentOnDrag &sipStrings_QtWidgets[23213]
#define sipNameNr_tabBarDoubleClicked 23233
#define sipName_tabBarDoubleClicked &sipStrings_QtWidgets[23233]
#define sipNameNr_QStyleOptionToolBar 23253
#define sipName_QStyleOptionToolBar &sipStrings_QtWidgets[23253]
#define sipNameNr_QStyleOptionSpinBox 23273
#define sipName_QStyleOptionSpinBox &sipStrings_QtWidgets[23273]
#define sipNameNr_QStyleOptionComplex 23293
#define sipName_QStyleOptionComplex &sipStrings_QtWidgets[23293]
#define sipNameNr_QStyleOptionToolBox 23313
#define sipName_QStyleOptionToolBox &sipStrings_QtWidgets[23313]
#define sipNameNr_decorationAlignment 23333
#define sipName_decorationAlignment &sipStrings_QtWidgets[23333]
#define sipNameNr_QStyledItemDelegate 23353
#define sipName_QStyledItemDelegate &sipStrings_QtWidgets[23353]
#define sipNameNr_SP_MediaVolumeMuted 23373
#define sipName_SP_MediaVolumeMuted &sipStrings_QtWidgets[23373]
#define sipNameNr_SP_MediaSeekForward 23393
#define sipName_SP_MediaSeekForward &sipStrings_QtWidgets[23393]
#define sipNameNr_SP_MediaSkipForward 23413
#define sipName_SP_MediaSkipForward &sipStrings_QtWidgets[23413]
#define sipNameNr_SP_DialogSaveButton 23433
#define sipName_SP_DialogSaveButton &sipStrings_QtWidgets[23433]
#define sipNameNr_SP_DialogOpenButton 23453
#define sipName_SP_DialogOpenButton &sipStrings_QtWidgets[23453]
#define sipNameNr_SP_DialogHelpButton 23473
#define sipName_SP_DialogHelpButton &sipStrings_QtWidgets[23473]
#define sipNameNr_SH_TabBar_ElideMode 23493
#define sipName_SH_TabBar_ElideMode &sipStrings_QtWidgets[23493]
#define sipNameNr_SH_WindowFrame_Mask 23513
#define sipName_SH_WindowFrame_Mask &sipStrings_QtWidgets[23513]
#define sipNameNr_SH_TabBar_Alignment 23533
#define sipName_SH_TabBar_Alignment &sipStrings_QtWidgets[23533]
#define sipNameNr_SH_EtchDisabledText 23553
#define sipName_SH_EtchDisabledText &sipStrings_QtWidgets[23553]
#define sipNameNr_PM_LayoutLeftMargin 23573
#define sipName_PM_LayoutLeftMargin &sipStrings_QtWidgets[23573]
#define sipNameNr_PM_IconViewIconSize 23593
#define sipName_PM_IconViewIconSize &sipStrings_QtWidgets[23593]
#define sipNameNr_PM_ListViewIconSize 23613
#define sipName_PM_ListViewIconSize &sipStrings_QtWidgets[23613]
#define sipNameNr_PM_HeaderGripMargin 23633
#define sipName_PM_HeaderGripMargin &sipStrings_QtWidgets[23633]
#define sipNameNr_PM_TabBarBaseHeight 23653
#define sipName_PM_TabBarBaseHeight &sipStrings_QtWidgets[23653]
#define sipNameNr_PM_TabBarTabOverlap 23673
#define sipName_PM_TabBarTabOverlap &sipStrings_QtWidgets[23673]
#define sipNameNr_QStyle__PixelMetric 23693
#define sipName_QStyle__PixelMetric &sipStrings_QtWidgets[23693]
#define sipNameNr_QStyle__SubControls 23713
#define sipName_QStyle__SubControls &sipStrings_QtWidgets[23713]
#define sipNameNr_SC_GroupBoxContents 23733
#define sipName_SC_GroupBoxContents &sipStrings_QtWidgets[23733]
#define sipNameNr_SC_GroupBoxCheckBox 23753
#define sipName_SC_GroupBoxCheckBox &sipStrings_QtWidgets[23753]
#define sipNameNr_SC_SpinBoxEditField 23773
#define sipName_SC_SpinBoxEditField &sipStrings_QtWidgets[23773]
#define sipNameNr_SC_ScrollBarSubPage 23793
#define sipName_SC_ScrollBarSubPage &sipStrings_QtWidgets[23793]
#define sipNameNr_SC_ScrollBarAddPage 23813
#define sipName_SC_ScrollBarAddPage &sipStrings_QtWidgets[23813]
#define sipNameNr_SC_ScrollBarSubLine 23833
#define sipName_SC_ScrollBarSubLine &sipStrings_QtWidgets[23833]
#define sipNameNr_SC_ScrollBarAddLine 23853
#define sipName_SC_ScrollBarAddLine &sipStrings_QtWidgets[23853]
#define sipNameNr_SE_ItemViewItemText 23873
#define sipName_SE_ItemViewItemText &sipStrings_QtWidgets[23873]
#define sipNameNr_SE_SliderLayoutItem 23893
#define sipName_SE_SliderLayoutItem &sipStrings_QtWidgets[23893]
#define sipNameNr_SE_LineEditContents 23913
#define sipName_SE_LineEditContents &sipStrings_QtWidgets[23913]
#define sipNameNr_SE_TabWidgetTabPane 23933
#define sipName_SE_TabWidgetTabPane &sipStrings_QtWidgets[23933]
#define sipNameNr_SE_ProgressBarLabel 23953
#define sipName_SE_ProgressBarLabel &sipStrings_QtWidgets[23953]
#define sipNameNr_SE_CheckBoxContents 23973
#define sipName_SE_CheckBoxContents &sipStrings_QtWidgets[23973]
#define sipNameNr_CE_ScrollBarSubPage 23993
#define sipName_CE_ScrollBarSubPage &sipStrings_QtWidgets[23993]
#define sipNameNr_CE_ScrollBarAddPage 24013
#define sipName_CE_ScrollBarAddPage &sipStrings_QtWidgets[24013]
#define sipNameNr_CE_ScrollBarSubLine 24033
#define sipName_CE_ScrollBarSubLine &sipStrings_QtWidgets[24033]
#define sipNameNr_CE_ScrollBarAddLine 24053
#define sipName_CE_ScrollBarAddLine &sipStrings_QtWidgets[24053]
#define sipNameNr_CE_MenuBarEmptyArea 24073
#define sipName_CE_MenuBarEmptyArea &sipStrings_QtWidgets[24073]
#define sipNameNr_CE_ProgressBarLabel 24093
#define sipName_CE_ProgressBarLabel &sipStrings_QtWidgets[24093]
#define sipNameNr_CE_RadioButtonLabel 24113
#define sipName_CE_RadioButtonLabel &sipStrings_QtWidgets[24113]
#define sipNameNr_PE_PanelItemViewRow 24133
#define sipName_PE_PanelItemViewRow &sipStrings_QtWidgets[24133]
#define sipNameNr_PE_IndicatorTabTear 24153
#define sipName_PE_IndicatorTabTear &sipStrings_QtWidgets[24153]
#define sipNameNr_PE_IndicatorArrowUp 24173
#define sipName_PE_IndicatorArrowUp &sipStrings_QtWidgets[24173]
#define sipNameNr_PE_PanelButtonBevel 24193
#define sipName_PE_PanelButtonBevel &sipStrings_QtWidgets[24193]
#define sipNameNr_PE_FrameButtonBevel 24213
#define sipName_PE_FrameButtonBevel &sipStrings_QtWidgets[24213]
#define sipNameNr_State_FocusAtBorder 24233
#define sipName_State_FocusAtBorder &sipStrings_QtWidgets[24233]
#define sipNameNr_childrenCollapsible 24253
#define sipName_childrenCollapsible &sipStrings_QtWidgets[24253]
#define sipNameNr_setHorizontalPolicy 24273
#define sipName_setHorizontalPolicy &sipStrings_QtWidgets[24273]
#define sipNameNr_QSizePolicy__Policy 24293
#define sipName_QSizePolicy__Policy &sipStrings_QtWidgets[24293]
#define sipNameNr_OvershootScrollTime 24313
#define sipName_OvershootScrollTime &sipStrings_QtWidgets[24313]
#define sipNameNr_QScrollerProperties 24333
#define sipName_QScrollerProperties &sipStrings_QtWidgets[24333]
#define sipNameNr_ScrollerGestureType 6451
#define sipName_ScrollerGestureType &sipStrings_QtWidgets[6451]
#define sipNameNr_ensureWidgetVisible 24353
#define sipName_ensureWidgetVisible &sipStrings_QtWidgets[24353]
#define sipNameNr_ensureCursorVisible 24373
#define sipName_ensureCursorVisible &sipStrings_QtWidgets[24373]
#define sipNameNr_setKeyboardPageStep 24393
#define sipName_setKeyboardPageStep &sipStrings_QtWidgets[24393]
#define sipNameNr_tabifiedDockWidgets 24413
#define sipName_tabifiedDockWidgets &sipStrings_QtWidgets[24413]
#define sipNameNr_setPositionForIndex 24433
#define sipName_setPositionForIndex &sipStrings_QtWidgets[24433]
#define sipNameNr_setUniformItemSizes 24453
#define sipName_setUniformItemSizes &sipStrings_QtWidgets[24453]
#define sipNameNr_QListView__ViewMode 24473
#define sipName_QListView__ViewMode &sipStrings_QtWidgets[24473]
#define sipNameNr_QListView__Movement 24493
#define sipName_QListView__Movement &sipStrings_QtWidgets[24493]
#define sipNameNr_QLineEdit__EchoMode 24513
#define sipName_QLineEdit__EchoMode &sipStrings_QtWidgets[24513]
#define sipNameNr_totalHeightForWidth 24533
#define sipName_totalHeightForWidth &sipStrings_QtWidgets[24533]
#define sipNameNr_QKeyEventTransition 24553
#define sipName_QKeyEventTransition &sipStrings_QtWidgets[24553]
#define sipNameNr_doubleValueSelected 24573
#define sipName_doubleValueSelected &sipStrings_QtWidgets[24573]
#define sipNameNr_setCancelButtonText 24593
#define sipName_setCancelButtonText &sipStrings_QtWidgets[24593]
#define sipNameNr_setComboBoxEditable 24613
#define sipName_setComboBoxEditable &sipStrings_QtWidgets[24613]
#define sipNameNr_setDefaultAlignment 24633
#define sipName_setDefaultAlignment &sipStrings_QtWidgets[24633]
#define sipNameNr_sectionCountChanged 24653
#define sipName_sectionCountChanged &sipStrings_QtWidgets[24653]
#define sipNameNr_stretchSectionCount 24673
#define sipName_stretchSectionCount &sipStrings_QtWidgets[24673]
#define sipNameNr_ungrabKeyboardEvent 24693
#define sipName_ungrabKeyboardEvent &sipStrings_QtWidgets[24693]
#define sipNameNr_windowFrameGeometry 24713
#define sipName_windowFrameGeometry &sipStrings_QtWidgets[24713]
#define sipNameNr_setOptimizationFlag 24733
#define sipName_setOptimizationFlag &sipStrings_QtWidgets[24733]
#define sipNameNr_SmartViewportUpdate 24753
#define sipName_SmartViewportUpdate &sipStrings_QtWidgets[24753]
#define sipNameNr_buttonDownScreenPos 24773
#define sipName_buttonDownScreenPos &sipStrings_QtWidgets[24773]
#define sipNameNr_QGraphicsSceneEvent 24793
#define sipName_QGraphicsSceneEvent &sipStrings_QtWidgets[24793]
#define sipNameNr_setParentLayoutItem 24813
#define sipName_setParentLayoutItem &sipStrings_QtWidgets[24813]
#define sipNameNr_QGraphicsLayoutItem 24833
#define sipName_QGraphicsLayoutItem &sipStrings_QtWidgets[24833]
#define sipNameNr_setDefaultTextColor 24853
#define sipName_setDefaultTextColor &sipStrings_QtWidgets[24853]
#define sipNameNr_QGraphicsPixmapItem 24873
#define sipName_QGraphicsPixmapItem &sipStrings_QtWidgets[24873]
#define sipNameNr_setInputMethodHints 24893
#define sipName_setInputMethodHints &sipStrings_QtWidgets[24893]
#define sipNameNr_ItemScaleHasChanged 24913
#define sipName_ItemScaleHasChanged &sipStrings_QtWidgets[24913]
#define sipNameNr_ItemSceneHasChanged 24933
#define sipName_ItemSceneHasChanged &sipStrings_QtWidgets[24933]
#define sipNameNr_ItemTransformChange 24953
#define sipName_ItemTransformChange &sipStrings_QtWidgets[24953]
#define sipNameNr_ItemCoordinateCache 24973
#define sipName_ItemCoordinateCache &sipStrings_QtWidgets[24973]
#define sipNameNr_setColumnFixedWidth 24993
#define sipName_setColumnFixedWidth &sipStrings_QtWidgets[24993]
#define sipNameNr_setRowMaximumHeight 25013
#define sipName_setRowMaximumHeight &sipStrings_QtWidgets[25013]
#define sipNameNr_setRowMinimumHeight 25033
#define sipName_setRowMinimumHeight &sipStrings_QtWidgets[25033]
#define sipNameNr_columnStretchFactor 25053
#define sipName_columnStretchFactor &sipStrings_QtWidgets[25053]
#define sipNameNr_setRowStretchFactor 25073
#define sipName_setRowStretchFactor &sipStrings_QtWidgets[25073]
#define sipNameNr_QGraphicsGridLayout 25093
#define sipName_QGraphicsGridLayout &sipStrings_QtWidgets[25093]
#define sipNameNr_QGraphicsBlurEffect 25113
#define sipName_QGraphicsBlurEffect &sipStrings_QtWidgets[25113]
#define sipNameNr_horizontalDirection 25133
#define sipName_horizontalDirection &sipStrings_QtWidgets[25133]
#define sipNameNr_setTotalScaleFactor 25153
#define sipName_setTotalScaleFactor &sipStrings_QtWidgets[25153]
#define sipNameNr_setStartCenterPoint 25173
#define sipName_setStartCenterPoint &sipStrings_QtWidgets[25173]
#define sipNameNr_setTotalChangeFlags 25193
#define sipName_setTotalChangeFlags &sipStrings_QtWidgets[25193]
#define sipNameNr_gestureCancelPolicy 25213
#define sipName_gestureCancelPolicy &sipStrings_QtWidgets[25213]
#define sipNameNr_GestureCancelPolicy 7515
#define sipName_GestureCancelPolicy &sipStrings_QtWidgets[7515]
#define sipNameNr_ExpandingFieldsGrow 25233
#define sipName_ExpandingFieldsGrow &sipStrings_QtWidgets[25233]
#define sipNameNr_directoryUrlEntered 25253
#define sipName_directoryUrlEntered &sipStrings_QtWidgets[25253]
#define sipNameNr_DontResolveSymlinks 25273
#define sipName_DontResolveSymlinks &sipStrings_QtWidgets[25273]
#define sipNameNr_QFileDialog__Option 25293
#define sipName_QFileDialog__Option &sipStrings_QtWidgets[25293]
#define sipNameNr_dockLocationChanged 25313
#define sipName_dockLocationChanged &sipStrings_QtWidgets[25313]
#define sipNameNr_allowedAreasChanged 25333
#define sipName_allowedAreasChanged &sipStrings_QtWidgets[25333]
#define sipNameNr_DockWidgetFloatable 25353
#define sipName_DockWidgetFloatable &sipStrings_QtWidgets[25353]
#define sipNameNr_QDialog__DialogCode 25373
#define sipName_QDialog__DialogCode &sipStrings_QtWidgets[25373]
#define sipNameNr_currentSectionIndex 25393
#define sipName_currentSectionIndex &sipStrings_QtWidgets[25393]
#define sipNameNr_setCompletionPrefix 25413
#define sipName_setCompletionPrefix &sipStrings_QtWidgets[25413]
#define sipNameNr_setCompletionColumn 25433
#define sipName_setCompletionColumn &sipStrings_QtWidgets[25433]
#define sipNameNr_generatedIconPixmap 25453
#define sipName_generatedIconPixmap &sipStrings_QtWidgets[25453]
#define sipNameNr_currentIndexChanged 25473
#define sipName_currentIndexChanged &sipStrings_QtWidgets[25473]
#define sipNameNr_InsertBeforeCurrent 25493
#define sipName_InsertBeforeCurrent &sipStrings_QtWidgets[25493]
#define sipNameNr_updatePreviewWidget 25513
#define sipName_updatePreviewWidget &sipStrings_QtWidgets[25513]
#define sipNameNr_currentColorChanged 25533
#define sipName_currentColorChanged &sipStrings_QtWidgets[25533]
#define sipNameNr_DontUseNativeDialog 25553
#define sipName_DontUseNativeDialog &sipStrings_QtWidgets[25553]
#define sipNameNr_dateEditAcceptDelay 25573
#define sipName_dateEditAcceptDelay &sipStrings_QtWidgets[25573]
#define sipNameNr_setHeaderTextFormat 25593
#define sipName_setHeaderTextFormat &sipStrings_QtWidgets[25593]
#define sipNameNr_expandingDirections 25613
#define sipName_expandingDirections &sipStrings_QtWidgets[25613]
#define sipNameNr_setWheelScrollLines 25633
#define sipName_setWheelScrollLines &sipStrings_QtWidgets[25633]
#define sipNameNr_doubleClickInterval 25653
#define sipName_doubleClickInterval &sipStrings_QtWidgets[25653]
#define sipNameNr_isIconVisibleInMenu 25673
#define sipName_isIconVisibleInMenu &sipStrings_QtWidgets[25673]
#define sipNameNr_setKeyboardTracking 25693
#define sipName_setKeyboardTracking &sipStrings_QtWidgets[25693]
#define sipNameNr_setSpecialValueText 25713
#define sipName_setSpecialValueText &sipStrings_QtWidgets[25713]
#define sipNameNr_SliderSingleStepSub 25733
#define sipName_SliderSingleStepSub &sipStrings_QtWidgets[25733]
#define sipNameNr_SliderSingleStepAdd 25753
#define sipName_SliderSingleStepAdd &sipStrings_QtWidgets[25753]
#define sipNameNr_setInvertedControls 25773
#define sipName_setInvertedControls &sipStrings_QtWidgets[25773]
#define sipNameNr_setSizeAdjustPolicy 25793
#define sipName_setSizeAdjustPolicy &sipStrings_QtWidgets[25793]
#define sipNameNr_maximumViewportSize 25813
#define sipName_maximumViewportSize &sipStrings_QtWidgets[25813]
#define sipNameNr_horizontalScrollBar 25833
#define sipName_horizontalScrollBar &sipStrings_QtWidgets[25833]
#define sipNameNr_setAutoScrollMargin 25853
#define sipName_setAutoScrollMargin &sipStrings_QtWidgets[25853]
#define sipNameNr_setTabKeyNavigation 25873
#define sipName_setTabKeyNavigation &sipStrings_QtWidgets[25873]
#define sipNameNr_ContiguousSelection 25893
#define sipName_ContiguousSelection &sipStrings_QtWidgets[25893]
#define sipNameNr_QAbstractScrollArea 25913
#define sipName_QAbstractScrollArea &sipStrings_QtWidgets[25913]
#define sipNameNr_modificationChanged 25933
#define sipName_modificationChanged &sipStrings_QtWidgets[25933]
#define sipNameNr_25953 25953
#define sipName_25953 &sipStrings_QtWidgets[25953]
#define sipNameNr_setDefaultProperty 25972
#define sipName_setDefaultProperty &sipStrings_QtWidgets[25972]
#define sipNameNr_CancelButtonOnLeft 25991
#define sipName_CancelButtonOnLeft &sipStrings_QtWidgets[25991]
#define sipNameNr_setToolTipDuration 26010
#define sipName_setToolTipDuration &sipStrings_QtWidgets[26010]
#define sipNameNr_nativeParentWidget 26029
#define sipName_nativeParentWidget &sipStrings_QtWidgets[26029]
#define sipNameNr_focusPreviousChild 26048
#define sipName_focusPreviousChild &sipStrings_QtWidgets[26048]
#define sipNameNr_leaveWhatsThisMode 26067
#define sipName_leaveWhatsThisMode &sipStrings_QtWidgets[26067]
#define sipNameNr_enterWhatsThisMode 26086
#define sipName_enterWhatsThisMode &sipStrings_QtWidgets[26086]
#define sipNameNr_activeStackChanged 26105
#define sipName_activeStackChanged &sipStrings_QtWidgets[26105]
#define sipNameNr_insertTopLevelItem 26124
#define sipName_insertTopLevelItem &sipStrings_QtWidgets[26124]
#define sipNameNr_setAutoExpandDelay 26143
#define sipName_setAutoExpandDelay &sipStrings_QtWidgets[26143]
#define sipNameNr_setItemsExpandable 26162
#define sipName_setItemsExpandable &sipStrings_QtWidgets[26162]
#define sipNameNr_setRootIsDecorated 26181
#define sipName_setRootIsDecorated &sipStrings_QtWidgets[26181]
#define sipNameNr_AutoFormattingFlag 6916
#define sipName_AutoFormattingFlag &sipStrings_QtWidgets[6916]
#define sipNameNr_isForwardAvailable 26200
#define sipName_isForwardAvailable &sipStrings_QtWidgets[26200]
#define sipNameNr_currentCellChanged 26219
#define sipName_currentCellChanged &sipStrings_QtWidgets[26219]
#define sipNameNr_columnCountChanged 26238
#define sipName_columnCountChanged &sipStrings_QtWidgets[26238]
#define sipNameNr_minimumTabSizeHint 26257
#define sipName_minimumTabSizeHint &sipStrings_QtWidgets[26257]
#define sipNameNr_positionWithinLine 26276
#define sipName_positionWithinLine &sipStrings_QtWidgets[26276]
#define sipNameNr_ToolButtonFeatures 431
#define sipName_ToolButtonFeatures &sipStrings_QtWidgets[431]
#define sipNameNr_QStyleOptionSlider 26295
#define sipName_QStyleOptionSlider &sipStrings_QtWidgets[26295]
#define sipNameNr_decorationPosition 26314
#define sipName_decorationPosition &sipStrings_QtWidgets[26314]
#define sipNameNr_QStyleOptionButton 26333
#define sipName_QStyleOptionButton &sipStrings_QtWidgets[26333]
#define sipNameNr_PreviousIsSelected 26352
#define sipName_PreviousIsSelected &sipStrings_QtWidgets[26352]
#define sipNameNr_QStyleOptionHeader 26371
#define sipName_QStyleOptionHeader &sipStrings_QtWidgets[26371]
#define sipNameNr_StyleOptionVersion 78
#define sipName_StyleOptionVersion &sipStrings_QtWidgets[78]
#define sipNameNr_SP_DirLinkOpenIcon 26390
#define sipName_SP_DirLinkOpenIcon &sipStrings_QtWidgets[26390]
#define sipNameNr_SP_DialogYesButton 26409
#define sipName_SP_DialogYesButton &sipStrings_QtWidgets[26409]
#define sipNameNr_SP_FileDialogStart 26428
#define sipName_SP_FileDialogStart &sipStrings_QtWidgets[26428]
#define sipNameNr_SH_ToolButtonStyle 26447
#define sipName_SH_ToolButtonStyle &sipStrings_QtWidgets[26447]
#define sipNameNr_SH_ToolBar_Movable 26466
#define sipName_SH_ToolBar_Movable &sipStrings_QtWidgets[26466]
#define sipNameNr_SH_RubberBand_Mask 26485
#define sipName_SH_RubberBand_Mask &sipStrings_QtWidgets[26485]
#define sipNameNr_SH_FocusFrame_Mask 26504
#define sipName_SH_FocusFrame_Mask &sipStrings_QtWidgets[26504]
#define sipNameNr_SH_Menu_Scrollable 26523
#define sipName_SH_Menu_Scrollable &sipStrings_QtWidgets[26523]
#define sipNameNr_PM_TextCursorWidth 26542
#define sipName_PM_TextCursorWidth &sipStrings_QtWidgets[26542]
#define sipNameNr_PM_LayoutTopMargin 26561
#define sipName_PM_LayoutTopMargin &sipStrings_QtWidgets[26561]
#define sipNameNr_PM_ToolBarIconSize 26580
#define sipName_PM_ToolBarIconSize &sipStrings_QtWidgets[26580]
#define sipNameNr_PM_IndicatorHeight 26599
#define sipName_PM_IndicatorHeight &sipStrings_QtWidgets[26599]
#define sipNameNr_PM_TabBarTabVSpace 26618
#define sipName_PM_TabBarTabVSpace &sipStrings_QtWidgets[26618]
#define sipNameNr_PM_TabBarTabHSpace 26637
#define sipName_PM_TabBarTabHSpace &sipStrings_QtWidgets[26637]
#define sipNameNr_PM_SliderThickness 26656
#define sipName_PM_SliderThickness &sipStrings_QtWidgets[26656]
#define sipNameNr_PM_ScrollBarExtent 26675
#define sipName_PM_ScrollBarExtent &sipStrings_QtWidgets[26675]
#define sipNameNr_SC_MdiNormalButton 26694
#define sipName_SC_MdiNormalButton &sipStrings_QtWidgets[26694]
#define sipNameNr_SC_TitleBarSysMenu 26713
#define sipName_SC_TitleBarSysMenu &sipStrings_QtWidgets[26713]
#define sipNameNr_SC_SliderTickmarks 26732
#define sipName_SC_SliderTickmarks &sipStrings_QtWidgets[26732]
#define sipNameNr_SC_ScrollBarGroove 26751
#define sipName_SC_ScrollBarGroove &sipStrings_QtWidgets[26751]
#define sipNameNr_SC_ScrollBarSlider 26770
#define sipName_SC_ScrollBarSlider &sipStrings_QtWidgets[26770]
#define sipNameNr_QStyle__SubControl 26789
#define sipName_QStyle__SubControl &sipStrings_QtWidgets[26789]
#define sipNameNr_SE_FrameLayoutItem 26808
#define sipName_SE_FrameLayoutItem &sipStrings_QtWidgets[26808]
#define sipNameNr_SE_LabelLayoutItem 26827
#define sipName_SE_LabelLayoutItem &sipStrings_QtWidgets[26827]
#define sipNameNr_SE_TabWidgetTabBar 26846
#define sipName_SE_TabWidgetTabBar &sipStrings_QtWidgets[26846]
#define sipNameNr_SE_SliderFocusRect 26865
#define sipName_SE_SliderFocusRect &sipStrings_QtWidgets[26865]
#define sipNameNr_QStyle__SubElement 26884
#define sipName_QStyle__SubElement &sipStrings_QtWidgets[26884]
#define sipNameNr_CE_HeaderEmptyArea 26903
#define sipName_CE_HeaderEmptyArea &sipStrings_QtWidgets[26903]
#define sipNameNr_CE_ToolBoxTabLabel 26922
#define sipName_CE_ToolBoxTabLabel &sipStrings_QtWidgets[26922]
#define sipNameNr_CE_ToolBoxTabShape 26941
#define sipName_CE_ToolBoxTabShape &sipStrings_QtWidgets[26941]
#define sipNameNr_CE_ScrollBarSlider 26960
#define sipName_CE_ScrollBarSlider &sipStrings_QtWidgets[26960]
#define sipNameNr_CE_DockWidgetTitle 26979
#define sipName_CE_DockWidgetTitle &sipStrings_QtWidgets[26979]
#define sipNameNr_CE_ToolButtonLabel 26998
#define sipName_CE_ToolButtonLabel &sipStrings_QtWidgets[26998]
#define sipNameNr_CE_PushButtonLabel 27017
#define sipName_CE_PushButtonLabel &sipStrings_QtWidgets[27017]
#define sipNameNr_CE_PushButtonBevel 27036
#define sipName_CE_PushButtonBevel &sipStrings_QtWidgets[27036]
#define sipNameNr_PE_IndicatorSpinUp 27055
#define sipName_PE_IndicatorSpinUp &sipStrings_QtWidgets[27055]
#define sipNameNr_PE_IndicatorBranch 27074
#define sipName_PE_IndicatorBranch &sipStrings_QtWidgets[27074]
#define sipNameNr_PE_PanelButtonTool 27093
#define sipName_PE_PanelButtonTool &sipStrings_QtWidgets[27093]
#define sipNameNr_PE_FrameTabBarBase 27112
#define sipName_PE_FrameTabBarBase &sipStrings_QtWidgets[27112]
#define sipNameNr_PE_FrameButtonTool 27131
#define sipName_PE_FrameButtonTool &sipStrings_QtWidgets[27131]
#define sipNameNr_PE_FrameDockWidget 27150
#define sipName_PE_FrameDockWidget &sipStrings_QtWidgets[27150]
#define sipNameNr_addPermanentWidget 27169
#define sipName_addPermanentWidget &sipStrings_QtWidgets[27169]
#define sipNameNr_displayIntegerBase 27188
#define sipName_displayIntegerBase &sipStrings_QtWidgets[27188]
#define sipNameNr_setVerticalStretch 27207
#define sipName_setVerticalStretch &sipStrings_QtWidgets[27207]
#define sipNameNr_DecelerationFactor 27226
#define sipName_DecelerationFactor &sipStrings_QtWidgets[27226]
#define sipNameNr_OvershootAlwaysOff 27245
#define sipName_OvershootAlwaysOff &sipStrings_QtWidgets[27245]
#define sipNameNr_resendPrepareEvent 27264
#define sipName_resendPrepareEvent &sipStrings_QtWidgets[27264]
#define sipNameNr_scrollerProperties 27283
#define sipName_scrollerProperties &sipStrings_QtWidgets[27283]
#define sipNameNr_setWidgetResizable 27302
#define sipName_setWidgetResizable &sipStrings_QtWidgets[27302]
#define sipNameNr_QRubberBand__Shape 27321
#define sipName_QRubberBand__Shape &sipStrings_QtWidgets[27321]
#define sipNameNr_setMinimumDuration 27340
#define sipName_setMinimumDuration &sipStrings_QtWidgets[27340]
#define sipNameNr_insertFromMimeData 27359
#define sipName_insertFromMimeData &sipStrings_QtWidgets[27359]
#define sipNameNr_setExtraSelections 27378
#define sipName_setExtraSelections &sipStrings_QtWidgets[27378]
#define sipNameNr_setInformativeText 27397
#define sipName_setInformativeText &sipStrings_QtWidgets[27397]
#define sipNameNr_setToolTipsVisible 27416
#define sipName_setToolTipsVisible &sipStrings_QtWidgets[27416]
#define sipNameNr_keyboardSingleStep 27435
#define sipName_keyboardSingleStep &sipStrings_QtWidgets[27435]
#define sipNameNr_setActivationOrder 27454
#define sipName_setActivationOrder &sipStrings_QtWidgets[27454]
#define sipNameNr_closeAllSubWindows 27473
#define sipName_closeAllSubWindows &sipStrings_QtWidgets[27473]
#define sipNameNr_setActiveSubWindow 27492
#define sipName_setActiveSubWindow &sipStrings_QtWidgets[27492]
#define sipNameNr_subWindowActivated 27511
#define sipName_subWindowActivated &sipStrings_QtWidgets[27511]
#define sipNameNr_QMdiArea__ViewMode 27530
#define sipName_QMdiArea__ViewMode &sipStrings_QtWidgets[27530]
#define sipNameNr_removeToolBarBreak 27549
#define sipName_removeToolBarBreak &sipStrings_QtWidgets[27549]
#define sipNameNr_insertToolBarBreak 27568
#define sipName_insertToolBarBreak &sipStrings_QtWidgets[27568]
#define sipNameNr_setToolButtonStyle 27587
#define sipName_setToolButtonStyle &sipStrings_QtWidgets[27587]
#define sipNameNr_currentItemChanged 27606
#define sipName_currentItemChanged &sipStrings_QtWidgets[27606]
#define sipNameNr_clearPropertyFlags 27625
#define sipName_clearPropertyFlags &sipStrings_QtWidgets[27625]
#define sipNameNr_setPlaceholderText 27644
#define sipName_setPlaceholderText &sipStrings_QtWidgets[27644]
#define sipNameNr_cursorWordBackward 27663
#define sipName_cursorWordBackward &sipStrings_QtWidgets[27663]
#define sipNameNr_PasswordEchoOnEdit 27682
#define sipName_PasswordEchoOnEdit &sipStrings_QtWidgets[27682]
#define sipNameNr_keySequenceChanged 27701
#define sipName_keySequenceChanged &sipStrings_QtWidgets[27701]
#define sipNameNr_QItemEditorFactory 27720
#define sipName_QItemEditorFactory &sipStrings_QtWidgets[27720]
#define sipNameNr_doubleValueChanged 27739
#define sipName_doubleValueChanged &sipStrings_QtWidgets[27739]
#define sipNameNr_isComboBoxEditable 27758
#define sipName_isComboBoxEditable &sipStrings_QtWidgets[27758]
#define sipNameNr_InputDialogOptions 5086
#define sipName_InputDialogOptions &sipStrings_QtWidgets[5086]
#define sipNameNr_maximumSectionSize 27777
#define sipName_maximumSectionSize &sipStrings_QtWidgets[27777]
#define sipNameNr_setSectionsMovable 27796
#define sipName_setSectionsMovable &sipStrings_QtWidgets[27796]
#define sipNameNr_minimumSectionSize 27815
#define sipName_minimumSectionSize &sipStrings_QtWidgets[27815]
#define sipNameNr_defaultSectionSize 27834
#define sipName_defaultSectionSize &sipStrings_QtWidgets[27834]
#define sipNameNr_hiddenSectionCount 27853
#define sipName_hiddenSectionCount &sipStrings_QtWidgets[27853]
#define sipNameNr_initializeSections 27872
#define sipName_initializeSections &sipStrings_QtWidgets[27872]
#define sipNameNr_stretchLastSection 27891
#define sipName_stretchLastSection &sipStrings_QtWidgets[27891]
#define sipNameNr_sortIndicatorOrder 27910
#define sipName_sortIndicatorOrder &sipStrings_QtWidgets[27910]
#define sipNameNr_autoFillBackground 27929
#define sipName_autoFillBackground &sipStrings_QtWidgets[27929]
#define sipNameNr_setShortcutEnabled 27948
#define sipName_setShortcutEnabled &sipStrings_QtWidgets[27948]
#define sipNameNr_viewportUpdateMode 27967
#define sipName_viewportUpdateMode &sipStrings_QtWidgets[27967]
#define sipNameNr_FullViewportUpdate 27986
#define sipName_FullViewportUpdate &sipStrings_QtWidgets[27986]
#define sipNameNr_ViewportUpdateMode 4588
#define sipName_ViewportUpdateMode &sipStrings_QtWidgets[4588]
#define sipNameNr_resetCachedContent 28005
#define sipName_resetCachedContent &sipStrings_QtWidgets[28005]
#define sipNameNr_QGraphicsTransform 28024
#define sipName_QGraphicsTransform &sipStrings_QtWidgets[28024]
#define sipNameNr_buttonDownScenePos 28043
#define sipName_buttonDownScenePos &sipStrings_QtWidgets[28043]
#define sipNameNr_setForegroundBrush 28062
#define sipName_setForegroundBrush &sipStrings_QtWidgets[28062]
#define sipNameNr_setBackgroundBrush 28081
#define sipName_setBackgroundBrush &sipStrings_QtWidgets[28081]
#define sipNameNr_setItemIndexMethod 28100
#define sipName_setItemIndexMethod &sipStrings_QtWidgets[28100]
#define sipNameNr_setPreferredHeight 28119
#define sipName_setPreferredHeight &sipStrings_QtWidgets[28119]
#define sipNameNr_addChildLayoutItem 28138
#define sipName_addChildLayoutItem &sipStrings_QtWidgets[28138]
#define sipNameNr_getContentsMargins 28157
#define sipName_getContentsMargins &sipStrings_QtWidgets[28157]
#define sipNameNr_setContentsMargins 28176
#define sipName_setContentsMargins &sipStrings_QtWidgets[28176]
#define sipNameNr_setTabChangesFocus 28195
#define sipName_setTabChangesFocus &sipStrings_QtWidgets[28195]
#define sipNameNr_QGraphicsItemGroup 28214
#define sipName_QGraphicsItemGroup &sipStrings_QtWidgets[28214]
#define sipNameNr_transformationMode 28233
#define sipName_transformationMode &sipStrings_QtWidgets[28233]
#define sipNameNr_HeuristicMaskShape 28252
#define sipName_HeuristicMaskShape &sipStrings_QtWidgets[28252]
#define sipNameNr_setTransformations 28271
#define sipName_setTransformations &sipStrings_QtWidgets[28271]
#define sipNameNr_filtersChildEvents 28290
#define sipName_filtersChildEvents &sipStrings_QtWidgets[28290]
#define sipNameNr_commonAncestorItem 28309
#define sipName_commonAncestorItem &sipStrings_QtWidgets[28309]
#define sipNameNr_ItemRotationChange 28328
#define sipName_ItemRotationChange &sipStrings_QtWidgets[28328]
#define sipNameNr_ItemSelectedChange 28347
#define sipName_ItemSelectedChange &sipStrings_QtWidgets[28347]
#define sipNameNr_ItemPositionChange 28366
#define sipName_ItemPositionChange &sipStrings_QtWidgets[28366]
#define sipNameNr_GraphicsItemChange 4622
#define sipName_GraphicsItemChange &sipStrings_QtWidgets[4622]
#define sipNameNr_setColumnAlignment 28385
#define sipName_setColumnAlignment &sipStrings_QtWidgets[28385]
#define sipNameNr_columnMaximumWidth 28404
#define sipName_columnMaximumWidth &sipStrings_QtWidgets[28404]
#define sipNameNr_columnMinimumWidth 28423
#define sipName_columnMinimumWidth &sipStrings_QtWidgets[28423]
#define sipNameNr_rowPreferredHeight 28442
#define sipName_rowPreferredHeight &sipStrings_QtWidgets[28442]
#define sipNameNr_opacityMaskChanged 28461
#define sipName_opacityMaskChanged &sipStrings_QtWidgets[28461]
#define sipNameNr_sourceBoundingRect 28480
#define sipName_sourceBoundingRect &sipStrings_QtWidgets[28480]
#define sipNameNr_updateBoundingRect 28499
#define sipName_updateBoundingRect &sipStrings_QtWidgets[28499]
#define sipNameNr_registerRecognizer 22139
#define sipName_registerRecognizer &sipStrings_QtWidgets[22139]
#define sipNameNr_QGestureRecognizer 28518
#define sipName_QGestureRecognizer &sipStrings_QtWidgets[28518]
#define sipNameNr_mapToGraphicsScene 28537
#define sipName_mapToGraphicsScene &sipStrings_QtWidgets[28537]
#define sipNameNr_QTapAndHoldGesture 28556
#define sipName_QTapAndHoldGesture &sipStrings_QtWidgets[28556]
#define sipNameNr_totalRotationAngle 28575
#define sipName_totalRotationAngle &sipStrings_QtWidgets[28575]
#define sipNameNr_setLastScaleFactor 28594
#define sipName_setLastScaleFactor &sipStrings_QtWidgets[28594]
#define sipNameNr_setLastCenterPoint 28613
#define sipName_setLastCenterPoint &sipStrings_QtWidgets[28613]
#define sipNameNr_CenterPointChanged 28632
#define sipName_CenterPointChanged &sipStrings_QtWidgets[28632]
#define sipNameNr_ScaleFactorChanged 28651
#define sipName_ScaleFactorChanged &sipStrings_QtWidgets[28651]
#define sipNameNr_CancelAllInContext 28670
#define sipName_CancelAllInContext &sipStrings_QtWidgets[28670]
#define sipNameNr_setVerticalSpacing 28689
#define sipName_setVerticalSpacing &sipStrings_QtWidgets[28689]
#define sipNameNr_currentFontChanged 28708
#define sipName_currentFontChanged &sipStrings_QtWidgets[28708]
#define sipNameNr_nameFilterDisables 28727
#define sipName_nameFilterDisables &sipStrings_QtWidgets[28727]
#define sipNameNr_setMimeTypeFilters 28746
#define sipName_setMimeTypeFilters &sipStrings_QtWidgets[28746]
#define sipNameNr_selectedNameFilter 28765
#define sipName_selectedNameFilter &sipStrings_QtWidgets[28765]
#define sipNameNr_DockWidgetFeatures 5732
#define sipName_DockWidgetFeatures &sipStrings_QtWidgets[5732]
#define sipNameNr_DockWidgetClosable 28784
#define sipName_DockWidgetClosable &sipStrings_QtWidgets[28784]
#define sipNameNr_setResolveSymlinks 28803
#define sipName_setResolveSymlinks &sipStrings_QtWidgets[28803]
#define sipNameNr_setStandardButtons 28822
#define sipName_setStandardButtons &sipStrings_QtWidgets[28822]
#define sipNameNr_setSizeGripEnabled 28841
#define sipName_setSizeGripEnabled &sipStrings_QtWidgets[28841]
#define sipNameNr_screenCountChanged 28860
#define sipName_screenCountChanged &sipStrings_QtWidgets[28860]
#define sipNameNr_setMaximumDateTime 28879
#define sipName_setMaximumDateTime &sipStrings_QtWidgets[28879]
#define sipNameNr_setMinimumDateTime 28898
#define sipName_setMinimumDateTime &sipStrings_QtWidgets[28898]
#define sipNameNr_setSelectedSection 28917
#define sipName_setSelectedSection &sipStrings_QtWidgets[28917]
#define sipNameNr_mappedPropertyName 28936
#define sipName_mappedPropertyName &sipStrings_QtWidgets[28936]
#define sipNameNr_drawComplexControl 28955
#define sipName_drawComplexControl &sipStrings_QtWidgets[28955]
#define sipNameNr_QCommandLinkButton 28974
#define sipName_QCommandLinkButton &sipStrings_QtWidgets[28974]
#define sipNameNr_currentTextChanged 28993
#define sipName_currentTextChanged &sipStrings_QtWidgets[28993]
#define sipNameNr_InsertAfterCurrent 29012
#define sipName_InsertAfterCurrent &sipStrings_QtWidgets[29012]
#define sipNameNr_setMaxVisibleItems 29031
#define sipName_setMaxVisibleItems &sipStrings_QtWidgets[29031]
#define sipNameNr_resizeGripsVisible 29050
#define sipName_resizeGripsVisible &sipStrings_QtWidgets[29050]
#define sipNameNr_ColorDialogOptions 5218
#define sipName_ColorDialogOptions &sipStrings_QtWidgets[5218]
#define sipNameNr_setDateEditEnabled 29069
#define sipName_setDateEditEnabled &sipStrings_QtWidgets[29069]
#define sipNameNr_currentPageChanged 29088
#define sipName_currentPageChanged &sipStrings_QtWidgets[29088]
#define sipNameNr_NoHorizontalHeader 29107
#define sipName_NoHorizontalHeader &sipStrings_QtWidgets[29107]
#define sipNameNr_setCursorFlashTime 29126
#define sipName_setCursorFlashTime &sipStrings_QtWidgets[29126]
#define sipNameNr_setShortcutContext 29145
#define sipName_setShortcutContext &sipStrings_QtWidgets[29145]
#define sipNameNr_hasAcceptableInput 29164
#define sipName_hasAcceptableInput &sipStrings_QtWidgets[29164]
#define sipNameNr_invertedAppearance 29183
#define sipName_invertedAppearance &sipStrings_QtWidgets[29183]
#define sipNameNr_addScrollBarWidget 29202
#define sipName_addScrollBarWidget &sipStrings_QtWidgets[29202]
#define sipNameNr_setViewportMargins 29221
#define sipName_setViewportMargins &sipStrings_QtWidgets[29221]
#define sipNameNr_focusNextPrevChild 29240
#define sipName_focusNextPrevChild &sipStrings_QtWidgets[29240]
#define sipNameNr_itemDelegateForRow 29259
#define sipName_itemDelegateForRow &sipStrings_QtWidgets[29259]
#define sipNameNr_verticalScrollMode 29278
#define sipName_verticalScrollMode &sipStrings_QtWidgets[29278]
#define sipNameNr_DragSelectingState 29297
#define sipName_DragSelectingState &sipStrings_QtWidgets[29297]
#define sipNameNr_autoRepeatInterval 29316
#define sipName_autoRepeatInterval &sipStrings_QtWidgets[29316]
#define sipNameNr_setAutoRepeatDelay 29335
#define sipName_setAutoRepeatDelay &sipStrings_QtWidgets[29335]
#define sipNameNr_windowTitleChanged 29354
#define sipName_windowTitleChanged &sipStrings_QtWidgets[29354]
#define sipNameNr_windowStateChanged 29373
#define sipName_windowStateChanged &sipStrings_QtWidgets[29373]
#define sipNameNr_setCursorMoveStyle 29392
#define sipName_setCursorMoveStyle &sipStrings_QtWidgets[29392]
#define sipNameNr_setUndoRedoEnabled 29411
#define sipName_setUndoRedoEnabled &sipStrings_QtWidgets[29411]
#define sipNameNr_verticalHeaderItem 29430
#define sipName_verticalHeaderItem &sipStrings_QtWidgets[29430]
#define sipNameNr_orientationChanged 29449
#define sipName_orientationChanged &sipStrings_QtWidgets[29449]
#define sipNameNr_setLayoutDirection 21698
#define sipName_setLayoutDirection &sipStrings_QtWidgets[21698]
#define sipNameNr_resizeInlineObject 29468
#define sipName_resizeInlineObject &sipStrings_QtWidgets[29468]
#define sipNameNr_setCaseSensitivity 29487
#define sipName_setCaseSensitivity &sipStrings_QtWidgets[29487]
#define sipNameNr_29506 29506
#define sipName_29506 &sipStrings_QtWidgets[29506]
#define sipNameNr_setSubTitleFormat 29524
#define sipName_setSubTitleFormat &sipStrings_QtWidgets[29524]
#define sipNameNr_HaveCustomButton3 29542
#define sipName_HaveCustomButton3 &sipStrings_QtWidgets[29542]
#define sipNameNr_HaveCustomButton2 29560
#define sipName_HaveCustomButton2 &sipStrings_QtWidgets[29560]
#define sipNameNr_HaveCustomButton1 29578
#define sipName_HaveCustomButton1 &sipStrings_QtWidgets[29578]
#define sipNameNr_HelpButtonOnRight 29596
#define sipName_HelpButtonOnRight &sipStrings_QtWidgets[29596]
#define sipNameNr_windowIconChanged 29614
#define sipName_windowIconChanged &sipStrings_QtWidgets[29614]
#define sipNameNr_setWindowFilePath 29632
#define sipName_setWindowFilePath &sipStrings_QtWidgets[29632]
#define sipNameNr_destroySubWindows 29650
#define sipName_destroySubWindows &sipStrings_QtWidgets[29650]
#define sipNameNr_setUpdatesEnabled 29668
#define sipName_setUpdatesEnabled &sipStrings_QtWidgets[29668]
#define sipNameNr_contextMenuPolicy 29686
#define sipName_contextMenuPolicy &sipStrings_QtWidgets[29686]
#define sipNameNr_setAccessibleName 29704
#define sipName_setAccessibleName &sipStrings_QtWidgets[29704]
#define sipNameNr_setWindowIconText 29722
#define sipName_setWindowIconText &sipStrings_QtWidgets[29722]
#define sipNameNr_setForegroundRole 29740
#define sipName_setForegroundRole &sipStrings_QtWidgets[29740]
#define sipNameNr_setBackgroundRole 29758
#define sipName_setBackgroundRole &sipStrings_QtWidgets[29758]
#define sipNameNr_setWindowModified 29776
#define sipName_setWindowModified &sipStrings_QtWidgets[29776]
#define sipNameNr_topLevelItemCount 29794
#define sipName_topLevelItemCount &sipStrings_QtWidgets[29794]
#define sipNameNr_DontShowIndicator 29812
#define sipName_DontShowIndicator &sipStrings_QtWidgets[29812]
#define sipNameNr_uniformRowHeights 29830
#define sipName_uniformRowHeights &sipStrings_QtWidgets[29830]
#define sipNameNr_setAcceptRichText 29848
#define sipName_setAcceptRichText &sipStrings_QtWidgets[29848]
#define sipNameNr_backwardAvailable 29866
#define sipName_backwardAvailable &sipStrings_QtWidgets[29866]
#define sipNameNr_setTabBarAutoHide 29884
#define sipName_setTabBarAutoHide &sipStrings_QtWidgets[29884]
#define sipNameNr_cellDoubleClicked 29902
#define sipName_cellDoubleClicked &sipStrings_QtWidgets[29902]
#define sipNameNr_setVerticalHeader 29920
#define sipName_setVerticalHeader &sipStrings_QtWidgets[29920]
#define sipNameNr_tabCloseRequested 29938
#define sipName_tabCloseRequested &sipStrings_QtWidgets[29938]
#define sipNameNr_SelectPreviousTab 29956
#define sipName_SelectPreviousTab &sipStrings_QtWidgets[29956]
#define sipNameNr_usesScrollButtons 29974
#define sipName_usesScrollButtons &sipStrings_QtWidgets[29974]
#define sipNameNr_ToolButtonFeature 688
#define sipName_ToolButtonFeature &sipStrings_QtWidgets[688]
#define sipNameNr_activeSubControls 29992
#define sipName_activeSubControls &sipStrings_QtWidgets[29992]
#define sipNameNr_HasCheckIndicator 30010
#define sipName_HasCheckIndicator &sipStrings_QtWidgets[30010]
#define sipNameNr_RightCornerWidget 30028
#define sipName_RightCornerWidget &sipStrings_QtWidgets[30028]
#define sipNameNr_CommandLinkButton 28975
#define sipName_CommandLinkButton &sipStrings_QtWidgets[28975]
#define sipNameNr_AutoDefaultButton 30046
#define sipName_AutoDefaultButton &sipStrings_QtWidgets[30046]
#define sipNameNr_QStyleOptionFrame 30064
#define sipName_QStyleOptionFrame &sipStrings_QtWidgets[30064]
#define sipNameNr_SO_TabWidgetFrame 30082
#define sipName_SO_TabWidgetFrame &sipStrings_QtWidgets[30082]
#define sipNameNr_RSIP_OnMouseClick 30100
#define sipName_RSIP_OnMouseClick &sipStrings_QtWidgets[30100]
#define sipNameNr_SP_DialogNoButton 30118
#define sipName_SP_DialogNoButton &sipStrings_QtWidgets[30118]
#define sipNameNr_SP_DialogOkButton 30136
#define sipName_SP_DialogOkButton &sipStrings_QtWidgets[30136]
#define sipNameNr_SP_FileDialogBack 30154
#define sipName_SP_FileDialogBack &sipStrings_QtWidgets[30154]
#define sipNameNr_SH_Widget_Animate 30172
#define sipName_SH_Widget_Animate &sipStrings_QtWidgets[30172]
#define sipNameNr_SH_ComboBox_Popup 30190
#define sipName_SH_ComboBox_Popup &sipStrings_QtWidgets[30190]
#define sipNameNr_QStyle__StyleHint 30208
#define sipName_QStyle__StyleHint &sipStrings_QtWidgets[30208]
#define sipNameNr_PM_SubMenuOverlap 30226
#define sipName_PM_SubMenuOverlap &sipStrings_QtWidgets[30226]
#define sipNameNr_PM_ButtonIconSize 30244
#define sipName_PM_ButtonIconSize &sipStrings_QtWidgets[30244]
#define sipNameNr_PM_TabBarIconSize 30262
#define sipName_PM_TabBarIconSize &sipStrings_QtWidgets[30262]
#define sipNameNr_PM_HeaderMarkSize 30280
#define sipName_PM_HeaderMarkSize &sipStrings_QtWidgets[30280]
#define sipNameNr_PM_IndicatorWidth 30298
#define sipName_PM_IndicatorWidth &sipStrings_QtWidgets[30298]
#define sipNameNr_PM_MenuBarHMargin 30316
#define sipName_PM_MenuBarHMargin &sipStrings_QtWidgets[30316]
#define sipNameNr_PM_MenuBarVMargin 30334
#define sipName_PM_MenuBarVMargin &sipStrings_QtWidgets[30334]
#define sipNameNr_PM_MenuPanelWidth 30352
#define sipName_PM_MenuPanelWidth &sipStrings_QtWidgets[30352]
#define sipNameNr_PM_TitleBarHeight 30370
#define sipName_PM_TitleBarHeight &sipStrings_QtWidgets[30370]
#define sipNameNr_SC_MdiCloseButton 30388
#define sipName_SC_MdiCloseButton &sipStrings_QtWidgets[30388]
#define sipNameNr_SC_ToolButtonMenu 30406
#define sipName_SC_ToolButtonMenu &sipStrings_QtWidgets[30406]
#define sipNameNr_SC_ScrollBarFirst 30424
#define sipName_SC_ScrollBarFirst &sipStrings_QtWidgets[30424]
#define sipNameNr_SE_DockWidgetIcon 30442
#define sipName_SE_DockWidgetIcon &sipStrings_QtWidgets[30442]
#define sipNameNr_CE_ColumnViewGrip 30460
#define sipName_CE_ColumnViewGrip &sipStrings_QtWidgets[30460]
#define sipNameNr_CE_ScrollBarFirst 30478
#define sipName_CE_ScrollBarFirst &sipStrings_QtWidgets[30478]
#define sipNameNr_CE_TabBarTabLabel 30496
#define sipName_CE_TabBarTabLabel &sipStrings_QtWidgets[30496]
#define sipNameNr_CE_TabBarTabShape 30514
#define sipName_CE_TabBarTabShape &sipStrings_QtWidgets[30514]
#define sipNameNr_PE_PanelStatusBar 30532
#define sipName_PE_PanelStatusBar &sipStrings_QtWidgets[30532]
#define sipNameNr_PE_FrameTabWidget 30550
#define sipName_PE_FrameTabWidget &sipStrings_QtWidgets[30550]
#define sipNameNr_PE_FrameStatusBar 30568
#define sipName_PE_FrameStatusBar &sipStrings_QtWidgets[30568]
#define sipNameNr_PE_FrameFocusRect 30586
#define sipName_PE_FrameFocusRect &sipStrings_QtWidgets[30586]
#define sipNameNr_QStyle__StateFlag 30604
#define sipName_QStyle__StateFlag &sipStrings_QtWidgets[30604]
#define sipNameNr_hasWidthForHeight 30622
#define sipName_hasWidthForHeight &sipStrings_QtWidgets[30622]
#define sipNameNr_setWidthForHeight 30640
#define sipName_setWidthForHeight &sipStrings_QtWidgets[30640]
#define sipNameNr_horizontalStretch 30658
#define sipName_horizontalStretch &sipStrings_QtWidgets[30658]
#define sipNameNr_setHeightForWidth 30676
#define sipName_setHeightForWidth &sipStrings_QtWidgets[30676]
#define sipNameNr_setVerticalPolicy 30694
#define sipName_setVerticalPolicy &sipStrings_QtWidgets[30694]
#define sipNameNr_ScrollMetricCount 30712
#define sipName_ScrollMetricCount &sipStrings_QtWidgets[30712]
#define sipNameNr_SnapPositionRatio 30730
#define sipName_SnapPositionRatio &sipStrings_QtWidgets[30730]
#define sipNameNr_AxisLockThreshold 30748
#define sipName_AxisLockThreshold &sipStrings_QtWidgets[30748]
#define sipNameNr_DragStartDistance 30766
#define sipName_DragStartDistance &sipStrings_QtWidgets[30766]
#define sipNameNr_OvershootAlwaysOn 30784
#define sipName_OvershootAlwaysOn &sipStrings_QtWidgets[30784]
#define sipNameNr_setSnapPositionsY 30802
#define sipName_setSnapPositionsY &sipStrings_QtWidgets[30802]
#define sipNameNr_setSnapPositionsX 30820
#define sipName_setSnapPositionsX &sipStrings_QtWidgets[30820]
#define sipNameNr_scrollGestureType 30838
#define sipName_scrollGestureType &sipStrings_QtWidgets[30838]
#define sipNameNr_ensureBlockLayout 30856
#define sipName_ensureBlockLayout &sipStrings_QtWidgets[30856]
#define sipNameNr_firstVisibleBlock 30874
#define sipName_firstVisibleBlock &sipStrings_QtWidgets[30874]
#define sipNameNr_cursorForPosition 30892
#define sipName_cursorForPosition &sipStrings_QtWidgets[30892]
#define sipNameNr_setCenterOnScroll 30910
#define sipName_setCenterOnScroll &sipStrings_QtWidgets[30910]
#define sipNameNr_backgroundVisible 30928
#define sipName_backgroundVisible &sipStrings_QtWidgets[30928]
#define sipNameNr_currentCharFormat 30946
#define sipName_currentCharFormat &sipStrings_QtWidgets[30946]
#define sipNameNr_setUpdateBehavior 30964
#define sipName_setUpdateBehavior &sipStrings_QtWidgets[30964]
#define sipNameNr_setWindowModality 30982
#define sipName_setWindowModality &sipStrings_QtWidgets[30982]
#define sipNameNr_QMessageBox__Icon 31000
#define sipName_QMessageBox__Icon &sipStrings_QtWidgets[31000]
#define sipNameNr_setTearOffEnabled 31018
#define sipName_setTearOffEnabled &sipStrings_QtWidgets[31018]
#define sipNameNr_cascadeSubWindows 31036
#define sipName_cascadeSubWindows &sipStrings_QtWidgets[31036]
#define sipNameNr_takeCentralWidget 31054
#define sipName_takeCentralWidget &sipStrings_QtWidgets[31054]
#define sipNameNr_restoreDockWidget 31072
#define sipName_restoreDockWidget &sipStrings_QtWidgets[31072]
#define sipNameNr_setSortingEnabled 31090
#define sipName_setSortingEnabled &sipStrings_QtWidgets[31090]
#define sipNameNr_itemDoubleClicked 31108
#define sipName_itemDoubleClicked &sipStrings_QtWidgets[31108]
#define sipNameNr_cursorWordForward 31126
#define sipName_cursorWordForward &sipStrings_QtWidgets[31126]
#define sipNameNr_setCursorPosition 31144
#define sipName_setCursorPosition &sipStrings_QtWidgets[31144]
#define sipNameNr_smallDecimalPoint 31162
#define sipName_smallDecimalPoint &sipStrings_QtWidgets[31162]
#define sipNameNr_setSizeConstraint 31180
#define sipName_setSizeConstraint &sipStrings_QtWidgets[31180]
#define sipNameNr_setScaledContents 31198
#define sipName_setScaledContents &sipStrings_QtWidgets[31198]
#define sipNameNr_hasScaledContents 31216
#define sipName_hasScaledContents &sipStrings_QtWidgets[31216]
#define sipNameNr_setDefaultFactory 31234
#define sipName_setDefaultFactory &sipStrings_QtWidgets[31234]
#define sipNameNr_valuePropertyName 31252
#define sipName_valuePropertyName &sipStrings_QtWidgets[31252]
#define sipNameNr_itemEditorFactory 31270
#define sipName_itemEditorFactory &sipStrings_QtWidgets[31270]
#define sipNameNr_textValueSelected 31288
#define sipName_textValueSelected &sipStrings_QtWidgets[31288]
#define sipNameNr_setDoubleDecimals 31306
#define sipName_setDoubleDecimals &sipStrings_QtWidgets[31306]
#define sipNameNr_InputDialogOption 5573
#define sipName_InputDialogOption &sipStrings_QtWidgets[5573]
#define sipNameNr_sectionResizeMode 31324
#define sipName_sectionResizeMode &sipStrings_QtWidgets[31324]
#define sipNameNr_sectionsClickable 31342
#define sipName_sectionsClickable &sipStrings_QtWidgets[31342]
#define sipNameNr_geometriesChanged 31360
#define sipName_geometriesChanged &sipStrings_QtWidgets[31360]
#define sipNameNr_highlightSections 31378
#define sipName_highlightSections &sipStrings_QtWidgets[31378]
#define sipNameNr_grabKeyboardEvent 24695
#define sipName_grabKeyboardEvent &sipStrings_QtWidgets[24695]
#define sipNameNr_rubberBandChanged 31396
#define sipName_rubberBandChanged &sipStrings_QtWidgets[31396]
#define sipNameNr_optimizationFlags 31414
#define sipName_optimizationFlags &sipStrings_QtWidgets[31414]
#define sipNameNr_OptimizationFlags 5120
#define sipName_OptimizationFlags &sipStrings_QtWidgets[5120]
#define sipNameNr_QGraphicsRotation 31432
#define sipName_QGraphicsRotation &sipStrings_QtWidgets[31432]
#define sipNameNr_minimumRenderSize 31450
#define sipName_minimumRenderSize &sipStrings_QtWidgets[31450]
#define sipNameNr_itemsBoundingRect 31468
#define sipName_itemsBoundingRect &sipStrings_QtWidgets[31468]
#define sipNameNr_effectiveSizeHint 31486
#define sipName_effectiveSizeHint &sipStrings_QtWidgets[31486]
#define sipNameNr_setPreferredWidth 31504
#define sipName_setPreferredWidth &sipStrings_QtWidgets[31504]
#define sipNameNr_openExternalLinks 31522
#define sipName_openExternalLinks &sipStrings_QtWidgets[31522]
#define sipNameNr_QGraphicsTextItem 31540
#define sipName_QGraphicsTextItem &sipStrings_QtWidgets[31540]
#define sipNameNr_BoundingRectShape 31558
#define sipName_BoundingRectShape &sipStrings_QtWidgets[31558]
#define sipNameNr_QGraphicsLineItem 31576
#define sipName_QGraphicsLineItem &sipStrings_QtWidgets[31576]
#define sipNameNr_QGraphicsRectItem 31594
#define sipName_QGraphicsRectItem &sipStrings_QtWidgets[31594]
#define sipNameNr_QGraphicsPathItem 31612
#define sipName_QGraphicsPathItem &sipStrings_QtWidgets[31612]
#define sipNameNr_acceptTouchEvents 31630
#define sipName_acceptTouchEvents &sipStrings_QtWidgets[31630]
#define sipNameNr_setGraphicsEffect 31648
#define sipName_setGraphicsEffect &sipStrings_QtWidgets[31648]
#define sipNameNr_mapRectFromParent 31666
#define sipName_mapRectFromParent &sipStrings_QtWidgets[31666]
#define sipNameNr_acceptHoverEvents 31684
#define sipName_acceptHoverEvents &sipStrings_QtWidgets[31684]
#define sipNameNr_viewportTransform 31702
#define sipName_viewportTransform &sipStrings_QtWidgets[31702]
#define sipNameNr_sceneBoundingRect 31720
#define sipName_sceneBoundingRect &sipStrings_QtWidgets[31720]
#define sipNameNr_GraphicsItemFlags 5153
#define sipName_GraphicsItemFlags &sipStrings_QtWidgets[5153]
#define sipNameNr_ItemHasNoContents 31738
#define sipName_ItemHasNoContents &sipStrings_QtWidgets[31738]
#define sipNameNr_ItemOpacityChange 31756
#define sipName_ItemOpacityChange &sipStrings_QtWidgets[31756]
#define sipNameNr_ItemToolTipChange 31774
#define sipName_ItemToolTipChange &sipStrings_QtWidgets[31774]
#define sipNameNr_ItemEnabledChange 31792
#define sipName_ItemEnabledChange &sipStrings_QtWidgets[31792]
#define sipNameNr_ItemVisibleChange 31810
#define sipName_ItemVisibleChange &sipStrings_QtWidgets[31810]
#define sipNameNr_setRowFixedHeight 31828
#define sipName_setRowFixedHeight &sipStrings_QtWidgets[31828]
#define sipNameNr_blurRadiusChanged 31846
#define sipName_blurRadiusChanged &sipStrings_QtWidgets[31846]
#define sipNameNr_SourceInvalidated 31864
#define sipName_SourceInvalidated &sipStrings_QtWidgets[31864]
#define sipNameNr_verticalDirection 31882
#define sipName_verticalDirection &sipStrings_QtWidgets[31882]
#define sipNameNr_lastRotationAngle 31900
#define sipName_lastRotationAngle &sipStrings_QtWidgets[31900]
#define sipNameNr_QFrame__StyleMask 31918
#define sipName_QFrame__StyleMask &sipStrings_QtWidgets[31918]
#define sipNameNr_getLayoutPosition 31936
#define sipName_getLayoutPosition &sipStrings_QtWidgets[31936]
#define sipNameNr_getWidgetPosition 31954
#define sipName_getWidgetPosition &sipStrings_QtWidgets[31954]
#define sipNameNr_horizontalSpacing 31972
#define sipName_horizontalSpacing &sipStrings_QtWidgets[31972]
#define sipNameNr_setLabelAlignment 31990
#define sipName_setLabelAlignment &sipStrings_QtWidgets[31990]
#define sipNameNr_fieldGrowthPolicy 32008
#define sipName_fieldGrowthPolicy &sipStrings_QtWidgets[32008]
#define sipNameNr_FieldGrowthPolicy 6112
#define sipName_FieldGrowthPolicy &sipStrings_QtWidgets[6112]
#define sipNameNr_FontDialogOptions 6763
#define sipName_FontDialogOptions &sipStrings_QtWidgets[6763]
#define sipNameNr_ProportionalFonts 32026
#define sipName_ProportionalFonts &sipStrings_QtWidgets[32026]
#define sipNameNr_QFileIconProvider 32044
#define sipName_QFileIconProvider &sipStrings_QtWidgets[32044]
#define sipNameNr_currentUrlChanged 32062
#define sipName_currentUrlChanged &sipStrings_QtWidgets[32062]
#define sipNameNr_qDrawBorderPixmap 32080
#define sipName_qDrawBorderPixmap &sipStrings_QtWidgets[32080]
#define sipNameNr_setTitleBarWidget 32098
#define sipName_setTitleBarWidget &sipStrings_QtWidgets[32098]
#define sipNameNr_DockWidgetMovable 32116
#define sipName_DockWidgetMovable &sipStrings_QtWidgets[32116]
#define sipNameNr_DockWidgetFeature 6794
#define sipName_DockWidgetFeature &sipStrings_QtWidgets[6794]
#define sipNameNr_setLazyChildCount 32134
#define sipName_setLazyChildCount &sipStrings_QtWidgets[32134]
#define sipNameNr_isSizeGripEnabled 32152
#define sipName_isSizeGripEnabled &sipStrings_QtWidgets[32152]
#define sipNameNr_setNotchesVisible 32170
#define sipName_setNotchesVisible &sipStrings_QtWidgets[32170]
#define sipNameNr_setCalendarWidget 32188
#define sipName_setCalendarWidget &sipStrings_QtWidgets[32188]
#define sipNameNr_setCurrentSection 32206
#define sipName_setCurrentSection &sipStrings_QtWidgets[32206]
#define sipNameNr_displayedSections 32224
#define sipName_displayedSections &sipStrings_QtWidgets[32224]
#define sipNameNr_DateSections_Mask 32242
#define sipName_DateSections_Mask &sipStrings_QtWidgets[32242]
#define sipNameNr_TimeSections_Mask 32260
#define sipName_TimeSections_Mask &sipStrings_QtWidgets[32260]
#define sipNameNr_QDataWidgetMapper 32278
#define sipName_QDataWidgetMapper &sipStrings_QtWidgets[32278]
#define sipNameNr_currentCompletion 32296
#define sipName_currentCompletion &sipStrings_QtWidgets[32296]
#define sipNameNr_setCompletionRole 32314
#define sipName_setCompletionRole &sipStrings_QtWidgets[32314]
#define sipNameNr_setCompletionMode 32332
#define sipName_setCompletionMode &sipStrings_QtWidgets[32332]
#define sipNameNr_setRootModelIndex 32350
#define sipName_setRootModelIndex &sipStrings_QtWidgets[32350]
#define sipNameNr_duplicatesEnabled 32368
#define sipName_duplicatesEnabled &sipStrings_QtWidgets[32368]
#define sipNameNr_ColorDialogOption 5797
#define sipName_ColorDialogOption &sipStrings_QtWidgets[5797]
#define sipNameNr_isDateEditEnabled 32386
#define sipName_isDateEditEnabled &sipStrings_QtWidgets[32386]
#define sipNameNr_showPreviousMonth 32404
#define sipName_showPreviousMonth &sipStrings_QtWidgets[32404]
#define sipNameNr_setDateTextFormat 32422
#define sipName_setDateTextFormat &sipStrings_QtWidgets[32422]
#define sipNameNr_weekdayTextFormat 32440
#define sipName_weekdayTextFormat &sipStrings_QtWidgets[32440]
#define sipNameNr_setFirstDayOfWeek 32458
#define sipName_setFirstDayOfWeek &sipStrings_QtWidgets[32458]
#define sipNameNr_hasHeightForWidth 32476
#define sipName_hasHeightForWidth &sipStrings_QtWidgets[32476]
#define sipNameNr_setAutoSipEnabled 32494
#define sipName_setAutoSipEnabled &sipStrings_QtWidgets[32494]
#define sipNameNr_activeModalWidget 32512
#define sipName_activeModalWidget &sipStrings_QtWidgets[32512]
#define sipNameNr_activePopupWidget 32530
#define sipName_activePopupWidget &sipStrings_QtWidgets[32530]
#define sipNameNr_QAction__Priority 32548
#define sipName_QAction__Priority &sipStrings_QtWidgets[32548]
#define sipNameNr_associatedWidgets 32566
#define sipName_associatedWidgets &sipStrings_QtWidgets[32566]
#define sipNameNr_TextHeuristicRole 32584
#define sipName_TextHeuristicRole &sipStrings_QtWidgets[32584]
#define sipNameNr_QAction__MenuRole 32602
#define sipName_QAction__MenuRole &sipStrings_QtWidgets[32602]
#define sipNameNr_setCorrectionMode 32620
#define sipName_setCorrectionMode &sipStrings_QtWidgets[32620]
#define sipNameNr_SliderValueChange 32638
#define sipName_SliderValueChange &sipStrings_QtWidgets[32638]
#define sipNameNr_SliderStepsChange 32656
#define sipName_SliderStepsChange &sipStrings_QtWidgets[32656]
#define sipNameNr_SliderRangeChange 32674
#define sipName_SliderRangeChange &sipStrings_QtWidgets[32674]
#define sipNameNr_SliderPageStepSub 32692
#define sipName_SliderPageStepSub &sipStrings_QtWidgets[32692]
#define sipNameNr_SliderPageStepAdd 32710
#define sipName_SliderPageStepAdd &sipStrings_QtWidgets[32710]
#define sipNameNr_setSliderPosition 32728
#define sipName_setSliderPosition &sipStrings_QtWidgets[32728]
#define sipNameNr_verticalScrollBar 32746
#define sipName_verticalScrollBar &sipStrings_QtWidgets[32746]
#define sipNameNr_dirtyRegionOffset 32764
#define sipName_dirtyRegionOffset &sipStrings_QtWidgets[32764]
#define sipNameNr_scrollDirtyRegion 32782
#define sipName_scrollDirtyRegion &sipStrings_QtWidgets[32782]
#define sipNameNr_sizeHintForColumn 32800
#define sipName_sizeHintForColumn &sipStrings_QtWidgets[32800]
#define sipNameNr_showDropIndicator 32818
#define sipName_showDropIndicator &sipStrings_QtWidgets[32818]
#define sipNameNr_selectionBehavior 32836
#define sipName_selectionBehavior &sipStrings_QtWidgets[32836]
#define sipNameNr_setSelectionModel 32854
#define sipName_setSelectionModel &sipStrings_QtWidgets[32854]
#define sipNameNr_ExtendedSelection 32872
#define sipName_ExtendedSelection &sipStrings_QtWidgets[32872]
#define sipNameNr_SelectionBehavior 3334
#define sipName_SelectionBehavior &sipStrings_QtWidgets[3334]
#define sipNameNr_QAbstractItemView 32890
#define sipName_QAbstractItemView &sipStrings_QtWidgets[32890]
#define sipNameNr_visibilityChanged 32908
#define sipName_visibilityChanged &sipStrings_QtWidgets[32908]
#define sipNameNr_mouseReleaseEvent 32926
#define sipName_mouseReleaseEvent &sipStrings_QtWidgets[32926]
#define sipNameNr_maximumBlockCount 32944
#define sipName_maximumBlockCount &sipStrings_QtWidgets[32944]
#define sipNameNr_blockCountChanged 32962
#define sipName_blockCountChanged &sipStrings_QtWidgets[32962]
#define sipNameNr_isUndoRedoEnabled 32980
#define sipName_isUndoRedoEnabled &sipStrings_QtWidgets[32980]
#define sipNameNr_startDragDistance 32998
#define sipName_startDragDistance &sipStrings_QtWidgets[32998]
#define sipNameNr_invisibleRootItem 33016
#define sipName_invisibleRootItem &sipStrings_QtWidgets[33016]
#define sipNameNr_availableGeometry 33034
#define sipName_availableGeometry &sipStrings_QtWidgets[33034]
#define sipNameNr_defaultDropAction 33052
#define sipName_defaultDropAction &sipStrings_QtWidgets[33052]
#define sipNameNr_blockBoundingRect 33070
#define sipName_blockBoundingRect &sipStrings_QtWidgets[33070]
#define sipNameNr_frameBoundingRect 33088
#define sipName_frameBoundingRect &sipStrings_QtWidgets[33088]
#define sipNameNr_setAutoFormatting 33106
#define sipName_setAutoFormatting &sipStrings_QtWidgets[33106]
#define sipNameNr_currentRowChanged 33124
#define sipName_currentRowChanged &sipStrings_QtWidgets[33124]
#define sipNameNr_headerDataChanged 33142
#define sipName_headerDataChanged &sipStrings_QtWidgets[33142]
#define sipNameNr_sip_simplewrapper 33160
#define sipName_sip_simplewrapper &sipStrings_QtWidgets[33160]
#define sipNameNr_33178 33178
#define sipName_33178 &sipStrings_QtWidgets[33178]
#define sipNameNr_currentIdChanged 33195
#define sipName_currentIdChanged &sipStrings_QtWidgets[33195]
#define sipNameNr_IndependentPages 33212
#define sipName_IndependentPages &sipStrings_QtWidgets[33212]
#define sipNameNr_BackgroundPixmap 33229
#define sipName_BackgroundPixmap &sipStrings_QtWidgets[33229]
#define sipNameNr_setDefaultWidget 33246
#define sipName_setDefaultWidget &sipStrings_QtWidgets[33246]
#define sipNameNr_hasMouseTracking 33263
#define sipName_hasMouseTracking &sipStrings_QtWidgets[33263]
#define sipNameNr_setMouseTracking 33280
#define sipName_setMouseTracking &sipStrings_QtWidgets[33280]
#define sipNameNr_destroyOldWindow 33297
#define sipName_destroyOldWindow &sipStrings_QtWidgets[33297]
#define sipNameNr_initializeWindow 33314
#define sipName_initializeWindow &sipStrings_QtWidgets[33314]
#define sipNameNr_nextInFocusChain 33331
#define sipName_nextInFocusChain &sipStrings_QtWidgets[33331]
#define sipNameNr_isWindowModified 33348
#define sipName_isWindowModified &sipStrings_QtWidgets[33348]
#define sipNameNr_setWindowOpacity 33365
#define sipName_setWindowOpacity &sipStrings_QtWidgets[33365]
#define sipNameNr_createUndoAction 33382
#define sipName_createUndoAction &sipStrings_QtWidgets[33382]
#define sipNameNr_createRedoAction 33399
#define sipName_createRedoAction &sipStrings_QtWidgets[33399]
#define sipNameNr_addTopLevelItems 33416
#define sipName_addTopLevelItems &sipStrings_QtWidgets[33416]
#define sipNameNr_takeTopLevelItem 33433
#define sipName_takeTopLevelItem &sipStrings_QtWidgets[33433]
#define sipNameNr_resetIndentation 33450
#define sipName_resetIndentation &sipStrings_QtWidgets[33450]
#define sipNameNr_indexRowSizeHint 33467
#define sipName_indexRowSizeHint &sipStrings_QtWidgets[33467]
#define sipNameNr_FixedColumnWidth 33484
#define sipName_FixedColumnWidth &sipStrings_QtWidgets[33484]
#define sipNameNr_forwardAvailable 33501
#define sipName_forwardAvailable &sipStrings_QtWidgets[33501]
#define sipNameNr_setRangeSelected 33518
#define sipName_setRangeSelected &sipStrings_QtWidgets[33518]
#define sipNameNr_removeCellWidget 33535
#define sipName_removeCellWidget &sipStrings_QtWidgets[33535]
#define sipNameNr_QTableWidgetItem 33552
#define sipName_QTableWidgetItem &sipStrings_QtWidgets[33552]
#define sipNameNr_horizontalHeader 33569
#define sipName_horizontalHeader &sipStrings_QtWidgets[33569]
#define sipNameNr_supportsMessages 33586
#define sipName_supportsMessages &sipStrings_QtWidgets[33586]
#define sipNameNr_ActivationReason 4148
#define sipName_ActivationReason &sipStrings_QtWidgets[4148]
#define sipNameNr_QStyleHintReturn 33603
#define sipName_QStyleHintReturn &sipStrings_QtWidgets[33603]
#define sipNameNr_viewItemPosition 33620
#define sipName_viewItemPosition &sipStrings_QtWidgets[33620]
#define sipNameNr_ViewItemPosition 1822
#define sipName_ViewItemPosition &sipStrings_QtWidgets[1822]
#define sipNameNr_ViewItemFeatures 1861
#define sipName_ViewItemFeatures &sipStrings_QtWidgets[1861]
#define sipNameNr_displayAlignment 33637
#define sipName_displayAlignment &sipStrings_QtWidgets[33637]
#define sipNameNr_verticalTitleBar 33654
#define sipName_verticalTitleBar &sipStrings_QtWidgets[33654]
#define sipNameNr_LeftCornerWidget 33671
#define sipName_LeftCornerWidget &sipStrings_QtWidgets[33671]
#define sipNameNr_selectedPosition 33688
#define sipName_selectedPosition &sipStrings_QtWidgets[33688]
#define sipNameNr_SelectedPosition 2399
#define sipName_SelectedPosition &sipStrings_QtWidgets[2399]
#define sipNameNr_SP_BrowserReload 33705
#define sipName_SP_BrowserReload &sipStrings_QtWidgets[33705]
#define sipNameNr_SP_FileDialogEnd 33722
#define sipName_SP_FileDialogEnd &sipStrings_QtWidgets[33722]
#define sipNameNr_SP_DirClosedIcon 33739
#define sipName_SP_DirClosedIcon &sipStrings_QtWidgets[33739]
#define sipNameNr_CT_HeaderSection 33756
#define sipName_CT_HeaderSection &sipStrings_QtWidgets[33756]
#define sipNameNr_CT_DialogButtons 33773
#define sipName_CT_DialogButtons &sipStrings_QtWidgets[33773]
#define sipNameNr_PM_LargeIconSize 33790
#define sipName_PM_LargeIconSize &sipStrings_QtWidgets[33790]
#define sipNameNr_PM_SmallIconSize 33807
#define sipName_PM_SmallIconSize &sipStrings_QtWidgets[33807]
#define sipNameNr_PM_MDIFrameWidth 33824
#define sipName_PM_MDIFrameWidth &sipStrings_QtWidgets[33824]
#define sipNameNr_PM_SplitterWidth 33841
#define sipName_PM_SplitterWidth &sipStrings_QtWidgets[33841]
#define sipNameNr_SC_GroupBoxFrame 33858
#define sipName_SC_GroupBoxFrame &sipStrings_QtWidgets[33858]
#define sipNameNr_SC_GroupBoxLabel 33875
#define sipName_SC_GroupBoxLabel &sipStrings_QtWidgets[33875]
#define sipNameNr_SC_DialTickmarks 33892
#define sipName_SC_DialTickmarks &sipStrings_QtWidgets[33892]
#define sipNameNr_SC_TitleBarLabel 33909
#define sipName_SC_TitleBarLabel &sipStrings_QtWidgets[33909]
#define sipNameNr_SC_ComboBoxArrow 33926
#define sipName_SC_ComboBoxArrow &sipStrings_QtWidgets[33926]
#define sipNameNr_SC_ComboBoxFrame 33943
#define sipName_SC_ComboBoxFrame &sipStrings_QtWidgets[33943]
#define sipNameNr_SC_ScrollBarLast 33960
#define sipName_SC_ScrollBarLast &sipStrings_QtWidgets[33960]
#define sipNameNr_SE_ToolBarHandle 33977
#define sipName_SE_ToolBarHandle &sipStrings_QtWidgets[33977]
#define sipNameNr_SE_TabBarTabText 33994
#define sipName_SE_TabBarTabText &sipStrings_QtWidgets[33994]
#define sipNameNr_SE_FrameContents 34011
#define sipName_SE_FrameContents &sipStrings_QtWidgets[34011]
#define sipNameNr_CE_ComboBoxLabel 34028
#define sipName_CE_ComboBoxLabel &sipStrings_QtWidgets[34028]
#define sipNameNr_CE_ScrollBarLast 34045
#define sipName_CE_ScrollBarLast &sipStrings_QtWidgets[34045]
#define sipNameNr_CE_HeaderSection 34062
#define sipName_CE_HeaderSection &sipStrings_QtWidgets[34062]
#define sipNameNr_CE_MenuEmptyArea 34079
#define sipName_CE_MenuEmptyArea &sipStrings_QtWidgets[34079]
#define sipNameNr_CE_CheckBoxLabel 34096
#define sipName_CE_CheckBoxLabel &sipStrings_QtWidgets[34096]
#define sipNameNr_PE_PanelTipLabel 34113
#define sipName_PE_PanelTipLabel &sipStrings_QtWidgets[34113]
#define sipNameNr_PE_PanelLineEdit 34130
#define sipName_PE_PanelLineEdit &sipStrings_QtWidgets[34130]
#define sipNameNr_PE_FrameLineEdit 34147
#define sipName_PE_FrameLineEdit &sipStrings_QtWidgets[34147]
#define sipNameNr_PE_FrameGroupBox 34164
#define sipName_PE_FrameGroupBox &sipStrings_QtWidgets[34164]
#define sipNameNr_PrimitiveElement 12859
#define sipName_PrimitiveElement &sipStrings_QtWidgets[12859]
#define sipNameNr_State_Horizontal 34181
#define sipName_State_Horizontal &sipStrings_QtWidgets[34181]
#define sipNameNr_setCurrentWidget 34198
#define sipName_setCurrentWidget &sipStrings_QtWidgets[34198]
#define sipNameNr_horizontalPolicy 34215
#define sipName_horizontalPolicy &sipStrings_QtWidgets[34215]
#define sipNameNr_MinimumExpanding 34232
#define sipName_MinimumExpanding &sipStrings_QtWidgets[34232]
#define sipNameNr_QScroller__Input 34249
#define sipName_QScroller__Input &sipStrings_QtWidgets[34249]
#define sipNameNr_QScroller__State 34266
#define sipName_QScroller__State &sipStrings_QtWidgets[34266]
#define sipNameNr_setOverwriteMode 34283
#define sipName_setOverwriteMode &sipStrings_QtWidgets[34283]
#define sipNameNr_setDocumentTitle 34300
#define sipName_setDocumentTitle &sipStrings_QtWidgets[34300]
#define sipNameNr_setDefaultButton 34317
#define sipName_setDefaultButton &sipStrings_QtWidgets[34317]
#define sipNameNr_setNativeMenuBar 34334
#define sipName_setNativeMenuBar &sipStrings_QtWidgets[34334]
#define sipNameNr_setDefaultAction 34351
#define sipName_setDefaultAction &sipStrings_QtWidgets[34351]
#define sipNameNr_isTearOffEnabled 34368
#define sipName_isTearOffEnabled &sipStrings_QtWidgets[34368]
#define sipNameNr_keyboardPageStep 34385
#define sipName_keyboardPageStep &sipStrings_QtWidgets[34385]
#define sipNameNr_SubWindowOptions 5542
#define sipName_SubWindowOptions &sipStrings_QtWidgets[5542]
#define sipNameNr_RubberBandResize 34402
#define sipName_RubberBandResize &sipStrings_QtWidgets[34402]
#define sipNameNr_currentSubWindow 34419
#define sipName_currentSubWindow &sipStrings_QtWidgets[34419]
#define sipNameNr_ForceTabbedDocks 34436
#define sipName_ForceTabbedDocks &sipStrings_QtWidgets[34436]
#define sipNameNr_AllowTabbedDocks 34453
#define sipName_AllowTabbedDocks &sipStrings_QtWidgets[34453]
#define sipNameNr_AllowNestedDocks 34470
#define sipName_AllowNestedDocks &sipStrings_QtWidgets[34470]
#define sipNameNr_tabifyDockWidget 34487
#define sipName_tabifyDockWidget &sipStrings_QtWidgets[34487]
#define sipNameNr_removeDockWidget 34504
#define sipName_removeDockWidget &sipStrings_QtWidgets[34504]
#define sipNameNr_setCentralWidget 34521
#define sipName_setCentralWidget &sipStrings_QtWidgets[34521]
#define sipNameNr_removeItemWidget 34538
#define sipName_removeItemWidget &sipStrings_QtWidgets[34538]
#define sipNameNr_isSortingEnabled 34555
#define sipName_isSortingEnabled &sipStrings_QtWidgets[34555]
#define sipNameNr_uniformItemSizes 34572
#define sipName_uniformItemSizes &sipStrings_QtWidgets[34572]
#define sipNameNr_TrailingPosition 34589
#define sipName_TrailingPosition &sipStrings_QtWidgets[34589]
#define sipNameNr_cursorPositionAt 34606
#define sipName_cursorPositionAt &sipStrings_QtWidgets[34606]
#define sipNameNr_QLCDNumber__Mode 34623
#define sipName_QLCDNumber__Mode &sipStrings_QtWidgets[34623]
#define sipNameNr_totalMaximumSize 34640
#define sipName_totalMaximumSize &sipStrings_QtWidgets[34640]
#define sipNameNr_totalMinimumSize 34657
#define sipName_totalMinimumSize &sipStrings_QtWidgets[34657]
#define sipNameNr_SetMinAndMaxSize 34674
#define sipName_SetMinAndMaxSize &sipStrings_QtWidgets[34674]
#define sipNameNr_QKeySequenceEdit 34691
#define sipName_QKeySequenceEdit &sipStrings_QtWidgets[34691]
#define sipNameNr_intValueSelected 34708
#define sipName_intValueSelected &sipStrings_QtWidgets[34708]
#define sipNameNr_textValueChanged 34725
#define sipName_textValueChanged &sipStrings_QtWidgets[34725]
#define sipNameNr_cancelButtonText 34742
#define sipName_cancelButtonText &sipStrings_QtWidgets[34742]
#define sipNameNr_setDoubleMaximum 34759
#define sipName_setDoubleMaximum &sipStrings_QtWidgets[34759]
#define sipNameNr_setDoubleMinimum 34776
#define sipName_setDoubleMinimum &sipStrings_QtWidgets[34776]
#define sipNameNr_setComboBoxItems 34793
#define sipName_setComboBoxItems &sipStrings_QtWidgets[34793]
#define sipNameNr_getMultiLineText 34810
#define sipName_getMultiLineText &sipStrings_QtWidgets[34810]
#define sipNameNr_defaultAlignment 34827
#define sipName_defaultAlignment &sipStrings_QtWidgets[34827]
#define sipNameNr_sectionsInserted 34844
#define sipName_sectionsInserted &sipStrings_QtWidgets[34844]
#define sipNameNr_setSortIndicator 34861
#define sipName_setSortIndicator &sipStrings_QtWidgets[34861]
#define sipNameNr_setSectionHidden 34878
#define sipName_setSectionHidden &sipStrings_QtWidgets[34878]
#define sipNameNr_ResizeToContents 34895
#define sipName_ResizeToContents &sipStrings_QtWidgets[34895]
#define sipNameNr_setColumnStretch 34912
#define sipName_setColumnStretch &sipStrings_QtWidgets[34912]
#define sipNameNr_windowFrameEvent 34929
#define sipName_windowFrameEvent &sipStrings_QtWidgets[34929]
#define sipNameNr_paintWindowFrame 34946
#define sipName_paintWindowFrame &sipStrings_QtWidgets[34946]
#define sipNameNr_OptimizationFlag 5606
#define sipName_OptimizationFlag &sipStrings_QtWidgets[5606]
#define sipNameNr_NoViewportUpdate 34963
#define sipName_NoViewportUpdate &sipStrings_QtWidgets[34963]
#define sipNameNr_AnchorUnderMouse 34980
#define sipName_AnchorUnderMouse &sipStrings_QtWidgets[34980]
#define sipNameNr_AnchorViewCenter 34997
#define sipName_AnchorViewCenter &sipStrings_QtWidgets[34997]
#define sipNameNr_focusItemChanged 35014
#define sipName_focusItemChanged &sipStrings_QtWidgets[35014]
#define sipNameNr_sceneRectChanged 35031
#define sipName_sceneRectChanged &sipStrings_QtWidgets[35031]
#define sipNameNr_mouseGrabberItem 35048
#define sipName_mouseGrabberItem &sipStrings_QtWidgets[35048]
#define sipNameNr_destroyItemGroup 35065
#define sipName_destroyItemGroup &sipStrings_QtWidgets[35065]
#define sipNameNr_setSelectionArea 35082
#define sipName_setSelectionArea &sipStrings_QtWidgets[35082]
#define sipNameNr_ungrabMouseEvent 35099
#define sipName_ungrabMouseEvent &sipStrings_QtWidgets[35099]
#define sipNameNr_setOwnedByLayout 35116
#define sipName_setOwnedByLayout &sipStrings_QtWidgets[35116]
#define sipNameNr_parentLayoutItem 35133
#define sipName_parentLayoutItem &sipStrings_QtWidgets[35133]
#define sipNameNr_setPreferredSize 35150
#define sipName_setPreferredSize &sipStrings_QtWidgets[35150]
#define sipNameNr_defaultTextColor 35167
#define sipName_defaultTextColor &sipStrings_QtWidgets[35167]
#define sipNameNr_updateMicroFocus 35184
#define sipName_updateMicroFocus &sipStrings_QtWidgets[35184]
#define sipNameNr_inputMethodHints 35201
#define sipName_inputMethodHints &sipStrings_QtWidgets[35201]
#define sipNameNr_setPanelModality 35218
#define sipName_setPanelModality &sipStrings_QtWidgets[35218]
#define sipNameNr_toGraphicsObject 35235
#define sipName_toGraphicsObject &sipStrings_QtWidgets[35235]
#define sipNameNr_mapRectFromScene 35252
#define sipName_mapRectFromScene &sipStrings_QtWidgets[35252]
#define sipNameNr_effectiveOpacity 35269
#define sipName_effectiveOpacity &sipStrings_QtWidgets[35269]
#define sipNameNr_logicalCacheSize 35286
#define sipName_logicalCacheSize &sipStrings_QtWidgets[35286]
#define sipNameNr_sceneEventFilter 35303
#define sipName_sceneEventFilter &sipStrings_QtWidgets[35303]
#define sipNameNr_collidesWithPath 35320
#define sipName_collidesWithPath &sipStrings_QtWidgets[35320]
#define sipNameNr_collidesWithItem 35337
#define sipName_collidesWithItem &sipStrings_QtWidgets[35337]
#define sipNameNr_ItemClipsToShape 35354
#define sipName_ItemClipsToShape &sipStrings_QtWidgets[35354]
#define sipNameNr_GraphicsItemFlag 5702
#define sipName_GraphicsItemFlag &sipStrings_QtWidgets[5702]
#define sipNameNr_ItemZValueChange 35371
#define sipName_ItemZValueChange &sipStrings_QtWidgets[35371]
#define sipNameNr_ItemCursorChange 35388
#define sipName_ItemCursorChange &sipStrings_QtWidgets[35388]
#define sipNameNr_ItemParentChange 35405
#define sipName_ItemParentChange &sipStrings_QtWidgets[35405]
#define sipNameNr_ItemMatrixChange 35422
#define sipName_ItemMatrixChange &sipStrings_QtWidgets[35422]
#define sipNameNr_rowMaximumHeight 35439
#define sipName_rowMaximumHeight &sipStrings_QtWidgets[35439]
#define sipNameNr_rowMinimumHeight 35456
#define sipName_rowMinimumHeight &sipStrings_QtWidgets[35456]
#define sipNameNr_rowStretchFactor 35473
#define sipName_rowStretchFactor &sipStrings_QtWidgets[35473]
#define sipNameNr_setColumnSpacing 35490
#define sipName_setColumnSpacing &sipStrings_QtWidgets[35490]
#define sipNameNr_blurHintsChanged 35507
#define sipName_blurHintsChanged &sipStrings_QtWidgets[35507]
#define sipNameNr_addCornerAnchors 35524
#define sipName_addCornerAnchors &sipStrings_QtWidgets[35524]
#define sipNameNr_ConsumeEventHint 35541
#define sipName_ConsumeEventHint &sipStrings_QtWidgets[35541]
#define sipNameNr_canceledGestures 35558
#define sipName_canceledGestures &sipStrings_QtWidgets[35558]
#define sipNameNr_setRotationAngle 35575
#define sipName_setRotationAngle &sipStrings_QtWidgets[35575]
#define sipNameNr_totalScaleFactor 35592
#define sipName_totalScaleFactor &sipStrings_QtWidgets[35592]
#define sipNameNr_startCenterPoint 35609
#define sipName_startCenterPoint &sipStrings_QtWidgets[35609]
#define sipNameNr_totalChangeFlags 35626
#define sipName_totalChangeFlags &sipStrings_QtWidgets[35626]
#define sipNameNr_setFormAlignment 35643
#define sipName_setFormAlignment &sipStrings_QtWidgets[35643]
#define sipNameNr_setRowWrapPolicy 35660
#define sipName_setRowWrapPolicy &sipStrings_QtWidgets[35660]
#define sipNameNr_FontDialogOption 7548
#define sipName_FontDialogOption &sipStrings_QtWidgets[7548]
#define sipNameNr_setWritingSystem 35677
#define sipName_setWritingSystem &sipStrings_QtWidgets[35677]
#define sipNameNr_NonScalableFonts 35694
#define sipName_NonScalableFonts &sipStrings_QtWidgets[35694]
#define sipNameNr_QFileSystemModel 35711
#define sipName_QFileSystemModel &sipStrings_QtWidgets[35711]
#define sipNameNr_supportedSchemes 35728
#define sipName_supportedSchemes &sipStrings_QtWidgets[35728]
#define sipNameNr_selectNameFilter 35745
#define sipName_selectNameFilter &sipStrings_QtWidgets[35745]
#define sipNameNr_getOpenFileNames 35762
#define sipName_getOpenFileNames &sipStrings_QtWidgets[35762]
#define sipNameNr_directoryEntered 35779
#define sipName_directoryEntered &sipStrings_QtWidgets[35779]
#define sipNameNr_setDefaultSuffix 35796
#define sipName_setDefaultSuffix &sipStrings_QtWidgets[35796]
#define sipNameNr_toggleViewAction 35813
#define sipName_toggleViewAction &sipStrings_QtWidgets[35813]
#define sipNameNr_QDirModel__Roles 35830
#define sipName_QDirModel__Roles &sipStrings_QtWidgets[35830]
#define sipNameNr_setCenterButtons 35847
#define sipName_setCenterButtons &sipStrings_QtWidgets[35847]
#define sipNameNr_QDialogButtonBox 35864
#define sipName_QDialogButtonBox &sipStrings_QtWidgets[35864]
#define sipNameNr_isVirtualDesktop 35881
#define sipName_isVirtualDesktop &sipStrings_QtWidgets[35881]
#define sipNameNr_setDateTimeRange 35898
#define sipName_setDateTimeRange &sipStrings_QtWidgets[35898]
#define sipNameNr_textFromDateTime 35915
#define sipName_textFromDateTime &sipStrings_QtWidgets[35915]
#define sipNameNr_dateTimeFromText 35932
#define sipName_dateTimeFromText &sipStrings_QtWidgets[35932]
#define sipNameNr_setCalendarPopup 35949
#define sipName_setCalendarPopup &sipStrings_QtWidgets[35949]
#define sipNameNr_setDisplayFormat 35966
#define sipName_setDisplayFormat &sipStrings_QtWidgets[35966]
#define sipNameNr_clearMaximumTime 35983
#define sipName_clearMaximumTime &sipStrings_QtWidgets[35983]
#define sipNameNr_clearMinimumTime 36000
#define sipName_clearMinimumTime &sipStrings_QtWidgets[36000]
#define sipNameNr_clearMaximumDate 36017
#define sipName_clearMaximumDate &sipStrings_QtWidgets[36017]
#define sipNameNr_clearMinimumDate 36034
#define sipName_clearMinimumDate &sipStrings_QtWidgets[36034]
#define sipNameNr_completionPrefix 36051
#define sipName_completionPrefix &sipStrings_QtWidgets[36051]
#define sipNameNr_completionColumn 36068
#define sipName_completionColumn &sipStrings_QtWidgets[36068]
#define sipNameNr_InlineCompletion 36085
#define sipName_InlineCompletion &sipStrings_QtWidgets[36085]
#define sipNameNr_sizeFromContents 36102
#define sipName_sizeFromContents &sipStrings_QtWidgets[36102]
#define sipNameNr_initializeColumn 36119
#define sipName_initializeColumn &sipStrings_QtWidgets[36119]
#define sipNameNr_setPreviewWidget 36136
#define sipName_setPreviewWidget &sipStrings_QtWidgets[36136]
#define sipNameNr_setStandardColor 36153
#define sipName_setStandardColor &sipStrings_QtWidgets[36153]
#define sipNameNr_ShowAlphaChannel 36170
#define sipName_ShowAlphaChannel &sipStrings_QtWidgets[36170]
#define sipNameNr_showSelectedDate 36187
#define sipName_showSelectedDate &sipStrings_QtWidgets[36187]
#define sipNameNr_showPreviousYear 36204
#define sipName_showPreviousYear &sipStrings_QtWidgets[36204]
#define sipNameNr_headerTextFormat 36221
#define sipName_headerTextFormat &sipStrings_QtWidgets[36221]
#define sipNameNr_NoVerticalHeader 36238
#define sipName_NoVerticalHeader &sipStrings_QtWidgets[36238]
#define sipNameNr_insertSpacerItem 36255
#define sipName_insertSpacerItem &sipStrings_QtWidgets[36255]
#define sipNameNr_setStretchFactor 36272
#define sipName_setStretchFactor &sipStrings_QtWidgets[36272]
#define sipNameNr_setEffectEnabled 36289
#define sipName_setEffectEnabled &sipStrings_QtWidgets[36289]
#define sipNameNr_setStartDragTime 36306
#define sipName_setStartDragTime &sipStrings_QtWidgets[36306]
#define sipNameNr_wheelScrollLines 36323
#define sipName_wheelScrollLines &sipStrings_QtWidgets[36323]
#define sipNameNr_keyboardTracking 36340
#define sipName_keyboardTracking &sipStrings_QtWidgets[36340]
#define sipNameNr_specialValueText 36357
#define sipName_specialValueText &sipStrings_QtWidgets[36357]
#define sipNameNr_setButtonSymbols 36374
#define sipName_setButtonSymbols &sipStrings_QtWidgets[36374]
#define sipNameNr_QAbstractSpinBox 36391
#define sipName_QAbstractSpinBox &sipStrings_QtWidgets[36391]
#define sipNameNr_invertedControls 36408
#define sipName_invertedControls &sipStrings_QtWidgets[36408]
#define sipNameNr_sizeAdjustPolicy 36425
#define sipName_sizeAdjustPolicy &sipStrings_QtWidgets[36425]
#define sipNameNr_AdjustToContents 36442
#define sipName_AdjustToContents &sipStrings_QtWidgets[36442]
#define sipNameNr_SizeAdjustPolicy 2817
#define sipName_SizeAdjustPolicy &sipStrings_QtWidgets[2817]
#define sipNameNr_scrollBarWidgets 36459
#define sipName_scrollBarWidgets &sipStrings_QtWidgets[36459]
#define sipNameNr_scrollContentsBy 36476
#define sipName_scrollContentsBy &sipStrings_QtWidgets[36476]
#define sipNameNr_contextMenuEvent 36493
#define sipName_contextMenuEvent &sipStrings_QtWidgets[36493]
#define sipNameNr_viewportSizeHint 36510
#define sipName_viewportSizeHint &sipStrings_QtWidgets[36510]
#define sipNameNr_inputMethodEvent 36527
#define sipName_inputMethodEvent &sipStrings_QtWidgets[36527]
#define sipNameNr_autoScrollMargin 36544
#define sipName_autoScrollMargin &sipStrings_QtWidgets[36544]
#define sipNameNr_inputMethodQuery 36561
#define sipName_inputMethodQuery &sipStrings_QtWidgets[36561]
#define sipNameNr_selectionCommand 36578
#define sipName_selectionCommand &sipStrings_QtWidgets[36578]
#define sipNameNr_horizontalOffset 36595
#define sipName_horizontalOffset &sipStrings_QtWidgets[36595]
#define sipNameNr_updateGeometries 36612
#define sipName_updateGeometries &sipStrings_QtWidgets[36612]
#define sipNameNr_updateEditorData 36629
#define sipName_updateEditorData &sipStrings_QtWidgets[36629]
#define sipNameNr_sizeHintForIndex 36646
#define sipName_sizeHintForIndex &sipStrings_QtWidgets[36646]
#define sipNameNr_setTextElideMode 36663
#define sipName_setTextElideMode &sipStrings_QtWidgets[36663]
#define sipNameNr_tabKeyNavigation 36680
#define sipName_tabKeyNavigation &sipStrings_QtWidgets[36680]
#define sipNameNr_setSelectionMode 36697
#define sipName_setSelectionMode &sipStrings_QtWidgets[36697]
#define sipNameNr_PositionAtCenter 36714
#define sipName_PositionAtCenter &sipStrings_QtWidgets[36714]
#define sipNameNr_PositionAtBottom 36731
#define sipName_PositionAtBottom &sipStrings_QtWidgets[36731]
#define sipNameNr_RevertModelCache 36748
#define sipName_RevertModelCache &sipStrings_QtWidgets[36748]
#define sipNameNr_SubmitModelCache 36765
#define sipName_SubmitModelCache &sipStrings_QtWidgets[36765]
#define sipNameNr_EditPreviousItem 36782
#define sipName_EditPreviousItem &sipStrings_QtWidgets[36782]
#define sipNameNr_setAutoExclusive 36799
#define sipName_setAutoExclusive &sipStrings_QtWidgets[36799]
#define sipNameNr_setMaximumHeight 36816
#define sipName_setMaximumHeight &sipStrings_QtWidgets[36816]
#define sipNameNr_setMinimumHeight 36833
#define sipName_setMinimumHeight &sipStrings_QtWidgets[36833]
#define sipNameNr_setSizeIncrement 36850
#define sipName_setSizeIncrement &sipStrings_QtWidgets[36850]
#define sipNameNr_setTextDirection 36867
#define sipName_setTextDirection &sipStrings_QtWidgets[36867]
#define sipNameNr_setFontUnderline 36884
#define sipName_setFontUnderline &sipStrings_QtWidgets[36884]
#define sipNameNr_setFontPointSize 36901
#define sipName_setFontPointSize &sipStrings_QtWidgets[36901]
#define sipNameNr_setTextAlignment 36918
#define sipName_setTextAlignment &sipStrings_QtWidgets[36918]
#define sipNameNr_setItemPrototype 36935
#define sipName_setItemPrototype &sipStrings_QtWidgets[36935]
#define sipNameNr_drawInlineObject 36952
#define sipName_drawInlineObject &sipStrings_QtWidgets[36952]
#define sipNameNr_selectionChanged 36969
#define sipName_selectionChanged &sipStrings_QtWidgets[36969]
#define sipNameNr_disconnectNotify 36986
#define sipName_disconnectNotify &sipStrings_QtWidgets[36986]
#define sipNameNr_ItemIsSelectable 37003
#define sipName_ItemIsSelectable &sipStrings_QtWidgets[37003]
#define sipNameNr_37020 37020
#define sipName_37020 &sipStrings_QtWidgets[37020]
#define sipNameNr_37036 37036
#define sipName_37036 &sipStrings_QtWidgets[37036]
#define sipNameNr_completeChanged 37052
#define sipName_completeChanged &sipStrings_QtWidgets[37052]
#define sipNameNr_setButtonLayout 37068
#define sipName_setButtonLayout &sipStrings_QtWidgets[37068]
#define sipNameNr_NoDefaultButton 37084
#define sipName_NoDefaultButton &sipStrings_QtWidgets[37084]
#define sipNameNr_IgnoreSubTitles 37100
#define sipName_IgnoreSubTitles &sipStrings_QtWidgets[37100]
#define sipNameNr_WatermarkPixmap 13654
#define sipName_WatermarkPixmap &sipStrings_QtWidgets[13654]
#define sipNameNr_toolTipDuration 37116
#define sipName_toolTipDuration &sipStrings_QtWidgets[37116]
#define sipNameNr_restoreGeometry 37132
#define sipName_restoreGeometry &sipStrings_QtWidgets[37132]
#define sipNameNr_keyboardGrabber 37148
#define sipName_keyboardGrabber &sipStrings_QtWidgets[37148]
#define sipNameNr_releaseKeyboard 37164
#define sipName_releaseKeyboard &sipStrings_QtWidgets[37164]
#define sipNameNr_QWIDGETSIZE_MAX 37180
#define sipName_QWIDGETSIZE_MAX &sipStrings_QtWidgets[37180]
#define sipNameNr_inWhatsThisMode 37196
#define sipName_inWhatsThisMode &sipStrings_QtWidgets[37196]
#define sipNameNr_undoTextChanged 37212
#define sipName_undoTextChanged &sipStrings_QtWidgets[37212]
#define sipNameNr_redoTextChanged 37228
#define sipName_redoTextChanged &sipStrings_QtWidgets[37228]
#define sipNameNr_setHeaderLabels 37244
#define sipName_setHeaderLabels &sipStrings_QtWidgets[37244]
#define sipNameNr_addTopLevelItem 37260
#define sipName_addTopLevelItem &sipStrings_QtWidgets[37260]
#define sipNameNr_QTreeWidgetItem 37276
#define sipName_QTreeWidgetItem &sipStrings_QtWidgets[37276]
#define sipNameNr_setTreePosition 37292
#define sipName_setTreePosition &sipStrings_QtWidgets[37292]
#define sipNameNr_setHeaderHidden 37308
#define sipName_setHeaderHidden &sipStrings_QtWidgets[37308]
#define sipNameNr_autoExpandDelay 37324
#define sipName_autoExpandDelay &sipStrings_QtWidgets[37324]
#define sipNameNr_itemsExpandable 37340
#define sipName_itemsExpandable &sipStrings_QtWidgets[37340]
#define sipNameNr_rootIsDecorated 37356
#define sipName_rootIsDecorated &sipStrings_QtWidgets[37356]
#define sipNameNr_widgetForAction 37372
#define sipName_widgetForAction &sipStrings_QtWidgets[37372]
#define sipNameNr_FixedPixelWidth 37388
#define sipName_FixedPixelWidth &sipStrings_QtWidgets[37388]
#define sipNameNr_rowCountChanged 37404
#define sipName_rowCountChanged &sipStrings_QtWidgets[37404]
#define sipNameNr_setColumnHidden 37420
#define sipName_setColumnHidden &sipStrings_QtWidgets[37420]
#define sipNameNr_tabLayoutChange 37436
#define sipName_tabLayoutChange &sipStrings_QtWidgets[37436]
#define sipNameNr_setTabWhatsThis 37452
#define sipName_setTabWhatsThis &sipStrings_QtWidgets[37452]
#define sipNameNr_setTabTextColor 37468
#define sipName_setTabTextColor &sipStrings_QtWidgets[37468]
#define sipNameNr_TriangularSouth 37484
#define sipName_TriangularSouth &sipStrings_QtWidgets[37484]
#define sipNameNr_TriangularNorth 37500
#define sipName_TriangularNorth &sipStrings_QtWidgets[37500]
#define sipNameNr_QSystemTrayIcon 37516
#define sipName_QSystemTrayIcon &sipStrings_QtWidgets[37516]
#define sipNameNr_ToolBarFeatures 2855
#define sipName_ToolBarFeatures &sipStrings_QtWidgets[2855]
#define sipNameNr_ToolBarPosition 2892
#define sipName_ToolBarPosition &sipStrings_QtWidgets[2892]
#define sipNameNr_MenuButtonPopup 37532
#define sipName_MenuButtonPopup &sipStrings_QtWidgets[37532]
#define sipNameNr_ViewItemFeature 2438
#define sipName_ViewItemFeature &sipStrings_QtWidgets[2438]
#define sipNameNr_rightButtonSize 37548
#define sipName_rightButtonSize &sipStrings_QtWidgets[37548]
#define sipNameNr_NoCornerWidgets 37564
#define sipName_NoCornerWidgets &sipStrings_QtWidgets[37564]
#define sipNameNr_QStyleOptionTab 37580
#define sipName_QStyleOptionTab &sipStrings_QtWidgets[37580]
#define sipNameNr_SectionPosition 3516
#define sipName_SectionPosition &sipStrings_QtWidgets[3516]
#define sipNameNr_selectedTabRect 37596
#define sipName_selectedTabRect &sipStrings_QtWidgets[37596]
#define sipNameNr_StyleOptionType 303
#define sipName_StyleOptionType &sipStrings_QtWidgets[303]
#define sipNameNr_SO_GraphicsItem 37612
#define sipName_SO_GraphicsItem &sipStrings_QtWidgets[37612]
#define sipNameNr_visualAlignment 37628
#define sipName_visualAlignment &sipStrings_QtWidgets[37628]
#define sipNameNr_SP_ArrowForward 37644
#define sipName_SP_ArrowForward &sipStrings_QtWidgets[37644]
#define sipNameNr_SP_FileLinkIcon 37660
#define sipName_SP_FileLinkIcon &sipStrings_QtWidgets[37660]
#define sipNameNr_SP_DriveNetIcon 37676
#define sipName_SP_DriveNetIcon &sipStrings_QtWidgets[37676]
#define sipNameNr_SP_DriveDVDIcon 37692
#define sipName_SP_DriveDVDIcon &sipStrings_QtWidgets[37692]
#define sipNameNr_SP_ComputerIcon 37708
#define sipName_SP_ComputerIcon &sipStrings_QtWidgets[37708]
#define sipNameNr_SH_ToolTip_Mask 37724
#define sipName_SH_ToolTip_Mask &sipStrings_QtWidgets[37724]
#define sipNameNr_CT_ItemViewItem 37740
#define sipName_CT_ItemViewItem &sipStrings_QtWidgets[37740]
#define sipNameNr_PM_SizeGripSize 37756
#define sipName_PM_SizeGripSize &sipStrings_QtWidgets[37756]
#define sipNameNr_PM_HeaderMargin 37772
#define sipName_PM_HeaderMargin &sipStrings_QtWidgets[37772]
#define sipNameNr_PM_SliderLength 37788
#define sipName_PM_SliderLength &sipStrings_QtWidgets[37788]
#define sipNameNr_PM_ButtonMargin 37804
#define sipName_PM_ButtonMargin &sipStrings_QtWidgets[37804]
#define sipNameNr_SC_MdiMinButton 37820
#define sipName_SC_MdiMinButton &sipStrings_QtWidgets[37820]
#define sipNameNr_SC_SliderHandle 37836
#define sipName_SC_SliderHandle &sipStrings_QtWidgets[37836]
#define sipNameNr_SC_SliderGroove 37852
#define sipName_SC_SliderGroove &sipStrings_QtWidgets[37852]
#define sipNameNr_SC_SpinBoxFrame 37868
#define sipName_SC_SpinBoxFrame &sipStrings_QtWidgets[37868]
#define sipNameNr_CE_ItemViewItem 37884
#define sipName_CE_ItemViewItem &sipStrings_QtWidgets[37884]
#define sipNameNr_CE_MenuScroller 37900
#define sipName_CE_MenuScroller &sipStrings_QtWidgets[37900]
#define sipNameNr_PE_PanelToolBar 37916
#define sipName_PE_PanelToolBar &sipStrings_QtWidgets[37916]
#define sipNameNr_PE_PanelMenuBar 37932
#define sipName_PE_PanelMenuBar &sipStrings_QtWidgets[37932]
#define sipNameNr_State_MouseOver 37948
#define sipName_State_MouseOver &sipStrings_QtWidgets[37948]
#define sipNameNr_State_AutoRaise 37964
#define sipName_State_AutoRaise &sipStrings_QtWidgets[37964]
#define sipNameNr_State_DownArrow 37980
#define sipName_State_DownArrow &sipStrings_QtWidgets[37980]
#define sipNameNr_setStackingMode 37996
#define sipName_setStackingMode &sipStrings_QtWidgets[37996]
#define sipNameNr_QSplitterHandle 38012
#define sipName_QSplitterHandle &sipStrings_QtWidgets[38012]
#define sipNameNr_setOpaqueResize 38028
#define sipName_setOpaqueResize &sipStrings_QtWidgets[38028]
#define sipNameNr_setTickInterval 38044
#define sipName_setTickInterval &sipStrings_QtWidgets[38044]
#define sipNameNr_setTickPosition 38060
#define sipName_setTickPosition &sipStrings_QtWidgets[38060]
#define sipNameNr_verticalStretch 38076
#define sipName_verticalStretch &sipStrings_QtWidgets[38076]
#define sipNameNr_ambiguousMember 38092
#define sipName_ambiguousMember &sipStrings_QtWidgets[38092]
#define sipNameNr_setScrollMetric 38108
#define sipName_setScrollMetric &sipStrings_QtWidgets[38108]
#define sipNameNr_MaximumVelocity 38124
#define sipName_MaximumVelocity &sipStrings_QtWidgets[38124]
#define sipNameNr_MinimumVelocity 38140
#define sipName_MinimumVelocity &sipStrings_QtWidgets[38140]
#define sipNameNr_OvershootPolicy 3262
#define sipName_OvershootPolicy &sipStrings_QtWidgets[3262]
#define sipNameNr_activeScrollers 38156
#define sipName_activeScrollers &sipStrings_QtWidgets[38156]
#define sipNameNr_widgetResizable 38172
#define sipName_widgetResizable &sipStrings_QtWidgets[38172]
#define sipNameNr_standardPalette 38188
#define sipName_standardPalette &sipStrings_QtWidgets[38188]
#define sipNameNr_minimumDuration 38204
#define sipName_minimumDuration &sipStrings_QtWidgets[38204]
#define sipNameNr_setCancelButton 38220
#define sipName_setCancelButton &sipStrings_QtWidgets[38220]
#define sipNameNr_QProgressDialog 38236
#define sipName_QProgressDialog &sipStrings_QtWidgets[38236]
#define sipNameNr_getPaintContext 38252
#define sipName_getPaintContext &sipStrings_QtWidgets[38252]
#define sipNameNr_appendPlainText 38268
#define sipName_appendPlainText &sipStrings_QtWidgets[38268]
#define sipNameNr_insertPlainText 38284
#define sipName_insertPlainText &sipStrings_QtWidgets[38284]
#define sipNameNr_extraSelections 38300
#define sipName_extraSelections &sipStrings_QtWidgets[38300]
#define sipNameNr_setTabStopWidth 38316
#define sipName_setTabStopWidth &sipStrings_QtWidgets[38316]
#define sipNameNr_setWordWrapMode 38332
#define sipName_setWordWrapMode &sipStrings_QtWidgets[38332]
#define sipNameNr_setLineWrapMode 38348
#define sipName_setLineWrapMode &sipStrings_QtWidgets[38348]
#define sipNameNr_setDetailedText 38364
#define sipName_setDetailedText &sipStrings_QtWidgets[38364]
#define sipNameNr_informativeText 38380
#define sipName_informativeText &sipStrings_QtWidgets[38380]
#define sipNameNr_setEscapeButton 38396
#define sipName_setEscapeButton &sipStrings_QtWidgets[38396]
#define sipNameNr_isNativeMenuBar 38412
#define sipName_isNativeMenuBar &sipStrings_QtWidgets[38412]
#define sipNameNr_toolTipsVisible 38428
#define sipName_toolTipsVisible &sipStrings_QtWidgets[38428]
#define sipNameNr_setActiveAction 38444
#define sipName_setActiveAction &sipStrings_QtWidgets[38444]
#define sipNameNr_hideTearOffMenu 38460
#define sipName_hideTearOffMenu &sipStrings_QtWidgets[38460]
#define sipNameNr_aboutToActivate 38476
#define sipName_aboutToActivate &sipStrings_QtWidgets[38476]
#define sipNameNr_SubWindowOption 6486
#define sipName_SubWindowOption &sipStrings_QtWidgets[6486]
#define sipNameNr_setTabsClosable 38492
#define sipName_setTabsClosable &sipStrings_QtWidgets[38492]
#define sipNameNr_activationOrder 38508
#define sipName_activationOrder &sipStrings_QtWidgets[38508]
#define sipNameNr_removeSubWindow 38524
#define sipName_removeSubWindow &sipStrings_QtWidgets[38524]
#define sipNameNr_activeSubWindow 38540
#define sipName_activeSubWindow &sipStrings_QtWidgets[38540]
#define sipNameNr_setDocumentMode 38556
#define sipName_setDocumentMode &sipStrings_QtWidgets[38556]
#define sipNameNr_createPopupMenu 38572
#define sipName_createPopupMenu &sipStrings_QtWidgets[38572]
#define sipNameNr_splitDockWidget 38588
#define sipName_splitDockWidget &sipStrings_QtWidgets[38588]
#define sipNameNr_addToolBarBreak 38604
#define sipName_addToolBarBreak &sipStrings_QtWidgets[38604]
#define sipNameNr_toolButtonStyle 38620
#define sipName_toolButtonStyle &sipStrings_QtWidgets[38620]
#define sipNameNr_QListWidgetItem 38636
#define sipName_QListWidgetItem &sipStrings_QtWidgets[38636]
#define sipNameNr_QListView__Flow 38652
#define sipName_QListView__Flow &sipStrings_QtWidgets[38652]
#define sipNameNr_LeadingPosition 38668
#define sipName_LeadingPosition &sipStrings_QtWidgets[38668]
#define sipNameNr_placeholderText 38684
#define sipName_placeholderText &sipStrings_QtWidgets[38684]
#define sipNameNr_setSegmentStyle 38700
#define sipName_setSegmentStyle &sipStrings_QtWidgets[38700]
#define sipNameNr_contentsMargins 38716
#define sipName_contentsMargins &sipStrings_QtWidgets[38716]
#define sipNameNr_SetNoConstraint 38732
#define sipName_SetNoConstraint &sipStrings_QtWidgets[38732]
#define sipNameNr_hasSelectedText 38748
#define sipName_hasSelectedText &sipStrings_QtWidgets[38748]
#define sipNameNr_setModifierMask 38764
#define sipName_setModifierMask &sipStrings_QtWidgets[38764]
#define sipNameNr_intValueChanged 38780
#define sipName_intValueChanged &sipStrings_QtWidgets[38780]
#define sipNameNr_setOkButtonText 38796
#define sipName_setOkButtonText &sipStrings_QtWidgets[38796]
#define sipNameNr_setTextEchoMode 38812
#define sipName_setTextEchoMode &sipStrings_QtWidgets[38812]
#define sipNameNr_sectionsMovable 38828
#define sipName_sectionsMovable &sipStrings_QtWidgets[38828]
#define sipNameNr_isSectionHidden 38844
#define sipName_isSectionHidden &sipStrings_QtWidgets[38844]
#define sipNameNr_sectionPosition 38860
#define sipName_sectionPosition &sipStrings_QtWidgets[38860]
#define sipNameNr_sectionSizeHint 38876
#define sipName_sectionSizeHint &sipStrings_QtWidgets[38876]
#define sipNameNr_setOriginCorner 38892
#define sipName_setOriginCorner &sipStrings_QtWidgets[38892]
#define sipNameNr_releaseShortcut 38908
#define sipName_releaseShortcut &sipStrings_QtWidgets[38908]
#define sipNameNr_windowFrameRect 38924
#define sipName_windowFrameRect &sipStrings_QtWidgets[38924]
#define sipNameNr_DontClipPainter 38940
#define sipName_DontClipPainter &sipStrings_QtWidgets[38940]
#define sipNameNr_updateSceneRect 38956
#define sipName_updateSceneRect &sipStrings_QtWidgets[38956]
#define sipNameNr_invalidateScene 38972
#define sipName_invalidateScene &sipStrings_QtWidgets[38972]
#define sipNameNr_setResizeAnchor 38988
#define sipName_setResizeAnchor &sipStrings_QtWidgets[38988]
#define sipNameNr_CacheBackground 39004
#define sipName_CacheBackground &sipStrings_QtWidgets[39004]
#define sipNameNr_setBspTreeDepth 39020
#define sipName_setBspTreeDepth &sipStrings_QtWidgets[39020]
#define sipNameNr_ForegroundLayer 39036
#define sipName_ForegroundLayer &sipStrings_QtWidgets[39036]
#define sipNameNr_BackgroundLayer 39052
#define sipName_BackgroundLayer &sipStrings_QtWidgets[39052]
#define sipNameNr_foregroundBrush 39068
#define sipName_foregroundBrush &sipStrings_QtWidgets[39068]
#define sipNameNr_createItemGroup 39084
#define sipName_createItemGroup &sipStrings_QtWidgets[39084]
#define sipNameNr_itemIndexMethod 39100
#define sipName_itemIndexMethod &sipStrings_QtWidgets[39100]
#define sipNameNr_ItemIndexMethod 5639
#define sipName_ItemIndexMethod &sipStrings_QtWidgets[5639]
#define sipNameNr_QGraphicsWidget 39116
#define sipName_QGraphicsWidget &sipStrings_QtWidgets[39116]
#define sipNameNr_setGraphicsItem 39132
#define sipName_setGraphicsItem &sipStrings_QtWidgets[39132]
#define sipNameNr_preferredHeight 39148
#define sipName_preferredHeight &sipStrings_QtWidgets[39148]
#define sipNameNr_tabChangesFocus 39164
#define sipName_tabChangesFocus &sipStrings_QtWidgets[39164]
#define sipNameNr_rotationChanged 39180
#define sipName_rotationChanged &sipStrings_QtWidgets[39180]
#define sipNameNr_QGraphicsObject 39196
#define sipName_QGraphicsObject &sipStrings_QtWidgets[39196]
#define sipNameNr_removeFromGroup 39212
#define sipName_removeFromGroup &sipStrings_QtWidgets[39212]
#define sipNameNr_transformations 39228
#define sipName_transformations &sipStrings_QtWidgets[39228]
#define sipNameNr_mapRectFromItem 39244
#define sipName_mapRectFromItem &sipStrings_QtWidgets[39244]
#define sipNameNr_mapRectToParent 39260
#define sipName_mapRectToParent &sipStrings_QtWidgets[39260]
#define sipNameNr_hoverLeaveEvent 39276
#define sipName_hoverLeaveEvent &sipStrings_QtWidgets[39276]
#define sipNameNr_hoverEnterEvent 39292
#define sipName_hoverEnterEvent &sipStrings_QtWidgets[39292]
#define sipNameNr_ItemIsFocusable 39308
#define sipName_ItemIsFocusable &sipStrings_QtWidgets[39308]
#define sipNameNr_ItemScaleChange 39324
#define sipName_ItemScaleChange &sipStrings_QtWidgets[39324]
#define sipNameNr_ItemFlagsChange 39340
#define sipName_ItemFlagsChange &sipStrings_QtWidgets[39340]
#define sipNameNr_ItemSceneChange 39356
#define sipName_ItemSceneChange &sipStrings_QtWidgets[39356]
#define sipNameNr_columnAlignment 39372
#define sipName_columnAlignment &sipStrings_QtWidgets[39372]
#define sipNameNr_setRowAlignment 39388
#define sipName_setRowAlignment &sipStrings_QtWidgets[39388]
#define sipNameNr_strengthChanged 39404
#define sipName_strengthChanged &sipStrings_QtWidgets[39404]
#define sipNameNr_boundingRectFor 39420
#define sipName_boundingRectFor &sipStrings_QtWidgets[39420]
#define sipNameNr_QGraphicsEffect 39436
#define sipName_QGraphicsEffect &sipStrings_QtWidgets[39436]
#define sipNameNr_QGraphicsLayout 39452
#define sipName_QGraphicsLayout &sipStrings_QtWidgets[39452]
#define sipNameNr_QGraphicsAnchor 39468
#define sipName_QGraphicsAnchor &sipStrings_QtWidgets[39468]
#define sipNameNr_lastScaleFactor 39484
#define sipName_lastScaleFactor &sipStrings_QtWidgets[39484]
#define sipNameNr_lastCenterPoint 39500
#define sipName_lastCenterPoint &sipStrings_QtWidgets[39500]
#define sipNameNr_setAcceleration 39516
#define sipName_setAcceleration &sipStrings_QtWidgets[39516]
#define sipNameNr_setMidLineWidth 39532
#define sipName_setMidLineWidth &sipStrings_QtWidgets[39532]
#define sipNameNr_getItemPosition 39548
#define sipName_getItemPosition &sipStrings_QtWidgets[39548]
#define sipNameNr_verticalSpacing 39564
#define sipName_verticalSpacing &sipStrings_QtWidgets[39564]
#define sipNameNr_MonospacedFonts 39580
#define sipName_MonospacedFonts &sipStrings_QtWidgets[39580]
#define sipNameNr_directoryLoaded 39596
#define sipName_directoryLoaded &sipStrings_QtWidgets[39596]
#define sipNameNr_rootPathChanged 39612
#define sipName_rootPathChanged &sipStrings_QtWidgets[39612]
#define sipNameNr_FilePermissions 39628
#define sipName_FilePermissions &sipStrings_QtWidgets[39628]
#define sipNameNr_getOpenFileUrls 39644
#define sipName_getOpenFileUrls &sipStrings_QtWidgets[39644]
#define sipNameNr_mimeTypeFilters 39660
#define sipName_mimeTypeFilters &sipStrings_QtWidgets[39660]
#define sipNameNr_setDirectoryUrl 39676
#define sipName_setDirectoryUrl &sipStrings_QtWidgets[39676]
#define sipNameNr_getSaveFileName 39692
#define sipName_getSaveFileName &sipStrings_QtWidgets[39692]
#define sipNameNr_getOpenFileName 39708
#define sipName_getOpenFileName &sipStrings_QtWidgets[39708]
#define sipNameNr_qDrawShadePanel 39724
#define sipName_qDrawShadePanel &sipStrings_QtWidgets[39724]
#define sipNameNr_topLevelChanged 39740
#define sipName_topLevelChanged &sipStrings_QtWidgets[39740]
#define sipNameNr_featuresChanged 39756
#define sipName_featuresChanged &sipStrings_QtWidgets[39756]
#define sipNameNr_setAllowedAreas 39772
#define sipName_setAllowedAreas &sipStrings_QtWidgets[39772]
#define sipNameNr_resolveSymlinks 39788
#define sipName_resolveSymlinks &sipStrings_QtWidgets[39788]
#define sipNameNr_setIconProvider 39804
#define sipName_setIconProvider &sipStrings_QtWidgets[39804]
#define sipNameNr_standardButtons 39820
#define sipName_standardButtons &sipStrings_QtWidgets[39820]
#define sipNameNr_StandardButtons 4659
#define sipName_StandardButtons &sipStrings_QtWidgets[4659]
#define sipNameNr_RestoreDefaults 39836
#define sipName_RestoreDefaults &sipStrings_QtWidgets[39836]
#define sipNameNr_DestructiveRole 39852
#define sipName_DestructiveRole &sipStrings_QtWidgets[39852]
#define sipNameNr_workAreaResized 39868
#define sipName_workAreaResized &sipStrings_QtWidgets[39868]
#define sipNameNr_maximumDateTime 39884
#define sipName_maximumDateTime &sipStrings_QtWidgets[39884]
#define sipNameNr_minimumDateTime 39900
#define sipName_minimumDateTime &sipStrings_QtWidgets[39900]
#define sipNameNr_dateTimeChanged 39916
#define sipName_dateTimeChanged &sipStrings_QtWidgets[39916]
#define sipNameNr_setSubmitPolicy 39932
#define sipName_setSubmitPolicy &sipStrings_QtWidgets[39932]
#define sipNameNr_completionModel 39948
#define sipName_completionModel &sipStrings_QtWidgets[39948]
#define sipNameNr_completionCount 39964
#define sipName_completionCount &sipStrings_QtWidgets[39964]
#define sipNameNr_setModelSorting 39980
#define sipName_setModelSorting &sipStrings_QtWidgets[39980]
#define sipNameNr_PopupCompletion 11854
#define sipName_PopupCompletion &sipStrings_QtWidgets[11854]
#define sipNameNr_editTextChanged 39996
#define sipName_editTextChanged &sipStrings_QtWidgets[39996]
#define sipNameNr_insertSeparator 40012
#define sipName_insertSeparator &sipStrings_QtWidgets[40012]
#define sipNameNr_setInsertPolicy 40028
#define sipName_setInsertPolicy &sipStrings_QtWidgets[40028]
#define sipNameNr_InsertAtCurrent 40044
#define sipName_InsertAtCurrent &sipStrings_QtWidgets[40044]
#define sipNameNr_maxVisibleItems 40060
#define sipName_maxVisibleItems &sipStrings_QtWidgets[40060]
#define sipNameNr_setColumnWidths 40076
#define sipName_setColumnWidths &sipStrings_QtWidgets[40076]
#define sipNameNr_setCurrentColor 40092
#define sipName_setCurrentColor &sipStrings_QtWidgets[40092]
#define sipNameNr_setSelectedDate 40108
#define sipName_setSelectedDate &sipStrings_QtWidgets[40108]
#define sipNameNr_QCalendarWidget 40124
#define sipName_QCalendarWidget &sipStrings_QtWidgets[40124]
#define sipNameNr_closeAllWindows 40140
#define sipName_closeAllWindows &sipStrings_QtWidgets[40140]
#define sipNameNr_isEffectEnabled 40156
#define sipName_isEffectEnabled &sipStrings_QtWidgets[40156]
#define sipNameNr_setActiveWindow 40172
#define sipName_setActiveWindow &sipStrings_QtWidgets[40172]
#define sipNameNr_topLevelWidgets 40188
#define sipName_topLevelWidgets &sipStrings_QtWidgets[40188]
#define sipNameNr_PreferencesRole 40204
#define sipName_PreferencesRole &sipStrings_QtWidgets[40204]
#define sipNameNr_shortcutContext 40220
#define sipName_shortcutContext &sipStrings_QtWidgets[40220]
#define sipNameNr_initStyleOption 40236
#define sipName_initStyleOption &sipStrings_QtWidgets[40236]
#define sipNameNr_editingFinished 40252
#define sipName_editingFinished &sipStrings_QtWidgets[40252]
#define sipNameNr_StepDownEnabled 40268
#define sipName_StepDownEnabled &sipStrings_QtWidgets[40268]
#define sipNameNr_StepEnabledFlag 4693
#define sipName_StepEnabledFlag &sipStrings_QtWidgets[4693]
#define sipNameNr_setRepeatAction 40284
#define sipName_setRepeatAction &sipStrings_QtWidgets[40284]
#define sipNameNr_actionTriggered 40300
#define sipName_actionTriggered &sipStrings_QtWidgets[40300]
#define sipNameNr_SliderToMaximum 40316
#define sipName_SliderToMaximum &sipStrings_QtWidgets[40316]
#define sipNameNr_SliderToMinimum 40332
#define sipName_SliderToMinimum &sipStrings_QtWidgets[40332]
#define sipNameNr_QAbstractSlider 40348
#define sipName_QAbstractSlider &sipStrings_QtWidgets[40348]
#define sipNameNr_setCornerWidget 40364
#define sipName_setCornerWidget &sipStrings_QtWidgets[40364]
#define sipNameNr_viewportMargins 40380
#define sipName_viewportMargins &sipStrings_QtWidgets[40380]
#define sipNameNr_minimumSizeHint 40396
#define sipName_minimumSizeHint &sipStrings_QtWidgets[40396]
#define sipNameNr_setDragDropMode 40412
#define sipName_setDragDropMode &sipStrings_QtWidgets[40412]
#define sipNameNr_CollapsingState 40428
#define sipName_CollapsingState &sipStrings_QtWidgets[40428]
#define sipNameNr_iconSizeChanged 40444
#define sipName_iconSizeChanged &sipStrings_QtWidgets[40444]
#define sipNameNr_viewportEntered 40460
#define sipName_viewportEntered &sipStrings_QtWidgets[40460]
#define sipNameNr_editorDestroyed 40476
#define sipName_editorDestroyed &sipStrings_QtWidgets[40476]
#define sipNameNr_setEditTriggers 40492
#define sipName_setEditTriggers &sipStrings_QtWidgets[40492]
#define sipNameNr_setItemDelegate 40508
#define sipName_setItemDelegate &sipStrings_QtWidgets[40508]
#define sipNameNr_SingleSelection 40524
#define sipName_SingleSelection &sipStrings_QtWidgets[40524]
#define sipNameNr_AllEditTriggers 40540
#define sipName_AllEditTriggers &sipStrings_QtWidgets[40540]
#define sipNameNr_SelectedClicked 40556
#define sipName_SelectedClicked &sipStrings_QtWidgets[40556]
#define sipNameNr_sizeHintChanged 40572
#define sipName_sizeHintChanged &sipStrings_QtWidgets[40572]
#define sipNameNr_autoRepeatDelay 40588
#define sipName_autoRepeatDelay &sipStrings_QtWidgets[40588]
#define sipNameNr_QAbstractButton 40604
#define sipName_QAbstractButton &sipStrings_QtWidgets[40604]
#define sipNameNr_mousePressEvent 40620
#define sipName_mousePressEvent &sipStrings_QtWidgets[40620]
#define sipNameNr_keyReleaseEvent 40636
#define sipName_keyReleaseEvent &sipStrings_QtWidgets[40636]
#define sipNameNr_setMaximumWidth 40652
#define sipName_setMaximumWidth &sipStrings_QtWidgets[40652]
#define sipNameNr_setMinimumWidth 40668
#define sipName_setMinimumWidth &sipStrings_QtWidgets[40668]
#define sipNameNr_cursorMoveStyle 40684
#define sipName_cursorMoveStyle &sipStrings_QtWidgets[40684]
#define sipNameNr_isRedoAvailable 40700
#define sipName_isRedoAvailable &sipStrings_QtWidgets[40700]
#define sipNameNr_isUndoAvailable 40716
#define sipName_isUndoAvailable &sipStrings_QtWidgets[40716]
#define sipNameNr_cursorFlashTime 40732
#define sipName_cursorFlashTime &sipStrings_QtWidgets[40732]
#define sipNameNr_PerformanceHint 40748
#define sipName_PerformanceHint &sipStrings_QtWidgets[40748]
#define sipNameNr_emitDataChanged 40764
#define sipName_emitDataChanged &sipStrings_QtWidgets[40764]
#define sipNameNr_geometryChanged 40780
#define sipName_geometryChanged &sipStrings_QtWidgets[40780]
#define sipNameNr_backgroundBrush 40796
#define sipName_backgroundBrush &sipStrings_QtWidgets[40796]
#define sipNameNr_deviceTransform 40812
#define sipName_deviceTransform &sipStrings_QtWidgets[40812]
#define sipNameNr_grabFramebuffer 40828
#define sipName_grabFramebuffer &sipStrings_QtWidgets[40828]
#define sipNameNr_NoPartialUpdate 40844
#define sipName_NoPartialUpdate &sipStrings_QtWidgets[40844]
#define sipNameNr_backgroundColor 40860
#define sipName_backgroundColor &sipStrings_QtWidgets[40860]
#define sipNameNr_aspectRatioMode 40876
#define sipName_aspectRatioMode &sipStrings_QtWidgets[40876]
#define sipNameNr_layoutDirection 40892
#define sipName_layoutDirection &sipStrings_QtWidgets[40892]
#define sipNameNr_possibleActions 40908
#define sipName_possibleActions &sipStrings_QtWidgets[40908]
#define sipNameNr_documentChanged 40924
#define sipName_documentChanged &sipStrings_QtWidgets[40924]
#define sipNameNr_setCurrentIndex 40940
#define sipName_setCurrentIndex &sipStrings_QtWidgets[40940]
#define sipNameNr_selectedIndexes 40956
#define sipName_selectedIndexes &sipStrings_QtWidgets[40956]
#define sipNameNr_caseSensitivity 40972
#define sipName_caseSensitivity &sipStrings_QtWidgets[40972]
#define sipNameNr_canDropMimeData 40988
#define sipName_canDropMimeData &sipStrings_QtWidgets[40988]
#define sipNameNr_PyQt5_QtWidgets 41004
#define sipName_PyQt5_QtWidgets &sipStrings_QtWidgets[41004]
#define sipNameNr_initializePage 41020
#define sipName_initializePage &sipStrings_QtWidgets[41020]
#define sipNameNr_subTitleFormat 41035
#define sipName_subTitleFormat &sipStrings_QtWidgets[41035]
#define sipNameNr_setTitleFormat 41050
#define sipName_setTitleFormat &sipStrings_QtWidgets[41050]
#define sipNameNr_setWizardStyle 41065
#define sipName_setWizardStyle &sipStrings_QtWidgets[41065]
#define sipNameNr_hasVisitedPage 41080
#define sipName_hasVisitedPage &sipStrings_QtWidgets[41080]
#define sipNameNr_HaveHelpButton 41095
#define sipName_HaveHelpButton &sipStrings_QtWidgets[41095]
#define sipNameNr_NoCancelButton 41110
#define sipName_NoCancelButton &sipStrings_QtWidgets[41110]
#define sipNameNr_createdWidgets 41125
#define sipName_createdWidgets &sipStrings_QtWidgets[41125]
#define sipNameNr_windowFilePath 41140
#define sipName_windowFilePath &sipStrings_QtWidgets[41140]
#define sipNameNr_effectiveWinId 41155
#define sipName_effectiveWinId &sipStrings_QtWidgets[41155]
#define sipNameNr_updatesEnabled 41170
#define sipName_updatesEnabled &sipStrings_QtWidgets[41170]
#define sipNameNr_focusNextChild 41185
#define sipName_focusNextChild &sipStrings_QtWidgets[41185]
#define sipNameNr_ensurePolished 41200
#define sipName_ensurePolished &sipStrings_QtWidgets[41200]
#define sipNameNr_activateWindow 41215
#define sipName_activateWindow &sipStrings_QtWidgets[41215]
#define sipNameNr_accessibleName 41230
#define sipName_accessibleName &sipStrings_QtWidgets[41230]
#define sipNameNr_windowIconText 41245
#define sipName_windowIconText &sipStrings_QtWidgets[41245]
#define sipNameNr_foregroundRole 41260
#define sipName_foregroundRole &sipStrings_QtWidgets[41260]
#define sipNameNr_backgroundRole 41275
#define sipName_backgroundRole &sipStrings_QtWidgets[41275]
#define sipNameNr_setFixedHeight 41290
#define sipName_setFixedHeight &sipStrings_QtWidgets[41290]
#define sipNameNr_childrenRegion 41305
#define sipName_childrenRegion &sipStrings_QtWidgets[41305]
#define sipNameNr_normalGeometry 41320
#define sipName_normalGeometry &sipStrings_QtWidgets[41320]
#define sipNameNr_canUndoChanged 41335
#define sipName_canUndoChanged &sipStrings_QtWidgets[41335]
#define sipNameNr_canRedoChanged 41350
#define sipName_canRedoChanged &sipStrings_QtWidgets[41350]
#define sipNameNr_setActiveStack 41365
#define sipName_setActiveStack &sipStrings_QtWidgets[41365]
#define sipNameNr_setHeaderLabel 41380
#define sipName_setHeaderLabel &sipStrings_QtWidgets[41380]
#define sipNameNr_insertChildren 41395
#define sipName_insertChildren &sipStrings_QtWidgets[41395]
#define sipNameNr_isHeaderHidden 41410
#define sipName_isHeaderHidden &sipStrings_QtWidgets[41410]
#define sipNameNr_setIndentation 33452
#define sipName_setIndentation &sipStrings_QtWidgets[33452]
#define sipNameNr_setItemToolTip 41425
#define sipName_setItemToolTip &sipStrings_QtWidgets[41425]
#define sipNameNr_setItemEnabled 41440
#define sipName_setItemEnabled &sipStrings_QtWidgets[41440]
#define sipNameNr_movableChanged 41455
#define sipName_movableChanged &sipStrings_QtWidgets[41455]
#define sipNameNr_scrollToAnchor 41470
#define sipName_scrollToAnchor &sipStrings_QtWidgets[41470]
#define sipNameNr_acceptRichText 41485
#define sipName_acceptRichText &sipStrings_QtWidgets[41485]
#define sipNameNr_AutoFormatting 10659
#define sipName_AutoFormatting &sipStrings_QtWidgets[10659]
#define sipNameNr_AutoBulletList 41500
#define sipName_AutoBulletList &sipStrings_QtWidgets[41500]
#define sipNameNr_ExtraSelection 10685
#define sipName_ExtraSelection &sipStrings_QtWidgets[10685]
#define sipNameNr_historyChanged 41515
#define sipName_historyChanged &sipStrings_QtWidgets[41515]
#define sipNameNr_tabBarAutoHide 41530
#define sipName_tabBarAutoHide &sipStrings_QtWidgets[41530]
#define sipNameNr_selectedRanges 41545
#define sipName_selectedRanges &sipStrings_QtWidgets[41545]
#define sipNameNr_setCurrentCell 41560
#define sipName_setCurrentCell &sipStrings_QtWidgets[41560]
#define sipNameNr_isColumnHidden 41575
#define sipName_isColumnHidden &sipStrings_QtWidgets[41575]
#define sipNameNr_setColumnWidth 41590
#define sipName_setColumnWidth &sipStrings_QtWidgets[41590]
#define sipNameNr_verticalHeader 41605
#define sipName_verticalHeader &sipStrings_QtWidgets[41605]
#define sipNameNr_SelectRightTab 41620
#define sipName_SelectRightTab &sipStrings_QtWidgets[41620]
#define sipNameNr_ButtonPosition 7040
#define sipName_ButtonPosition &sipStrings_QtWidgets[7040]
#define sipNameNr_TriangularEast 41635
#define sipName_TriangularEast &sipStrings_QtWidgets[41635]
#define sipNameNr_TriangularWest 41650
#define sipName_TriangularWest &sipStrings_QtWidgets[41650]
#define sipNameNr_QTabBar__Shape 41665
#define sipName_QTabBar__Shape &sipStrings_QtWidgets[41665]
#define sipNameNr_messageClicked 41680
#define sipName_messageClicked &sipStrings_QtWidgets[41680]
#define sipNameNr_setContextMenu 41695
#define sipName_setContextMenu &sipStrings_QtWidgets[41695]
#define sipNameNr_positionOfLine 41710
#define sipName_positionOfLine &sipStrings_QtWidgets[41710]
#define sipNameNr_ToolBarFeature 3373
#define sipName_ToolBarFeature &sipStrings_QtWidgets[3373]
#define sipNameNr_HintReturnType 4793
#define sipName_HintReturnType &sipStrings_QtWidgets[4793]
#define sipNameNr_decorationSize 41725
#define sipName_decorationSize &sipStrings_QtWidgets[41725]
#define sipNameNr_leftButtonSize 41740
#define sipName_leftButtonSize &sipStrings_QtWidgets[41740]
#define sipNameNr_ButtonFeatures 435
#define sipName_ButtonFeatures &sipStrings_QtWidgets[435]
#define sipNameNr_NextIsSelected 41755
#define sipName_NextIsSelected &sipStrings_QtWidgets[41755]
#define sipNameNr_OnlyOneSection 41770
#define sipName_OnlyOneSection &sipStrings_QtWidgets[41770]
#define sipNameNr_SO_ProgressBar 41785
#define sipName_SO_ProgressBar &sipStrings_QtWidgets[41785]
#define sipNameNr_SP_MediaVolume 41800
#define sipName_SP_MediaVolume &sipStrings_QtWidgets[41800]
#define sipNameNr_SP_BrowserStop 41815
#define sipName_SP_BrowserStop &sipStrings_QtWidgets[41815]
#define sipNameNr_SP_VistaShield 41830
#define sipName_SP_VistaShield &sipStrings_QtWidgets[41830]
#define sipNameNr_SP_CommandLink 41845
#define sipName_SP_CommandLink &sipStrings_QtWidgets[41845]
#define sipNameNr_SP_DirHomeIcon 41860
#define sipName_SP_DirHomeIcon &sipStrings_QtWidgets[41860]
#define sipNameNr_SP_DirLinkIcon 41875
#define sipName_SP_DirLinkIcon &sipStrings_QtWidgets[41875]
#define sipNameNr_SP_DirOpenIcon 41890
#define sipName_SP_DirOpenIcon &sipStrings_QtWidgets[41890]
#define sipNameNr_SP_DriveCDIcon 41905
#define sipName_SP_DriveCDIcon &sipStrings_QtWidgets[41905]
#define sipNameNr_SP_DriveHDIcon 41920
#define sipName_SP_DriveHDIcon &sipStrings_QtWidgets[41920]
#define sipNameNr_SP_DriveFDIcon 41935
#define sipName_SP_DriveFDIcon &sipStrings_QtWidgets[41935]
#define sipNameNr_SP_DesktopIcon 41950
#define sipName_SP_DesktopIcon &sipStrings_QtWidgets[41950]
#define sipNameNr_StandardPixmap 15988
#define sipName_StandardPixmap &sipStrings_QtWidgets[15988]
#define sipNameNr_SH_WizardStyle 41965
#define sipName_SH_WizardStyle &sipStrings_QtWidgets[41965]
#define sipNameNr_CT_MdiControls 41980
#define sipName_CT_MdiControls &sipStrings_QtWidgets[41980]
#define sipNameNr_CT_MenuBarItem 41995
#define sipName_CT_MenuBarItem &sipStrings_QtWidgets[41995]
#define sipNameNr_CT_ProgressBar 42010
#define sipName_CT_ProgressBar &sipStrings_QtWidgets[42010]
#define sipNameNr_CT_RadioButton 42025
#define sipName_CT_RadioButton &sipStrings_QtWidgets[42025]
#define sipNameNr_PM_MenuVMargin 42040
#define sipName_PM_MenuVMargin &sipStrings_QtWidgets[42040]
#define sipNameNr_PM_MenuHMargin 42055
#define sipName_PM_MenuHMargin &sipStrings_QtWidgets[42055]
#define sipNameNr_SC_SpinBoxDown 42070
#define sipName_SC_SpinBoxDown &sipStrings_QtWidgets[42070]
#define sipNameNr_CC_MdiControls 42085
#define sipName_CC_MdiControls &sipStrings_QtWidgets[42085]
#define sipNameNr_ComplexControl 16333
#define sipName_ComplexControl &sipStrings_QtWidgets[16333]
#define sipNameNr_SE_HeaderArrow 42100
#define sipName_SE_HeaderArrow &sipStrings_QtWidgets[42100]
#define sipNameNr_SE_HeaderLabel 42115
#define sipName_SE_HeaderLabel &sipStrings_QtWidgets[42115]
#define sipNameNr_CE_ShapedFrame 42130
#define sipName_CE_ShapedFrame &sipStrings_QtWidgets[42130]
#define sipNameNr_CE_HeaderLabel 42145
#define sipName_CE_HeaderLabel &sipStrings_QtWidgets[42145]
#define sipNameNr_CE_MenuBarItem 42160
#define sipName_CE_MenuBarItem &sipStrings_QtWidgets[42160]
#define sipNameNr_CE_MenuTearoff 42175
#define sipName_CE_MenuTearoff &sipStrings_QtWidgets[42175]
#define sipNameNr_CE_MenuHMargin 42190
#define sipName_CE_MenuHMargin &sipStrings_QtWidgets[42190]
#define sipNameNr_CE_MenuVMargin 42205
#define sipName_CE_MenuVMargin &sipStrings_QtWidgets[42205]
#define sipNameNr_CE_ProgressBar 42220
#define sipName_CE_ProgressBar &sipStrings_QtWidgets[42220]
#define sipNameNr_CE_RadioButton 42235
#define sipName_CE_RadioButton &sipStrings_QtWidgets[42235]
#define sipNameNr_ControlElement 16563
#define sipName_ControlElement &sipStrings_QtWidgets[16563]
#define sipNameNr_PE_FrameWindow 42250
#define sipName_PE_FrameWindow &sipStrings_QtWidgets[42250]
#define sipNameNr_State_ReadOnly 42265
#define sipName_State_ReadOnly &sipStrings_QtWidgets[42265]
#define sipNameNr_State_Children 42280
#define sipName_State_Children &sipStrings_QtWidgets[42280]
#define sipNameNr_State_Selected 42295
#define sipName_State_Selected &sipStrings_QtWidgets[42295]
#define sipNameNr_State_HasFocus 42310
#define sipName_State_HasFocus &sipStrings_QtWidgets[42310]
#define sipNameNr_State_NoChange 42325
#define sipName_State_NoChange &sipStrings_QtWidgets[42325]
#define sipNameNr_currentMessage 42340
#define sipName_currentMessage &sipStrings_QtWidgets[42340]
#define sipNameNr_QStackedWidget 42355
#define sipName_QStackedWidget &sipStrings_QtWidgets[42355]
#define sipNameNr_QStackedLayout 42370
#define sipName_QStackedLayout &sipStrings_QtWidgets[42370]
#define sipNameNr_setHandleWidth 42385
#define sipName_setHandleWidth &sipStrings_QtWidgets[42385]
#define sipNameNr_setCollapsible 42400
#define sipName_setCollapsible &sipStrings_QtWidgets[42400]
#define sipNameNr_messageChanged 42415
#define sipName_messageChanged &sipStrings_QtWidgets[42415]
#define sipNameNr_QDoubleSpinBox 42430
#define sipName_QDoubleSpinBox &sipStrings_QtWidgets[42430]
#define sipNameNr_TicksBothSides 42445
#define sipName_TicksBothSides &sipStrings_QtWidgets[42445]
#define sipNameNr_setControlType 42460
#define sipName_setControlType &sipStrings_QtWidgets[42460]
#define sipNameNr_verticalPolicy 42475
#define sipName_verticalPolicy &sipStrings_QtWidgets[42475]
#define sipNameNr_ScrollingCurve 42490
#define sipName_ScrollingCurve &sipStrings_QtWidgets[42490]
#define sipNameNr_grabbedGesture 42505
#define sipName_grabbedGesture &sipStrings_QtWidgets[42505]
#define sipNameNr_setAutoDefault 42520
#define sipName_setAutoDefault &sipStrings_QtWidgets[42520]
#define sipNameNr_itemPixmapRect 42535
#define sipName_itemPixmapRect &sipStrings_QtWidgets[42535]
#define sipNameNr_drawItemPixmap 42550
#define sipName_drawItemPixmap &sipStrings_QtWidgets[42550]
#define sipNameNr_setTextVisible 42565
#define sipName_setTextVisible &sipStrings_QtWidgets[42565]
#define sipNameNr_setCursorWidth 42580
#define sipName_setCursorWidth &sipStrings_QtWidgets[42580]
#define sipNameNr_centerOnScroll 42595
#define sipName_centerOnScroll &sipStrings_QtWidgets[42595]
#define sipNameNr_QPlainTextEdit 42610
#define sipName_QPlainTextEdit &sipStrings_QtWidgets[42610]
#define sipNameNr_aboutToCompose 42625
#define sipName_aboutToCompose &sipStrings_QtWidgets[42625]
#define sipNameNr_setHitTestPath 42640
#define sipName_setHitTestPath &sipStrings_QtWidgets[42640]
#define sipNameNr_windowModality 42655
#define sipName_windowModality &sipStrings_QtWidgets[42655]
#define sipNameNr_setNoReplayFor 42670
#define sipName_setNoReplayFor &sipStrings_QtWidgets[42670]
#define sipNameNr_actionGeometry 42685
#define sipName_actionGeometry &sipStrings_QtWidgets[42685]
#define sipNameNr_showSystemMenu 42700
#define sipName_showSystemMenu &sipStrings_QtWidgets[42700]
#define sipNameNr_RubberBandMove 42715
#define sipName_RubberBandMove &sipStrings_QtWidgets[42715]
#define sipNameNr_setTabsMovable 42730
#define sipName_setTabsMovable &sipStrings_QtWidgets[42730]
#define sipNameNr_tileSubWindows 42745
#define sipName_tileSubWindows &sipStrings_QtWidgets[42745]
#define sipNameNr_setTabPosition 42760
#define sipName_setTabPosition &sipStrings_QtWidgets[42760]
#define sipNameNr_setDockOptions 42775
#define sipName_setDockOptions &sipStrings_QtWidgets[42775]
#define sipNameNr_dockWidgetArea 42790
#define sipName_dockWidgetArea &sipStrings_QtWidgets[42790]
#define sipNameNr_visualItemRect 42805
#define sipName_visualItemRect &sipStrings_QtWidgets[42805]
#define sipNameNr_setCurrentItem 42820
#define sipName_setCurrentItem &sipStrings_QtWidgets[42820]
#define sipNameNr_ActionPosition 11569
#define sipName_ActionPosition &sipStrings_QtWidgets[11569]
#define sipNameNr_getTextMargins 42835
#define sipName_getTextMargins &sipStrings_QtWidgets[42835]
#define sipNameNr_setTextMargins 42850
#define sipName_setTextMargins &sipStrings_QtWidgets[42850]
#define sipNameNr_cursorBackward 42865
#define sipName_cursorBackward &sipStrings_QtWidgets[42865]
#define sipNameNr_addChildWidget 42880
#define sipName_addChildWidget &sipStrings_QtWidgets[42880]
#define sipNameNr_addChildLayout 42895
#define sipName_addChildLayout &sipStrings_QtWidgets[42895]
#define sipNameNr_sizeConstraint 42910
#define sipName_sizeConstraint &sipStrings_QtWidgets[42910]
#define sipNameNr_SetMaximumSize 42925
#define sipName_SetMaximumSize &sipStrings_QtWidgets[42925]
#define sipNameNr_SetMinimumSize 42940
#define sipName_SetMinimumSize &sipStrings_QtWidgets[42940]
#define sipNameNr_SizeConstraint 14663
#define sipName_SizeConstraint &sipStrings_QtWidgets[14663]
#define sipNameNr_setKeySequence 42955
#define sipName_setKeySequence &sipStrings_QtWidgets[42955]
#define sipNameNr_defaultFactory 42970
#define sipName_defaultFactory &sipStrings_QtWidgets[42970]
#define sipNameNr_registerEditor 42985
#define sipName_registerEditor &sipStrings_QtWidgets[42985]
#define sipNameNr_drawDecoration 43000
#define sipName_drawDecoration &sipStrings_QtWidgets[43000]
#define sipNameNr_doubleDecimals 43015
#define sipName_doubleDecimals &sipStrings_QtWidgets[43015]
#define sipNameNr_setDoubleRange 43030
#define sipName_setDoubleRange &sipStrings_QtWidgets[43030]
#define sipNameNr_setDoubleValue 43045
#define sipName_setDoubleValue &sipStrings_QtWidgets[43045]
#define sipNameNr_sectionEntered 43060
#define sipName_sectionEntered &sipStrings_QtWidgets[43060]
#define sipNameNr_sectionsHidden 43075
#define sipName_sectionsHidden &sipStrings_QtWidgets[43075]
#define sipNameNr_resizeSections 43090
#define sipName_resizeSections &sipStrings_QtWidgets[43090]
#define sipNameNr_sectionClicked 43105
#define sipName_sectionClicked &sipStrings_QtWidgets[43105]
#define sipNameNr_sectionPressed 43120
#define sipName_sectionPressed &sipStrings_QtWidgets[43120]
#define sipNameNr_sectionResized 43135
#define sipName_sectionResized &sipStrings_QtWidgets[43135]
#define sipNameNr_logicalIndexAt 43150
#define sipName_logicalIndexAt &sipStrings_QtWidgets[43150]
#define sipNameNr_itemAtPosition 43165
#define sipName_itemAtPosition &sipStrings_QtWidgets[43165]
#define sipNameNr_setFocusPolicy 43180
#define sipName_setFocusPolicy &sipStrings_QtWidgets[43180]
#define sipNameNr_setWindowTitle 43195
#define sipName_setWindowTitle &sipStrings_QtWidgets[43195]
#define sipNameNr_isActiveWindow 43210
#define sipName_isActiveWindow &sipStrings_QtWidgets[43210]
#define sipNameNr_setWindowFlags 43225
#define sipName_setWindowFlags &sipStrings_QtWidgets[43225]
#define sipNameNr_rubberBandRect 43240
#define sipName_rubberBandRect &sipStrings_QtWidgets[43240]
#define sipNameNr_setInteractive 43255
#define sipName_setInteractive &sipStrings_QtWidgets[43255]
#define sipNameNr_ViewportAnchor 7400
#define sipName_ViewportAnchor &sipStrings_QtWidgets[7400]
#define sipNameNr_RubberBandDrag 43270
#define sipName_RubberBandDrag &sipStrings_QtWidgets[43270]
#define sipNameNr_ScrollHandDrag 43285
#define sipName_ScrollHandDrag &sipStrings_QtWidgets[43285]
#define sipNameNr_QGraphicsScale 43300
#define sipName_QGraphicsScale &sipStrings_QtWidgets[43300]
#define sipNameNr_setActivePanel 43315
#define sipName_setActivePanel &sipStrings_QtWidgets[43315]
#define sipNameNr_setStickyFocus 43330
#define sipName_setStickyFocus &sipStrings_QtWidgets[43330]
#define sipNameNr_drawForeground 43345
#define sipName_drawForeground &sipStrings_QtWidgets[43345]
#define sipNameNr_drawBackground 43360
#define sipName_drawBackground &sipStrings_QtWidgets[43360]
#define sipNameNr_QGraphicsScene 43375
#define sipName_QGraphicsScene &sipStrings_QtWidgets[43375]
#define sipNameNr_newProxyWidget 43390
#define sipName_newProxyWidget &sipStrings_QtWidgets[43390]
#define sipNameNr_grabMouseEvent 35101
#define sipName_grabMouseEvent &sipStrings_QtWidgets[35101]
#define sipNameNr_setItemSpacing 43405
#define sipName_setItemSpacing &sipStrings_QtWidgets[43405]
#define sipNameNr_preferredWidth 43420
#define sipName_preferredWidth &sipStrings_QtWidgets[43420]
#define sipNameNr_updateGeometry 43435
#define sipName_updateGeometry &sipStrings_QtWidgets[43435]
#define sipNameNr_graphicsEffect 43450
#define sipName_graphicsEffect &sipStrings_QtWidgets[43450]
#define sipNameNr_mapRectToScene 43465
#define sipName_mapRectToScene &sipStrings_QtWidgets[43465]
#define sipNameNr_boundingRegion 43480
#define sipName_boundingRegion &sipStrings_QtWidgets[43480]
#define sipNameNr_ungrabKeyboard 43495
#define sipName_ungrabKeyboard &sipStrings_QtWidgets[43495]
#define sipNameNr_topLevelWidget 43510
#define sipName_topLevelWidget &sipStrings_QtWidgets[43510]
#define sipNameNr_sceneTransform 43525
#define sipName_sceneTransform &sipStrings_QtWidgets[43525]
#define sipNameNr_hoverMoveEvent 43540
#define sipName_hoverMoveEvent &sipStrings_QtWidgets[43540]
#define sipNameNr_collidingItems 43555
#define sipName_collidingItems &sipStrings_QtWidgets[43555]
#define sipNameNr_setAcceptDrops 43570
#define sipName_setAcceptDrops &sipStrings_QtWidgets[43570]
#define sipNameNr_setOpacityMask 43585
#define sipName_setOpacityMask &sipStrings_QtWidgets[43585]
#define sipNameNr_sourceIsPixmap 43600
#define sipName_sourceIsPixmap &sipStrings_QtWidgets[43600]
#define sipNameNr_enabledChanged 43615
#define sipName_enabledChanged &sipStrings_QtWidgets[43615]
#define sipNameNr_SourceDetached 43630
#define sipName_SourceDetached &sipStrings_QtWidgets[43630]
#define sipNameNr_SourceAttached 43645
#define sipName_SourceAttached &sipStrings_QtWidgets[43645]
#define sipNameNr_TriggerGesture 43660
#define sipName_TriggerGesture &sipStrings_QtWidgets[43660]
#define sipNameNr_activeGestures 43675
#define sipName_activeGestures &sipStrings_QtWidgets[43675]
#define sipNameNr_SwipeDirection 7490
#define sipName_SwipeDirection &sipStrings_QtWidgets[7490]
#define sipNameNr_setScaleFactor 43690
#define sipName_setScaleFactor &sipStrings_QtWidgets[43690]
#define sipNameNr_setCenterPoint 43705
#define sipName_setCenterPoint &sipStrings_QtWidgets[43705]
#define sipNameNr_setChangeFlags 43720
#define sipName_setChangeFlags &sipStrings_QtWidgets[43720]
#define sipNameNr_setFrameShadow 43735
#define sipName_setFrameShadow &sipStrings_QtWidgets[43735]
#define sipNameNr_QFrame__Shadow 43750
#define sipName_QFrame__Shadow &sipStrings_QtWidgets[43750]
#define sipNameNr_labelAlignment 43765
#define sipName_labelAlignment &sipStrings_QtWidgets[43765]
#define sipNameNr_setCurrentFont 43780
#define sipName_setCurrentFont &sipStrings_QtWidgets[43780]
#define sipNameNr_setFontFilters 43795
#define sipName_setFontFilters &sipStrings_QtWidgets[43795]
#define sipNameNr_getSaveFileUrl 43810
#define sipName_getSaveFileUrl &sipStrings_QtWidgets[43810]
#define sipNameNr_getOpenFileUrl 43825
#define sipName_getOpenFileUrl &sipStrings_QtWidgets[43825]
#define sipNameNr_setSidebarUrls 43840
#define sipName_setSidebarUrls &sipStrings_QtWidgets[43840]
#define sipNameNr_filterSelected 43855
#define sipName_filterSelected &sipStrings_QtWidgets[43855]
#define sipNameNr_qDrawPlainRect 43870
#define sipName_qDrawPlainRect &sipStrings_QtWidgets[43870]
#define sipNameNr_qDrawWinButton 43885
#define sipName_qDrawWinButton &sipStrings_QtWidgets[43885]
#define sipNameNr_qDrawShadeRect 43900
#define sipName_qDrawShadeRect &sipStrings_QtWidgets[43900]
#define sipNameNr_qDrawShadeLine 43915
#define sipName_qDrawShadeLine &sipStrings_QtWidgets[43915]
#define sipNameNr_titleBarWidget 43930
#define sipName_titleBarWidget &sipStrings_QtWidgets[43930]
#define sipNameNr_lazyChildCount 43945
#define sipName_lazyChildCount &sipStrings_QtWidgets[43945]
#define sipNameNr_standardButton 43960
#define sipName_standardButton &sipStrings_QtWidgets[43960]
#define sipNameNr_StandardButton 5189
#define sipName_StandardButton &sipStrings_QtWidgets[5189]
#define sipNameNr_notchesVisible 43975
#define sipName_notchesVisible &sipStrings_QtWidgets[43975]
#define sipNameNr_setNotchTarget 43990
#define sipName_setNotchTarget &sipStrings_QtWidgets[43990]
#define sipNameNr_screenGeometry 44005
#define sipName_screenGeometry &sipStrings_QtWidgets[44005]
#define sipNameNr_QDesktopWidget 44020
#define sipName_QDesktopWidget &sipStrings_QtWidgets[44020]
#define sipNameNr_calendarWidget 44035
#define sipName_calendarWidget &sipStrings_QtWidgets[44035]
#define sipNameNr_currentSection 44050
#define sipName_currentSection &sipStrings_QtWidgets[44050]
#define sipNameNr_setMaximumTime 44065
#define sipName_setMaximumTime &sipStrings_QtWidgets[44065]
#define sipNameNr_setMinimumTime 44080
#define sipName_setMinimumTime &sipStrings_QtWidgets[44080]
#define sipNameNr_mappedWidgetAt 44095
#define sipName_mappedWidgetAt &sipStrings_QtWidgets[44095]
#define sipNameNr_completionRole 44110
#define sipName_completionRole &sipStrings_QtWidgets[44110]
#define sipNameNr_completionMode 44125
#define sipName_completionMode &sipStrings_QtWidgets[44125]
#define sipNameNr_CompletionMode 10527
#define sipName_CompletionMode &sipStrings_QtWidgets[10527]
#define sipNameNr_standardPixmap 44140
#define sipName_standardPixmap &sipStrings_QtWidgets[44140]
#define sipNameNr_subControlRect 44155
#define sipName_subControlRect &sipStrings_QtWidgets[44155]
#define sipNameNr_subElementRect 44170
#define sipName_subElementRect &sipStrings_QtWidgets[44170]
#define sipNameNr_setCurrentText 44185
#define sipName_setCurrentText &sipStrings_QtWidgets[44185]
#define sipNameNr_setModelColumn 44200
#define sipName_setModelColumn &sipStrings_QtWidgets[44200]
#define sipNameNr_rootModelIndex 44215
#define sipName_rootModelIndex &sipStrings_QtWidgets[44215]
#define sipNameNr_InsertAtBottom 44230
#define sipName_InsertAtBottom &sipStrings_QtWidgets[44230]
#define sipNameNr_setCustomColor 44245
#define sipName_setCustomColor &sipStrings_QtWidgets[44245]
#define sipNameNr_setCurrentPage 44260
#define sipName_setCurrentPage &sipStrings_QtWidgets[44260]
#define sipNameNr_dateTextFormat 44275
#define sipName_dateTextFormat &sipStrings_QtWidgets[44275]
#define sipNameNr_setGridVisible 44290
#define sipName_setGridVisible &sipStrings_QtWidgets[44290]
#define sipNameNr_setMaximumDate 44305
#define sipName_setMaximumDate &sipStrings_QtWidgets[44305]
#define sipNameNr_setMinimumDate 44320
#define sipName_setMinimumDate &sipStrings_QtWidgets[44320]
#define sipNameNr_ISOWeekNumbers 44335
#define sipName_ISOWeekNumbers &sipStrings_QtWidgets[44335]
#define sipNameNr_buttonReleased 44350
#define sipName_buttonReleased &sipStrings_QtWidgets[44350]
#define sipNameNr_heightForWidth 44365
#define sipName_heightForWidth &sipStrings_QtWidgets[44365]
#define sipNameNr_autoSipEnabled 44380
#define sipName_autoSipEnabled &sipStrings_QtWidgets[44380]
#define sipNameNr_setGlobalStrut 44395
#define sipName_setGlobalStrut &sipStrings_QtWidgets[44395]
#define sipNameNr_showStatusText 44410
#define sipName_showStatusText &sipStrings_QtWidgets[44410]
#define sipNameNr_setActionGroup 44425
#define sipName_setActionGroup &sipStrings_QtWidgets[44425]
#define sipNameNr_setAccelerated 44440
#define sipName_setAccelerated &sipStrings_QtWidgets[44440]
#define sipNameNr_correctionMode 44455
#define sipName_correctionMode &sipStrings_QtWidgets[44455]
#define sipNameNr_CorrectionMode 5255
#define sipName_CorrectionMode &sipStrings_QtWidgets[5255]
#define sipNameNr_sliderReleased 44470
#define sipName_sliderReleased &sipStrings_QtWidgets[44470]
#define sipNameNr_SliderNoAction 44485
#define sipName_SliderNoAction &sipStrings_QtWidgets[44485]
#define sipNameNr_sliderPosition 44500
#define sipName_sliderPosition &sipStrings_QtWidgets[44500]
#define sipNameNr_dragLeaveEvent 44515
#define sipName_dragLeaveEvent &sipStrings_QtWidgets[44515]
#define sipNameNr_dragEnterEvent 44530
#define sipName_dragEnterEvent &sipStrings_QtWidgets[44530]
#define sipNameNr_setDirtyRegion 44545
#define sipName_setDirtyRegion &sipStrings_QtWidgets[44545]
#define sipNameNr_AnimatingState 44560
#define sipName_AnimatingState &sipStrings_QtWidgets[44560]
#define sipNameNr_ExpandingState 44575
#define sipName_ExpandingState &sipStrings_QtWidgets[44575]
#define sipNameNr_verticalOffset 44590
#define sipName_verticalOffset &sipStrings_QtWidgets[44590]
#define sipNameNr_scrollToBottom 44605
#define sipName_scrollToBottom &sipStrings_QtWidgets[44605]
#define sipNameNr_setIndexWidget 44620
#define sipName_setIndexWidget &sipStrings_QtWidgets[44620]
#define sipNameNr_sizeHintForRow 44635
#define sipName_sizeHintForRow &sipStrings_QtWidgets[44635]
#define sipNameNr_keyboardSearch 44650
#define sipName_keyboardSearch &sipStrings_QtWidgets[44650]
#define sipNameNr_selectionModel 44665
#define sipName_selectionModel &sipStrings_QtWidgets[44665]
#define sipNameNr_MultiSelection 44680
#define sipName_MultiSelection &sipStrings_QtWidgets[44680]
#define sipNameNr_ScrollPerPixel 44695
#define sipName_ScrollPerPixel &sipStrings_QtWidgets[44695]
#define sipNameNr_EditKeyPressed 44710
#define sipName_EditKeyPressed &sipStrings_QtWidgets[44710]
#define sipNameNr_CurrentChanged 44725
#define sipName_CurrentChanged &sipStrings_QtWidgets[44725]
#define sipNameNr_NoEditTriggers 44740
#define sipName_NoEditTriggers &sipStrings_QtWidgets[44740]
#define sipNameNr_nextCheckState 44755
#define sipName_nextCheckState &sipStrings_QtWidgets[44755]
#define sipNameNr_opacityChanged 44770
#define sipName_opacityChanged &sipStrings_QtWidgets[44770]
#define sipNameNr_mouseMoveEvent 44785
#define sipName_mouseMoveEvent &sipStrings_QtWidgets[44785]
#define sipNameNr_showFullScreen 44800
#define sipName_showFullScreen &sipStrings_QtWidgets[44800]
#define sipNameNr_setMaximumSize 44815
#define sipName_setMaximumSize &sipStrings_QtWidgets[44815]
#define sipNameNr_setMinimumSize 44830
#define sipName_setMinimumSize &sipStrings_QtWidgets[44830]
#define sipNameNr_setWindowState 44845
#define sipName_setWindowState &sipStrings_QtWidgets[44845]
#define sipNameNr_selectionStart 44860
#define sipName_selectionStart &sipStrings_QtWidgets[44860]
#define sipNameNr_setDragEnabled 44875
#define sipName_setDragEnabled &sipStrings_QtWidgets[44875]
#define sipNameNr_setColumnCount 44890
#define sipName_setColumnCount &sipStrings_QtWidgets[44890]
#define sipNameNr_resetTransform 44905
#define sipName_resetTransform &sipStrings_QtWidgets[44905]
#define sipNameNr_setRenderHints 44920
#define sipName_setRenderHints &sipStrings_QtWidgets[44920]
#define sipNameNr_setOrientation 44935
#define sipName_setOrientation &sipStrings_QtWidgets[44935]
#define sipNameNr_updateBehavior 44950
#define sipName_updateBehavior &sipStrings_QtWidgets[44950]
#define sipNameNr_UpdateBehavior 7370
#define sipName_UpdateBehavior &sipStrings_QtWidgets[7370]
#define sipNameNr_visibleChanged 44965
#define sipName_visibleChanged &sipStrings_QtWidgets[44965]
#define sipNameNr_proposedAction 44980
#define sipName_proposedAction &sipStrings_QtWidgets[44980]
#define sipNameNr_cursorPosition 44995
#define sipName_cursorPosition &sipStrings_QtWidgets[44995]
#define sipNameNr_autoFormatting 45010
#define sipName_autoFormatting &sipStrings_QtWidgets[45010]
#define sipNameNr_NormalPriority 45025
#define sipName_NormalPriority &sipStrings_QtWidgets[45025]
#define sipNameNr_firstDayOfWeek 45040
#define sipName_firstDayOfWeek &sipStrings_QtWidgets[45040]
#define sipNameNr_currentChanged 45055
#define sipName_currentChanged &sipStrings_QtWidgets[45055]
#define sipNameNr_clearSelection 45070
#define sipName_clearSelection &sipStrings_QtWidgets[45070]
#define sipNameNr_setSearchPaths 45085
#define sipName_setSearchPaths &sipStrings_QtWidgets[45085]
#define sipNameNr_setNameFilters 45100
#define sipName_setNameFilters &sipStrings_QtWidgets[45100]
#define sipNameNr_setDescription 45115
#define sipName_setDescription &sipStrings_QtWidgets[45115]
#define sipNameNr_45130 45130
#define sipName_45130 &sipStrings_QtWidgets[45130]
#define sipNameNr_registerField 45144
#define sipName_registerField &sipStrings_QtWidgets[45144]
#define sipNameNr_setCommitPage 45158
#define sipName_setCommitPage &sipStrings_QtWidgets[45158]
#define sipNameNr_setSideWidget 45172
#define sipName_setSideWidget &sipStrings_QtWidgets[45172]
#define sipNameNr_changedSignal 45186
#define sipName_changedSignal &sipStrings_QtWidgets[45186]
#define sipNameNr_setButtonText 45200
#define sipName_setButtonText &sipStrings_QtWidgets[45200]
#define sipNameNr_WizardOptions 15575
#define sipName_WizardOptions &sipStrings_QtWidgets[15575]
#define sipNameNr_CustomButton3 29546
#define sipName_CustomButton3 &sipStrings_QtWidgets[29546]
#define sipNameNr_CustomButton2 29564
#define sipName_CustomButton2 &sipStrings_QtWidgets[29564]
#define sipNameNr_CustomButton1 29582
#define sipName_CustomButton1 &sipStrings_QtWidgets[29582]
#define sipNameNr_releaseWidget 45214
#define sipName_releaseWidget &sipStrings_QtWidgets[45214]
#define sipNameNr_requestWidget 45228
#define sipName_requestWidget &sipStrings_QtWidgets[45228]
#define sipNameNr_defaultWidget 45242
#define sipName_defaultWidget &sipStrings_QtWidgets[45242]
#define sipNameNr_QWidgetAction 45256
#define sipName_QWidgetAction &sipStrings_QtWidgets[45256]
#define sipNameNr_sharedPainter 45270
#define sipName_sharedPainter &sipStrings_QtWidgets[45270]
#define sipNameNr_destroyWindow 45284
#define sipName_destroyWindow &sipStrings_QtWidgets[45284]
#define sipNameNr_visibleRegion 45298
#define sipName_visibleRegion &sipStrings_QtWidgets[45298]
#define sipNameNr_windowOpacity 45312
#define sipName_windowOpacity &sipStrings_QtWidgets[45312]
#define sipNameNr_setWindowRole 45326
#define sipName_setWindowRole &sipStrings_QtWidgets[45326]
#define sipNameNr_setFixedWidth 45340
#define sipName_setFixedWidth &sipStrings_QtWidgets[45340]
#define sipNameNr_setEmptyLabel 45354
#define sipName_setEmptyLabel &sipStrings_QtWidgets[45354]
#define sipNameNr_NotSelectable 45368
#define sipName_NotSelectable &sipStrings_QtWidgets[45368]
#define sipNameNr_itemCollapsed 45382
#define sipName_itemCollapsed &sipStrings_QtWidgets[45382]
#define sipNameNr_setHeaderItem 45396
#define sipName_setHeaderItem &sipStrings_QtWidgets[45396]
#define sipNameNr_ShowIndicator 29816
#define sipName_ShowIndicator &sipStrings_QtWidgets[29816]
#define sipNameNr_expandToDepth 45410
#define sipName_expandToDepth &sipStrings_QtWidgets[45410]
#define sipNameNr_isItemEnabled 45424
#define sipName_isItemEnabled &sipStrings_QtWidgets[45424]
#define sipNameNr_anchorClicked 45438
#define sipName_anchorClicked &sipStrings_QtWidgets[45438]
#define sipNameNr_cellActivated 45452
#define sipName_cellActivated &sipStrings_QtWidgets[45452]
#define sipNameNr_clearContents 45466
#define sipName_clearContents &sipStrings_QtWidgets[45466]
#define sipNameNr_setCellWidget 45480
#define sipName_setCellWidget &sipStrings_QtWidgets[45480]
#define sipNameNr_currentColumn 45494
#define sipName_currentColumn &sipStrings_QtWidgets[45494]
#define sipNameNr_columnResized 45508
#define sipName_columnResized &sipStrings_QtWidgets[45508]
#define sipNameNr_tabBarClicked 45522
#define sipName_tabBarClicked &sipStrings_QtWidgets[45522]
#define sipNameNr_SelectLeftTab 45536
#define sipName_SelectLeftTab &sipStrings_QtWidgets[45536]
#define sipNameNr_setTabToolTip 45550
#define sipName_setTabToolTip &sipStrings_QtWidgets[45550]
#define sipNameNr_setTabEnabled 45564
#define sipName_setTabEnabled &sipStrings_QtWidgets[45564]
#define sipNameNr_QStylePainter 45578
#define sipName_QStylePainter &sipStrings_QtWidgets[45578]
#define sipNameNr_titleBarFlags 45592
#define sipName_titleBarFlags &sipStrings_QtWidgets[45592]
#define sipNameNr_titleBarState 45606
#define sipName_titleBarState &sipStrings_QtWidgets[45606]
#define sipNameNr_HasDecoration 45620
#define sipName_HasDecoration &sipStrings_QtWidgets[45620]
#define sipNameNr_cornerWidgets 45634
#define sipName_cornerWidgets &sipStrings_QtWidgets[45634]
#define sipNameNr_CornerWidgets 6054
#define sipName_CornerWidgets &sipStrings_QtWidgets[6054]
#define sipNameNr_DefaultButton 6209
#define sipName_DefaultButton &sipStrings_QtWidgets[6209]
#define sipNameNr_ButtonFeature 692
#define sipName_ButtonFeature &sipStrings_QtWidgets[692]
#define sipNameNr_sortIndicator 45648
#define sipName_sortIndicator &sipStrings_QtWidgets[45648]
#define sipNameNr_iconAlignment 45662
#define sipName_iconAlignment &sipStrings_QtWidgets[45662]
#define sipNameNr_SortIndicator 4287
#define sipName_SortIndicator &sipStrings_QtWidgets[4287]
#define sipNameNr_FrameFeatures 4893
#define sipName_FrameFeatures &sipStrings_QtWidgets[4893]
#define sipNameNr_SO_CustomBase 45676
#define sipName_SO_CustomBase &sipStrings_QtWidgets[45676]
#define sipNameNr_SO_ToolButton 45690
#define sipName_SO_ToolButton &sipStrings_QtWidgets[45690]
#define sipNameNr_SO_RubberBand 45704
#define sipName_SO_RubberBand &sipStrings_QtWidgets[45704]
#define sipNameNr_SO_TabBarBase 45718
#define sipName_SO_TabBarBase &sipStrings_QtWidgets[45718]
#define sipNameNr_SO_DockWidget 45732
#define sipName_SO_DockWidget &sipStrings_QtWidgets[45732]
#define sipNameNr_QStyleFactory 45746
#define sipName_QStyleFactory &sipStrings_QtWidgets[45746]
#define sipNameNr_SP_CustomBase 45760
#define sipName_SP_CustomBase &sipStrings_QtWidgets[45760]
#define sipNameNr_SP_MediaPause 45774
#define sipName_SP_MediaPause &sipStrings_QtWidgets[45774]
#define sipNameNr_SP_ArrowRight 45788
#define sipName_SP_ArrowRight &sipStrings_QtWidgets[45788]
#define sipNameNr_SH_CustomBase 45802
#define sipName_SH_CustomBase &sipStrings_QtWidgets[45802]
#define sipNameNr_CT_CustomBase 45816
#define sipName_CT_CustomBase &sipStrings_QtWidgets[45816]
#define sipNameNr_CT_ToolButton 45830
#define sipName_CT_ToolButton &sipStrings_QtWidgets[45830]
#define sipNameNr_CT_PushButton 45844
#define sipName_CT_PushButton &sipStrings_QtWidgets[45844]
#define sipNameNr_PM_CustomBase 45858
#define sipName_PM_CustomBase &sipStrings_QtWidgets[45858]
#define sipNameNr_SC_CustomBase 45872
#define sipName_SC_CustomBase &sipStrings_QtWidgets[45872]
#define sipNameNr_SC_DialHandle 45886
#define sipName_SC_DialHandle &sipStrings_QtWidgets[45886]
#define sipNameNr_SC_DialGroove 45900
#define sipName_SC_DialGroove &sipStrings_QtWidgets[45900]
#define sipNameNr_SC_ToolButton 45914
#define sipName_SC_ToolButton &sipStrings_QtWidgets[45914]
#define sipNameNr_CC_CustomBase 45928
#define sipName_CC_CustomBase &sipStrings_QtWidgets[45928]
#define sipNameNr_CC_ToolButton 45942
#define sipName_CC_ToolButton &sipStrings_QtWidgets[45942]
#define sipNameNr_SE_CustomBase 45956
#define sipName_SE_CustomBase &sipStrings_QtWidgets[45956]
#define sipNameNr_CE_CustomBase 45970
#define sipName_CE_CustomBase &sipStrings_QtWidgets[45970]
#define sipNameNr_CE_FocusFrame 45984
#define sipName_CE_FocusFrame &sipStrings_QtWidgets[45984]
#define sipNameNr_CE_RubberBand 45998
#define sipName_CE_RubberBand &sipStrings_QtWidgets[45998]
#define sipNameNr_CE_ToolBoxTab 46012
#define sipName_CE_ToolBoxTab &sipStrings_QtWidgets[46012]
#define sipNameNr_CE_PushButton 46026
#define sipName_CE_PushButton &sipStrings_QtWidgets[46026]
#define sipNameNr_PE_CustomBase 46040
#define sipName_PE_CustomBase &sipStrings_QtWidgets[46040]
#define sipNameNr_QStyle__State 46054
#define sipName_QStyle__State &sipStrings_QtWidgets[46054]
#define sipNameNr_State_Editing 46068
#define sipName_State_Editing &sipStrings_QtWidgets[46068]
#define sipNameNr_State_Sibling 46082
#define sipName_State_Sibling &sipStrings_QtWidgets[46082]
#define sipNameNr_State_UpArrow 46096
#define sipName_State_UpArrow &sipStrings_QtWidgets[46096]
#define sipNameNr_State_Enabled 46110
#define sipName_State_Enabled &sipStrings_QtWidgets[46110]
#define sipNameNr_widgetRemoved 46124
#define sipName_widgetRemoved &sipStrings_QtWidgets[46124]
#define sipNameNr_currentWidget 46138
#define sipName_currentWidget &sipStrings_QtWidgets[46138]
#define sipNameNr_setRubberBand 46152
#define sipName_setRubberBand &sipStrings_QtWidgets[46152]
#define sipNameNr_splitterMoved 46166
#define sipName_splitterMoved &sipStrings_QtWidgets[46166]
#define sipNameNr_isCollapsible 46180
#define sipName_isCollapsible &sipStrings_QtWidgets[46180]
#define sipNameNr_QSplashScreen 46194
#define sipName_QSplashScreen &sipStrings_QtWidgets[46194]
#define sipNameNr_textFromValue 46208
#define sipName_textFromValue &sipStrings_QtWidgets[46208]
#define sipNameNr_valueFromText 46222
#define sipName_valueFromText &sipStrings_QtWidgets[46222]
#define sipNameNr_pixelPerMeter 46236
#define sipName_pixelPerMeter &sipStrings_QtWidgets[46236]
#define sipNameNr_finalPosition 46250
#define sipName_finalPosition &sipStrings_QtWidgets[46250]
#define sipNameNr_isTextVisible 46264
#define sipName_isTextVisible &sipStrings_QtWidgets[46264]
#define sipNameNr_contentOffset 46278
#define sipName_contentOffset &sipStrings_QtWidgets[46278]
#define sipNameNr_updateRequest 46292
#define sipName_updateRequest &sipStrings_QtWidgets[46292]
#define sipNameNr_copyAvailable 46306
#define sipName_copyAvailable &sipStrings_QtWidgets[46306]
#define sipNameNr_overwriteMode 46320
#define sipName_overwriteMode &sipStrings_QtWidgets[46320]
#define sipNameNr_documentTitle 46334
#define sipName_documentTitle &sipStrings_QtWidgets[46334]
#define sipNameNr_PartialUpdate 40846
#define sipName_PartialUpdate &sipStrings_QtWidgets[40846]
#define sipNameNr_aboutToResize 46348
#define sipName_aboutToResize &sipStrings_QtWidgets[46348]
#define sipNameNr_QOpenGLWidget 46362
#define sipName_QOpenGLWidget &sipStrings_QtWidgets[46362]
#define sipNameNr_clickedButton 46376
#define sipName_clickedButton &sipStrings_QtWidgets[46376]
#define sipNameNr_defaultButton 46390
#define sipName_defaultButton &sipStrings_QtWidgets[46390]
#define sipNameNr_setIconPixmap 46404
#define sipName_setIconPixmap &sipStrings_QtWidgets[46404]
#define sipNameNr_insertSection 46418
#define sipName_insertSection &sipStrings_QtWidgets[46418]
#define sipNameNr_setSystemMenu 46432
#define sipName_setSystemMenu &sipStrings_QtWidgets[46432]
#define sipNameNr_QMdiSubWindow 46446
#define sipName_QMdiSubWindow &sipStrings_QtWidgets[46446]
#define sipNameNr_subWindowList 46460
#define sipName_subWindowList &sipStrings_QtWidgets[46460]
#define sipNameNr_StackingOrder 46474
#define sipName_StackingOrder &sipStrings_QtWidgets[46474]
#define sipNameNr_CreationOrder 46488
#define sipName_CreationOrder &sipStrings_QtWidgets[46488]
#define sipNameNr_SubWindowView 46502
#define sipName_SubWindowView &sipStrings_QtWidgets[46502]
#define sipNameNr_AnimatedDocks 46516
#define sipName_AnimatedDocks &sipStrings_QtWidgets[46516]
#define sipNameNr_setMenuWidget 46530
#define sipName_setMenuWidget &sipStrings_QtWidgets[46530]
#define sipNameNr_addDockWidget 46544
#define sipName_addDockWidget &sipStrings_QtWidgets[46544]
#define sipNameNr_removeToolBar 46558
#define sipName_removeToolBar &sipStrings_QtWidgets[46558]
#define sipNameNr_insertToolBar 46572
#define sipName_insertToolBar &sipStrings_QtWidgets[46572]
#define sipNameNr_centralWidget 46586
#define sipName_centralWidget &sipStrings_QtWidgets[46586]
#define sipNameNr_itemActivated 46600
#define sipName_itemActivated &sipStrings_QtWidgets[46600]
#define sipNameNr_setItemWidget 46614
#define sipName_setItemWidget &sipStrings_QtWidgets[46614]
#define sipNameNr_setLayoutMode 46628
#define sipName_setLayoutMode &sipStrings_QtWidgets[46628]
#define sipNameNr_setResizeMode 46642
#define sipName_setResizeMode &sipStrings_QtWidgets[46642]
#define sipNameNr_returnPressed 46656
#define sipName_returnPressed &sipStrings_QtWidgets[46656]
#define sipNameNr_cursorForward 46670
#define sipName_cursorForward &sipStrings_QtWidgets[46670]
#define sipNameNr_checkOverflow 46684
#define sipName_checkOverflow &sipStrings_QtWidgets[46684]
#define sipNameNr_setDigitCount 46698
#define sipName_setDigitCount &sipStrings_QtWidgets[46698]
#define sipNameNr_replaceWidget 46712
#define sipName_replaceWidget &sipStrings_QtWidgets[46712]
#define sipNameNr_alignmentRect 46726
#define sipName_alignmentRect &sipStrings_QtWidgets[46726]
#define sipNameNr_totalSizeHint 46740
#define sipName_totalSizeHint &sipStrings_QtWidgets[46740]
#define sipNameNr_QItemDelegate 46754
#define sipName_QItemDelegate &sipStrings_QtWidgets[46754]
#define sipNameNr_doubleMaximum 46768
#define sipName_doubleMaximum &sipStrings_QtWidgets[46768]
#define sipNameNr_doubleMinimum 46782
#define sipName_doubleMinimum &sipStrings_QtWidgets[46782]
#define sipNameNr_setIntMaximum 46796
#define sipName_setIntMaximum &sipStrings_QtWidgets[46796]
#define sipNameNr_setIntMinimum 46810
#define sipName_setIntMinimum &sipStrings_QtWidgets[46810]
#define sipNameNr_comboBoxItems 46824
#define sipName_comboBoxItems &sipStrings_QtWidgets[46824]
#define sipNameNr_updateSection 46838
#define sipName_updateSection &sipStrings_QtWidgets[46838]
#define sipNameNr_sectionsMoved 46852
#define sipName_sectionsMoved &sipStrings_QtWidgets[46852]
#define sipNameNr_resizeSection 46866
#define sipName_resizeSection &sipStrings_QtWidgets[46866]
#define sipNameNr_visualIndexAt 46880
#define sipName_visualIndexAt &sipStrings_QtWidgets[46880]
#define sipNameNr_columnStretch 46894
#define sipName_columnStretch &sipStrings_QtWidgets[46894]
#define sipNameNr_setRowStretch 46908
#define sipName_setRowStretch &sipStrings_QtWidgets[46908]
#define sipNameNr_insertActions 46922
#define sipName_insertActions &sipStrings_QtWidgets[46922]
#define sipNameNr_isTransformed 46936
#define sipName_isTransformed &sipStrings_QtWidgets[46936]
#define sipNameNr_isInteractive 46950
#define sipName_isInteractive &sipStrings_QtWidgets[46950]
#define sipNameNr_CacheModeFlag 8486
#define sipName_CacheModeFlag &sipStrings_QtWidgets[8486]
#define sipNameNr_QGraphicsView 46964
#define sipName_QGraphicsView &sipStrings_QtWidgets[46964]
#define sipNameNr_zScaleChanged 46978
#define sipName_zScaleChanged &sipStrings_QtWidgets[46978]
#define sipNameNr_yScaleChanged 46992
#define sipName_yScaleChanged &sipStrings_QtWidgets[46992]
#define sipNameNr_xScaleChanged 47006
#define sipName_xScaleChanged &sipStrings_QtWidgets[47006]
#define sipNameNr_originChanged 47020
#define sipName_originChanged &sipStrings_QtWidgets[47020]
#define sipNameNr_buttonDownPos 47034
#define sipName_buttonDownPos &sipStrings_QtWidgets[47034]
#define sipNameNr_selectionArea 47048
#define sipName_selectionArea &sipStrings_QtWidgets[47048]
#define sipNameNr_addSimpleText 47062
#define sipName_addSimpleText &sipStrings_QtWidgets[47062]
#define sipNameNr_selectedItems 47076
#define sipName_selectedItems &sipStrings_QtWidgets[47076]
#define sipNameNr_subWidgetRect 47090
#define sipName_subWidgetRect &sipStrings_QtWidgets[47090]
#define sipNameNr_stretchFactor 47104
#define sipName_stretchFactor &sipStrings_QtWidgets[47104]
#define sipNameNr_ownedByLayout 47118
#define sipName_ownedByLayout &sipStrings_QtWidgets[47118]
#define sipNameNr_preferredSize 47132
#define sipName_preferredSize &sipStrings_QtWidgets[47132]
#define sipNameNr_linkActivated 47146
#define sipName_linkActivated &sipStrings_QtWidgets[47146]
#define sipNameNr_setTextCursor 47160
#define sipName_setTextCursor &sipStrings_QtWidgets[47160]
#define sipNameNr_parentChanged 47174
#define sipName_parentChanged &sipStrings_QtWidgets[47174]
#define sipNameNr_ungrabGesture 47188
#define sipName_ungrabGesture &sipStrings_QtWidgets[47188]
#define sipNameNr_setStartAngle 47202
#define sipName_setStartAngle &sipStrings_QtWidgets[47202]
#define sipNameNr_setFocusProxy 47216
#define sipName_setFocusProxy &sipStrings_QtWidgets[47216]
#define sipNameNr_blockingPanel 47230
#define sipName_blockingPanel &sipStrings_QtWidgets[47230]
#define sipNameNr_panelModality 47244
#define sipName_panelModality &sipStrings_QtWidgets[47244]
#define sipNameNr_PanelModality 8515
#define sipName_PanelModality &sipStrings_QtWidgets[8515]
#define sipNameNr_mapRectToItem 47258
#define sipName_mapRectToItem &sipStrings_QtWidgets[47258]
#define sipNameNr_itemTransform 47272
#define sipName_itemTransform &sipStrings_QtWidgets[47272]
#define sipNameNr_mapFromParent 47286
#define sipName_mapFromParent &sipStrings_QtWidgets[47286]
#define sipNameNr_ensureVisible 47300
#define sipName_ensureVisible &sipStrings_QtWidgets[47300]
#define sipNameNr_setParentItem 47314
#define sipName_setParentItem &sipStrings_QtWidgets[47314]
#define sipNameNr_ItemIsMovable 47328
#define sipName_ItemIsMovable &sipStrings_QtWidgets[47328]
#define sipNameNr_QGraphicsItem 47342
#define sipName_QGraphicsItem &sipStrings_QtWidgets[47342]
#define sipNameNr_columnSpacing 47356
#define sipName_columnSpacing &sipStrings_QtWidgets[47356]
#define sipNameNr_setRowSpacing 47370
#define sipName_setRowSpacing &sipStrings_QtWidgets[47370]
#define sipNameNr_offsetChanged 47384
#define sipName_offsetChanged &sipStrings_QtWidgets[47384]
#define sipNameNr_setBlurRadius 47398
#define sipName_setBlurRadius &sipStrings_QtWidgets[47398]
#define sipNameNr_AnimationHint 47412
#define sipName_AnimationHint &sipStrings_QtWidgets[47412]
#define sipNameNr_sourceChanged 47426
#define sipName_sourceChanged &sipStrings_QtWidgets[47426]
#define sipNameNr_PixmapPadMode 6674
#define sipName_PixmapPadMode &sipStrings_QtWidgets[6674]
#define sipNameNr_setSizePolicy 47440
#define sipName_setSizePolicy &sipStrings_QtWidgets[47440]
#define sipNameNr_CancelGesture 47454
#define sipName_CancelGesture &sipStrings_QtWidgets[47454]
#define sipNameNr_FinishGesture 47468
#define sipName_FinishGesture &sipStrings_QtWidgets[47468]
#define sipNameNr_QGestureEvent 47482
#define sipName_QGestureEvent &sipStrings_QtWidgets[47482]
#define sipNameNr_setSwipeAngle 47496
#define sipName_setSwipeAngle &sipStrings_QtWidgets[47496]
#define sipNameNr_QSwipeGesture 47510
#define sipName_QSwipeGesture &sipStrings_QtWidgets[47510]
#define sipNameNr_rotationAngle 47524
#define sipName_rotationAngle &sipStrings_QtWidgets[47524]
#define sipNameNr_QPinchGesture 47538
#define sipName_QPinchGesture &sipStrings_QtWidgets[47538]
#define sipNameNr_setLastOffset 47552
#define sipName_setLastOffset &sipStrings_QtWidgets[47552]
#define sipNameNr_setFrameShape 47566
#define sipName_setFrameShape &sipStrings_QtWidgets[47566]
#define sipNameNr_setFrameStyle 47580
#define sipName_setFrameStyle &sipStrings_QtWidgets[47580]
#define sipNameNr_QFrame__Shape 47594
#define sipName_QFrame__Shape &sipStrings_QtWidgets[47594]
#define sipNameNr_labelForField 47608
#define sipName_labelForField &sipStrings_QtWidgets[47608]
#define sipNameNr_formAlignment 47622
#define sipName_formAlignment &sipStrings_QtWidgets[47622]
#define sipNameNr_rowWrapPolicy 47636
#define sipName_rowWrapPolicy &sipStrings_QtWidgets[47636]
#define sipNameNr_RowWrapPolicy 10393
#define sipName_RowWrapPolicy &sipStrings_QtWidgets[10393]
#define sipNameNr_ScalableFonts 35697
#define sipName_ScalableFonts &sipStrings_QtWidgets[35697]
#define sipNameNr_QFontComboBox 47650
#define sipName_QFontComboBox &sipStrings_QtWidgets[47650]
#define sipNameNr_rootDirectory 47664
#define sipName_rootDirectory &sipStrings_QtWidgets[47664]
#define sipNameNr_setNameFilter 47678
#define sipName_setNameFilter &sipStrings_QtWidgets[47678]
#define sipNameNr_setProxyModel 47692
#define sipName_setProxyModel &sipStrings_QtWidgets[47692]
#define sipNameNr_initialFilter 47706
#define sipName_initialFilter &sipStrings_QtWidgets[47706]
#define sipNameNr_filesSelected 47720
#define sipName_filesSelected &sipStrings_QtWidgets[47720]
#define sipNameNr_defaultSuffix 47734
#define sipName_defaultSuffix &sipStrings_QtWidgets[47734]
#define sipNameNr_setAcceptMode 47748
#define sipName_setAcceptMode &sipStrings_QtWidgets[47748]
#define sipNameNr_selectedFiles 47762
#define sipName_selectedFiles &sipStrings_QtWidgets[47762]
#define sipNameNr_DirectoryOnly 47776
#define sipName_DirectoryOnly &sipStrings_QtWidgets[47776]
#define sipNameNr_ExistingFiles 47790
#define sipName_ExistingFiles &sipStrings_QtWidgets[47790]
#define sipNameNr_QErrorMessage 47804
#define sipName_QErrorMessage &sipStrings_QtWidgets[47804]
#define sipNameNr_qDrawWinPanel 47818
#define sipName_qDrawWinPanel &sipStrings_QtWidgets[47818]
#define sipNameNr_isAreaAllowed 47832
#define sipName_isAreaAllowed &sipStrings_QtWidgets[47832]
#define sipNameNr_helpRequested 47846
#define sipName_helpRequested &sipStrings_QtWidgets[47846]
#define sipNameNr_centerButtons 47860
#define sipName_centerButtons &sipStrings_QtWidgets[47860]
#define sipNameNr_calendarPopup 47874
#define sipName_calendarPopup &sipStrings_QtWidgets[47874]
#define sipNameNr_displayFormat 47888
#define sipName_displayFormat &sipStrings_QtWidgets[47888]
#define sipNameNr_MinuteSection 47902
#define sipName_MinuteSection &sipStrings_QtWidgets[47902]
#define sipNameNr_SecondSection 47916
#define sipName_SecondSection &sipStrings_QtWidgets[47916]
#define sipNameNr_QDateTimeEdit 47930
#define sipName_QDateTimeEdit &sipStrings_QtWidgets[47930]
#define sipNameNr_mappedSection 47944
#define sipName_mappedSection &sipStrings_QtWidgets[47944]
#define sipNameNr_removeMapping 47958
#define sipName_removeMapping &sipStrings_QtWidgets[47958]
#define sipNameNr_setFilterMode 47972
#define sipName_setFilterMode &sipStrings_QtWidgets[47972]
#define sipNameNr_setWrapAround 47986
#define sipName_setWrapAround &sipStrings_QtWidgets[47986]
#define sipNameNr_pathFromIndex 48000
#define sipName_pathFromIndex &sipStrings_QtWidgets[48000]
#define sipNameNr_setCurrentRow 48014
#define sipName_setCurrentRow &sipStrings_QtWidgets[48014]
#define sipNameNr_UnsortedModel 48028
#define sipName_UnsortedModel &sipStrings_QtWidgets[48028]
#define sipNameNr_layoutSpacing 48042
#define sipName_layoutSpacing &sipStrings_QtWidgets[48042]
#define sipNameNr_drawPrimitive 48056
#define sipName_drawPrimitive &sipStrings_QtWidgets[48056]
#define sipNameNr_clearEditText 48070
#define sipName_clearEditText &sipStrings_QtWidgets[48070]
#define sipNameNr_previewWidget 48084
#define sipName_previewWidget &sipStrings_QtWidgets[48084]
#define sipNameNr_selectedColor 48098
#define sipName_selectedColor &sipStrings_QtWidgets[48098]
#define sipNameNr_colorSelected 48112
#define sipName_colorSelected &sipStrings_QtWidgets[48112]
#define sipNameNr_standardColor 48126
#define sipName_standardColor &sipStrings_QtWidgets[48126]
#define sipNameNr_showNextMonth 48140
#define sipName_showNextMonth &sipStrings_QtWidgets[48140]
#define sipNameNr_isGridVisible 48154
#define sipName_isGridVisible &sipStrings_QtWidgets[48154]
#define sipNameNr_ShortDayNames 48168
#define sipName_ShortDayNames &sipStrings_QtWidgets[48168]
#define sipNameNr_buttonToggled 48182
#define sipName_buttonToggled &sipStrings_QtWidgets[48182]
#define sipNameNr_buttonPressed 48196
#define sipName_buttonPressed &sipStrings_QtWidgets[48196]
#define sipNameNr_buttonClicked 48210
#define sipName_buttonClicked &sipStrings_QtWidgets[48210]
#define sipNameNr_checkedButton 48224
#define sipName_checkedButton &sipStrings_QtWidgets[48224]
#define sipNameNr_addSpacerItem 48238
#define sipName_addSpacerItem &sipStrings_QtWidgets[48238]
#define sipNameNr_insertStretch 48252
#define sipName_insertStretch &sipStrings_QtWidgets[48252]
#define sipNameNr_insertSpacing 48266
#define sipName_insertSpacing &sipStrings_QtWidgets[48266]
#define sipNameNr_setStyleSheet 48280
#define sipName_setStyleSheet &sipStrings_QtWidgets[48280]
#define sipNameNr_checkedAction 48294
#define sipName_checkedAction &sipStrings_QtWidgets[48294]
#define sipNameNr_isAccelerated 48308
#define sipName_isAccelerated &sipStrings_QtWidgets[48308]
#define sipNameNr_interpretText 48322
#define sipName_interpretText &sipStrings_QtWidgets[48322]
#define sipNameNr_buttonSymbols 48336
#define sipName_buttonSymbols &sipStrings_QtWidgets[48336]
#define sipNameNr_ButtonSymbols 5833
#define sipName_ButtonSymbols &sipStrings_QtWidgets[5833]
#define sipNameNr_StepUpEnabled 48350
#define sipName_StepUpEnabled &sipStrings_QtWidgets[48350]
#define sipNameNr_thresholdTime 48364
#define sipName_thresholdTime &sipStrings_QtWidgets[48364]
#define sipNameNr_sliderPressed 48378
#define sipName_sliderPressed &sipStrings_QtWidgets[48378]
#define sipNameNr_triggerAction 48392
#define sipName_triggerAction &sipStrings_QtWidgets[48392]
#define sipNameNr_setSliderDown 48406
#define sipName_setSliderDown &sipStrings_QtWidgets[48406]
#define sipNameNr_setSingleStep 48420
#define sipName_setSingleStep &sipStrings_QtWidgets[48420]
#define sipNameNr_AdjustIgnored 48434
#define sipName_AdjustIgnored &sipStrings_QtWidgets[48434]
#define sipNameNr_setupViewport 48448
#define sipName_setupViewport &sipStrings_QtWidgets[48448]
#define sipNameNr_dragMoveEvent 48462
#define sipName_dragMoveEvent &sipStrings_QtWidgets[48462]
#define sipNameNr_viewportEvent 48476
#define sipName_viewportEvent &sipStrings_QtWidgets[48476]
#define sipNameNr_DraggingState 48490
#define sipName_DraggingState &sipStrings_QtWidgets[48490]
#define sipNameNr_isIndexHidden 48504
#define sipName_isIndexHidden &sipStrings_QtWidgets[48504]
#define sipNameNr_doubleClicked 48518
#define sipName_doubleClicked &sipStrings_QtWidgets[48518]
#define sipNameNr_textElideMode 48532
#define sipName_textElideMode &sipStrings_QtWidgets[48532]
#define sipNameNr_hasAutoScroll 48546
#define sipName_hasAutoScroll &sipStrings_QtWidgets[48546]
#define sipNameNr_setAutoScroll 48560
#define sipName_setAutoScroll &sipStrings_QtWidgets[48560]
#define sipNameNr_selectionMode 48574
#define sipName_selectionMode &sipStrings_QtWidgets[48574]
#define sipNameNr_SelectionMode 5289
#define sipName_SelectionMode &sipStrings_QtWidgets[5289]
#define sipNameNr_SelectColumns 48588
#define sipName_SelectColumns &sipStrings_QtWidgets[48588]
#define sipNameNr_ScrollPerItem 48602
#define sipName_ScrollPerItem &sipStrings_QtWidgets[48602]
#define sipNameNr_PositionAtTop 48616
#define sipName_PositionAtTop &sipStrings_QtWidgets[48616]
#define sipNameNr_EnsureVisible 48630
#define sipName_EnsureVisible &sipStrings_QtWidgets[48630]
#define sipNameNr_AnyKeyPressed 48644
#define sipName_AnyKeyPressed &sipStrings_QtWidgets[48644]
#define sipNameNr_DoubleClicked 10123
#define sipName_DoubleClicked &sipStrings_QtWidgets[10123]
#define sipNameNr_destroyEditor 48658
#define sipName_destroyEditor &sipStrings_QtWidgets[48658]
#define sipNameNr_setEditorData 48672
#define sipName_setEditorData &sipStrings_QtWidgets[48672]
#define sipNameNr_checkStateSet 48686
#define sipName_checkStateSet &sipStrings_QtWidgets[48686]
#define sipNameNr_autoExclusive 48700
#define sipName_autoExclusive &sipStrings_QtWidgets[48700]
#define sipNameNr_setAutoRepeat 48714
#define sipName_setAutoRepeat &sipStrings_QtWidgets[48714]
#define sipNameNr_keyPressEvent 48728
#define sipName_keyPressEvent &sipStrings_QtWidgets[48728]
#define sipNameNr_focusOutEvent 48742
#define sipName_focusOutEvent &sipStrings_QtWidgets[48742]
#define sipNameNr_requestUpdate 48756
#define sipName_requestUpdate &sipStrings_QtWidgets[48756]
#define sipNameNr_showMaximized 48770
#define sipName_showMaximized &sipStrings_QtWidgets[48770]
#define sipNameNr_showMinimized 48784
#define sipName_showMinimized &sipStrings_QtWidgets[48784]
#define sipNameNr_mapFromGlobal 48798
#define sipName_mapFromGlobal &sipStrings_QtWidgets[48798]
#define sipNameNr_frameGeometry 48812
#define sipName_frameGeometry &sipStrings_QtWidgets[48812]
#define sipNameNr_sizeIncrement 48826
#define sipName_sizeIncrement &sipStrings_QtWidgets[48826]
#define sipNameNr_maximumHeight 48840
#define sipName_maximumHeight &sipStrings_QtWidgets[48840]
#define sipNameNr_minimumHeight 48854
#define sipName_minimumHeight &sipStrings_QtWidgets[48854]
#define sipNameNr_fontUnderline 48868
#define sipName_fontUnderline &sipStrings_QtWidgets[48868]
#define sipNameNr_setFontItalic 48882
#define sipName_setFontItalic &sipStrings_QtWidgets[48882]
#define sipNameNr_setFontWeight 48896
#define sipName_setFontWeight &sipStrings_QtWidgets[48896]
#define sipNameNr_fontPointSize 48910
#define sipName_fontPointSize &sipStrings_QtWidgets[48910]
#define sipNameNr_setFontFamily 48924
#define sipName_setFontFamily &sipStrings_QtWidgets[48924]
#define sipNameNr_undoAvailable 48938
#define sipName_undoAvailable &sipStrings_QtWidgets[48938]
#define sipNameNr_redoAvailable 48952
#define sipName_redoAvailable &sipStrings_QtWidgets[48952]
#define sipNameNr_startDragTime 48966
#define sipName_startDragTime &sipStrings_QtWidgets[48966]
#define sipNameNr_setTextFormat 48980
#define sipName_setTextFormat &sipStrings_QtWidgets[48980]
#define sipNameNr_setCheckState 48994
#define sipName_setCheckState &sipStrings_QtWidgets[48994]
#define sipNameNr_setForeground 49008
#define sipName_setForeground &sipStrings_QtWidgets[49008]
#define sipNameNr_textAlignment 49022
#define sipName_textAlignment &sipStrings_QtWidgets[49022]
#define sipNameNr_itemPrototype 49036
#define sipName_itemPrototype &sipStrings_QtWidgets[49036]
#define sipNameNr_indexFromItem 49050
#define sipName_indexFromItem &sipStrings_QtWidgets[49050]
#define sipNameNr_itemFromIndex 49064
#define sipName_itemFromIndex &sipStrings_QtWidgets[49064]
#define sipNameNr_setRenderHint 49078
#define sipName_setRenderHint &sipStrings_QtWidgets[49078]
#define sipNameNr_setBackground 49092
#define sipName_setBackground &sipStrings_QtWidgets[49092]
#define sipNameNr_transformMode 49106
#define sipName_transformMode &sipStrings_QtWidgets[49106]
#define sipNameNr_setWindowIcon 49120
#define sipName_setWindowIcon &sipStrings_QtWidgets[49120]
#define sipNameNr_isLeftToRight 49134
#define sipName_isLeftToRight &sipStrings_QtWidgets[49134]
#define sipNameNr_primaryScreen 49148
#define sipName_primaryScreen &sipStrings_QtWidgets[49148]
#define sipNameNr_isRightToLeft 49162
#define sipName_isRightToLeft &sipStrings_QtWidgets[49162]
#define sipNameNr_writingSystem 49176
#define sipName_writingSystem &sipStrings_QtWidgets[49176]
#define sipNameNr_lastScreenPos 49190
#define sipName_lastScreenPos &sipStrings_QtWidgets[49190]
#define sipNameNr_setDropAction 49204
#define sipName_setDropAction &sipStrings_QtWidgets[49204]
#define sipNameNr_defaultAction 49218
#define sipName_defaultAction &sipStrings_QtWidgets[49218]
#define sipNameNr_IteratorFlags 1747
#define sipName_IteratorFlags &sipStrings_QtWidgets[1747]
#define sipNameNr_testAttribute 49232
#define sipName_testAttribute &sipStrings_QtWidgets[49232]
#define sipNameNr_connectNotify 36989
#define sipName_connectNotify &sipStrings_QtWidgets[36989]
#define sipNameNr_removeColumns 49246
#define sipName_removeColumns &sipStrings_QtWidgets[49246]
#define sipNameNr_insertColumns 49260
#define sipName_insertColumns &sipStrings_QtWidgets[49260]
#define sipNameNr_setHeaderData 49274
#define sipName_setHeaderData &sipStrings_QtWidgets[49274]
#define sipNameNr_validatePage 49288
#define sipName_validatePage &sipStrings_QtWidgets[49288]
#define sipNameNr_isCommitPage 49301
#define sipName_isCommitPage &sipStrings_QtWidgets[49301]
#define sipNameNr_setFinalPage 49314
#define sipName_setFinalPage &sipStrings_QtWidgets[49314]
#define sipNameNr_visitedPages 49327
#define sipName_visitedPages &sipStrings_QtWidgets[49327]
#define sipNameNr_WizardOption 17366
#define sipName_WizardOption &sipStrings_QtWidgets[17366]
#define sipNameNr_ClassicStyle 49340
#define sipName_ClassicStyle &sipStrings_QtWidgets[49340]
#define sipNameNr_BannerPixmap 49353
#define sipName_BannerPixmap &sipStrings_QtWidgets[49353]
#define sipNameNr_WizardPixmap 17388
#define sipName_WizardPixmap &sipStrings_QtWidgets[17388]
#define sipNameNr_CancelButton 3228
#define sipName_CancelButton &sipStrings_QtWidgets[3228]
#define sipNameNr_FinishButton 49366
#define sipName_FinishButton &sipStrings_QtWidgets[49366]
#define sipNameNr_CommitButton 49379
#define sipName_CommitButton &sipStrings_QtWidgets[49379]
#define sipNameNr_WizardButton 17410
#define sipName_WizardButton &sipStrings_QtWidgets[17410]
#define sipNameNr_deleteWidget 49392
#define sipName_deleteWidget &sipStrings_QtWidgets[49392]
#define sipNameNr_windowHandle 49405
#define sipName_windowHandle &sipStrings_QtWidgets[49405]
#define sipNameNr_sourceRegion 49418
#define sipName_sourceRegion &sipStrings_QtWidgets[49418]
#define sipNameNr_targetOffset 49431
#define sipName_targetOffset &sipStrings_QtWidgets[49431]
#define sipNameNr_DrawChildren 49444
#define sipName_DrawChildren &sipStrings_QtWidgets[49444]
#define sipNameNr_saveGeometry 49457
#define sipName_saveGeometry &sipStrings_QtWidgets[49457]
#define sipNameNr_isFullScreen 49470
#define sipName_isFullScreen &sipStrings_QtWidgets[49470]
#define sipNameNr_mouseGrabber 49483
#define sipName_mouseGrabber &sipStrings_QtWidgets[49483]
#define sipNameNr_releaseMouse 49496
#define sipName_releaseMouse &sipStrings_QtWidgets[49496]
#define sipNameNr_setFixedSize 49509
#define sipName_setFixedSize &sipStrings_QtWidgets[49509]
#define sipNameNr_childrenRect 49522
#define sipName_childrenRect &sipStrings_QtWidgets[49522]
#define sipNameNr_createAction 49535
#define sipName_createAction &sipStrings_QtWidgets[49535]
#define sipNameNr_setCleanIcon 49548
#define sipName_setCleanIcon &sipStrings_QtWidgets[49548]
#define sipNameNr_setUndoLimit 49561
#define sipName_setUndoLimit &sipStrings_QtWidgets[49561]
#define sipNameNr_QUndoCommand 49574
#define sipName_QUndoCommand &sipStrings_QtWidgets[49574]
#define sipNameNr_indexChanged 49587
#define sipName_indexChanged &sipStrings_QtWidgets[49587]
#define sipNameNr_cleanChanged 49600
#define sipName_cleanChanged &sipStrings_QtWidgets[49600]
#define sipNameNr_DropDisabled 49613
#define sipName_DropDisabled &sipStrings_QtWidgets[49613]
#define sipNameNr_DragDisabled 49626
#define sipName_DragDisabled &sipStrings_QtWidgets[49626]
#define sipNameNr_itemExpanded 49639
#define sipName_itemExpanded &sipStrings_QtWidgets[49639]
#define sipNameNr_collapseItem 49652
#define sipName_collapseItem &sipStrings_QtWidgets[49652]
#define sipNameNr_takeChildren 49665
#define sipName_takeChildren &sipStrings_QtWidgets[49665]
#define sipNameNr_indexOfChild 49678
#define sipName_indexOfChild &sipStrings_QtWidgets[49678]
#define sipNameNr_treePosition 49691
#define sipName_treePosition &sipStrings_QtWidgets[49691]
#define sipNameNr_drawBranches 49704
#define sipName_drawBranches &sipStrings_QtWidgets[49704]
#define sipNameNr_setAutoRaise 49717
#define sipName_setAutoRaise &sipStrings_QtWidgets[49717]
#define sipNameNr_setPopupMode 49730
#define sipName_setPopupMode &sipStrings_QtWidgets[49730]
#define sipNameNr_setArrowType 49743
#define sipName_setArrowType &sipStrings_QtWidgets[49743]
#define sipNameNr_InstantPopup 49756
#define sipName_InstantPopup &sipStrings_QtWidgets[49756]
#define sipNameNr_DelayedPopup 49769
#define sipName_DelayedPopup &sipStrings_QtWidgets[49769]
#define sipNameNr_itemInserted 49782
#define sipName_itemInserted &sipStrings_QtWidgets[49782]
#define sipNameNr_setFloatable 49795
#define sipName_setFloatable &sipStrings_QtWidgets[49795]
#define sipNameNr_setTextColor 49808
#define sipName_setTextColor &sipStrings_QtWidgets[49808]
#define sipNameNr_historyTitle 49821
#define sipName_historyTitle &sipStrings_QtWidgets[49821]
#define sipNameNr_setOpenLinks 49834
#define sipName_setOpenLinks &sipStrings_QtWidgets[49834]
#define sipNameNr_clearHistory 49847
#define sipName_clearHistory &sipStrings_QtWidgets[49847]
#define sipNameNr_QTextBrowser 49860
#define sipName_QTextBrowser &sipStrings_QtWidgets[49860]
#define sipNameNr_visualColumn 49873
#define sipName_visualColumn &sipStrings_QtWidgets[49873]
#define sipNameNr_QTableWidget 49886
#define sipName_QTableWidget &sipStrings_QtWidgets[49886]
#define sipNameNr_sortByColumn 49899
#define sipName_sortByColumn &sipStrings_QtWidgets[49899]
#define sipNameNr_selectColumn 49912
#define sipName_selectColumn &sipStrings_QtWidgets[49912]
#define sipNameNr_setGridStyle 49925
#define sipName_setGridStyle &sipStrings_QtWidgets[49925]
#define sipNameNr_setRowHeight 49938
#define sipName_setRowHeight &sipStrings_QtWidgets[49938]
#define sipNameNr_setExpanding 49951
#define sipName_setExpanding &sipStrings_QtWidgets[49951]
#define sipNameNr_setTabButton 49964
#define sipName_setTabButton &sipStrings_QtWidgets[49964]
#define sipNameNr_setElideMode 49977
#define sipName_setElideMode &sipStrings_QtWidgets[49977]
#define sipNameNr_tabWhatsThis 49990
#define sipName_tabWhatsThis &sipStrings_QtWidgets[49990]
#define sipNameNr_tabTextColor 50003
#define sipName_tabTextColor &sipStrings_QtWidgets[50003]
#define sipNameNr_isTabEnabled 50016
#define sipName_isTabEnabled &sipStrings_QtWidgets[50016]
#define sipNameNr_RoundedSouth 50029
#define sipName_RoundedSouth &sipStrings_QtWidgets[50029]
#define sipNameNr_RoundedNorth 50042
#define sipName_RoundedNorth &sipStrings_QtWidgets[50042]
#define sipNameNr_dialWrapping 50055
#define sipName_dialWrapping &sipStrings_QtWidgets[50055]
#define sipNameNr_maxIconWidth 50068
#define sipName_maxIconWidth &sipStrings_QtWidgets[50068]
#define sipNameNr_menuItemType 50081
#define sipName_menuItemType &sipStrings_QtWidgets[50081]
#define sipNameNr_NonExclusive 50094
#define sipName_NonExclusive &sipStrings_QtWidgets[50094]
#define sipNameNr_NotCheckable 50107
#define sipName_NotCheckable &sipStrings_QtWidgets[50107]
#define sipNameNr_MenuItemType 3734
#define sipName_MenuItemType &sipStrings_QtWidgets[3734]
#define sipNameNr_CornerWidget 6952
#define sipName_CornerWidget &sipStrings_QtWidgets[6952]
#define sipNameNr_FrameFeature 5354
#define sipName_FrameFeature &sipStrings_QtWidgets[5354]
#define sipNameNr_SO_FocusRect 50120
#define sipName_SO_FocusRect &sipStrings_QtWidgets[50120]
#define sipNameNr_QStyleOption 50133
#define sipName_QStyleOption &sipStrings_QtWidgets[50133]
#define sipNameNr_SP_MediaStop 50146
#define sipName_SP_MediaStop &sipStrings_QtWidgets[50146]
#define sipNameNr_SP_MediaPlay 50159
#define sipName_SP_MediaPlay &sipStrings_QtWidgets[50159]
#define sipNameNr_SP_ArrowBack 50172
#define sipName_SP_ArrowBack &sipStrings_QtWidgets[50172]
#define sipNameNr_SP_ArrowLeft 50185
#define sipName_SP_ArrowLeft &sipStrings_QtWidgets[50185]
#define sipNameNr_SP_ArrowDown 50198
#define sipName_SP_ArrowDown &sipStrings_QtWidgets[50198]
#define sipNameNr_SP_TrashIcon 50211
#define sipName_SP_TrashIcon &sipStrings_QtWidgets[50211]
#define sipNameNr_SH_Menu_Mask 50224
#define sipName_SH_Menu_Mask &sipStrings_QtWidgets[50224]
#define sipNameNr_CT_TabWidget 50237
#define sipName_CT_TabWidget &sipStrings_QtWidgets[50237]
#define sipNameNr_CT_ScrollBar 50250
#define sipName_CT_ScrollBar &sipStrings_QtWidgets[50250]
#define sipNameNr_CT_TabBarTab 50263
#define sipName_CT_TabBarTab &sipStrings_QtWidgets[50263]
#define sipNameNr_ContentsType 20633
#define sipName_ContentsType &sipStrings_QtWidgets[20633]
#define sipNameNr_SC_SpinBoxUp 50276
#define sipName_SC_SpinBoxUp &sipStrings_QtWidgets[50276]
#define sipNameNr_CC_ScrollBar 50289
#define sipName_CC_ScrollBar &sipStrings_QtWidgets[50289]
#define sipNameNr_CE_TabBarTab 50302
#define sipName_CE_TabBarTab &sipStrings_QtWidgets[50302]
#define sipNameNr_PE_PanelMenu 50315
#define sipName_PE_PanelMenu &sipStrings_QtWidgets[50315]
#define sipNameNr_PE_FrameMenu 50328
#define sipName_PE_FrameMenu &sipStrings_QtWidgets[50328]
#define sipNameNr_State_Window 50341
#define sipName_State_Window &sipStrings_QtWidgets[50341]
#define sipNameNr_State_Active 50354
#define sipName_State_Active &sipStrings_QtWidgets[50354]
#define sipNameNr_State_Bottom 50367
#define sipName_State_Bottom &sipStrings_QtWidgets[50367]
#define sipNameNr_State_Sunken 50380
#define sipName_State_Sunken &sipStrings_QtWidgets[50380]
#define sipNameNr_State_Raised 50393
#define sipName_State_Raised &sipStrings_QtWidgets[50393]
#define sipNameNr_stackingMode 50406
#define sipName_stackingMode &sipStrings_QtWidgets[50406]
#define sipNameNr_StackingMode 8342
#define sipName_StackingMode &sipStrings_QtWidgets[8342]
#define sipNameNr_moveSplitter 50419
#define sipName_moveSplitter &sipStrings_QtWidgets[50419]
#define sipNameNr_createHandle 50432
#define sipName_createHandle &sipStrings_QtWidgets[50432]
#define sipNameNr_opaqueResize 50445
#define sipName_opaqueResize &sipStrings_QtWidgets[50445]
#define sipNameNr_clearMessage 50458
#define sipName_clearMessage &sipStrings_QtWidgets[50458]
#define sipNameNr_tickInterval 50471
#define sipName_tickInterval &sipStrings_QtWidgets[50471]
#define sipNameNr_tickPosition 50484
#define sipName_tickPosition &sipStrings_QtWidgets[50484]
#define sipNameNr_TickPosition 18444
#define sipName_TickPosition &sipStrings_QtWidgets[18444]
#define sipNameNr_ControlTypes 11441
#define sipName_ControlTypes &sipStrings_QtWidgets[11441]
#define sipNameNr_scrollMetric 50497
#define sipName_scrollMetric &sipStrings_QtWidgets[50497]
#define sipNameNr_ScrollMetric 4526
#define sipName_ScrollMetric &sipStrings_QtWidgets[4526]
#define sipNameNr_InputRelease 50510
#define sipName_InputRelease &sipStrings_QtWidgets[50510]
#define sipNameNr_TouchGesture 50523
#define sipName_TouchGesture &sipStrings_QtWidgets[50523]
#define sipNameNr_QRadioButton 50536
#define sipName_QRadioButton &sipStrings_QtWidgets[50536]
#define sipNameNr_itemTextRect 50549
#define sipName_itemTextRect &sipStrings_QtWidgets[50549]
#define sipNameNr_drawItemText 50562
#define sipName_drawItemText &sipStrings_QtWidgets[50562]
#define sipNameNr_setBaseStyle 50575
#define sipName_setBaseStyle &sipStrings_QtWidgets[50575]
#define sipNameNr_setAutoClose 50588
#define sipName_setAutoClose &sipStrings_QtWidgets[50588]
#define sipNameNr_setAutoReset 50601
#define sipName_setAutoReset &sipStrings_QtWidgets[50601]
#define sipNameNr_QProgressBar 50614
#define sipName_QProgressBar &sipStrings_QtWidgets[50614]
#define sipNameNr_centerCursor 50627
#define sipName_centerCursor &sipStrings_QtWidgets[50627]
#define sipNameNr_tabStopWidth 50640
#define sipName_tabStopWidth &sipStrings_QtWidgets[50640]
#define sipNameNr_wordWrapMode 50653
#define sipName_wordWrapMode &sipStrings_QtWidgets[50653]
#define sipNameNr_lineWrapMode 50666
#define sipName_lineWrapMode &sipStrings_QtWidgets[50666]
#define sipNameNr_LineWrapMode 8400
#define sipName_LineWrapMode &sipStrings_QtWidgets[8400]
#define sipNameNr_detailedText 50679
#define sipName_detailedText &sipStrings_QtWidgets[50679]
#define sipNameNr_escapeButton 50692
#define sipName_escapeButton &sipStrings_QtWidgets[50692]
#define sipNameNr_setDefaultUp 50705
#define sipName_setDefaultUp &sipStrings_QtWidgets[50705]
#define sipNameNr_activeAction 50718
#define sipName_activeAction &sipStrings_QtWidgets[50718]
#define sipNameNr_addSeparator 50731
#define sipName_addSeparator &sipStrings_QtWidgets[50731]
#define sipNameNr_tabsClosable 50744
#define sipName_tabsClosable &sipStrings_QtWidgets[50744]
#define sipNameNr_addSubWindow 50757
#define sipName_addSubWindow &sipStrings_QtWidgets[50757]
#define sipNameNr_documentMode 50770
#define sipName_documentMode &sipStrings_QtWidgets[50770]
#define sipNameNr_toolBarBreak 50783
#define sipName_toolBarBreak &sipStrings_QtWidgets[50783]
#define sipNameNr_VerticalTabs 50796
#define sipName_VerticalTabs &sipStrings_QtWidgets[50796]
#define sipNameNr_setStatusBar 50809
#define sipName_setStatusBar &sipStrings_QtWidgets[50809]
#define sipNameNr_scrollToItem 50822
#define sipName_scrollToItem &sipStrings_QtWidgets[50822]
#define sipNameNr_setBatchSize 50835
#define sipName_setBatchSize &sipStrings_QtWidgets[50835]
#define sipNameNr_rectForIndex 50848
#define sipName_rectForIndex &sipStrings_QtWidgets[50848]
#define sipNameNr_indexesMoved 50861
#define sipName_indexesMoved &sipStrings_QtWidgets[50861]
#define sipNameNr_setRowHidden 50874
#define sipName_setRowHidden &sipStrings_QtWidgets[50874]
#define sipNameNr_setInputMask 50887
#define sipName_setInputMask &sipStrings_QtWidgets[50887]
#define sipNameNr_setMaxLength 50900
#define sipName_setMaxLength &sipStrings_QtWidgets[50900]
#define sipNameNr_segmentStyle 50913
#define sipName_segmentStyle &sipStrings_QtWidgets[50913]
#define sipNameNr_setNumDigits 50926
#define sipName_setNumDigits &sipStrings_QtWidgets[50926]
#define sipNameNr_SegmentStyle 13013
#define sipName_SegmentStyle &sipStrings_QtWidgets[13013]
#define sipNameNr_controlTypes 50939
#define sipName_controlTypes &sipStrings_QtWidgets[50939]
#define sipNameNr_removeWidget 50952
#define sipName_removeWidget &sipStrings_QtWidgets[50952]
#define sipNameNr_SetFixedSize 50965
#define sipName_SetFixedSize &sipStrings_QtWidgets[50965]
#define sipNameNr_modifierMask 50978
#define sipName_modifierMask &sipStrings_QtWidgets[50978]
#define sipNameNr_createWidget 50991
#define sipName_createWidget &sipStrings_QtWidgets[50991]
#define sipNameNr_okButtonText 51004
#define sipName_okButtonText &sipStrings_QtWidgets[51004]
#define sipNameNr_textEchoMode 51017
#define sipName_textEchoMode &sipStrings_QtWidgets[51017]
#define sipNameNr_setTextValue 51030
#define sipName_setTextValue &sipStrings_QtWidgets[51030]
#define sipNameNr_setInputMode 51043
#define sipName_setInputMode &sipStrings_QtWidgets[51043]
#define sipNameNr_QInputDialog 51056
#define sipName_QInputDialog &sipStrings_QtWidgets[51056]
#define sipNameNr_swapSections 51069
#define sipName_swapSections &sipStrings_QtWidgets[51069]
#define sipNameNr_paintSection 51082
#define sipName_paintSection &sipStrings_QtWidgets[51082]
#define sipNameNr_sectionMoved 51095
#define sipName_sectionMoved &sipStrings_QtWidgets[51095]
#define sipNameNr_logicalIndex 51108
#define sipName_logicalIndex &sipStrings_QtWidgets[51108]
#define sipNameNr_originCorner 51121
#define sipName_originCorner &sipStrings_QtWidgets[51121]
#define sipNameNr_insertAction 51134
#define sipName_insertAction &sipStrings_QtWidgets[51134]
#define sipNameNr_grabShortcut 51147
#define sipName_grabShortcut &sipStrings_QtWidgets[51147]
#define sipNameNr_resizeAnchor 51160
#define sipName_resizeAnchor &sipStrings_QtWidgets[51160]
#define sipNameNr_angleChanged 51173
#define sipName_angleChanged &sipStrings_QtWidgets[51173]
#define sipNameNr_bspTreeDepth 51186
#define sipName_bspTreeDepth &sipStrings_QtWidgets[51186]
#define sipNameNr_setFocusItem 51199
#define sipName_setFocusItem &sipStrings_QtWidgets[51199]
#define sipNameNr_setSceneRect 51212
#define sipName_setSceneRect &sipStrings_QtWidgets[51212]
#define sipNameNr_BspTreeIndex 51225
#define sipName_BspTreeIndex &sipStrings_QtWidgets[51225]
#define sipNameNr_graphicsItem 51238
#define sipName_graphicsItem &sipStrings_QtWidgets[51238]
#define sipNameNr_contentsRect 51251
#define sipName_contentsRect &sipStrings_QtWidgets[51251]
#define sipNameNr_scaleChanged 51264
#define sipName_scaleChanged &sipStrings_QtWidgets[51264]
#define sipNameNr_setShapeMode 51277
#define sipName_setShapeMode &sipStrings_QtWidgets[51277]
#define sipNameNr_setSpanAngle 51290
#define sipName_setSpanAngle &sipStrings_QtWidgets[51290]
#define sipNameNr_parentObject 51303
#define sipName_parentObject &sipStrings_QtWidgets[51303]
#define sipNameNr_isUnderMouse 51316
#define sipName_isUnderMouse &sipStrings_QtWidgets[51316]
#define sipNameNr_grabKeyboard 43497
#define sipName_grabKeyboard &sipStrings_QtWidgets[43497]
#define sipNameNr_mapFromScene 51329
#define sipName_mapFromScene &sipStrings_QtWidgets[51329]
#define sipNameNr_isObscuredBy 51342
#define sipName_isObscuredBy &sipStrings_QtWidgets[51342]
#define sipNameNr_topLevelItem 51355
#define sipName_topLevelItem &sipStrings_QtWidgets[51355]
#define sipNameNr_rowAlignment 12513
#define sipName_rowAlignment &sipStrings_QtWidgets[12513]
#define sipNameNr_setBlurHints 51368
#define sipName_setBlurHints &sipStrings_QtWidgets[51368]
#define sipNameNr_colorChanged 51381
#define sipName_colorChanged &sipStrings_QtWidgets[51381]
#define sipNameNr_sourcePixmap 51394
#define sipName_sourcePixmap &sipStrings_QtWidgets[51394]
#define sipNameNr_orientations 51407
#define sipName_orientations &sipStrings_QtWidgets[51407]
#define sipNameNr_unsetSpacing 51420
#define sipName_unsetSpacing &sipStrings_QtWidgets[51420]
#define sipNameNr_MayBeGesture 51433
#define sipName_MayBeGesture &sipStrings_QtWidgets[51433]
#define sipNameNr_acceleration 51446
#define sipName_acceleration &sipStrings_QtWidgets[51446]
#define sipNameNr_unsetHotSpot 51459
#define sipName_unsetHotSpot &sipStrings_QtWidgets[51459]
#define sipNameNr_setFrameRect 51472
#define sipName_setFrameRect &sipStrings_QtWidgets[51472]
#define sipNameNr_SpanningRole 51485
#define sipName_SpanningRole &sipStrings_QtWidgets[51485]
#define sipNameNr_WrapLongRows 51498
#define sipName_WrapLongRows &sipStrings_QtWidgets[51498]
#define sipNameNr_DontWrapRows 51511
#define sipName_DontWrapRows &sipStrings_QtWidgets[51511]
#define sipNameNr_fontSelected 51524
#define sipName_fontSelected &sipStrings_QtWidgets[51524]
#define sipNameNr_selectedFont 51537
#define sipName_selectedFont &sipStrings_QtWidgets[51537]
#define sipNameNr_urlsSelected 51550
#define sipName_urlsSelected &sipStrings_QtWidgets[51550]
#define sipNameNr_selectedUrls 51563
#define sipName_selectedUrls &sipStrings_QtWidgets[51563]
#define sipNameNr_directoryUrl 51576
#define sipName_directoryUrl &sipStrings_QtWidgets[51576]
#define sipNameNr_restoreState 51589
#define sipName_restoreState &sipStrings_QtWidgets[51589]
#define sipNameNr_fileSelected 51602
#define sipName_fileSelected &sipStrings_QtWidgets[51602]
#define sipNameNr_setLabelText 51615
#define sipName_setLabelText &sipStrings_QtWidgets[51615]
#define sipNameNr_setDirectory 51628
#define sipName_setDirectory &sipStrings_QtWidgets[51628]
#define sipNameNr_DontUseSheet 51641
#define sipName_DontUseSheet &sipStrings_QtWidgets[51641]
#define sipNameNr_ShowDirsOnly 51654
#define sipName_ShowDirsOnly &sipStrings_QtWidgets[51654]
#define sipNameNr_ExistingFile 51667
#define sipName_ExistingFile &sipStrings_QtWidgets[51667]
#define sipNameNr_midLineWidth 51680
#define sipName_midLineWidth &sipStrings_QtWidgets[51680]
#define sipNameNr_allowedAreas 51693
#define sipName_allowedAreas &sipStrings_QtWidgets[51693]
#define sipNameNr_iconProvider 51706
#define sipName_iconProvider &sipStrings_QtWidgets[51706]
#define sipNameNr_FileNameRole 51719
#define sipName_FileNameRole &sipStrings_QtWidgets[51719]
#define sipNameNr_FilePathRole 51732
#define sipName_FilePathRole &sipStrings_QtWidgets[51732]
#define sipNameNr_FileIconRole 51745
#define sipName_FileIconRole &sipStrings_QtWidgets[51745]
#define sipNameNr_ButtonLayout 6830
#define sipName_ButtonLayout &sipStrings_QtWidgets[6830]
#define sipNameNr_screenNumber 51758
#define sipName_screenNumber &sipStrings_QtWidgets[51758]
#define sipNameNr_sectionCount 51771
#define sipName_sectionCount &sipStrings_QtWidgets[51771]
#define sipNameNr_setTimeRange 51784
#define sipName_setTimeRange &sipStrings_QtWidgets[51784]
#define sipNameNr_MonthSection 51797
#define sipName_MonthSection &sipStrings_QtWidgets[51797]
#define sipNameNr_clearMapping 51810
#define sipName_clearMapping &sipStrings_QtWidgets[51810]
#define sipNameNr_submitPolicy 51823
#define sipName_submitPolicy &sipStrings_QtWidgets[51823]
#define sipNameNr_ManualSubmit 51836
#define sipName_ManualSubmit &sipStrings_QtWidgets[51836]
#define sipNameNr_SubmitPolicy 5770
#define sipName_SubmitPolicy &sipStrings_QtWidgets[5770]
#define sipNameNr_modelSorting 51849
#define sipName_modelSorting &sipStrings_QtWidgets[51849]
#define sipNameNr_ModelSorting 13288
#define sipName_ModelSorting &sipStrings_QtWidgets[13288]
#define sipNameNr_standardIcon 51862
#define sipName_standardIcon &sipStrings_QtWidgets[51862]
#define sipNameNr_QCommonStyle 51875
#define sipName_QCommonStyle &sipStrings_QtWidgets[51875]
#define sipNameNr_setCompleter 51888
#define sipName_setCompleter &sipStrings_QtWidgets[51888]
#define sipNameNr_setValidator 51901
#define sipName_setValidator &sipStrings_QtWidgets[51901]
#define sipNameNr_insertPolicy 51914
#define sipName_insertPolicy &sipStrings_QtWidgets[51914]
#define sipNameNr_InsertPolicy 15289
#define sipName_InsertPolicy &sipStrings_QtWidgets[15289]
#define sipNameNr_createColumn 51927
#define sipName_createColumn &sipStrings_QtWidgets[51927]
#define sipNameNr_columnWidths 51940
#define sipName_columnWidths &sipStrings_QtWidgets[51940]
#define sipNameNr_currentColor 51953
#define sipName_currentColor &sipStrings_QtWidgets[51953]
#define sipNameNr_QColorDialog 51966
#define sipName_QColorDialog &sipStrings_QtWidgets[51966]
#define sipNameNr_showNextYear 51979
#define sipName_showNextYear &sipStrings_QtWidgets[51979]
#define sipNameNr_setDateRange 51992
#define sipName_setDateRange &sipStrings_QtWidgets[51992]
#define sipNameNr_selectedDate 52005
#define sipName_selectedDate &sipStrings_QtWidgets[52005]
#define sipNameNr_LongDayNames 52018
#define sipName_LongDayNames &sipStrings_QtWidgets[52018]
#define sipNameNr_removeButton 52031
#define sipName_removeButton &sipStrings_QtWidgets[52031]
#define sipNameNr_QButtonGroup 52044
#define sipName_QButtonGroup &sipStrings_QtWidgets[52044]
#define sipNameNr_insertLayout 52057
#define sipName_insertLayout &sipStrings_QtWidgets[52057]
#define sipNameNr_insertWidget 52070
#define sipName_insertWidget &sipStrings_QtWidgets[52070]
#define sipNameNr_focusChanged 52083
#define sipName_focusChanged &sipStrings_QtWidgets[52083]
#define sipNameNr_activeWindow 52096
#define sipName_activeWindow &sipStrings_QtWidgets[52096]
#define sipNameNr_setColorSpec 52109
#define sipName_setColorSpec &sipStrings_QtWidgets[52109]
#define sipNameNr_QApplication 52122
#define sipName_QApplication &sipStrings_QtWidgets[52122]
#define sipNameNr_setExclusive 52135
#define sipName_setExclusive &sipStrings_QtWidgets[52135]
#define sipNameNr_removeAction 52148
#define sipName_removeAction &sipStrings_QtWidgets[52148]
#define sipNameNr_QActionGroup 52161
#define sipName_QActionGroup &sipStrings_QtWidgets[52161]
#define sipNameNr_setShortcuts 52174
#define sipName_setShortcuts &sipStrings_QtWidgets[52174]
#define sipNameNr_parentWidget 52187
#define sipName_parentWidget &sipStrings_QtWidgets[52187]
#define sipNameNr_setSeparator 52200
#define sipName_setSeparator &sipStrings_QtWidgets[52200]
#define sipNameNr_UpDownArrows 52213
#define sipName_UpDownArrows &sipStrings_QtWidgets[52213]
#define sipNameNr_sliderChange 52226
#define sipName_sliderChange &sipStrings_QtWidgets[52226]
#define sipNameNr_SliderChange 7642
#define sipName_SliderChange &sipStrings_QtWidgets[7642]
#define sipNameNr_repeatAction 52239
#define sipName_repeatAction &sipStrings_QtWidgets[52239]
#define sipNameNr_rangeChanged 52252
#define sipName_rangeChanged &sipStrings_QtWidgets[52252]
#define sipNameNr_SliderAction 7672
#define sipName_SliderAction &sipStrings_QtWidgets[7672]
#define sipNameNr_isSliderDown 52265
#define sipName_isSliderDown &sipStrings_QtWidgets[52265]
#define sipNameNr_cornerWidget 52278
#define sipName_cornerWidget &sipStrings_QtWidgets[52278]
#define sipNameNr_dragDropMode 52291
#define sipName_dragDropMode &sipStrings_QtWidgets[52291]
#define sipNameNr_EditingState 52304
#define sipName_EditingState &sipStrings_QtWidgets[52304]
#define sipNameNr_setSelection 52317
#define sipName_setSelection &sipStrings_QtWidgets[52317]
#define sipNameNr_MovePrevious 52330
#define sipName_MovePrevious &sipStrings_QtWidgets[52330]
#define sipNameNr_MovePageDown 52343
#define sipName_MovePageDown &sipStrings_QtWidgets[52343]
#define sipNameNr_CursorAction 5866
#define sipName_CursorAction &sipStrings_QtWidgets[5866]
#define sipNameNr_setRootIndex 52356
#define sipName_setRootIndex &sipStrings_QtWidgets[52356]
#define sipNameNr_editTriggers 52369
#define sipName_editTriggers &sipStrings_QtWidgets[52369]
#define sipNameNr_itemDelegate 52382
#define sipName_itemDelegate &sipStrings_QtWidgets[52382]
#define sipNameNr_EditTriggers 5930
#define sipName_EditTriggers &sipStrings_QtWidgets[5930]
#define sipNameNr_InternalMove 52395
#define sipName_InternalMove &sipStrings_QtWidgets[52395]
#define sipNameNr_DragDropMode 5962
#define sipName_DragDropMode &sipStrings_QtWidgets[5962]
#define sipNameNr_setModelData 52408
#define sipName_setModelData &sipStrings_QtWidgets[52408]
#define sipNameNr_createEditor 52421
#define sipName_createEditor &sipStrings_QtWidgets[52421]
#define sipNameNr_EditNextItem 52434
#define sipName_EditNextItem &sipStrings_QtWidgets[52434]
#define sipNameNr_animateClick 52447
#define sipName_animateClick &sipStrings_QtWidgets[52447]
#define sipNameNr_focusInEvent 52460
#define sipName_focusInEvent &sipStrings_QtWidgets[52460]
#define sipNameNr_isAncestorOf 52473
#define sipName_isAncestorOf &sipStrings_QtWidgets[52473]
#define sipNameNr_setLineWidth 52486
#define sipName_setLineWidth &sipStrings_QtWidgets[52486]
#define sipNameNr_maximumWidth 52499
#define sipName_maximumWidth &sipStrings_QtWidgets[52499]
#define sipNameNr_minimumWidth 52512
#define sipName_minimumWidth &sipStrings_QtWidgets[52512]
#define sipNameNr_drawContents 52525
#define sipName_drawContents &sipStrings_QtWidgets[52525]
#define sipNameNr_loadResource 52538
#define sipName_loadResource &sipStrings_QtWidgets[52538]
#define sipNameNr_setPlainText 52551
#define sipName_setPlainText &sipStrings_QtWidgets[52551]
#define sipNameNr_selectedText 52564
#define sipName_selectedText &sipStrings_QtWidgets[52564]
#define sipNameNr_setTextWidth 52577
#define sipName_setTextWidth &sipStrings_QtWidgets[52577]
#define sipNameNr_setWhatsThis 52590
#define sipName_setWhatsThis &sipStrings_QtWidgets[52590]
#define sipNameNr_setStatusTip 52603
#define sipName_setStatusTip &sipStrings_QtWidgets[52603]
#define sipNameNr_sortChildren 52616
#define sipName_sortChildren &sipStrings_QtWidgets[52616]
#define sipNameNr_setCheckable 52629
#define sipName_setCheckable &sipStrings_QtWidgets[52629]
#define sipNameNr_initializeGL 52642
#define sipName_initializeGL &sipStrings_QtWidgets[52642]
#define sipNameNr_frameSwapped 52655
#define sipName_frameSwapped &sipStrings_QtWidgets[52655]
#define sipNameNr_setAlignment 52668
#define sipName_setAlignment &sipStrings_QtWidgets[52668]
#define sipNameNr_setCacheMode 52681
#define sipName_setCacheMode &sipStrings_QtWidgets[52681]
#define sipNameNr_boundingRect 52694
#define sipName_boundingRect &sipStrings_QtWidgets[52694]
#define sipNameNr_lastScenePos 52707
#define sipName_lastScenePos &sipStrings_QtWidgets[52707]
#define sipNameNr_setTransform 44907
#define sipName_setTransform &sipStrings_QtWidgets[44907]
#define sipNameNr_documentSize 52720
#define sipName_documentSize &sipStrings_QtWidgets[52720]
#define sipNameNr_valueChanged 52733
#define sipName_valueChanged &sipStrings_QtWidgets[52733]
#define sipNameNr_HighPriority 52746
#define sipName_HighPriority &sipStrings_QtWidgets[52746]
#define sipNameNr_currentIndex 52759
#define sipName_currentIndex &sipStrings_QtWidgets[52759]
#define sipNameNr_lastModified 52772
#define sipName_lastModified &sipStrings_QtWidgets[52772]
#define sipNameNr_IteratorFlag 2137
#define sipName_IteratorFlag &sipStrings_QtWidgets[2137]
#define sipNameNr_setAttribute 52785
#define sipName_setAttribute &sipStrings_QtWidgets[52785]
#define sipNameNr_onTransition 52798
#define sipName_onTransition &sipStrings_QtWidgets[52798]
#define sipNameNr_removeColumn 52811
#define sipName_removeColumn &sipStrings_QtWidgets[52811]
#define sipNameNr_insertColumn 52824
#define sipName_insertColumn &sipStrings_QtWidgets[52824]
#define sipNameNr_rowsInserted 52837
#define sipName_rowsInserted &sipStrings_QtWidgets[52837]
#define sipNameNr_canFetchMore 52850
#define sipName_canFetchMore &sipStrings_QtWidgets[52850]
#define sipNameNr_dropMimeData 52863
#define sipName_dropMimeData &sipStrings_QtWidgets[52863]
#define sipNameNr_stateChanged 52876
#define sipName_stateChanged &sipStrings_QtWidgets[52876]
#define sipNameNr_setDirection 52889
#define sipName_setDirection &sipStrings_QtWidgets[52889]
#define sipNameNr_isFinalPage 52902
#define sipName_isFinalPage &sipStrings_QtWidgets[52902]
#define sipNameNr_setSubTitle 52914
#define sipName_setSubTitle &sipStrings_QtWidgets[52914]
#define sipNameNr_QWizardPage 52926
#define sipName_QWizardPage &sipStrings_QtWidgets[52926]
#define sipNameNr_pageRemoved 52938
#define sipName_pageRemoved &sipStrings_QtWidgets[52938]
#define sipNameNr_cleanupPage 52950
#define sipName_cleanupPage &sipStrings_QtWidgets[52950]
#define sipNameNr_titleFormat 52962
#define sipName_titleFormat &sipStrings_QtWidgets[52962]
#define sipNameNr_wizardStyle 52974
#define sipName_wizardStyle &sipStrings_QtWidgets[52974]
#define sipNameNr_currentPage 52986
#define sipName_currentPage &sipStrings_QtWidgets[52986]
#define sipNameNr_ModernStyle 52998
#define sipName_ModernStyle &sipStrings_QtWidgets[52998]
#define sipNameNr_WizardStyle 19962
#define sipName_WizardStyle &sipStrings_QtWidgets[19962]
#define sipNameNr_initPainter 53010
#define sipName_initPainter &sipStrings_QtWidgets[53010]
#define sipNameNr_nativeEvent 53022
#define sipName_nativeEvent &sipStrings_QtWidgets[53022]
#define sipNameNr_unsetLocale 53034
#define sipName_unsetLocale &sipStrings_QtWidgets[53034]
#define sipNameNr_isMaximized 53046
#define sipName_isMaximized &sipStrings_QtWidgets[53046]
#define sipNameNr_isMinimized 53058
#define sipName_isMinimized &sipStrings_QtWidgets[53058]
#define sipNameNr_isEnabledTo 53070
#define sipName_isEnabledTo &sipStrings_QtWidgets[53070]
#define sipNameNr_activeStack 53082
#define sipName_activeStack &sipStrings_QtWidgets[53082]
#define sipNameNr_removeStack 53094
#define sipName_removeStack &sipStrings_QtWidgets[53094]
#define sipNameNr_NotEditable 53106
#define sipName_NotEditable &sipStrings_QtWidgets[53106]
#define sipNameNr_HasChildren 53118
#define sipName_HasChildren &sipStrings_QtWidgets[53118]
#define sipNameNr_DropEnabled 53130
#define sipName_DropEnabled &sipStrings_QtWidgets[53130]
#define sipNameNr_DragEnabled 44878
#define sipName_DragEnabled &sipStrings_QtWidgets[44878]
#define sipNameNr_QTreeWidget 53142
#define sipName_QTreeWidget &sipStrings_QtWidgets[53142]
#define sipNameNr_removeChild 53154
#define sipName_removeChild &sipStrings_QtWidgets[53154]
#define sipNameNr_addChildren 53166
#define sipName_addChildren &sipStrings_QtWidgets[53166]
#define sipNameNr_insertChild 53178
#define sipName_insertChild &sipStrings_QtWidgets[53178]
#define sipNameNr_collapseAll 53190
#define sipName_collapseAll &sipStrings_QtWidgets[53190]
#define sipNameNr_setExpanded 53202
#define sipName_setExpanded &sipStrings_QtWidgets[53202]
#define sipNameNr_indentation 53214
#define sipName_indentation &sipStrings_QtWidgets[53214]
#define sipNameNr_QToolButton 53226
#define sipName_QToolButton &sipStrings_QtWidgets[53226]
#define sipNameNr_itemRemoved 53238
#define sipName_itemRemoved &sipStrings_QtWidgets[53238]
#define sipNameNr_itemToolTip 53250
#define sipName_itemToolTip &sipStrings_QtWidgets[53250]
#define sipNameNr_isFloatable 53262
#define sipName_isFloatable &sipStrings_QtWidgets[53262]
#define sipNameNr_cellChanged 53274
#define sipName_cellChanged &sipStrings_QtWidgets[53274]
#define sipNameNr_cellEntered 53286
#define sipName_cellEntered &sipStrings_QtWidgets[53286]
#define sipNameNr_cellClicked 53298
#define sipName_cellClicked &sipStrings_QtWidgets[53298]
#define sipNameNr_cellPressed 53310
#define sipName_cellPressed &sipStrings_QtWidgets[53310]
#define sipNameNr_tableWidget 53322
#define sipName_tableWidget &sipStrings_QtWidgets[53322]
#define sipNameNr_rightColumn 53334
#define sipName_rightColumn &sipStrings_QtWidgets[53334]
#define sipNameNr_columnMoved 53346
#define sipName_columnMoved &sipStrings_QtWidgets[53346]
#define sipNameNr_setShowGrid 53358
#define sipName_setShowGrid &sipStrings_QtWidgets[53358]
#define sipNameNr_columnWidth 53370
#define sipName_columnWidth &sipStrings_QtWidgets[53370]
#define sipNameNr_setAutoHide 53382
#define sipName_setAutoHide &sipStrings_QtWidgets[53382]
#define sipNameNr_tabInserted 53394
#define sipName_tabInserted &sipStrings_QtWidgets[53394]
#define sipNameNr_tabSizeHint 53406
#define sipName_tabSizeHint &sipStrings_QtWidgets[53406]
#define sipNameNr_setDrawBase 53418
#define sipName_setDrawBase &sipStrings_QtWidgets[53418]
#define sipNameNr_RoundedEast 53430
#define sipName_RoundedEast &sipStrings_QtWidgets[53430]
#define sipNameNr_RoundedWest 53442
#define sipName_RoundedWest &sipStrings_QtWidgets[53442]
#define sipNameNr_contextMenu 53454
#define sipName_contextMenu &sipStrings_QtWidgets[53454]
#define sipNameNr_MessageIcon 7908
#define sipName_MessageIcon &sipStrings_QtWidgets[7908]
#define sipNameNr_MiddleClick 53466
#define sipName_MiddleClick &sipStrings_QtWidgets[53466]
#define sipNameNr_DoubleClick 13730
#define sipName_DoubleClick &sipStrings_QtWidgets[13730]
#define sipNameNr_exposedRect 53478
#define sipName_exposedRect &sipStrings_QtWidgets[53478]
#define sipNameNr_currentIcon 53490
#define sipName_currentIcon &sipStrings_QtWidgets[53490]
#define sipNameNr_sliderValue 53502
#define sipName_sliderValue &sipStrings_QtWidgets[53502]
#define sipNameNr_subControls 53514
#define sipName_subControls &sipStrings_QtWidgets[53514]
#define sipNameNr_DefaultItem 53526
#define sipName_DefaultItem &sipStrings_QtWidgets[53526]
#define sipNameNr_bottomToTop 53538
#define sipName_bottomToTop &sipStrings_QtWidgets[53538]
#define sipNameNr_textVisible 53550
#define sipName_textVisible &sipStrings_QtWidgets[53550]
#define sipNameNr_TabFeatures 7937
#define sipName_TabFeatures &sipStrings_QtWidgets[7937]
#define sipNameNr_TabPosition 4829
#define sipName_TabPosition &sipStrings_QtWidgets[4829]
#define sipNameNr_NotAdjacent 53562
#define sipName_NotAdjacent &sipStrings_QtWidgets[53562]
#define sipNameNr_styleObject 53574
#define sipName_styleObject &sipStrings_QtWidgets[53574]
#define sipNameNr_SO_SizeGrip 53586
#define sipName_SO_SizeGrip &sipStrings_QtWidgets[53586]
#define sipNameNr_SO_GroupBox 53598
#define sipName_SO_GroupBox &sipStrings_QtWidgets[53598]
#define sipNameNr_SO_TitleBar 53610
#define sipName_SO_TitleBar &sipStrings_QtWidgets[53610]
#define sipNameNr_SO_ComboBox 53622
#define sipName_SO_ComboBox &sipStrings_QtWidgets[53622]
#define sipNameNr_SO_ViewItem 53634
#define sipName_SO_ViewItem &sipStrings_QtWidgets[53634]
#define sipNameNr_SO_MenuItem 53646
#define sipName_SO_MenuItem &sipStrings_QtWidgets[53646]
#define sipNameNr_alignedRect 53658
#define sipName_alignedRect &sipStrings_QtWidgets[53658]
#define sipNameNr_SP_FileIcon 53670
#define sipName_SP_FileIcon &sipStrings_QtWidgets[53670]
#define sipNameNr_CT_GroupBox 53682
#define sipName_CT_GroupBox &sipStrings_QtWidgets[53682]
#define sipNameNr_CT_SizeGrip 53694
#define sipName_CT_SizeGrip &sipStrings_QtWidgets[53694]
#define sipNameNr_CT_LineEdit 53706
#define sipName_CT_LineEdit &sipStrings_QtWidgets[53706]
#define sipNameNr_CT_MenuItem 53718
#define sipName_CT_MenuItem &sipStrings_QtWidgets[53718]
#define sipNameNr_CT_Splitter 53730
#define sipName_CT_Splitter &sipStrings_QtWidgets[53730]
#define sipNameNr_CT_ComboBox 53742
#define sipName_CT_ComboBox &sipStrings_QtWidgets[53742]
#define sipNameNr_CT_CheckBox 53754
#define sipName_CT_CheckBox &sipStrings_QtWidgets[53754]
#define sipNameNr_PixelMetric 23701
#define sipName_PixelMetric &sipStrings_QtWidgets[23701]
#define sipNameNr_SubControls 23721
#define sipName_SubControls &sipStrings_QtWidgets[23721]
#define sipNameNr_CC_GroupBox 53766
#define sipName_CC_GroupBox &sipStrings_QtWidgets[53766]
#define sipNameNr_CC_TitleBar 53778
#define sipName_CC_TitleBar &sipStrings_QtWidgets[53778]
#define sipNameNr_CC_ComboBox 53790
#define sipName_CC_ComboBox &sipStrings_QtWidgets[53790]
#define sipNameNr_CE_Splitter 53802
#define sipName_CE_Splitter &sipStrings_QtWidgets[53802]
#define sipNameNr_CE_SizeGrip 53814
#define sipName_CE_SizeGrip &sipStrings_QtWidgets[53814]
#define sipNameNr_CE_MenuItem 53826
#define sipName_CE_MenuItem &sipStrings_QtWidgets[53826]
#define sipNameNr_CE_CheckBox 53838
#define sipName_CE_CheckBox &sipStrings_QtWidgets[53838]
#define sipNameNr_State_Small 53850
#define sipName_State_Small &sipStrings_QtWidgets[53850]
#define sipNameNr_handleWidth 53862
#define sipName_handleWidth &sipStrings_QtWidgets[53862]
#define sipNameNr_RadioButton 14402
#define sipName_RadioButton &sipStrings_QtWidgets[14402]
#define sipNameNr_DefaultType 53874
#define sipName_DefaultType &sipStrings_QtWidgets[53874]
#define sipNameNr_ControlType 12889
#define sipName_ControlType &sipStrings_QtWidgets[12889]
#define sipNameNr_handleInput 53886
#define sipName_handleInput &sipStrings_QtWidgets[53886]
#define sipNameNr_hasScroller 53898
#define sipName_hasScroller &sipStrings_QtWidgets[53898]
#define sipNameNr_QScrollArea 53910
#define sipName_QScrollArea &sipStrings_QtWidgets[53910]
#define sipNameNr_QRubberBand 53922
#define sipName_QRubberBand &sipStrings_QtWidgets[53922]
#define sipNameNr_autoDefault 53934
#define sipName_autoDefault &sipStrings_QtWidgets[53934]
#define sipNameNr_QProxyStyle 53946
#define sipName_QProxyStyle &sipStrings_QtWidgets[53946]
#define sipNameNr_wasCanceled 53958
#define sipName_wasCanceled &sipStrings_QtWidgets[53958]
#define sipNameNr_resetFormat 53970
#define sipName_resetFormat &sipStrings_QtWidgets[53970]
#define sipNameNr_cursorWidth 53982
#define sipName_cursorWidth &sipStrings_QtWidgets[53982]
#define sipNameNr_WidgetWidth 53994
#define sipName_WidgetWidth &sipStrings_QtWidgets[53994]
#define sipNameNr_hitTestPath 54006
#define sipName_hitTestPath &sipStrings_QtWidgets[54006]
#define sipNameNr_setCheckBox 54018
#define sipName_setCheckBox &sipStrings_QtWidgets[54018]
#define sipNameNr_information 54030
#define sipName_information &sipStrings_QtWidgets[54030]
#define sipNameNr_FirstButton 54042
#define sipName_FirstButton &sipStrings_QtWidgets[54042]
#define sipNameNr_Information 12239
#define sipName_Information &sipStrings_QtWidgets[12239]
#define sipNameNr_QMessageBox 54054
#define sipName_QMessageBox &sipStrings_QtWidgets[54054]
#define sipNameNr_isDefaultUp 54066
#define sipName_isDefaultUp &sipStrings_QtWidgets[54066]
#define sipNameNr_actionEvent 54078
#define sipName_actionEvent &sipStrings_QtWidgets[54078]
#define sipNameNr_aboutToShow 54090
#define sipName_aboutToShow &sipStrings_QtWidgets[54090]
#define sipNameNr_aboutToHide 54102
#define sipName_aboutToHide &sipStrings_QtWidgets[54102]
#define sipNameNr_tabsMovable 54114
#define sipName_tabsMovable &sipStrings_QtWidgets[54114]
#define sipNameNr_WindowOrder 18621
#define sipName_WindowOrder &sipStrings_QtWidgets[18621]
#define sipNameNr_AreaOptions 18643
#define sipName_AreaOptions &sipStrings_QtWidgets[18643]
#define sipNameNr_tabPosition 54126
#define sipName_tabPosition &sipStrings_QtWidgets[54126]
#define sipNameNr_setTabShape 54138
#define sipName_setTabShape &sipStrings_QtWidgets[54138]
#define sipNameNr_dockOptions 54150
#define sipName_dockOptions &sipStrings_QtWidgets[54150]
#define sipNameNr_DockOptions 12989
#define sipName_DockOptions &sipStrings_QtWidgets[12989]
#define sipNameNr_toolBarArea 54162
#define sipName_toolBarArea &sipStrings_QtWidgets[54162]
#define sipNameNr_QMainWindow 54174
#define sipName_QMainWindow &sipStrings_QtWidgets[54174]
#define sipNameNr_itemEntered 54186
#define sipName_itemEntered &sipStrings_QtWidgets[54186]
#define sipNameNr_itemClicked 54198
#define sipName_itemClicked &sipStrings_QtWidgets[54198]
#define sipNameNr_itemPressed 54210
#define sipName_itemPressed &sipStrings_QtWidgets[54210]
#define sipNameNr_currentItem 54222
#define sipName_currentItem &sipStrings_QtWidgets[54222]
#define sipNameNr_QListWidget 54234
#define sipName_QListWidget &sipStrings_QtWidgets[54234]
#define sipNameNr_isRowHidden 54246
#define sipName_isRowHidden &sipStrings_QtWidgets[54246]
#define sipNameNr_setGridSize 54258
#define sipName_setGridSize &sipStrings_QtWidgets[54258]
#define sipNameNr_setMovement 54270
#define sipName_setMovement &sipStrings_QtWidgets[54270]
#define sipNameNr_textMargins 54282
#define sipName_textMargins &sipStrings_QtWidgets[54282]
#define sipNameNr_textChanged 54294
#define sipName_textChanged &sipStrings_QtWidgets[54294]
#define sipNameNr_setEchoMode 54306
#define sipName_setEchoMode &sipStrings_QtWidgets[54306]
#define sipNameNr_displayText 54318
#define sipName_displayText &sipStrings_QtWidgets[54318]
#define sipNameNr_QWidgetItem 54330
#define sipName_QWidgetItem &sipStrings_QtWidgets[54330]
#define sipNameNr_QSpacerItem 54342
#define sipName_QSpacerItem &sipStrings_QtWidgets[54342]
#define sipNameNr_QLayoutItem 54354
#define sipName_QLayoutItem &sipStrings_QtWidgets[54354]
#define sipNameNr_setWordWrap 54366
#define sipName_setWordWrap &sipStrings_QtWidgets[54366]
#define sipNameNr_keySequence 54378
#define sipName_keySequence &sipStrings_QtWidgets[54378]
#define sipNameNr_drawDisplay 54390
#define sipName_drawDisplay &sipStrings_QtWidgets[54390]
#define sipNameNr_doubleValue 54402
#define sipName_doubleValue &sipStrings_QtWidgets[54402]
#define sipNameNr_setIntRange 54414
#define sipName_setIntRange &sipStrings_QtWidgets[54414]
#define sipNameNr_setIntValue 54426
#define sipName_setIntValue &sipStrings_QtWidgets[54426]
#define sipNameNr_DoubleInput 54438
#define sipName_DoubleInput &sipStrings_QtWidgets[54438]
#define sipNameNr_showSection 54450
#define sipName_showSection &sipStrings_QtWidgets[54450]
#define sipNameNr_hideSection 54462
#define sipName_hideSection &sipStrings_QtWidgets[54462]
#define sipNameNr_visualIndex 54474
#define sipName_visualIndex &sipStrings_QtWidgets[54474]
#define sipNameNr_moveSection 54486
#define sipName_moveSection &sipStrings_QtWidgets[54486]
#define sipNameNr_sectionSize 54498
#define sipName_sectionSize &sipStrings_QtWidgets[54498]
#define sipNameNr_Interactive 43258
#define sipName_Interactive &sipStrings_QtWidgets[43258]
#define sipNameNr_QHeaderView 54510
#define sipName_QHeaderView &sipStrings_QtWidgets[54510]
#define sipNameNr_QGridLayout 54522
#define sipName_QGridLayout &sipStrings_QtWidgets[54522]
#define sipNameNr_polishEvent 54534
#define sipName_polishEvent &sipStrings_QtWidgets[54534]
#define sipNameNr_setTabOrder 54546
#define sipName_setTabOrder &sipStrings_QtWidgets[54546]
#define sipNameNr_focusPolicy 54558
#define sipName_focusPolicy &sipStrings_QtWidgets[54558]
#define sipNameNr_windowTitle 54570
#define sipName_windowTitle &sipStrings_QtWidgets[54570]
#define sipNameNr_windowFlags 54582
#define sipName_windowFlags &sipStrings_QtWidgets[54582]
#define sipNameNr_updateScene 54594
#define sipName_updateScene &sipStrings_QtWidgets[54594]
#define sipNameNr_setDragMode 54606
#define sipName_setDragMode &sipStrings_QtWidgets[54606]
#define sipNameNr_axisChanged 54618
#define sipName_axisChanged &sipStrings_QtWidgets[54618]
#define sipNameNr_activePanel 54630
#define sipName_activePanel &sipStrings_QtWidgets[54630]
#define sipNameNr_stickyFocus 54642
#define sipName_stickyFocus &sipStrings_QtWidgets[54642]
#define sipNameNr_SceneLayers 9307
#define sipName_SceneLayers &sipStrings_QtWidgets[9307]
#define sipNameNr_itemSpacing 54654
#define sipName_itemSpacing &sipStrings_QtWidgets[54654]
#define sipNameNr_controlType 54666
#define sipName_controlType &sipStrings_QtWidgets[54666]
#define sipNameNr_widgetEvent 54678
#define sipName_widgetEvent &sipStrings_QtWidgets[54678]
#define sipNameNr_isActivated 54690
#define sipName_isActivated &sipStrings_QtWidgets[54690]
#define sipNameNr_linkHovered 54702
#define sipName_linkHovered &sipStrings_QtWidgets[54702]
#define sipNameNr_grabGesture 47190
#define sipName_grabGesture &sipStrings_QtWidgets[47190]
#define sipNameNr_stackBefore 54714
#define sipName_stackBefore &sipStrings_QtWidgets[54714]
#define sipNameNr_setRotation 54726
#define sipName_setRotation &sipStrings_QtWidgets[54726]
#define sipNameNr_ungrabMouse 54738
#define sipName_ungrabMouse &sipStrings_QtWidgets[54738]
#define sipNameNr_isVisibleTo 54750
#define sipName_isVisibleTo &sipStrings_QtWidgets[54750]
#define sipNameNr_mapFromItem 54762
#define sipName_mapFromItem &sipStrings_QtWidgets[54762]
#define sipNameNr_mapToParent 54774
#define sipName_mapToParent &sipStrings_QtWidgets[54774]
#define sipNameNr_focusReason 54786
#define sipName_focusReason &sipStrings_QtWidgets[54786]
#define sipNameNr_acceptDrops 54798
#define sipName_acceptDrops &sipStrings_QtWidgets[54798]
#define sipNameNr_setSelected 54810
#define sipName_setSelected &sipStrings_QtWidgets[54810]
#define sipNameNr_ItemIsPanel 54822
#define sipName_ItemIsPanel &sipStrings_QtWidgets[54822]
#define sipNameNr_opacityMask 54834
#define sipName_opacityMask &sipStrings_QtWidgets[54834]
#define sipNameNr_QualityHint 54846
#define sipName_QualityHint &sipStrings_QtWidgets[54846]
#define sipNameNr_setStrength 54858
#define sipName_setStrength &sipStrings_QtWidgets[54858]
#define sipNameNr_QTapGesture 54870
#define sipName_QTapGesture &sipStrings_QtWidgets[54870]
#define sipNameNr_NoDirection 54882
#define sipName_NoDirection &sipStrings_QtWidgets[54882]
#define sipNameNr_centerPoint 54894
#define sipName_centerPoint &sipStrings_QtWidgets[54894]
#define sipNameNr_changeFlags 54906
#define sipName_changeFlags &sipStrings_QtWidgets[54906]
#define sipNameNr_ChangeFlags 8575
#define sipName_ChangeFlags &sipStrings_QtWidgets[8575]
#define sipNameNr_QPanGesture 54918
#define sipName_QPanGesture &sipStrings_QtWidgets[54918]
#define sipNameNr_frameShadow 54930
#define sipName_frameShadow &sipStrings_QtWidgets[54930]
#define sipNameNr_Shadow_Mask 54942
#define sipName_Shadow_Mask &sipStrings_QtWidgets[54942]
#define sipNameNr_StyledPanel 54954
#define sipName_StyledPanel &sipStrings_QtWidgets[54954]
#define sipNameNr_WrapAllRows 54966
#define sipName_WrapAllRows &sipStrings_QtWidgets[54966]
#define sipNameNr_QFormLayout 54978
#define sipName_QFormLayout &sipStrings_QtWidgets[54978]
#define sipNameNr_QFontDialog 54990
#define sipName_QFontDialog &sipStrings_QtWidgets[54990]
#define sipNameNr_currentFont 55002
#define sipName_currentFont &sipStrings_QtWidgets[55002]
#define sipNameNr_FontFilters 10422
#define sipName_FontFilters &sipStrings_QtWidgets[10422]
#define sipNameNr_fontFilters 55014
#define sipName_fontFilters &sipStrings_QtWidgets[55014]
#define sipNameNr_QFocusFrame 55026
#define sipName_QFocusFrame &sipStrings_QtWidgets[55026]
#define sipNameNr_fileRenamed 55038
#define sipName_fileRenamed &sipStrings_QtWidgets[55038]
#define sipNameNr_setRootPath 55050
#define sipName_setRootPath &sipStrings_QtWidgets[55050]
#define sipNameNr_urlSelected 55062
#define sipName_urlSelected &sipStrings_QtWidgets[55062]
#define sipNameNr_sidebarUrls 55074
#define sipName_sidebarUrls &sipStrings_QtWidgets[55074]
#define sipNameNr_setFileMode 55086
#define sipName_setFileMode &sipStrings_QtWidgets[55086]
#define sipNameNr_setViewMode 55098
#define sipName_setViewMode &sipStrings_QtWidgets[55098]
#define sipNameNr_DialogLabel 13264
#define sipName_DialogLabel &sipStrings_QtWidgets[13264]
#define sipNameNr_QFileDialog 55110
#define sipName_QFileDialog &sipStrings_QtWidgets[55110]
#define sipNameNr_showMessage 55122
#define sipName_showMessage &sipStrings_QtWidgets[55122]
#define sipNameNr_setFloating 55134
#define sipName_setFloating &sipStrings_QtWidgets[55134]
#define sipNameNr_setFeatures 55146
#define sipName_setFeatures &sipStrings_QtWidgets[55146]
#define sipNameNr_QDockWidget 55158
#define sipName_QDockWidget &sipStrings_QtWidgets[55158]
#define sipNameNr_InvalidRole 55170
#define sipName_InvalidRole &sipStrings_QtWidgets[55170]
#define sipNameNr_GnomeLayout 55182
#define sipName_GnomeLayout &sipStrings_QtWidgets[55182]
#define sipNameNr_notchTarget 55194
#define sipName_notchTarget &sipStrings_QtWidgets[55194]
#define sipNameNr_screenCount 55206
#define sipName_screenCount &sipStrings_QtWidgets[55206]
#define sipNameNr_setDateTime 55218
#define sipName_setDateTime &sipStrings_QtWidgets[55218]
#define sipNameNr_dateChanged 55230
#define sipName_dateChanged &sipStrings_QtWidgets[55230]
#define sipNameNr_timeChanged 55242
#define sipName_timeChanged &sipStrings_QtWidgets[55242]
#define sipNameNr_sectionText 55254
#define sipName_sectionText &sipStrings_QtWidgets[55254]
#define sipNameNr_minimumTime 55266
#define sipName_minimumTime &sipStrings_QtWidgets[55266]
#define sipNameNr_YearSection 55278
#define sipName_YearSection &sipStrings_QtWidgets[55278]
#define sipNameNr_HourSection 55290
#define sipName_HourSection &sipStrings_QtWidgets[55290]
#define sipNameNr_MSecSection 55302
#define sipName_MSecSection &sipStrings_QtWidgets[55302]
#define sipNameNr_AmPmSection 55314
#define sipName_AmPmSection &sipStrings_QtWidgets[55314]
#define sipNameNr_pixelMetric 55326
#define sipName_pixelMetric &sipStrings_QtWidgets[55326]
#define sipNameNr_drawControl 55338
#define sipName_drawControl &sipStrings_QtWidgets[55338]
#define sipNameNr_QPushButton 55350
#define sipName_QPushButton &sipStrings_QtWidgets[55350]
#define sipNameNr_currentData 55362
#define sipName_currentData &sipStrings_QtWidgets[55362]
#define sipNameNr_highlighted 55374
#define sipName_highlighted &sipStrings_QtWidgets[55374]
#define sipNameNr_setEditText 55386
#define sipName_setEditText &sipStrings_QtWidgets[55386]
#define sipNameNr_setItemIcon 55398
#define sipName_setItemIcon &sipStrings_QtWidgets[55398]
#define sipNameNr_setItemText 55410
#define sipName_setItemText &sipStrings_QtWidgets[55410]
#define sipNameNr_insertItems 55422
#define sipName_insertItems &sipStrings_QtWidgets[55422]
#define sipNameNr_currentText 55434
#define sipName_currentText &sipStrings_QtWidgets[55434]
#define sipNameNr_modelColumn 55446
#define sipName_modelColumn &sipStrings_QtWidgets[55446]
#define sipNameNr_InsertAtTop 55458
#define sipName_InsertAtTop &sipStrings_QtWidgets[55458]
#define sipNameNr_setMaxCount 55470
#define sipName_setMaxCount &sipStrings_QtWidgets[55470]
#define sipNameNr_QColumnView 55482
#define sipName_QColumnView &sipStrings_QtWidgets[55482]
#define sipNameNr_customColor 55494
#define sipName_customColor &sipStrings_QtWidgets[55494]
#define sipNameNr_customCount 55506
#define sipName_customCount &sipStrings_QtWidgets[55506]
#define sipNameNr_updateCells 55518
#define sipName_updateCells &sipStrings_QtWidgets[55518]
#define sipNameNr_maximumDate 55530
#define sipName_maximumDate &sipStrings_QtWidgets[55530]
#define sipNameNr_minimumDate 55542
#define sipName_minimumDate &sipStrings_QtWidgets[55542]
#define sipNameNr_QVBoxLayout 55554
#define sipName_QVBoxLayout &sipStrings_QtWidgets[55554]
#define sipNameNr_QHBoxLayout 55566
#define sipName_QHBoxLayout &sipStrings_QtWidgets[55566]
#define sipNameNr_BottomToTop 55578
#define sipName_BottomToTop &sipStrings_QtWidgets[55578]
#define sipNameNr_TopToBottom 55590
#define sipName_TopToBottom &sipStrings_QtWidgets[55590]
#define sipNameNr_globalStrut 55602
#define sipName_globalStrut &sipStrings_QtWidgets[55602]
#define sipNameNr_focusWidget 55614
#define sipName_focusWidget &sipStrings_QtWidgets[55614]
#define sipNameNr_CustomColor 44248
#define sipName_CustomColor &sipStrings_QtWidgets[44248]
#define sipNameNr_NormalColor 55626
#define sipName_NormalColor &sipStrings_QtWidgets[55626]
#define sipNameNr_isExclusive 55638
#define sipName_isExclusive &sipStrings_QtWidgets[55638]
#define sipNameNr_setMenuRole 55650
#define sipName_setMenuRole &sipStrings_QtWidgets[55650]
#define sipNameNr_AboutQtRole 55662
#define sipName_AboutQtRole &sipStrings_QtWidgets[55662]
#define sipNameNr_setDisabled 55674
#define sipName_setDisabled &sipStrings_QtWidgets[55674]
#define sipNameNr_ActionEvent 22587
#define sipName_ActionEvent &sipStrings_QtWidgets[22587]
#define sipNameNr_isSeparator 55686
#define sipName_isSeparator &sipStrings_QtWidgets[55686]
#define sipNameNr_setIconText 55698
#define sipName_setIconText &sipStrings_QtWidgets[55698]
#define sipNameNr_actionGroup 55710
#define sipName_actionGroup &sipStrings_QtWidgets[55710]
#define sipNameNr_stepEnabled 55722
#define sipName_stepEnabled &sipStrings_QtWidgets[55722]
#define sipNameNr_setLineEdit 55734
#define sipName_setLineEdit &sipStrings_QtWidgets[55734]
#define sipNameNr_setReadOnly 55746
#define sipName_setReadOnly &sipStrings_QtWidgets[55746]
#define sipNameNr_setWrapping 55758
#define sipName_setWrapping &sipStrings_QtWidgets[55758]
#define sipNameNr_StepEnabled 7613
#define sipName_StepEnabled &sipStrings_QtWidgets[7613]
#define sipNameNr_sliderMoved 55770
#define sipName_sliderMoved &sipStrings_QtWidgets[55770]
#define sipNameNr_hasTracking 55782
#define sipName_hasTracking &sipStrings_QtWidgets[55782]
#define sipNameNr_setTracking 55794
#define sipName_setTracking &sipStrings_QtWidgets[55794]
#define sipNameNr_setPageStep 55806
#define sipName_setPageStep &sipStrings_QtWidgets[55806]
#define sipNameNr_viewOptions 55818
#define sipName_viewOptions &sipStrings_QtWidgets[55818]
#define sipNameNr_scrollToTop 55830
#define sipName_scrollToTop &sipStrings_QtWidgets[55830]
#define sipNameNr_indexWidget 55842
#define sipName_indexWidget &sipStrings_QtWidgets[55842]
#define sipNameNr_NoSelection 55854
#define sipName_NoSelection &sipStrings_QtWidgets[55854]
#define sipNameNr_SelectItems 55866
#define sipName_SelectItems &sipStrings_QtWidgets[55866]
#define sipNameNr_EditTrigger 6893
#define sipName_EditTrigger &sipStrings_QtWidgets[6893]
#define sipNameNr_closeEditor 55878
#define sipName_closeEditor &sipStrings_QtWidgets[55878]
#define sipNameNr_editorEvent 55890
#define sipName_editorEvent &sipStrings_QtWidgets[55890]
#define sipNameNr_EndEditHint 4085
#define sipName_EndEditHint &sipStrings_QtWidgets[4085]
#define sipNameNr_changeEvent 55902
#define sipName_changeEvent &sipStrings_QtWidgets[55902]
#define sipNameNr_setIconSize 55914
#define sipName_setIconSize &sipStrings_QtWidgets[55914]
#define sipNameNr_setShortcut 55926
#define sipName_setShortcut &sipStrings_QtWidgets[55926]
#define sipNameNr_tabletEvent 55938
#define sipName_tabletEvent &sipStrings_QtWidgets[55938]
#define sipNameNr_unsetCursor 55950
#define sipName_unsetCursor &sipStrings_QtWidgets[55950]
#define sipNameNr_mapToGlobal 55962
#define sipName_mapToGlobal &sipStrings_QtWidgets[55962]
#define sipNameNr_setGeometry 55974
#define sipName_setGeometry &sipStrings_QtWidgets[55974]
#define sipNameNr_setBaseSize 55986
#define sipName_setBaseSize &sipStrings_QtWidgets[55986]
#define sipNameNr_maximumSize 55998
#define sipName_maximumSize &sipStrings_QtWidgets[55998]
#define sipNameNr_minimumSize 56010
#define sipName_minimumSize &sipStrings_QtWidgets[56010]
#define sipNameNr_windowState 56022
#define sipName_windowState &sipStrings_QtWidgets[56022]
#define sipNameNr_setDecimals 56034
#define sipName_setDecimals &sipStrings_QtWidgets[56034]
#define sipNameNr_setModified 56046
#define sipName_setModified &sipStrings_QtWidgets[56046]
#define sipNameNr_toPlainText 56058
#define sipName_toPlainText &sipStrings_QtWidgets[56058]
#define sipNameNr_setDocument 56070
#define sipName_setDocument &sipStrings_QtWidgets[56070]
#define sipNameNr_setSizeHint 56082
#define sipName_setSizeHint &sipStrings_QtWidgets[56082]
#define sipNameNr_dragEnabled 56094
#define sipName_dragEnabled &sipStrings_QtWidgets[56094]
#define sipNameNr_setTristate 56106
#define sipName_setTristate &sipStrings_QtWidgets[56106]
#define sipNameNr_isCheckable 56118
#define sipName_isCheckable &sipStrings_QtWidgets[56118]
#define sipNameNr_setEditable 56130
#define sipName_setEditable &sipStrings_QtWidgets[56130]
#define sipNameNr_itemChanged 56142
#define sipName_itemChanged &sipStrings_QtWidgets[56142]
#define sipNameNr_setRowCount 56154
#define sipName_setRowCount &sipStrings_QtWidgets[56154]
#define sipNameNr_setFillRule 56166
#define sipName_setFillRule &sipStrings_QtWidgets[56166]
#define sipNameNr_RenderFlags 20004
#define sipName_RenderFlags &sipStrings_QtWidgets[20004]
#define sipNameNr_renderHints 56178
#define sipName_renderHints &sipStrings_QtWidgets[56178]
#define sipNameNr_setViewport 56190
#define sipName_setViewport &sipStrings_QtWidgets[56190]
#define sipNameNr_hasClipping 56202
#define sipName_hasClipping &sipStrings_QtWidgets[56202]
#define sipNameNr_setClipping 56214
#define sipName_setClipping &sipStrings_QtWidgets[56214]
#define sipNameNr_fontMetrics 56226
#define sipName_fontMetrics &sipStrings_QtWidgets[56226]
#define sipNameNr_matchPolicy 56238
#define sipName_matchPolicy &sipStrings_QtWidgets[56238]
#define sipNameNr_resizeEvent 56250
#define sipName_resizeEvent &sipStrings_QtWidgets[56250]
#define sipNameNr_doneCurrent 56262
#define sipName_doneCurrent &sipStrings_QtWidgets[56262]
#define sipNameNr_makeCurrent 56274
#define sipName_makeCurrent &sipStrings_QtWidgets[56274]
#define sipNameNr_scaleFactor 56286
#define sipName_scaleFactor &sipStrings_QtWidgets[56286]
#define sipNameNr_paintEngine 56298
#define sipName_paintEngine &sipStrings_QtWidgets[56298]
#define sipNameNr_gestureType 56310
#define sipName_gestureType &sipStrings_QtWidgets[56310]
#define sipNameNr_setPriority 56322
#define sipName_setPriority &sipStrings_QtWidgets[56322]
#define sipNameNr_LowPriority 56334
#define sipName_LowPriority &sipStrings_QtWidgets[56334]
#define sipNameNr_setPosition 56346
#define sipName_setPosition &sipStrings_QtWidgets[56346]
#define sipNameNr_setAnimated 56358
#define sipName_setAnimated &sipStrings_QtWidgets[56358]
#define sipNameNr_customEvent 56370
#define sipName_customEvent &sipStrings_QtWidgets[56370]
#define sipNameNr_eventFilter 56382
#define sipName_eventFilter &sipStrings_QtWidgets[56382]
#define sipNameNr_QSizePolicy 56394
#define sipName_QSizePolicy &sipStrings_QtWidgets[56394]
#define sipNameNr_permissions 56406
#define sipName_permissions &sipStrings_QtWidgets[56406]
#define sipNameNr_maximumTime 56418
#define sipName_maximumTime &sipStrings_QtWidgets[56418]
#define sipNameNr_searchPaths 56430
#define sipName_searchPaths &sipStrings_QtWidgets[56430]
#define sipNameNr_nameFilters 56442
#define sipName_nameFilters &sipStrings_QtWidgets[56442]
#define sipNameNr_setTimeSpec 56454
#define sipName_setTimeSpec &sipStrings_QtWidgets[56454]
#define sipNameNr_setAccepted 56466
#define sipName_setAccepted &sipStrings_QtWidgets[56466]
#define sipNameNr_description 56478
#define sipName_description &sipStrings_QtWidgets[56478]
#define sipNameNr_sourceState 56490
#define sipName_sourceState &sipStrings_QtWidgets[56490]
#define sipNameNr_moveColumns 49248
#define sipName_moveColumns &sipStrings_QtWidgets[49248]
#define sipNameNr_rowsRemoved 56502
#define sipName_rowsRemoved &sipStrings_QtWidgets[56502]
#define sipNameNr_dataChanged 56514
#define sipName_dataChanged &sipStrings_QtWidgets[56514]
#define sipNameNr_setItemData 56526
#define sipName_setItemData &sipStrings_QtWidgets[56526]
#define sipNameNr_orientation 56538
#define sipName_orientation &sipStrings_QtWidgets[56538]
#define sipNameNr_hasChildren 56550
#define sipName_hasChildren &sipStrings_QtWidgets[56550]
#define sipNameNr_columnCount 56562
#define sipName_columnCount &sipStrings_QtWidgets[56562]
#define sipNameNr_RightToLeft 49164
#define sipName_RightToLeft &sipStrings_QtWidgets[49164]
#define sipNameNr_LeftToRight 49136
#define sipName_LeftToRight &sipStrings_QtWidgets[49136]
#define sipNameNr_isComplete 56574
#define sipName_isComplete &sipStrings_QtWidgets[56574]
#define sipNameNr_sideWidget 56585
#define sipName_sideWidget &sipStrings_QtWidgets[56585]
#define sipNameNr_removePage 56596
#define sipName_removePage &sipStrings_QtWidgets[56596]
#define sipNameNr_setStartId 56607
#define sipName_setStartId &sipStrings_QtWidgets[56607]
#define sipNameNr_LogoPixmap 56618
#define sipName_LogoPixmap &sipStrings_QtWidgets[56618]
#define sipNameNr_HelpButton 7996
#define sipName_HelpButton &sipStrings_QtWidgets[7996]
#define sipNameNr_NextButton 56629
#define sipName_NextButton &sipStrings_QtWidgets[56629]
#define sipNameNr_IgnoreMask 56640
#define sipName_IgnoreMask &sipStrings_QtWidgets[56640]
#define sipNameNr_underMouse 56651
#define sipName_underMouse &sipStrings_QtWidgets[56651]
#define sipNameNr_stackUnder 56662
#define sipName_stackUnder &sipStrings_QtWidgets[56662]
#define sipNameNr_windowRole 56673
#define sipName_windowRole &sipStrings_QtWidgets[56673]
#define sipNameNr_QWhatsThis 56684
#define sipName_QWhatsThis &sipStrings_QtWidgets[56684]
#define sipNameNr_emptyLabel 56695
#define sipName_emptyLabel &sipStrings_QtWidgets[56695]
#define sipNameNr_beginMacro 56706
#define sipName_beginMacro &sipStrings_QtWidgets[56706]
#define sipNameNr_cleanIndex 56717
#define sipName_cleanIndex &sipStrings_QtWidgets[56717]
#define sipNameNr_QUndoStack 56728
#define sipName_QUndoStack &sipStrings_QtWidgets[56728]
#define sipNameNr_actionText 56739
#define sipName_actionText &sipStrings_QtWidgets[56739]
#define sipNameNr_QUndoGroup 56750
#define sipName_QUndoGroup &sipStrings_QtWidgets[56750]
#define sipNameNr_NotChecked 56761
#define sipName_NotChecked &sipStrings_QtWidgets[56761]
#define sipNameNr_NoChildren 56772
#define sipName_NoChildren &sipStrings_QtWidgets[56772]
#define sipNameNr_Selectable 37009
#define sipName_Selectable &sipStrings_QtWidgets[37009]
#define sipNameNr_Unselected 56783
#define sipName_Unselected &sipStrings_QtWidgets[56783]
#define sipNameNr_expandItem 56794
#define sipName_expandItem &sipStrings_QtWidgets[56794]
#define sipNameNr_headerItem 56805
#define sipName_headerItem &sipStrings_QtWidgets[56805]
#define sipNameNr_isDisabled 56816
#define sipName_isDisabled &sipStrings_QtWidgets[56816]
#define sipNameNr_childCount 56827
#define sipName_childCount &sipStrings_QtWidgets[56827]
#define sipNameNr_treeWidget 56838
#define sipName_treeWidget &sipStrings_QtWidgets[56838]
#define sipNameNr_indexBelow 56849
#define sipName_indexBelow &sipStrings_QtWidgets[56849]
#define sipNameNr_indexAbove 56860
#define sipName_indexAbove &sipStrings_QtWidgets[56860]
#define sipNameNr_isExpanded 56871
#define sipName_isExpanded &sipStrings_QtWidgets[56871]
#define sipNameNr_historyUrl 56882
#define sipName_historyUrl &sipStrings_QtWidgets[56882]
#define sipNameNr_Triangular 56893
#define sipName_Triangular &sipStrings_QtWidgets[56893]
#define sipNameNr_QTabWidget 56904
#define sipName_QTabWidget &sipStrings_QtWidgets[56904]
#define sipNameNr_cellWidget 56915
#define sipName_cellWidget &sipStrings_QtWidgets[56915]
#define sipNameNr_leftColumn 56926
#define sipName_leftColumn &sipStrings_QtWidgets[56926]
#define sipNameNr_clearSpans 56937
#define sipName_clearSpans &sipStrings_QtWidgets[56937]
#define sipNameNr_rowResized 56948
#define sipName_rowResized &sipStrings_QtWidgets[56948]
#define sipNameNr_showColumn 56959
#define sipName_showColumn &sipStrings_QtWidgets[56959]
#define sipNameNr_hideColumn 56970
#define sipName_hideColumn &sipStrings_QtWidgets[56970]
#define sipNameNr_QTableView 56981
#define sipName_QTableView &sipStrings_QtWidgets[56981]
#define sipNameNr_setMovable 56992
#define sipName_setMovable &sipStrings_QtWidgets[56992]
#define sipNameNr_tabRemoved 57003
#define sipName_tabRemoved &sipStrings_QtWidgets[57003]
#define sipNameNr_setTabData 57014
#define sipName_setTabData &sipStrings_QtWidgets[57014]
#define sipNameNr_tabToolTip 57025
#define sipName_tabToolTip &sipStrings_QtWidgets[57025]
#define sipNameNr_setTabIcon 57036
#define sipName_setTabIcon &sipStrings_QtWidgets[57036]
#define sipNameNr_setTabText 57047
#define sipName_setTabText &sipStrings_QtWidgets[57047]
#define sipNameNr_SH_Variant 57058
#define sipName_SH_Variant &sipStrings_QtWidgets[57058]
#define sipNameNr_SH_Default 57069
#define sipName_SH_Default &sipStrings_QtWidgets[57069]
#define sipNameNr_PopupDelay 10845
#define sipName_PopupDelay &sipStrings_QtWidgets[10845]
#define sipNameNr_HasDisplay 57080
#define sipName_HasDisplay &sipStrings_QtWidgets[57080]
#define sipNameNr_TabFeature 8748
#define sipName_TabFeature &sipStrings_QtWidgets[8748]
#define sipNameNr_OnlyOneTab 57091
#define sipName_OnlyOneTab &sipStrings_QtWidgets[57091]
#define sipNameNr_tabBarRect 57102
#define sipName_tabBarRect &sipStrings_QtWidgets[57102]
#define sipNameNr_tabBarSize 57113
#define sipName_tabBarSize &sipStrings_QtWidgets[57113]
#define sipNameNr_SO_SpinBox 57124
#define sipName_SO_SpinBox &sipStrings_QtWidgets[57124]
#define sipNameNr_SO_Complex 57135
#define sipName_SO_Complex &sipStrings_QtWidgets[57135]
#define sipNameNr_SO_ToolBar 57146
#define sipName_SO_ToolBar &sipStrings_QtWidgets[57146]
#define sipNameNr_SO_ToolBox 57157
#define sipName_SO_ToolBox &sipStrings_QtWidgets[57157]
#define sipNameNr_SO_Default 57168
#define sipName_SO_Default &sipStrings_QtWidgets[57168]
#define sipNameNr_OptionType 308
#define sipName_OptionType &sipStrings_QtWidgets[308]
#define sipNameNr_upsideDown 57179
#define sipName_upsideDown &sipStrings_QtWidgets[57179]
#define sipNameNr_SP_ArrowUp 57190
#define sipName_SP_ArrowUp &sipStrings_QtWidgets[57190]
#define sipNameNr_SP_DirIcon 57201
#define sipName_SP_DirIcon &sipStrings_QtWidgets[57201]
#define sipNameNr_CT_SpinBox 57212
#define sipName_CT_SpinBox &sipStrings_QtWidgets[57212]
#define sipNameNr_CT_MenuBar 57223
#define sipName_CT_MenuBar &sipStrings_QtWidgets[57223]
#define sipNameNr_SubControl 26797
#define sipName_SubControl &sipStrings_QtWidgets[26797]
#define sipNameNr_CC_SpinBox 57234
#define sipName_CC_SpinBox &sipStrings_QtWidgets[57234]
#define sipNameNr_SubElement 26892
#define sipName_SubElement &sipStrings_QtWidgets[26892]
#define sipNameNr_CE_ToolBar 57245
#define sipName_CE_ToolBar &sipStrings_QtWidgets[57245]
#define sipNameNr_State_Mini 57256
#define sipName_State_Mini &sipStrings_QtWidgets[57256]
#define sipNameNr_State_Item 57267
#define sipName_State_Item &sipStrings_QtWidgets[57267]
#define sipNameNr_State_Open 57278
#define sipName_State_Open &sipStrings_QtWidgets[57278]
#define sipNameNr_State_None 57289
#define sipName_State_None &sipStrings_QtWidgets[57289]
#define sipNameNr_hideOrShow 57300
#define sipName_hideOrShow &sipStrings_QtWidgets[57300]
#define sipNameNr_QStatusBar 57311
#define sipName_QStatusBar &sipStrings_QtWidgets[57311]
#define sipNameNr_TicksRight 57322
#define sipName_TicksRight &sipStrings_QtWidgets[57322]
#define sipNameNr_TicksBelow 57333
#define sipName_TicksBelow &sipStrings_QtWidgets[57333]
#define sipNameNr_TicksAbove 57344
#define sipName_TicksAbove &sipStrings_QtWidgets[57344]
#define sipNameNr_ToolButton 15762
#define sipName_ToolButton &sipStrings_QtWidgets[15762]
#define sipNameNr_PushButton 45847
#define sipName_PushButton &sipStrings_QtWidgets[45847]
#define sipNameNr_IgnoreFlag 57355
#define sipName_IgnoreFlag &sipStrings_QtWidgets[57355]
#define sipNameNr_ShrinkFlag 57366
#define sipName_ShrinkFlag &sipStrings_QtWidgets[57366]
#define sipNameNr_ExpandFlag 57377
#define sipName_ExpandFlag &sipStrings_QtWidgets[57377]
#define sipNameNr_PolicyFlag 14475
#define sipName_PolicyFlag &sipStrings_QtWidgets[14475]
#define sipNameNr_setContext 57388
#define sipName_setContext &sipStrings_QtWidgets[57388]
#define sipNameNr_FrameRates 5516
#define sipName_FrameRates &sipStrings_QtWidgets[5516]
#define sipNameNr_InputPress 57399
#define sipName_InputPress &sipStrings_QtWidgets[57399]
#define sipNameNr_QScrollBar 57410
#define sipName_QScrollBar &sipStrings_QtWidgets[57410]
#define sipNameNr_takeWidget 57421
#define sipName_takeWidget &sipStrings_QtWidgets[57421]
#define sipNameNr_appendHtml 57432
#define sipName_appendHtml &sipStrings_QtWidgets[57432]
#define sipNameNr_iconPixmap 57443
#define sipName_iconPixmap &sipStrings_QtWidgets[57443]
#define sipNameNr_ButtonMask 57454
#define sipName_ButtonMask &sipStrings_QtWidgets[57454]
#define sipNameNr_LastButton 57465
#define sipName_LastButton &sipStrings_QtWidgets[57465]
#define sipNameNr_addSection 57476
#define sipName_addSection &sipStrings_QtWidgets[57476]
#define sipNameNr_enterEvent 57487
#define sipName_enterEvent &sipStrings_QtWidgets[57487]
#define sipNameNr_menuAction 57498
#define sipName_menuAction &sipStrings_QtWidgets[57498]
#define sipNameNr_insertMenu 57509
#define sipName_insertMenu &sipStrings_QtWidgets[57509]
#define sipNameNr_leaveEvent 57520
#define sipName_leaveEvent &sipStrings_QtWidgets[57520]
#define sipNameNr_showShaded 57531
#define sipName_showShaded &sipStrings_QtWidgets[57531]
#define sipNameNr_systemMenu 57542
#define sipName_systemMenu &sipStrings_QtWidgets[57542]
#define sipNameNr_TabbedView 57553
#define sipName_TabbedView &sipStrings_QtWidgets[57553]
#define sipNameNr_AreaOption 21391
#define sipName_AreaOption &sipStrings_QtWidgets[21391]
#define sipNameNr_DockOption 14619
#define sipName_DockOption &sipStrings_QtWidgets[14619]
#define sipNameNr_menuWidget 57564
#define sipName_menuWidget &sipStrings_QtWidgets[57564]
#define sipNameNr_addToolBar 57575
#define sipName_addToolBar &sipStrings_QtWidgets[57575]
#define sipNameNr_itemWidget 57586
#define sipName_itemWidget &sipStrings_QtWidgets[57586]
#define sipNameNr_listWidget 57597
#define sipName_listWidget &sipStrings_QtWidgets[57597]
#define sipNameNr_layoutMode 57608
#define sipName_layoutMode &sipStrings_QtWidgets[57608]
#define sipNameNr_resizeMode 57619
#define sipName_resizeMode &sipStrings_QtWidgets[57619]
#define sipNameNr_isWrapping 57630
#define sipName_isWrapping &sipStrings_QtWidgets[57630]
#define sipNameNr_SinglePass 57641
#define sipName_SinglePass &sipStrings_QtWidgets[57641]
#define sipNameNr_LayoutMode 18688
#define sipName_LayoutMode &sipStrings_QtWidgets[18688]
#define sipNameNr_cursorRect 57652
#define sipName_cursorRect &sipStrings_QtWidgets[57652]
#define sipNameNr_textEdited 57663
#define sipName_textEdited &sipStrings_QtWidgets[57663]
#define sipNameNr_setBinMode 57674
#define sipName_setBinMode &sipStrings_QtWidgets[57674]
#define sipNameNr_setOctMode 57685
#define sipName_setOctMode &sipStrings_QtWidgets[57685]
#define sipNameNr_setDecMode 57696
#define sipName_setDecMode &sipStrings_QtWidgets[57696]
#define sipNameNr_setHexMode 57707
#define sipName_setHexMode &sipStrings_QtWidgets[57707]
#define sipNameNr_digitCount 57718
#define sipName_digitCount &sipStrings_QtWidgets[57718]
#define sipNameNr_QLCDNumber 57729
#define sipName_QLCDNumber &sipStrings_QtWidgets[57729]
#define sipNameNr_changeSize 57740
#define sipName_changeSize &sipStrings_QtWidgets[57740]
#define sipNameNr_setMenuBar 57751
#define sipName_setMenuBar &sipStrings_QtWidgets[57751]
#define sipNameNr_setIntStep 57762
#define sipName_setIntStep &sipStrings_QtWidgets[57762]
#define sipNameNr_intMaximum 57773
#define sipName_intMaximum &sipStrings_QtWidgets[57773]
#define sipNameNr_intMinimum 57784
#define sipName_intMinimum &sipStrings_QtWidgets[57784]
#define sipNameNr_ResizeMode 14835
#define sipName_ResizeMode &sipStrings_QtWidgets[14835]
#define sipNameNr_rowStretch 57795
#define sipName_rowStretch &sipStrings_QtWidgets[57795]
#define sipNameNr_addActions 57806
#define sipName_addActions &sipStrings_QtWidgets[57806]
#define sipNameNr_windowType 57817
#define sipName_windowType &sipStrings_QtWidgets[57817]
#define sipNameNr_SceneLayer 10234
#define sipName_SceneLayer &sipStrings_QtWidgets[10234]
#define sipNameNr_textCursor 57828
#define sipName_textCursor &sipStrings_QtWidgets[57828]
#define sipNameNr_addToGroup 57839
#define sipName_addToGroup &sipStrings_QtWidgets[57839]
#define sipNameNr_setPolygon 57850
#define sipName_setPolygon &sipStrings_QtWidgets[57850]
#define sipNameNr_focusProxy 57861
#define sipName_focusProxy &sipStrings_QtWidgets[57861]
#define sipNameNr_SceneModal 57872
#define sipName_SceneModal &sipStrings_QtWidgets[57872]
#define sipNameNr_PanelModal 57883
#define sipName_PanelModal &sipStrings_QtWidgets[57883]
#define sipNameNr_childItems 57894
#define sipName_childItems &sipStrings_QtWidgets[57894]
#define sipNameNr_isObscured 57905
#define sipName_isObscured &sipStrings_QtWidgets[57905]
#define sipNameNr_sceneEvent 57916
#define sipName_sceneEvent &sipStrings_QtWidgets[57916]
#define sipNameNr_itemChange 57927
#define sipName_itemChange &sipStrings_QtWidgets[57927]
#define sipNameNr_mapToScene 57938
#define sipName_mapToScene &sipStrings_QtWidgets[57938]
#define sipNameNr_opaqueArea 57949
#define sipName_opaqueArea &sipStrings_QtWidgets[57949]
#define sipNameNr_clearFocus 57960
#define sipName_clearFocus &sipStrings_QtWidgets[57960]
#define sipNameNr_parentItem 57971
#define sipName_parentItem &sipStrings_QtWidgets[57971]
#define sipNameNr_rowSpacing 57982
#define sipName_rowSpacing &sipStrings_QtWidgets[57982]
#define sipNameNr_setYOffset 57993
#define sipName_setYOffset &sipStrings_QtWidgets[57993]
#define sipNameNr_setXOffset 58004
#define sipName_setXOffset &sipStrings_QtWidgets[58004]
#define sipNameNr_blurRadius 58015
#define sipName_blurRadius &sipStrings_QtWidgets[58015]
#define sipNameNr_drawSource 58026
#define sipName_drawSource &sipStrings_QtWidgets[58026]
#define sipNameNr_constraint 58037
#define sipName_constraint &sipStrings_QtWidgets[58037]
#define sipNameNr_addAnchors 58048
#define sipName_addAnchors &sipStrings_QtWidgets[58048]
#define sipNameNr_sizePolicy 58059
#define sipName_sizePolicy &sipStrings_QtWidgets[58059]
#define sipNameNr_ResultFlag 6708
#define sipName_ResultFlag &sipStrings_QtWidgets[6708]
#define sipNameNr_setTimeout 58070
#define sipName_setTimeout &sipStrings_QtWidgets[58070]
#define sipNameNr_swipeAngle 58081
#define sipName_swipeAngle &sipStrings_QtWidgets[58081]
#define sipNameNr_ChangeFlag 9420
#define sipName_ChangeFlag &sipStrings_QtWidgets[9420]
#define sipNameNr_lastOffset 58092
#define sipName_lastOffset &sipStrings_QtWidgets[58092]
#define sipNameNr_CancelNone 58103
#define sipName_CancelNone &sipStrings_QtWidgets[58103]
#define sipNameNr_hasHotSpot 58114
#define sipName_hasHotSpot &sipStrings_QtWidgets[58114]
#define sipNameNr_frameShape 58125
#define sipName_frameShape &sipStrings_QtWidgets[58125]
#define sipNameNr_frameWidth 58136
#define sipName_frameWidth &sipStrings_QtWidgets[58136]
#define sipNameNr_frameStyle 58147
#define sipName_frameStyle &sipStrings_QtWidgets[58147]
#define sipNameNr_Shape_Mask 58158
#define sipName_Shape_Mask &sipStrings_QtWidgets[58158]
#define sipNameNr_FontFilter 11807
#define sipName_FontFilter &sipStrings_QtWidgets[11807]
#define sipNameNr_myComputer 58169
#define sipName_myComputer &sipStrings_QtWidgets[58169]
#define sipNameNr_proxyModel 58180
#define sipName_proxyModel &sipStrings_QtWidgets[58180]
#define sipNameNr_setHistory 58191
#define sipName_setHistory &sipStrings_QtWidgets[58191]
#define sipNameNr_acceptMode 58202
#define sipName_acceptMode &sipStrings_QtWidgets[58202]
#define sipNameNr_selectFile 58213
#define sipName_selectFile &sipStrings_QtWidgets[58213]
#define sipNameNr_AcceptSave 58224
#define sipName_AcceptSave &sipStrings_QtWidgets[58224]
#define sipNameNr_AcceptOpen 58235
#define sipName_AcceptOpen &sipStrings_QtWidgets[58235]
#define sipNameNr_AcceptMode 15243
#define sipName_AcceptMode &sipStrings_QtWidgets[15243]
#define sipNameNr_isFloating 58246
#define sipName_isFloating &sipStrings_QtWidgets[58246]
#define sipNameNr_buttonRole 58257
#define sipName_buttonRole &sipStrings_QtWidgets[58257]
#define sipNameNr_ActionRole 58268
#define sipName_ActionRole &sipStrings_QtWidgets[58268]
#define sipNameNr_RejectRole 58279
#define sipName_RejectRole &sipStrings_QtWidgets[58279]
#define sipNameNr_AcceptRole 58290
#define sipName_AcceptRole &sipStrings_QtWidgets[58290]
#define sipNameNr_ButtonRole 8605
#define sipName_ButtonRole &sipStrings_QtWidgets[8605]
#define sipNameNr_DialogCode 25382
#define sipName_DialogCode &sipStrings_QtWidgets[25382]
#define sipNameNr_DaySection 58301
#define sipName_DaySection &sipStrings_QtWidgets[58301]
#define sipNameNr_toPrevious 58312
#define sipName_toPrevious &sipStrings_QtWidgets[58312]
#define sipNameNr_addMapping 58323
#define sipName_addMapping &sipStrings_QtWidgets[58323]
#define sipNameNr_AutoSubmit 58334
#define sipName_AutoSubmit &sipStrings_QtWidgets[58334]
#define sipNameNr_filterMode 58345
#define sipName_filterMode &sipStrings_QtWidgets[58345]
#define sipNameNr_wrapAround 58356
#define sipName_wrapAround &sipStrings_QtWidgets[58356]
#define sipNameNr_currentRow 58367
#define sipName_currentRow &sipStrings_QtWidgets[58367]
#define sipNameNr_QCompleter 58378
#define sipName_QCompleter &sipStrings_QtWidgets[58378]
#define sipNameNr_returnData 58389
#define sipName_returnData &sipStrings_QtWidgets[58389]
#define sipNameNr_updateCell 58400
#define sipName_updateCell &sipStrings_QtWidgets[58400]
#define sipNameNr_monthShown 58411
#define sipName_monthShown &sipStrings_QtWidgets[58411]
#define sipNameNr_insertItem 58422
#define sipName_insertItem &sipStrings_QtWidgets[58422]
#define sipNameNr_spacerItem 58433
#define sipName_spacerItem &sipStrings_QtWidgets[58433]
#define sipNameNr_setSpacing 51422
#define sipName_setSpacing &sipStrings_QtWidgets[51422]
#define sipNameNr_addStretch 58444
#define sipName_addStretch &sipStrings_QtWidgets[58444]
#define sipNameNr_addSpacing 58455
#define sipName_addSpacing &sipStrings_QtWidgets[58455]
#define sipNameNr_QBoxLayout 58466
#define sipName_QBoxLayout &sipStrings_QtWidgets[58466]
#define sipNameNr_styleSheet 58477
#define sipName_styleSheet &sipStrings_QtWidgets[58477]
#define sipNameNr_allWidgets 58488
#define sipName_allWidgets &sipStrings_QtWidgets[58488]
#define sipNameNr_closeEvent 58499
#define sipName_closeEvent &sipStrings_QtWidgets[58499]
#define sipNameNr_repeatTime 58510
#define sipName_repeatTime &sipStrings_QtWidgets[58510]
#define sipNameNr_SliderMove 58521
#define sipName_SliderMove &sipStrings_QtWidgets[58521]
#define sipNameNr_singleStep 58532
#define sipName_singleStep &sipStrings_QtWidgets[58532]
#define sipNameNr_setMaximum 58543
#define sipName_setMaximum &sipStrings_QtWidgets[58543]
#define sipNameNr_setMinimum 58554
#define sipName_setMinimum &sipStrings_QtWidgets[58554]
#define sipNameNr_OnViewport 58565
#define sipName_OnViewport &sipStrings_QtWidgets[58565]
#define sipNameNr_moveCursor 58576
#define sipName_moveCursor &sipStrings_QtWidgets[58576]
#define sipNameNr_MovePageUp 58587
#define sipName_MovePageUp &sipStrings_QtWidgets[58587]
#define sipNameNr_visualRect 58598
#define sipName_visualRect &sipStrings_QtWidgets[58598]
#define sipNameNr_SelectRows 58609
#define sipName_SelectRows &sipStrings_QtWidgets[58609]
#define sipNameNr_ScrollMode 7734
#define sipName_ScrollMode &sipStrings_QtWidgets[7734]
#define sipNameNr_ScrollHint 7764
#define sipName_ScrollHint &sipStrings_QtWidgets[7764]
#define sipNameNr_NoDragDrop 58620
#define sipName_NoDragDrop &sipStrings_QtWidgets[58620]
#define sipNameNr_commitData 58631
#define sipName_commitData &sipStrings_QtWidgets[58631]
#define sipNameNr_setChecked 58642
#define sipName_setChecked &sipStrings_QtWidgets[58642]
#define sipNameNr_autoRepeat 58653
#define sipName_autoRepeat &sipStrings_QtWidgets[58653]
#define sipNameNr_wheelEvent 58664
#define sipName_wheelEvent &sipStrings_QtWidgets[58664]
#define sipNameNr_showNormal 58675
#define sipName_showNormal &sipStrings_QtWidgets[58675]
#define sipNameNr_columnSpan 58686
#define sipName_columnSpan &sipStrings_QtWidgets[58686]
#define sipNameNr_removeItem 58697
#define sipName_removeItem &sipStrings_QtWidgets[58697]
#define sipNameNr_fontItalic 58708
#define sipName_fontItalic &sipStrings_QtWidgets[58708]
#define sipNameNr_fontWeight 58719
#define sipName_fontWeight &sipStrings_QtWidgets[58719]
#define sipNameNr_fontFamily 58730
#define sipName_fontFamily &sipStrings_QtWidgets[58730]
#define sipNameNr_blockCount 58741
#define sipName_blockCount &sipStrings_QtWidgets[58741]
#define sipNameNr_adjustSize 58752
#define sipName_adjustSize &sipStrings_QtWidgets[58752]
#define sipNameNr_isModified 58763
#define sipName_isModified &sipStrings_QtWidgets[58763]
#define sipNameNr_insertHtml 58774
#define sipName_insertHtml &sipStrings_QtWidgets[58774]
#define sipNameNr_setOptions 58785
#define sipName_setOptions &sipStrings_QtWidgets[58785]
#define sipNameNr_testOption 58796
#define sipName_testOption &sipStrings_QtWidgets[58796]
#define sipNameNr_textFormat 58807
#define sipName_textFormat &sipStrings_QtWidgets[58807]
#define sipNameNr_setToolTip 58818
#define sipName_setToolTip &sipStrings_QtWidgets[58818]
#define sipNameNr_isTristate 58829
#define sipName_isTristate &sipStrings_QtWidgets[58829]
#define sipNameNr_isEditable 58840
#define sipName_isEditable &sipStrings_QtWidgets[58840]
#define sipNameNr_checkState 58851
#define sipName_checkState &sipStrings_QtWidgets[58851]
#define sipNameNr_setPicture 58862
#define sipName_setPicture &sipStrings_QtWidgets[58862]
#define sipNameNr_buttonText 58873
#define sipName_buttonText &sipStrings_QtWidgets[58873]
#define sipNameNr_foreground 58884
#define sipName_foreground &sipStrings_QtWidgets[58884]
#define sipNameNr_addPolygon 58895
#define sipName_addPolygon &sipStrings_QtWidgets[58895]
#define sipNameNr_addEllipse 58906
#define sipName_addEllipse &sipStrings_QtWidgets[58906]
#define sipNameNr_RenderFlag 22982
#define sipName_RenderFlag &sipStrings_QtWidgets[22982]
#define sipNameNr_setOpacity 58917
#define sipName_setOpacity &sipStrings_QtWidgets[58917]
#define sipNameNr_background 58928
#define sipName_background &sipStrings_QtWidgets[58928]
#define sipNameNr_paintEvent 58939
#define sipName_paintEvent &sipStrings_QtWidgets[58939]
#define sipNameNr_genMipMaps 58950
#define sipName_genMipMaps &sipStrings_QtWidgets[58950]
#define sipNameNr_setVisible 58961
#define sipName_setVisible &sipStrings_QtWidgets[58961]
#define sipNameNr_windowIcon 58972
#define sipName_windowIcon &sipStrings_QtWidgets[58972]
#define sipNameNr_setPalette 58983
#define sipName_setPalette &sipStrings_QtWidgets[58983]
#define sipNameNr_topLevelAt 58994
#define sipName_topLevelAt &sipStrings_QtWidgets[58994]
#define sipNameNr_initialize 59005
#define sipName_initialize &sipStrings_QtWidgets[59005]
#define sipNameNr_setStretch 59016
#define sipName_setStretch &sipStrings_QtWidgets[59016]
#define sipNameNr_dropAction 59027
#define sipName_dropAction &sipStrings_QtWidgets[59027]
#define sipNameNr_setHotSpot 51461
#define sipName_setHotSpot &sipStrings_QtWidgets[51461]
#define sipNameNr_startAngle 59038
#define sipName_startAngle &sipStrings_QtWidgets[59038]
#define sipNameNr_isReadOnly 59049
#define sipName_isReadOnly &sipStrings_QtWidgets[59049]
#define sipNameNr_isAnimated 59060
#define sipName_isAnimated &sipStrings_QtWidgets[59060]
#define sipNameNr_sortColumn 59071
#define sipName_sortColumn &sipStrings_QtWidgets[59071]
#define sipNameNr_setEnabled 59082
#define sipName_setEnabled &sipStrings_QtWidgets[59082]
#define sipNameNr_childEvent 59093
#define sipName_childEvent &sipStrings_QtWidgets[59093]
#define sipNameNr_timerEvent 59104
#define sipName_timerEvent &sipStrings_QtWidgets[59104]
#define sipNameNr_setDefault 59115
#define sipName_setDefault &sipStrings_QtWidgets[59115]
#define sipNameNr_isSelected 59126
#define sipName_isSelected &sipStrings_QtWidgets[59126]
#define sipNameNr_invalidate 59137
#define sipName_invalidate &sipStrings_QtWidgets[59137]
#define sipNameNr_setSorting 59148
#define sipName_setSorting &sipStrings_QtWidgets[59148]
#define sipNameNr_isAccepted 59159
#define sipName_isAccepted &sipStrings_QtWidgets[59159]
#define sipNameNr___rshift__ 59170
#define sipName___rshift__ &sipStrings_QtWidgets[59170]
#define sipNameNr___lshift__ 59181
#define sipName___lshift__ &sipStrings_QtWidgets[59181]
#define sipNameNr_removeRows 59192
#define sipName_removeRows &sipStrings_QtWidgets[59192]
#define sipNameNr_insertRows 59203
#define sipName_insertRows &sipStrings_QtWidgets[59203]
#define sipNameNr_headerData 59214
#define sipName_headerData &sipStrings_QtWidgets[59214]
#define sipNameNr_BackButton 59225
#define sipName_BackButton &sipStrings_QtWidgets[59225]
#define sipNameNr___invert__ 59236
#define sipName___invert__ &sipStrings_QtWidgets[59236]
#define sipNameNr_pageAdded 59247
#define sipName_pageAdded &sipStrings_QtWidgets[59247]
#define sipNameNr_currentId 59257
#define sipName_currentId &sipStrings_QtWidgets[59257]
#define sipNameNr_AeroStyle 59267
#define sipName_AeroStyle &sipStrings_QtWidgets[59267]
#define sipNameNr_clearMask 59277
#define sipName_clearMask &sipStrings_QtWidgets[59277]
#define sipNameNr_frameSize 59287
#define sipName_frameSize &sipStrings_QtWidgets[59287]
#define sipNameNr_cleanIcon 59297
#define sipName_cleanIcon &sipStrings_QtWidgets[59297]
#define sipNameNr_QUndoView 59307
#define sipName_QUndoView &sipStrings_QtWidgets[59307]
#define sipNameNr_undoLimit 59317
#define sipName_undoLimit &sipStrings_QtWidgets[59317]
#define sipNameNr_mergeWith 59327
#define sipName_mergeWith &sipStrings_QtWidgets[59327]
#define sipNameNr_NotHidden 59337
#define sipName_NotHidden &sipStrings_QtWidgets[59337]
#define sipNameNr_itemBelow 59347
#define sipName_itemBelow &sipStrings_QtWidgets[59347]
#define sipNameNr_itemAbove 59357
#define sipName_itemAbove &sipStrings_QtWidgets[59357]
#define sipNameNr_expandAll 59367
#define sipName_expandAll &sipStrings_QtWidgets[59367]
#define sipNameNr_collapsed 59377
#define sipName_collapsed &sipStrings_QtWidgets[59377]
#define sipNameNr_setHeader 59387
#define sipName_setHeader &sipStrings_QtWidgets[59387]
#define sipNameNr_QTreeView 59397
#define sipName_QTreeView &sipStrings_QtWidgets[59397]
#define sipNameNr_autoRaise 59407
#define sipName_autoRaise &sipStrings_QtWidgets[59407]
#define sipNameNr_popupMode 59417
#define sipName_popupMode &sipStrings_QtWidgets[59417]
#define sipNameNr_openLinks 59427
#define sipName_openLinks &sipStrings_QtWidgets[59427]
#define sipNameNr_setSource 59437
#define sipName_setSource &sipStrings_QtWidgets[59437]
#define sipNameNr_QTextEdit 59447
#define sipName_QTextEdit &sipStrings_QtWidgets[59447]
#define sipNameNr_setTabBar 59457
#define sipName_setTabBar &sipStrings_QtWidgets[59457]
#define sipNameNr_visualRow 59467
#define sipName_visualRow &sipStrings_QtWidgets[59467]
#define sipNameNr_bottomRow 59477
#define sipName_bottomRow &sipStrings_QtWidgets[59477]
#define sipNameNr_selectRow 59487
#define sipName_selectRow &sipStrings_QtWidgets[59487]
#define sipNameNr_gridStyle 59497
#define sipName_gridStyle &sipStrings_QtWidgets[59497]
#define sipNameNr_rowHeight 59507
#define sipName_rowHeight &sipStrings_QtWidgets[59507]
#define sipNameNr_isMovable 59517
#define sipName_isMovable &sipStrings_QtWidgets[59517]
#define sipNameNr_expanding 59527
#define sipName_expanding &sipStrings_QtWidgets[59527]
#define sipNameNr_tabButton 59537
#define sipName_tabButton &sipStrings_QtWidgets[59537]
#define sipNameNr_RightSide 59547
#define sipName_RightSide &sipStrings_QtWidgets[59547]
#define sipNameNr_elideMode 59557
#define sipName_elideMode &sipStrings_QtWidgets[59557]
#define sipNameNr_removeTab 59567
#define sipName_removeTab &sipStrings_QtWidgets[59567]
#define sipNameNr_insertTab 59577
#define sipName_insertTab &sipStrings_QtWidgets[59577]
#define sipNameNr_textColor 59587
#define sipName_textColor &sipStrings_QtWidgets[59587]
#define sipNameNr_popupRect 59597
#define sipName_popupRect &sipStrings_QtWidgets[59597]
#define sipNameNr_arrowType 59607
#define sipName_arrowType &sipStrings_QtWidgets[59607]
#define sipNameNr_Alternate 59617
#define sipName_Alternate &sipStrings_QtWidgets[59617]
#define sipNameNr_floatable 59627
#define sipName_floatable &sipStrings_QtWidgets[59627]
#define sipNameNr_checkType 59637
#define sipName_checkType &sipStrings_QtWidgets[59637]
#define sipNameNr_Exclusive 36806
#define sipName_Exclusive &sipStrings_QtWidgets[36806]
#define sipNameNr_CheckType 5325
#define sipName_CheckType &sipStrings_QtWidgets[5325]
#define sipNameNr_EmptyArea 40
#define sipName_EmptyArea &sipStrings_QtWidgets[40]
#define sipNameNr_Separator 8316
#define sipName_Separator &sipStrings_QtWidgets[8316]
#define sipNameNr_Beginning 59647
#define sipName_Beginning &sipStrings_QtWidgets[59647]
#define sipNameNr_SO_Slider 59657
#define sipName_SO_Slider &sipStrings_QtWidgets[59657]
#define sipNameNr_SO_Header 59667
#define sipName_SO_Header &sipStrings_QtWidgets[59667]
#define sipNameNr_SO_Button 59677
#define sipName_SO_Button &sipStrings_QtWidgets[59677]
#define sipNameNr_visualPos 59687
#define sipName_visualPos &sipStrings_QtWidgets[59687]
#define sipNameNr_CT_Slider 59697
#define sipName_CT_Slider &sipStrings_QtWidgets[59697]
#define sipNameNr_CC_Slider 59707
#define sipName_CC_Slider &sipStrings_QtWidgets[59707]
#define sipNameNr_CE_Header 59717
#define sipName_CE_Header &sipStrings_QtWidgets[59717]
#define sipNameNr_PE_Widget 59727
#define sipName_PE_Widget &sipStrings_QtWidgets[59727]
#define sipNameNr_State_Top 59737
#define sipName_State_Top &sipStrings_QtWidgets[59737]
#define sipNameNr_State_Off 59747
#define sipName_State_Off &sipStrings_QtWidgets[59747]
#define sipNameNr_StateFlag 30612
#define sipName_StateFlag &sipStrings_QtWidgets[30612]
#define sipNameNr_QSplitter 59757
#define sipName_QSplitter &sipStrings_QtWidgets[59757]
#define sipNameNr_cleanText 59767
#define sipName_cleanText &sipStrings_QtWidgets[59767]
#define sipNameNr_setSuffix 59777
#define sipName_setSuffix &sipStrings_QtWidgets[59777]
#define sipNameNr_setPrefix 59787
#define sipName_setPrefix &sipStrings_QtWidgets[59787]
#define sipNameNr_TicksLeft 59797
#define sipName_TicksLeft &sipStrings_QtWidgets[59797]
#define sipNameNr_TabWidget 30558
#define sipName_TabWidget &sipStrings_QtWidgets[30558]
#define sipNameNr_ButtonBox 35871
#define sipName_ButtonBox &sipStrings_QtWidgets[35871]
#define sipNameNr_Expanding 34239
#define sipName_Expanding &sipStrings_QtWidgets[34239]
#define sipNameNr_Preferred 59807
#define sipName_Preferred &sipStrings_QtWidgets[59807]
#define sipNameNr_QSizeGrip 59817
#define sipName_QSizeGrip &sipStrings_QtWidgets[59817]
#define sipNameNr_QShortcut 59827
#define sipName_QShortcut &sipStrings_QtWidgets[59827]
#define sipNameNr_FrameRate 59837
#define sipName_FrameRate &sipStrings_QtWidgets[59837]
#define sipNameNr_InputMove 59847
#define sipName_InputMove &sipStrings_QtWidgets[59847]
#define sipNameNr_Scrolling 59857
#define sipName_Scrolling &sipStrings_QtWidgets[59857]
#define sipNameNr_QScroller 59867
#define sipName_QScroller &sipStrings_QtWidgets[59867]
#define sipNameNr_baseStyle 59877
#define sipName_baseStyle &sipStrings_QtWidgets[59877]
#define sipNameNr_forceShow 59887
#define sipName_forceShow &sipStrings_QtWidgets[59887]
#define sipNameNr_autoClose 59897
#define sipName_autoClose &sipStrings_QtWidgets[59897]
#define sipNameNr_autoReset 59907
#define sipName_autoReset &sipStrings_QtWidgets[59907]
#define sipNameNr_setButton 20468
#define sipName_setButton &sipStrings_QtWidgets[20468]
#define sipNameNr_setCorner 59917
#define sipName_setCorner &sipStrings_QtWidgets[59917]
#define sipNameNr_statusBar 59927
#define sipName_statusBar &sipStrings_QtWidgets[59927]
#define sipNameNr_sortItems 59937
#define sipName_sortItems &sipStrings_QtWidgets[59937]
#define sipNameNr_setHidden 59947
#define sipName_setHidden &sipStrings_QtWidgets[59947]
#define sipNameNr_batchSize 59957
#define sipName_batchSize &sipStrings_QtWidgets[59957]
#define sipNameNr_QListView 59967
#define sipName_QListView &sipStrings_QtWidgets[59967]
#define sipNameNr_inputMask 59977
#define sipName_inputMask &sipStrings_QtWidgets[59977]
#define sipNameNr_backspace 59987
#define sipName_backspace &sipStrings_QtWidgets[59987]
#define sipNameNr_QLineEdit 59997
#define sipName_QLineEdit &sipStrings_QtWidgets[59997]
#define sipNameNr_drawFocus 60007
#define sipName_drawFocus &sipStrings_QtWidgets[60007]
#define sipNameNr_drawCheck 60017
#define sipName_drawCheck &sipStrings_QtWidgets[60017]
#define sipNameNr_textValue 60027
#define sipName_textValue &sipStrings_QtWidgets[60027]
#define sipNameNr_inputMode 60037
#define sipName_inputMode &sipStrings_QtWidgets[60037]
#define sipNameNr_getDouble 60047
#define sipName_getDouble &sipStrings_QtWidgets[60047]
#define sipNameNr_TextInput 8461
#define sipName_TextInput &sipStrings_QtWidgets[8461]
#define sipNameNr_InputMode 14692
#define sipName_InputMode &sipStrings_QtWidgets[14692]
#define sipNameNr_QGroupBox 60057
#define sipName_QGroupBox &sipStrings_QtWidgets[60057]
#define sipNameNr_fitInView 60067
#define sipName_fitInView &sipStrings_QtWidgets[60067]
#define sipNameNr_setZScale 60077
#define sipName_setZScale &sipStrings_QtWidgets[60077]
#define sipNameNr_setYScale 60087
#define sipName_setYScale &sipStrings_QtWidgets[60087]
#define sipNameNr_setXScale 60097
#define sipName_setXScale &sipStrings_QtWidgets[60097]
#define sipNameNr_setOrigin 60107
#define sipName_setOrigin &sipStrings_QtWidgets[60107]
#define sipNameNr_AllLayers 60117
#define sipName_AllLayers &sipStrings_QtWidgets[60117]
#define sipNameNr_ItemLayer 60127
#define sipName_ItemLayer &sipStrings_QtWidgets[60127]
#define sipNameNr_shapeMode 60137
#define sipName_shapeMode &sipStrings_QtWidgets[60137]
#define sipNameNr_MaskShape 28261
#define sipName_MaskShape &sipStrings_QtWidgets[28261]
#define sipNameNr_ShapeMode 6585
#define sipName_ShapeMode &sipStrings_QtWidgets[6585]
#define sipNameNr_spanAngle 60147
#define sipName_spanAngle &sipStrings_QtWidgets[60147]
#define sipNameNr_focusItem 60157
#define sipName_focusItem &sipStrings_QtWidgets[60157]
#define sipNameNr_isClipped 60167
#define sipName_isClipped &sipStrings_QtWidgets[60167]
#define sipNameNr_grabMouse 54740
#define sipName_grabMouse &sipStrings_QtWidgets[54740]
#define sipNameNr_mapToItem 60177
#define sipName_mapToItem &sipStrings_QtWidgets[60177]
#define sipNameNr_setZValue 60187
#define sipName_setZValue &sipStrings_QtWidgets[60187]
#define sipNameNr_hasCursor 60197
#define sipName_hasCursor &sipStrings_QtWidgets[60197]
#define sipNameNr_blurHints 60207
#define sipName_blurHints &sipStrings_QtWidgets[60207]
#define sipNameNr_BlurHints 6647
#define sipName_BlurHints &sipStrings_QtWidgets[6647]
#define sipNameNr_addAnchor 60217
#define sipName_addAnchor &sipStrings_QtWidgets[60217]
#define sipNameNr_recognize 60227
#define sipName_recognize &sipStrings_QtWidgets[60227]
#define sipNameNr_drawFrame 60237
#define sipName_drawFrame &sipStrings_QtWidgets[60237]
#define sipNameNr_StyleMask 31926
#define sipName_StyleMask &sipStrings_QtWidgets[31926]
#define sipNameNr_setLayout 60247
#define sipName_setLayout &sipStrings_QtWidgets[60247]
#define sipNameNr_FieldRole 60257
#define sipName_FieldRole &sipStrings_QtWidgets[60257]
#define sipNameNr_LabelRole 60267
#define sipName_LabelRole &sipStrings_QtWidgets[60267]
#define sipNameNr_selectUrl 60277
#define sipName_selectUrl &sipStrings_QtWidgets[60277]
#define sipNameNr_saveState 60287
#define sipName_saveState &sipStrings_QtWidgets[60287]
#define sipNameNr_labelText 60297
#define sipName_labelText &sipStrings_QtWidgets[60297]
#define sipNameNr_Directory 22295
#define sipName_Directory &sipStrings_QtWidgets[22295]
#define sipNameNr_qtHandler 60307
#define sipName_qtHandler &sipStrings_QtWidgets[60307]
#define sipNameNr_QDirModel 60317
#define sipName_QDirModel &sipStrings_QtWidgets[60317]
#define sipNameNr_ApplyRole 60327
#define sipName_ApplyRole &sipStrings_QtWidgets[60327]
#define sipNameNr_ResetRole 60337
#define sipName_ResetRole &sipStrings_QtWidgets[60337]
#define sipNameNr_KdeLayout 60347
#define sipName_KdeLayout &sipStrings_QtWidgets[60347]
#define sipNameNr_MacLayout 60357
#define sipName_MacLayout &sipStrings_QtWidgets[60357]
#define sipNameNr_WinLayout 60367
#define sipName_WinLayout &sipStrings_QtWidgets[60367]
#define sipNameNr_setResult 60377
#define sipName_setResult &sipStrings_QtWidgets[60377]
#define sipNameNr_notchSize 60387
#define sipName_notchSize &sipStrings_QtWidgets[60387]
#define sipNameNr_QDateEdit 60397
#define sipName_QDateEdit &sipStrings_QtWidgets[60397]
#define sipNameNr_QTimeEdit 60407
#define sipName_QTimeEdit &sipStrings_QtWidgets[60407]
#define sipNameNr_sectionAt 60417
#define sipName_sectionAt &sipStrings_QtWidgets[60417]
#define sipNameNr_splitPath 60427
#define sipName_splitPath &sipStrings_QtWidgets[60427]
#define sipNameNr_setWidget 60437
#define sipName_setWidget &sipStrings_QtWidgets[60437]
#define sipNameNr_completer 60447
#define sipName_completer &sipStrings_QtWidgets[60447]
#define sipNameNr_hidePopup 60457
#define sipName_hidePopup &sipStrings_QtWidgets[60457]
#define sipNameNr_showPopup 60467
#define sipName_showPopup &sipStrings_QtWidgets[60467]
#define sipNameNr_validator 60477
#define sipName_validator &sipStrings_QtWidgets[60477]
#define sipNameNr_QComboBox 60487
#define sipName_QComboBox &sipStrings_QtWidgets[60487]
#define sipNameNr_QCheckBox 60497
#define sipName_QCheckBox &sipStrings_QtWidgets[60497]
#define sipNameNr_showToday 60507
#define sipName_showToday &sipStrings_QtWidgets[60507]
#define sipNameNr_paintCell 60517
#define sipName_paintCell &sipStrings_QtWidgets[60517]
#define sipNameNr_yearShown 60527
#define sipName_yearShown &sipStrings_QtWidgets[60527]
#define sipNameNr_checkedId 60537
#define sipName_checkedId &sipStrings_QtWidgets[60537]
#define sipNameNr_addButton 60547
#define sipName_addButton &sipStrings_QtWidgets[60547]
#define sipNameNr_exclusive 60557
#define sipName_exclusive &sipStrings_QtWidgets[60557]
#define sipNameNr_addLayout 60567
#define sipName_addLayout &sipStrings_QtWidgets[60567]
#define sipNameNr_addWidget 60577
#define sipName_addWidget &sipStrings_QtWidgets[60577]
#define sipNameNr_ManyColor 60587
#define sipName_ManyColor &sipStrings_QtWidgets[60587]
#define sipNameNr_ColorSpec 15364
#define sipName_ColorSpec &sipStrings_QtWidgets[15364]
#define sipNameNr_addAction 60597
#define sipName_addAction &sipStrings_QtWidgets[60597]
#define sipNameNr_shortcuts 60607
#define sipName_shortcuts &sipStrings_QtWidgets[60607]
#define sipNameNr_AboutRole 60617
#define sipName_AboutRole &sipStrings_QtWidgets[60617]
#define sipNameNr_NoButtons 60627
#define sipName_NoButtons &sipStrings_QtWidgets[60627]
#define sipNameNr_PlusMinus 60637
#define sipName_PlusMinus &sipStrings_QtWidgets[60637]
#define sipNameNr_BelowItem 60647
#define sipName_BelowItem &sipStrings_QtWidgets[60647]
#define sipNameNr_AboveItem 60657
#define sipName_AboveItem &sipStrings_QtWidgets[60657]
#define sipNameNr_dropEvent 60667
#define sipName_dropEvent &sipStrings_QtWidgets[60667]
#define sipNameNr_startDrag 60677
#define sipName_startDrag &sipStrings_QtWidgets[60677]
#define sipNameNr_MoveRight 60687
#define sipName_MoveRight &sipStrings_QtWidgets[60687]
#define sipNameNr_selectAll 60697
#define sipName_selectAll &sipStrings_QtWidgets[60697]
#define sipNameNr_rootIndex 60707
#define sipName_rootIndex &sipStrings_QtWidgets[60707]
#define sipNameNr_helpEvent 60717
#define sipName_helpEvent &sipStrings_QtWidgets[60717]
#define sipNameNr_hitButton 60727
#define sipName_hitButton &sipStrings_QtWidgets[60727]
#define sipNameNr_isChecked 60737
#define sipName_isChecked &sipStrings_QtWidgets[60737]
#define sipNameNr_hideEvent 60747
#define sipName_hideEvent &sipStrings_QtWidgets[60747]
#define sipNameNr_showEvent 60757
#define sipName_showEvent &sipStrings_QtWidgets[60757]
#define sipNameNr_moveEvent 60767
#define sipName_moveEvent &sipStrings_QtWidgets[60767]
#define sipNameNr_setCursor 55952
#define sipName_setCursor &sipStrings_QtWidgets[55952]
#define sipNameNr_setMargin 60777
#define sipName_setMargin &sipStrings_QtWidgets[60777]
#define sipNameNr_setIndent 60787
#define sipName_setIndent &sipStrings_QtWidgets[60787]
#define sipNameNr_textWidth 60797
#define sipName_textWidth &sipStrings_QtWidgets[60797]
#define sipNameNr_takeChild 60807
#define sipName_takeChild &sipStrings_QtWidgets[60807]
#define sipNameNr_whatsThis 60817
#define sipName_whatsThis &sipStrings_QtWidgets[60817]
#define sipNameNr_statusTip 60827
#define sipName_statusTip &sipStrings_QtWidgets[60827]
#define sipNameNr_findItems 60837
#define sipName_findItems &sipStrings_QtWidgets[60837]
#define sipNameNr_Rectangle 60847
#define sipName_Rectangle &sipStrings_QtWidgets[60847]
#define sipNameNr_setActive 60857
#define sipName_setActive &sipStrings_QtWidgets[60857]
#define sipNameNr_operation 60867
#define sipName_operation &sipStrings_QtWidgets[60867]
#define sipNameNr_cacheMode 60877
#define sipName_cacheMode &sipStrings_QtWidgets[60877]
#define sipNameNr_frameRect 60887
#define sipName_frameRect &sipStrings_QtWidgets[60887]
#define sipNameNr_CacheNone 60897
#define sipName_CacheNone &sipStrings_QtWidgets[60897]
#define sipNameNr_CacheMode 13066
#define sipName_CacheMode &sipStrings_QtWidgets[13066]
#define sipNameNr_isVisible 60907
#define sipName_isVisible &sipStrings_QtWidgets[60907]
#define sipNameNr_setOption 60917
#define sipName_setOption &sipStrings_QtWidgets[60917]
#define sipNameNr_setFormat 53972
#define sipName_setFormat &sipStrings_QtWidgets[53972]
#define sipNameNr_setOffset 60927
#define sipName_setOffset &sipStrings_QtWidgets[60927]
#define sipNameNr_addPixmap 60937
#define sipName_addPixmap &sipStrings_QtWidgets[60937]
#define sipNameNr_lineWidth 60947
#define sipName_lineWidth &sipStrings_QtWidgets[60947]
#define sipNameNr_styleHint 60957
#define sipName_styleHint &sipStrings_QtWidgets[60957]
#define sipNameNr_StyleHint 30216
#define sipName_StyleHint &sipStrings_QtWidgets[30216]
#define sipNameNr_sceneRect 60967
#define sipName_sceneRect &sipStrings_QtWidgets[60967]
#define sipNameNr_screenPos 60977
#define sipName_screenPos &sipStrings_QtWidgets[60977]
#define sipNameNr_timestamp 60987
#define sipName_timestamp &sipStrings_QtWidgets[60987]
#define sipNameNr_modifiers 60997
#define sipName_modifiers &sipStrings_QtWidgets[60997]
#define sipNameNr_setPixmap 61007
#define sipName_setPixmap &sipStrings_QtWidgets[61007]
#define sipNameNr_transform 61017
#define sipName_transform &sipStrings_QtWidgets[61017]
#define sipNameNr_colorSpec 61027
#define sipName_colorSpec &sipStrings_QtWidgets[61027]
#define sipNameNr_pageCount 61037
#define sipName_pageCount &sipStrings_QtWidgets[61037]
#define sipNameNr_directory 61047
#define sipName_directory &sipStrings_QtWidgets[61047]
#define sipNameNr_alignment 61057
#define sipName_alignment &sipStrings_QtWidgets[61057]
#define sipNameNr_maxLength 61067
#define sipName_maxLength &sipStrings_QtWidgets[61067]
#define sipNameNr_activated 61077
#define sipName_activated &sipStrings_QtWidgets[61077]
#define sipNameNr_isEnabled 61087
#define sipName_isEnabled &sipStrings_QtWidgets[61087]
#define sipNameNr_transpose 61097
#define sipName_transpose &sipStrings_QtWidgets[61097]
#define sipNameNr_className 61107
#define sipName_className &sipStrings_QtWidgets[61107]
#define sipNameNr_setParent 61117
#define sipName_setParent &sipStrings_QtWidgets[61117]
#define sipNameNr_isDefault 61127
#define sipName_isDefault &sipStrings_QtWidgets[61127]
#define sipNameNr_rectangle 61137
#define sipName_rectangle &sipStrings_QtWidgets[61137]
#define sipNameNr_setFilter 61147
#define sipName_setFilter &sipStrings_QtWidgets[61147]
#define sipNameNr_translate 61157
#define sipName_translate &sipStrings_QtWidgets[61157]
#define sipNameNr_sendEvent 61167
#define sipName_sendEvent &sipStrings_QtWidgets[61167]
#define sipNameNr_setLocale 53036
#define sipName_setLocale &sipStrings_QtWidgets[53036]
#define sipNameNr_precision 61177
#define sipName_precision &sipStrings_QtWidgets[61177]
#define sipNameNr_eventTest 61187
#define sipName_eventTest &sipStrings_QtWidgets[61187]
#define sipNameNr_triggered 61197
#define sipName_triggered &sipStrings_QtWidgets[61197]
#define sipNameNr_roleNames 61207
#define sipName_roleNames &sipStrings_QtWidgets[61207]
#define sipNameNr_removeRow 61217
#define sipName_removeRow &sipStrings_QtWidgets[61217]
#define sipNameNr_insertRow 61227
#define sipName_insertRow &sipStrings_QtWidgets[61227]
#define sipNameNr_fetchMore 61237
#define sipName_fetchMore &sipStrings_QtWidgets[61237]
#define sipNameNr_mimeTypes 61247
#define sipName_mimeTypes &sipStrings_QtWidgets[61247]
#define sipNameNr_direction 61257
#define sipName_direction &sipStrings_QtWidgets[61257]
#define sipNameNr_Direction 7495
#define sipName_Direction &sipStrings_QtWidgets[7495]
#define sipNameNr_NoSection 61267
#define sipName_NoSection &sipStrings_QtWidgets[61267]
#define sipNameNr_subTitle 61277
#define sipName_subTitle &sipStrings_QtWidgets[61277]
#define sipNameNr_setField 61286
#define sipName_setField &sipStrings_QtWidgets[61286]
#define sipNameNr_MacStyle 61295
#define sipName_MacStyle &sipStrings_QtWidgets[61295]
#define sipNameNr_setStack 61304
#define sipName_setStack &sipStrings_QtWidgets[61304]
#define sipNameNr_setIndex 61313
#define sipName_setIndex &sipStrings_QtWidgets[61313]
#define sipNameNr_setClean 61322
#define sipName_setClean &sipStrings_QtWidgets[61322]
#define sipNameNr_endMacro 61331
#define sipName_endMacro &sipStrings_QtWidgets[61331]
#define sipNameNr_redoText 61340
#define sipName_redoText &sipStrings_QtWidgets[61340]
#define sipNameNr_undoText 61349
#define sipName_undoText &sipStrings_QtWidgets[61349]
#define sipNameNr_addStack 61358
#define sipName_addStack &sipStrings_QtWidgets[61358]
#define sipNameNr_UserFlag 61367
#define sipName_UserFlag &sipStrings_QtWidgets[61367]
#define sipNameNr_Editable 24624
#define sipName_Editable &sipStrings_QtWidgets[24624]
#define sipNameNr_addChild 61376
#define sipName_addChild &sipStrings_QtWidgets[61376]
#define sipNameNr_drawTree 61385
#define sipName_drawTree &sipStrings_QtWidgets[61385]
#define sipNameNr_reexpand 61394
#define sipName_reexpand &sipStrings_QtWidgets[61394]
#define sipNameNr_expanded 61403
#define sipName_expanded &sipStrings_QtWidgets[61403]
#define sipNameNr_hideText 61412
#define sipName_hideText &sipStrings_QtWidgets[61412]
#define sipNameNr_showText 61421
#define sipName_showText &sipStrings_QtWidgets[61421]
#define sipNameNr_QToolTip 61430
#define sipName_QToolTip &sipStrings_QtWidgets[61430]
#define sipNameNr_QToolBox 61439
#define sipName_QToolBox &sipStrings_QtWidgets[61439]
#define sipNameNr_QToolBar 61448
#define sipName_QToolBar &sipStrings_QtWidgets[61448]
#define sipNameNr_AutoNone 61457
#define sipName_AutoNone &sipStrings_QtWidgets[61457]
#define sipNameNr_backward 61466
#define sipName_backward &sipStrings_QtWidgets[61466]
#define sipNameNr_TabShape 20175
#define sipName_TabShape &sipStrings_QtWidgets[20175]
#define sipNameNr_rowMoved 61475
#define sipName_rowMoved &sipStrings_QtWidgets[61475]
#define sipNameNr_showGrid 61484
#define sipName_showGrid &sipStrings_QtWidgets[61484]
#define sipNameNr_columnAt 61493
#define sipName_columnAt &sipStrings_QtWidgets[61493]
#define sipNameNr_autoHide 61502
#define sipName_autoHide &sipStrings_QtWidgets[61502]
#define sipNameNr_tabMoved 61511
#define sipName_tabMoved &sipStrings_QtWidgets[61511]
#define sipNameNr_LeftSide 61520
#define sipName_LeftSide &sipStrings_QtWidgets[61520]
#define sipNameNr_drawBase 61529
#define sipName_drawBase &sipStrings_QtWidgets[61529]
#define sipNameNr_WrapText 61538
#define sipName_WrapText &sipStrings_QtWidgets[61538]
#define sipNameNr_tabWidth 61547
#define sipName_tabWidth &sipStrings_QtWidgets[61547]
#define sipNameNr_menuRect 61556
#define sipName_menuRect &sipStrings_QtWidgets[61556]
#define sipNameNr_Scroller 37907
#define sipName_Scroller &sipStrings_QtWidgets[37907]
#define sipNameNr_HasFrame 61565
#define sipName_HasFrame &sipStrings_QtWidgets[61565]
#define sipNameNr_SortDown 61574
#define sipName_SortDown &sipStrings_QtWidgets[61574]
#define sipNameNr_initFrom 61583
#define sipName_initFrom &sipStrings_QtWidgets[61583]
#define sipNameNr_SO_Frame 61592
#define sipName_SO_Frame &sipStrings_QtWidgets[61592]
#define sipNameNr_PE_Frame 61601
#define sipName_PE_Frame &sipStrings_QtWidgets[61601]
#define sipNameNr_State_On 61610
#define sipName_State_On &sipStrings_QtWidgets[61610]
#define sipNameNr_reformat 61619
#define sipName_reformat &sipStrings_QtWidgets[61619]
#define sipNameNr_StackAll 61628
#define sipName_StackAll &sipStrings_QtWidgets[61628]
#define sipNameNr_StackOne 61637
#define sipName_StackOne &sipStrings_QtWidgets[61637]
#define sipNameNr_splitter 61646
#define sipName_splitter &sipStrings_QtWidgets[61646]
#define sipNameNr_getRange 61655
#define sipName_getRange &sipStrings_QtWidgets[61655]
#define sipNameNr_setSizes 61664
#define sipName_setSizes &sipStrings_QtWidgets[61664]
#define sipNameNr_QSpinBox 61673
#define sipName_QSpinBox &sipStrings_QtWidgets[61673]
#define sipNameNr_LineEdit 34138
#define sipName_LineEdit &sipStrings_QtWidgets[34138]
#define sipNameNr_GroupBox 20259
#define sipName_GroupBox &sipStrings_QtWidgets[20259]
#define sipNameNr_ComboBox 20322
#define sipName_ComboBox &sipStrings_QtWidgets[20322]
#define sipNameNr_CheckBox 21183
#define sipName_CheckBox &sipStrings_QtWidgets[21183]
#define sipNameNr_GrowFlag 61682
#define sipName_GrowFlag &sipStrings_QtWidgets[61682]
#define sipNameNr_SnapTime 61691
#define sipName_SnapTime &sipStrings_QtWidgets[61691]
#define sipNameNr_Standard 61700
#define sipName_Standard &sipStrings_QtWidgets[61700]
#define sipNameNr_scroller 61709
#define sipName_scroller &sipStrings_QtWidgets[61709]
#define sipNameNr_Dragging 61718
#define sipName_Dragging &sipStrings_QtWidgets[61718]
#define sipNameNr_showMenu 61727
#define sipName_showMenu &sipStrings_QtWidgets[61727]
#define sipNameNr_textRole 61736
#define sipName_textRole &sipStrings_QtWidgets[61736]
#define sipNameNr_canceled 61745
#define sipName_canceled &sipStrings_QtWidgets[61745]
#define sipNameNr_setLabel 61754
#define sipName_setLabel &sipStrings_QtWidgets[61754]
#define sipNameNr_canPaste 61763
#define sipName_canPaste &sipStrings_QtWidgets[61763]
#define sipNameNr_checkBox 61772
#define sipName_checkBox &sipStrings_QtWidgets[61772]
#define sipNameNr_question 61781
#define sipName_question &sipStrings_QtWidgets[61781]
#define sipNameNr_FlagMask 61790
#define sipName_FlagMask &sipStrings_QtWidgets[61790]
#define sipNameNr_Question 17744
#define sipName_Question &sipStrings_QtWidgets[17744]
#define sipNameNr_Critical 17766
#define sipName_Critical &sipStrings_QtWidgets[17766]
#define sipNameNr_QMenuBar 61799
#define sipName_QMenuBar &sipStrings_QtWidgets[61799]
#define sipNameNr_collapse 61808
#define sipName_collapse &sipStrings_QtWidgets[61808]
#define sipNameNr_actionAt 61817
#define sipName_actionAt &sipStrings_QtWidgets[61817]
#define sipNameNr_isShaded 61826
#define sipName_isShaded &sipStrings_QtWidgets[61826]
#define sipNameNr_closable 61835
#define sipName_closable &sipStrings_QtWidgets[61835]
#define sipNameNr_QMdiArea 61844
#define sipName_QMdiArea &sipStrings_QtWidgets[61844]
#define sipNameNr_tabShape 61853
#define sipName_tabShape &sipStrings_QtWidgets[61853]
#define sipNameNr_editItem 61862
#define sipName_editItem &sipStrings_QtWidgets[61862]
#define sipNameNr_gridSize 61871
#define sipName_gridSize &sipStrings_QtWidgets[61871]
#define sipNameNr_movement 61880
#define sipName_movement &sipStrings_QtWidgets[61880]
#define sipNameNr_IconMode 61889
#define sipName_IconMode &sipStrings_QtWidgets[61889]
#define sipNameNr_ListMode 61898
#define sipName_ListMode &sipStrings_QtWidgets[61898]
#define sipNameNr_Movement 24504
#define sipName_Movement &sipStrings_QtWidgets[24504]
#define sipNameNr_deselect 61907
#define sipName_deselect &sipStrings_QtWidgets[61907]
#define sipNameNr_echoMode 61916
#define sipName_echoMode &sipStrings_QtWidgets[61916]
#define sipNameNr_Password 61925
#define sipName_Password &sipStrings_QtWidgets[61925]
#define sipNameNr_EchoMode 24524
#define sipName_EchoMode &sipStrings_QtWidgets[24524]
#define sipNameNr_overflow 61934
#define sipName_overflow &sipStrings_QtWidgets[61934]
#define sipNameNr_setMovie 61943
#define sipName_setMovie &sipStrings_QtWidgets[61943]
#define sipNameNr_setBuddy 61952
#define sipName_setBuddy &sipStrings_QtWidgets[61952]
#define sipNameNr_wordWrap 61961
#define sipName_wordWrap &sipStrings_QtWidgets[61961]
#define sipNameNr_intValue 61970
#define sipName_intValue &sipStrings_QtWidgets[61970]
#define sipNameNr_IntInput 61979
#define sipName_IntInput &sipStrings_QtWidgets[61979]
#define sipNameNr_cellRect 61988
#define sipName_cellRect &sipStrings_QtWidgets[61988]
#define sipNameNr_centerOn 61997
#define sipName_centerOn &sipStrings_QtWidgets[61997]
#define sipNameNr_setScene 62006
#define sipName_setScene &sipStrings_QtWidgets[62006]
#define sipNameNr_dragMode 62015
#define sipName_dragMode &sipStrings_QtWidgets[62015]
#define sipNameNr_NoAnchor 62024
#define sipName_NoAnchor &sipStrings_QtWidgets[62024]
#define sipNameNr_DragMode 14933
#define sipName_DragMode &sipStrings_QtWidgets[14933]
#define sipNameNr_isLayout 62033
#define sipName_isLayout &sipStrings_QtWidgets[62033]
#define sipNameNr_zChanged 62042
#define sipName_zChanged &sipStrings_QtWidgets[62042]
#define sipNameNr_setScale 62051
#define sipName_setScale &sipStrings_QtWidgets[62051]
#define sipNameNr_isWindow 62060
#define sipName_isWindow &sipStrings_QtWidgets[62060]
#define sipNameNr_isWidget 62069
#define sipName_isWidget &sipStrings_QtWidgets[62069]
#define sipNameNr_setFocus 62078
#define sipName_setFocus &sipStrings_QtWidgets[62078]
#define sipNameNr_hasFocus 62087
#define sipName_hasFocus &sipStrings_QtWidgets[62087]
#define sipNameNr_setGroup 62096
#define sipName_setGroup &sipStrings_QtWidgets[62096]
#define sipNameNr_BlurHint 7466
#define sipName_BlurHint &sipStrings_QtWidgets[7466]
#define sipNameNr_strength 62105
#define sipName_strength &sipStrings_QtWidgets[62105]
#define sipNameNr_gestures 62114
#define sipName_gestures &sipStrings_QtWidgets[62114]
#define sipNameNr_QGesture 62123
#define sipName_QGesture &sipStrings_QtWidgets[62123]
#define sipNameNr_WinPanel 47823
#define sipName_WinPanel &sipStrings_QtWidgets[47823]
#define sipNameNr_ItemRole 19328
#define sipName_ItemRole &sipStrings_QtWidgets[19328]
#define sipNameNr_AllFonts 62132
#define sipName_AllFonts &sipStrings_QtWidgets[62132]
#define sipNameNr_Trashcan 62141
#define sipName_Trashcan &sipStrings_QtWidgets[62141]
#define sipNameNr_Computer 58171
#define sipName_Computer &sipStrings_QtWidgets[58171]
#define sipNameNr_IconType 9450
#define sipName_IconType &sipStrings_QtWidgets[9450]
#define sipNameNr_fileMode 62150
#define sipName_fileMode &sipStrings_QtWidgets[62150]
#define sipNameNr_viewMode 62159
#define sipName_viewMode &sipStrings_QtWidgets[62159]
#define sipNameNr_FileType 62168
#define sipName_FileType &sipStrings_QtWidgets[62168]
#define sipNameNr_FileName 39699
#define sipName_FileName &sipStrings_QtWidgets[39699]
#define sipNameNr_FileMode 19416
#define sipName_FileMode &sipStrings_QtWidgets[19416]
#define sipNameNr_ViewMode 19438
#define sipName_ViewMode &sipStrings_QtWidgets[19438]
#define sipNameNr_fileIcon 62177
#define sipName_fileIcon &sipStrings_QtWidgets[62177]
#define sipNameNr_YesToAll 62186
#define sipName_YesToAll &sipStrings_QtWidgets[62186]
#define sipNameNr_HelpRole 62195
#define sipName_HelpRole &sipStrings_QtWidgets[62195]
#define sipNameNr_rejected 62204
#define sipName_rejected &sipStrings_QtWidgets[62204]
#define sipNameNr_setModal 62213
#define sipName_setModal &sipStrings_QtWidgets[62213]
#define sipNameNr_Accepted 56469
#define sipName_Accepted &sipStrings_QtWidgets[56469]
#define sipNameNr_Rejected 62222
#define sipName_Rejected &sipStrings_QtWidgets[62222]
#define sipNameNr_Sections 12342
#define sipName_Sections &sipStrings_QtWidgets[12342]
#define sipNameNr_complete 62231
#define sipName_complete &sipStrings_QtWidgets[62231]
#define sipNameNr_setPopup 62240
#define sipName_setPopup &sipStrings_QtWidgets[62240]
#define sipNameNr_unpolish 62249
#define sipName_unpolish &sipStrings_QtWidgets[62249]
#define sipNameNr_addItems 62258
#define sipName_addItems &sipStrings_QtWidgets[62258]
#define sipNameNr_itemIcon 62267
#define sipName_itemIcon &sipStrings_QtWidgets[62267]
#define sipNameNr_NoInsert 62276
#define sipName_NoInsert &sipStrings_QtWidgets[62276]
#define sipNameNr_findData 62285
#define sipName_findData &sipStrings_QtWidgets[62285]
#define sipNameNr_findText 62294
#define sipName_findText &sipStrings_QtWidgets[62294]
#define sipNameNr_maxCount 62303
#define sipName_maxCount &sipStrings_QtWidgets[62303]
#define sipNameNr_getColor 62312
#define sipName_getColor &sipStrings_QtWidgets[62312]
#define sipNameNr_addStrut 62321
#define sipName_addStrut &sipStrings_QtWidgets[62321]
#define sipNameNr_widgetAt 62330
#define sipName_widgetAt &sipStrings_QtWidgets[62330]
#define sipNameNr_menuRole 62339
#define sipName_menuRole &sipStrings_QtWidgets[62339]
#define sipNameNr_QuitRole 62348
#define sipName_QuitRole &sipStrings_QtWidgets[62348]
#define sipNameNr_MenuRole 32611
#define sipName_MenuRole &sipStrings_QtWidgets[32611]
#define sipNameNr_activate 62357
#define sipName_activate &sipStrings_QtWidgets[62357]
#define sipNameNr_iconText 62366
#define sipName_iconText &sipStrings_QtWidgets[62366]
#define sipNameNr_lineEdit 62375
#define sipName_lineEdit &sipStrings_QtWidgets[62375]
#define sipNameNr_stepDown 62384
#define sipName_stepDown &sipStrings_QtWidgets[62384]
#define sipNameNr_hasFrame 62393
#define sipName_hasFrame &sipStrings_QtWidgets[62393]
#define sipNameNr_setFrame 62402
#define sipName_setFrame &sipStrings_QtWidgets[62402]
#define sipNameNr_wrapping 62411
#define sipName_wrapping &sipStrings_QtWidgets[62411]
#define sipNameNr_StepNone 62420
#define sipName_StepNone &sipStrings_QtWidgets[62420]
#define sipNameNr_pageStep 62429
#define sipName_pageStep &sipStrings_QtWidgets[62429]
#define sipNameNr_setState 62438
#define sipName_setState &sipStrings_QtWidgets[62438]
#define sipNameNr_MoveNext 62447
#define sipName_MoveNext &sipStrings_QtWidgets[62447]
#define sipNameNr_MoveHome 62456
#define sipName_MoveHome &sipStrings_QtWidgets[62456]
#define sipNameNr_MoveLeft 62465
#define sipName_MoveLeft &sipStrings_QtWidgets[62465]
#define sipNameNr_MoveDown 62474
#define sipName_MoveDown &sipStrings_QtWidgets[62474]
#define sipNameNr_scrollTo 62483
#define sipName_scrollTo &sipStrings_QtWidgets[62483]
#define sipNameNr_DragDrop 58622
#define sipName_DragDrop &sipStrings_QtWidgets[58622]
#define sipNameNr_DropOnly 62492
#define sipName_DropOnly &sipStrings_QtWidgets[62492]
#define sipNameNr_DragOnly 62501
#define sipName_DragOnly &sipStrings_QtWidgets[62501]
#define sipNameNr_released 62510
#define sipName_released &sipStrings_QtWidgets[62510]
#define sipNameNr_shortcut 62519
#define sipName_shortcut &sipStrings_QtWidgets[62519]
#define sipNameNr_iconSize 62528
#define sipName_iconSize &sipStrings_QtWidgets[62528]
#define sipNameNr_yChanged 32917
#define sipName_yChanged &sipStrings_QtWidgets[32917]
#define sipNameNr_xChanged 25484
#define sipName_xChanged &sipStrings_QtWidgets[25484]
#define sipNameNr_baseSize 62537
#define sipName_baseSize &sipStrings_QtWidgets[62537]
#define sipNameNr_decimals 62546
#define sipName_decimals &sipStrings_QtWidgets[62546]
#define sipNameNr_setRange 62555
#define sipName_setRange &sipStrings_QtWidgets[62555]
#define sipNameNr_validate 59139
#define sipName_validate &sipStrings_QtWidgets[59139]
#define sipNameNr_userData 62564
#define sipName_userData &sipStrings_QtWidgets[62564]
#define sipNameNr_itemText 62573
#define sipName_itemText &sipStrings_QtWidgets[62573]
#define sipNameNr_Position 1232
#define sipName_Position &sipStrings_QtWidgets[1232]
#define sipNameNr_ItemType 3738
#define sipName_ItemType &sipStrings_QtWidgets[3738]
#define sipNameNr_editable 62582
#define sipName_editable &sipStrings_QtWidgets[62582]
#define sipNameNr_sizeHint 62591
#define sipName_sizeHint &sipStrings_QtWidgets[62591]
#define sipNameNr_takeItem 62600
#define sipName_takeItem &sipStrings_QtWidgets[62600]
#define sipNameNr_geometry 62609
#define sipName_geometry &sipStrings_QtWidgets[62609]
#define sipNameNr_setTitle 62618
#define sipName_setTitle &sipStrings_QtWidgets[62618]
#define sipNameNr_Inactive 62627
#define sipName_Inactive &sipStrings_QtWidgets[62627]
#define sipNameNr_features 62636
#define sipName_features &sipStrings_QtWidgets[62636]
#define sipNameNr_fillRule 62645
#define sipName_fillRule &sipStrings_QtWidgets[62645]
#define sipNameNr_clipPath 62654
#define sipName_clipPath &sipStrings_QtWidgets[62654]
#define sipNameNr_setBrush 62663
#define sipName_setBrush &sipStrings_QtWidgets[62663]
#define sipNameNr_resizeGL 62672
#define sipName_resizeGL &sipStrings_QtWidgets[62672]
#define sipNameNr_viewport 62681
#define sipName_viewport &sipStrings_QtWidgets[62681]
#define sipNameNr_Selected 3913
#define sipName_Selected &sipStrings_QtWidgets[3913]
#define sipNameNr_Disabled 6307
#define sipName_Disabled &sipStrings_QtWidgets[6307]
#define sipNameNr_setFlags 62690
#define sipName_setFlags &sipStrings_QtWidgets[62690]
#define sipNameNr_tabArray 62699
#define sipName_tabArray &sipStrings_QtWidgets[62699]
#define sipNameNr_tabStops 62708
#define sipName_tabStops &sipStrings_QtWidgets[62708]
#define sipNameNr_fontInfo 62717
#define sipName_fontInfo &sipStrings_QtWidgets[62717]
#define sipNameNr_velocity 62726
#define sipName_velocity &sipStrings_QtWidgets[62726]
#define sipNameNr_scenePos 62735
#define sipName_scenePos &sipStrings_QtWidgets[62735]
#define sipNameNr_Keyboard 37171
#define sipName_Keyboard &sipStrings_QtWidgets[37171]
#define sipNameNr_rotation 62744
#define sipName_rotation &sipStrings_QtWidgets[62744]
#define sipNameNr_setShape 62753
#define sipName_setShape &sipStrings_QtWidgets[62753]
#define sipNameNr_setColor 62762
#define sipName_setColor &sipStrings_QtWidgets[62762]
#define sipNameNr_setStyle 62771
#define sipName_setStyle &sipStrings_QtWidgets[62771]
#define sipNameNr_document 62780
#define sipName_document &sipStrings_QtWidgets[62780]
#define sipNameNr_anchorAt 62789
#define sipName_anchorAt &sipStrings_QtWidgets[62789]
#define sipNameNr_UserType 62798
#define sipName_UserType &sipStrings_QtWidgets[62798]
#define sipNameNr_nameType 62807
#define sipName_nameType &sipStrings_QtWidgets[62807]
#define sipNameNr_Priority 32557
#define sipName_Priority &sipStrings_QtWidgets[32557]
#define sipNameNr_position 62816
#define sipName_position &sipStrings_QtWidgets[62816]
#define sipNameNr_setValue 62825
#define sipName_setValue &sipStrings_QtWidgets[62825]
#define sipNameNr_property 62834
#define sipName_property &sipStrings_QtWidgets[62834]
#define sipNameNr___isub__ 62843
#define sipName___isub__ &sipStrings_QtWidgets[62843]
#define sipNameNr_critical 62852
#define sipName_critical &sipStrings_QtWidgets[62852]
#define sipNameNr_dateTime 62861
#define sipName_dateTime &sipStrings_QtWidgets[62861]
#define sipNameNr_setAngle 62870
#define sipName_setAngle &sipStrings_QtWidgets[62870]
#define sipNameNr_removeAt 62879
#define sipName_removeAt &sipStrings_QtWidgets[62879]
#define sipNameNr_setModel 62888
#define sipName_setModel &sipStrings_QtWidgets[62888]
#define sipNameNr_ReadOnly 42271
#define sipName_ReadOnly &sipStrings_QtWidgets[42271]
#define sipNameNr_isHidden 62897
#define sipName_isHidden &sipStrings_QtWidgets[62897]
#define sipNameNr_progress 62906
#define sipName_progress &sipStrings_QtWidgets[62906]
#define sipNameNr_fileInfo 62915
#define sipName_fileInfo &sipStrings_QtWidgets[62915]
#define sipNameNr_rootPath 62924
#define sipName_rootPath &sipStrings_QtWidgets[62924]
#define sipNameNr_filePath 62933
#define sipName_filePath &sipStrings_QtWidgets[62933]
#define sipNameNr_fileName 62942
#define sipName_fileName &sipStrings_QtWidgets[62942]
#define sipNameNr_timeSpec 62951
#define sipName_timeSpec &sipStrings_QtWidgets[62951]
#define sipNameNr_accepted 62960
#define sipName_accepted &sipStrings_QtWidgets[62960]
#define sipNameNr_priority 62969
#define sipName_priority &sipStrings_QtWidgets[62969]
#define sipNameNr_contains 62978
#define sipName_contains &sipStrings_QtWidgets[62978]
#define sipNameNr___iadd__ 62987
#define sipName___iadd__ &sipStrings_QtWidgets[62987]
#define sipNameNr_isActive 62996
#define sipName_isActive &sipStrings_QtWidgets[62996]
#define sipNameNr_moveRows 59194
#define sipName_moveRows &sipStrings_QtWidgets[59194]
#define sipNameNr_mimeData 63005
#define sipName_mimeData &sipStrings_QtWidgets[63005]
#define sipNameNr_itemData 63014
#define sipName_itemData &sipStrings_QtWidgets[63014]
#define sipNameNr_rowCount 63023
#define sipName_rowCount &sipStrings_QtWidgets[63023]
#define sipNameNr_finished 63032
#define sipName_finished &sipStrings_QtWidgets[63032]
#define sipNameNr_NonModal 63041
#define sipName_NonModal &sipStrings_QtWidgets[63041]
#define sipNameNr_NoButton 30127
#define sipName_NoButton &sipStrings_QtWidgets[30127]
#define sipNameNr___bool__ 63050
#define sipName___bool__ &sipStrings_QtWidgets[63050]
#define sipNameNr___ixor__ 63059
#define sipName___ixor__ &sipStrings_QtWidgets[63059]
#define sipNameNr___iand__ 63068
#define sipName___iand__ &sipStrings_QtWidgets[63068]
#define sipNameNr_pageIds 63077
#define sipName_pageIds &sipStrings_QtWidgets[63077]
#define sipNameNr_startId 63085
#define sipName_startId &sipStrings_QtWidgets[63085]
#define sipNameNr_setPage 63093
#define sipName_setPage &sipStrings_QtWidgets[63093]
#define sipNameNr_addPage 63101
#define sipName_addPage &sipStrings_QtWidgets[63101]
#define sipNameNr_QWizard 63109
#define sipName_QWizard &sipStrings_QtWidgets[63109]
#define sipNameNr_childAt 63117
#define sipName_childAt &sipStrings_QtWidgets[63117]
#define sipNameNr_mapFrom 63125
#define sipName_mapFrom &sipStrings_QtWidgets[63125]
#define sipNameNr_isClean 63133
#define sipName_isClean &sipStrings_QtWidgets[63133]
#define sipNameNr_canRedo 63141
#define sipName_canRedo &sipStrings_QtWidgets[63141]
#define sipNameNr_canUndo 63149
#define sipName_canUndo &sipStrings_QtWidgets[63149]
#define sipNameNr_Enabled 7617
#define sipName_Enabled &sipStrings_QtWidgets[7617]
#define sipNameNr_drawRow 63157
#define sipName_drawRow &sipStrings_QtWidgets[63157]
#define sipNameNr_AutoAll 63165
#define sipName_AutoAll &sipStrings_QtWidgets[63165]
#define sipNameNr_forward 63173
#define sipName_forward &sipStrings_QtWidgets[63173]
#define sipNameNr_setSpan 63181
#define sipName_setSpan &sipStrings_QtWidgets[63181]
#define sipNameNr_showRow 63189
#define sipName_showRow &sipStrings_QtWidgets[63189]
#define sipNameNr_hideRow 63197
#define sipName_hideRow &sipStrings_QtWidgets[63197]
#define sipNameNr_moveTab 59569
#define sipName_moveTab &sipStrings_QtWidgets[59569]
#define sipNameNr_tabRect 63205
#define sipName_tabRect &sipStrings_QtWidgets[63205]
#define sipNameNr_tabData 63213
#define sipName_tabData &sipStrings_QtWidgets[63213]
#define sipNameNr_tabIcon 63221
#define sipName_tabIcon &sipStrings_QtWidgets[63221]
#define sipNameNr_tabText 63229
#define sipName_tabText &sipStrings_QtWidgets[63229]
#define sipNameNr_QTabBar 63237
#define sipName_QTabBar &sipStrings_QtWidgets[63237]
#define sipNameNr_Context 28681
#define sipName_Context &sipStrings_QtWidgets[28681]
#define sipNameNr_Unknown 63245
#define sipName_Unknown &sipStrings_QtWidgets[63245]
#define sipNameNr_Movable 26477
#define sipName_Movable &sipStrings_QtWidgets[26477]
#define sipNameNr_SH_Mask 63253
#define sipName_SH_Mask &sipStrings_QtWidgets[63253]
#define sipNameNr_OnlyOne 63261
#define sipName_OnlyOne &sipStrings_QtWidgets[63261]
#define sipNameNr_TearOff 63269
#define sipName_TearOff &sipStrings_QtWidgets[63269]
#define sipNameNr_SubMenu 63277
#define sipName_SubMenu &sipStrings_QtWidgets[63277]
#define sipNameNr_HasMenu 63285
#define sipName_HasMenu &sipStrings_QtWidgets[63285]
#define sipNameNr_Rounded 63293
#define sipName_Rounded &sipStrings_QtWidgets[63293]
#define sipNameNr_CT_Menu 63301
#define sipName_CT_Menu &sipStrings_QtWidgets[63301]
#define sipNameNr_SC_None 63309
#define sipName_SC_None &sipStrings_QtWidgets[63309]
#define sipNameNr_CC_Dial 63317
#define sipName_CC_Dial &sipStrings_QtWidgets[63317]
#define sipNameNr_repaint 63325
#define sipName_repaint &sipStrings_QtWidgets[63325]
#define sipNameNr_NoTicks 63333
#define sipName_NoTicks &sipStrings_QtWidgets[63333]
#define sipNameNr_QSlider 63341
#define sipName_QSlider &sipStrings_QtWidgets[63341]
#define sipNameNr_SpinBox 23285
#define sipName_SpinBox &sipStrings_QtWidgets[23285]
#define sipNameNr_Ignored 48440
#define sipName_Ignored &sipStrings_QtWidgets[48440]
#define sipNameNr_Maximum 34768
#define sipName_Maximum &sipStrings_QtWidgets[34768]
#define sipNameNr_Minimum 34785
#define sipName_Minimum &sipStrings_QtWidgets[34785]
#define sipNameNr_Pressed 43127
#define sipName_Pressed &sipStrings_QtWidgets[43127]
#define sipNameNr_zoomOut 63349
#define sipName_zoomOut &sipStrings_QtWidgets[63349]
#define sipNameNr_Default 42527
#define sipName_Default &sipStrings_QtWidgets[42527]
#define sipNameNr_Warning 20533
#define sipName_Warning &sipStrings_QtWidgets[20533]
#define sipNameNr_addMenu 63357
#define sipName_addMenu &sipStrings_QtWidgets[63357]
#define sipNameNr_mdiArea 63365
#define sipName_mdiArea &sipStrings_QtWidgets[63365]
#define sipNameNr_setFlow 63373
#define sipName_setFlow &sipStrings_QtWidgets[63373]
#define sipNameNr_Batched 63381
#define sipName_Batched &sipStrings_QtWidgets[63381]
#define sipNameNr_display 63389
#define sipName_display &sipStrings_QtWidgets[63389]
#define sipNameNr_Outline 63397
#define sipName_Outline &sipStrings_QtWidgets[63397]
#define sipNameNr_menuBar 63405
#define sipName_menuBar &sipStrings_QtWidgets[63405]
#define sipNameNr_intStep 63413
#define sipName_intStep &sipStrings_QtWidgets[63413]
#define sipNameNr_getItem 33561
#define sipName_getItem &sipStrings_QtWidgets[33561]
#define sipNameNr_getText 63421
#define sipName_getText &sipStrings_QtWidgets[63421]
#define sipNameNr_movable 63429
#define sipName_movable &sipStrings_QtWidgets[63429]
#define sipNameNr_setFlat 63437
#define sipName_setFlat &sipStrings_QtWidgets[63437]
#define sipNameNr_setAxis 63445
#define sipName_setAxis &sipStrings_QtWidgets[63445]
#define sipNameNr_applyTo 63453
#define sipName_applyTo &sipStrings_QtWidgets[63453]
#define sipNameNr_addLine 63461
#define sipName_addLine &sipStrings_QtWidgets[63461]
#define sipNameNr_NoIndex 63469
#define sipName_NoIndex &sipStrings_QtWidgets[63469]
#define sipNameNr_vPolicy 63477
#define sipName_vPolicy &sipStrings_QtWidgets[63477]
#define sipNameNr_hPolicy 6122
#define sipName_hPolicy &sipStrings_QtWidgets[6122]
#define sipNameNr_isPanel 63485
#define sipName_isPanel &sipStrings_QtWidgets[63485]
#define sipNameNr_advance 63493
#define sipName_advance &sipStrings_QtWidgets[63493]
#define sipNameNr_yMargin 63501
#define sipName_yMargin &sipStrings_QtWidgets[63501]
#define sipNameNr_xMargin 63509
#define sipName_xMargin &sipStrings_QtWidgets[63509]
#define sipNameNr_NoCache 63517
#define sipName_NoCache &sipStrings_QtWidgets[63517]
#define sipNameNr_yOffset 63525
#define sipName_yOffset &sipStrings_QtWidgets[63525]
#define sipNameNr_xOffset 63533
#define sipName_xOffset &sipStrings_QtWidgets[63533]
#define sipNameNr_gesture 63541
#define sipName_gesture &sipStrings_QtWidgets[63541]
#define sipNameNr_NoFrame 63549
#define sipName_NoFrame &sipStrings_QtWidgets[63549]
#define sipNameNr_getFont 63557
#define sipName_getFont &sipStrings_QtWidgets[63557]
#define sipNameNr_Network 63565
#define sipName_Network &sipStrings_QtWidgets[63565]
#define sipNameNr_history 63573
#define sipName_history &sipStrings_QtWidgets[63573]
#define sipNameNr_caption 63581
#define sipName_caption &sipStrings_QtWidgets[63581]
#define sipNameNr_Options 5097
#define sipName_Options &sipStrings_QtWidgets[5097]
#define sipNameNr_AnyFile 63589
#define sipName_AnyFile &sipStrings_QtWidgets[63589]
#define sipNameNr_Discard 63597
#define sipName_Discard &sipStrings_QtWidgets[63597]
#define sipNameNr_NoToAll 63605
#define sipName_NoToAll &sipStrings_QtWidgets[63605]
#define sipNameNr_SaveAll 63613
#define sipName_SaveAll &sipStrings_QtWidgets[63613]
#define sipNameNr_YesRole 63621
#define sipName_YesRole &sipStrings_QtWidgets[63621]
#define sipNameNr_Section 16777
#define sipName_Section &sipStrings_QtWidgets[16777]
#define sipNameNr_toFirst 63629
#define sipName_toFirst &sipStrings_QtWidgets[63629]
#define sipNameNr_setView 63637
#define sipName_setView &sipStrings_QtWidgets[63637]
#define sipNameNr_initial 63645
#define sipName_initial &sipStrings_QtWidgets[63645]
#define sipNameNr_QDialog 63653
#define sipName_QDialog &sipStrings_QtWidgets[63653]
#define sipNameNr_addItem 63661
#define sipName_addItem &sipStrings_QtWidgets[63661]
#define sipNameNr_QLayout 63669
#define sipName_QLayout &sipStrings_QtWidgets[63669]
#define sipNameNr_aboutQt 63677
#define sipName_aboutQt &sipStrings_QtWidgets[63677]
#define sipNameNr_desktop 63685
#define sipName_desktop &sipStrings_QtWidgets[63685]
#define sipNameNr_hovered 63693
#define sipName_hovered &sipStrings_QtWidgets[63693]
#define sipNameNr_Trigger 6897
#define sipName_Trigger &sipStrings_QtWidgets[6897]
#define sipNameNr_setMenu 63701
#define sipName_setMenu &sipStrings_QtWidgets[63701]
#define sipNameNr_NoState 63709
#define sipName_NoState &sipStrings_QtWidgets[63709]
#define sipNameNr_trigger 63717
#define sipName_trigger &sipStrings_QtWidgets[63717]
#define sipNameNr_MoveEnd 63725
#define sipName_MoveEnd &sipStrings_QtWidgets[63725]
#define sipNameNr_indexAt 63733
#define sipName_indexAt &sipStrings_QtWidgets[63733]
#define sipNameNr_toggled 63741
#define sipName_toggled &sipStrings_QtWidgets[63741]
#define sipNameNr_clicked 63749
#define sipName_clicked &sipStrings_QtWidgets[63749]
#define sipNameNr_checked 63757
#define sipName_checked &sipStrings_QtWidgets[63757]
#define sipNameNr_pressed 63765
#define sipName_pressed &sipStrings_QtWidgets[63765]
#define sipNameNr_setDown 63773
#define sipName_setDown &sipStrings_QtWidgets[63773]
#define sipNameNr_isModal 63781
#define sipName_isModal &sipStrings_QtWidgets[63781]
#define sipNameNr_minimum 63789
#define sipName_minimum &sipStrings_QtWidgets[63789]
#define sipNameNr_rowSpan 63797
#define sipName_rowSpan &sipStrings_QtWidgets[63797]
#define sipNameNr_maximum 63805
#define sipName_maximum &sipStrings_QtWidgets[63805]
#define sipNameNr_setIcon 63813
#define sipName_setIcon &sipStrings_QtWidgets[63813]
#define sipNameNr_toolTip 63821
#define sipName_toolTip &sipStrings_QtWidgets[63821]
#define sipNameNr_setItem 63829
#define sipName_setItem &sipStrings_QtWidgets[63829]
#define sipNameNr_exposed 63837
#define sipName_exposed &sipStrings_QtWidgets[63837]
#define sipNameNr_setMask 63845
#define sipName_setMask &sipStrings_QtWidgets[63845]
#define sipNameNr_addText 63853
#define sipName_addText &sipStrings_QtWidgets[63853]
#define sipNameNr_polygon 63861
#define sipName_polygon &sipStrings_QtWidgets[63861]
#define sipNameNr_addRect 63869
#define sipName_addRect &sipStrings_QtWidgets[63869]
#define sipNameNr_combine 63877
#define sipName_combine &sipStrings_QtWidgets[63877]
#define sipNameNr_opacity 63885
#define sipName_opacity &sipStrings_QtWidgets[63885]
#define sipNameNr_picture 63893
#define sipName_picture &sipStrings_QtWidgets[63893]
#define sipNameNr_setMode 63901
#define sipName_setMode &sipStrings_QtWidgets[63901]
#define sipNameNr_paintGL 63909
#define sipName_paintGL &sipStrings_QtWidgets[63909]
#define sipNameNr_buffers 63917
#define sipName_buffers &sipStrings_QtWidgets[63917]
#define sipNameNr_sources 63925
#define sipName_sources &sipStrings_QtWidgets[63925]
#define sipNameNr_destroy 63933
#define sipName_destroy &sipStrings_QtWidgets[63933]
#define sipNameNr_resized 63941
#define sipName_resized &sipStrings_QtWidgets[63941]
#define sipNameNr_quality 63949
#define sipName_quality &sipStrings_QtWidgets[63949]
#define sipNameNr_devType 63957
#define sipName_devType &sipStrings_QtWidgets[63957]
#define sipNameNr_setFont 63965
#define sipName_setFont &sipStrings_QtWidgets[63965]
#define sipNameNr_setFlag 63973
#define sipName_setFlag &sipStrings_QtWidgets[63973]
#define sipNameNr_spacing 63981
#define sipName_spacing &sipStrings_QtWidgets[63981]
#define sipNameNr_stretch 63989
#define sipName_stretch &sipStrings_QtWidgets[63989]
#define sipNameNr_Stretch 21247
#define sipName_Stretch &sipStrings_QtWidgets[21247]
#define sipNameNr_QAction 63997
#define sipName_QAction &sipStrings_QtWidgets[63997]
#define sipNameNr_lastPos 64005
#define sipName_lastPos &sipStrings_QtWidgets[64005]
#define sipNameNr_actions 64013
#define sipName_actions &sipStrings_QtWidgets[64013]
#define sipNameNr_oldSize 64021
#define sipName_oldSize &sipStrings_QtWidgets[64021]
#define sipNameNr_buttons 64029
#define sipName_buttons &sipStrings_QtWidgets[64029]
#define sipNameNr_hotSpot 64037
#define sipName_hotSpot &sipStrings_QtWidgets[64037]
#define sipNameNr_changed 64045
#define sipName_changed &sipStrings_QtWidgets[64045]
#define sipNameNr_newSize 64053
#define sipName_newSize &sipStrings_QtWidgets[64053]
#define sipNameNr_hitTest 64061
#define sipName_hitTest &sipStrings_QtWidgets[64061]
#define sipNameNr_palette 64069
#define sipName_palette &sipStrings_QtWidgets[64069]
#define sipNameNr_Invalid 64077
#define sipName_Invalid &sipStrings_QtWidgets[64077]
#define sipNameNr_QWidget 64085
#define sipName_QWidget &sipStrings_QtWidgets[64085]
#define sipNameNr_setRect 64093
#define sipName_setRect &sipStrings_QtWidgets[64093]
#define sipNameNr_setHtml 64101
#define sipName_setHtml &sipStrings_QtWidgets[64101]
#define sipNameNr_setText 64109
#define sipName_setText &sipStrings_QtWidgets[64109]
#define sipNameNr_warning 64117
#define sipName_warning &sipStrings_QtWidgets[64117]
#define sipNameNr_setLine 64125
#define sipName_setLine &sipStrings_QtWidgets[64125]
#define sipNameNr_variant 64133
#define sipName_variant &sipStrings_QtWidgets[64133]
#define sipNameNr_command 64141
#define sipName_command &sipStrings_QtWidgets[64141]
#define sipNameNr_addPath 64149
#define sipName_addPath &sipStrings_QtWidgets[64149]
#define sipNameNr_timeout 64157
#define sipName_timeout &sipStrings_QtWidgets[64157]
#define sipNameNr_current 64165
#define sipName_current &sipStrings_QtWidgets[64165]
#define sipNameNr_refresh 64173
#define sipName_refresh &sipStrings_QtWidgets[64173]
#define sipNameNr_sorting 64181
#define sipName_sorting &sipStrings_QtWidgets[64181]
#define sipNameNr_setPath 64189
#define sipName_setPath &sipStrings_QtWidgets[64189]
#define sipNameNr_filters 64197
#define sipName_filters &sipStrings_QtWidgets[64197]
#define sipNameNr_setTime 64205
#define sipName_setTime &sipStrings_QtWidgets[64205]
#define sipNameNr_restart 64213
#define sipName_restart &sipStrings_QtWidgets[64213]
#define sipNameNr_setDate 64221
#define sipName_setDate &sipStrings_QtWidgets[64221]
#define sipNameNr_Version 89
#define sipName_Version &sipStrings_QtWidgets[89]
#define sipNameNr_enabled 64229
#define sipName_enabled &sipStrings_QtWidgets[64229]
#define sipNameNr_version 64237
#define sipName_version &sipStrings_QtWidgets[64237]
#define sipNameNr_context 64245
#define sipName_context &sipStrings_QtWidgets[64245]
#define sipNameNr_options 64253
#define sipName_options &sipStrings_QtWidgets[64253]
#define sipNameNr_indexOf 64261
#define sipName_indexOf &sipStrings_QtWidgets[64261]
#define sipNameNr_isEmpty 64269
#define sipName_isEmpty &sipStrings_QtWidgets[64269]
#define sipNameNr___len__ 64277
#define sipName___len__ &sipStrings_QtWidgets[64277]
#define sipNameNr_entered 64285
#define sipName_entered &sipStrings_QtWidgets[64285]
#define sipNameNr_section 64293
#define sipName_section &sipStrings_QtWidgets[64293]
#define sipNameNr_setData 64301
#define sipName_setData &sipStrings_QtWidgets[64301]
#define sipNameNr_sibling 64309
#define sipName_sibling &sipStrings_QtWidgets[64309]
#define sipNameNr_isValid 64317
#define sipName_isValid &sipStrings_QtWidgets[64317]
#define sipNameNr_message 64325
#define sipName_message &sipStrings_QtWidgets[64325]
#define sipNameNr_Checked 56764
#define sipName_Checked &sipStrings_QtWidgets[56764]
#define sipNameNr_Desktop 35890
#define sipName_Desktop &sipStrings_QtWidgets[35890]
#define sipNameNr___and__ 64333
#define sipName___and__ &sipStrings_QtWidgets[64333]
#define sipNameNr___xor__ 64341
#define sipName___xor__ &sipStrings_QtWidgets[64341]
#define sipNameNr___int__ 64349
#define sipName___int__ &sipStrings_QtWidgets[64349]
#define sipNameNr___ior__ 64357
#define sipName___ior__ &sipStrings_QtWidgets[64357]
#define sipNameNr_wizard 64365
#define sipName_wizard &sipStrings_QtWidgets[64365]
#define sipNameNr_nextId 64372
#define sipName_nextId &sipStrings_QtWidgets[64372]
#define sipNameNr_expand 61396
#define sipName_expand &sipStrings_QtWidgets[61396]
#define sipNameNr_reload 64379
#define sipName_reload &sipStrings_QtWidgets[64379]
#define sipNameNr_tabBar 64386
#define sipName_tabBar &sipStrings_QtWidgets[64386]
#define sipNameNr_topRow 64393
#define sipName_topRow &sipStrings_QtWidgets[64393]
#define sipNameNr_addTab 64400
#define sipName_addTab &sipStrings_QtWidgets[64400]
#define sipNameNr_Bottom 36741
#define sipName_Bottom &sipStrings_QtWidgets[36741]
#define sipNameNr_Margin 4498
#define sipName_Margin &sipStrings_QtWidgets[4498]
#define sipNameNr_SortUp 64407
#define sipName_SortUp &sipStrings_QtWidgets[64407]
#define sipNameNr_Middle 64414
#define sipName_Middle &sipStrings_QtWidgets[64414]
#define sipNameNr_SO_Tab 64421
#define sipName_SO_Tab &sipStrings_QtWidgets[64421]
#define sipNameNr_SC_All 64428
#define sipName_SC_All &sipStrings_QtWidgets[64428]
#define sipNameNr_opaque 64435
#define sipName_opaque &sipStrings_QtWidgets[64435]
#define sipNameNr_finish 64442
#define sipName_finish &sipStrings_QtWidgets[64442]
#define sipNameNr_Slider 4999
#define sipName_Slider &sipStrings_QtWidgets[4999]
#define sipNameNr_Policy 2181
#define sipName_Policy &sipStrings_QtWidgets[2181]
#define sipNameNr_setBar 64449
#define sipName_setBar &sipStrings_QtWidgets[64449]
#define sipNameNr_zoomIn 64456
#define sipName_zoomIn &sipStrings_QtWidgets[64456]
#define sipNameNr_Escape 64463
#define sipName_Escape &sipStrings_QtWidgets[64463]
#define sipNameNr_YesAll 64470
#define sipName_YesAll &sipStrings_QtWidgets[64470]
#define sipNameNr_NoIcon 64477
#define sipName_NoIcon &sipStrings_QtWidgets[64477]
#define sipNameNr_corner 64484
#define sipName_corner &sipStrings_QtWidgets[64484]
#define sipNameNr_Adjust 64491
#define sipName_Adjust &sipStrings_QtWidgets[64491]
#define sipNameNr_Static 64498
#define sipName_Static &sipStrings_QtWidgets[64498]
#define sipNameNr_NoEcho 64505
#define sipName_NoEcho &sipStrings_QtWidgets[64505]
#define sipNameNr_Filled 64512
#define sipName_Filled &sipStrings_QtWidgets[64512]
#define sipNameNr_QLabel 64519
#define sipName_QLabel &sipStrings_QtWidgets[64519]
#define sipNameNr_getInt 64526
#define sipName_getInt &sipStrings_QtWidgets[64526]
#define sipNameNr_isFlat 64533
#define sipName_isFlat &sipStrings_QtWidgets[64533]
#define sipNameNr_NoDrag 64540
#define sipName_NoDrag &sipStrings_QtWidgets[64540]
#define sipNameNr_zScale 64547
#define sipName_zScale &sipStrings_QtWidgets[64547]
#define sipNameNr_yScale 64554
#define sipName_yScale &sipStrings_QtWidgets[64554]
#define sipNameNr_xScale 64561
#define sipName_xScale &sipStrings_QtWidgets[64561]
#define sipNameNr_newPos 64568
#define sipName_newPos &sipStrings_QtWidgets[64568]
#define sipNameNr_render 64575
#define sipName_render &sipStrings_QtWidgets[64575]
#define sipNameNr_origin 64582
#define sipName_origin &sipStrings_QtWidgets[64582]
#define sipNameNr_zValue 64589
#define sipName_zValue &sipStrings_QtWidgets[64589]
#define sipNameNr_moveBy 64596
#define sipName_moveBy &sipStrings_QtWidgets[64596]
#define sipNameNr_Result 10346
#define sipName_Result &sipStrings_QtWidgets[10346]
#define sipNameNr_Sunken 50386
#define sipName_Sunken &sipStrings_QtWidgets[50386]
#define sipNameNr_Raised 50399
#define sipName_Raised &sipStrings_QtWidgets[50399]
#define sipNameNr_addRow 64603
#define sipName_addRow &sipStrings_QtWidgets[64603]
#define sipNameNr_Folder 15927
#define sipName_Folder &sipStrings_QtWidgets[15927]
#define sipNameNr_Option 5584
#define sipName_Option &sipStrings_QtWidgets[5584]
#define sipNameNr_Reject 64610
#define sipName_Reject &sipStrings_QtWidgets[64610]
#define sipNameNr_Accept 64617
#define sipName_Accept &sipStrings_QtWidgets[64617]
#define sipNameNr_LookIn 64624
#define sipName_LookIn &sipStrings_QtWidgets[64624]
#define sipNameNr_Detail 64631
#define sipName_Detail &sipStrings_QtWidgets[64631]
#define sipNameNr_sunken 64638
#define sipName_sunken &sipStrings_QtWidgets[64638]
#define sipNameNr_Cancel 64645
#define sipName_Cancel &sipStrings_QtWidgets[64645]
#define sipNameNr_Ignore 64652
#define sipName_Ignore &sipStrings_QtWidgets[64652]
#define sipNameNr_reject 64659
#define sipName_reject &sipStrings_QtWidgets[64659]
#define sipNameNr_toNext 64666
#define sipName_toNext &sipStrings_QtWidgets[64666]
#define sipNameNr_toLast 64673
#define sipName_toLast &sipStrings_QtWidgets[64673]
#define sipNameNr_polish 62251
#define sipName_polish &sipStrings_QtWidgets[62251]
#define sipNameNr_QStyle 64680
#define sipName_QStyle &sipStrings_QtWidgets[64680]
#define sipNameNr_itemAt 64687
#define sipName_itemAt &sipStrings_QtWidgets[64687]
#define sipNameNr_stepUp 64694
#define sipName_stepUp &sipStrings_QtWidgets[64694]
#define sipNameNr_stepBy 64701
#define sipName_stepBy &sipStrings_QtWidgets[64701]
#define sipNameNr_QFrame 64708
#define sipName_QFrame &sipStrings_QtWidgets[64708]
#define sipNameNr_OnItem 64715
#define sipName_OnItem &sipStrings_QtWidgets[64715]
#define sipNameNr_MoveUp 64722
#define sipName_MoveUp &sipStrings_QtWidgets[64722]
#define sipNameNr_NoHint 64729
#define sipName_NoHint &sipStrings_QtWidgets[64729]
#define sipNameNr_toggle 64736
#define sipName_toggle &sipStrings_QtWidgets[64736]
#define sipNameNr_isDown 64743
#define sipName_isDown &sipStrings_QtWidgets[64743]
#define sipNameNr_raise_ 64750
#define sipName_raise_ &sipStrings_QtWidgets[64750]
#define sipNameNr_NoWrap 64757
#define sipName_NoWrap &sipStrings_QtWidgets[64757]
#define sipNameNr_indent 64764
#define sipName_indent &sipStrings_QtWidgets[64764]
#define sipNameNr_stacks 64771
#define sipName_stacks &sipStrings_QtWidgets[64771]
#define sipNameNr_print_ 64778
#define sipName_print_ &sipStrings_QtWidgets[64778]
#define sipNameNr_toHtml 64785
#define sipName_toHtml &sipStrings_QtWidgets[64785]
#define sipNameNr_anchor 64792
#define sipName_anchor &sipStrings_QtWidgets[64792]
#define sipNameNr_layout 64799
#define sipName_layout &sipStrings_QtWidgets[64799]
#define sipNameNr_header 64806
#define sipName_header &sipStrings_QtWidgets[64806]
#define sipNameNr_NoRole 64813
#define sipName_NoRole &sipStrings_QtWidgets[64813]
#define sipNameNr_Shadow 43743
#define sipName_Shadow &sipStrings_QtWidgets[43743]
#define sipNameNr_setPen 64820
#define sipName_setPen &sipStrings_QtWidgets[64820]
#define sipNameNr_layers 64827
#define sipName_layers &sipStrings_QtWidgets[64827]
#define sipNameNr_stride 64834
#define sipName_stride &sipStrings_QtWidgets[64834]
#define sipNameNr_rotate 64841
#define sipName_rotate &sipStrings_QtWidgets[64841]
#define sipNameNr_metric 64848
#define sipName_metric &sipStrings_QtWidgets[64848]
#define sipNameNr_screen 64855
#define sipName_screen &sipStrings_QtWidgets[64855]
#define sipNameNr_Normal 58679
#define sipName_Normal &sipStrings_QtWidgets[58679]
#define sipNameNr_Reason 2105
#define sipName_Reason &sipStrings_QtWidgets[2105]
#define sipNameNr_reason 64862
#define sipName_reason &sipStrings_QtWidgets[64862]
#define sipNameNr_oldPos 64869
#define sipName_oldPos &sipStrings_QtWidgets[64869]
#define sipNameNr_button 64876
#define sipName_button &sipStrings_QtWidgets[64876]
#define sipNameNr_source 52544
#define sipName_source &sipStrings_QtWidgets[52544]
#define sipNameNr_setPos 64883
#define sipName_setPos &sipStrings_QtWidgets[64883]
#define sipNameNr_pixmap 64890
#define sipName_pixmap &sipStrings_QtWidgets[64890]
#define sipNameNr_scroll 64897
#define sipName_scroll &sipStrings_QtWidgets[64897]
#define sipNameNr_region 64904
#define sipName_region &sipStrings_QtWidgets[64904]
#define sipNameNr_window 64911
#define sipName_window &sipStrings_QtWidgets[64911]
#define sipNameNr_update 64918
#define sipName_update &sipStrings_QtWidgets[64918]
#define sipNameNr_cursor 64925
#define sipName_cursor &sipStrings_QtWidgets[64925]
#define sipNameNr_cancel 64932
#define sipName_cancel &sipStrings_QtWidgets[64932]
#define sipNameNr_widget 64939
#define sipName_widget &sipStrings_QtWidgets[64939]
#define sipNameNr_create 64946
#define sipName_create &sipStrings_QtWidgets[64946]
#define sipNameNr_proper 64953
#define sipName_proper &sipStrings_QtWidgets[64953]
#define sipNameNr_member 64960
#define sipName_member &sipStrings_QtWidgets[64960]
#define sipNameNr_value9 64967
#define sipName_value9 &sipStrings_QtWidgets[64967]
#define sipNameNr_value8 64974
#define sipName_value8 &sipStrings_QtWidgets[64974]
#define sipNameNr_value7 64981
#define sipName_value7 &sipStrings_QtWidgets[64981]
#define sipNameNr_value6 64988
#define sipName_value6 &sipStrings_QtWidgets[64988]
#define sipNameNr_value5 64995
#define sipName_value5 &sipStrings_QtWidgets[64995]
#define sipNameNr_value4 65002
#define sipName_value4 &sipStrings_QtWidgets[65002]
#define sipNameNr_value3 65009
#define sipName_value3 &sipStrings_QtWidgets[65009]
#define sipNameNr_value2 65016
#define sipName_value2 &sipStrings_QtWidgets[65016]
#define sipNameNr_value1 65023
#define sipName_value1 &sipStrings_QtWidgets[65023]
#define sipNameNr_value0 65030
#define sipName_value0 &sipStrings_QtWidgets[65030]
#define sipNameNr_setKey 65037
#define sipName_setKey &sipStrings_QtWidgets[65037]
#define sipNameNr_margin 65044
#define sipName_margin &sipStrings_QtWidgets[65044]
#define sipNameNr_system 65051
#define sipName_system &sipStrings_QtWidgets[65051]
#define sipNameNr_symbol 65058
#define sipName_symbol &sipStrings_QtWidgets[65058]
#define sipNameNr_takeAt 65065
#define sipName_takeAt &sipStrings_QtWidgets[65065]
#define sipNameNr_height 65072
#define sipName_height &sipStrings_QtWidgets[65072]
#define sipNameNr_suffix 65079
#define sipName_suffix &sipStrings_QtWidgets[65079]
#define sipNameNr_offset 65086
#define sipName_offset &sipStrings_QtWidgets[65086]
#define sipNameNr_handle 65093
#define sipName_handle &sipStrings_QtWidgets[65093]
#define sipNameNr_Custom 65100
#define sipName_Custom &sipStrings_QtWidgets[65100]
#define sipNameNr_prefix 65107
#define sipName_prefix &sipStrings_QtWidgets[65107]
#define sipNameNr_filter 65114
#define sipName_filter &sipStrings_QtWidgets[65114]
#define sipNameNr_Hidden 14455
#define sipName_Hidden &sipStrings_QtWidgets[14455]
#define sipNameNr_ignore 65121
#define sipName_ignore &sipStrings_QtWidgets[65121]
#define sipNameNr_accept 65128
#define sipName_accept &sipStrings_QtWidgets[65128]
#define sipNameNr_notify 65135
#define sipName_notify &sipStrings_QtWidgets[65135]
#define sipNameNr_option 65142
#define sipName_option &sipStrings_QtWidgets[65142]
#define sipNameNr_locale 65149
#define sipName_locale &sipStrings_QtWidgets[65149]
#define sipNameNr_format 61621
#define sipName_format &sipStrings_QtWidgets[61621]
#define sipNameNr_setNum 65156
#define sipName_setNum &sipStrings_QtWidgets[65156]
#define sipNameNr___ge__ 65163
#define sipName___ge__ &sipStrings_QtWidgets[65163]
#define sipNameNr_remove 65170
#define sipName_remove &sipStrings_QtWidgets[65170]
#define sipNameNr_insert 65177
#define sipName_insert &sipStrings_QtWidgets[65177]
#define sipNameNr_append 65184
#define sipName_append &sipStrings_QtWidgets[65184]
#define sipNameNr_length 65191
#define sipName_length &sipStrings_QtWidgets[65191]
#define sipNameNr_resize 65198
#define sipName_resize &sipStrings_QtWidgets[65198]
#define sipNameNr_target 65205
#define sipName_target &sipStrings_QtWidgets[65205]
#define sipNameNr_active 43263
#define sipName_active &sipStrings_QtWidgets[43263]
#define sipNameNr_revert 65212
#define sipName_revert &sipStrings_QtWidgets[65212]
#define sipNameNr_submit 65219
#define sipName_submit &sipStrings_QtWidgets[65219]
#define sipNameNr_action 65226
#define sipName_action &sipStrings_QtWidgets[65226]
#define sipNameNr___lt__ 65233
#define sipName___lt__ &sipStrings_QtWidgets[65233]
#define sipNameNr_column 65240
#define sipName_column &sipStrings_QtWidgets[65240]
#define sipNameNr_result 65247
#define sipName_result &sipStrings_QtWidgets[65247]
#define sipNameNr_parent 65254
#define sipName_parent &sipStrings_QtWidgets[65254]
#define sipNameNr___ne__ 65261
#define sipName___ne__ &sipStrings_QtWidgets[65261]
#define sipNameNr___eq__ 65268
#define sipName___eq__ &sipStrings_QtWidgets[65268]
#define sipNameNr___or__ 65275
#define sipName___or__ &sipStrings_QtWidgets[65275]
#define sipNameNr_mapTo 65282
#define sipName_mapTo &sipStrings_QtWidgets[65282]
#define sipNameNr_stack 65288
#define sipName_stack &sipStrings_QtWidgets[65288]
#define sipNameNr_South 37494
#define sipName_South &sipStrings_QtWidgets[37494]
#define sipNameNr_North 37510
#define sipName_North &sipStrings_QtWidgets[37510]
#define sipNameNr_rowAt 65294
#define sipName_rowAt &sipStrings_QtWidgets[65294]
#define sipNameNr_tabAt 65300
#define sipName_tabAt &sipStrings_QtWidgets[65300]
#define sipNameNr_Arrow 9061
#define sipName_Arrow &sipStrings_QtWidgets[9061]
#define sipNameNr_proxy 65306
#define sipName_proxy &sipStrings_QtWidgets[65306]
#define sipNameNr_Label 13270
#define sipName_Label &sipStrings_QtWidgets[13270]
#define sipNameNr_Frame 6093
#define sipName_Frame &sipStrings_QtWidgets[6093]
#define sipNameNr_Fps20 65312
#define sipName_Fps20 &sipStrings_QtWidgets[65312]
#define sipNameNr_Fps30 65318
#define sipName_Fps30 &sipStrings_QtWidgets[65318]
#define sipNameNr_Fps60 65324
#define sipName_Fps60 &sipStrings_QtWidgets[65324]
#define sipNameNr_Input 8465
#define sipName_Input &sipStrings_QtWidgets[8465]
#define sipNameNr_about 65330
#define sipName_about &sipStrings_QtWidgets[65330]
#define sipNameNr_NoAll 65336
#define sipName_NoAll &sipStrings_QtWidgets[65336]
#define sipNameNr_QMenu 65342
#define sipName_QMenu &sipStrings_QtWidgets[65342]
#define sipNameNr_paste 65348
#define sipName_paste &sipStrings_QtWidgets[65348]
#define sipNameNr_movie 65354
#define sipName_movie &sipStrings_QtWidgets[65354]
#define sipNameNr_Fixed 65360
#define sipName_Fixed &sipStrings_QtWidgets[65360]
#define sipNameNr_views 65366
#define sipName_views &sipStrings_QtWidgets[65366]
#define sipNameNr_panel 65372
#define sipName_panel &sipStrings_QtWidgets[65372]
#define sipNameNr_scene 65378
#define sipName_scene &sipStrings_QtWidgets[65378]
#define sipNameNr_NoPad 65384
#define sipName_NoPad &sipStrings_QtWidgets[65384]
#define sipNameNr_delta 65390
#define sipName_delta &sipStrings_QtWidgets[65390]
#define sipNameNr_VLine 65396
#define sipName_VLine &sipStrings_QtWidgets[65396]
#define sipNameNr_HLine 65402
#define sipName_HLine &sipStrings_QtWidgets[65402]
#define sipNameNr_Panel 4329
#define sipName_Panel &sipStrings_QtWidgets[4329]
#define sipNameNr_Shape 9341
#define sipName_Shape &sipStrings_QtWidgets[9341]
#define sipNameNr_Plain 65408
#define sipName_Plain &sipStrings_QtWidgets[65408]
#define sipNameNr_field 65414
#define sipName_field &sipStrings_QtWidgets[65414]
#define sipNameNr_Drive 65420
#define sipName_Drive &sipStrings_QtWidgets[65420]
#define sipNameNr_Roles 15200
#define sipName_Roles &sipStrings_QtWidgets[15200]
#define sipNameNr_Reset 50608
#define sipName_Reset &sipStrings_QtWidgets[50608]
#define sipNameNr_Apply 65426
#define sipName_Apply &sipStrings_QtWidgets[65426]
#define sipNameNr_Retry 65432
#define sipName_Retry &sipStrings_QtWidgets[65432]
#define sipNameNr_Abort 65438
#define sipName_Abort &sipStrings_QtWidgets[65438]
#define sipNameNr_QDial 65444
#define sipName_QDial &sipStrings_QtWidgets[65444]
#define sipNameNr_popup 65450
#define sipName_popup &sipStrings_QtWidgets[65450]
#define sipNameNr_setId 65456
#define sipName_setId &sipStrings_QtWidgets[65456]
#define sipNameNr_hover 65462
#define sipName_hover &sipStrings_QtWidgets[65462]
#define sipNameNr_Hover 65468
#define sipName_Hover &sipStrings_QtWidgets[65468]
#define sipNameNr_steps 65474
#define sipName_steps &sipStrings_QtWidgets[65474]
#define sipNameNr_click 65480
#define sipName_click &sipStrings_QtWidgets[65480]
#define sipNameNr_alert 65486
#define sipName_alert &sipStrings_QtWidgets[65486]
#define sipNameNr_lower 65492
#define sipName_lower &sipStrings_QtWidgets[65492]
#define sipNameNr_winId 65498
#define sipName_winId &sipStrings_QtWidgets[65498]
#define sipNameNr_fixup 65504
#define sipName_fixup &sipStrings_QtWidgets[65504]
#define sipNameNr_Right 16595
#define sipName_Right &sipStrings_QtWidgets[16595]
#define sipNameNr_items 65510
#define sipName_items &sipStrings_QtWidgets[65510]
#define sipNameNr_title 65516
#define sipName_title &sipStrings_QtWidgets[65516]
#define sipNameNr_shear 65522
#define sipName_shear &sipStrings_QtWidgets[65522]
#define sipNameNr_begin 65528
#define sipName_begin &sipStrings_QtWidgets[65528]
#define sipNameNr_sizes 10104
#define sipName_sizes &sipStrings_QtWidgets[10104]
#define sipNameNr_clone 65534
#define sipName_clone &sipStrings_QtWidgets[65534]
#define sipNameNr_paint 63327
#define sipName_paint &sipStrings_QtWidgets[63327]
#define sipNameNr_Other 65540
#define sipName_Other &sipStrings_QtWidgets[65540]
#define sipNameNr_Mouse 34991
#define sipName_Mouse &sipStrings_QtWidgets[34991]
#define sipNameNr_brush 65546
#define sipName_brush &sipStrings_QtWidgets[65546]
#define sipNameNr_shape 65552
#define sipName_shape &sipStrings_QtWidgets[65552]
#define sipNameNr_frame 65558
#define sipName_frame &sipStrings_QtWidgets[65558]
#define sipNameNr_scale 65564
#define sipName_scale &sipStrings_QtWidgets[65564]
#define sipNameNr_types 65570
#define sipName_types &sipStrings_QtWidgets[65570]
#define sipNameNr_color 65576
#define sipName_color &sipStrings_QtWidgets[65576]
#define sipNameNr_style 65582
#define sipName_style &sipStrings_QtWidgets[65582]
#define sipNameNr_angle 60851
#define sipName_angle &sipStrings_QtWidgets[60851]
#define sipNameNr_range 65588
#define sipName_range &sipStrings_QtWidgets[65588]
#define sipNameNr_write 22341
#define sipName_write &sipStrings_QtWidgets[22341]
#define sipNameNr_isDir 65594
#define sipName_isDir &sipStrings_QtWidgets[65594]
#define sipNameNr_rmdir 65600
#define sipName_rmdir &sipStrings_QtWidgets[65600]
#define sipNameNr_mkdir 65606
#define sipName_mkdir &sipStrings_QtWidgets[65606]
#define sipNameNr_reset 65612
#define sipName_reset &sipStrings_QtWidgets[65612]
#define sipNameNr_Close 21102
#define sipName_Close &sipStrings_QtWidgets[21102]
#define sipNameNr_exec_ 65618
#define sipName_exec_ &sipStrings_QtWidgets[65618]
#define sipNameNr_width 65624
#define sipName_width &sipStrings_QtWidgets[65624]
#define sipNameNr_close 65630
#define sipName_close &sipStrings_QtWidgets[65630]
#define sipNameNr_clear 65636
#define sipName_clear &sipStrings_QtWidgets[65636]
#define sipNameNr_match 65642
#define sipName_match &sipStrings_QtWidgets[65642]
#define sipNameNr_buddy 65648
#define sipName_buddy &sipStrings_QtWidgets[65648]
#define sipNameNr_order 17009
#define sipName_order &sipStrings_QtWidgets[17009]
#define sipNameNr_count 65654
#define sipName_count &sipStrings_QtWidgets[65654]
#define sipNameNr_roles 65660
#define sipName_roles &sipStrings_QtWidgets[65660]
#define sipNameNr_value 65666
#define sipName_value &sipStrings_QtWidgets[65666]
#define sipNameNr_index 65672
#define sipName_index &sipStrings_QtWidgets[65672]
#define sipNameNr_model 65678
#define sipName_model &sipStrings_QtWidgets[65678]
#define sipNameNr_child 65684
#define sipName_child &sipStrings_QtWidgets[65684]
#define sipNameNr_flags 65690
#define sipName_flags &sipStrings_QtWidgets[65690]
#define sipNameNr_event 65696
#define sipName_event &sipStrings_QtWidgets[65696]
#define sipNameNr_msecs 65702
#define sipName_msecs &sipStrings_QtWidgets[65702]
#define sipNameNr_group 65708
#define sipName_group &sipStrings_QtWidgets[65708]
#define sipNameNr_state 56112
#define sipName_state &sipStrings_QtWidgets[56112]
#define sipNameNr_State 13420
#define sipName_State &sipStrings_QtWidgets[13420]
#define sipNameNr_back 65714
#define sipName_back &sipStrings_QtWidgets[65714]
#define sipNameNr_page 65719
#define sipName_page &sipStrings_QtWidgets[65719]
#define sipNameNr_push 65724
#define sipName_push &sipStrings_QtWidgets[65724]
#define sipNameNr_East 41645
#define sipName_East &sipStrings_QtWidgets[41645]
#define sipNameNr_West 41660
#define sipName_West &sipStrings_QtWidgets[41660]
#define sipNameNr_Menu 11605
#define sipName_Menu &sipStrings_QtWidgets[11605]
#define sipNameNr_flow 46693
#define sipName_flow &sipStrings_QtWidgets[46693]
#define sipNameNr_Flow 38663
#define sipName_Flow &sipStrings_QtWidgets[38663]
#define sipNameNr_Snap 65729
#define sipName_Snap &sipStrings_QtWidgets[65729]
#define sipNameNr_Free 65734
#define sipName_Free &sipStrings_QtWidgets[65734]
#define sipNameNr_del_ 65739
#define sipName_del_ &sipStrings_QtWidgets[65739]
#define sipNameNr_Flat 63440
#define sipName_Flat &sipStrings_QtWidgets[63440]
#define sipNameNr_echo 65744
#define sipName_echo &sipStrings_QtWidgets[65744]
#define sipNameNr_File 51675
#define sipName_File &sipStrings_QtWidgets[51675]
#define sipNameNr_Help 65749
#define sipName_Help &sipStrings_QtWidgets[65749]
#define sipNameNr_done 65754
#define sipName_done &sipStrings_QtWidgets[65754]
#define sipNameNr_beep 65759
#define sipName_beep &sipStrings_QtWidgets[65759]
#define sipNameNr_qApp 65764
#define sipName_qApp &sipStrings_QtWidgets[65764]
#define sipNameNr_menu 65769
#define sipName_menu &sipStrings_QtWidgets[65769]
#define sipNameNr_edit 65774
#define sipName_edit &sipStrings_QtWidgets[65774]
#define sipNameNr_view 65779
#define sipName_view &sipStrings_QtWidgets[65779]
#define sipNameNr_grab 65784
#define sipName_grab &sipStrings_QtWidgets[65784]
#define sipNameNr_redo 65789
#define sipName_redo &sipStrings_QtWidgets[65789]
#define sipNameNr_undo 65794
#define sipName_undo &sipStrings_QtWidgets[65794]
#define sipNameNr_Down 10051
#define sipName_Down &sipStrings_QtWidgets[10051]
#define sipNameNr_Left 18320
#define sipName_Left &sipStrings_QtWidgets[18320]
#define sipNameNr_axis 65799
#define sipName_axis &sipStrings_QtWidgets[65799]
#define sipNameNr_find 65804
#define sipName_find &sipStrings_QtWidgets[65804]
#define sipNameNr_Save 58230
#define sipName_Save &sipStrings_QtWidgets[58230]
#define sipNameNr_hide 65809
#define sipName_hide &sipStrings_QtWidgets[65809]
#define sipNameNr_show 65814
#define sipName_show &sipStrings_QtWidgets[65814]
#define sipNameNr_icon 65819
#define sipName_icon &sipStrings_QtWidgets[65819]
#define sipNameNr_font 65824
#define sipName_font &sipStrings_QtWidgets[65824]
#define sipNameNr_Mode 4602
#define sipName_Mode &sipStrings_QtWidgets[4602]
#define sipNameNr_area 65829
#define sipName_area &sipStrings_QtWidgets[65829]
#define sipNameNr_item 65834
#define sipName_item &sipStrings_QtWidgets[65834]
#define sipNameNr_rect 65839
#define sipName_rect &sipStrings_QtWidgets[65839]
#define sipNameNr_draw 65844
#define sipName_draw &sipStrings_QtWidgets[65844]
#define sipNameNr_step 65849
#define sipName_step &sipStrings_QtWidgets[65849]
#define sipNameNr_Icon 2753
#define sipName_Icon &sipStrings_QtWidgets[2753]
#define sipNameNr_List 41510
#define sipName_List &sipStrings_QtWidgets[41510]
#define sipNameNr_None 57295
#define sipName_None &sipStrings_QtWidgets[57295]
#define sipNameNr_Line 23848
#define sipName_Line &sipStrings_QtWidgets[23848]
#define sipNameNr_Open 57284
#define sipName_Open &sipStrings_QtWidgets[57284]
#define sipNameNr_setY 65854
#define sipName_setY &sipStrings_QtWidgets[65854]
#define sipNameNr_setX 65859
#define sipName_setX &sipStrings_QtWidgets[65859]
#define sipNameNr_text 28684
#define sipName_text &sipStrings_QtWidgets[28684]
#define sipNameNr_keys 65864
#define sipName_keys &sipStrings_QtWidgets[65864]
#define sipNameNr_line 36896
#define sipName_line &sipStrings_QtWidgets[36896]
#define sipNameNr_move 7886
#define sipName_move &sipStrings_QtWidgets[7886]
#define sipNameNr_read 65869
#define sipName_read &sipStrings_QtWidgets[65869]
#define sipNameNr_mode 65874
#define sipName_mode &sipStrings_QtWidgets[65874]
#define sipNameNr_copy 65879
#define sipName_copy &sipStrings_QtWidgets[65879]
#define sipNameNr_next 65884
#define sipName_next &sipStrings_QtWidgets[65884]
#define sipNameNr_home 65889
#define sipName_home &sipStrings_QtWidgets[65889]
#define sipNameNr_path 65894
#define sipName_path &sipStrings_QtWidgets[65894]
#define sipNameNr_time 65899
#define sipName_time &sipStrings_QtWidgets[65899]
#define sipNameNr_date 10213
#define sipName_date &sipStrings_QtWidgets[10213]
#define sipNameNr_Type 314
#define sipName_Type &sipStrings_QtWidgets[314]
#define sipNameNr_name 65904
#define sipName_name &sipStrings_QtWidgets[65904]
#define sipNameNr_base 65909
#define sipName_base &sipStrings_QtWidgets[65909]
#define sipNameNr_open 65914
#define sipName_open &sipStrings_QtWidgets[65914]
#define sipNameNr_fill 65919
#define sipName_fill &sipStrings_QtWidgets[65919]
#define sipNameNr_size 12321
#define sipName_size &sipStrings_QtWidgets[12321]
#define sipNameNr_type 36947
#define sipName_type &sipStrings_QtWidgets[36947]
#define sipNameNr_from 65924
#define sipName_from &sipStrings_QtWidgets[65924]
#define sipNameNr_hint 65929
#define sipName_hint &sipStrings_QtWidgets[65929]
#define sipNameNr_span 65934
#define sipName_span &sipStrings_QtWidgets[65934]
#define sipNameNr_sort 65939
#define sipName_sort &sipStrings_QtWidgets[65939]
#define sipNameNr_data 65944
#define sipName_data &sipStrings_QtWidgets[65944]
#define sipNameNr_role 65949
#define sipName_role &sipStrings_QtWidgets[65949]
#define sipNameNr_stop 65954
#define sipName_stop &sipStrings_QtWidgets[65954]
#define sipNameNr_mask 65959
#define sipName_mask &sipStrings_QtWidgets[65959]
#define sipNameNr_Top 48626
#define sipName_Top &sipStrings_QtWidgets[48626]
#define sipNameNr_cut 20600
#define sipName_cut &sipStrings_QtWidgets[20600]
#define sipNameNr_Bin 65964
#define sipName_Bin &sipStrings_QtWidgets[65964]
#define sipNameNr_Oct 65968
#define sipName_Oct &sipStrings_QtWidgets[65968]
#define sipNameNr_Dec 65972
#define sipName_Dec &sipStrings_QtWidgets[65972]
#define sipNameNr_Hex 65976
#define sipName_Hex &sipStrings_QtWidgets[65976]
#define sipNameNr_Box 20264
#define sipName_Box &sipStrings_QtWidgets[20264]
#define sipNameNr_Yes 65980
#define sipName_Yes &sipStrings_QtWidgets[65980]
#define sipNameNr_End 33735
#define sipName_End &sipStrings_QtWidgets[33735]
#define sipNameNr_All 53198
#define sipName_All &sipStrings_QtWidgets[53198]
#define sipNameNr_pen 57285
#define sipName_pen &sipStrings_QtWidgets[57285]
#define sipNameNr_max 65984
#define sipName_max &sipStrings_QtWidgets[65984]
#define sipNameNr_min 65988
#define sipName_min &sipStrings_QtWidgets[65988]
#define sipNameNr_key 65992
#define sipName_key &sipStrings_QtWidgets[65992]
#define sipNameNr_pos 65996
#define sipName_pos &sipStrings_QtWidgets[65996]
#define sipNameNr_end 65187
#define sipName_end &sipStrings_QtWidgets[65187]
#define sipNameNr_row 9063
#define sipName_row &sipStrings_QtWidgets[9063]
#define sipNameNr_No 66000
#define sipName_No &sipStrings_QtWidgets[66000]
#define sipNameNr_Up 24190
#define sipName_Up &sipStrings_QtWidgets[24190]
#define sipNameNr_sw 66003
#define sipName_sw &sipStrings_QtWidgets[66003]
#define sipNameNr_sh 28078
#define sipName_sh &sipStrings_QtWidgets[28078]
#define sipNameNr_sy 66006
#define sipName_sy &sipStrings_QtWidgets[66006]
#define sipNameNr_sx 66009
#define sipName_sx &sipStrings_QtWidgets[66009]
#define sipNameNr_Ok 66012
#define sipName_Ok &sipStrings_QtWidgets[66012]
#define sipNameNr_ok 66015
#define sipName_ok &sipStrings_QtWidgets[66015]
#define sipNameNr_on 94
#define sipName_on &sipStrings_QtWidgets[94]
#define sipNameNr_at 360
#define sipName_at &sipStrings_QtWidgets[360]
#define sipNameNr_id 53367
#define sipName_id &sipStrings_QtWidgets[53367]
#define sipNameNr_x 17059
#define sipName_x &sipStrings_QtWidgets[17059]
#define sipNameNr_y 2186
#define sipName_y &sipStrings_QtWidgets[2186]

#define sipMalloc                   sipAPI_QtWidgets->api_malloc
#define sipFree                     sipAPI_QtWidgets->api_free
#define sipBuildResult              sipAPI_QtWidgets->api_build_result
#define sipCallMethod               sipAPI_QtWidgets->api_call_method
#define sipCallErrorHandler         sipAPI_QtWidgets->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWidgets->api_parse_result_ex
#define sipParseResult              sipAPI_QtWidgets->api_parse_result
#define sipParseArgs                sipAPI_QtWidgets->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWidgets->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWidgets->api_parse_pair
#define sipCommonDtor               sipAPI_QtWidgets->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_QtWidgets->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_QtWidgets->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWidgets->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWidgets->api_add_exception
#define sipNoFunction               sipAPI_QtWidgets->api_no_function
#define sipNoMethod                 sipAPI_QtWidgets->api_no_method
#define sipAbstractMethod           sipAPI_QtWidgets->api_abstract_method
#define sipBadClass                 sipAPI_QtWidgets->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWidgets->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWidgets->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWidgets->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWidgets->api_trace
#define sipTransferBack             sipAPI_QtWidgets->api_transfer_back
#define sipTransferTo               sipAPI_QtWidgets->api_transfer_to
#define sipTransferBreak            sipAPI_QtWidgets->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtWidgets->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWidgets->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWidgets->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWidgets->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWidgets->api_get_pyobject
#define sipGetAddress               sipAPI_QtWidgets->api_get_address
#define sipGetMixinAddress          sipAPI_QtWidgets->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWidgets->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWidgets->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtWidgets->api_is_py_method
#define sipCallHook                 sipAPI_QtWidgets->api_call_hook
#define sipEndThread                sipAPI_QtWidgets->api_end_thread
#define sipConnectRx                sipAPI_QtWidgets->api_connect_rx
#define sipDisconnectRx             sipAPI_QtWidgets->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtWidgets->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWidgets->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWidgets->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWidgets->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtWidgets->api_free_sipslot
#define sipSameSlot                 sipAPI_QtWidgets->api_same_slot
#define sipPySlotExtend             sipAPI_QtWidgets->api_pyslot_extend
#define sipConvertRx                sipAPI_QtWidgets->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtWidgets->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWidgets->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWidgets->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWidgets->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtWidgets->api_can_convert_to_enum
#define sipReleaseType              sipAPI_QtWidgets->api_release_type
#define sipConvertFromType          sipAPI_QtWidgets->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWidgets->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWidgets->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWidgets->api_convert_from_enum
#define sipGetState                 sipAPI_QtWidgets->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_QtWidgets->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_QtWidgets->api_export_symbol
#define sipImportSymbol             sipAPI_QtWidgets->api_import_symbol
#define sipFindType                 sipAPI_QtWidgets->api_find_type
#define sipFindNamedEnum            sipAPI_QtWidgets->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtWidgets->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWidgets->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWidgets->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWidgets->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWidgets->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWidgets->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWidgets->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWidgets->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWidgets->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWidgets->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWidgets->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWidgets->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWidgets->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtWidgets->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWidgets->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtWidgets->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtWidgets->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtWidgets->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->type->td_cname)
#define sipDeprecated               sipAPI_QtWidgets->api_deprecated
#define sipGetReference             sipAPI_QtWidgets->api_get_reference
#define sipKeepReference            sipAPI_QtWidgets->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWidgets->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWidgets->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWidgets->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWidgets->api_type_scope
#define sipResolveTypedef           sipAPI_QtWidgets->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWidgets->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtWidgets->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtWidgets->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtWidgets->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWidgets->api_init_mixin
#define sipExportModule             sipAPI_QtWidgets->api_export_module
#define sipInitModule               sipAPI_QtWidgets->api_init_module

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtWidgets->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtWidgets->api_map_int_to_class
#define sipFindClass                sipAPI_QtWidgets->api_find_class
#define sipFindMappedType           sipAPI_QtWidgets->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtWidgets->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWidgets->api_convert_to_typed_array
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtWidgets->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->type)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->type, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->type, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->type, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->type, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->type, (t))

/* The strings used by this module. */
extern const char sipStrings_QtWidgets[];

#define sipType_QtMsgType              sipModuleAPI_QtWidgets_QtCore->em_types[415]
#define sipEnum_QtMsgType              sipModuleAPI_QtWidgets_QtCore->em_types[415]->u.td_py_type

#define sipType_QWidget              sipModuleAPI_QtWidgets.em_types[456]
#define sipClass_QWidget             sipModuleAPI_QtWidgets.em_types[456]->u.td_wrapper_type

#define sipType_QWidget_RenderFlag              sipModuleAPI_QtWidgets.em_types[457]
#define sipEnum_QWidget_RenderFlag              sipModuleAPI_QtWidgets.em_types[457]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWidget;

#define sipType_QAbstractButton              sipModuleAPI_QtWidgets.em_types[0]
#define sipClass_QAbstractButton             sipModuleAPI_QtWidgets.em_types[0]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractButton;

#define sipType_QAbstractItemDelegate              sipModuleAPI_QtWidgets.em_types[2]
#define sipClass_QAbstractItemDelegate             sipModuleAPI_QtWidgets.em_types[2]->u.td_wrapper_type

#define sipType_QAbstractItemDelegate_EndEditHint              sipModuleAPI_QtWidgets.em_types[3]
#define sipEnum_QAbstractItemDelegate_EndEditHint              sipModuleAPI_QtWidgets.em_types[3]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractItemDelegate;

#define sipType_QFrame              sipModuleAPI_QtWidgets.em_types[98]
#define sipClass_QFrame             sipModuleAPI_QtWidgets.em_types[98]->u.td_wrapper_type

#define sipType_QFrame_StyleMask              sipModuleAPI_QtWidgets.em_types[101]
#define sipEnum_QFrame_StyleMask              sipModuleAPI_QtWidgets.em_types[101]->u.td_py_type
#define sipType_QFrame_Shape              sipModuleAPI_QtWidgets.em_types[100]
#define sipEnum_QFrame_Shape              sipModuleAPI_QtWidgets.em_types[100]->u.td_py_type
#define sipType_QFrame_Shadow              sipModuleAPI_QtWidgets.em_types[99]
#define sipEnum_QFrame_Shadow              sipModuleAPI_QtWidgets.em_types[99]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFrame;

#define sipType_QAbstractScrollArea              sipModuleAPI_QtWidgets.em_types[15]
#define sipClass_QAbstractScrollArea             sipModuleAPI_QtWidgets.em_types[15]->u.td_wrapper_type

#define sipType_QAbstractScrollArea_SizeAdjustPolicy              sipModuleAPI_QtWidgets.em_types[16]
#define sipEnum_QAbstractScrollArea_SizeAdjustPolicy              sipModuleAPI_QtWidgets.em_types[16]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractScrollArea;

#define sipType_QAbstractItemView              sipModuleAPI_QtWidgets.em_types[4]
#define sipClass_QAbstractItemView             sipModuleAPI_QtWidgets.em_types[4]->u.td_wrapper_type

#define sipType_QAbstractItemView_DropIndicatorPosition              sipModuleAPI_QtWidgets.em_types[7]
#define sipEnum_QAbstractItemView_DropIndicatorPosition              sipModuleAPI_QtWidgets.em_types[7]->u.td_py_type
#define sipType_QAbstractItemView_State              sipModuleAPI_QtWidgets.em_types[14]
#define sipEnum_QAbstractItemView_State              sipModuleAPI_QtWidgets.em_types[14]->u.td_py_type
#define sipType_QAbstractItemView_CursorAction              sipModuleAPI_QtWidgets.em_types[5]
#define sipEnum_QAbstractItemView_CursorAction              sipModuleAPI_QtWidgets.em_types[5]->u.td_py_type
#define sipType_QAbstractItemView_SelectionMode              sipModuleAPI_QtWidgets.em_types[13]
#define sipEnum_QAbstractItemView_SelectionMode              sipModuleAPI_QtWidgets.em_types[13]->u.td_py_type
#define sipType_QAbstractItemView_SelectionBehavior              sipModuleAPI_QtWidgets.em_types[12]
#define sipEnum_QAbstractItemView_SelectionBehavior              sipModuleAPI_QtWidgets.em_types[12]->u.td_py_type
#define sipType_QAbstractItemView_ScrollMode              sipModuleAPI_QtWidgets.em_types[11]
#define sipEnum_QAbstractItemView_ScrollMode              sipModuleAPI_QtWidgets.em_types[11]->u.td_py_type
#define sipType_QAbstractItemView_ScrollHint              sipModuleAPI_QtWidgets.em_types[10]
#define sipEnum_QAbstractItemView_ScrollHint              sipModuleAPI_QtWidgets.em_types[10]->u.td_py_type
#define sipType_QAbstractItemView_EditTrigger              sipModuleAPI_QtWidgets.em_types[8]
#define sipEnum_QAbstractItemView_EditTrigger              sipModuleAPI_QtWidgets.em_types[8]->u.td_py_type
#define sipType_QAbstractItemView_DragDropMode              sipModuleAPI_QtWidgets.em_types[6]
#define sipEnum_QAbstractItemView_DragDropMode              sipModuleAPI_QtWidgets.em_types[6]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractItemView;

#define sipType_QAbstractItemView_EditTriggers              sipModuleAPI_QtWidgets.em_types[9]
#define sipClass_QAbstractItemView_EditTriggers             sipModuleAPI_QtWidgets.em_types[9]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractItemView_EditTriggers;

#define sipType_QAbstractSlider              sipModuleAPI_QtWidgets.em_types[17]
#define sipClass_QAbstractSlider             sipModuleAPI_QtWidgets.em_types[17]->u.td_wrapper_type

#define sipType_QAbstractSlider_SliderChange              sipModuleAPI_QtWidgets.em_types[19]
#define sipEnum_QAbstractSlider_SliderChange              sipModuleAPI_QtWidgets.em_types[19]->u.td_py_type
#define sipType_QAbstractSlider_SliderAction              sipModuleAPI_QtWidgets.em_types[18]
#define sipEnum_QAbstractSlider_SliderAction              sipModuleAPI_QtWidgets.em_types[18]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractSlider;

#define sipType_QAbstractSpinBox              sipModuleAPI_QtWidgets.em_types[20]
#define sipClass_QAbstractSpinBox             sipModuleAPI_QtWidgets.em_types[20]->u.td_wrapper_type

#define sipType_QAbstractSpinBox_CorrectionMode              sipModuleAPI_QtWidgets.em_types[22]
#define sipEnum_QAbstractSpinBox_CorrectionMode              sipModuleAPI_QtWidgets.em_types[22]->u.td_py_type
#define sipType_QAbstractSpinBox_ButtonSymbols              sipModuleAPI_QtWidgets.em_types[21]
#define sipEnum_QAbstractSpinBox_ButtonSymbols              sipModuleAPI_QtWidgets.em_types[21]->u.td_py_type
#define sipType_QAbstractSpinBox_StepEnabledFlag              sipModuleAPI_QtWidgets.em_types[24]
#define sipEnum_QAbstractSpinBox_StepEnabledFlag              sipModuleAPI_QtWidgets.em_types[24]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractSpinBox;

#define sipType_QAbstractSpinBox_StepEnabled              sipModuleAPI_QtWidgets.em_types[23]
#define sipClass_QAbstractSpinBox_StepEnabled             sipModuleAPI_QtWidgets.em_types[23]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractSpinBox_StepEnabled;

#define sipType_QAction              sipModuleAPI_QtWidgets.em_types[25]
#define sipClass_QAction             sipModuleAPI_QtWidgets.em_types[25]->u.td_wrapper_type

#define sipType_QAction_Priority              sipModuleAPI_QtWidgets.em_types[28]
#define sipEnum_QAction_Priority              sipModuleAPI_QtWidgets.em_types[28]->u.td_py_type
#define sipType_QAction_MenuRole              sipModuleAPI_QtWidgets.em_types[27]
#define sipEnum_QAction_MenuRole              sipModuleAPI_QtWidgets.em_types[27]->u.td_py_type
#define sipType_QAction_ActionEvent              sipModuleAPI_QtWidgets.em_types[26]
#define sipEnum_QAction_ActionEvent              sipModuleAPI_QtWidgets.em_types[26]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAction;

#define sipType_QActionGroup              sipModuleAPI_QtWidgets.em_types[29]
#define sipClass_QActionGroup             sipModuleAPI_QtWidgets.em_types[29]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QActionGroup;

#define sipType_QApplication              sipModuleAPI_QtWidgets.em_types[30]
#define sipClass_QApplication             sipModuleAPI_QtWidgets.em_types[30]->u.td_wrapper_type

#define sipType_QApplication_ColorSpec              sipModuleAPI_QtWidgets.em_types[31]
#define sipEnum_QApplication_ColorSpec              sipModuleAPI_QtWidgets.em_types[31]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QApplication;

#define sipType_QLayoutItem              sipModuleAPI_QtWidgets.em_types[188]
#define sipClass_QLayoutItem             sipModuleAPI_QtWidgets.em_types[188]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QLayoutItem;

#define sipType_QLayout              sipModuleAPI_QtWidgets.em_types[186]
#define sipClass_QLayout             sipModuleAPI_QtWidgets.em_types[186]->u.td_wrapper_type

#define sipType_QLayout_SizeConstraint              sipModuleAPI_QtWidgets.em_types[187]
#define sipEnum_QLayout_SizeConstraint              sipModuleAPI_QtWidgets.em_types[187]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QLayout;

#define sipType_QBoxLayout              sipModuleAPI_QtWidgets.em_types[32]
#define sipClass_QBoxLayout             sipModuleAPI_QtWidgets.em_types[32]->u.td_wrapper_type

#define sipType_QBoxLayout_Direction              sipModuleAPI_QtWidgets.em_types[33]
#define sipEnum_QBoxLayout_Direction              sipModuleAPI_QtWidgets.em_types[33]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QBoxLayout;

#define sipType_QHBoxLayout              sipModuleAPI_QtWidgets.em_types[170]
#define sipClass_QHBoxLayout             sipModuleAPI_QtWidgets.em_types[170]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QHBoxLayout;

#define sipType_QVBoxLayout              sipModuleAPI_QtWidgets.em_types[454]
#define sipClass_QVBoxLayout             sipModuleAPI_QtWidgets.em_types[454]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QVBoxLayout;

#define sipType_QButtonGroup              sipModuleAPI_QtWidgets.em_types[34]
#define sipClass_QButtonGroup             sipModuleAPI_QtWidgets.em_types[34]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QButtonGroup;

#define sipType_QCalendarWidget              sipModuleAPI_QtWidgets.em_types[35]
#define sipClass_QCalendarWidget             sipModuleAPI_QtWidgets.em_types[35]->u.td_wrapper_type

#define sipType_QCalendarWidget_SelectionMode              sipModuleAPI_QtWidgets.em_types[37]
#define sipEnum_QCalendarWidget_SelectionMode              sipModuleAPI_QtWidgets.em_types[37]->u.td_py_type
#define sipType_QCalendarWidget_VerticalHeaderFormat              sipModuleAPI_QtWidgets.em_types[38]
#define sipEnum_QCalendarWidget_VerticalHeaderFormat              sipModuleAPI_QtWidgets.em_types[38]->u.td_py_type
#define sipType_QCalendarWidget_HorizontalHeaderFormat              sipModuleAPI_QtWidgets.em_types[36]
#define sipEnum_QCalendarWidget_HorizontalHeaderFormat              sipModuleAPI_QtWidgets.em_types[36]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QCalendarWidget;

#define sipType_QCheckBox              sipModuleAPI_QtWidgets.em_types[39]
#define sipClass_QCheckBox             sipModuleAPI_QtWidgets.em_types[39]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QCheckBox;

#define sipType_QDialog              sipModuleAPI_QtWidgets.em_types[60]
#define sipClass_QDialog             sipModuleAPI_QtWidgets.em_types[60]->u.td_wrapper_type

#define sipType_QDialog_DialogCode              sipModuleAPI_QtWidgets.em_types[61]
#define sipEnum_QDialog_DialogCode              sipModuleAPI_QtWidgets.em_types[61]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDialog;

#define sipType_QColorDialog              sipModuleAPI_QtWidgets.em_types[40]
#define sipClass_QColorDialog             sipModuleAPI_QtWidgets.em_types[40]->u.td_wrapper_type

#define sipType_QColorDialog_ColorDialogOption              sipModuleAPI_QtWidgets.em_types[41]
#define sipEnum_QColorDialog_ColorDialogOption              sipModuleAPI_QtWidgets.em_types[41]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QColorDialog;

#define sipType_QColorDialog_ColorDialogOptions              sipModuleAPI_QtWidgets.em_types[42]
#define sipClass_QColorDialog_ColorDialogOptions             sipModuleAPI_QtWidgets.em_types[42]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QColorDialog_ColorDialogOptions;

#define sipType_QColumnView              sipModuleAPI_QtWidgets.em_types[43]
#define sipClass_QColumnView             sipModuleAPI_QtWidgets.em_types[43]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QColumnView;

#define sipType_QComboBox              sipModuleAPI_QtWidgets.em_types[44]
#define sipClass_QComboBox             sipModuleAPI_QtWidgets.em_types[44]->u.td_wrapper_type

#define sipType_QComboBox_SizeAdjustPolicy              sipModuleAPI_QtWidgets.em_types[46]
#define sipEnum_QComboBox_SizeAdjustPolicy              sipModuleAPI_QtWidgets.em_types[46]->u.td_py_type
#define sipType_QComboBox_InsertPolicy              sipModuleAPI_QtWidgets.em_types[45]
#define sipEnum_QComboBox_InsertPolicy              sipModuleAPI_QtWidgets.em_types[45]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QComboBox;

#define sipType_QPushButton              sipModuleAPI_QtWidgets.em_types[253]
#define sipClass_QPushButton             sipModuleAPI_QtWidgets.em_types[253]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPushButton;

#define sipType_QCommandLinkButton              sipModuleAPI_QtWidgets.em_types[47]
#define sipClass_QCommandLinkButton             sipModuleAPI_QtWidgets.em_types[47]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QCommandLinkButton;

#define sipType_QStyle              sipModuleAPI_QtWidgets.em_types[285]
#define sipClass_QStyle             sipModuleAPI_QtWidgets.em_types[285]->u.td_wrapper_type

#define sipType_QStyle_RequestSoftwareInputPanel              sipModuleAPI_QtWidgets.em_types[291]
#define sipEnum_QStyle_RequestSoftwareInputPanel              sipModuleAPI_QtWidgets.em_types[291]->u.td_py_type
#define sipType_QStyle_StandardPixmap              sipModuleAPI_QtWidgets.em_types[292]
#define sipEnum_QStyle_StandardPixmap              sipModuleAPI_QtWidgets.em_types[292]->u.td_py_type
#define sipType_QStyle_StyleHint              sipModuleAPI_QtWidgets.em_types[295]
#define sipEnum_QStyle_StyleHint              sipModuleAPI_QtWidgets.em_types[295]->u.td_py_type
#define sipType_QStyle_ContentsType              sipModuleAPI_QtWidgets.em_types[287]
#define sipEnum_QStyle_ContentsType              sipModuleAPI_QtWidgets.em_types[287]->u.td_py_type
#define sipType_QStyle_PixelMetric              sipModuleAPI_QtWidgets.em_types[289]
#define sipEnum_QStyle_PixelMetric              sipModuleAPI_QtWidgets.em_types[289]->u.td_py_type
#define sipType_QStyle_SubControl              sipModuleAPI_QtWidgets.em_types[296]
#define sipEnum_QStyle_SubControl              sipModuleAPI_QtWidgets.em_types[296]->u.td_py_type
#define sipType_QStyle_ComplexControl              sipModuleAPI_QtWidgets.em_types[286]
#define sipEnum_QStyle_ComplexControl              sipModuleAPI_QtWidgets.em_types[286]->u.td_py_type
#define sipType_QStyle_SubElement              sipModuleAPI_QtWidgets.em_types[298]
#define sipEnum_QStyle_SubElement              sipModuleAPI_QtWidgets.em_types[298]->u.td_py_type
#define sipType_QStyle_ControlElement              sipModuleAPI_QtWidgets.em_types[288]
#define sipEnum_QStyle_ControlElement              sipModuleAPI_QtWidgets.em_types[288]->u.td_py_type
#define sipType_QStyle_PrimitiveElement              sipModuleAPI_QtWidgets.em_types[290]
#define sipEnum_QStyle_PrimitiveElement              sipModuleAPI_QtWidgets.em_types[290]->u.td_py_type
#define sipType_QStyle_StateFlag              sipModuleAPI_QtWidgets.em_types[294]
#define sipEnum_QStyle_StateFlag              sipModuleAPI_QtWidgets.em_types[294]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyle;

#define sipType_QCommonStyle              sipModuleAPI_QtWidgets.em_types[48]
#define sipClass_QCommonStyle             sipModuleAPI_QtWidgets.em_types[48]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QCommonStyle;

#define sipType_QCompleter              sipModuleAPI_QtWidgets.em_types[49]
#define sipClass_QCompleter             sipModuleAPI_QtWidgets.em_types[49]->u.td_wrapper_type

#define sipType_QCompleter_ModelSorting              sipModuleAPI_QtWidgets.em_types[51]
#define sipEnum_QCompleter_ModelSorting              sipModuleAPI_QtWidgets.em_types[51]->u.td_py_type
#define sipType_QCompleter_CompletionMode              sipModuleAPI_QtWidgets.em_types[50]
#define sipEnum_QCompleter_CompletionMode              sipModuleAPI_QtWidgets.em_types[50]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QCompleter;

#define sipType_QDataWidgetMapper              sipModuleAPI_QtWidgets.em_types[52]
#define sipClass_QDataWidgetMapper             sipModuleAPI_QtWidgets.em_types[52]->u.td_wrapper_type

#define sipType_QDataWidgetMapper_SubmitPolicy              sipModuleAPI_QtWidgets.em_types[53]
#define sipEnum_QDataWidgetMapper_SubmitPolicy              sipModuleAPI_QtWidgets.em_types[53]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDataWidgetMapper;

#define sipType_QDateTimeEdit              sipModuleAPI_QtWidgets.em_types[55]
#define sipClass_QDateTimeEdit             sipModuleAPI_QtWidgets.em_types[55]->u.td_wrapper_type

#define sipType_QDateTimeEdit_Section              sipModuleAPI_QtWidgets.em_types[56]
#define sipEnum_QDateTimeEdit_Section              sipModuleAPI_QtWidgets.em_types[56]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDateTimeEdit;

#define sipType_QDateTimeEdit_Sections              sipModuleAPI_QtWidgets.em_types[57]
#define sipClass_QDateTimeEdit_Sections             sipModuleAPI_QtWidgets.em_types[57]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDateTimeEdit_Sections;

#define sipType_QTimeEdit              sipModuleAPI_QtWidgets.em_types[436]
#define sipClass_QTimeEdit             sipModuleAPI_QtWidgets.em_types[436]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTimeEdit;

#define sipType_QDateEdit              sipModuleAPI_QtWidgets.em_types[54]
#define sipClass_QDateEdit             sipModuleAPI_QtWidgets.em_types[54]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDateEdit;

#define sipType_QDesktopWidget              sipModuleAPI_QtWidgets.em_types[58]
#define sipClass_QDesktopWidget             sipModuleAPI_QtWidgets.em_types[58]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDesktopWidget;

#define sipType_QDial              sipModuleAPI_QtWidgets.em_types[59]
#define sipClass_QDial             sipModuleAPI_QtWidgets.em_types[59]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDial;

#define sipType_QDialogButtonBox              sipModuleAPI_QtWidgets.em_types[62]
#define sipClass_QDialogButtonBox             sipModuleAPI_QtWidgets.em_types[62]->u.td_wrapper_type

#define sipType_QDialogButtonBox_StandardButton              sipModuleAPI_QtWidgets.em_types[65]
#define sipEnum_QDialogButtonBox_StandardButton              sipModuleAPI_QtWidgets.em_types[65]->u.td_py_type
#define sipType_QDialogButtonBox_ButtonRole              sipModuleAPI_QtWidgets.em_types[64]
#define sipEnum_QDialogButtonBox_ButtonRole              sipModuleAPI_QtWidgets.em_types[64]->u.td_py_type
#define sipType_QDialogButtonBox_ButtonLayout              sipModuleAPI_QtWidgets.em_types[63]
#define sipEnum_QDialogButtonBox_ButtonLayout              sipModuleAPI_QtWidgets.em_types[63]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDialogButtonBox;

#define sipType_QDialogButtonBox_StandardButtons              sipModuleAPI_QtWidgets.em_types[66]
#define sipClass_QDialogButtonBox_StandardButtons             sipModuleAPI_QtWidgets.em_types[66]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDialogButtonBox_StandardButtons;

#define sipType_QDirModel              sipModuleAPI_QtWidgets.em_types[67]
#define sipClass_QDirModel             sipModuleAPI_QtWidgets.em_types[67]->u.td_wrapper_type

#define sipType_QDirModel_Roles              sipModuleAPI_QtWidgets.em_types[68]
#define sipEnum_QDirModel_Roles              sipModuleAPI_QtWidgets.em_types[68]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDirModel;

#define sipType_QDockWidget              sipModuleAPI_QtWidgets.em_types[69]
#define sipClass_QDockWidget             sipModuleAPI_QtWidgets.em_types[69]->u.td_wrapper_type

#define sipType_QDockWidget_DockWidgetFeature              sipModuleAPI_QtWidgets.em_types[70]
#define sipEnum_QDockWidget_DockWidgetFeature              sipModuleAPI_QtWidgets.em_types[70]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDockWidget;

#define sipType_QDockWidget_DockWidgetFeatures              sipModuleAPI_QtWidgets.em_types[71]
#define sipClass_QDockWidget_DockWidgetFeatures             sipModuleAPI_QtWidgets.em_types[71]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDockWidget_DockWidgetFeatures;

#define sipType_QErrorMessage              sipModuleAPI_QtWidgets.em_types[73]
#define sipClass_QErrorMessage             sipModuleAPI_QtWidgets.em_types[73]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QErrorMessage;

#define sipType_QFileDialog              sipModuleAPI_QtWidgets.em_types[74]
#define sipClass_QFileDialog             sipModuleAPI_QtWidgets.em_types[74]->u.td_wrapper_type

#define sipType_QFileDialog_Option              sipModuleAPI_QtWidgets.em_types[78]
#define sipEnum_QFileDialog_Option              sipModuleAPI_QtWidgets.em_types[78]->u.td_py_type
#define sipType_QFileDialog_DialogLabel              sipModuleAPI_QtWidgets.em_types[76]
#define sipEnum_QFileDialog_DialogLabel              sipModuleAPI_QtWidgets.em_types[76]->u.td_py_type
#define sipType_QFileDialog_AcceptMode              sipModuleAPI_QtWidgets.em_types[75]
#define sipEnum_QFileDialog_AcceptMode              sipModuleAPI_QtWidgets.em_types[75]->u.td_py_type
#define sipType_QFileDialog_FileMode              sipModuleAPI_QtWidgets.em_types[77]
#define sipEnum_QFileDialog_FileMode              sipModuleAPI_QtWidgets.em_types[77]->u.td_py_type
#define sipType_QFileDialog_ViewMode              sipModuleAPI_QtWidgets.em_types[80]
#define sipEnum_QFileDialog_ViewMode              sipModuleAPI_QtWidgets.em_types[80]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFileDialog;

#define sipType_QFileDialog_Options              sipModuleAPI_QtWidgets.em_types[79]
#define sipClass_QFileDialog_Options             sipModuleAPI_QtWidgets.em_types[79]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFileDialog_Options;

#define sipType_QFileIconProvider              sipModuleAPI_QtWidgets.em_types[81]
#define sipClass_QFileIconProvider             sipModuleAPI_QtWidgets.em_types[81]->u.td_wrapper_type

#define sipType_QFileIconProvider_Option              sipModuleAPI_QtWidgets.em_types[83]
#define sipEnum_QFileIconProvider_Option              sipModuleAPI_QtWidgets.em_types[83]->u.td_py_type
#define sipType_QFileIconProvider_IconType              sipModuleAPI_QtWidgets.em_types[82]
#define sipEnum_QFileIconProvider_IconType              sipModuleAPI_QtWidgets.em_types[82]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFileIconProvider;

#define sipType_QFileIconProvider_Options              sipModuleAPI_QtWidgets.em_types[84]
#define sipClass_QFileIconProvider_Options             sipModuleAPI_QtWidgets.em_types[84]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFileIconProvider_Options;

#define sipType_QFileSystemModel              sipModuleAPI_QtWidgets.em_types[85]
#define sipClass_QFileSystemModel             sipModuleAPI_QtWidgets.em_types[85]->u.td_wrapper_type

#define sipType_QFileSystemModel_Roles              sipModuleAPI_QtWidgets.em_types[86]
#define sipEnum_QFileSystemModel_Roles              sipModuleAPI_QtWidgets.em_types[86]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFileSystemModel;

#define sipType_QFocusFrame              sipModuleAPI_QtWidgets.em_types[87]
#define sipClass_QFocusFrame             sipModuleAPI_QtWidgets.em_types[87]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFocusFrame;

#define sipType_QFontComboBox              sipModuleAPI_QtWidgets.em_types[88]
#define sipClass_QFontComboBox             sipModuleAPI_QtWidgets.em_types[88]->u.td_wrapper_type

#define sipType_QFontComboBox_FontFilter              sipModuleAPI_QtWidgets.em_types[89]
#define sipEnum_QFontComboBox_FontFilter              sipModuleAPI_QtWidgets.em_types[89]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFontComboBox;

#define sipType_QFontComboBox_FontFilters              sipModuleAPI_QtWidgets.em_types[90]
#define sipClass_QFontComboBox_FontFilters             sipModuleAPI_QtWidgets.em_types[90]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFontComboBox_FontFilters;

#define sipType_QFontDialog              sipModuleAPI_QtWidgets.em_types[91]
#define sipClass_QFontDialog             sipModuleAPI_QtWidgets.em_types[91]->u.td_wrapper_type

#define sipType_QFontDialog_FontDialogOption              sipModuleAPI_QtWidgets.em_types[92]
#define sipEnum_QFontDialog_FontDialogOption              sipModuleAPI_QtWidgets.em_types[92]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFontDialog;

#define sipType_QFontDialog_FontDialogOptions              sipModuleAPI_QtWidgets.em_types[93]
#define sipClass_QFontDialog_FontDialogOptions             sipModuleAPI_QtWidgets.em_types[93]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFontDialog_FontDialogOptions;

#define sipType_QFormLayout              sipModuleAPI_QtWidgets.em_types[94]
#define sipClass_QFormLayout             sipModuleAPI_QtWidgets.em_types[94]->u.td_wrapper_type

#define sipType_QFormLayout_ItemRole              sipModuleAPI_QtWidgets.em_types[96]
#define sipEnum_QFormLayout_ItemRole              sipModuleAPI_QtWidgets.em_types[96]->u.td_py_type
#define sipType_QFormLayout_RowWrapPolicy              sipModuleAPI_QtWidgets.em_types[97]
#define sipEnum_QFormLayout_RowWrapPolicy              sipModuleAPI_QtWidgets.em_types[97]->u.td_py_type
#define sipType_QFormLayout_FieldGrowthPolicy              sipModuleAPI_QtWidgets.em_types[95]
#define sipEnum_QFormLayout_FieldGrowthPolicy              sipModuleAPI_QtWidgets.em_types[95]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QFormLayout;

#define sipType_QGesture              sipModuleAPI_QtWidgets.em_types[102]
#define sipClass_QGesture             sipModuleAPI_QtWidgets.em_types[102]->u.td_wrapper_type

#define sipType_QGesture_GestureCancelPolicy              sipModuleAPI_QtWidgets.em_types[103]
#define sipEnum_QGesture_GestureCancelPolicy              sipModuleAPI_QtWidgets.em_types[103]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGesture;

#define sipType_QPanGesture              sipModuleAPI_QtWidgets.em_types[242]
#define sipClass_QPanGesture             sipModuleAPI_QtWidgets.em_types[242]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPanGesture;

#define sipType_QPinchGesture              sipModuleAPI_QtWidgets.em_types[243]
#define sipClass_QPinchGesture             sipModuleAPI_QtWidgets.em_types[243]->u.td_wrapper_type

#define sipType_QPinchGesture_ChangeFlag              sipModuleAPI_QtWidgets.em_types[244]
#define sipEnum_QPinchGesture_ChangeFlag              sipModuleAPI_QtWidgets.em_types[244]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPinchGesture;

#define sipType_QPinchGesture_ChangeFlags              sipModuleAPI_QtWidgets.em_types[245]
#define sipClass_QPinchGesture_ChangeFlags             sipModuleAPI_QtWidgets.em_types[245]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPinchGesture_ChangeFlags;

#define sipType_QSwipeGesture              sipModuleAPI_QtWidgets.em_types[411]
#define sipClass_QSwipeGesture             sipModuleAPI_QtWidgets.em_types[411]->u.td_wrapper_type

#define sipType_QSwipeGesture_SwipeDirection              sipModuleAPI_QtWidgets.em_types[412]
#define sipEnum_QSwipeGesture_SwipeDirection              sipModuleAPI_QtWidgets.em_types[412]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSwipeGesture;

#define sipType_QTapGesture              sipModuleAPI_QtWidgets.em_types[429]
#define sipClass_QTapGesture             sipModuleAPI_QtWidgets.em_types[429]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTapGesture;

#define sipType_QTapAndHoldGesture              sipModuleAPI_QtWidgets.em_types[428]
#define sipClass_QTapAndHoldGesture             sipModuleAPI_QtWidgets.em_types[428]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTapAndHoldGesture;

#define sipType_QGestureEvent              sipModuleAPI_QtWidgets.em_types[104]
#define sipClass_QGestureEvent             sipModuleAPI_QtWidgets.em_types[104]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGestureEvent;

#define sipType_QGestureRecognizer              sipModuleAPI_QtWidgets.em_types[105]
#define sipClass_QGestureRecognizer             sipModuleAPI_QtWidgets.em_types[105]->u.td_wrapper_type

#define sipType_QGestureRecognizer_ResultFlag              sipModuleAPI_QtWidgets.em_types[107]
#define sipEnum_QGestureRecognizer_ResultFlag              sipModuleAPI_QtWidgets.em_types[107]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGestureRecognizer;

#define sipType_QGestureRecognizer_Result              sipModuleAPI_QtWidgets.em_types[106]
#define sipClass_QGestureRecognizer_Result             sipModuleAPI_QtWidgets.em_types[106]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGestureRecognizer_Result;

#define sipType_QGraphicsAnchor              sipModuleAPI_QtWidgets.em_types[108]
#define sipClass_QGraphicsAnchor             sipModuleAPI_QtWidgets.em_types[108]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsAnchor;

#define sipType_QGraphicsLayoutItem              sipModuleAPI_QtWidgets.em_types[129]
#define sipClass_QGraphicsLayoutItem             sipModuleAPI_QtWidgets.em_types[129]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsLayoutItem;

#define sipType_QGraphicsLayout              sipModuleAPI_QtWidgets.em_types[128]
#define sipClass_QGraphicsLayout             sipModuleAPI_QtWidgets.em_types[128]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsLayout;

#define sipType_QGraphicsAnchorLayout              sipModuleAPI_QtWidgets.em_types[109]
#define sipClass_QGraphicsAnchorLayout             sipModuleAPI_QtWidgets.em_types[109]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsAnchorLayout;

#define sipType_QGraphicsEffect              sipModuleAPI_QtWidgets.em_types[115]
#define sipClass_QGraphicsEffect             sipModuleAPI_QtWidgets.em_types[115]->u.td_wrapper_type

#define sipType_QGraphicsEffect_PixmapPadMode              sipModuleAPI_QtWidgets.em_types[118]
#define sipEnum_QGraphicsEffect_PixmapPadMode              sipModuleAPI_QtWidgets.em_types[118]->u.td_py_type
#define sipType_QGraphicsEffect_ChangeFlag              sipModuleAPI_QtWidgets.em_types[116]
#define sipEnum_QGraphicsEffect_ChangeFlag              sipModuleAPI_QtWidgets.em_types[116]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsEffect;

#define sipType_QGraphicsEffect_ChangeFlags              sipModuleAPI_QtWidgets.em_types[117]
#define sipClass_QGraphicsEffect_ChangeFlags             sipModuleAPI_QtWidgets.em_types[117]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsEffect_ChangeFlags;

#define sipType_QGraphicsColorizeEffect              sipModuleAPI_QtWidgets.em_types[113]
#define sipClass_QGraphicsColorizeEffect             sipModuleAPI_QtWidgets.em_types[113]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsColorizeEffect;

#define sipType_QGraphicsBlurEffect              sipModuleAPI_QtWidgets.em_types[110]
#define sipClass_QGraphicsBlurEffect             sipModuleAPI_QtWidgets.em_types[110]->u.td_wrapper_type

#define sipType_QGraphicsBlurEffect_BlurHint              sipModuleAPI_QtWidgets.em_types[111]
#define sipEnum_QGraphicsBlurEffect_BlurHint              sipModuleAPI_QtWidgets.em_types[111]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsBlurEffect;

#define sipType_QGraphicsBlurEffect_BlurHints              sipModuleAPI_QtWidgets.em_types[112]
#define sipClass_QGraphicsBlurEffect_BlurHints             sipModuleAPI_QtWidgets.em_types[112]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsBlurEffect_BlurHints;

#define sipType_QGraphicsDropShadowEffect              sipModuleAPI_QtWidgets.em_types[114]
#define sipClass_QGraphicsDropShadowEffect             sipModuleAPI_QtWidgets.em_types[114]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsDropShadowEffect;

#define sipType_QGraphicsOpacityEffect              sipModuleAPI_QtWidgets.em_types[133]
#define sipClass_QGraphicsOpacityEffect             sipModuleAPI_QtWidgets.em_types[133]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsOpacityEffect;

#define sipType_QGraphicsGridLayout              sipModuleAPI_QtWidgets.em_types[120]
#define sipClass_QGraphicsGridLayout             sipModuleAPI_QtWidgets.em_types[120]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsGridLayout;

#define sipType_QGraphicsItem              sipModuleAPI_QtWidgets.em_types[121]
#define sipClass_QGraphicsItem             sipModuleAPI_QtWidgets.em_types[121]->u.td_wrapper_type

#define sipType_QGraphicsItem_PanelModality              sipModuleAPI_QtWidgets.em_types[126]
#define sipEnum_QGraphicsItem_PanelModality              sipModuleAPI_QtWidgets.em_types[126]->u.td_py_type
#define sipType_QGraphicsItem_GraphicsItemFlag              sipModuleAPI_QtWidgets.em_types[124]
#define sipEnum_QGraphicsItem_GraphicsItemFlag              sipModuleAPI_QtWidgets.em_types[124]->u.td_py_type
#define sipType_QGraphicsItem_GraphicsItemChange              sipModuleAPI_QtWidgets.em_types[123]
#define sipEnum_QGraphicsItem_GraphicsItemChange              sipModuleAPI_QtWidgets.em_types[123]->u.td_py_type
#define sipType_QGraphicsItem_CacheMode              sipModuleAPI_QtWidgets.em_types[122]
#define sipEnum_QGraphicsItem_CacheMode              sipModuleAPI_QtWidgets.em_types[122]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsItem;

#define sipType_QGraphicsItem_GraphicsItemFlags              sipModuleAPI_QtWidgets.em_types[125]
#define sipClass_QGraphicsItem_GraphicsItemFlags             sipModuleAPI_QtWidgets.em_types[125]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsItem_GraphicsItemFlags;

#define sipType_QAbstractGraphicsShapeItem              sipModuleAPI_QtWidgets.em_types[1]
#define sipClass_QAbstractGraphicsShapeItem             sipModuleAPI_QtWidgets.em_types[1]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QAbstractGraphicsShapeItem;

#define sipType_QGraphicsPathItem              sipModuleAPI_QtWidgets.em_types[134]
#define sipClass_QGraphicsPathItem             sipModuleAPI_QtWidgets.em_types[134]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsPathItem;

#define sipType_QGraphicsRectItem              sipModuleAPI_QtWidgets.em_types[139]
#define sipClass_QGraphicsRectItem             sipModuleAPI_QtWidgets.em_types[139]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsRectItem;

#define sipType_QGraphicsEllipseItem              sipModuleAPI_QtWidgets.em_types[119]
#define sipClass_QGraphicsEllipseItem             sipModuleAPI_QtWidgets.em_types[119]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsEllipseItem;

#define sipType_QGraphicsPolygonItem              sipModuleAPI_QtWidgets.em_types[137]
#define sipClass_QGraphicsPolygonItem             sipModuleAPI_QtWidgets.em_types[137]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsPolygonItem;

#define sipType_QGraphicsLineItem              sipModuleAPI_QtWidgets.em_types[130]
#define sipClass_QGraphicsLineItem             sipModuleAPI_QtWidgets.em_types[130]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsLineItem;

#define sipType_QGraphicsPixmapItem              sipModuleAPI_QtWidgets.em_types[135]
#define sipClass_QGraphicsPixmapItem             sipModuleAPI_QtWidgets.em_types[135]->u.td_wrapper_type

#define sipType_QGraphicsPixmapItem_ShapeMode              sipModuleAPI_QtWidgets.em_types[136]
#define sipEnum_QGraphicsPixmapItem_ShapeMode              sipModuleAPI_QtWidgets.em_types[136]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsPixmapItem;

#define sipType_QGraphicsSimpleTextItem              sipModuleAPI_QtWidgets.em_types[156]
#define sipClass_QGraphicsSimpleTextItem             sipModuleAPI_QtWidgets.em_types[156]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSimpleTextItem;

#define sipType_QGraphicsItemGroup              sipModuleAPI_QtWidgets.em_types[127]
#define sipClass_QGraphicsItemGroup             sipModuleAPI_QtWidgets.em_types[127]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsItemGroup;

#define sipType_QGraphicsObject              sipModuleAPI_QtWidgets.em_types[132]
#define sipClass_QGraphicsObject             sipModuleAPI_QtWidgets.em_types[132]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsObject;

#define sipType_QGraphicsTextItem              sipModuleAPI_QtWidgets.em_types[157]
#define sipClass_QGraphicsTextItem             sipModuleAPI_QtWidgets.em_types[157]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsTextItem;

#define sipType_QGraphicsLinearLayout              sipModuleAPI_QtWidgets.em_types[131]
#define sipClass_QGraphicsLinearLayout             sipModuleAPI_QtWidgets.em_types[131]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsLinearLayout;

#define sipType_QGraphicsWidget              sipModuleAPI_QtWidgets.em_types[167]
#define sipClass_QGraphicsWidget             sipModuleAPI_QtWidgets.em_types[167]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsWidget;

#define sipType_QGraphicsProxyWidget              sipModuleAPI_QtWidgets.em_types[138]
#define sipClass_QGraphicsProxyWidget             sipModuleAPI_QtWidgets.em_types[138]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsProxyWidget;

#define sipType_QGraphicsScene              sipModuleAPI_QtWidgets.em_types[142]
#define sipClass_QGraphicsScene             sipModuleAPI_QtWidgets.em_types[142]->u.td_wrapper_type

#define sipType_QGraphicsScene_SceneLayer              sipModuleAPI_QtWidgets.em_types[144]
#define sipEnum_QGraphicsScene_SceneLayer              sipModuleAPI_QtWidgets.em_types[144]->u.td_py_type
#define sipType_QGraphicsScene_ItemIndexMethod              sipModuleAPI_QtWidgets.em_types[143]
#define sipEnum_QGraphicsScene_ItemIndexMethod              sipModuleAPI_QtWidgets.em_types[143]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsScene;

#define sipType_QGraphicsScene_SceneLayers              sipModuleAPI_QtWidgets.em_types[145]
#define sipClass_QGraphicsScene_SceneLayers             sipModuleAPI_QtWidgets.em_types[145]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsScene_SceneLayers;

#define sipType_QGraphicsSceneEvent              sipModuleAPI_QtWidgets.em_types[149]
#define sipClass_QGraphicsSceneEvent             sipModuleAPI_QtWidgets.em_types[149]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneEvent;

#define sipType_QGraphicsSceneMouseEvent              sipModuleAPI_QtWidgets.em_types[152]
#define sipClass_QGraphicsSceneMouseEvent             sipModuleAPI_QtWidgets.em_types[152]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneMouseEvent;

#define sipType_QGraphicsSceneWheelEvent              sipModuleAPI_QtWidgets.em_types[155]
#define sipClass_QGraphicsSceneWheelEvent             sipModuleAPI_QtWidgets.em_types[155]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneWheelEvent;

#define sipType_QGraphicsSceneContextMenuEvent              sipModuleAPI_QtWidgets.em_types[146]
#define sipClass_QGraphicsSceneContextMenuEvent             sipModuleAPI_QtWidgets.em_types[146]->u.td_wrapper_type

#define sipType_QGraphicsSceneContextMenuEvent_Reason              sipModuleAPI_QtWidgets.em_types[147]
#define sipEnum_QGraphicsSceneContextMenuEvent_Reason              sipModuleAPI_QtWidgets.em_types[147]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneContextMenuEvent;

#define sipType_QGraphicsSceneHoverEvent              sipModuleAPI_QtWidgets.em_types[151]
#define sipClass_QGraphicsSceneHoverEvent             sipModuleAPI_QtWidgets.em_types[151]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneHoverEvent;

#define sipType_QGraphicsSceneHelpEvent              sipModuleAPI_QtWidgets.em_types[150]
#define sipClass_QGraphicsSceneHelpEvent             sipModuleAPI_QtWidgets.em_types[150]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneHelpEvent;

#define sipType_QGraphicsSceneDragDropEvent              sipModuleAPI_QtWidgets.em_types[148]
#define sipClass_QGraphicsSceneDragDropEvent             sipModuleAPI_QtWidgets.em_types[148]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneDragDropEvent;

#define sipType_QGraphicsSceneResizeEvent              sipModuleAPI_QtWidgets.em_types[154]
#define sipClass_QGraphicsSceneResizeEvent             sipModuleAPI_QtWidgets.em_types[154]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneResizeEvent;

#define sipType_QGraphicsSceneMoveEvent              sipModuleAPI_QtWidgets.em_types[153]
#define sipClass_QGraphicsSceneMoveEvent             sipModuleAPI_QtWidgets.em_types[153]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsSceneMoveEvent;

#define sipType_QGraphicsTransform              sipModuleAPI_QtWidgets.em_types[158]
#define sipClass_QGraphicsTransform             sipModuleAPI_QtWidgets.em_types[158]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsTransform;

#define sipType_QGraphicsScale              sipModuleAPI_QtWidgets.em_types[141]
#define sipClass_QGraphicsScale             sipModuleAPI_QtWidgets.em_types[141]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsScale;

#define sipType_QGraphicsRotation              sipModuleAPI_QtWidgets.em_types[140]
#define sipClass_QGraphicsRotation             sipModuleAPI_QtWidgets.em_types[140]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsRotation;

#define sipType_QGraphicsView              sipModuleAPI_QtWidgets.em_types[159]
#define sipClass_QGraphicsView             sipModuleAPI_QtWidgets.em_types[159]->u.td_wrapper_type

#define sipType_QGraphicsView_OptimizationFlag              sipModuleAPI_QtWidgets.em_types[163]
#define sipEnum_QGraphicsView_OptimizationFlag              sipModuleAPI_QtWidgets.em_types[163]->u.td_py_type
#define sipType_QGraphicsView_ViewportUpdateMode              sipModuleAPI_QtWidgets.em_types[166]
#define sipEnum_QGraphicsView_ViewportUpdateMode              sipModuleAPI_QtWidgets.em_types[166]->u.td_py_type
#define sipType_QGraphicsView_ViewportAnchor              sipModuleAPI_QtWidgets.em_types[165]
#define sipEnum_QGraphicsView_ViewportAnchor              sipModuleAPI_QtWidgets.em_types[165]->u.td_py_type
#define sipType_QGraphicsView_DragMode              sipModuleAPI_QtWidgets.em_types[162]
#define sipEnum_QGraphicsView_DragMode              sipModuleAPI_QtWidgets.em_types[162]->u.td_py_type
#define sipType_QGraphicsView_CacheModeFlag              sipModuleAPI_QtWidgets.em_types[161]
#define sipEnum_QGraphicsView_CacheModeFlag              sipModuleAPI_QtWidgets.em_types[161]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsView;

#define sipType_QGraphicsView_CacheMode              sipModuleAPI_QtWidgets.em_types[160]
#define sipClass_QGraphicsView_CacheMode             sipModuleAPI_QtWidgets.em_types[160]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsView_CacheMode;

#define sipType_QGraphicsView_OptimizationFlags              sipModuleAPI_QtWidgets.em_types[164]
#define sipClass_QGraphicsView_OptimizationFlags             sipModuleAPI_QtWidgets.em_types[164]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGraphicsView_OptimizationFlags;

#define sipType_QGridLayout              sipModuleAPI_QtWidgets.em_types[168]
#define sipClass_QGridLayout             sipModuleAPI_QtWidgets.em_types[168]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGridLayout;

#define sipType_QGroupBox              sipModuleAPI_QtWidgets.em_types[169]
#define sipClass_QGroupBox             sipModuleAPI_QtWidgets.em_types[169]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QGroupBox;

#define sipType_QHeaderView              sipModuleAPI_QtWidgets.em_types[171]
#define sipClass_QHeaderView             sipModuleAPI_QtWidgets.em_types[171]->u.td_wrapper_type

#define sipType_QHeaderView_ResizeMode              sipModuleAPI_QtWidgets.em_types[172]
#define sipEnum_QHeaderView_ResizeMode              sipModuleAPI_QtWidgets.em_types[172]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QHeaderView;

#define sipType_QInputDialog              sipModuleAPI_QtWidgets.em_types[173]
#define sipClass_QInputDialog             sipModuleAPI_QtWidgets.em_types[173]->u.td_wrapper_type

#define sipType_QInputDialog_InputMode              sipModuleAPI_QtWidgets.em_types[176]
#define sipEnum_QInputDialog_InputMode              sipModuleAPI_QtWidgets.em_types[176]->u.td_py_type
#define sipType_QInputDialog_InputDialogOption              sipModuleAPI_QtWidgets.em_types[174]
#define sipEnum_QInputDialog_InputDialogOption              sipModuleAPI_QtWidgets.em_types[174]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QInputDialog;

#define sipType_QInputDialog_InputDialogOptions              sipModuleAPI_QtWidgets.em_types[175]
#define sipClass_QInputDialog_InputDialogOptions             sipModuleAPI_QtWidgets.em_types[175]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QInputDialog_InputDialogOptions;

#define sipType_QItemDelegate              sipModuleAPI_QtWidgets.em_types[177]
#define sipClass_QItemDelegate             sipModuleAPI_QtWidgets.em_types[177]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QItemDelegate;

#define sipType_QItemEditorCreatorBase              sipModuleAPI_QtWidgets.em_types[178]
#define sipClass_QItemEditorCreatorBase             sipModuleAPI_QtWidgets.em_types[178]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QItemEditorCreatorBase;

#define sipType_QItemEditorFactory              sipModuleAPI_QtWidgets.em_types[179]
#define sipClass_QItemEditorFactory             sipModuleAPI_QtWidgets.em_types[179]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QItemEditorFactory;

#define sipType_QKeyEventTransition              sipModuleAPI_QtWidgets.em_types[180]
#define sipClass_QKeyEventTransition             sipModuleAPI_QtWidgets.em_types[180]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QKeyEventTransition;

#define sipType_QKeySequenceEdit              sipModuleAPI_QtWidgets.em_types[181]
#define sipClass_QKeySequenceEdit             sipModuleAPI_QtWidgets.em_types[181]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QKeySequenceEdit;

#define sipType_QLabel              sipModuleAPI_QtWidgets.em_types[185]
#define sipClass_QLabel             sipModuleAPI_QtWidgets.em_types[185]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QLabel;

#define sipType_QSpacerItem              sipModuleAPI_QtWidgets.em_types[276]
#define sipClass_QSpacerItem             sipModuleAPI_QtWidgets.em_types[276]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSpacerItem;

#define sipType_QWidgetItem              sipModuleAPI_QtWidgets.em_types[460]
#define sipClass_QWidgetItem             sipModuleAPI_QtWidgets.em_types[460]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWidgetItem;

#define sipType_QLCDNumber              sipModuleAPI_QtWidgets.em_types[182]
#define sipClass_QLCDNumber             sipModuleAPI_QtWidgets.em_types[182]->u.td_wrapper_type

#define sipType_QLCDNumber_SegmentStyle              sipModuleAPI_QtWidgets.em_types[184]
#define sipEnum_QLCDNumber_SegmentStyle              sipModuleAPI_QtWidgets.em_types[184]->u.td_py_type
#define sipType_QLCDNumber_Mode              sipModuleAPI_QtWidgets.em_types[183]
#define sipEnum_QLCDNumber_Mode              sipModuleAPI_QtWidgets.em_types[183]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QLCDNumber;

#define sipType_QLineEdit              sipModuleAPI_QtWidgets.em_types[189]
#define sipClass_QLineEdit             sipModuleAPI_QtWidgets.em_types[189]->u.td_wrapper_type

#define sipType_QLineEdit_ActionPosition              sipModuleAPI_QtWidgets.em_types[190]
#define sipEnum_QLineEdit_ActionPosition              sipModuleAPI_QtWidgets.em_types[190]->u.td_py_type
#define sipType_QLineEdit_EchoMode              sipModuleAPI_QtWidgets.em_types[191]
#define sipEnum_QLineEdit_EchoMode              sipModuleAPI_QtWidgets.em_types[191]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QLineEdit;

#define sipType_QListView              sipModuleAPI_QtWidgets.em_types[211]
#define sipClass_QListView             sipModuleAPI_QtWidgets.em_types[211]->u.td_wrapper_type

#define sipType_QListView_ViewMode              sipModuleAPI_QtWidgets.em_types[216]
#define sipEnum_QListView_ViewMode              sipModuleAPI_QtWidgets.em_types[216]->u.td_py_type
#define sipType_QListView_LayoutMode              sipModuleAPI_QtWidgets.em_types[213]
#define sipEnum_QListView_LayoutMode              sipModuleAPI_QtWidgets.em_types[213]->u.td_py_type
#define sipType_QListView_ResizeMode              sipModuleAPI_QtWidgets.em_types[215]
#define sipEnum_QListView_ResizeMode              sipModuleAPI_QtWidgets.em_types[215]->u.td_py_type
#define sipType_QListView_Flow              sipModuleAPI_QtWidgets.em_types[212]
#define sipEnum_QListView_Flow              sipModuleAPI_QtWidgets.em_types[212]->u.td_py_type
#define sipType_QListView_Movement              sipModuleAPI_QtWidgets.em_types[214]
#define sipEnum_QListView_Movement              sipModuleAPI_QtWidgets.em_types[214]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QListView;

#define sipType_QListWidgetItem              sipModuleAPI_QtWidgets.em_types[218]
#define sipClass_QListWidgetItem             sipModuleAPI_QtWidgets.em_types[218]->u.td_wrapper_type

#define sipType_QListWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[219]
#define sipEnum_QListWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[219]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QListWidgetItem;

#define sipType_QListWidget              sipModuleAPI_QtWidgets.em_types[217]
#define sipClass_QListWidget             sipModuleAPI_QtWidgets.em_types[217]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QListWidget;

#define sipType_QMainWindow              sipModuleAPI_QtWidgets.em_types[220]
#define sipClass_QMainWindow             sipModuleAPI_QtWidgets.em_types[220]->u.td_wrapper_type

#define sipType_QMainWindow_DockOption              sipModuleAPI_QtWidgets.em_types[221]
#define sipEnum_QMainWindow_DockOption              sipModuleAPI_QtWidgets.em_types[221]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMainWindow;

#define sipType_QMainWindow_DockOptions              sipModuleAPI_QtWidgets.em_types[222]
#define sipClass_QMainWindow_DockOptions             sipModuleAPI_QtWidgets.em_types[222]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMainWindow_DockOptions;

#define sipType_QMdiArea              sipModuleAPI_QtWidgets.em_types[224]
#define sipClass_QMdiArea             sipModuleAPI_QtWidgets.em_types[224]->u.td_wrapper_type

#define sipType_QMdiArea_WindowOrder              sipModuleAPI_QtWidgets.em_types[228]
#define sipEnum_QMdiArea_WindowOrder              sipModuleAPI_QtWidgets.em_types[228]->u.td_py_type
#define sipType_QMdiArea_ViewMode              sipModuleAPI_QtWidgets.em_types[227]
#define sipEnum_QMdiArea_ViewMode              sipModuleAPI_QtWidgets.em_types[227]->u.td_py_type
#define sipType_QMdiArea_AreaOption              sipModuleAPI_QtWidgets.em_types[225]
#define sipEnum_QMdiArea_AreaOption              sipModuleAPI_QtWidgets.em_types[225]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMdiArea;

#define sipType_QMdiArea_AreaOptions              sipModuleAPI_QtWidgets.em_types[226]
#define sipClass_QMdiArea_AreaOptions             sipModuleAPI_QtWidgets.em_types[226]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMdiArea_AreaOptions;

#define sipType_QMdiSubWindow              sipModuleAPI_QtWidgets.em_types[229]
#define sipClass_QMdiSubWindow             sipModuleAPI_QtWidgets.em_types[229]->u.td_wrapper_type

#define sipType_QMdiSubWindow_SubWindowOption              sipModuleAPI_QtWidgets.em_types[230]
#define sipEnum_QMdiSubWindow_SubWindowOption              sipModuleAPI_QtWidgets.em_types[230]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMdiSubWindow;

#define sipType_QMdiSubWindow_SubWindowOptions              sipModuleAPI_QtWidgets.em_types[231]
#define sipClass_QMdiSubWindow_SubWindowOptions             sipModuleAPI_QtWidgets.em_types[231]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMdiSubWindow_SubWindowOptions;

#define sipType_QMenu              sipModuleAPI_QtWidgets.em_types[232]
#define sipClass_QMenu             sipModuleAPI_QtWidgets.em_types[232]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMenu;

#define sipType_QMenuBar              sipModuleAPI_QtWidgets.em_types[233]
#define sipClass_QMenuBar             sipModuleAPI_QtWidgets.em_types[233]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMenuBar;

#define sipType_QMessageBox              sipModuleAPI_QtWidgets.em_types[234]
#define sipClass_QMessageBox             sipModuleAPI_QtWidgets.em_types[234]->u.td_wrapper_type

#define sipType_QMessageBox_StandardButton              sipModuleAPI_QtWidgets.em_types[237]
#define sipEnum_QMessageBox_StandardButton              sipModuleAPI_QtWidgets.em_types[237]->u.td_py_type
#define sipType_QMessageBox_Icon              sipModuleAPI_QtWidgets.em_types[236]
#define sipEnum_QMessageBox_Icon              sipModuleAPI_QtWidgets.em_types[236]->u.td_py_type
#define sipType_QMessageBox_ButtonRole              sipModuleAPI_QtWidgets.em_types[235]
#define sipEnum_QMessageBox_ButtonRole              sipModuleAPI_QtWidgets.em_types[235]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMessageBox;

#define sipType_QMessageBox_StandardButtons              sipModuleAPI_QtWidgets.em_types[238]
#define sipClass_QMessageBox_StandardButtons             sipModuleAPI_QtWidgets.em_types[238]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMessageBox_StandardButtons;

#define sipType_QMouseEventTransition              sipModuleAPI_QtWidgets.em_types[239]
#define sipClass_QMouseEventTransition             sipModuleAPI_QtWidgets.em_types[239]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QMouseEventTransition;

#define sipType_QOpenGLWidget              sipModuleAPI_QtWidgets.em_types[240]
#define sipClass_QOpenGLWidget             sipModuleAPI_QtWidgets.em_types[240]->u.td_wrapper_type

#define sipType_QOpenGLWidget_UpdateBehavior              sipModuleAPI_QtWidgets.em_types[241]
#define sipEnum_QOpenGLWidget_UpdateBehavior              sipModuleAPI_QtWidgets.em_types[241]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QOpenGLWidget;

#define sipType_QPlainTextEdit              sipModuleAPI_QtWidgets.em_types[247]
#define sipClass_QPlainTextEdit             sipModuleAPI_QtWidgets.em_types[247]->u.td_wrapper_type

#define sipType_QPlainTextEdit_LineWrapMode              sipModuleAPI_QtWidgets.em_types[248]
#define sipEnum_QPlainTextEdit_LineWrapMode              sipModuleAPI_QtWidgets.em_types[248]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPlainTextEdit;

#define sipType_QPlainTextDocumentLayout              sipModuleAPI_QtWidgets.em_types[246]
#define sipClass_QPlainTextDocumentLayout             sipModuleAPI_QtWidgets.em_types[246]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QPlainTextDocumentLayout;

#define sipType_QProgressBar              sipModuleAPI_QtWidgets.em_types[249]
#define sipClass_QProgressBar             sipModuleAPI_QtWidgets.em_types[249]->u.td_wrapper_type

#define sipType_QProgressBar_Direction              sipModuleAPI_QtWidgets.em_types[250]
#define sipEnum_QProgressBar_Direction              sipModuleAPI_QtWidgets.em_types[250]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QProgressBar;

#define sipType_QProgressDialog              sipModuleAPI_QtWidgets.em_types[251]
#define sipClass_QProgressDialog             sipModuleAPI_QtWidgets.em_types[251]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QProgressDialog;

#define sipType_QProxyStyle              sipModuleAPI_QtWidgets.em_types[252]
#define sipClass_QProxyStyle             sipModuleAPI_QtWidgets.em_types[252]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QProxyStyle;

#define sipType_QRadioButton              sipModuleAPI_QtWidgets.em_types[254]
#define sipClass_QRadioButton             sipModuleAPI_QtWidgets.em_types[254]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QRadioButton;

#define sipType_QRubberBand              sipModuleAPI_QtWidgets.em_types[255]
#define sipClass_QRubberBand             sipModuleAPI_QtWidgets.em_types[255]->u.td_wrapper_type

#define sipType_QRubberBand_Shape              sipModuleAPI_QtWidgets.em_types[256]
#define sipEnum_QRubberBand_Shape              sipModuleAPI_QtWidgets.em_types[256]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QRubberBand;

#define sipType_QScrollArea              sipModuleAPI_QtWidgets.em_types[257]
#define sipClass_QScrollArea             sipModuleAPI_QtWidgets.em_types[257]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QScrollArea;

#define sipType_QScrollBar              sipModuleAPI_QtWidgets.em_types[258]
#define sipClass_QScrollBar             sipModuleAPI_QtWidgets.em_types[258]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QScrollBar;

#define sipType_QScroller              sipModuleAPI_QtWidgets.em_types[259]
#define sipClass_QScroller             sipModuleAPI_QtWidgets.em_types[259]->u.td_wrapper_type

#define sipType_QScroller_Input              sipModuleAPI_QtWidgets.em_types[260]
#define sipEnum_QScroller_Input              sipModuleAPI_QtWidgets.em_types[260]->u.td_py_type
#define sipType_QScroller_ScrollerGestureType              sipModuleAPI_QtWidgets.em_types[261]
#define sipEnum_QScroller_ScrollerGestureType              sipModuleAPI_QtWidgets.em_types[261]->u.td_py_type
#define sipType_QScroller_State              sipModuleAPI_QtWidgets.em_types[262]
#define sipEnum_QScroller_State              sipModuleAPI_QtWidgets.em_types[262]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QScroller;

#define sipType_QScrollerProperties              sipModuleAPI_QtWidgets.em_types[263]
#define sipClass_QScrollerProperties             sipModuleAPI_QtWidgets.em_types[263]->u.td_wrapper_type

#define sipType_QScrollerProperties_ScrollMetric              sipModuleAPI_QtWidgets.em_types[266]
#define sipEnum_QScrollerProperties_ScrollMetric              sipModuleAPI_QtWidgets.em_types[266]->u.td_py_type
#define sipType_QScrollerProperties_FrameRates              sipModuleAPI_QtWidgets.em_types[264]
#define sipEnum_QScrollerProperties_FrameRates              sipModuleAPI_QtWidgets.em_types[264]->u.td_py_type
#define sipType_QScrollerProperties_OvershootPolicy              sipModuleAPI_QtWidgets.em_types[265]
#define sipEnum_QScrollerProperties_OvershootPolicy              sipModuleAPI_QtWidgets.em_types[265]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QScrollerProperties;

#define sipType_QShortcut              sipModuleAPI_QtWidgets.em_types[267]
#define sipClass_QShortcut             sipModuleAPI_QtWidgets.em_types[267]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QShortcut;

#define sipType_QSizeGrip              sipModuleAPI_QtWidgets.em_types[268]
#define sipClass_QSizeGrip             sipModuleAPI_QtWidgets.em_types[268]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSizeGrip;

#define sipType_QSizePolicy              sipModuleAPI_QtWidgets.em_types[269]
#define sipClass_QSizePolicy             sipModuleAPI_QtWidgets.em_types[269]->u.td_wrapper_type

#define sipType_QSizePolicy_ControlType              sipModuleAPI_QtWidgets.em_types[270]
#define sipEnum_QSizePolicy_ControlType              sipModuleAPI_QtWidgets.em_types[270]->u.td_py_type
#define sipType_QSizePolicy_Policy              sipModuleAPI_QtWidgets.em_types[272]
#define sipEnum_QSizePolicy_Policy              sipModuleAPI_QtWidgets.em_types[272]->u.td_py_type
#define sipType_QSizePolicy_PolicyFlag              sipModuleAPI_QtWidgets.em_types[273]
#define sipEnum_QSizePolicy_PolicyFlag              sipModuleAPI_QtWidgets.em_types[273]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSizePolicy;

#define sipType_QSizePolicy_ControlTypes              sipModuleAPI_QtWidgets.em_types[271]
#define sipClass_QSizePolicy_ControlTypes             sipModuleAPI_QtWidgets.em_types[271]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSizePolicy_ControlTypes;

#define sipType_QSlider              sipModuleAPI_QtWidgets.em_types[274]
#define sipClass_QSlider             sipModuleAPI_QtWidgets.em_types[274]->u.td_wrapper_type

#define sipType_QSlider_TickPosition              sipModuleAPI_QtWidgets.em_types[275]
#define sipEnum_QSlider_TickPosition              sipModuleAPI_QtWidgets.em_types[275]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSlider;

#define sipType_QSpinBox              sipModuleAPI_QtWidgets.em_types[277]
#define sipClass_QSpinBox             sipModuleAPI_QtWidgets.em_types[277]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSpinBox;

#define sipType_QDoubleSpinBox              sipModuleAPI_QtWidgets.em_types[72]
#define sipClass_QDoubleSpinBox             sipModuleAPI_QtWidgets.em_types[72]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QDoubleSpinBox;

#define sipType_QSplashScreen              sipModuleAPI_QtWidgets.em_types[278]
#define sipClass_QSplashScreen             sipModuleAPI_QtWidgets.em_types[278]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSplashScreen;

#define sipType_QSplitter              sipModuleAPI_QtWidgets.em_types[279]
#define sipClass_QSplitter             sipModuleAPI_QtWidgets.em_types[279]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSplitter;

#define sipType_QSplitterHandle              sipModuleAPI_QtWidgets.em_types[280]
#define sipClass_QSplitterHandle             sipModuleAPI_QtWidgets.em_types[280]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSplitterHandle;

#define sipType_QStackedLayout              sipModuleAPI_QtWidgets.em_types[281]
#define sipClass_QStackedLayout             sipModuleAPI_QtWidgets.em_types[281]->u.td_wrapper_type

#define sipType_QStackedLayout_StackingMode              sipModuleAPI_QtWidgets.em_types[282]
#define sipEnum_QStackedLayout_StackingMode              sipModuleAPI_QtWidgets.em_types[282]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStackedLayout;

#define sipType_QStackedWidget              sipModuleAPI_QtWidgets.em_types[283]
#define sipClass_QStackedWidget             sipModuleAPI_QtWidgets.em_types[283]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStackedWidget;

#define sipType_QStatusBar              sipModuleAPI_QtWidgets.em_types[284]
#define sipClass_QStatusBar             sipModuleAPI_QtWidgets.em_types[284]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStatusBar;

#define sipType_QStyle_State              sipModuleAPI_QtWidgets.em_types[293]
#define sipClass_QStyle_State             sipModuleAPI_QtWidgets.em_types[293]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyle_State;

#define sipType_QStyle_SubControls              sipModuleAPI_QtWidgets.em_types[297]
#define sipClass_QStyle_SubControls             sipModuleAPI_QtWidgets.em_types[297]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyle_SubControls;

#define sipType_QStyledItemDelegate              sipModuleAPI_QtWidgets.em_types[410]
#define sipClass_QStyledItemDelegate             sipModuleAPI_QtWidgets.em_types[410]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyledItemDelegate;

#define sipType_QStyleFactory              sipModuleAPI_QtWidgets.em_types[299]
#define sipClass_QStyleFactory             sipModuleAPI_QtWidgets.em_types[299]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleFactory;

#define sipType_QStyleOption              sipModuleAPI_QtWidgets.em_types[310]
#define sipClass_QStyleOption             sipModuleAPI_QtWidgets.em_types[310]->u.td_wrapper_type

#define sipType_QStyleOption_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[313]
#define sipEnum_QStyleOption_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[313]->u.td_py_type
#define sipType_QStyleOption_StyleOptionType              sipModuleAPI_QtWidgets.em_types[312]
#define sipEnum_QStyleOption_StyleOptionType              sipModuleAPI_QtWidgets.em_types[312]->u.td_py_type
#define sipType_QStyleOption_OptionType              sipModuleAPI_QtWidgets.em_types[311]
#define sipEnum_QStyleOption_OptionType              sipModuleAPI_QtWidgets.em_types[311]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOption;

#define sipType_QStyleOptionFocusRect              sipModuleAPI_QtWidgets.em_types[328]
#define sipClass_QStyleOptionFocusRect             sipModuleAPI_QtWidgets.em_types[328]->u.td_wrapper_type

#define sipType_QStyleOptionFocusRect_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[330]
#define sipEnum_QStyleOptionFocusRect_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[330]->u.td_py_type
#define sipType_QStyleOptionFocusRect_StyleOptionType              sipModuleAPI_QtWidgets.em_types[329]
#define sipEnum_QStyleOptionFocusRect_StyleOptionType              sipModuleAPI_QtWidgets.em_types[329]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionFocusRect;

#define sipType_QStyleOptionFrame              sipModuleAPI_QtWidgets.em_types[331]
#define sipClass_QStyleOptionFrame             sipModuleAPI_QtWidgets.em_types[331]->u.td_wrapper_type

#define sipType_QStyleOptionFrame_FrameFeature              sipModuleAPI_QtWidgets.em_types[332]
#define sipEnum_QStyleOptionFrame_FrameFeature              sipModuleAPI_QtWidgets.em_types[332]->u.td_py_type
#define sipType_QStyleOptionFrame_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[335]
#define sipEnum_QStyleOptionFrame_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[335]->u.td_py_type
#define sipType_QStyleOptionFrame_StyleOptionType              sipModuleAPI_QtWidgets.em_types[334]
#define sipEnum_QStyleOptionFrame_StyleOptionType              sipModuleAPI_QtWidgets.em_types[334]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionFrame;

#define sipType_QStyleOptionFrame_FrameFeatures              sipModuleAPI_QtWidgets.em_types[333]
#define sipClass_QStyleOptionFrame_FrameFeatures             sipModuleAPI_QtWidgets.em_types[333]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionFrame_FrameFeatures;

#define sipType_QStyleOptionTabWidgetFrame              sipModuleAPI_QtWidgets.em_types[380]
#define sipClass_QStyleOptionTabWidgetFrame             sipModuleAPI_QtWidgets.em_types[380]->u.td_wrapper_type

#define sipType_QStyleOptionTabWidgetFrame_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[382]
#define sipEnum_QStyleOptionTabWidgetFrame_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[382]->u.td_py_type
#define sipType_QStyleOptionTabWidgetFrame_StyleOptionType              sipModuleAPI_QtWidgets.em_types[381]
#define sipEnum_QStyleOptionTabWidgetFrame_StyleOptionType              sipModuleAPI_QtWidgets.em_types[381]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTabWidgetFrame;

#define sipType_QStyleOptionTabBarBase              sipModuleAPI_QtWidgets.em_types[377]
#define sipClass_QStyleOptionTabBarBase             sipModuleAPI_QtWidgets.em_types[377]->u.td_wrapper_type

#define sipType_QStyleOptionTabBarBase_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[379]
#define sipEnum_QStyleOptionTabBarBase_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[379]->u.td_py_type
#define sipType_QStyleOptionTabBarBase_StyleOptionType              sipModuleAPI_QtWidgets.em_types[378]
#define sipEnum_QStyleOptionTabBarBase_StyleOptionType              sipModuleAPI_QtWidgets.em_types[378]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTabBarBase;

#define sipType_QStyleOptionHeader              sipModuleAPI_QtWidgets.em_types[342]
#define sipClass_QStyleOptionHeader             sipModuleAPI_QtWidgets.em_types[342]->u.td_wrapper_type

#define sipType_QStyleOptionHeader_SortIndicator              sipModuleAPI_QtWidgets.em_types[345]
#define sipEnum_QStyleOptionHeader_SortIndicator              sipModuleAPI_QtWidgets.em_types[345]->u.td_py_type
#define sipType_QStyleOptionHeader_SelectedPosition              sipModuleAPI_QtWidgets.em_types[344]
#define sipEnum_QStyleOptionHeader_SelectedPosition              sipModuleAPI_QtWidgets.em_types[344]->u.td_py_type
#define sipType_QStyleOptionHeader_SectionPosition              sipModuleAPI_QtWidgets.em_types[343]
#define sipEnum_QStyleOptionHeader_SectionPosition              sipModuleAPI_QtWidgets.em_types[343]->u.td_py_type
#define sipType_QStyleOptionHeader_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[347]
#define sipEnum_QStyleOptionHeader_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[347]->u.td_py_type
#define sipType_QStyleOptionHeader_StyleOptionType              sipModuleAPI_QtWidgets.em_types[346]
#define sipEnum_QStyleOptionHeader_StyleOptionType              sipModuleAPI_QtWidgets.em_types[346]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionHeader;

#define sipType_QStyleOptionButton              sipModuleAPI_QtWidgets.em_types[314]
#define sipClass_QStyleOptionButton             sipModuleAPI_QtWidgets.em_types[314]->u.td_wrapper_type

#define sipType_QStyleOptionButton_ButtonFeature              sipModuleAPI_QtWidgets.em_types[315]
#define sipEnum_QStyleOptionButton_ButtonFeature              sipModuleAPI_QtWidgets.em_types[315]->u.td_py_type
#define sipType_QStyleOptionButton_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[318]
#define sipEnum_QStyleOptionButton_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[318]->u.td_py_type
#define sipType_QStyleOptionButton_StyleOptionType              sipModuleAPI_QtWidgets.em_types[317]
#define sipEnum_QStyleOptionButton_StyleOptionType              sipModuleAPI_QtWidgets.em_types[317]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionButton;

#define sipType_QStyleOptionButton_ButtonFeatures              sipModuleAPI_QtWidgets.em_types[316]
#define sipClass_QStyleOptionButton_ButtonFeatures             sipModuleAPI_QtWidgets.em_types[316]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionButton_ButtonFeatures;

#define sipType_QStyleOptionTab              sipModuleAPI_QtWidgets.em_types[368]
#define sipClass_QStyleOptionTab             sipModuleAPI_QtWidgets.em_types[368]->u.td_wrapper_type

#define sipType_QStyleOptionTab_TabFeature              sipModuleAPI_QtWidgets.em_types[374]
#define sipEnum_QStyleOptionTab_TabFeature              sipModuleAPI_QtWidgets.em_types[374]->u.td_py_type
#define sipType_QStyleOptionTab_CornerWidget              sipModuleAPI_QtWidgets.em_types[369]
#define sipEnum_QStyleOptionTab_CornerWidget              sipModuleAPI_QtWidgets.em_types[369]->u.td_py_type
#define sipType_QStyleOptionTab_SelectedPosition              sipModuleAPI_QtWidgets.em_types[371]
#define sipEnum_QStyleOptionTab_SelectedPosition              sipModuleAPI_QtWidgets.em_types[371]->u.td_py_type
#define sipType_QStyleOptionTab_TabPosition              sipModuleAPI_QtWidgets.em_types[376]
#define sipEnum_QStyleOptionTab_TabPosition              sipModuleAPI_QtWidgets.em_types[376]->u.td_py_type
#define sipType_QStyleOptionTab_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[373]
#define sipEnum_QStyleOptionTab_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[373]->u.td_py_type
#define sipType_QStyleOptionTab_StyleOptionType              sipModuleAPI_QtWidgets.em_types[372]
#define sipEnum_QStyleOptionTab_StyleOptionType              sipModuleAPI_QtWidgets.em_types[372]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTab;

#define sipType_QStyleOptionTab_CornerWidgets              sipModuleAPI_QtWidgets.em_types[370]
#define sipClass_QStyleOptionTab_CornerWidgets             sipModuleAPI_QtWidgets.em_types[370]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTab_CornerWidgets;

#define sipType_QStyleOptionTab_TabFeatures              sipModuleAPI_QtWidgets.em_types[375]
#define sipClass_QStyleOptionTab_TabFeatures             sipModuleAPI_QtWidgets.em_types[375]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTab_TabFeatures;

#define sipType_QStyleOptionProgressBar              sipModuleAPI_QtWidgets.em_types[353]
#define sipClass_QStyleOptionProgressBar             sipModuleAPI_QtWidgets.em_types[353]->u.td_wrapper_type

#define sipType_QStyleOptionProgressBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[355]
#define sipEnum_QStyleOptionProgressBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[355]->u.td_py_type
#define sipType_QStyleOptionProgressBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[354]
#define sipEnum_QStyleOptionProgressBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[354]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionProgressBar;

#define sipType_QStyleOptionMenuItem              sipModuleAPI_QtWidgets.em_types[348]
#define sipClass_QStyleOptionMenuItem             sipModuleAPI_QtWidgets.em_types[348]->u.td_wrapper_type

#define sipType_QStyleOptionMenuItem_CheckType              sipModuleAPI_QtWidgets.em_types[349]
#define sipEnum_QStyleOptionMenuItem_CheckType              sipModuleAPI_QtWidgets.em_types[349]->u.td_py_type
#define sipType_QStyleOptionMenuItem_MenuItemType              sipModuleAPI_QtWidgets.em_types[350]
#define sipEnum_QStyleOptionMenuItem_MenuItemType              sipModuleAPI_QtWidgets.em_types[350]->u.td_py_type
#define sipType_QStyleOptionMenuItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[352]
#define sipEnum_QStyleOptionMenuItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[352]->u.td_py_type
#define sipType_QStyleOptionMenuItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[351]
#define sipEnum_QStyleOptionMenuItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[351]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionMenuItem;

#define sipType_QStyleOptionDockWidget              sipModuleAPI_QtWidgets.em_types[325]
#define sipClass_QStyleOptionDockWidget             sipModuleAPI_QtWidgets.em_types[325]->u.td_wrapper_type

#define sipType_QStyleOptionDockWidget_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[327]
#define sipEnum_QStyleOptionDockWidget_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[327]->u.td_py_type
#define sipType_QStyleOptionDockWidget_StyleOptionType              sipModuleAPI_QtWidgets.em_types[326]
#define sipEnum_QStyleOptionDockWidget_StyleOptionType              sipModuleAPI_QtWidgets.em_types[326]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionDockWidget;

#define sipType_QStyleOptionViewItem              sipModuleAPI_QtWidgets.em_types[402]
#define sipClass_QStyleOptionViewItem             sipModuleAPI_QtWidgets.em_types[402]->u.td_wrapper_type

#define sipType_QStyleOptionViewItem_ViewItemPosition              sipModuleAPI_QtWidgets.em_types[408]
#define sipEnum_QStyleOptionViewItem_ViewItemPosition              sipModuleAPI_QtWidgets.em_types[408]->u.td_py_type
#define sipType_QStyleOptionViewItem_ViewItemFeature              sipModuleAPI_QtWidgets.em_types[406]
#define sipEnum_QStyleOptionViewItem_ViewItemFeature              sipModuleAPI_QtWidgets.em_types[406]->u.td_py_type
#define sipType_QStyleOptionViewItem_Position              sipModuleAPI_QtWidgets.em_types[403]
#define sipEnum_QStyleOptionViewItem_Position              sipModuleAPI_QtWidgets.em_types[403]->u.td_py_type
#define sipType_QStyleOptionViewItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[405]
#define sipEnum_QStyleOptionViewItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[405]->u.td_py_type
#define sipType_QStyleOptionViewItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[404]
#define sipEnum_QStyleOptionViewItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[404]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionViewItem;

#define sipType_QStyleOptionViewItem_ViewItemFeatures              sipModuleAPI_QtWidgets.em_types[407]
#define sipClass_QStyleOptionViewItem_ViewItemFeatures             sipModuleAPI_QtWidgets.em_types[407]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionViewItem_ViewItemFeatures;

#define sipType_QStyleOptionToolBox              sipModuleAPI_QtWidgets.em_types[392]
#define sipClass_QStyleOptionToolBox             sipModuleAPI_QtWidgets.em_types[392]->u.td_wrapper_type

#define sipType_QStyleOptionToolBox_SelectedPosition              sipModuleAPI_QtWidgets.em_types[393]
#define sipEnum_QStyleOptionToolBox_SelectedPosition              sipModuleAPI_QtWidgets.em_types[393]->u.td_py_type
#define sipType_QStyleOptionToolBox_TabPosition              sipModuleAPI_QtWidgets.em_types[396]
#define sipEnum_QStyleOptionToolBox_TabPosition              sipModuleAPI_QtWidgets.em_types[396]->u.td_py_type
#define sipType_QStyleOptionToolBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[395]
#define sipEnum_QStyleOptionToolBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[395]->u.td_py_type
#define sipType_QStyleOptionToolBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[394]
#define sipEnum_QStyleOptionToolBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[394]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionToolBox;

#define sipType_QStyleOptionRubberBand              sipModuleAPI_QtWidgets.em_types[356]
#define sipClass_QStyleOptionRubberBand             sipModuleAPI_QtWidgets.em_types[356]->u.td_wrapper_type

#define sipType_QStyleOptionRubberBand_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[358]
#define sipEnum_QStyleOptionRubberBand_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[358]->u.td_py_type
#define sipType_QStyleOptionRubberBand_StyleOptionType              sipModuleAPI_QtWidgets.em_types[357]
#define sipEnum_QStyleOptionRubberBand_StyleOptionType              sipModuleAPI_QtWidgets.em_types[357]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionRubberBand;

#define sipType_QStyleOptionComplex              sipModuleAPI_QtWidgets.em_types[322]
#define sipClass_QStyleOptionComplex             sipModuleAPI_QtWidgets.em_types[322]->u.td_wrapper_type

#define sipType_QStyleOptionComplex_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[324]
#define sipEnum_QStyleOptionComplex_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[324]->u.td_py_type
#define sipType_QStyleOptionComplex_StyleOptionType              sipModuleAPI_QtWidgets.em_types[323]
#define sipEnum_QStyleOptionComplex_StyleOptionType              sipModuleAPI_QtWidgets.em_types[323]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionComplex;

#define sipType_QStyleOptionSlider              sipModuleAPI_QtWidgets.em_types[362]
#define sipClass_QStyleOptionSlider             sipModuleAPI_QtWidgets.em_types[362]->u.td_wrapper_type

#define sipType_QStyleOptionSlider_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[364]
#define sipEnum_QStyleOptionSlider_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[364]->u.td_py_type
#define sipType_QStyleOptionSlider_StyleOptionType              sipModuleAPI_QtWidgets.em_types[363]
#define sipEnum_QStyleOptionSlider_StyleOptionType              sipModuleAPI_QtWidgets.em_types[363]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionSlider;

#define sipType_QStyleOptionSpinBox              sipModuleAPI_QtWidgets.em_types[365]
#define sipClass_QStyleOptionSpinBox             sipModuleAPI_QtWidgets.em_types[365]->u.td_wrapper_type

#define sipType_QStyleOptionSpinBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[367]
#define sipEnum_QStyleOptionSpinBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[367]->u.td_py_type
#define sipType_QStyleOptionSpinBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[366]
#define sipEnum_QStyleOptionSpinBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[366]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionSpinBox;

#define sipType_QStyleOptionToolButton              sipModuleAPI_QtWidgets.em_types[397]
#define sipClass_QStyleOptionToolButton             sipModuleAPI_QtWidgets.em_types[397]->u.td_wrapper_type

#define sipType_QStyleOptionToolButton_ToolButtonFeature              sipModuleAPI_QtWidgets.em_types[400]
#define sipEnum_QStyleOptionToolButton_ToolButtonFeature              sipModuleAPI_QtWidgets.em_types[400]->u.td_py_type
#define sipType_QStyleOptionToolButton_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[399]
#define sipEnum_QStyleOptionToolButton_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[399]->u.td_py_type
#define sipType_QStyleOptionToolButton_StyleOptionType              sipModuleAPI_QtWidgets.em_types[398]
#define sipEnum_QStyleOptionToolButton_StyleOptionType              sipModuleAPI_QtWidgets.em_types[398]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionToolButton;

#define sipType_QStyleOptionToolButton_ToolButtonFeatures              sipModuleAPI_QtWidgets.em_types[401]
#define sipClass_QStyleOptionToolButton_ToolButtonFeatures             sipModuleAPI_QtWidgets.em_types[401]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionToolButton_ToolButtonFeatures;

#define sipType_QStyleOptionComboBox              sipModuleAPI_QtWidgets.em_types[319]
#define sipClass_QStyleOptionComboBox             sipModuleAPI_QtWidgets.em_types[319]->u.td_wrapper_type

#define sipType_QStyleOptionComboBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[321]
#define sipEnum_QStyleOptionComboBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[321]->u.td_py_type
#define sipType_QStyleOptionComboBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[320]
#define sipEnum_QStyleOptionComboBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[320]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionComboBox;

#define sipType_QStyleOptionTitleBar              sipModuleAPI_QtWidgets.em_types[383]
#define sipClass_QStyleOptionTitleBar             sipModuleAPI_QtWidgets.em_types[383]->u.td_wrapper_type

#define sipType_QStyleOptionTitleBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[385]
#define sipEnum_QStyleOptionTitleBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[385]->u.td_py_type
#define sipType_QStyleOptionTitleBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[384]
#define sipEnum_QStyleOptionTitleBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[384]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionTitleBar;

#define sipType_QStyleHintReturn              sipModuleAPI_QtWidgets.em_types[300]
#define sipClass_QStyleHintReturn             sipModuleAPI_QtWidgets.em_types[300]->u.td_wrapper_type

#define sipType_QStyleHintReturn_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[303]
#define sipEnum_QStyleHintReturn_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[303]->u.td_py_type
#define sipType_QStyleHintReturn_StyleOptionType              sipModuleAPI_QtWidgets.em_types[302]
#define sipEnum_QStyleHintReturn_StyleOptionType              sipModuleAPI_QtWidgets.em_types[302]->u.td_py_type
#define sipType_QStyleHintReturn_HintReturnType              sipModuleAPI_QtWidgets.em_types[301]
#define sipEnum_QStyleHintReturn_HintReturnType              sipModuleAPI_QtWidgets.em_types[301]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleHintReturn;

#define sipType_QStyleHintReturnMask              sipModuleAPI_QtWidgets.em_types[304]
#define sipClass_QStyleHintReturnMask             sipModuleAPI_QtWidgets.em_types[304]->u.td_wrapper_type

#define sipType_QStyleHintReturnMask_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[306]
#define sipEnum_QStyleHintReturnMask_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[306]->u.td_py_type
#define sipType_QStyleHintReturnMask_StyleOptionType              sipModuleAPI_QtWidgets.em_types[305]
#define sipEnum_QStyleHintReturnMask_StyleOptionType              sipModuleAPI_QtWidgets.em_types[305]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleHintReturnMask;

#define sipType_QStyleOptionToolBar              sipModuleAPI_QtWidgets.em_types[386]
#define sipClass_QStyleOptionToolBar             sipModuleAPI_QtWidgets.em_types[386]->u.td_wrapper_type

#define sipType_QStyleOptionToolBar_ToolBarFeature              sipModuleAPI_QtWidgets.em_types[389]
#define sipEnum_QStyleOptionToolBar_ToolBarFeature              sipModuleAPI_QtWidgets.em_types[389]->u.td_py_type
#define sipType_QStyleOptionToolBar_ToolBarPosition              sipModuleAPI_QtWidgets.em_types[391]
#define sipEnum_QStyleOptionToolBar_ToolBarPosition              sipModuleAPI_QtWidgets.em_types[391]->u.td_py_type
#define sipType_QStyleOptionToolBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[388]
#define sipEnum_QStyleOptionToolBar_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[388]->u.td_py_type
#define sipType_QStyleOptionToolBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[387]
#define sipEnum_QStyleOptionToolBar_StyleOptionType              sipModuleAPI_QtWidgets.em_types[387]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionToolBar;

#define sipType_QStyleOptionToolBar_ToolBarFeatures              sipModuleAPI_QtWidgets.em_types[390]
#define sipClass_QStyleOptionToolBar_ToolBarFeatures             sipModuleAPI_QtWidgets.em_types[390]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionToolBar_ToolBarFeatures;

#define sipType_QStyleOptionGroupBox              sipModuleAPI_QtWidgets.em_types[339]
#define sipClass_QStyleOptionGroupBox             sipModuleAPI_QtWidgets.em_types[339]->u.td_wrapper_type

#define sipType_QStyleOptionGroupBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[341]
#define sipEnum_QStyleOptionGroupBox_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[341]->u.td_py_type
#define sipType_QStyleOptionGroupBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[340]
#define sipEnum_QStyleOptionGroupBox_StyleOptionType              sipModuleAPI_QtWidgets.em_types[340]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionGroupBox;

#define sipType_QStyleOptionSizeGrip              sipModuleAPI_QtWidgets.em_types[359]
#define sipClass_QStyleOptionSizeGrip             sipModuleAPI_QtWidgets.em_types[359]->u.td_wrapper_type

#define sipType_QStyleOptionSizeGrip_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[361]
#define sipEnum_QStyleOptionSizeGrip_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[361]->u.td_py_type
#define sipType_QStyleOptionSizeGrip_StyleOptionType              sipModuleAPI_QtWidgets.em_types[360]
#define sipEnum_QStyleOptionSizeGrip_StyleOptionType              sipModuleAPI_QtWidgets.em_types[360]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionSizeGrip;

#define sipType_QStyleOptionGraphicsItem              sipModuleAPI_QtWidgets.em_types[336]
#define sipClass_QStyleOptionGraphicsItem             sipModuleAPI_QtWidgets.em_types[336]->u.td_wrapper_type

#define sipType_QStyleOptionGraphicsItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[338]
#define sipEnum_QStyleOptionGraphicsItem_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[338]->u.td_py_type
#define sipType_QStyleOptionGraphicsItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[337]
#define sipEnum_QStyleOptionGraphicsItem_StyleOptionType              sipModuleAPI_QtWidgets.em_types[337]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleOptionGraphicsItem;

#define sipType_QStyleHintReturnVariant              sipModuleAPI_QtWidgets.em_types[307]
#define sipClass_QStyleHintReturnVariant             sipModuleAPI_QtWidgets.em_types[307]->u.td_wrapper_type

#define sipType_QStyleHintReturnVariant_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[309]
#define sipEnum_QStyleHintReturnVariant_StyleOptionVersion              sipModuleAPI_QtWidgets.em_types[309]->u.td_py_type
#define sipType_QStyleHintReturnVariant_StyleOptionType              sipModuleAPI_QtWidgets.em_types[308]
#define sipEnum_QStyleHintReturnVariant_StyleOptionType              sipModuleAPI_QtWidgets.em_types[308]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStyleHintReturnVariant;

#define sipType_QStylePainter              sipModuleAPI_QtWidgets.em_types[409]
#define sipClass_QStylePainter             sipModuleAPI_QtWidgets.em_types[409]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QStylePainter;

#define sipType_QSystemTrayIcon              sipModuleAPI_QtWidgets.em_types[413]
#define sipClass_QSystemTrayIcon             sipModuleAPI_QtWidgets.em_types[413]->u.td_wrapper_type

#define sipType_QSystemTrayIcon_MessageIcon              sipModuleAPI_QtWidgets.em_types[415]
#define sipEnum_QSystemTrayIcon_MessageIcon              sipModuleAPI_QtWidgets.em_types[415]->u.td_py_type
#define sipType_QSystemTrayIcon_ActivationReason              sipModuleAPI_QtWidgets.em_types[414]
#define sipEnum_QSystemTrayIcon_ActivationReason              sipModuleAPI_QtWidgets.em_types[414]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QSystemTrayIcon;

#define sipType_QTabBar              sipModuleAPI_QtWidgets.em_types[416]
#define sipClass_QTabBar             sipModuleAPI_QtWidgets.em_types[416]->u.td_wrapper_type

#define sipType_QTabBar_SelectionBehavior              sipModuleAPI_QtWidgets.em_types[418]
#define sipEnum_QTabBar_SelectionBehavior              sipModuleAPI_QtWidgets.em_types[418]->u.td_py_type
#define sipType_QTabBar_ButtonPosition              sipModuleAPI_QtWidgets.em_types[417]
#define sipEnum_QTabBar_ButtonPosition              sipModuleAPI_QtWidgets.em_types[417]->u.td_py_type
#define sipType_QTabBar_Shape              sipModuleAPI_QtWidgets.em_types[419]
#define sipEnum_QTabBar_Shape              sipModuleAPI_QtWidgets.em_types[419]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTabBar;

#define sipType_QTableView              sipModuleAPI_QtWidgets.em_types[423]
#define sipClass_QTableView             sipModuleAPI_QtWidgets.em_types[423]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTableView;

#define sipType_QTableWidgetSelectionRange              sipModuleAPI_QtWidgets.em_types[427]
#define sipClass_QTableWidgetSelectionRange             sipModuleAPI_QtWidgets.em_types[427]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTableWidgetSelectionRange;

#define sipType_QTableWidgetItem              sipModuleAPI_QtWidgets.em_types[425]
#define sipClass_QTableWidgetItem             sipModuleAPI_QtWidgets.em_types[425]->u.td_wrapper_type

#define sipType_QTableWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[426]
#define sipEnum_QTableWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[426]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTableWidgetItem;

#define sipType_QTableWidget              sipModuleAPI_QtWidgets.em_types[424]
#define sipClass_QTableWidget             sipModuleAPI_QtWidgets.em_types[424]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTableWidget;

#define sipType_QTabWidget              sipModuleAPI_QtWidgets.em_types[420]
#define sipClass_QTabWidget             sipModuleAPI_QtWidgets.em_types[420]->u.td_wrapper_type

#define sipType_QTabWidget_TabShape              sipModuleAPI_QtWidgets.em_types[422]
#define sipEnum_QTabWidget_TabShape              sipModuleAPI_QtWidgets.em_types[422]->u.td_py_type
#define sipType_QTabWidget_TabPosition              sipModuleAPI_QtWidgets.em_types[421]
#define sipEnum_QTabWidget_TabPosition              sipModuleAPI_QtWidgets.em_types[421]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTabWidget;

#define sipType_QTextEdit              sipModuleAPI_QtWidgets.em_types[431]
#define sipClass_QTextEdit             sipModuleAPI_QtWidgets.em_types[431]->u.td_wrapper_type

#define sipType_QTextEdit_AutoFormattingFlag              sipModuleAPI_QtWidgets.em_types[433]
#define sipEnum_QTextEdit_AutoFormattingFlag              sipModuleAPI_QtWidgets.em_types[433]->u.td_py_type
#define sipType_QTextEdit_LineWrapMode              sipModuleAPI_QtWidgets.em_types[435]
#define sipEnum_QTextEdit_LineWrapMode              sipModuleAPI_QtWidgets.em_types[435]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTextEdit;

#define sipType_QTextBrowser              sipModuleAPI_QtWidgets.em_types[430]
#define sipClass_QTextBrowser             sipModuleAPI_QtWidgets.em_types[430]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTextBrowser;

#define sipType_QTextEdit_ExtraSelection              sipModuleAPI_QtWidgets.em_types[434]
#define sipClass_QTextEdit_ExtraSelection             sipModuleAPI_QtWidgets.em_types[434]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTextEdit_ExtraSelection;

#define sipType_QTextEdit_AutoFormatting              sipModuleAPI_QtWidgets.em_types[432]
#define sipClass_QTextEdit_AutoFormatting             sipModuleAPI_QtWidgets.em_types[432]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTextEdit_AutoFormatting;

#define sipType_QToolBar              sipModuleAPI_QtWidgets.em_types[437]
#define sipClass_QToolBar             sipModuleAPI_QtWidgets.em_types[437]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QToolBar;

#define sipType_QToolBox              sipModuleAPI_QtWidgets.em_types[438]
#define sipClass_QToolBox             sipModuleAPI_QtWidgets.em_types[438]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QToolBox;

#define sipType_QToolButton              sipModuleAPI_QtWidgets.em_types[439]
#define sipClass_QToolButton             sipModuleAPI_QtWidgets.em_types[439]->u.td_wrapper_type

#define sipType_QToolButton_ToolButtonPopupMode              sipModuleAPI_QtWidgets.em_types[440]
#define sipEnum_QToolButton_ToolButtonPopupMode              sipModuleAPI_QtWidgets.em_types[440]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QToolButton;

#define sipType_QToolTip              sipModuleAPI_QtWidgets.em_types[441]
#define sipClass_QToolTip             sipModuleAPI_QtWidgets.em_types[441]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QToolTip;

#define sipType_QTreeView              sipModuleAPI_QtWidgets.em_types[442]
#define sipClass_QTreeView             sipModuleAPI_QtWidgets.em_types[442]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTreeView;

#define sipType_QTreeWidgetItem              sipModuleAPI_QtWidgets.em_types[444]
#define sipClass_QTreeWidgetItem             sipModuleAPI_QtWidgets.em_types[444]->u.td_wrapper_type

#define sipType_QTreeWidgetItem_ChildIndicatorPolicy              sipModuleAPI_QtWidgets.em_types[445]
#define sipEnum_QTreeWidgetItem_ChildIndicatorPolicy              sipModuleAPI_QtWidgets.em_types[445]->u.td_py_type
#define sipType_QTreeWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[446]
#define sipEnum_QTreeWidgetItem_ItemType              sipModuleAPI_QtWidgets.em_types[446]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTreeWidgetItem;

#define sipType_QTreeWidget              sipModuleAPI_QtWidgets.em_types[443]
#define sipClass_QTreeWidget             sipModuleAPI_QtWidgets.em_types[443]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTreeWidget;

#define sipType_QTreeWidgetItemIterator              sipModuleAPI_QtWidgets.em_types[447]
#define sipClass_QTreeWidgetItemIterator             sipModuleAPI_QtWidgets.em_types[447]->u.td_wrapper_type

#define sipType_QTreeWidgetItemIterator_IteratorFlag              sipModuleAPI_QtWidgets.em_types[448]
#define sipEnum_QTreeWidgetItemIterator_IteratorFlag              sipModuleAPI_QtWidgets.em_types[448]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTreeWidgetItemIterator;

#define sipType_QTreeWidgetItemIterator_IteratorFlags              sipModuleAPI_QtWidgets.em_types[449]
#define sipClass_QTreeWidgetItemIterator_IteratorFlags             sipModuleAPI_QtWidgets.em_types[449]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QTreeWidgetItemIterator_IteratorFlags;

#define sipType_QUndoGroup              sipModuleAPI_QtWidgets.em_types[451]
#define sipClass_QUndoGroup             sipModuleAPI_QtWidgets.em_types[451]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QUndoGroup;

#define sipType_QUndoCommand              sipModuleAPI_QtWidgets.em_types[450]
#define sipClass_QUndoCommand             sipModuleAPI_QtWidgets.em_types[450]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QUndoCommand;

#define sipType_QUndoStack              sipModuleAPI_QtWidgets.em_types[452]
#define sipClass_QUndoStack             sipModuleAPI_QtWidgets.em_types[452]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QUndoStack;

#define sipType_QUndoView              sipModuleAPI_QtWidgets.em_types[453]
#define sipClass_QUndoView             sipModuleAPI_QtWidgets.em_types[453]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QUndoView;

#define sipType_QWhatsThis              sipModuleAPI_QtWidgets.em_types[455]
#define sipClass_QWhatsThis             sipModuleAPI_QtWidgets.em_types[455]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWhatsThis;

#define sipType_QWidget_RenderFlags              sipModuleAPI_QtWidgets.em_types[458]
#define sipClass_QWidget_RenderFlags             sipModuleAPI_QtWidgets.em_types[458]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWidget_RenderFlags;

#define sipType_QWidgetAction              sipModuleAPI_QtWidgets.em_types[459]
#define sipClass_QWidgetAction             sipModuleAPI_QtWidgets.em_types[459]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWidgetAction;

#define sipType_QWizard              sipModuleAPI_QtWidgets.em_types[461]
#define sipClass_QWizard             sipModuleAPI_QtWidgets.em_types[461]->u.td_wrapper_type

#define sipType_QWizard_WizardOption              sipModuleAPI_QtWidgets.em_types[463]
#define sipEnum_QWizard_WizardOption              sipModuleAPI_QtWidgets.em_types[463]->u.td_py_type
#define sipType_QWizard_WizardStyle              sipModuleAPI_QtWidgets.em_types[466]
#define sipEnum_QWizard_WizardStyle              sipModuleAPI_QtWidgets.em_types[466]->u.td_py_type
#define sipType_QWizard_WizardPixmap              sipModuleAPI_QtWidgets.em_types[465]
#define sipEnum_QWizard_WizardPixmap              sipModuleAPI_QtWidgets.em_types[465]->u.td_py_type
#define sipType_QWizard_WizardButton              sipModuleAPI_QtWidgets.em_types[462]
#define sipEnum_QWizard_WizardButton              sipModuleAPI_QtWidgets.em_types[462]->u.td_py_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWizard;

#define sipType_QWizard_WizardOptions              sipModuleAPI_QtWidgets.em_types[464]
#define sipClass_QWizard_WizardOptions             sipModuleAPI_QtWidgets.em_types[464]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWizard_WizardOptions;

#define sipType_QWizardPage              sipModuleAPI_QtWidgets.em_types[467]
#define sipClass_QWizardPage             sipModuleAPI_QtWidgets.em_types[467]->u.td_wrapper_type

extern pyqt5ClassTypeDef sipTypeDef_QtWidgets_QWizardPage;

#define sipType_QList_0101QUndoStack      sipModuleAPI_QtWidgets.em_types[208]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QUndoStack;

#define sipType_QList_0101QTreeWidgetItem      sipModuleAPI_QtWidgets.em_types[207]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QTreeWidgetItem;

#define sipType_QList_0101QTableWidgetItem      sipModuleAPI_QtWidgets.em_types[204]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QTableWidgetItem;

#define sipType_QList_0100QTableWidgetSelectionRange      sipModuleAPI_QtWidgets.em_types[205]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0100QTableWidgetSelectionRange;

#define sipType_QList_0101QScroller      sipModuleAPI_QtWidgets.em_types[203]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QScroller;

#define sipType_QList_0100QTextEdit_ExtraSelection      sipModuleAPI_QtWidgets.em_types[206]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0100QTextEdit_ExtraSelection;

#define sipType_QList_0101QMdiSubWindow      sipModuleAPI_QtWidgets.em_types[201]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QMdiSubWindow;

#define sipType_QList_0101QDockWidget      sipModuleAPI_QtWidgets.em_types[194]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QDockWidget;

#define sipType_QList_0101QListWidgetItem      sipModuleAPI_QtWidgets.em_types[200]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QListWidgetItem;

#define sipType_QList_0100QRectF      sipModuleAPI_QtWidgets.em_types[202]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0100QRectF;

#define sipType_QList_0101QGraphicsView      sipModuleAPI_QtWidgets.em_types[198]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QGraphicsView;

#define sipType_QList_0101QGraphicsTransform      sipModuleAPI_QtWidgets.em_types[197]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QGraphicsTransform;

#define sipType_QList_0101QGraphicsItem      sipModuleAPI_QtWidgets.em_types[196]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QGraphicsItem;

#define sipType_QList_0101QGesture      sipModuleAPI_QtWidgets.em_types[195]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QGesture;

#define sipType_QMap_0100QDate_0100QTextCharFormat      sipModuleAPI_QtWidgets.em_types[223]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QMap_0100QDate_0100QTextCharFormat;

#define sipType_QList_0101QAbstractButton      sipModuleAPI_QtWidgets.em_types[192]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QAbstractButton;

#define sipType_QList_0101QGraphicsWidget      sipModuleAPI_QtWidgets.em_types[199]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QGraphicsWidget;

#define sipType_QList_0101QAction      sipModuleAPI_QtWidgets.em_types[193]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QAction;

#define sipType_QList_0101QWidget      sipModuleAPI_QtWidgets.em_types[209]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0101QWidget;

#define sipType_QList_0100QWizard_WizardButton      sipModuleAPI_QtWidgets.em_types[210]

extern sipMappedTypeDef sipTypeDef_QtWidgets_QList_0100QWizard_WizardButton;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWidgets;
extern sipExportedModuleDef sipModuleAPI_QtWidgets;

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_QtWidgets_QtCore->em_types[311]
#define sipClass_Qt             sipModuleAPI_QtWidgets_QtCore->em_types[311]->u.td_wrapper_type
#endif

#define sipType_Qt_ItemSelectionOperation              sipModuleAPI_QtWidgets_QtCore->em_types[362]
#define sipEnum_Qt_ItemSelectionOperation              sipModuleAPI_QtWidgets_QtCore->em_types[362]->u.td_py_type
#define sipType_Qt_TabFocusBehavior              sipModuleAPI_QtWidgets_QtCore->em_types[391]
#define sipEnum_Qt_TabFocusBehavior              sipModuleAPI_QtWidgets_QtCore->em_types[391]->u.td_py_type
#define sipType_Qt_MouseEventFlag              sipModuleAPI_QtWidgets_QtCore->em_types[373]
#define sipEnum_Qt_MouseEventFlag              sipModuleAPI_QtWidgets_QtCore->em_types[373]->u.td_py_type
#define sipType_Qt_MouseEventSource              sipModuleAPI_QtWidgets_QtCore->em_types[375]
#define sipEnum_Qt_MouseEventSource              sipModuleAPI_QtWidgets_QtCore->em_types[375]->u.td_py_type
#define sipType_Qt_ScrollPhase              sipModuleAPI_QtWidgets_QtCore->em_types[386]
#define sipEnum_Qt_ScrollPhase              sipModuleAPI_QtWidgets_QtCore->em_types[386]->u.td_py_type
#define sipType_Qt_NativeGestureType              sipModuleAPI_QtWidgets_QtCore->em_types[376]
#define sipEnum_Qt_NativeGestureType              sipModuleAPI_QtWidgets_QtCore->em_types[376]->u.td_py_type
#define sipType_Qt_Edge              sipModuleAPI_QtWidgets_QtCore->em_types[338]
#define sipEnum_Qt_Edge              sipModuleAPI_QtWidgets_QtCore->em_types[338]->u.td_py_type
#define sipType_Qt_ApplicationState              sipModuleAPI_QtWidgets_QtCore->em_types[316]
#define sipEnum_Qt_ApplicationState              sipModuleAPI_QtWidgets_QtCore->em_types[316]->u.td_py_type
#define sipType_Qt_HitTestAccuracy              sipModuleAPI_QtWidgets_QtCore->em_types[351]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_QtWidgets_QtCore->em_types[351]->u.td_py_type
#define sipType_Qt_WhiteSpaceMode              sipModuleAPI_QtWidgets_QtCore->em_types[407]
#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_QtWidgets_QtCore->em_types[407]->u.td_py_type
#define sipType_Qt_FindChildOption              sipModuleAPI_QtWidgets_QtCore->em_types[342]
#define sipEnum_Qt_FindChildOption              sipModuleAPI_QtWidgets_QtCore->em_types[342]->u.td_py_type
#define sipType_Qt_ScreenOrientation              sipModuleAPI_QtWidgets_QtCore->em_types[383]
#define sipEnum_Qt_ScreenOrientation              sipModuleAPI_QtWidgets_QtCore->em_types[383]->u.td_py_type
#define sipType_Qt_CursorMoveStyle              sipModuleAPI_QtWidgets_QtCore->em_types[330]
#define sipEnum_Qt_CursorMoveStyle              sipModuleAPI_QtWidgets_QtCore->em_types[330]->u.td_py_type
#define sipType_Qt_NavigationMode              sipModuleAPI_QtWidgets_QtCore->em_types[377]
#define sipEnum_Qt_NavigationMode              sipModuleAPI_QtWidgets_QtCore->em_types[377]->u.td_py_type
#define sipType_Qt_GestureFlag              sipModuleAPI_QtWidgets_QtCore->em_types[346]
#define sipEnum_Qt_GestureFlag              sipModuleAPI_QtWidgets_QtCore->em_types[346]->u.td_py_type
#define sipType_Qt_GestureType              sipModuleAPI_QtWidgets_QtCore->em_types[349]
#define sipEnum_Qt_GestureType              sipModuleAPI_QtWidgets_QtCore->em_types[349]->u.td_py_type
#define sipType_Qt_GestureState              sipModuleAPI_QtWidgets_QtCore->em_types[348]
#define sipEnum_Qt_GestureState              sipModuleAPI_QtWidgets_QtCore->em_types[348]->u.td_py_type
#define sipType_Qt_TouchPointState              sipModuleAPI_QtWidgets_QtCore->em_types[403]
#define sipEnum_Qt_TouchPointState              sipModuleAPI_QtWidgets_QtCore->em_types[403]->u.td_py_type
#define sipType_Qt_CoordinateSystem              sipModuleAPI_QtWidgets_QtCore->em_types[328]
#define sipEnum_Qt_CoordinateSystem              sipModuleAPI_QtWidgets_QtCore->em_types[328]->u.td_py_type
#define sipType_Qt_AnchorPoint              sipModuleAPI_QtWidgets_QtCore->em_types[314]
#define sipEnum_Qt_AnchorPoint              sipModuleAPI_QtWidgets_QtCore->em_types[314]->u.td_py_type
#define sipType_Qt_InputMethodHint              sipModuleAPI_QtWidgets_QtCore->em_types[354]
#define sipEnum_Qt_InputMethodHint              sipModuleAPI_QtWidgets_QtCore->em_types[354]->u.td_py_type
#define sipType_Qt_TileRule              sipModuleAPI_QtWidgets_QtCore->em_types[397]
#define sipEnum_Qt_TileRule              sipModuleAPI_QtWidgets_QtCore->em_types[397]->u.td_py_type
#define sipType_Qt_WindowFrameSection              sipModuleAPI_QtWidgets_QtCore->em_types[410]
#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_QtWidgets_QtCore->em_types[410]->u.td_py_type
#define sipType_Qt_SizeHint              sipModuleAPI_QtWidgets_QtCore->em_types[388]
#define sipEnum_Qt_SizeHint              sipModuleAPI_QtWidgets_QtCore->em_types[388]->u.td_py_type
#define sipType_Qt_SizeMode              sipModuleAPI_QtWidgets_QtCore->em_types[389]
#define sipEnum_Qt_SizeMode              sipModuleAPI_QtWidgets_QtCore->em_types[389]->u.td_py_type
#define sipType_Qt_EventPriority              sipModuleAPI_QtWidgets_QtCore->em_types[340]
#define sipEnum_Qt_EventPriority              sipModuleAPI_QtWidgets_QtCore->em_types[340]->u.td_py_type
#define sipType_Qt_Axis              sipModuleAPI_QtWidgets_QtCore->em_types[320]
#define sipEnum_Qt_Axis              sipModuleAPI_QtWidgets_QtCore->em_types[320]->u.td_py_type
#define sipType_Qt_MaskMode              sipModuleAPI_QtWidgets_QtCore->em_types[367]
#define sipEnum_Qt_MaskMode              sipModuleAPI_QtWidgets_QtCore->em_types[367]->u.td_py_type
#define sipType_Qt_TextInteractionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[395]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[395]->u.td_py_type
#define sipType_Qt_ItemSelectionMode              sipModuleAPI_QtWidgets_QtCore->em_types[361]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_QtWidgets_QtCore->em_types[361]->u.td_py_type
#define sipType_Qt_ApplicationAttribute              sipModuleAPI_QtWidgets_QtCore->em_types[315]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_QtWidgets_QtCore->em_types[315]->u.td_py_type
#define sipType_Qt_WindowModality              sipModuleAPI_QtWidgets_QtCore->em_types[411]
#define sipEnum_Qt_WindowModality              sipModuleAPI_QtWidgets_QtCore->em_types[411]->u.td_py_type
#define sipType_Qt_MatchFlag              sipModuleAPI_QtWidgets_QtCore->em_types[368]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_QtWidgets_QtCore->em_types[368]->u.td_py_type
#define sipType_Qt_ItemFlag              sipModuleAPI_QtWidgets_QtCore->em_types[359]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_QtWidgets_QtCore->em_types[359]->u.td_py_type
#define sipType_Qt_ItemDataRole              sipModuleAPI_QtWidgets_QtCore->em_types[358]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_QtWidgets_QtCore->em_types[358]->u.td_py_type
#define sipType_Qt_CheckState              sipModuleAPI_QtWidgets_QtCore->em_types[324]
#define sipEnum_Qt_CheckState              sipModuleAPI_QtWidgets_QtCore->em_types[324]->u.td_py_type
#define sipType_Qt_DropAction              sipModuleAPI_QtWidgets_QtCore->em_types[336]
#define sipEnum_Qt_DropAction              sipModuleAPI_QtWidgets_QtCore->em_types[336]->u.td_py_type
#define sipType_Qt_LayoutDirection              sipModuleAPI_QtWidgets_QtCore->em_types[366]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_QtWidgets_QtCore->em_types[366]->u.td_py_type
#define sipType_Qt_ToolButtonStyle              sipModuleAPI_QtWidgets_QtCore->em_types[402]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_QtWidgets_QtCore->em_types[402]->u.td_py_type
#define sipType_Qt_InputMethodQuery              sipModuleAPI_QtWidgets_QtCore->em_types[357]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_QtWidgets_QtCore->em_types[357]->u.td_py_type
#define sipType_Qt_ContextMenuPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[327]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[327]->u.td_py_type
#define sipType_Qt_FocusReason              sipModuleAPI_QtWidgets_QtCore->em_types[345]
#define sipEnum_Qt_FocusReason              sipModuleAPI_QtWidgets_QtCore->em_types[345]->u.td_py_type
#define sipType_Qt_TransformationMode              sipModuleAPI_QtWidgets_QtCore->em_types[405]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_QtWidgets_QtCore->em_types[405]->u.td_py_type
#define sipType_Qt_ClipOperation              sipModuleAPI_QtWidgets_QtCore->em_types[325]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_QtWidgets_QtCore->em_types[325]->u.td_py_type
#define sipType_Qt_FillRule              sipModuleAPI_QtWidgets_QtCore->em_types[341]
#define sipEnum_Qt_FillRule              sipModuleAPI_QtWidgets_QtCore->em_types[341]->u.td_py_type
#define sipType_Qt_ShortcutContext              sipModuleAPI_QtWidgets_QtCore->em_types[387]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_QtWidgets_QtCore->em_types[387]->u.td_py_type
#define sipType_Qt_ConnectionType              sipModuleAPI_QtWidgets_QtCore->em_types[326]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_QtWidgets_QtCore->em_types[326]->u.td_py_type
#define sipType_Qt_Corner              sipModuleAPI_QtWidgets_QtCore->em_types[329]
#define sipEnum_Qt_Corner              sipModuleAPI_QtWidgets_QtCore->em_types[329]->u.td_py_type
#define sipType_Qt_CaseSensitivity              sipModuleAPI_QtWidgets_QtCore->em_types[323]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_QtWidgets_QtCore->em_types[323]->u.td_py_type
#define sipType_Qt_ScrollBarPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[385]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[385]->u.td_py_type
#define sipType_Qt_DayOfWeek              sipModuleAPI_QtWidgets_QtCore->em_types[333]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_QtWidgets_QtCore->em_types[333]->u.td_py_type
#define sipType_Qt_TimeSpec              sipModuleAPI_QtWidgets_QtCore->em_types[398]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_QtWidgets_QtCore->em_types[398]->u.td_py_type
#define sipType_Qt_DateFormat              sipModuleAPI_QtWidgets_QtCore->em_types[332]
#define sipEnum_Qt_DateFormat              sipModuleAPI_QtWidgets_QtCore->em_types[332]->u.td_py_type
#define sipType_Qt_ToolBarArea              sipModuleAPI_QtWidgets_QtCore->em_types[400]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_QtWidgets_QtCore->em_types[400]->u.td_py_type
#define sipType_Qt_TimerType              sipModuleAPI_QtWidgets_QtCore->em_types[399]
#define sipEnum_Qt_TimerType              sipModuleAPI_QtWidgets_QtCore->em_types[399]->u.td_py_type
#define sipType_Qt_DockWidgetArea              sipModuleAPI_QtWidgets_QtCore->em_types[334]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_QtWidgets_QtCore->em_types[334]->u.td_py_type
#define sipType_Qt_AspectRatioMode              sipModuleAPI_QtWidgets_QtCore->em_types[319]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_QtWidgets_QtCore->em_types[319]->u.td_py_type
#define sipType_Qt_TextFormat              sipModuleAPI_QtWidgets_QtCore->em_types[394]
#define sipEnum_Qt_TextFormat              sipModuleAPI_QtWidgets_QtCore->em_types[394]->u.td_py_type
#define sipType_Qt_CursorShape              sipModuleAPI_QtWidgets_QtCore->em_types[331]
#define sipEnum_Qt_CursorShape              sipModuleAPI_QtWidgets_QtCore->em_types[331]->u.td_py_type
#define sipType_Qt_UIEffect              sipModuleAPI_QtWidgets_QtCore->em_types[406]
#define sipEnum_Qt_UIEffect              sipModuleAPI_QtWidgets_QtCore->em_types[406]->u.td_py_type
#define sipType_Qt_BrushStyle              sipModuleAPI_QtWidgets_QtCore->em_types[322]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_QtWidgets_QtCore->em_types[322]->u.td_py_type
#define sipType_Qt_PenJoinStyle              sipModuleAPI_QtWidgets_QtCore->em_types[381]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_QtWidgets_QtCore->em_types[381]->u.td_py_type
#define sipType_Qt_PenCapStyle              sipModuleAPI_QtWidgets_QtCore->em_types[380]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_QtWidgets_QtCore->em_types[380]->u.td_py_type
#define sipType_Qt_PenStyle              sipModuleAPI_QtWidgets_QtCore->em_types[382]
#define sipEnum_Qt_PenStyle              sipModuleAPI_QtWidgets_QtCore->em_types[382]->u.td_py_type
#define sipType_Qt_ArrowType              sipModuleAPI_QtWidgets_QtCore->em_types[318]
#define sipEnum_Qt_ArrowType              sipModuleAPI_QtWidgets_QtCore->em_types[318]->u.td_py_type
#define sipType_Qt_Key              sipModuleAPI_QtWidgets_QtCore->em_types[363]
#define sipEnum_Qt_Key              sipModuleAPI_QtWidgets_QtCore->em_types[363]->u.td_py_type
#define sipType_Qt_BGMode              sipModuleAPI_QtWidgets_QtCore->em_types[321]
#define sipEnum_Qt_BGMode              sipModuleAPI_QtWidgets_QtCore->em_types[321]->u.td_py_type
#define sipType_Qt_ImageConversionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[352]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[352]->u.td_py_type
#define sipType_Qt_WidgetAttribute              sipModuleAPI_QtWidgets_QtCore->em_types[408]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_QtWidgets_QtCore->em_types[408]->u.td_py_type
#define sipType_Qt_WindowState              sipModuleAPI_QtWidgets_QtCore->em_types[412]
#define sipEnum_Qt_WindowState              sipModuleAPI_QtWidgets_QtCore->em_types[412]->u.td_py_type
#define sipType_Qt_WindowType              sipModuleAPI_QtWidgets_QtCore->em_types[414]
#define sipEnum_Qt_WindowType              sipModuleAPI_QtWidgets_QtCore->em_types[414]->u.td_py_type
#define sipType_Qt_TextElideMode              sipModuleAPI_QtWidgets_QtCore->em_types[392]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_QtWidgets_QtCore->em_types[392]->u.td_py_type
#define sipType_Qt_TextFlag              sipModuleAPI_QtWidgets_QtCore->em_types[393]
#define sipEnum_Qt_TextFlag              sipModuleAPI_QtWidgets_QtCore->em_types[393]->u.td_py_type
#define sipType_Qt_AlignmentFlag              sipModuleAPI_QtWidgets_QtCore->em_types[313]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_QtWidgets_QtCore->em_types[313]->u.td_py_type
#define sipType_Qt_SortOrder              sipModuleAPI_QtWidgets_QtCore->em_types[390]
#define sipEnum_Qt_SortOrder              sipModuleAPI_QtWidgets_QtCore->em_types[390]->u.td_py_type
#define sipType_Qt_FocusPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[344]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[344]->u.td_py_type
#define sipType_Qt_Orientation              sipModuleAPI_QtWidgets_QtCore->em_types[378]
#define sipEnum_Qt_Orientation              sipModuleAPI_QtWidgets_QtCore->em_types[378]->u.td_py_type
#define sipType_Qt_MouseButton              sipModuleAPI_QtWidgets_QtCore->em_types[371]
#define sipEnum_Qt_MouseButton              sipModuleAPI_QtWidgets_QtCore->em_types[371]->u.td_py_type
#define sipType_Qt_Modifier              sipModuleAPI_QtWidgets_QtCore->em_types[370]
#define sipEnum_Qt_Modifier              sipModuleAPI_QtWidgets_QtCore->em_types[370]->u.td_py_type
#define sipType_Qt_KeyboardModifier              sipModuleAPI_QtWidgets_QtCore->em_types[364]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_QtWidgets_QtCore->em_types[364]->u.td_py_type
#define sipType_Qt_GlobalColor              sipModuleAPI_QtWidgets_QtCore->em_types[350]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_QtWidgets_QtCore->em_types[350]->u.td_py_type

#define sipType_Qt_KeyboardModifiers              sipModuleAPI_QtWidgets_QtCore->em_types[365]
#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_QtWidgets_QtCore->em_types[365]->u.td_wrapper_type

#define sipType_Qt_MouseButtons              sipModuleAPI_QtWidgets_QtCore->em_types[372]
#define sipClass_Qt_MouseButtons             sipModuleAPI_QtWidgets_QtCore->em_types[372]->u.td_wrapper_type

#define sipType_Qt_Orientations              sipModuleAPI_QtWidgets_QtCore->em_types[379]
#define sipClass_Qt_Orientations             sipModuleAPI_QtWidgets_QtCore->em_types[379]->u.td_wrapper_type

#define sipType_Qt_Alignment              sipModuleAPI_QtWidgets_QtCore->em_types[312]
#define sipClass_Qt_Alignment             sipModuleAPI_QtWidgets_QtCore->em_types[312]->u.td_wrapper_type

#define sipType_Qt_WindowFlags              sipModuleAPI_QtWidgets_QtCore->em_types[409]
#define sipClass_Qt_WindowFlags             sipModuleAPI_QtWidgets_QtCore->em_types[409]->u.td_wrapper_type

#define sipType_Qt_WindowStates              sipModuleAPI_QtWidgets_QtCore->em_types[413]
#define sipClass_Qt_WindowStates             sipModuleAPI_QtWidgets_QtCore->em_types[413]->u.td_wrapper_type

#define sipType_Qt_ImageConversionFlags              sipModuleAPI_QtWidgets_QtCore->em_types[353]
#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_QtWidgets_QtCore->em_types[353]->u.td_wrapper_type

#define sipType_Qt_DockWidgetAreas              sipModuleAPI_QtWidgets_QtCore->em_types[335]
#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_QtWidgets_QtCore->em_types[335]->u.td_wrapper_type

#define sipType_Qt_ToolBarAreas              sipModuleAPI_QtWidgets_QtCore->em_types[401]
#define sipClass_Qt_ToolBarAreas             sipModuleAPI_QtWidgets_QtCore->em_types[401]->u.td_wrapper_type

#define sipType_Qt_InputMethodQueries              sipModuleAPI_QtWidgets_QtCore->em_types[356]
#define sipClass_Qt_InputMethodQueries             sipModuleAPI_QtWidgets_QtCore->em_types[356]->u.td_wrapper_type

#define sipType_Qt_DropActions              sipModuleAPI_QtWidgets_QtCore->em_types[337]
#define sipClass_Qt_DropActions             sipModuleAPI_QtWidgets_QtCore->em_types[337]->u.td_wrapper_type

#define sipType_Qt_ItemFlags              sipModuleAPI_QtWidgets_QtCore->em_types[360]
#define sipClass_Qt_ItemFlags             sipModuleAPI_QtWidgets_QtCore->em_types[360]->u.td_wrapper_type

#define sipType_Qt_MatchFlags              sipModuleAPI_QtWidgets_QtCore->em_types[369]
#define sipClass_Qt_MatchFlags             sipModuleAPI_QtWidgets_QtCore->em_types[369]->u.td_wrapper_type

#define sipType_Qt_TextInteractionFlags              sipModuleAPI_QtWidgets_QtCore->em_types[396]
#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_QtWidgets_QtCore->em_types[396]->u.td_wrapper_type

#define sipType_Qt_InputMethodHints              sipModuleAPI_QtWidgets_QtCore->em_types[355]
#define sipClass_Qt_InputMethodHints             sipModuleAPI_QtWidgets_QtCore->em_types[355]->u.td_wrapper_type

#define sipType_Qt_TouchPointStates              sipModuleAPI_QtWidgets_QtCore->em_types[404]
#define sipClass_Qt_TouchPointStates             sipModuleAPI_QtWidgets_QtCore->em_types[404]->u.td_wrapper_type

#define sipType_Qt_GestureFlags              sipModuleAPI_QtWidgets_QtCore->em_types[347]
#define sipClass_Qt_GestureFlags             sipModuleAPI_QtWidgets_QtCore->em_types[347]->u.td_wrapper_type

#define sipType_Qt_ScreenOrientations              sipModuleAPI_QtWidgets_QtCore->em_types[384]
#define sipClass_Qt_ScreenOrientations             sipModuleAPI_QtWidgets_QtCore->em_types[384]->u.td_wrapper_type

#define sipType_Qt_FindChildOptions              sipModuleAPI_QtWidgets_QtCore->em_types[343]
#define sipClass_Qt_FindChildOptions             sipModuleAPI_QtWidgets_QtCore->em_types[343]->u.td_wrapper_type

#define sipType_Qt_ApplicationStates              sipModuleAPI_QtWidgets_QtCore->em_types[317]
#define sipClass_Qt_ApplicationStates             sipModuleAPI_QtWidgets_QtCore->em_types[317]->u.td_wrapper_type

#define sipType_Qt_Edges              sipModuleAPI_QtWidgets_QtCore->em_types[339]
#define sipClass_Qt_Edges             sipModuleAPI_QtWidgets_QtCore->em_types[339]->u.td_wrapper_type

#define sipType_Qt_MouseEventFlags              sipModuleAPI_QtWidgets_QtCore->em_types[374]
#define sipClass_Qt_MouseEventFlags             sipModuleAPI_QtWidgets_QtCore->em_types[374]->u.td_wrapper_type

#define sipType_QObject              sipModuleAPI_QtWidgets_QtCore->em_types[163]
#define sipClass_QObject             sipModuleAPI_QtWidgets_QtCore->em_types[163]->u.td_wrapper_type

#define sipType_QAbstractAnimation              sipModuleAPI_QtWidgets_QtCore->em_types[0]
#define sipClass_QAbstractAnimation             sipModuleAPI_QtWidgets_QtCore->em_types[0]->u.td_wrapper_type

#define sipType_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[1]
#define sipEnum_QAbstractAnimation_DeletionPolicy              sipModuleAPI_QtWidgets_QtCore->em_types[1]->u.td_py_type
#define sipType_QAbstractAnimation_State              sipModuleAPI_QtWidgets_QtCore->em_types[3]
#define sipEnum_QAbstractAnimation_State              sipModuleAPI_QtWidgets_QtCore->em_types[3]->u.td_py_type
#define sipType_QAbstractAnimation_Direction              sipModuleAPI_QtWidgets_QtCore->em_types[2]
#define sipEnum_QAbstractAnimation_Direction              sipModuleAPI_QtWidgets_QtCore->em_types[2]->u.td_py_type

#define sipType_QAbstractEventDispatcher              sipModuleAPI_QtWidgets_QtCore->em_types[4]
#define sipClass_QAbstractEventDispatcher             sipModuleAPI_QtWidgets_QtCore->em_types[4]->u.td_wrapper_type

#define sipType_QAbstractEventDispatcher_TimerInfo              sipModuleAPI_QtWidgets_QtCore->em_types[5]
#define sipClass_QAbstractEventDispatcher_TimerInfo             sipModuleAPI_QtWidgets_QtCore->em_types[5]->u.td_wrapper_type

#define sipType_QModelIndex              sipModuleAPI_QtWidgets_QtCore->em_types[159]
#define sipClass_QModelIndex             sipModuleAPI_QtWidgets_QtCore->em_types[159]->u.td_wrapper_type

#define sipType_QPersistentModelIndex              sipModuleAPI_QtWidgets_QtCore->em_types[168]
#define sipClass_QPersistentModelIndex             sipModuleAPI_QtWidgets_QtCore->em_types[168]->u.td_wrapper_type

#define sipType_QAbstractItemModel              sipModuleAPI_QtWidgets_QtCore->em_types[6]
#define sipClass_QAbstractItemModel             sipModuleAPI_QtWidgets_QtCore->em_types[6]->u.td_wrapper_type

#define sipType_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtWidgets_QtCore->em_types[7]
#define sipEnum_QAbstractItemModel_LayoutChangeHint              sipModuleAPI_QtWidgets_QtCore->em_types[7]->u.td_py_type

#define sipType_QAbstractTableModel              sipModuleAPI_QtWidgets_QtCore->em_types[12]
#define sipClass_QAbstractTableModel             sipModuleAPI_QtWidgets_QtCore->em_types[12]->u.td_wrapper_type

#define sipType_QAbstractListModel              sipModuleAPI_QtWidgets_QtCore->em_types[8]
#define sipClass_QAbstractListModel             sipModuleAPI_QtWidgets_QtCore->em_types[8]->u.td_wrapper_type

#define sipType_QAbstractNativeEventFilter              sipModuleAPI_QtWidgets_QtCore->em_types[9]
#define sipClass_QAbstractNativeEventFilter             sipModuleAPI_QtWidgets_QtCore->em_types[9]->u.td_wrapper_type

#define sipType_QAbstractProxyModel              sipModuleAPI_QtWidgets_QtCore->em_types[10]
#define sipClass_QAbstractProxyModel             sipModuleAPI_QtWidgets_QtCore->em_types[10]->u.td_wrapper_type

#define sipType_QAbstractState              sipModuleAPI_QtWidgets_QtCore->em_types[11]
#define sipClass_QAbstractState             sipModuleAPI_QtWidgets_QtCore->em_types[11]->u.td_wrapper_type

#define sipType_QAbstractTransition              sipModuleAPI_QtWidgets_QtCore->em_types[13]
#define sipClass_QAbstractTransition             sipModuleAPI_QtWidgets_QtCore->em_types[13]->u.td_wrapper_type

#define sipType_QAbstractTransition_TransitionType              sipModuleAPI_QtWidgets_QtCore->em_types[14]
#define sipEnum_QAbstractTransition_TransitionType              sipModuleAPI_QtWidgets_QtCore->em_types[14]->u.td_py_type

#define sipType_QAnimationGroup              sipModuleAPI_QtWidgets_QtCore->em_types[15]
#define sipClass_QAnimationGroup             sipModuleAPI_QtWidgets_QtCore->em_types[15]->u.td_wrapper_type

#define sipType_QBasicTimer              sipModuleAPI_QtWidgets_QtCore->em_types[16]
#define sipClass_QBasicTimer             sipModuleAPI_QtWidgets_QtCore->em_types[16]->u.td_wrapper_type

#define sipType_QBitArray              sipModuleAPI_QtWidgets_QtCore->em_types[17]
#define sipClass_QBitArray             sipModuleAPI_QtWidgets_QtCore->em_types[17]->u.td_wrapper_type

#define sipType_QIODevice              sipModuleAPI_QtWidgets_QtCore->em_types[79]
#define sipClass_QIODevice             sipModuleAPI_QtWidgets_QtCore->em_types[79]->u.td_wrapper_type

#define sipType_QIODevice_OpenModeFlag              sipModuleAPI_QtWidgets_QtCore->em_types[81]
#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_QtWidgets_QtCore->em_types[81]->u.td_py_type

#define sipType_QBuffer              sipModuleAPI_QtWidgets_QtCore->em_types[18]
#define sipClass_QBuffer             sipModuleAPI_QtWidgets_QtCore->em_types[18]->u.td_wrapper_type

#define sipType_QByteArray              sipModuleAPI_QtWidgets_QtCore->em_types[19]
#define sipClass_QByteArray             sipModuleAPI_QtWidgets_QtCore->em_types[19]->u.td_wrapper_type

#define sipType_QByteArray_Base64Option              sipModuleAPI_QtWidgets_QtCore->em_types[20]
#define sipEnum_QByteArray_Base64Option              sipModuleAPI_QtWidgets_QtCore->em_types[20]->u.td_py_type

#define sipType_QByteArray_Base64Options              sipModuleAPI_QtWidgets_QtCore->em_types[21]
#define sipClass_QByteArray_Base64Options             sipModuleAPI_QtWidgets_QtCore->em_types[21]->u.td_wrapper_type

#define sipType_QByteArrayMatcher              sipModuleAPI_QtWidgets_QtCore->em_types[22]
#define sipClass_QByteArrayMatcher             sipModuleAPI_QtWidgets_QtCore->em_types[22]->u.td_wrapper_type

#define sipType_QCollatorSortKey              sipModuleAPI_QtWidgets_QtCore->em_types[26]
#define sipClass_QCollatorSortKey             sipModuleAPI_QtWidgets_QtCore->em_types[26]->u.td_wrapper_type

#define sipType_QCollator              sipModuleAPI_QtWidgets_QtCore->em_types[25]
#define sipClass_QCollator             sipModuleAPI_QtWidgets_QtCore->em_types[25]->u.td_wrapper_type

#define sipType_QCommandLineOption              sipModuleAPI_QtWidgets_QtCore->em_types[27]
#define sipClass_QCommandLineOption             sipModuleAPI_QtWidgets_QtCore->em_types[27]->u.td_wrapper_type

#define sipType_QCommandLineParser              sipModuleAPI_QtWidgets_QtCore->em_types[28]
#define sipClass_QCommandLineParser             sipModuleAPI_QtWidgets_QtCore->em_types[28]->u.td_wrapper_type

#define sipType_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtWidgets_QtCore->em_types[29]
#define sipEnum_QCommandLineParser_SingleDashWordOptionMode              sipModuleAPI_QtWidgets_QtCore->em_types[29]->u.td_py_type

#define sipType_QCoreApplication              sipModuleAPI_QtWidgets_QtCore->em_types[30]
#define sipClass_QCoreApplication             sipModuleAPI_QtWidgets_QtCore->em_types[30]->u.td_wrapper_type

#define sipType_QEvent              sipModuleAPI_QtWidgets_QtCore->em_types[54]
#define sipClass_QEvent             sipModuleAPI_QtWidgets_QtCore->em_types[54]->u.td_wrapper_type

#define sipType_QEvent_Type              sipModuleAPI_QtWidgets_QtCore->em_types[55]
#define sipEnum_QEvent_Type              sipModuleAPI_QtWidgets_QtCore->em_types[55]->u.td_py_type

#define sipType_QTimerEvent              sipModuleAPI_QtWidgets_QtCore->em_types[273]
#define sipClass_QTimerEvent             sipModuleAPI_QtWidgets_QtCore->em_types[273]->u.td_wrapper_type

#define sipType_QChildEvent              sipModuleAPI_QtWidgets_QtCore->em_types[24]
#define sipClass_QChildEvent             sipModuleAPI_QtWidgets_QtCore->em_types[24]->u.td_wrapper_type

#define sipType_QDynamicPropertyChangeEvent              sipModuleAPI_QtWidgets_QtCore->em_types[49]
#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_QtWidgets_QtCore->em_types[49]->u.td_wrapper_type

#define sipType_QCryptographicHash              sipModuleAPI_QtWidgets_QtCore->em_types[31]
#define sipClass_QCryptographicHash             sipModuleAPI_QtWidgets_QtCore->em_types[31]->u.td_wrapper_type

#define sipType_QCryptographicHash_Algorithm              sipModuleAPI_QtWidgets_QtCore->em_types[32]
#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_QtWidgets_QtCore->em_types[32]->u.td_py_type

#define sipType_QDataStream              sipModuleAPI_QtWidgets_QtCore->em_types[33]
#define sipClass_QDataStream             sipModuleAPI_QtWidgets_QtCore->em_types[33]->u.td_wrapper_type

#define sipType_QDataStream_FloatingPointPrecision              sipModuleAPI_QtWidgets_QtCore->em_types[35]
#define sipEnum_QDataStream_FloatingPointPrecision              sipModuleAPI_QtWidgets_QtCore->em_types[35]->u.td_py_type
#define sipType_QDataStream_Status              sipModuleAPI_QtWidgets_QtCore->em_types[36]
#define sipEnum_QDataStream_Status              sipModuleAPI_QtWidgets_QtCore->em_types[36]->u.td_py_type
#define sipType_QDataStream_ByteOrder              sipModuleAPI_QtWidgets_QtCore->em_types[34]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_QtWidgets_QtCore->em_types[34]->u.td_py_type
#define sipType_QDataStream_Version              sipModuleAPI_QtWidgets_QtCore->em_types[37]
#define sipEnum_QDataStream_Version              sipModuleAPI_QtWidgets_QtCore->em_types[37]->u.td_py_type

#define sipType_QDate              sipModuleAPI_QtWidgets_QtCore->em_types[38]
#define sipClass_QDate             sipModuleAPI_QtWidgets_QtCore->em_types[38]->u.td_wrapper_type

#define sipType_QDate_MonthNameType              sipModuleAPI_QtWidgets_QtCore->em_types[39]
#define sipEnum_QDate_MonthNameType              sipModuleAPI_QtWidgets_QtCore->em_types[39]->u.td_py_type

#define sipType_QTime              sipModuleAPI_QtWidgets_QtCore->em_types[263]
#define sipClass_QTime             sipModuleAPI_QtWidgets_QtCore->em_types[263]->u.td_wrapper_type

#define sipType_QDateTime              sipModuleAPI_QtWidgets_QtCore->em_types[40]
#define sipClass_QDateTime             sipModuleAPI_QtWidgets_QtCore->em_types[40]->u.td_wrapper_type

#define sipType_QDir              sipModuleAPI_QtWidgets_QtCore->em_types[41]
#define sipClass_QDir             sipModuleAPI_QtWidgets_QtCore->em_types[41]->u.td_wrapper_type

#define sipType_QDir_SortFlag              sipModuleAPI_QtWidgets_QtCore->em_types[44]
#define sipEnum_QDir_SortFlag              sipModuleAPI_QtWidgets_QtCore->em_types[44]->u.td_py_type
#define sipType_QDir_Filter              sipModuleAPI_QtWidgets_QtCore->em_types[42]
#define sipEnum_QDir_Filter              sipModuleAPI_QtWidgets_QtCore->em_types[42]->u.td_py_type

#define sipType_QDir_Filters              sipModuleAPI_QtWidgets_QtCore->em_types[43]
#define sipClass_QDir_Filters             sipModuleAPI_QtWidgets_QtCore->em_types[43]->u.td_wrapper_type

#define sipType_QDir_SortFlags              sipModuleAPI_QtWidgets_QtCore->em_types[45]
#define sipClass_QDir_SortFlags             sipModuleAPI_QtWidgets_QtCore->em_types[45]->u.td_wrapper_type

#define sipType_QDirIterator              sipModuleAPI_QtWidgets_QtCore->em_types[46]
#define sipClass_QDirIterator             sipModuleAPI_QtWidgets_QtCore->em_types[46]->u.td_wrapper_type

#define sipType_QDirIterator_IteratorFlag              sipModuleAPI_QtWidgets_QtCore->em_types[47]
#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_QtWidgets_QtCore->em_types[47]->u.td_py_type

#define sipType_QDirIterator_IteratorFlags              sipModuleAPI_QtWidgets_QtCore->em_types[48]
#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_QtWidgets_QtCore->em_types[48]->u.td_wrapper_type

#define sipType_QEasingCurve              sipModuleAPI_QtWidgets_QtCore->em_types[50]
#define sipClass_QEasingCurve             sipModuleAPI_QtWidgets_QtCore->em_types[50]->u.td_wrapper_type

#define sipType_QEasingCurve_Type              sipModuleAPI_QtWidgets_QtCore->em_types[51]
#define sipEnum_QEasingCurve_Type              sipModuleAPI_QtWidgets_QtCore->em_types[51]->u.td_py_type

#define sipType_QElapsedTimer              sipModuleAPI_QtWidgets_QtCore->em_types[52]
#define sipClass_QElapsedTimer             sipModuleAPI_QtWidgets_QtCore->em_types[52]->u.td_wrapper_type

#define sipType_QElapsedTimer_ClockType              sipModuleAPI_QtWidgets_QtCore->em_types[53]
#define sipEnum_QElapsedTimer_ClockType              sipModuleAPI_QtWidgets_QtCore->em_types[53]->u.td_py_type

#define sipType_QEventLoop              sipModuleAPI_QtWidgets_QtCore->em_types[56]
#define sipClass_QEventLoop             sipModuleAPI_QtWidgets_QtCore->em_types[56]->u.td_wrapper_type

#define sipType_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtWidgets_QtCore->em_types[57]
#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_QtWidgets_QtCore->em_types[57]->u.td_py_type

#define sipType_QEventLoop_ProcessEventsFlags              sipModuleAPI_QtWidgets_QtCore->em_types[58]
#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_QtWidgets_QtCore->em_types[58]->u.td_wrapper_type

#define sipType_QEventLoopLocker              sipModuleAPI_QtWidgets_QtCore->em_types[59]
#define sipClass_QEventLoopLocker             sipModuleAPI_QtWidgets_QtCore->em_types[59]->u.td_wrapper_type

#define sipType_QEventTransition              sipModuleAPI_QtWidgets_QtCore->em_types[60]
#define sipClass_QEventTransition             sipModuleAPI_QtWidgets_QtCore->em_types[60]->u.td_wrapper_type

#define sipType_QFileDevice              sipModuleAPI_QtWidgets_QtCore->em_types[62]
#define sipClass_QFileDevice             sipModuleAPI_QtWidgets_QtCore->em_types[62]->u.td_wrapper_type

#define sipType_QFileDevice_MemoryMapFlags              sipModuleAPI_QtWidgets_QtCore->em_types[66]
#define sipEnum_QFileDevice_MemoryMapFlags              sipModuleAPI_QtWidgets_QtCore->em_types[66]->u.td_py_type
#define sipType_QFileDevice_FileHandleFlag              sipModuleAPI_QtWidgets_QtCore->em_types[64]
#define sipEnum_QFileDevice_FileHandleFlag              sipModuleAPI_QtWidgets_QtCore->em_types[64]->u.td_py_type
#define sipType_QFileDevice_Permission              sipModuleAPI_QtWidgets_QtCore->em_types[67]
#define sipEnum_QFileDevice_Permission              sipModuleAPI_QtWidgets_QtCore->em_types[67]->u.td_py_type
#define sipType_QFileDevice_FileError              sipModuleAPI_QtWidgets_QtCore->em_types[63]
#define sipEnum_QFileDevice_FileError              sipModuleAPI_QtWidgets_QtCore->em_types[63]->u.td_py_type

#define sipType_QFile              sipModuleAPI_QtWidgets_QtCore->em_types[61]
#define sipClass_QFile             sipModuleAPI_QtWidgets_QtCore->em_types[61]->u.td_wrapper_type

#define sipType_QFileDevice_Permissions              sipModuleAPI_QtWidgets_QtCore->em_types[68]
#define sipClass_QFileDevice_Permissions             sipModuleAPI_QtWidgets_QtCore->em_types[68]->u.td_wrapper_type

#define sipType_QFileDevice_FileHandleFlags              sipModuleAPI_QtWidgets_QtCore->em_types[65]
#define sipClass_QFileDevice_FileHandleFlags             sipModuleAPI_QtWidgets_QtCore->em_types[65]->u.td_wrapper_type

#define sipType_QFileInfo              sipModuleAPI_QtWidgets_QtCore->em_types[69]
#define sipClass_QFileInfo             sipModuleAPI_QtWidgets_QtCore->em_types[69]->u.td_wrapper_type

#define sipType_QFileSelector              sipModuleAPI_QtWidgets_QtCore->em_types[70]
#define sipClass_QFileSelector             sipModuleAPI_QtWidgets_QtCore->em_types[70]->u.td_wrapper_type

#define sipType_QFileSystemWatcher              sipModuleAPI_QtWidgets_QtCore->em_types[71]
#define sipClass_QFileSystemWatcher             sipModuleAPI_QtWidgets_QtCore->em_types[71]->u.td_wrapper_type

#define sipType_QFinalState              sipModuleAPI_QtWidgets_QtCore->em_types[72]
#define sipClass_QFinalState             sipModuleAPI_QtWidgets_QtCore->em_types[72]->u.td_wrapper_type

#define sipType_QHistoryState              sipModuleAPI_QtWidgets_QtCore->em_types[77]
#define sipClass_QHistoryState             sipModuleAPI_QtWidgets_QtCore->em_types[77]->u.td_wrapper_type

#define sipType_QHistoryState_HistoryType              sipModuleAPI_QtWidgets_QtCore->em_types[78]
#define sipEnum_QHistoryState_HistoryType              sipModuleAPI_QtWidgets_QtCore->em_types[78]->u.td_py_type

#define sipType_QIdentityProxyModel              sipModuleAPI_QtWidgets_QtCore->em_types[82]
#define sipClass_QIdentityProxyModel             sipModuleAPI_QtWidgets_QtCore->em_types[82]->u.td_wrapper_type

#define sipType_QIODevice_OpenMode              sipModuleAPI_QtWidgets_QtCore->em_types[80]
#define sipClass_QIODevice_OpenMode             sipModuleAPI_QtWidgets_QtCore->em_types[80]->u.td_wrapper_type

#define sipType_QItemSelectionRange              sipModuleAPI_QtWidgets_QtCore->em_types[87]
#define sipClass_QItemSelectionRange             sipModuleAPI_QtWidgets_QtCore->em_types[87]->u.td_wrapper_type

#define sipType_QItemSelectionModel              sipModuleAPI_QtWidgets_QtCore->em_types[84]
#define sipClass_QItemSelectionModel             sipModuleAPI_QtWidgets_QtCore->em_types[84]->u.td_wrapper_type

#define sipType_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[85]
#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[85]->u.td_py_type

#define sipType_QItemSelectionModel_SelectionFlags              sipModuleAPI_QtWidgets_QtCore->em_types[86]
#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_QtWidgets_QtCore->em_types[86]->u.td_wrapper_type

#define sipType_QItemSelection              sipModuleAPI_QtWidgets_QtCore->em_types[83]
#define sipClass_QItemSelection             sipModuleAPI_QtWidgets_QtCore->em_types[83]->u.td_wrapper_type

#define sipType_QJsonParseError              sipModuleAPI_QtWidgets_QtCore->em_types[93]
#define sipClass_QJsonParseError             sipModuleAPI_QtWidgets_QtCore->em_types[93]->u.td_wrapper_type

#define sipType_QJsonParseError_ParseError              sipModuleAPI_QtWidgets_QtCore->em_types[94]
#define sipEnum_QJsonParseError_ParseError              sipModuleAPI_QtWidgets_QtCore->em_types[94]->u.td_py_type

#define sipType_QJsonDocument              sipModuleAPI_QtWidgets_QtCore->em_types[89]
#define sipClass_QJsonDocument             sipModuleAPI_QtWidgets_QtCore->em_types[89]->u.td_wrapper_type

#define sipType_QJsonDocument_JsonFormat              sipModuleAPI_QtWidgets_QtCore->em_types[91]
#define sipEnum_QJsonDocument_JsonFormat              sipModuleAPI_QtWidgets_QtCore->em_types[91]->u.td_py_type
#define sipType_QJsonDocument_DataValidation              sipModuleAPI_QtWidgets_QtCore->em_types[90]
#define sipEnum_QJsonDocument_DataValidation              sipModuleAPI_QtWidgets_QtCore->em_types[90]->u.td_py_type

#define sipType_QJsonValue              sipModuleAPI_QtWidgets_QtCore->em_types[95]
#define sipClass_QJsonValue             sipModuleAPI_QtWidgets_QtCore->em_types[95]->u.td_wrapper_type

#define sipType_QJsonValue_Type              sipModuleAPI_QtWidgets_QtCore->em_types[96]
#define sipEnum_QJsonValue_Type              sipModuleAPI_QtWidgets_QtCore->em_types[96]->u.td_py_type

#define sipType_QLibrary              sipModuleAPI_QtWidgets_QtCore->em_types[97]
#define sipClass_QLibrary             sipModuleAPI_QtWidgets_QtCore->em_types[97]->u.td_wrapper_type

#define sipType_QLibrary_LoadHint              sipModuleAPI_QtWidgets_QtCore->em_types[98]
#define sipEnum_QLibrary_LoadHint              sipModuleAPI_QtWidgets_QtCore->em_types[98]->u.td_py_type

#define sipType_QLibrary_LoadHints              sipModuleAPI_QtWidgets_QtCore->em_types[99]
#define sipClass_QLibrary_LoadHints             sipModuleAPI_QtWidgets_QtCore->em_types[99]->u.td_wrapper_type

#define sipType_QLibraryInfo              sipModuleAPI_QtWidgets_QtCore->em_types[100]
#define sipClass_QLibraryInfo             sipModuleAPI_QtWidgets_QtCore->em_types[100]->u.td_wrapper_type

#define sipType_QLibraryInfo_LibraryLocation              sipModuleAPI_QtWidgets_QtCore->em_types[101]
#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_QtWidgets_QtCore->em_types[101]->u.td_py_type

#define sipType_QLine              sipModuleAPI_QtWidgets_QtCore->em_types[102]
#define sipClass_QLine             sipModuleAPI_QtWidgets_QtCore->em_types[102]->u.td_wrapper_type

#define sipType_QLineF              sipModuleAPI_QtWidgets_QtCore->em_types[103]
#define sipClass_QLineF             sipModuleAPI_QtWidgets_QtCore->em_types[103]->u.td_wrapper_type

#define sipType_QLineF_IntersectType              sipModuleAPI_QtWidgets_QtCore->em_types[104]
#define sipEnum_QLineF_IntersectType              sipModuleAPI_QtWidgets_QtCore->em_types[104]->u.td_py_type

#define sipType_QLocale              sipModuleAPI_QtWidgets_QtCore->em_types[125]
#define sipClass_QLocale             sipModuleAPI_QtWidgets_QtCore->em_types[125]->u.td_wrapper_type

#define sipType_QLocale_QuotationStyle              sipModuleAPI_QtWidgets_QtCore->em_types[133]
#define sipEnum_QLocale_QuotationStyle              sipModuleAPI_QtWidgets_QtCore->em_types[133]->u.td_py_type
#define sipType_QLocale_CurrencySymbolFormat              sipModuleAPI_QtWidgets_QtCore->em_types[127]
#define sipEnum_QLocale_CurrencySymbolFormat              sipModuleAPI_QtWidgets_QtCore->em_types[127]->u.td_py_type
#define sipType_QLocale_Script              sipModuleAPI_QtWidgets_QtCore->em_types[134]
#define sipEnum_QLocale_Script              sipModuleAPI_QtWidgets_QtCore->em_types[134]->u.td_py_type
#define sipType_QLocale_MeasurementSystem              sipModuleAPI_QtWidgets_QtCore->em_types[130]
#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_QtWidgets_QtCore->em_types[130]->u.td_py_type
#define sipType_QLocale_FormatType              sipModuleAPI_QtWidgets_QtCore->em_types[128]
#define sipEnum_QLocale_FormatType              sipModuleAPI_QtWidgets_QtCore->em_types[128]->u.td_py_type
#define sipType_QLocale_NumberOption              sipModuleAPI_QtWidgets_QtCore->em_types[131]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_QtWidgets_QtCore->em_types[131]->u.td_py_type
#define sipType_QLocale_Country              sipModuleAPI_QtWidgets_QtCore->em_types[126]
#define sipEnum_QLocale_Country              sipModuleAPI_QtWidgets_QtCore->em_types[126]->u.td_py_type
#define sipType_QLocale_Language              sipModuleAPI_QtWidgets_QtCore->em_types[129]
#define sipEnum_QLocale_Language              sipModuleAPI_QtWidgets_QtCore->em_types[129]->u.td_py_type

#define sipType_QLocale_NumberOptions              sipModuleAPI_QtWidgets_QtCore->em_types[132]
#define sipClass_QLocale_NumberOptions             sipModuleAPI_QtWidgets_QtCore->em_types[132]->u.td_wrapper_type

#define sipType_QLockFile              sipModuleAPI_QtWidgets_QtCore->em_types[135]
#define sipClass_QLockFile             sipModuleAPI_QtWidgets_QtCore->em_types[135]->u.td_wrapper_type

#define sipType_QLockFile_LockError              sipModuleAPI_QtWidgets_QtCore->em_types[136]
#define sipEnum_QLockFile_LockError              sipModuleAPI_QtWidgets_QtCore->em_types[136]->u.td_py_type

#define sipType_QMessageLogContext              sipModuleAPI_QtWidgets_QtCore->em_types[142]
#define sipClass_QMessageLogContext             sipModuleAPI_QtWidgets_QtCore->em_types[142]->u.td_wrapper_type

#define sipType_QMessageLogger              sipModuleAPI_QtWidgets_QtCore->em_types[143]
#define sipClass_QMessageLogger             sipModuleAPI_QtWidgets_QtCore->em_types[143]->u.td_wrapper_type

#define sipType_QMargins              sipModuleAPI_QtWidgets_QtCore->em_types[139]
#define sipClass_QMargins             sipModuleAPI_QtWidgets_QtCore->em_types[139]->u.td_wrapper_type

#define sipType_QMarginsF              sipModuleAPI_QtWidgets_QtCore->em_types[140]
#define sipClass_QMarginsF             sipModuleAPI_QtWidgets_QtCore->em_types[140]->u.td_wrapper_type

#define sipType_QMessageAuthenticationCode              sipModuleAPI_QtWidgets_QtCore->em_types[141]
#define sipClass_QMessageAuthenticationCode             sipModuleAPI_QtWidgets_QtCore->em_types[141]->u.td_wrapper_type

#define sipType_QMetaMethod              sipModuleAPI_QtWidgets_QtCore->em_types[146]
#define sipClass_QMetaMethod             sipModuleAPI_QtWidgets_QtCore->em_types[146]->u.td_wrapper_type

#define sipType_QMetaMethod_MethodType              sipModuleAPI_QtWidgets_QtCore->em_types[148]
#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_QtWidgets_QtCore->em_types[148]->u.td_py_type
#define sipType_QMetaMethod_Access              sipModuleAPI_QtWidgets_QtCore->em_types[147]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_QtWidgets_QtCore->em_types[147]->u.td_py_type

#define sipType_QMetaEnum              sipModuleAPI_QtWidgets_QtCore->em_types[145]
#define sipClass_QMetaEnum             sipModuleAPI_QtWidgets_QtCore->em_types[145]->u.td_wrapper_type

#define sipType_QMetaProperty              sipModuleAPI_QtWidgets_QtCore->em_types[150]
#define sipClass_QMetaProperty             sipModuleAPI_QtWidgets_QtCore->em_types[150]->u.td_wrapper_type

#define sipType_QMetaClassInfo              sipModuleAPI_QtWidgets_QtCore->em_types[144]
#define sipClass_QMetaClassInfo             sipModuleAPI_QtWidgets_QtCore->em_types[144]->u.td_wrapper_type

#define sipType_QMetaType              sipModuleAPI_QtWidgets_QtCore->em_types[151]
#define sipClass_QMetaType             sipModuleAPI_QtWidgets_QtCore->em_types[151]->u.td_wrapper_type

#define sipType_QMetaType_TypeFlag              sipModuleAPI_QtWidgets_QtCore->em_types[153]
#define sipEnum_QMetaType_TypeFlag              sipModuleAPI_QtWidgets_QtCore->em_types[153]->u.td_py_type
#define sipType_QMetaType_Type              sipModuleAPI_QtWidgets_QtCore->em_types[152]
#define sipEnum_QMetaType_Type              sipModuleAPI_QtWidgets_QtCore->em_types[152]->u.td_py_type

#define sipType_QMetaType_TypeFlags              sipModuleAPI_QtWidgets_QtCore->em_types[154]
#define sipClass_QMetaType_TypeFlags             sipModuleAPI_QtWidgets_QtCore->em_types[154]->u.td_wrapper_type

#define sipType_QMimeData              sipModuleAPI_QtWidgets_QtCore->em_types[155]
#define sipClass_QMimeData             sipModuleAPI_QtWidgets_QtCore->em_types[155]->u.td_wrapper_type

#define sipType_QMimeDatabase              sipModuleAPI_QtWidgets_QtCore->em_types[156]
#define sipClass_QMimeDatabase             sipModuleAPI_QtWidgets_QtCore->em_types[156]->u.td_wrapper_type

#define sipType_QMimeDatabase_MatchMode              sipModuleAPI_QtWidgets_QtCore->em_types[157]
#define sipEnum_QMimeDatabase_MatchMode              sipModuleAPI_QtWidgets_QtCore->em_types[157]->u.td_py_type

#define sipType_QMimeType              sipModuleAPI_QtWidgets_QtCore->em_types[158]
#define sipClass_QMimeType             sipModuleAPI_QtWidgets_QtCore->em_types[158]->u.td_wrapper_type

#define sipType_QMutexLocker              sipModuleAPI_QtWidgets_QtCore->em_types[162]
#define sipClass_QMutexLocker             sipModuleAPI_QtWidgets_QtCore->em_types[162]->u.td_wrapper_type

#define sipType_QMutex              sipModuleAPI_QtWidgets_QtCore->em_types[160]
#define sipClass_QMutex             sipModuleAPI_QtWidgets_QtCore->em_types[160]->u.td_wrapper_type

#define sipType_QMutex_RecursionMode              sipModuleAPI_QtWidgets_QtCore->em_types[161]
#define sipEnum_QMutex_RecursionMode              sipModuleAPI_QtWidgets_QtCore->em_types[161]->u.td_py_type

#define sipType_QSignalBlocker              sipModuleAPI_QtWidgets_QtCore->em_types[210]
#define sipClass_QSignalBlocker             sipModuleAPI_QtWidgets_QtCore->em_types[210]->u.td_wrapper_type

#define sipType_QObjectCleanupHandler              sipModuleAPI_QtWidgets_QtCore->em_types[164]
#define sipClass_QObjectCleanupHandler             sipModuleAPI_QtWidgets_QtCore->em_types[164]->u.td_wrapper_type

#define sipType_QMetaObject              sipModuleAPI_QtWidgets_QtCore->em_types[149]
#define sipClass_QMetaObject             sipModuleAPI_QtWidgets_QtCore->em_types[149]->u.td_wrapper_type

#define sipType_QGenericArgument              sipModuleAPI_QtWidgets_QtCore->em_types[73]
#define sipClass_QGenericArgument             sipModuleAPI_QtWidgets_QtCore->em_types[73]->u.td_wrapper_type

#define sipType_QGenericReturnArgument              sipModuleAPI_QtWidgets_QtCore->em_types[74]
#define sipClass_QGenericReturnArgument             sipModuleAPI_QtWidgets_QtCore->em_types[74]->u.td_wrapper_type

#define sipType_QParallelAnimationGroup              sipModuleAPI_QtWidgets_QtCore->em_types[166]
#define sipClass_QParallelAnimationGroup             sipModuleAPI_QtWidgets_QtCore->em_types[166]->u.td_wrapper_type

#define sipType_QPauseAnimation              sipModuleAPI_QtWidgets_QtCore->em_types[167]
#define sipClass_QPauseAnimation             sipModuleAPI_QtWidgets_QtCore->em_types[167]->u.td_wrapper_type

#define sipType_QVariantAnimation              sipModuleAPI_QtWidgets_QtCore->em_types[289]
#define sipClass_QVariantAnimation             sipModuleAPI_QtWidgets_QtCore->em_types[289]->u.td_wrapper_type

#define sipType_QPropertyAnimation              sipModuleAPI_QtWidgets_QtCore->em_types[180]
#define sipClass_QPropertyAnimation             sipModuleAPI_QtWidgets_QtCore->em_types[180]->u.td_wrapper_type

#define sipType_QPluginLoader              sipModuleAPI_QtWidgets_QtCore->em_types[169]
#define sipClass_QPluginLoader             sipModuleAPI_QtWidgets_QtCore->em_types[169]->u.td_wrapper_type

#define sipType_QPoint              sipModuleAPI_QtWidgets_QtCore->em_types[170]
#define sipClass_QPoint             sipModuleAPI_QtWidgets_QtCore->em_types[170]->u.td_wrapper_type

#define sipType_QPointF              sipModuleAPI_QtWidgets_QtCore->em_types[171]
#define sipClass_QPointF             sipModuleAPI_QtWidgets_QtCore->em_types[171]->u.td_wrapper_type

#define sipType_QProcess              sipModuleAPI_QtWidgets_QtCore->em_types[172]
#define sipClass_QProcess             sipModuleAPI_QtWidgets_QtCore->em_types[172]->u.td_wrapper_type

#define sipType_QProcess_InputChannelMode              sipModuleAPI_QtWidgets_QtCore->em_types[174]
#define sipEnum_QProcess_InputChannelMode              sipModuleAPI_QtWidgets_QtCore->em_types[174]->u.td_py_type
#define sipType_QProcess_ProcessChannelMode              sipModuleAPI_QtWidgets_QtCore->em_types[176]
#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_QtWidgets_QtCore->em_types[176]->u.td_py_type
#define sipType_QProcess_ProcessChannel              sipModuleAPI_QtWidgets_QtCore->em_types[175]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_QtWidgets_QtCore->em_types[175]->u.td_py_type
#define sipType_QProcess_ProcessState              sipModuleAPI_QtWidgets_QtCore->em_types[178]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_QtWidgets_QtCore->em_types[178]->u.td_py_type
#define sipType_QProcess_ProcessError              sipModuleAPI_QtWidgets_QtCore->em_types[177]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_QtWidgets_QtCore->em_types[177]->u.td_py_type
#define sipType_QProcess_ExitStatus              sipModuleAPI_QtWidgets_QtCore->em_types[173]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_QtWidgets_QtCore->em_types[173]->u.td_py_type

#define sipType_QProcessEnvironment              sipModuleAPI_QtWidgets_QtCore->em_types[179]
#define sipClass_QProcessEnvironment             sipModuleAPI_QtWidgets_QtCore->em_types[179]->u.td_wrapper_type

#define sipType_QReadWriteLock              sipModuleAPI_QtWidgets_QtCore->em_types[182]
#define sipClass_QReadWriteLock             sipModuleAPI_QtWidgets_QtCore->em_types[182]->u.td_wrapper_type

#define sipType_QReadWriteLock_RecursionMode              sipModuleAPI_QtWidgets_QtCore->em_types[183]
#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_QtWidgets_QtCore->em_types[183]->u.td_py_type

#define sipType_QReadLocker              sipModuleAPI_QtWidgets_QtCore->em_types[181]
#define sipClass_QReadLocker             sipModuleAPI_QtWidgets_QtCore->em_types[181]->u.td_wrapper_type

#define sipType_QWriteLocker              sipModuleAPI_QtWidgets_QtCore->em_types[299]
#define sipClass_QWriteLocker             sipModuleAPI_QtWidgets_QtCore->em_types[299]->u.td_wrapper_type

#define sipType_QRect              sipModuleAPI_QtWidgets_QtCore->em_types[184]
#define sipClass_QRect             sipModuleAPI_QtWidgets_QtCore->em_types[184]->u.td_wrapper_type

#define sipType_QRectF              sipModuleAPI_QtWidgets_QtCore->em_types[185]
#define sipClass_QRectF             sipModuleAPI_QtWidgets_QtCore->em_types[185]->u.td_wrapper_type

#define sipType_QRegExp              sipModuleAPI_QtWidgets_QtCore->em_types[186]
#define sipClass_QRegExp             sipModuleAPI_QtWidgets_QtCore->em_types[186]->u.td_wrapper_type

#define sipType_QRegExp_CaretMode              sipModuleAPI_QtWidgets_QtCore->em_types[187]
#define sipEnum_QRegExp_CaretMode              sipModuleAPI_QtWidgets_QtCore->em_types[187]->u.td_py_type
#define sipType_QRegExp_PatternSyntax              sipModuleAPI_QtWidgets_QtCore->em_types[188]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_QtWidgets_QtCore->em_types[188]->u.td_py_type

#define sipType_QRegularExpression              sipModuleAPI_QtWidgets_QtCore->em_types[189]
#define sipClass_QRegularExpression             sipModuleAPI_QtWidgets_QtCore->em_types[189]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOption              sipModuleAPI_QtWidgets_QtCore->em_types[190]
#define sipEnum_QRegularExpression_MatchOption              sipModuleAPI_QtWidgets_QtCore->em_types[190]->u.td_py_type
#define sipType_QRegularExpression_MatchType              sipModuleAPI_QtWidgets_QtCore->em_types[192]
#define sipEnum_QRegularExpression_MatchType              sipModuleAPI_QtWidgets_QtCore->em_types[192]->u.td_py_type
#define sipType_QRegularExpression_PatternOption              sipModuleAPI_QtWidgets_QtCore->em_types[193]
#define sipEnum_QRegularExpression_PatternOption              sipModuleAPI_QtWidgets_QtCore->em_types[193]->u.td_py_type

#define sipType_QRegularExpression_PatternOptions              sipModuleAPI_QtWidgets_QtCore->em_types[194]
#define sipClass_QRegularExpression_PatternOptions             sipModuleAPI_QtWidgets_QtCore->em_types[194]->u.td_wrapper_type

#define sipType_QRegularExpression_MatchOptions              sipModuleAPI_QtWidgets_QtCore->em_types[191]
#define sipClass_QRegularExpression_MatchOptions             sipModuleAPI_QtWidgets_QtCore->em_types[191]->u.td_wrapper_type

#define sipType_QRegularExpressionMatch              sipModuleAPI_QtWidgets_QtCore->em_types[195]
#define sipClass_QRegularExpressionMatch             sipModuleAPI_QtWidgets_QtCore->em_types[195]->u.td_wrapper_type

#define sipType_QRegularExpressionMatchIterator              sipModuleAPI_QtWidgets_QtCore->em_types[196]
#define sipClass_QRegularExpressionMatchIterator             sipModuleAPI_QtWidgets_QtCore->em_types[196]->u.td_wrapper_type

#define sipType_QResource              sipModuleAPI_QtWidgets_QtCore->em_types[197]
#define sipClass_QResource             sipModuleAPI_QtWidgets_QtCore->em_types[197]->u.td_wrapper_type

#define sipType_QRunnable              sipModuleAPI_QtWidgets_QtCore->em_types[198]
#define sipClass_QRunnable             sipModuleAPI_QtWidgets_QtCore->em_types[198]->u.td_wrapper_type

#define sipType_QSaveFile              sipModuleAPI_QtWidgets_QtCore->em_types[199]
#define sipClass_QSaveFile             sipModuleAPI_QtWidgets_QtCore->em_types[199]->u.td_wrapper_type

#define sipType_QSemaphore              sipModuleAPI_QtWidgets_QtCore->em_types[200]
#define sipClass_QSemaphore             sipModuleAPI_QtWidgets_QtCore->em_types[200]->u.td_wrapper_type

#define sipType_QSequentialAnimationGroup              sipModuleAPI_QtWidgets_QtCore->em_types[201]
#define sipClass_QSequentialAnimationGroup             sipModuleAPI_QtWidgets_QtCore->em_types[201]->u.td_wrapper_type

#define sipType_QSettings              sipModuleAPI_QtWidgets_QtCore->em_types[203]
#define sipClass_QSettings             sipModuleAPI_QtWidgets_QtCore->em_types[203]->u.td_wrapper_type

#define sipType_QSettings_Scope              sipModuleAPI_QtWidgets_QtCore->em_types[205]
#define sipEnum_QSettings_Scope              sipModuleAPI_QtWidgets_QtCore->em_types[205]->u.td_py_type
#define sipType_QSettings_Format              sipModuleAPI_QtWidgets_QtCore->em_types[204]
#define sipEnum_QSettings_Format              sipModuleAPI_QtWidgets_QtCore->em_types[204]->u.td_py_type
#define sipType_QSettings_Status              sipModuleAPI_QtWidgets_QtCore->em_types[206]
#define sipEnum_QSettings_Status              sipModuleAPI_QtWidgets_QtCore->em_types[206]->u.td_py_type

#define sipType_QSharedMemory              sipModuleAPI_QtWidgets_QtCore->em_types[207]
#define sipClass_QSharedMemory             sipModuleAPI_QtWidgets_QtCore->em_types[207]->u.td_wrapper_type

#define sipType_QSharedMemory_SharedMemoryError              sipModuleAPI_QtWidgets_QtCore->em_types[209]
#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_QtWidgets_QtCore->em_types[209]->u.td_py_type
#define sipType_QSharedMemory_AccessMode              sipModuleAPI_QtWidgets_QtCore->em_types[208]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_QtWidgets_QtCore->em_types[208]->u.td_py_type

#define sipType_QSignalMapper              sipModuleAPI_QtWidgets_QtCore->em_types[211]
#define sipClass_QSignalMapper             sipModuleAPI_QtWidgets_QtCore->em_types[211]->u.td_wrapper_type

#define sipType_QSignalTransition              sipModuleAPI_QtWidgets_QtCore->em_types[212]
#define sipClass_QSignalTransition             sipModuleAPI_QtWidgets_QtCore->em_types[212]->u.td_wrapper_type

#define sipType_QSize              sipModuleAPI_QtWidgets_QtCore->em_types[213]
#define sipClass_QSize             sipModuleAPI_QtWidgets_QtCore->em_types[213]->u.td_wrapper_type

#define sipType_QSizeF              sipModuleAPI_QtWidgets_QtCore->em_types[214]
#define sipClass_QSizeF             sipModuleAPI_QtWidgets_QtCore->em_types[214]->u.td_wrapper_type

#define sipType_QSocketNotifier              sipModuleAPI_QtWidgets_QtCore->em_types[215]
#define sipClass_QSocketNotifier             sipModuleAPI_QtWidgets_QtCore->em_types[215]->u.td_wrapper_type

#define sipType_QSocketNotifier_Type              sipModuleAPI_QtWidgets_QtCore->em_types[216]
#define sipEnum_QSocketNotifier_Type              sipModuleAPI_QtWidgets_QtCore->em_types[216]->u.td_py_type

#define sipType_QSortFilterProxyModel              sipModuleAPI_QtWidgets_QtCore->em_types[217]
#define sipClass_QSortFilterProxyModel             sipModuleAPI_QtWidgets_QtCore->em_types[217]->u.td_wrapper_type

#define sipType_QStandardPaths              sipModuleAPI_QtWidgets_QtCore->em_types[218]
#define sipClass_QStandardPaths             sipModuleAPI_QtWidgets_QtCore->em_types[218]->u.td_wrapper_type

#define sipType_QStandardPaths_LocateOption              sipModuleAPI_QtWidgets_QtCore->em_types[219]
#define sipEnum_QStandardPaths_LocateOption              sipModuleAPI_QtWidgets_QtCore->em_types[219]->u.td_py_type
#define sipType_QStandardPaths_StandardLocation              sipModuleAPI_QtWidgets_QtCore->em_types[221]
#define sipEnum_QStandardPaths_StandardLocation              sipModuleAPI_QtWidgets_QtCore->em_types[221]->u.td_py_type

#define sipType_QStandardPaths_LocateOptions              sipModuleAPI_QtWidgets_QtCore->em_types[220]
#define sipClass_QStandardPaths_LocateOptions             sipModuleAPI_QtWidgets_QtCore->em_types[220]->u.td_wrapper_type

#define sipType_QState              sipModuleAPI_QtWidgets_QtCore->em_types[222]
#define sipClass_QState             sipModuleAPI_QtWidgets_QtCore->em_types[222]->u.td_wrapper_type

#define sipType_QState_RestorePolicy              sipModuleAPI_QtWidgets_QtCore->em_types[224]
#define sipEnum_QState_RestorePolicy              sipModuleAPI_QtWidgets_QtCore->em_types[224]->u.td_py_type
#define sipType_QState_ChildMode              sipModuleAPI_QtWidgets_QtCore->em_types[223]
#define sipEnum_QState_ChildMode              sipModuleAPI_QtWidgets_QtCore->em_types[223]->u.td_py_type

#define sipType_QStateMachine              sipModuleAPI_QtWidgets_QtCore->em_types[225]
#define sipClass_QStateMachine             sipModuleAPI_QtWidgets_QtCore->em_types[225]->u.td_wrapper_type

#define sipType_QStateMachine_Error              sipModuleAPI_QtWidgets_QtCore->em_types[226]
#define sipEnum_QStateMachine_Error              sipModuleAPI_QtWidgets_QtCore->em_types[226]->u.td_py_type
#define sipType_QStateMachine_EventPriority              sipModuleAPI_QtWidgets_QtCore->em_types[227]
#define sipEnum_QStateMachine_EventPriority              sipModuleAPI_QtWidgets_QtCore->em_types[227]->u.td_py_type

#define sipType_QStateMachine_SignalEvent              sipModuleAPI_QtWidgets_QtCore->em_types[228]
#define sipClass_QStateMachine_SignalEvent             sipModuleAPI_QtWidgets_QtCore->em_types[228]->u.td_wrapper_type

#define sipType_QStateMachine_WrappedEvent              sipModuleAPI_QtWidgets_QtCore->em_types[229]
#define sipClass_QStateMachine_WrappedEvent             sipModuleAPI_QtWidgets_QtCore->em_types[229]->u.td_wrapper_type

#define sipType_QStorageInfo              sipModuleAPI_QtWidgets_QtCore->em_types[230]
#define sipClass_QStorageInfo             sipModuleAPI_QtWidgets_QtCore->em_types[230]->u.td_wrapper_type

#define sipType_QStringListModel              sipModuleAPI_QtWidgets_QtCore->em_types[233]
#define sipClass_QStringListModel             sipModuleAPI_QtWidgets_QtCore->em_types[233]->u.td_wrapper_type

#define sipType_QSystemSemaphore              sipModuleAPI_QtWidgets_QtCore->em_types[238]
#define sipClass_QSystemSemaphore             sipModuleAPI_QtWidgets_QtCore->em_types[238]->u.td_wrapper_type

#define sipType_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtWidgets_QtCore->em_types[240]
#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_QtWidgets_QtCore->em_types[240]->u.td_py_type
#define sipType_QSystemSemaphore_AccessMode              sipModuleAPI_QtWidgets_QtCore->em_types[239]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_QtWidgets_QtCore->em_types[239]->u.td_py_type

#define sipType_QTemporaryDir              sipModuleAPI_QtWidgets_QtCore->em_types[241]
#define sipClass_QTemporaryDir             sipModuleAPI_QtWidgets_QtCore->em_types[241]->u.td_wrapper_type

#define sipType_QTemporaryFile              sipModuleAPI_QtWidgets_QtCore->em_types[242]
#define sipClass_QTemporaryFile             sipModuleAPI_QtWidgets_QtCore->em_types[242]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder              sipModuleAPI_QtWidgets_QtCore->em_types[243]
#define sipClass_QTextBoundaryFinder             sipModuleAPI_QtWidgets_QtCore->em_types[243]->u.td_wrapper_type

#define sipType_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtWidgets_QtCore->em_types[246]
#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_QtWidgets_QtCore->em_types[246]->u.td_py_type
#define sipType_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtWidgets_QtCore->em_types[244]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_QtWidgets_QtCore->em_types[244]->u.td_py_type

#define sipType_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_QtWidgets_QtCore->em_types[245]
#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_QtWidgets_QtCore->em_types[245]->u.td_wrapper_type

#define sipType_QTextCodec              sipModuleAPI_QtWidgets_QtCore->em_types[247]
#define sipClass_QTextCodec             sipModuleAPI_QtWidgets_QtCore->em_types[247]->u.td_wrapper_type

#define sipType_QTextCodec_ConversionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[248]
#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_QtWidgets_QtCore->em_types[248]->u.td_py_type

#define sipType_QTextCodec_ConversionFlags              sipModuleAPI_QtWidgets_QtCore->em_types[249]
#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_QtWidgets_QtCore->em_types[249]->u.td_wrapper_type

#define sipType_QTextCodec_ConverterState              sipModuleAPI_QtWidgets_QtCore->em_types[250]
#define sipClass_QTextCodec_ConverterState             sipModuleAPI_QtWidgets_QtCore->em_types[250]->u.td_wrapper_type

#define sipType_QTextEncoder              sipModuleAPI_QtWidgets_QtCore->em_types[252]
#define sipClass_QTextEncoder             sipModuleAPI_QtWidgets_QtCore->em_types[252]->u.td_wrapper_type

#define sipType_QTextDecoder              sipModuleAPI_QtWidgets_QtCore->em_types[251]
#define sipClass_QTextDecoder             sipModuleAPI_QtWidgets_QtCore->em_types[251]->u.td_wrapper_type

#define sipType_QTextStream              sipModuleAPI_QtWidgets_QtCore->em_types[253]
#define sipClass_QTextStream             sipModuleAPI_QtWidgets_QtCore->em_types[253]->u.td_wrapper_type

#define sipType_QTextStream_Status              sipModuleAPI_QtWidgets_QtCore->em_types[258]
#define sipEnum_QTextStream_Status              sipModuleAPI_QtWidgets_QtCore->em_types[258]->u.td_py_type
#define sipType_QTextStream_NumberFlag              sipModuleAPI_QtWidgets_QtCore->em_types[255]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_QtWidgets_QtCore->em_types[255]->u.td_py_type
#define sipType_QTextStream_FieldAlignment              sipModuleAPI_QtWidgets_QtCore->em_types[254]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_QtWidgets_QtCore->em_types[254]->u.td_py_type
#define sipType_QTextStream_RealNumberNotation              sipModuleAPI_QtWidgets_QtCore->em_types[257]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_QtWidgets_QtCore->em_types[257]->u.td_py_type

#define sipType_QTextStream_NumberFlags              sipModuleAPI_QtWidgets_QtCore->em_types[256]
#define sipClass_QTextStream_NumberFlags             sipModuleAPI_QtWidgets_QtCore->em_types[256]->u.td_wrapper_type

#define sipType_QTextStreamManipulator              sipModuleAPI_QtWidgets_QtCore->em_types[259]
#define sipClass_QTextStreamManipulator             sipModuleAPI_QtWidgets_QtCore->em_types[259]->u.td_wrapper_type

#define sipType_QThread              sipModuleAPI_QtWidgets_QtCore->em_types[260]
#define sipClass_QThread             sipModuleAPI_QtWidgets_QtCore->em_types[260]->u.td_wrapper_type

#define sipType_QThread_Priority              sipModuleAPI_QtWidgets_QtCore->em_types[261]
#define sipEnum_QThread_Priority              sipModuleAPI_QtWidgets_QtCore->em_types[261]->u.td_py_type

#define sipType_QThreadPool              sipModuleAPI_QtWidgets_QtCore->em_types[262]
#define sipClass_QThreadPool             sipModuleAPI_QtWidgets_QtCore->em_types[262]->u.td_wrapper_type

#define sipType_QTimeLine              sipModuleAPI_QtWidgets_QtCore->em_types[264]
#define sipClass_QTimeLine             sipModuleAPI_QtWidgets_QtCore->em_types[264]->u.td_wrapper_type

#define sipType_QTimeLine_State              sipModuleAPI_QtWidgets_QtCore->em_types[267]
#define sipEnum_QTimeLine_State              sipModuleAPI_QtWidgets_QtCore->em_types[267]->u.td_py_type
#define sipType_QTimeLine_Direction              sipModuleAPI_QtWidgets_QtCore->em_types[266]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_QtWidgets_QtCore->em_types[266]->u.td_py_type
#define sipType_QTimeLine_CurveShape              sipModuleAPI_QtWidgets_QtCore->em_types[265]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_QtWidgets_QtCore->em_types[265]->u.td_py_type

#define sipType_QTimer              sipModuleAPI_QtWidgets_QtCore->em_types[272]
#define sipClass_QTimer             sipModuleAPI_QtWidgets_QtCore->em_types[272]->u.td_wrapper_type

#define sipType_QTimeZone              sipModuleAPI_QtWidgets_QtCore->em_types[268]
#define sipClass_QTimeZone             sipModuleAPI_QtWidgets_QtCore->em_types[268]->u.td_wrapper_type

#define sipType_QTimeZone_NameType              sipModuleAPI_QtWidgets_QtCore->em_types[269]
#define sipEnum_QTimeZone_NameType              sipModuleAPI_QtWidgets_QtCore->em_types[269]->u.td_py_type
#define sipType_QTimeZone_TimeType              sipModuleAPI_QtWidgets_QtCore->em_types[271]
#define sipEnum_QTimeZone_TimeType              sipModuleAPI_QtWidgets_QtCore->em_types[271]->u.td_py_type

#define sipType_QTimeZone_OffsetData              sipModuleAPI_QtWidgets_QtCore->em_types[270]
#define sipClass_QTimeZone_OffsetData             sipModuleAPI_QtWidgets_QtCore->em_types[270]->u.td_wrapper_type

#define sipType_QTranslator              sipModuleAPI_QtWidgets_QtCore->em_types[274]
#define sipClass_QTranslator             sipModuleAPI_QtWidgets_QtCore->em_types[274]->u.td_wrapper_type

#define sipType_QUrl              sipModuleAPI_QtWidgets_QtCore->em_types[275]
#define sipClass_QUrl             sipModuleAPI_QtWidgets_QtCore->em_types[275]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOption              sipModuleAPI_QtWidgets_QtCore->em_types[281]
#define sipEnum_QUrl_UserInputResolutionOption              sipModuleAPI_QtWidgets_QtCore->em_types[281]->u.td_py_type
#define sipType_QUrl_ComponentFormattingOption              sipModuleAPI_QtWidgets_QtCore->em_types[276]
#define sipEnum_QUrl_ComponentFormattingOption              sipModuleAPI_QtWidgets_QtCore->em_types[276]->u.td_py_type
#define sipType_QUrl_UrlFormattingOption              sipModuleAPI_QtWidgets_QtCore->em_types[280]
#define sipEnum_QUrl_UrlFormattingOption              sipModuleAPI_QtWidgets_QtCore->em_types[280]->u.td_py_type
#define sipType_QUrl_ParsingMode              sipModuleAPI_QtWidgets_QtCore->em_types[279]
#define sipEnum_QUrl_ParsingMode              sipModuleAPI_QtWidgets_QtCore->em_types[279]->u.td_py_type

#define sipType_QUrl_FormattingOptions              sipModuleAPI_QtWidgets_QtCore->em_types[278]
#define sipClass_QUrl_FormattingOptions             sipModuleAPI_QtWidgets_QtCore->em_types[278]->u.td_wrapper_type

#define sipType_QUrl_ComponentFormattingOptions              sipModuleAPI_QtWidgets_QtCore->em_types[277]
#define sipClass_QUrl_ComponentFormattingOptions             sipModuleAPI_QtWidgets_QtCore->em_types[277]->u.td_wrapper_type

#define sipType_QUrl_UserInputResolutionOptions              sipModuleAPI_QtWidgets_QtCore->em_types[282]
#define sipClass_QUrl_UserInputResolutionOptions             sipModuleAPI_QtWidgets_QtCore->em_types[282]->u.td_wrapper_type

#define sipType_QUrlQuery              sipModuleAPI_QtWidgets_QtCore->em_types[283]
#define sipClass_QUrlQuery             sipModuleAPI_QtWidgets_QtCore->em_types[283]->u.td_wrapper_type

#define sipType_QUuid              sipModuleAPI_QtWidgets_QtCore->em_types[284]
#define sipClass_QUuid             sipModuleAPI_QtWidgets_QtCore->em_types[284]->u.td_wrapper_type

#define sipType_QUuid_Version              sipModuleAPI_QtWidgets_QtCore->em_types[286]
#define sipEnum_QUuid_Version              sipModuleAPI_QtWidgets_QtCore->em_types[286]->u.td_py_type
#define sipType_QUuid_Variant              sipModuleAPI_QtWidgets_QtCore->em_types[285]
#define sipEnum_QUuid_Variant              sipModuleAPI_QtWidgets_QtCore->em_types[285]->u.td_py_type

#define sipType_QVariant              sipModuleAPI_QtWidgets_QtCore->em_types[287]
#define sipClass_QVariant             sipModuleAPI_QtWidgets_QtCore->em_types[287]->u.td_wrapper_type

#define sipType_QVariant_Type              sipModuleAPI_QtWidgets_QtCore->em_types[288]
#define sipEnum_QVariant_Type              sipModuleAPI_QtWidgets_QtCore->em_types[288]->u.td_py_type

#define sipType_QWaitCondition              sipModuleAPI_QtWidgets_QtCore->em_types[297]
#define sipClass_QWaitCondition             sipModuleAPI_QtWidgets_QtCore->em_types[297]->u.td_wrapper_type

#define sipType_QXmlStreamAttribute              sipModuleAPI_QtWidgets_QtCore->em_types[300]
#define sipClass_QXmlStreamAttribute             sipModuleAPI_QtWidgets_QtCore->em_types[300]->u.td_wrapper_type

#define sipType_QXmlStreamAttributes              sipModuleAPI_QtWidgets_QtCore->em_types[301]
#define sipClass_QXmlStreamAttributes             sipModuleAPI_QtWidgets_QtCore->em_types[301]->u.td_wrapper_type

#define sipType_QXmlStreamNamespaceDeclaration              sipModuleAPI_QtWidgets_QtCore->em_types[304]
#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_QtWidgets_QtCore->em_types[304]->u.td_wrapper_type

#define sipType_QXmlStreamNotationDeclaration              sipModuleAPI_QtWidgets_QtCore->em_types[305]
#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_QtWidgets_QtCore->em_types[305]->u.td_wrapper_type

#define sipType_QXmlStreamEntityDeclaration              sipModuleAPI_QtWidgets_QtCore->em_types[302]
#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_QtWidgets_QtCore->em_types[302]->u.td_wrapper_type

#define sipType_QXmlStreamEntityResolver              sipModuleAPI_QtWidgets_QtCore->em_types[303]
#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_QtWidgets_QtCore->em_types[303]->u.td_wrapper_type

#define sipType_QXmlStreamReader              sipModuleAPI_QtWidgets_QtCore->em_types[306]
#define sipClass_QXmlStreamReader             sipModuleAPI_QtWidgets_QtCore->em_types[306]->u.td_wrapper_type

#define sipType_QXmlStreamReader_Error              sipModuleAPI_QtWidgets_QtCore->em_types[307]
#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_QtWidgets_QtCore->em_types[307]->u.td_py_type
#define sipType_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtWidgets_QtCore->em_types[308]
#define sipEnum_QXmlStreamReader_ReadElementTextBehaviour              sipModuleAPI_QtWidgets_QtCore->em_types[308]->u.td_py_type
#define sipType_QXmlStreamReader_TokenType              sipModuleAPI_QtWidgets_QtCore->em_types[309]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_QtWidgets_QtCore->em_types[309]->u.td_py_type

#define sipType_QXmlStreamWriter              sipModuleAPI_QtWidgets_QtCore->em_types[310]
#define sipClass_QXmlStreamWriter             sipModuleAPI_QtWidgets_QtCore->em_types[310]->u.td_wrapper_type

#define sipType_QSysInfo              sipModuleAPI_QtWidgets_QtCore->em_types[235]
#define sipClass_QSysInfo             sipModuleAPI_QtWidgets_QtCore->em_types[235]->u.td_wrapper_type

#define sipType_QSysInfo_Endian              sipModuleAPI_QtWidgets_QtCore->em_types[236]
#define sipEnum_QSysInfo_Endian              sipModuleAPI_QtWidgets_QtCore->em_types[236]->u.td_py_type
#define sipType_QSysInfo_Sizes              sipModuleAPI_QtWidgets_QtCore->em_types[237]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_QtWidgets_QtCore->em_types[237]->u.td_py_type

#define sipType_QList_0600QPair_0100QString_0100QString      sipModuleAPI_QtWidgets_QtCore->em_types[116]

#define sipType_QList_0100QStorageInfo      sipModuleAPI_QtWidgets_QtCore->em_types[119]

#define sipType_QSet_0101QAbstractState      sipModuleAPI_QtWidgets_QtCore->em_types[202]

#define sipType_QList_0101QAbstractTransition      sipModuleAPI_QtWidgets_QtCore->em_types[108]

#define sipType_QList_0100QMimeType      sipModuleAPI_QtWidgets_QtCore->em_types[113]

#define sipType_QList_0100QUrl      sipModuleAPI_QtWidgets_QtCore->em_types[120]

#define sipType_QList_0100QLocale      sipModuleAPI_QtWidgets_QtCore->em_types[112]

#define sipType_QVector_0100QPointF      sipModuleAPI_QtWidgets_QtCore->em_types[291]

#define sipType_QList_0100QCommandLineOption      sipModuleAPI_QtWidgets_QtCore->em_types[110]

#define sipType_QList_0101QAbstractAnimation      sipModuleAPI_QtWidgets_QtCore->em_types[105]

#define sipType_QList_0101QAbstractState      sipModuleAPI_QtWidgets_QtCore->em_types[107]

#define sipType_QHash_1800_0100QByteArray      sipModuleAPI_QtWidgets_QtCore->em_types[76]

#define sipType_QList_0100QPersistentModelIndex      sipModuleAPI_QtWidgets_QtCore->em_types[118]

#define sipType_QMap_1800_0100QVariant      sipModuleAPI_QtWidgets_QtCore->em_types[138]

#define sipType_QList_0100QAbstractEventDispatcher_TimerInfo      sipModuleAPI_QtWidgets_QtCore->em_types[106]

#define sipType_QList_0100QByteArray      sipModuleAPI_QtWidgets_QtCore->em_types[109]

#define sipType_QVector_0100QXmlStreamNotationDeclaration      sipModuleAPI_QtWidgets_QtCore->em_types[295]

#define sipType_QVector_0100QXmlStreamNamespaceDeclaration      sipModuleAPI_QtWidgets_QtCore->em_types[294]

#define sipType_QVector_0100QXmlStreamEntityDeclaration      sipModuleAPI_QtWidgets_QtCore->em_types[293]

#define sipType_QMap_0100QString_0100QVariant      sipModuleAPI_QtWidgets_QtCore->em_types[137]

#define sipType_QList_0100QVariant      sipModuleAPI_QtWidgets_QtCore->em_types[121]

#define sipType_QHash_0100QString_0100QVariant      sipModuleAPI_QtWidgets_QtCore->em_types[75]

#define sipType_QVector_0600QPair_2400_0100QVariant      sipModuleAPI_QtWidgets_QtCore->em_types[290]

#define sipType_QVector_0100QTimeZone_OffsetData      sipModuleAPI_QtWidgets_QtCore->em_types[292]

#define sipType_QList_0101QObject      sipModuleAPI_QtWidgets_QtCore->em_types[115]

#define sipType_QList_0100QModelIndex      sipModuleAPI_QtWidgets_QtCore->em_types[114]

#define sipType_QList_0100QFileInfo      sipModuleAPI_QtWidgets_QtCore->em_types[111]

#define sipType_QStringList      sipModuleAPI_QtWidgets_QtCore->em_types[232]

#define sipType_QVector_1800      sipModuleAPI_QtWidgets_QtCore->em_types[296]

#define sipType_QPair_1800_1800      sipModuleAPI_QtWidgets_QtCore->em_types[165]

#define sipType_QList_0100Qt_DayOfWeek      sipModuleAPI_QtWidgets_QtCore->em_types[122]

#define sipType_QList_2400      sipModuleAPI_QtWidgets_QtCore->em_types[124]

#define sipType_QList_1800      sipModuleAPI_QtWidgets_QtCore->em_types[123]

#define sipType_QList_0600QPair_1800_1800      sipModuleAPI_QtWidgets_QtCore->em_types[117]

#define sipType_QJsonObject      sipModuleAPI_QtWidgets_QtCore->em_types[92]

#define sipType_QJsonArray      sipModuleAPI_QtWidgets_QtCore->em_types[88]

#define sipType_QStringRef      sipModuleAPI_QtWidgets_QtCore->em_types[234]

#define sipType_QString      sipModuleAPI_QtWidgets_QtCore->em_types[231]

#define sipType_QChar      sipModuleAPI_QtWidgets_QtCore->em_types[23]

#define sipType_quintptr      sipModuleAPI_QtWidgets_QtCore->em_types[417]

#define sipType_qintptr      sipModuleAPI_QtWidgets_QtCore->em_types[416]
extern const sipExportedModuleDef *sipModuleAPI_QtWidgets_QtCore;

#define sipType_QAbstractTextDocumentLayout              sipModuleAPI_QtWidgets_QtGui->em_types[1]
#define sipClass_QAbstractTextDocumentLayout             sipModuleAPI_QtWidgets_QtGui->em_types[1]->u.td_wrapper_type

#define sipType_QAbstractTextDocumentLayout_Selection              sipModuleAPI_QtWidgets_QtGui->em_types[3]
#define sipClass_QAbstractTextDocumentLayout_Selection             sipModuleAPI_QtWidgets_QtGui->em_types[3]->u.td_wrapper_type

#define sipType_QAbstractTextDocumentLayout_PaintContext              sipModuleAPI_QtWidgets_QtGui->em_types[2]
#define sipClass_QAbstractTextDocumentLayout_PaintContext             sipModuleAPI_QtWidgets_QtGui->em_types[2]->u.td_wrapper_type

#define sipType_QTextObjectInterface              sipModuleAPI_QtWidgets_QtGui->em_types[326]
#define sipClass_QTextObjectInterface             sipModuleAPI_QtWidgets_QtGui->em_types[326]->u.td_wrapper_type

#define sipType_QBackingStore              sipModuleAPI_QtWidgets_QtGui->em_types[6]
#define sipClass_QBackingStore             sipModuleAPI_QtWidgets_QtGui->em_types[6]->u.td_wrapper_type

#define sipType_QPaintDevice              sipModuleAPI_QtWidgets_QtGui->em_types[187]
#define sipClass_QPaintDevice             sipModuleAPI_QtWidgets_QtGui->em_types[187]->u.td_wrapper_type

#define sipType_QPaintDevice_PaintDeviceMetric              sipModuleAPI_QtWidgets_QtGui->em_types[188]
#define sipEnum_QPaintDevice_PaintDeviceMetric              sipModuleAPI_QtWidgets_QtGui->em_types[188]->u.td_py_type

#define sipType_QPixmap              sipModuleAPI_QtWidgets_QtGui->em_types[227]
#define sipClass_QPixmap             sipModuleAPI_QtWidgets_QtGui->em_types[227]->u.td_wrapper_type

#define sipType_QBitmap              sipModuleAPI_QtWidgets_QtGui->em_types[7]
#define sipClass_QBitmap             sipModuleAPI_QtWidgets_QtGui->em_types[7]->u.td_wrapper_type

#define sipType_QColor              sipModuleAPI_QtWidgets_QtGui->em_types[12]
#define sipClass_QColor             sipModuleAPI_QtWidgets_QtGui->em_types[12]->u.td_wrapper_type

#define sipType_QColor_NameFormat              sipModuleAPI_QtWidgets_QtGui->em_types[13]
#define sipEnum_QColor_NameFormat              sipModuleAPI_QtWidgets_QtGui->em_types[13]->u.td_py_type
#define sipType_QColor_Spec              sipModuleAPI_QtWidgets_QtGui->em_types[14]
#define sipEnum_QColor_Spec              sipModuleAPI_QtWidgets_QtGui->em_types[14]->u.td_py_type

#define sipType_QBrush              sipModuleAPI_QtWidgets_QtGui->em_types[8]
#define sipClass_QBrush             sipModuleAPI_QtWidgets_QtGui->em_types[8]->u.td_wrapper_type

#define sipType_QGradient              sipModuleAPI_QtWidgets_QtGui->em_types[49]
#define sipClass_QGradient             sipModuleAPI_QtWidgets_QtGui->em_types[49]->u.td_wrapper_type

#define sipType_QGradient_Spread              sipModuleAPI_QtWidgets_QtGui->em_types[51]
#define sipEnum_QGradient_Spread              sipModuleAPI_QtWidgets_QtGui->em_types[51]->u.td_py_type
#define sipType_QGradient_Type              sipModuleAPI_QtWidgets_QtGui->em_types[52]
#define sipEnum_QGradient_Type              sipModuleAPI_QtWidgets_QtGui->em_types[52]->u.td_py_type
#define sipType_QGradient_CoordinateMode              sipModuleAPI_QtWidgets_QtGui->em_types[50]
#define sipEnum_QGradient_CoordinateMode              sipModuleAPI_QtWidgets_QtGui->em_types[50]->u.td_py_type

#define sipType_QLinearGradient              sipModuleAPI_QtWidgets_QtGui->em_types[88]
#define sipClass_QLinearGradient             sipModuleAPI_QtWidgets_QtGui->em_types[88]->u.td_wrapper_type

#define sipType_QRadialGradient              sipModuleAPI_QtWidgets_QtGui->em_types[235]
#define sipClass_QRadialGradient             sipModuleAPI_QtWidgets_QtGui->em_types[235]->u.td_wrapper_type

#define sipType_QConicalGradient              sipModuleAPI_QtWidgets_QtGui->em_types[15]
#define sipClass_QConicalGradient             sipModuleAPI_QtWidgets_QtGui->em_types[15]->u.td_wrapper_type

#define sipType_QClipboard              sipModuleAPI_QtWidgets_QtGui->em_types[9]
#define sipClass_QClipboard             sipModuleAPI_QtWidgets_QtGui->em_types[9]->u.td_wrapper_type

#define sipType_QClipboard_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[10]
#define sipEnum_QClipboard_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[10]->u.td_py_type

#define sipType_QCursor              sipModuleAPI_QtWidgets_QtGui->em_types[18]
#define sipClass_QCursor             sipModuleAPI_QtWidgets_QtGui->em_types[18]->u.td_wrapper_type

#define sipType_QDesktopServices              sipModuleAPI_QtWidgets_QtGui->em_types[19]
#define sipClass_QDesktopServices             sipModuleAPI_QtWidgets_QtGui->em_types[19]->u.td_wrapper_type

#define sipType_QDrag              sipModuleAPI_QtWidgets_QtGui->em_types[22]
#define sipClass_QDrag             sipModuleAPI_QtWidgets_QtGui->em_types[22]->u.td_wrapper_type

#define sipType_QInputEvent              sipModuleAPI_QtWidgets_QtGui->em_types[75]
#define sipClass_QInputEvent             sipModuleAPI_QtWidgets_QtGui->em_types[75]->u.td_wrapper_type

#define sipType_QMouseEvent              sipModuleAPI_QtWidgets_QtGui->em_types[116]
#define sipClass_QMouseEvent             sipModuleAPI_QtWidgets_QtGui->em_types[116]->u.td_wrapper_type

#define sipType_QHoverEvent              sipModuleAPI_QtWidgets_QtGui->em_types[56]
#define sipClass_QHoverEvent             sipModuleAPI_QtWidgets_QtGui->em_types[56]->u.td_wrapper_type

#define sipType_QWheelEvent              sipModuleAPI_QtWidgets_QtGui->em_types[367]
#define sipClass_QWheelEvent             sipModuleAPI_QtWidgets_QtGui->em_types[367]->u.td_wrapper_type

#define sipType_QTabletEvent              sipModuleAPI_QtWidgets_QtGui->em_types[272]
#define sipClass_QTabletEvent             sipModuleAPI_QtWidgets_QtGui->em_types[272]->u.td_wrapper_type

#define sipType_QTabletEvent_PointerType              sipModuleAPI_QtWidgets_QtGui->em_types[273]
#define sipEnum_QTabletEvent_PointerType              sipModuleAPI_QtWidgets_QtGui->em_types[273]->u.td_py_type
#define sipType_QTabletEvent_TabletDevice              sipModuleAPI_QtWidgets_QtGui->em_types[274]
#define sipEnum_QTabletEvent_TabletDevice              sipModuleAPI_QtWidgets_QtGui->em_types[274]->u.td_py_type

#define sipType_QKeyEvent              sipModuleAPI_QtWidgets_QtGui->em_types[83]
#define sipClass_QKeyEvent             sipModuleAPI_QtWidgets_QtGui->em_types[83]->u.td_wrapper_type

#define sipType_QFocusEvent              sipModuleAPI_QtWidgets_QtGui->em_types[30]
#define sipClass_QFocusEvent             sipModuleAPI_QtWidgets_QtGui->em_types[30]->u.td_wrapper_type

#define sipType_QPaintEvent              sipModuleAPI_QtWidgets_QtGui->em_types[198]
#define sipClass_QPaintEvent             sipModuleAPI_QtWidgets_QtGui->em_types[198]->u.td_wrapper_type

#define sipType_QMoveEvent              sipModuleAPI_QtWidgets_QtGui->em_types[117]
#define sipClass_QMoveEvent             sipModuleAPI_QtWidgets_QtGui->em_types[117]->u.td_wrapper_type

#define sipType_QResizeEvent              sipModuleAPI_QtWidgets_QtGui->em_types[245]
#define sipClass_QResizeEvent             sipModuleAPI_QtWidgets_QtGui->em_types[245]->u.td_wrapper_type

#define sipType_QCloseEvent              sipModuleAPI_QtWidgets_QtGui->em_types[11]
#define sipClass_QCloseEvent             sipModuleAPI_QtWidgets_QtGui->em_types[11]->u.td_wrapper_type

#define sipType_QIconDragEvent              sipModuleAPI_QtWidgets_QtGui->em_types[60]
#define sipClass_QIconDragEvent             sipModuleAPI_QtWidgets_QtGui->em_types[60]->u.td_wrapper_type

#define sipType_QShowEvent              sipModuleAPI_QtWidgets_QtGui->em_types[254]
#define sipClass_QShowEvent             sipModuleAPI_QtWidgets_QtGui->em_types[254]->u.td_wrapper_type

#define sipType_QHideEvent              sipModuleAPI_QtWidgets_QtGui->em_types[55]
#define sipClass_QHideEvent             sipModuleAPI_QtWidgets_QtGui->em_types[55]->u.td_wrapper_type

#define sipType_QContextMenuEvent              sipModuleAPI_QtWidgets_QtGui->em_types[16]
#define sipClass_QContextMenuEvent             sipModuleAPI_QtWidgets_QtGui->em_types[16]->u.td_wrapper_type

#define sipType_QContextMenuEvent_Reason              sipModuleAPI_QtWidgets_QtGui->em_types[17]
#define sipEnum_QContextMenuEvent_Reason              sipModuleAPI_QtWidgets_QtGui->em_types[17]->u.td_py_type

#define sipType_QInputMethodEvent              sipModuleAPI_QtWidgets_QtGui->em_types[78]
#define sipClass_QInputMethodEvent             sipModuleAPI_QtWidgets_QtGui->em_types[78]->u.td_wrapper_type

#define sipType_QInputMethodEvent_AttributeType              sipModuleAPI_QtWidgets_QtGui->em_types[80]
#define sipEnum_QInputMethodEvent_AttributeType              sipModuleAPI_QtWidgets_QtGui->em_types[80]->u.td_py_type

#define sipType_QInputMethodEvent_Attribute              sipModuleAPI_QtWidgets_QtGui->em_types[79]
#define sipClass_QInputMethodEvent_Attribute             sipModuleAPI_QtWidgets_QtGui->em_types[79]->u.td_wrapper_type

#define sipType_QInputMethodQueryEvent              sipModuleAPI_QtWidgets_QtGui->em_types[81]
#define sipClass_QInputMethodQueryEvent             sipModuleAPI_QtWidgets_QtGui->em_types[81]->u.td_wrapper_type

#define sipType_QDropEvent              sipModuleAPI_QtWidgets_QtGui->em_types[26]
#define sipClass_QDropEvent             sipModuleAPI_QtWidgets_QtGui->em_types[26]->u.td_wrapper_type

#define sipType_QDragMoveEvent              sipModuleAPI_QtWidgets_QtGui->em_types[25]
#define sipClass_QDragMoveEvent             sipModuleAPI_QtWidgets_QtGui->em_types[25]->u.td_wrapper_type

#define sipType_QDragEnterEvent              sipModuleAPI_QtWidgets_QtGui->em_types[23]
#define sipClass_QDragEnterEvent             sipModuleAPI_QtWidgets_QtGui->em_types[23]->u.td_wrapper_type

#define sipType_QDragLeaveEvent              sipModuleAPI_QtWidgets_QtGui->em_types[24]
#define sipClass_QDragLeaveEvent             sipModuleAPI_QtWidgets_QtGui->em_types[24]->u.td_wrapper_type

#define sipType_QHelpEvent              sipModuleAPI_QtWidgets_QtGui->em_types[54]
#define sipClass_QHelpEvent             sipModuleAPI_QtWidgets_QtGui->em_types[54]->u.td_wrapper_type

#define sipType_QStatusTipEvent              sipModuleAPI_QtWidgets_QtGui->em_types[260]
#define sipClass_QStatusTipEvent             sipModuleAPI_QtWidgets_QtGui->em_types[260]->u.td_wrapper_type

#define sipType_QWhatsThisClickedEvent              sipModuleAPI_QtWidgets_QtGui->em_types[366]
#define sipClass_QWhatsThisClickedEvent             sipModuleAPI_QtWidgets_QtGui->em_types[366]->u.td_wrapper_type

#define sipType_QActionEvent              sipModuleAPI_QtWidgets_QtGui->em_types[5]
#define sipClass_QActionEvent             sipModuleAPI_QtWidgets_QtGui->em_types[5]->u.td_wrapper_type

#define sipType_QFileOpenEvent              sipModuleAPI_QtWidgets_QtGui->em_types[29]
#define sipClass_QFileOpenEvent             sipModuleAPI_QtWidgets_QtGui->em_types[29]->u.td_wrapper_type

#define sipType_QShortcutEvent              sipModuleAPI_QtWidgets_QtGui->em_types[253]
#define sipClass_QShortcutEvent             sipModuleAPI_QtWidgets_QtGui->em_types[253]->u.td_wrapper_type

#define sipType_QWindowStateChangeEvent              sipModuleAPI_QtWidgets_QtGui->em_types[371]
#define sipClass_QWindowStateChangeEvent             sipModuleAPI_QtWidgets_QtGui->em_types[371]->u.td_wrapper_type

#define sipType_QTouchEvent              sipModuleAPI_QtWidgets_QtGui->em_types[341]
#define sipClass_QTouchEvent             sipModuleAPI_QtWidgets_QtGui->em_types[341]->u.td_wrapper_type

#define sipType_QTouchEvent_TouchPoint              sipModuleAPI_QtWidgets_QtGui->em_types[342]
#define sipClass_QTouchEvent_TouchPoint             sipModuleAPI_QtWidgets_QtGui->em_types[342]->u.td_wrapper_type

#define sipType_QTouchEvent_TouchPoint_InfoFlag              sipModuleAPI_QtWidgets_QtGui->em_types[343]
#define sipEnum_QTouchEvent_TouchPoint_InfoFlag              sipModuleAPI_QtWidgets_QtGui->em_types[343]->u.td_py_type

#define sipType_QTouchEvent_TouchPoint_InfoFlags              sipModuleAPI_QtWidgets_QtGui->em_types[344]
#define sipClass_QTouchEvent_TouchPoint_InfoFlags             sipModuleAPI_QtWidgets_QtGui->em_types[344]->u.td_wrapper_type

#define sipType_QExposeEvent              sipModuleAPI_QtWidgets_QtGui->em_types[28]
#define sipClass_QExposeEvent             sipModuleAPI_QtWidgets_QtGui->em_types[28]->u.td_wrapper_type

#define sipType_QScrollPrepareEvent              sipModuleAPI_QtWidgets_QtGui->em_types[249]
#define sipClass_QScrollPrepareEvent             sipModuleAPI_QtWidgets_QtGui->em_types[249]->u.td_wrapper_type

#define sipType_QScrollEvent              sipModuleAPI_QtWidgets_QtGui->em_types[247]
#define sipClass_QScrollEvent             sipModuleAPI_QtWidgets_QtGui->em_types[247]->u.td_wrapper_type

#define sipType_QScrollEvent_ScrollState              sipModuleAPI_QtWidgets_QtGui->em_types[248]
#define sipEnum_QScrollEvent_ScrollState              sipModuleAPI_QtWidgets_QtGui->em_types[248]->u.td_py_type

#define sipType_QEnterEvent              sipModuleAPI_QtWidgets_QtGui->em_types[27]
#define sipClass_QEnterEvent             sipModuleAPI_QtWidgets_QtGui->em_types[27]->u.td_wrapper_type

#define sipType_QNativeGestureEvent              sipModuleAPI_QtWidgets_QtGui->em_types[121]
#define sipClass_QNativeGestureEvent             sipModuleAPI_QtWidgets_QtGui->em_types[121]->u.td_wrapper_type

#define sipType_QPlatformSurfaceEvent              sipModuleAPI_QtWidgets_QtGui->em_types[230]
#define sipClass_QPlatformSurfaceEvent             sipModuleAPI_QtWidgets_QtGui->em_types[230]->u.td_wrapper_type

#define sipType_QPlatformSurfaceEvent_SurfaceEventType              sipModuleAPI_QtWidgets_QtGui->em_types[231]
#define sipEnum_QPlatformSurfaceEvent_SurfaceEventType              sipModuleAPI_QtWidgets_QtGui->em_types[231]->u.td_py_type

#define sipType_QFont              sipModuleAPI_QtWidgets_QtGui->em_types[31]
#define sipClass_QFont             sipModuleAPI_QtWidgets_QtGui->em_types[31]->u.td_wrapper_type

#define sipType_QFont_HintingPreference              sipModuleAPI_QtWidgets_QtGui->em_types[33]
#define sipEnum_QFont_HintingPreference              sipModuleAPI_QtWidgets_QtGui->em_types[33]->u.td_py_type
#define sipType_QFont_SpacingType              sipModuleAPI_QtWidgets_QtGui->em_types[34]
#define sipEnum_QFont_SpacingType              sipModuleAPI_QtWidgets_QtGui->em_types[34]->u.td_py_type
#define sipType_QFont_Capitalization              sipModuleAPI_QtWidgets_QtGui->em_types[32]
#define sipEnum_QFont_Capitalization              sipModuleAPI_QtWidgets_QtGui->em_types[32]->u.td_py_type
#define sipType_QFont_Stretch              sipModuleAPI_QtWidgets_QtGui->em_types[35]
#define sipEnum_QFont_Stretch              sipModuleAPI_QtWidgets_QtGui->em_types[35]->u.td_py_type
#define sipType_QFont_Style              sipModuleAPI_QtWidgets_QtGui->em_types[36]
#define sipEnum_QFont_Style              sipModuleAPI_QtWidgets_QtGui->em_types[36]->u.td_py_type
#define sipType_QFont_Weight              sipModuleAPI_QtWidgets_QtGui->em_types[39]
#define sipEnum_QFont_Weight              sipModuleAPI_QtWidgets_QtGui->em_types[39]->u.td_py_type
#define sipType_QFont_StyleStrategy              sipModuleAPI_QtWidgets_QtGui->em_types[38]
#define sipEnum_QFont_StyleStrategy              sipModuleAPI_QtWidgets_QtGui->em_types[38]->u.td_py_type
#define sipType_QFont_StyleHint              sipModuleAPI_QtWidgets_QtGui->em_types[37]
#define sipEnum_QFont_StyleHint              sipModuleAPI_QtWidgets_QtGui->em_types[37]->u.td_py_type

#define sipType_QFontDatabase              sipModuleAPI_QtWidgets_QtGui->em_types[40]
#define sipClass_QFontDatabase             sipModuleAPI_QtWidgets_QtGui->em_types[40]->u.td_wrapper_type

#define sipType_QFontDatabase_SystemFont              sipModuleAPI_QtWidgets_QtGui->em_types[41]
#define sipEnum_QFontDatabase_SystemFont              sipModuleAPI_QtWidgets_QtGui->em_types[41]->u.td_py_type
#define sipType_QFontDatabase_WritingSystem              sipModuleAPI_QtWidgets_QtGui->em_types[42]
#define sipEnum_QFontDatabase_WritingSystem              sipModuleAPI_QtWidgets_QtGui->em_types[42]->u.td_py_type

#define sipType_QFontInfo              sipModuleAPI_QtWidgets_QtGui->em_types[43]
#define sipClass_QFontInfo             sipModuleAPI_QtWidgets_QtGui->em_types[43]->u.td_wrapper_type

#define sipType_QFontMetrics              sipModuleAPI_QtWidgets_QtGui->em_types[44]
#define sipClass_QFontMetrics             sipModuleAPI_QtWidgets_QtGui->em_types[44]->u.td_wrapper_type

#define sipType_QFontMetricsF              sipModuleAPI_QtWidgets_QtGui->em_types[45]
#define sipClass_QFontMetricsF             sipModuleAPI_QtWidgets_QtGui->em_types[45]->u.td_wrapper_type

#define sipType_QMatrix4x3              sipModuleAPI_QtWidgets_QtGui->em_types[114]
#define sipClass_QMatrix4x3             sipModuleAPI_QtWidgets_QtGui->em_types[114]->u.td_wrapper_type

#define sipType_QMatrix4x2              sipModuleAPI_QtWidgets_QtGui->em_types[113]
#define sipClass_QMatrix4x2             sipModuleAPI_QtWidgets_QtGui->em_types[113]->u.td_wrapper_type

#define sipType_QMatrix3x4              sipModuleAPI_QtWidgets_QtGui->em_types[112]
#define sipClass_QMatrix3x4             sipModuleAPI_QtWidgets_QtGui->em_types[112]->u.td_wrapper_type

#define sipType_QMatrix3x3              sipModuleAPI_QtWidgets_QtGui->em_types[111]
#define sipClass_QMatrix3x3             sipModuleAPI_QtWidgets_QtGui->em_types[111]->u.td_wrapper_type

#define sipType_QMatrix3x2              sipModuleAPI_QtWidgets_QtGui->em_types[110]
#define sipClass_QMatrix3x2             sipModuleAPI_QtWidgets_QtGui->em_types[110]->u.td_wrapper_type

#define sipType_QMatrix2x4              sipModuleAPI_QtWidgets_QtGui->em_types[109]
#define sipClass_QMatrix2x4             sipModuleAPI_QtWidgets_QtGui->em_types[109]->u.td_wrapper_type

#define sipType_QMatrix2x3              sipModuleAPI_QtWidgets_QtGui->em_types[108]
#define sipClass_QMatrix2x3             sipModuleAPI_QtWidgets_QtGui->em_types[108]->u.td_wrapper_type

#define sipType_QMatrix2x2              sipModuleAPI_QtWidgets_QtGui->em_types[107]
#define sipClass_QMatrix2x2             sipModuleAPI_QtWidgets_QtGui->em_types[107]->u.td_wrapper_type

#define sipType_QGlyphRun              sipModuleAPI_QtWidgets_QtGui->em_types[46]
#define sipClass_QGlyphRun             sipModuleAPI_QtWidgets_QtGui->em_types[46]->u.td_wrapper_type

#define sipType_QGlyphRun_GlyphRunFlag              sipModuleAPI_QtWidgets_QtGui->em_types[47]
#define sipEnum_QGlyphRun_GlyphRunFlag              sipModuleAPI_QtWidgets_QtGui->em_types[47]->u.td_py_type

#define sipType_QGlyphRun_GlyphRunFlags              sipModuleAPI_QtWidgets_QtGui->em_types[48]
#define sipClass_QGlyphRun_GlyphRunFlags             sipModuleAPI_QtWidgets_QtGui->em_types[48]->u.td_wrapper_type

#define sipType_QGuiApplication              sipModuleAPI_QtWidgets_QtGui->em_types[53]
#define sipClass_QGuiApplication             sipModuleAPI_QtWidgets_QtGui->em_types[53]->u.td_wrapper_type

#define sipType_QIcon              sipModuleAPI_QtWidgets_QtGui->em_types[57]
#define sipClass_QIcon             sipModuleAPI_QtWidgets_QtGui->em_types[57]->u.td_wrapper_type

#define sipType_QIcon_State              sipModuleAPI_QtWidgets_QtGui->em_types[59]
#define sipEnum_QIcon_State              sipModuleAPI_QtWidgets_QtGui->em_types[59]->u.td_py_type
#define sipType_QIcon_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[58]
#define sipEnum_QIcon_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[58]->u.td_py_type

#define sipType_QIconEngine              sipModuleAPI_QtWidgets_QtGui->em_types[61]
#define sipClass_QIconEngine             sipModuleAPI_QtWidgets_QtGui->em_types[61]->u.td_wrapper_type

#define sipType_QIconEngine_IconEngineHook              sipModuleAPI_QtWidgets_QtGui->em_types[63]
#define sipEnum_QIconEngine_IconEngineHook              sipModuleAPI_QtWidgets_QtGui->em_types[63]->u.td_py_type

#define sipType_QIconEngine_AvailableSizesArgument              sipModuleAPI_QtWidgets_QtGui->em_types[62]
#define sipClass_QIconEngine_AvailableSizesArgument             sipModuleAPI_QtWidgets_QtGui->em_types[62]->u.td_wrapper_type

#define sipType_QImage              sipModuleAPI_QtWidgets_QtGui->em_types[64]
#define sipClass_QImage             sipModuleAPI_QtWidgets_QtGui->em_types[64]->u.td_wrapper_type

#define sipType_QImage_Format              sipModuleAPI_QtWidgets_QtGui->em_types[65]
#define sipEnum_QImage_Format              sipModuleAPI_QtWidgets_QtGui->em_types[65]->u.td_py_type
#define sipType_QImage_InvertMode              sipModuleAPI_QtWidgets_QtGui->em_types[66]
#define sipEnum_QImage_InvertMode              sipModuleAPI_QtWidgets_QtGui->em_types[66]->u.td_py_type

#define sipType_QImageIOHandler              sipModuleAPI_QtWidgets_QtGui->em_types[67]
#define sipClass_QImageIOHandler             sipModuleAPI_QtWidgets_QtGui->em_types[67]->u.td_wrapper_type

#define sipType_QImageIOHandler_Transformation              sipModuleAPI_QtWidgets_QtGui->em_types[69]
#define sipEnum_QImageIOHandler_Transformation              sipModuleAPI_QtWidgets_QtGui->em_types[69]->u.td_py_type
#define sipType_QImageIOHandler_ImageOption              sipModuleAPI_QtWidgets_QtGui->em_types[68]
#define sipEnum_QImageIOHandler_ImageOption              sipModuleAPI_QtWidgets_QtGui->em_types[68]->u.td_py_type

#define sipType_QImageIOHandler_Transformations              sipModuleAPI_QtWidgets_QtGui->em_types[70]
#define sipClass_QImageIOHandler_Transformations             sipModuleAPI_QtWidgets_QtGui->em_types[70]->u.td_wrapper_type

#define sipType_QImageReader              sipModuleAPI_QtWidgets_QtGui->em_types[71]
#define sipClass_QImageReader             sipModuleAPI_QtWidgets_QtGui->em_types[71]->u.td_wrapper_type

#define sipType_QImageReader_ImageReaderError              sipModuleAPI_QtWidgets_QtGui->em_types[72]
#define sipEnum_QImageReader_ImageReaderError              sipModuleAPI_QtWidgets_QtGui->em_types[72]->u.td_py_type

#define sipType_QImageWriter              sipModuleAPI_QtWidgets_QtGui->em_types[73]
#define sipClass_QImageWriter             sipModuleAPI_QtWidgets_QtGui->em_types[73]->u.td_wrapper_type

#define sipType_QImageWriter_ImageWriterError              sipModuleAPI_QtWidgets_QtGui->em_types[74]
#define sipEnum_QImageWriter_ImageWriterError              sipModuleAPI_QtWidgets_QtGui->em_types[74]->u.td_py_type

#define sipType_QInputMethod              sipModuleAPI_QtWidgets_QtGui->em_types[76]
#define sipClass_QInputMethod             sipModuleAPI_QtWidgets_QtGui->em_types[76]->u.td_wrapper_type

#define sipType_QInputMethod_Action              sipModuleAPI_QtWidgets_QtGui->em_types[77]
#define sipEnum_QInputMethod_Action              sipModuleAPI_QtWidgets_QtGui->em_types[77]->u.td_py_type

#define sipType_QKeySequence              sipModuleAPI_QtWidgets_QtGui->em_types[84]
#define sipClass_QKeySequence             sipModuleAPI_QtWidgets_QtGui->em_types[84]->u.td_wrapper_type

#define sipType_QKeySequence_StandardKey              sipModuleAPI_QtWidgets_QtGui->em_types[87]
#define sipEnum_QKeySequence_StandardKey              sipModuleAPI_QtWidgets_QtGui->em_types[87]->u.td_py_type
#define sipType_QKeySequence_SequenceMatch              sipModuleAPI_QtWidgets_QtGui->em_types[86]
#define sipEnum_QKeySequence_SequenceMatch              sipModuleAPI_QtWidgets_QtGui->em_types[86]->u.td_py_type
#define sipType_QKeySequence_SequenceFormat              sipModuleAPI_QtWidgets_QtGui->em_types[85]
#define sipEnum_QKeySequence_SequenceFormat              sipModuleAPI_QtWidgets_QtGui->em_types[85]->u.td_py_type

#define sipType_QMatrix4x4              sipModuleAPI_QtWidgets_QtGui->em_types[115]
#define sipClass_QMatrix4x4             sipModuleAPI_QtWidgets_QtGui->em_types[115]->u.td_wrapper_type

#define sipType_QMovie              sipModuleAPI_QtWidgets_QtGui->em_types[118]
#define sipClass_QMovie             sipModuleAPI_QtWidgets_QtGui->em_types[118]->u.td_wrapper_type

#define sipType_QMovie_CacheMode              sipModuleAPI_QtWidgets_QtGui->em_types[119]
#define sipEnum_QMovie_CacheMode              sipModuleAPI_QtWidgets_QtGui->em_types[119]->u.td_py_type
#define sipType_QMovie_MovieState              sipModuleAPI_QtWidgets_QtGui->em_types[120]
#define sipEnum_QMovie_MovieState              sipModuleAPI_QtWidgets_QtGui->em_types[120]->u.td_py_type

#define sipType_QSurface              sipModuleAPI_QtWidgets_QtGui->em_types[262]
#define sipClass_QSurface             sipModuleAPI_QtWidgets_QtGui->em_types[262]->u.td_wrapper_type

#define sipType_QSurface_SurfaceType              sipModuleAPI_QtWidgets_QtGui->em_types[264]
#define sipEnum_QSurface_SurfaceType              sipModuleAPI_QtWidgets_QtGui->em_types[264]->u.td_py_type
#define sipType_QSurface_SurfaceClass              sipModuleAPI_QtWidgets_QtGui->em_types[263]
#define sipEnum_QSurface_SurfaceClass              sipModuleAPI_QtWidgets_QtGui->em_types[263]->u.td_py_type

#define sipType_QOffscreenSurface              sipModuleAPI_QtWidgets_QtGui->em_types[122]
#define sipClass_QOffscreenSurface             sipModuleAPI_QtWidgets_QtGui->em_types[122]->u.td_wrapper_type

#define sipType_QOpenGLBuffer              sipModuleAPI_QtWidgets_QtGui->em_types[123]
#define sipClass_QOpenGLBuffer             sipModuleAPI_QtWidgets_QtGui->em_types[123]->u.td_wrapper_type

#define sipType_QOpenGLBuffer_RangeAccessFlag              sipModuleAPI_QtWidgets_QtGui->em_types[125]
#define sipEnum_QOpenGLBuffer_RangeAccessFlag              sipModuleAPI_QtWidgets_QtGui->em_types[125]->u.td_py_type
#define sipType_QOpenGLBuffer_Access              sipModuleAPI_QtWidgets_QtGui->em_types[124]
#define sipEnum_QOpenGLBuffer_Access              sipModuleAPI_QtWidgets_QtGui->em_types[124]->u.td_py_type
#define sipType_QOpenGLBuffer_UsagePattern              sipModuleAPI_QtWidgets_QtGui->em_types[128]
#define sipEnum_QOpenGLBuffer_UsagePattern              sipModuleAPI_QtWidgets_QtGui->em_types[128]->u.td_py_type
#define sipType_QOpenGLBuffer_Type              sipModuleAPI_QtWidgets_QtGui->em_types[127]
#define sipEnum_QOpenGLBuffer_Type              sipModuleAPI_QtWidgets_QtGui->em_types[127]->u.td_py_type

#define sipType_QOpenGLBuffer_RangeAccessFlags              sipModuleAPI_QtWidgets_QtGui->em_types[126]
#define sipClass_QOpenGLBuffer_RangeAccessFlags             sipModuleAPI_QtWidgets_QtGui->em_types[126]->u.td_wrapper_type

#define sipType_QOpenGLContextGroup              sipModuleAPI_QtWidgets_QtGui->em_types[131]
#define sipClass_QOpenGLContextGroup             sipModuleAPI_QtWidgets_QtGui->em_types[131]->u.td_wrapper_type

#define sipType_QOpenGLContext              sipModuleAPI_QtWidgets_QtGui->em_types[129]
#define sipClass_QOpenGLContext             sipModuleAPI_QtWidgets_QtGui->em_types[129]->u.td_wrapper_type

#define sipType_QOpenGLContext_OpenGLModuleType              sipModuleAPI_QtWidgets_QtGui->em_types[130]
#define sipEnum_QOpenGLContext_OpenGLModuleType              sipModuleAPI_QtWidgets_QtGui->em_types[130]->u.td_py_type

#define sipType_QOpenGLVersionProfile              sipModuleAPI_QtWidgets_QtGui->em_types[171]
#define sipClass_QOpenGLVersionProfile             sipModuleAPI_QtWidgets_QtGui->em_types[171]->u.td_wrapper_type

#define sipType_QOpenGLDebugMessage              sipModuleAPI_QtWidgets_QtGui->em_types[134]
#define sipClass_QOpenGLDebugMessage             sipModuleAPI_QtWidgets_QtGui->em_types[134]->u.td_wrapper_type

#define sipType_QOpenGLDebugMessage_Severity              sipModuleAPI_QtWidgets_QtGui->em_types[136]
#define sipEnum_QOpenGLDebugMessage_Severity              sipModuleAPI_QtWidgets_QtGui->em_types[136]->u.td_py_type
#define sipType_QOpenGLDebugMessage_Type              sipModuleAPI_QtWidgets_QtGui->em_types[139]
#define sipEnum_QOpenGLDebugMessage_Type              sipModuleAPI_QtWidgets_QtGui->em_types[139]->u.td_py_type
#define sipType_QOpenGLDebugMessage_Source              sipModuleAPI_QtWidgets_QtGui->em_types[137]
#define sipEnum_QOpenGLDebugMessage_Source              sipModuleAPI_QtWidgets_QtGui->em_types[137]->u.td_py_type

#define sipType_QOpenGLDebugMessage_Sources              sipModuleAPI_QtWidgets_QtGui->em_types[138]
#define sipClass_QOpenGLDebugMessage_Sources             sipModuleAPI_QtWidgets_QtGui->em_types[138]->u.td_wrapper_type

#define sipType_QOpenGLDebugMessage_Types              sipModuleAPI_QtWidgets_QtGui->em_types[140]
#define sipClass_QOpenGLDebugMessage_Types             sipModuleAPI_QtWidgets_QtGui->em_types[140]->u.td_wrapper_type

#define sipType_QOpenGLDebugMessage_Severities              sipModuleAPI_QtWidgets_QtGui->em_types[135]
#define sipClass_QOpenGLDebugMessage_Severities             sipModuleAPI_QtWidgets_QtGui->em_types[135]->u.td_wrapper_type

#define sipType_QOpenGLDebugLogger              sipModuleAPI_QtWidgets_QtGui->em_types[132]
#define sipClass_QOpenGLDebugLogger             sipModuleAPI_QtWidgets_QtGui->em_types[132]->u.td_wrapper_type

#define sipType_QOpenGLDebugLogger_LoggingMode              sipModuleAPI_QtWidgets_QtGui->em_types[133]
#define sipEnum_QOpenGLDebugLogger_LoggingMode              sipModuleAPI_QtWidgets_QtGui->em_types[133]->u.td_py_type

#define sipType_QOpenGLFramebufferObject              sipModuleAPI_QtWidgets_QtGui->em_types[141]
#define sipClass_QOpenGLFramebufferObject             sipModuleAPI_QtWidgets_QtGui->em_types[141]->u.td_wrapper_type

#define sipType_QOpenGLFramebufferObject_Attachment              sipModuleAPI_QtWidgets_QtGui->em_types[142]
#define sipEnum_QOpenGLFramebufferObject_Attachment              sipModuleAPI_QtWidgets_QtGui->em_types[142]->u.td_py_type

#define sipType_QOpenGLFramebufferObjectFormat              sipModuleAPI_QtWidgets_QtGui->em_types[143]
#define sipClass_QOpenGLFramebufferObjectFormat             sipModuleAPI_QtWidgets_QtGui->em_types[143]->u.td_wrapper_type

#define sipType_QOpenGLPaintDevice              sipModuleAPI_QtWidgets_QtGui->em_types[144]
#define sipClass_QOpenGLPaintDevice             sipModuleAPI_QtWidgets_QtGui->em_types[144]->u.td_wrapper_type

#define sipType_QOpenGLPixelTransferOptions              sipModuleAPI_QtWidgets_QtGui->em_types[145]
#define sipClass_QOpenGLPixelTransferOptions             sipModuleAPI_QtWidgets_QtGui->em_types[145]->u.td_wrapper_type

#define sipType_QOpenGLShader              sipModuleAPI_QtWidgets_QtGui->em_types[146]
#define sipClass_QOpenGLShader             sipModuleAPI_QtWidgets_QtGui->em_types[146]->u.td_wrapper_type

#define sipType_QOpenGLShader_ShaderTypeBit              sipModuleAPI_QtWidgets_QtGui->em_types[148]
#define sipEnum_QOpenGLShader_ShaderTypeBit              sipModuleAPI_QtWidgets_QtGui->em_types[148]->u.td_py_type

#define sipType_QOpenGLShader_ShaderType              sipModuleAPI_QtWidgets_QtGui->em_types[147]
#define sipClass_QOpenGLShader_ShaderType             sipModuleAPI_QtWidgets_QtGui->em_types[147]->u.td_wrapper_type

#define sipType_QOpenGLShaderProgram              sipModuleAPI_QtWidgets_QtGui->em_types[149]
#define sipClass_QOpenGLShaderProgram             sipModuleAPI_QtWidgets_QtGui->em_types[149]->u.td_wrapper_type

#define sipType_QOpenGLTexture              sipModuleAPI_QtWidgets_QtGui->em_types[150]
#define sipClass_QOpenGLTexture             sipModuleAPI_QtWidgets_QtGui->em_types[150]->u.td_wrapper_type

#define sipType_QOpenGLTexture_ComparisonMode              sipModuleAPI_QtWidgets_QtGui->em_types[153]
#define sipEnum_QOpenGLTexture_ComparisonMode              sipModuleAPI_QtWidgets_QtGui->em_types[153]->u.td_py_type
#define sipType_QOpenGLTexture_ComparisonFunction              sipModuleAPI_QtWidgets_QtGui->em_types[152]
#define sipEnum_QOpenGLTexture_ComparisonFunction              sipModuleAPI_QtWidgets_QtGui->em_types[152]->u.td_py_type
#define sipType_QOpenGLTexture_CoordinateDirection              sipModuleAPI_QtWidgets_QtGui->em_types[154]
#define sipEnum_QOpenGLTexture_CoordinateDirection              sipModuleAPI_QtWidgets_QtGui->em_types[154]->u.td_py_type
#define sipType_QOpenGLTexture_WrapMode              sipModuleAPI_QtWidgets_QtGui->em_types[168]
#define sipEnum_QOpenGLTexture_WrapMode              sipModuleAPI_QtWidgets_QtGui->em_types[168]->u.td_py_type
#define sipType_QOpenGLTexture_Filter              sipModuleAPI_QtWidgets_QtGui->em_types[159]
#define sipEnum_QOpenGLTexture_Filter              sipModuleAPI_QtWidgets_QtGui->em_types[159]->u.td_py_type
#define sipType_QOpenGLTexture_DepthStencilMode              sipModuleAPI_QtWidgets_QtGui->em_types[156]
#define sipEnum_QOpenGLTexture_DepthStencilMode              sipModuleAPI_QtWidgets_QtGui->em_types[156]->u.td_py_type
#define sipType_QOpenGLTexture_SwizzleValue              sipModuleAPI_QtWidgets_QtGui->em_types[164]
#define sipEnum_QOpenGLTexture_SwizzleValue              sipModuleAPI_QtWidgets_QtGui->em_types[164]->u.td_py_type
#define sipType_QOpenGLTexture_SwizzleComponent              sipModuleAPI_QtWidgets_QtGui->em_types[163]
#define sipEnum_QOpenGLTexture_SwizzleComponent              sipModuleAPI_QtWidgets_QtGui->em_types[163]->u.td_py_type
#define sipType_QOpenGLTexture_Feature              sipModuleAPI_QtWidgets_QtGui->em_types[157]
#define sipEnum_QOpenGLTexture_Feature              sipModuleAPI_QtWidgets_QtGui->em_types[157]->u.td_py_type
#define sipType_QOpenGLTexture_PixelType              sipModuleAPI_QtWidgets_QtGui->em_types[162]
#define sipEnum_QOpenGLTexture_PixelType              sipModuleAPI_QtWidgets_QtGui->em_types[162]->u.td_py_type
#define sipType_QOpenGLTexture_PixelFormat              sipModuleAPI_QtWidgets_QtGui->em_types[161]
#define sipEnum_QOpenGLTexture_PixelFormat              sipModuleAPI_QtWidgets_QtGui->em_types[161]->u.td_py_type
#define sipType_QOpenGLTexture_CubeMapFace              sipModuleAPI_QtWidgets_QtGui->em_types[155]
#define sipEnum_QOpenGLTexture_CubeMapFace              sipModuleAPI_QtWidgets_QtGui->em_types[155]->u.td_py_type
#define sipType_QOpenGLTexture_TextureFormat              sipModuleAPI_QtWidgets_QtGui->em_types[166]
#define sipEnum_QOpenGLTexture_TextureFormat              sipModuleAPI_QtWidgets_QtGui->em_types[166]->u.td_py_type
#define sipType_QOpenGLTexture_TextureUnitReset              sipModuleAPI_QtWidgets_QtGui->em_types[167]
#define sipEnum_QOpenGLTexture_TextureUnitReset              sipModuleAPI_QtWidgets_QtGui->em_types[167]->u.td_py_type
#define sipType_QOpenGLTexture_MipMapGeneration              sipModuleAPI_QtWidgets_QtGui->em_types[160]
#define sipEnum_QOpenGLTexture_MipMapGeneration              sipModuleAPI_QtWidgets_QtGui->em_types[160]->u.td_py_type
#define sipType_QOpenGLTexture_BindingTarget              sipModuleAPI_QtWidgets_QtGui->em_types[151]
#define sipEnum_QOpenGLTexture_BindingTarget              sipModuleAPI_QtWidgets_QtGui->em_types[151]->u.td_py_type
#define sipType_QOpenGLTexture_Target              sipModuleAPI_QtWidgets_QtGui->em_types[165]
#define sipEnum_QOpenGLTexture_Target              sipModuleAPI_QtWidgets_QtGui->em_types[165]->u.td_py_type

#define sipType_QOpenGLTexture_Features              sipModuleAPI_QtWidgets_QtGui->em_types[158]
#define sipClass_QOpenGLTexture_Features             sipModuleAPI_QtWidgets_QtGui->em_types[158]->u.td_wrapper_type

#define sipType_QOpenGLTimerQuery              sipModuleAPI_QtWidgets_QtGui->em_types[170]
#define sipClass_QOpenGLTimerQuery             sipModuleAPI_QtWidgets_QtGui->em_types[170]->u.td_wrapper_type

#define sipType_QOpenGLTimeMonitor              sipModuleAPI_QtWidgets_QtGui->em_types[169]
#define sipClass_QOpenGLTimeMonitor             sipModuleAPI_QtWidgets_QtGui->em_types[169]->u.td_wrapper_type

#define sipType_QAbstractOpenGLFunctions              sipModuleAPI_QtWidgets_QtGui->em_types[0]
#define sipClass_QAbstractOpenGLFunctions             sipModuleAPI_QtWidgets_QtGui->em_types[0]->u.td_wrapper_type

#define sipType_QOpenGLVertexArrayObject              sipModuleAPI_QtWidgets_QtGui->em_types[172]
#define sipClass_QOpenGLVertexArrayObject             sipModuleAPI_QtWidgets_QtGui->em_types[172]->u.td_wrapper_type

#define sipType_QOpenGLVertexArrayObject_Binder              sipModuleAPI_QtWidgets_QtGui->em_types[173]
#define sipClass_QOpenGLVertexArrayObject_Binder             sipModuleAPI_QtWidgets_QtGui->em_types[173]->u.td_wrapper_type

#define sipType_QWindow              sipModuleAPI_QtWidgets_QtGui->em_types[368]
#define sipClass_QWindow             sipModuleAPI_QtWidgets_QtGui->em_types[368]->u.td_wrapper_type

#define sipType_QWindow_Visibility              sipModuleAPI_QtWidgets_QtGui->em_types[370]
#define sipEnum_QWindow_Visibility              sipModuleAPI_QtWidgets_QtGui->em_types[370]->u.td_py_type
#define sipType_QWindow_AncestorMode              sipModuleAPI_QtWidgets_QtGui->em_types[369]
#define sipEnum_QWindow_AncestorMode              sipModuleAPI_QtWidgets_QtGui->em_types[369]->u.td_py_type

#define sipType_QPaintDeviceWindow              sipModuleAPI_QtWidgets_QtGui->em_types[189]
#define sipClass_QPaintDeviceWindow             sipModuleAPI_QtWidgets_QtGui->em_types[189]->u.td_wrapper_type

#define sipType_QOpenGLWindow              sipModuleAPI_QtWidgets_QtGui->em_types[174]
#define sipClass_QOpenGLWindow             sipModuleAPI_QtWidgets_QtGui->em_types[174]->u.td_wrapper_type

#define sipType_QOpenGLWindow_UpdateBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[175]
#define sipEnum_QOpenGLWindow_UpdateBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[175]->u.td_py_type

#define sipType_QPagedPaintDevice              sipModuleAPI_QtWidgets_QtGui->em_types[184]
#define sipClass_QPagedPaintDevice             sipModuleAPI_QtWidgets_QtGui->em_types[184]->u.td_wrapper_type

#define sipType_QPagedPaintDevice_PageSize              sipModuleAPI_QtWidgets_QtGui->em_types[186]
#define sipEnum_QPagedPaintDevice_PageSize              sipModuleAPI_QtWidgets_QtGui->em_types[186]->u.td_py_type

#define sipType_QPagedPaintDevice_Margins              sipModuleAPI_QtWidgets_QtGui->em_types[185]
#define sipClass_QPagedPaintDevice_Margins             sipModuleAPI_QtWidgets_QtGui->em_types[185]->u.td_wrapper_type

#define sipType_QPageLayout              sipModuleAPI_QtWidgets_QtGui->em_types[176]
#define sipClass_QPageLayout             sipModuleAPI_QtWidgets_QtGui->em_types[176]->u.td_wrapper_type

#define sipType_QPageLayout_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[177]
#define sipEnum_QPageLayout_Mode              sipModuleAPI_QtWidgets_QtGui->em_types[177]->u.td_py_type
#define sipType_QPageLayout_Orientation              sipModuleAPI_QtWidgets_QtGui->em_types[178]
#define sipEnum_QPageLayout_Orientation              sipModuleAPI_QtWidgets_QtGui->em_types[178]->u.td_py_type
#define sipType_QPageLayout_Unit              sipModuleAPI_QtWidgets_QtGui->em_types[179]
#define sipEnum_QPageLayout_Unit              sipModuleAPI_QtWidgets_QtGui->em_types[179]->u.td_py_type

#define sipType_QPageSize              sipModuleAPI_QtWidgets_QtGui->em_types[180]
#define sipClass_QPageSize             sipModuleAPI_QtWidgets_QtGui->em_types[180]->u.td_wrapper_type

#define sipType_QPageSize_SizeMatchPolicy              sipModuleAPI_QtWidgets_QtGui->em_types[182]
#define sipEnum_QPageSize_SizeMatchPolicy              sipModuleAPI_QtWidgets_QtGui->em_types[182]->u.td_py_type
#define sipType_QPageSize_Unit              sipModuleAPI_QtWidgets_QtGui->em_types[183]
#define sipEnum_QPageSize_Unit              sipModuleAPI_QtWidgets_QtGui->em_types[183]->u.td_py_type
#define sipType_QPageSize_PageSizeId              sipModuleAPI_QtWidgets_QtGui->em_types[181]
#define sipEnum_QPageSize_PageSizeId              sipModuleAPI_QtWidgets_QtGui->em_types[181]->u.td_py_type

#define sipType_QPainter              sipModuleAPI_QtWidgets_QtGui->em_types[199]
#define sipClass_QPainter             sipModuleAPI_QtWidgets_QtGui->em_types[199]->u.td_wrapper_type

#define sipType_QPainter_PixmapFragmentHint              sipModuleAPI_QtWidgets_QtGui->em_types[202]
#define sipEnum_QPainter_PixmapFragmentHint              sipModuleAPI_QtWidgets_QtGui->em_types[202]->u.td_py_type
#define sipType_QPainter_CompositionMode              sipModuleAPI_QtWidgets_QtGui->em_types[200]
#define sipEnum_QPainter_CompositionMode              sipModuleAPI_QtWidgets_QtGui->em_types[200]->u.td_py_type
#define sipType_QPainter_RenderHint              sipModuleAPI_QtWidgets_QtGui->em_types[204]
#define sipEnum_QPainter_RenderHint              sipModuleAPI_QtWidgets_QtGui->em_types[204]->u.td_py_type

#define sipType_QPainter_RenderHints              sipModuleAPI_QtWidgets_QtGui->em_types[205]
#define sipClass_QPainter_RenderHints             sipModuleAPI_QtWidgets_QtGui->em_types[205]->u.td_wrapper_type

#define sipType_QPainter_PixmapFragment              sipModuleAPI_QtWidgets_QtGui->em_types[201]
#define sipClass_QPainter_PixmapFragment             sipModuleAPI_QtWidgets_QtGui->em_types[201]->u.td_wrapper_type

#define sipType_QPainter_PixmapFragmentHints              sipModuleAPI_QtWidgets_QtGui->em_types[203]
#define sipClass_QPainter_PixmapFragmentHints             sipModuleAPI_QtWidgets_QtGui->em_types[203]->u.td_wrapper_type

#define sipType_QTextItem              sipModuleAPI_QtWidgets_QtGui->em_types[311]
#define sipClass_QTextItem             sipModuleAPI_QtWidgets_QtGui->em_types[311]->u.td_wrapper_type

#define sipType_QTextItem_RenderFlag              sipModuleAPI_QtWidgets_QtGui->em_types[312]
#define sipEnum_QTextItem_RenderFlag              sipModuleAPI_QtWidgets_QtGui->em_types[312]->u.td_py_type

#define sipType_QTextItem_RenderFlags              sipModuleAPI_QtWidgets_QtGui->em_types[313]
#define sipClass_QTextItem_RenderFlags             sipModuleAPI_QtWidgets_QtGui->em_types[313]->u.td_wrapper_type

#define sipType_QPaintEngine              sipModuleAPI_QtWidgets_QtGui->em_types[190]
#define sipClass_QPaintEngine             sipModuleAPI_QtWidgets_QtGui->em_types[190]->u.td_wrapper_type

#define sipType_QPaintEngine_Type              sipModuleAPI_QtWidgets_QtGui->em_types[196]
#define sipEnum_QPaintEngine_Type              sipModuleAPI_QtWidgets_QtGui->em_types[196]->u.td_py_type
#define sipType_QPaintEngine_PolygonDrawMode              sipModuleAPI_QtWidgets_QtGui->em_types[195]
#define sipEnum_QPaintEngine_PolygonDrawMode              sipModuleAPI_QtWidgets_QtGui->em_types[195]->u.td_py_type
#define sipType_QPaintEngine_DirtyFlag              sipModuleAPI_QtWidgets_QtGui->em_types[191]
#define sipEnum_QPaintEngine_DirtyFlag              sipModuleAPI_QtWidgets_QtGui->em_types[191]->u.td_py_type
#define sipType_QPaintEngine_PaintEngineFeature              sipModuleAPI_QtWidgets_QtGui->em_types[193]
#define sipEnum_QPaintEngine_PaintEngineFeature              sipModuleAPI_QtWidgets_QtGui->em_types[193]->u.td_py_type

#define sipType_QPaintEngine_PaintEngineFeatures              sipModuleAPI_QtWidgets_QtGui->em_types[194]
#define sipClass_QPaintEngine_PaintEngineFeatures             sipModuleAPI_QtWidgets_QtGui->em_types[194]->u.td_wrapper_type

#define sipType_QPaintEngine_DirtyFlags              sipModuleAPI_QtWidgets_QtGui->em_types[192]
#define sipClass_QPaintEngine_DirtyFlags             sipModuleAPI_QtWidgets_QtGui->em_types[192]->u.td_wrapper_type

#define sipType_QPaintEngineState              sipModuleAPI_QtWidgets_QtGui->em_types[197]
#define sipClass_QPaintEngineState             sipModuleAPI_QtWidgets_QtGui->em_types[197]->u.td_wrapper_type

#define sipType_QPainterPath              sipModuleAPI_QtWidgets_QtGui->em_types[206]
#define sipClass_QPainterPath             sipModuleAPI_QtWidgets_QtGui->em_types[206]->u.td_wrapper_type

#define sipType_QPainterPath_ElementType              sipModuleAPI_QtWidgets_QtGui->em_types[208]
#define sipEnum_QPainterPath_ElementType              sipModuleAPI_QtWidgets_QtGui->em_types[208]->u.td_py_type

#define sipType_QPainterPath_Element              sipModuleAPI_QtWidgets_QtGui->em_types[207]
#define sipClass_QPainterPath_Element             sipModuleAPI_QtWidgets_QtGui->em_types[207]->u.td_wrapper_type

#define sipType_QPainterPathStroker              sipModuleAPI_QtWidgets_QtGui->em_types[209]
#define sipClass_QPainterPathStroker             sipModuleAPI_QtWidgets_QtGui->em_types[209]->u.td_wrapper_type

#define sipType_QPalette              sipModuleAPI_QtWidgets_QtGui->em_types[212]
#define sipClass_QPalette             sipModuleAPI_QtWidgets_QtGui->em_types[212]->u.td_wrapper_type

#define sipType_QPalette_ColorRole              sipModuleAPI_QtWidgets_QtGui->em_types[214]
#define sipEnum_QPalette_ColorRole              sipModuleAPI_QtWidgets_QtGui->em_types[214]->u.td_py_type
#define sipType_QPalette_ColorGroup              sipModuleAPI_QtWidgets_QtGui->em_types[213]
#define sipEnum_QPalette_ColorGroup              sipModuleAPI_QtWidgets_QtGui->em_types[213]->u.td_py_type

#define sipType_QPdfWriter              sipModuleAPI_QtWidgets_QtGui->em_types[215]
#define sipClass_QPdfWriter             sipModuleAPI_QtWidgets_QtGui->em_types[215]->u.td_wrapper_type

#define sipType_QPen              sipModuleAPI_QtWidgets_QtGui->em_types[216]
#define sipClass_QPen             sipModuleAPI_QtWidgets_QtGui->em_types[216]->u.td_wrapper_type

#define sipType_QPicture              sipModuleAPI_QtWidgets_QtGui->em_types[217]
#define sipClass_QPicture             sipModuleAPI_QtWidgets_QtGui->em_types[217]->u.td_wrapper_type

#define sipType_QPictureIO              sipModuleAPI_QtWidgets_QtGui->em_types[218]
#define sipClass_QPictureIO             sipModuleAPI_QtWidgets_QtGui->em_types[218]->u.td_wrapper_type

#define sipType_QPixelFormat              sipModuleAPI_QtWidgets_QtGui->em_types[219]
#define sipClass_QPixelFormat             sipModuleAPI_QtWidgets_QtGui->em_types[219]->u.td_wrapper_type

#define sipType_QPixelFormat_ByteOrder              sipModuleAPI_QtWidgets_QtGui->em_types[223]
#define sipEnum_QPixelFormat_ByteOrder              sipModuleAPI_QtWidgets_QtGui->em_types[223]->u.td_py_type
#define sipType_QPixelFormat_YUVLayout              sipModuleAPI_QtWidgets_QtGui->em_types[226]
#define sipEnum_QPixelFormat_YUVLayout              sipModuleAPI_QtWidgets_QtGui->em_types[226]->u.td_py_type
#define sipType_QPixelFormat_TypeInterpretation              sipModuleAPI_QtWidgets_QtGui->em_types[225]
#define sipEnum_QPixelFormat_TypeInterpretation              sipModuleAPI_QtWidgets_QtGui->em_types[225]->u.td_py_type
#define sipType_QPixelFormat_AlphaPremultiplied              sipModuleAPI_QtWidgets_QtGui->em_types[221]
#define sipEnum_QPixelFormat_AlphaPremultiplied              sipModuleAPI_QtWidgets_QtGui->em_types[221]->u.td_py_type
#define sipType_QPixelFormat_AlphaPosition              sipModuleAPI_QtWidgets_QtGui->em_types[220]
#define sipEnum_QPixelFormat_AlphaPosition              sipModuleAPI_QtWidgets_QtGui->em_types[220]->u.td_py_type
#define sipType_QPixelFormat_AlphaUsage              sipModuleAPI_QtWidgets_QtGui->em_types[222]
#define sipEnum_QPixelFormat_AlphaUsage              sipModuleAPI_QtWidgets_QtGui->em_types[222]->u.td_py_type
#define sipType_QPixelFormat_ColorModel              sipModuleAPI_QtWidgets_QtGui->em_types[224]
#define sipEnum_QPixelFormat_ColorModel              sipModuleAPI_QtWidgets_QtGui->em_types[224]->u.td_py_type

#define sipType_QPixmapCache              sipModuleAPI_QtWidgets_QtGui->em_types[228]
#define sipClass_QPixmapCache             sipModuleAPI_QtWidgets_QtGui->em_types[228]->u.td_wrapper_type

#define sipType_QPixmapCache_Key              sipModuleAPI_QtWidgets_QtGui->em_types[229]
#define sipClass_QPixmapCache_Key             sipModuleAPI_QtWidgets_QtGui->em_types[229]->u.td_wrapper_type

#define sipType_QPolygon              sipModuleAPI_QtWidgets_QtGui->em_types[232]
#define sipClass_QPolygon             sipModuleAPI_QtWidgets_QtGui->em_types[232]->u.td_wrapper_type

#define sipType_QPolygonF              sipModuleAPI_QtWidgets_QtGui->em_types[233]
#define sipClass_QPolygonF             sipModuleAPI_QtWidgets_QtGui->em_types[233]->u.td_wrapper_type

#define sipType_QQuaternion              sipModuleAPI_QtWidgets_QtGui->em_types[234]
#define sipClass_QQuaternion             sipModuleAPI_QtWidgets_QtGui->em_types[234]->u.td_wrapper_type

#define sipType_QRasterWindow              sipModuleAPI_QtWidgets_QtGui->em_types[236]
#define sipClass_QRasterWindow             sipModuleAPI_QtWidgets_QtGui->em_types[236]->u.td_wrapper_type

#define sipType_QRawFont              sipModuleAPI_QtWidgets_QtGui->em_types[237]
#define sipClass_QRawFont             sipModuleAPI_QtWidgets_QtGui->em_types[237]->u.td_wrapper_type

#define sipType_QRawFont_LayoutFlag              sipModuleAPI_QtWidgets_QtGui->em_types[239]
#define sipEnum_QRawFont_LayoutFlag              sipModuleAPI_QtWidgets_QtGui->em_types[239]->u.td_py_type
#define sipType_QRawFont_AntialiasingType              sipModuleAPI_QtWidgets_QtGui->em_types[238]
#define sipEnum_QRawFont_AntialiasingType              sipModuleAPI_QtWidgets_QtGui->em_types[238]->u.td_py_type

#define sipType_QRawFont_LayoutFlags              sipModuleAPI_QtWidgets_QtGui->em_types[240]
#define sipClass_QRawFont_LayoutFlags             sipModuleAPI_QtWidgets_QtGui->em_types[240]->u.td_wrapper_type

#define sipType_QRegion              sipModuleAPI_QtWidgets_QtGui->em_types[242]
#define sipClass_QRegion             sipModuleAPI_QtWidgets_QtGui->em_types[242]->u.td_wrapper_type

#define sipType_QRegion_RegionType              sipModuleAPI_QtWidgets_QtGui->em_types[243]
#define sipEnum_QRegion_RegionType              sipModuleAPI_QtWidgets_QtGui->em_types[243]->u.td_py_type

#define sipType_QScreen              sipModuleAPI_QtWidgets_QtGui->em_types[246]
#define sipClass_QScreen             sipModuleAPI_QtWidgets_QtGui->em_types[246]->u.td_wrapper_type

#define sipType_QSessionManager              sipModuleAPI_QtWidgets_QtGui->em_types[250]
#define sipClass_QSessionManager             sipModuleAPI_QtWidgets_QtGui->em_types[250]->u.td_wrapper_type

#define sipType_QSessionManager_RestartHint              sipModuleAPI_QtWidgets_QtGui->em_types[251]
#define sipEnum_QSessionManager_RestartHint              sipModuleAPI_QtWidgets_QtGui->em_types[251]->u.td_py_type

#define sipType_QStandardItemModel              sipModuleAPI_QtWidgets_QtGui->em_types[257]
#define sipClass_QStandardItemModel             sipModuleAPI_QtWidgets_QtGui->em_types[257]->u.td_wrapper_type

#define sipType_QStandardItem              sipModuleAPI_QtWidgets_QtGui->em_types[255]
#define sipClass_QStandardItem             sipModuleAPI_QtWidgets_QtGui->em_types[255]->u.td_wrapper_type

#define sipType_QStandardItem_ItemType              sipModuleAPI_QtWidgets_QtGui->em_types[256]
#define sipEnum_QStandardItem_ItemType              sipModuleAPI_QtWidgets_QtGui->em_types[256]->u.td_py_type

#define sipType_QStaticText              sipModuleAPI_QtWidgets_QtGui->em_types[258]
#define sipClass_QStaticText             sipModuleAPI_QtWidgets_QtGui->em_types[258]->u.td_wrapper_type

#define sipType_QStaticText_PerformanceHint              sipModuleAPI_QtWidgets_QtGui->em_types[259]
#define sipEnum_QStaticText_PerformanceHint              sipModuleAPI_QtWidgets_QtGui->em_types[259]->u.td_py_type

#define sipType_QStyleHints              sipModuleAPI_QtWidgets_QtGui->em_types[261]
#define sipClass_QStyleHints             sipModuleAPI_QtWidgets_QtGui->em_types[261]->u.td_wrapper_type

#define sipType_QSurfaceFormat              sipModuleAPI_QtWidgets_QtGui->em_types[265]
#define sipClass_QSurfaceFormat             sipModuleAPI_QtWidgets_QtGui->em_types[265]->u.td_wrapper_type

#define sipType_QSurfaceFormat_OpenGLContextProfile              sipModuleAPI_QtWidgets_QtGui->em_types[268]
#define sipEnum_QSurfaceFormat_OpenGLContextProfile              sipModuleAPI_QtWidgets_QtGui->em_types[268]->u.td_py_type
#define sipType_QSurfaceFormat_RenderableType              sipModuleAPI_QtWidgets_QtGui->em_types[269]
#define sipEnum_QSurfaceFormat_RenderableType              sipModuleAPI_QtWidgets_QtGui->em_types[269]->u.td_py_type
#define sipType_QSurfaceFormat_SwapBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[270]
#define sipEnum_QSurfaceFormat_SwapBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[270]->u.td_py_type
#define sipType_QSurfaceFormat_FormatOption              sipModuleAPI_QtWidgets_QtGui->em_types[266]
#define sipEnum_QSurfaceFormat_FormatOption              sipModuleAPI_QtWidgets_QtGui->em_types[266]->u.td_py_type

#define sipType_QSurfaceFormat_FormatOptions              sipModuleAPI_QtWidgets_QtGui->em_types[267]
#define sipClass_QSurfaceFormat_FormatOptions             sipModuleAPI_QtWidgets_QtGui->em_types[267]->u.td_wrapper_type

#define sipType_QSyntaxHighlighter              sipModuleAPI_QtWidgets_QtGui->em_types[271]
#define sipClass_QSyntaxHighlighter             sipModuleAPI_QtWidgets_QtGui->em_types[271]->u.td_wrapper_type

#define sipType_QTextCursor              sipModuleAPI_QtWidgets_QtGui->em_types[285]
#define sipClass_QTextCursor             sipModuleAPI_QtWidgets_QtGui->em_types[285]->u.td_wrapper_type

#define sipType_QTextCursor_SelectionType              sipModuleAPI_QtWidgets_QtGui->em_types[288]
#define sipEnum_QTextCursor_SelectionType              sipModuleAPI_QtWidgets_QtGui->em_types[288]->u.td_py_type
#define sipType_QTextCursor_MoveOperation              sipModuleAPI_QtWidgets_QtGui->em_types[287]
#define sipEnum_QTextCursor_MoveOperation              sipModuleAPI_QtWidgets_QtGui->em_types[287]->u.td_py_type
#define sipType_QTextCursor_MoveMode              sipModuleAPI_QtWidgets_QtGui->em_types[286]
#define sipEnum_QTextCursor_MoveMode              sipModuleAPI_QtWidgets_QtGui->em_types[286]->u.td_py_type

#if !defined(sipType_Qt)
#define sipType_Qt              sipModuleAPI_QtWidgets_QtGui->em_types[372]
#define sipClass_Qt             sipModuleAPI_QtWidgets_QtGui->em_types[372]->u.td_wrapper_type
#endif

#define sipType_QTextDocument              sipModuleAPI_QtWidgets_QtGui->em_types[289]
#define sipClass_QTextDocument             sipModuleAPI_QtWidgets_QtGui->em_types[289]->u.td_wrapper_type

#define sipType_QTextDocument_Stacks              sipModuleAPI_QtWidgets_QtGui->em_types[294]
#define sipEnum_QTextDocument_Stacks              sipModuleAPI_QtWidgets_QtGui->em_types[294]->u.td_py_type
#define sipType_QTextDocument_ResourceType              sipModuleAPI_QtWidgets_QtGui->em_types[293]
#define sipEnum_QTextDocument_ResourceType              sipModuleAPI_QtWidgets_QtGui->em_types[293]->u.td_py_type
#define sipType_QTextDocument_FindFlag              sipModuleAPI_QtWidgets_QtGui->em_types[290]
#define sipEnum_QTextDocument_FindFlag              sipModuleAPI_QtWidgets_QtGui->em_types[290]->u.td_py_type
#define sipType_QTextDocument_MetaInformation              sipModuleAPI_QtWidgets_QtGui->em_types[292]
#define sipEnum_QTextDocument_MetaInformation              sipModuleAPI_QtWidgets_QtGui->em_types[292]->u.td_py_type

#define sipType_QTextDocument_FindFlags              sipModuleAPI_QtWidgets_QtGui->em_types[291]
#define sipClass_QTextDocument_FindFlags             sipModuleAPI_QtWidgets_QtGui->em_types[291]->u.td_wrapper_type

#define sipType_QTextDocumentFragment              sipModuleAPI_QtWidgets_QtGui->em_types[295]
#define sipClass_QTextDocumentFragment             sipModuleAPI_QtWidgets_QtGui->em_types[295]->u.td_wrapper_type

#define sipType_QTextDocumentWriter              sipModuleAPI_QtWidgets_QtGui->em_types[296]
#define sipClass_QTextDocumentWriter             sipModuleAPI_QtWidgets_QtGui->em_types[296]->u.td_wrapper_type

#define sipType_QTextLength              sipModuleAPI_QtWidgets_QtGui->em_types[317]
#define sipClass_QTextLength             sipModuleAPI_QtWidgets_QtGui->em_types[317]->u.td_wrapper_type

#define sipType_QTextLength_Type              sipModuleAPI_QtWidgets_QtGui->em_types[318]
#define sipEnum_QTextLength_Type              sipModuleAPI_QtWidgets_QtGui->em_types[318]->u.td_py_type

#define sipType_QTextFormat              sipModuleAPI_QtWidgets_QtGui->em_types[297]
#define sipClass_QTextFormat             sipModuleAPI_QtWidgets_QtGui->em_types[297]->u.td_wrapper_type

#define sipType_QTextFormat_Property              sipModuleAPI_QtWidgets_QtGui->em_types[302]
#define sipEnum_QTextFormat_Property              sipModuleAPI_QtWidgets_QtGui->em_types[302]->u.td_py_type
#define sipType_QTextFormat_PageBreakFlag              sipModuleAPI_QtWidgets_QtGui->em_types[300]
#define sipEnum_QTextFormat_PageBreakFlag              sipModuleAPI_QtWidgets_QtGui->em_types[300]->u.td_py_type
#define sipType_QTextFormat_ObjectTypes              sipModuleAPI_QtWidgets_QtGui->em_types[299]
#define sipEnum_QTextFormat_ObjectTypes              sipModuleAPI_QtWidgets_QtGui->em_types[299]->u.td_py_type
#define sipType_QTextFormat_FormatType              sipModuleAPI_QtWidgets_QtGui->em_types[298]
#define sipEnum_QTextFormat_FormatType              sipModuleAPI_QtWidgets_QtGui->em_types[298]->u.td_py_type

#define sipType_QTextFormat_PageBreakFlags              sipModuleAPI_QtWidgets_QtGui->em_types[301]
#define sipClass_QTextFormat_PageBreakFlags             sipModuleAPI_QtWidgets_QtGui->em_types[301]->u.td_wrapper_type

#define sipType_QTextCharFormat              sipModuleAPI_QtWidgets_QtGui->em_types[281]
#define sipClass_QTextCharFormat             sipModuleAPI_QtWidgets_QtGui->em_types[281]->u.td_wrapper_type

#define sipType_QTextCharFormat_FontPropertiesInheritanceBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[282]
#define sipEnum_QTextCharFormat_FontPropertiesInheritanceBehavior              sipModuleAPI_QtWidgets_QtGui->em_types[282]->u.td_py_type
#define sipType_QTextCharFormat_UnderlineStyle              sipModuleAPI_QtWidgets_QtGui->em_types[283]
#define sipEnum_QTextCharFormat_UnderlineStyle              sipModuleAPI_QtWidgets_QtGui->em_types[283]->u.td_py_type
#define sipType_QTextCharFormat_VerticalAlignment              sipModuleAPI_QtWidgets_QtGui->em_types[284]
#define sipEnum_QTextCharFormat_VerticalAlignment              sipModuleAPI_QtWidgets_QtGui->em_types[284]->u.td_py_type

#define sipType_QTextBlockFormat              sipModuleAPI_QtWidgets_QtGui->em_types[277]
#define sipClass_QTextBlockFormat             sipModuleAPI_QtWidgets_QtGui->em_types[277]->u.td_wrapper_type

#define sipType_QTextBlockFormat_LineHeightTypes              sipModuleAPI_QtWidgets_QtGui->em_types[278]
#define sipEnum_QTextBlockFormat_LineHeightTypes              sipModuleAPI_QtWidgets_QtGui->em_types[278]->u.td_py_type

#define sipType_QTextListFormat              sipModuleAPI_QtWidgets_QtGui->em_types[323]
#define sipClass_QTextListFormat             sipModuleAPI_QtWidgets_QtGui->em_types[323]->u.td_wrapper_type

#define sipType_QTextListFormat_Style              sipModuleAPI_QtWidgets_QtGui->em_types[324]
#define sipEnum_QTextListFormat_Style              sipModuleAPI_QtWidgets_QtGui->em_types[324]->u.td_py_type

#define sipType_QTextImageFormat              sipModuleAPI_QtWidgets_QtGui->em_types[309]
#define sipClass_QTextImageFormat             sipModuleAPI_QtWidgets_QtGui->em_types[309]->u.td_wrapper_type

#define sipType_QTextFrameFormat              sipModuleAPI_QtWidgets_QtGui->em_types[306]
#define sipClass_QTextFrameFormat             sipModuleAPI_QtWidgets_QtGui->em_types[306]->u.td_wrapper_type

#define sipType_QTextFrameFormat_BorderStyle              sipModuleAPI_QtWidgets_QtGui->em_types[307]
#define sipEnum_QTextFrameFormat_BorderStyle              sipModuleAPI_QtWidgets_QtGui->em_types[307]->u.td_py_type
#define sipType_QTextFrameFormat_Position              sipModuleAPI_QtWidgets_QtGui->em_types[308]
#define sipEnum_QTextFrameFormat_Position              sipModuleAPI_QtWidgets_QtGui->em_types[308]->u.td_py_type

#define sipType_QTextTableFormat              sipModuleAPI_QtWidgets_QtGui->em_types[336]
#define sipClass_QTextTableFormat             sipModuleAPI_QtWidgets_QtGui->em_types[336]->u.td_wrapper_type

#define sipType_QTextTableCellFormat              sipModuleAPI_QtWidgets_QtGui->em_types[335]
#define sipClass_QTextTableCellFormat             sipModuleAPI_QtWidgets_QtGui->em_types[335]->u.td_wrapper_type

#define sipType_QTextInlineObject              sipModuleAPI_QtWidgets_QtGui->em_types[310]
#define sipClass_QTextInlineObject             sipModuleAPI_QtWidgets_QtGui->em_types[310]->u.td_wrapper_type

#define sipType_QTextLayout              sipModuleAPI_QtWidgets_QtGui->em_types[314]
#define sipClass_QTextLayout             sipModuleAPI_QtWidgets_QtGui->em_types[314]->u.td_wrapper_type

#define sipType_QTextLayout_CursorMode              sipModuleAPI_QtWidgets_QtGui->em_types[315]
#define sipEnum_QTextLayout_CursorMode              sipModuleAPI_QtWidgets_QtGui->em_types[315]->u.td_py_type

#define sipType_QTextLayout_FormatRange              sipModuleAPI_QtWidgets_QtGui->em_types[316]
#define sipClass_QTextLayout_FormatRange             sipModuleAPI_QtWidgets_QtGui->em_types[316]->u.td_wrapper_type

#define sipType_QTextLine              sipModuleAPI_QtWidgets_QtGui->em_types[319]
#define sipClass_QTextLine             sipModuleAPI_QtWidgets_QtGui->em_types[319]->u.td_wrapper_type

#define sipType_QTextLine_CursorPosition              sipModuleAPI_QtWidgets_QtGui->em_types[320]
#define sipEnum_QTextLine_CursorPosition              sipModuleAPI_QtWidgets_QtGui->em_types[320]->u.td_py_type
#define sipType_QTextLine_Edge              sipModuleAPI_QtWidgets_QtGui->em_types[321]
#define sipEnum_QTextLine_Edge              sipModuleAPI_QtWidgets_QtGui->em_types[321]->u.td_py_type

#define sipType_QTextObject              sipModuleAPI_QtWidgets_QtGui->em_types[325]
#define sipClass_QTextObject             sipModuleAPI_QtWidgets_QtGui->em_types[325]->u.td_wrapper_type

#define sipType_QTextBlockGroup              sipModuleAPI_QtWidgets_QtGui->em_types[279]
#define sipClass_QTextBlockGroup             sipModuleAPI_QtWidgets_QtGui->em_types[279]->u.td_wrapper_type

#define sipType_QTextList              sipModuleAPI_QtWidgets_QtGui->em_types[322]
#define sipClass_QTextList             sipModuleAPI_QtWidgets_QtGui->em_types[322]->u.td_wrapper_type

#define sipType_QTextFrame              sipModuleAPI_QtWidgets_QtGui->em_types[304]
#define sipClass_QTextFrame             sipModuleAPI_QtWidgets_QtGui->em_types[304]->u.td_wrapper_type

#define sipType_QTextFrame_iterator              sipModuleAPI_QtWidgets_QtGui->em_types[305]
#define sipClass_QTextFrame_iterator             sipModuleAPI_QtWidgets_QtGui->em_types[305]->u.td_wrapper_type

#define sipType_QTextBlock              sipModuleAPI_QtWidgets_QtGui->em_types[275]
#define sipClass_QTextBlock             sipModuleAPI_QtWidgets_QtGui->em_types[275]->u.td_wrapper_type

#define sipType_QTextBlock_iterator              sipModuleAPI_QtWidgets_QtGui->em_types[276]
#define sipClass_QTextBlock_iterator             sipModuleAPI_QtWidgets_QtGui->em_types[276]->u.td_wrapper_type

#define sipType_QTextFragment              sipModuleAPI_QtWidgets_QtGui->em_types[303]
#define sipClass_QTextFragment             sipModuleAPI_QtWidgets_QtGui->em_types[303]->u.td_wrapper_type

#define sipType_QTextBlockUserData              sipModuleAPI_QtWidgets_QtGui->em_types[280]
#define sipClass_QTextBlockUserData             sipModuleAPI_QtWidgets_QtGui->em_types[280]->u.td_wrapper_type

#define sipType_QTextOption              sipModuleAPI_QtWidgets_QtGui->em_types[327]
#define sipClass_QTextOption             sipModuleAPI_QtWidgets_QtGui->em_types[327]->u.td_wrapper_type

#define sipType_QTextOption_TabType              sipModuleAPI_QtWidgets_QtGui->em_types[331]
#define sipEnum_QTextOption_TabType              sipModuleAPI_QtWidgets_QtGui->em_types[331]->u.td_py_type
#define sipType_QTextOption_Flag              sipModuleAPI_QtWidgets_QtGui->em_types[328]
#define sipEnum_QTextOption_Flag              sipModuleAPI_QtWidgets_QtGui->em_types[328]->u.td_py_type
#define sipType_QTextOption_WrapMode              sipModuleAPI_QtWidgets_QtGui->em_types[332]
#define sipEnum_QTextOption_WrapMode              sipModuleAPI_QtWidgets_QtGui->em_types[332]->u.td_py_type

#define sipType_QTextOption_Flags              sipModuleAPI_QtWidgets_QtGui->em_types[329]
#define sipClass_QTextOption_Flags             sipModuleAPI_QtWidgets_QtGui->em_types[329]->u.td_wrapper_type

#define sipType_QTextOption_Tab              sipModuleAPI_QtWidgets_QtGui->em_types[330]
#define sipClass_QTextOption_Tab             sipModuleAPI_QtWidgets_QtGui->em_types[330]->u.td_wrapper_type

#define sipType_QTextTableCell              sipModuleAPI_QtWidgets_QtGui->em_types[334]
#define sipClass_QTextTableCell             sipModuleAPI_QtWidgets_QtGui->em_types[334]->u.td_wrapper_type

#define sipType_QTextTable              sipModuleAPI_QtWidgets_QtGui->em_types[333]
#define sipClass_QTextTable             sipModuleAPI_QtWidgets_QtGui->em_types[333]->u.td_wrapper_type

#define sipType_QTouchDevice              sipModuleAPI_QtWidgets_QtGui->em_types[337]
#define sipClass_QTouchDevice             sipModuleAPI_QtWidgets_QtGui->em_types[337]->u.td_wrapper_type

#define sipType_QTouchDevice_CapabilityFlag              sipModuleAPI_QtWidgets_QtGui->em_types[339]
#define sipEnum_QTouchDevice_CapabilityFlag              sipModuleAPI_QtWidgets_QtGui->em_types[339]->u.td_py_type
#define sipType_QTouchDevice_DeviceType              sipModuleAPI_QtWidgets_QtGui->em_types[340]
#define sipEnum_QTouchDevice_DeviceType              sipModuleAPI_QtWidgets_QtGui->em_types[340]->u.td_py_type

#define sipType_QTouchDevice_Capabilities              sipModuleAPI_QtWidgets_QtGui->em_types[338]
#define sipClass_QTouchDevice_Capabilities             sipModuleAPI_QtWidgets_QtGui->em_types[338]->u.td_wrapper_type

#define sipType_QTransform              sipModuleAPI_QtWidgets_QtGui->em_types[345]
#define sipClass_QTransform             sipModuleAPI_QtWidgets_QtGui->em_types[345]->u.td_wrapper_type

#define sipType_QTransform_TransformationType              sipModuleAPI_QtWidgets_QtGui->em_types[346]
#define sipEnum_QTransform_TransformationType              sipModuleAPI_QtWidgets_QtGui->em_types[346]->u.td_py_type

#define sipType_QValidator              sipModuleAPI_QtWidgets_QtGui->em_types[347]
#define sipClass_QValidator             sipModuleAPI_QtWidgets_QtGui->em_types[347]->u.td_wrapper_type

#define sipType_QValidator_State              sipModuleAPI_QtWidgets_QtGui->em_types[348]
#define sipEnum_QValidator_State              sipModuleAPI_QtWidgets_QtGui->em_types[348]->u.td_py_type

#define sipType_QIntValidator              sipModuleAPI_QtWidgets_QtGui->em_types[82]
#define sipClass_QIntValidator             sipModuleAPI_QtWidgets_QtGui->em_types[82]->u.td_wrapper_type

#define sipType_QDoubleValidator              sipModuleAPI_QtWidgets_QtGui->em_types[20]
#define sipClass_QDoubleValidator             sipModuleAPI_QtWidgets_QtGui->em_types[20]->u.td_wrapper_type

#define sipType_QDoubleValidator_Notation              sipModuleAPI_QtWidgets_QtGui->em_types[21]
#define sipEnum_QDoubleValidator_Notation              sipModuleAPI_QtWidgets_QtGui->em_types[21]->u.td_py_type

#define sipType_QRegExpValidator              sipModuleAPI_QtWidgets_QtGui->em_types[241]
#define sipClass_QRegExpValidator             sipModuleAPI_QtWidgets_QtGui->em_types[241]->u.td_wrapper_type

#define sipType_QRegularExpressionValidator              sipModuleAPI_QtWidgets_QtGui->em_types[244]
#define sipClass_QRegularExpressionValidator             sipModuleAPI_QtWidgets_QtGui->em_types[244]->u.td_wrapper_type

#define sipType_QVector2D              sipModuleAPI_QtWidgets_QtGui->em_types[349]
#define sipClass_QVector2D             sipModuleAPI_QtWidgets_QtGui->em_types[349]->u.td_wrapper_type

#define sipType_QVector3D              sipModuleAPI_QtWidgets_QtGui->em_types[350]
#define sipClass_QVector3D             sipModuleAPI_QtWidgets_QtGui->em_types[350]->u.td_wrapper_type

#define sipType_QVector4D              sipModuleAPI_QtWidgets_QtGui->em_types[351]
#define sipClass_QVector4D             sipModuleAPI_QtWidgets_QtGui->em_types[351]->u.td_wrapper_type

#define sipType_QList_0111QTouchDevice      sipModuleAPI_QtWidgets_QtGui->em_types[104]

#define sipType_QList_0101QTextFrame      sipModuleAPI_QtWidgets_QtGui->em_types[101]

#define sipType_QList_0100QTextBlock      sipModuleAPI_QtWidgets_QtGui->em_types[100]

#define sipType_QList_0100QGlyphRun      sipModuleAPI_QtWidgets_QtGui->em_types[90]

#define sipType_QVector_0100QTextLayout_FormatRange      sipModuleAPI_QtWidgets_QtGui->em_types[361]

#define sipType_QList_0100QTextLayout_FormatRange      sipModuleAPI_QtWidgets_QtGui->em_types[102]

#define sipType_QList_0100QTextOption_Tab      sipModuleAPI_QtWidgets_QtGui->em_types[103]

#define sipType_QVector_0100QTextLength      sipModuleAPI_QtWidgets_QtGui->em_types[362]

#define sipType_QVector_0100QTextFormat      sipModuleAPI_QtWidgets_QtGui->em_types[360]

#define sipType_QList_0101QStandardItem      sipModuleAPI_QtWidgets_QtGui->em_types[99]

#define sipType_QList_0100QPolygonF      sipModuleAPI_QtWidgets_QtGui->em_types[96]

#define sipType_QVector_0100QRect      sipModuleAPI_QtWidgets_QtGui->em_types[358]

#define sipType_QVector_0100QRectF      sipModuleAPI_QtWidgets_QtGui->em_types[359]

#define sipType_QVector_0100QPoint      sipModuleAPI_QtWidgets_QtGui->em_types[357]

#define sipType_QVector_0100QLine      sipModuleAPI_QtWidgets_QtGui->em_types[354]

#define sipType_QVector_0100QLineF      sipModuleAPI_QtWidgets_QtGui->em_types[355]

#define sipType_QList_0101QOpenGLShader      sipModuleAPI_QtWidgets_QtGui->em_types[95]

#define sipType_QList_0100QOpenGLDebugMessage      sipModuleAPI_QtWidgets_QtGui->em_types[94]

#define sipType_QSet_0100QByteArray      sipModuleAPI_QtWidgets_QtGui->em_types[252]

#define sipType_QList_0101QOpenGLContext      sipModuleAPI_QtWidgets_QtGui->em_types[93]

#define sipType_QList_0100QKeySequence      sipModuleAPI_QtWidgets_QtGui->em_types[92]

#define sipType_QList_0101QScreen      sipModuleAPI_QtWidgets_QtGui->em_types[97]

#define sipType_QList_0100QTouchEvent_TouchPoint      sipModuleAPI_QtWidgets_QtGui->em_types[105]

#define sipType_QList_0100QInputMethodEvent_Attribute      sipModuleAPI_QtWidgets_QtGui->em_types[91]

#define sipType_QList_0100QSize      sipModuleAPI_QtWidgets_QtGui->em_types[98]

#define sipType_QVector_0100QAbstractTextDocumentLayout_Selection      sipModuleAPI_QtWidgets_QtGui->em_types[353]

#define sipType_QList_0101QWindow      sipModuleAPI_QtWidgets_QtGui->em_types[106]

#define sipType_QVector_0600QPair_2400_0100QColor      sipModuleAPI_QtWidgets_QtGui->em_types[356]

#define sipType_QVector_3900      sipModuleAPI_QtWidgets_QtGui->em_types[352]

#define sipType_QVector_2400      sipModuleAPI_QtWidgets_QtGui->em_types[364]

#define sipType_QVector_2200      sipModuleAPI_QtWidgets_QtGui->em_types[363]

#define sipType_QVector_1900      sipModuleAPI_QtWidgets_QtGui->em_types[365]

#define sipType_QPair_2200_2200      sipModuleAPI_QtWidgets_QtGui->em_types[211]

#define sipType_QPair_0100QOpenGLTexture_Filter_0100QOpenGLTexture_Filter      sipModuleAPI_QtWidgets_QtGui->em_types[210]

#define sipType_QList_0100QFontDatabase_WritingSystem      sipModuleAPI_QtWidgets_QtGui->em_types[89]
extern const sipExportedModuleDef *sipModuleAPI_QtWidgets_QtGui;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWidgets_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWidgets_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWidgets_qt_metacast;

#endif
